#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1981
#define LARGE_STATE_COUNT 446
#define SYMBOL_COUNT 355
#define ALIAS_COUNT 3
#define TOKEN_COUNT 157
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 39
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 132

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_extern = 45,
  anon_sym___attribute__ = 46,
  anon_sym_COLON_COLON = 47,
  anon_sym_LBRACK_LBRACK = 48,
  anon_sym_RBRACK_RBRACK = 49,
  anon_sym___declspec = 50,
  anon_sym___based = 51,
  anon_sym___cdecl = 52,
  anon_sym___clrcall = 53,
  anon_sym___stdcall = 54,
  anon_sym___fastcall = 55,
  anon_sym___thiscall = 56,
  anon_sym___vectorcall = 57,
  sym_ms_restrict_modifier = 58,
  sym_ms_unsigned_ptr_modifier = 59,
  sym_ms_signed_ptr_modifier = 60,
  anon_sym__unaligned = 61,
  anon_sym___unaligned = 62,
  anon_sym_LBRACE = 63,
  anon_sym_RBRACE = 64,
  anon_sym_signed = 65,
  anon_sym_unsigned = 66,
  anon_sym_long = 67,
  anon_sym_short = 68,
  anon_sym_LBRACK = 69,
  anon_sym_static = 70,
  anon_sym_RBRACK = 71,
  anon_sym_EQ = 72,
  anon_sym_auto = 73,
  anon_sym_register = 74,
  anon_sym_inline = 75,
  anon_sym___inline = 76,
  anon_sym___inline__ = 77,
  anon_sym___forceinline = 78,
  anon_sym_thread_local = 79,
  anon_sym___thread = 80,
  anon_sym_const = 81,
  anon_sym_constexpr = 82,
  anon_sym_volatile = 83,
  anon_sym_restrict = 84,
  anon_sym___restrict__ = 85,
  anon_sym__Atomic = 86,
  anon_sym__Noreturn = 87,
  anon_sym_noreturn = 88,
  anon_sym_alignas = 89,
  anon_sym__Alignas = 90,
  sym_primitive_type = 91,
  anon_sym_enum = 92,
  anon_sym_COLON = 93,
  anon_sym_struct = 94,
  anon_sym_union = 95,
  anon_sym_if = 96,
  anon_sym_else = 97,
  anon_sym_switch = 98,
  anon_sym_case = 99,
  anon_sym_default = 100,
  anon_sym_while = 101,
  anon_sym_do = 102,
  anon_sym_for = 103,
  anon_sym_return = 104,
  anon_sym_break = 105,
  anon_sym_continue = 106,
  anon_sym_goto = 107,
  anon_sym___try = 108,
  anon_sym___except = 109,
  anon_sym___finally = 110,
  anon_sym___leave = 111,
  anon_sym_QMARK = 112,
  anon_sym_STAR_EQ = 113,
  anon_sym_SLASH_EQ = 114,
  anon_sym_PERCENT_EQ = 115,
  anon_sym_PLUS_EQ = 116,
  anon_sym_DASH_EQ = 117,
  anon_sym_LT_LT_EQ = 118,
  anon_sym_GT_GT_EQ = 119,
  anon_sym_AMP_EQ = 120,
  anon_sym_CARET_EQ = 121,
  anon_sym_PIPE_EQ = 122,
  anon_sym_DASH_DASH = 123,
  anon_sym_PLUS_PLUS = 124,
  anon_sym_sizeof = 125,
  anon_sym___alignof__ = 126,
  anon_sym___alignof = 127,
  anon_sym__alignof = 128,
  anon_sym_alignof = 129,
  anon_sym__Alignof = 130,
  anon_sym_offsetof = 131,
  anon_sym__Generic = 132,
  anon_sym_asm = 133,
  anon_sym___asm__ = 134,
  anon_sym_DOT = 135,
  anon_sym_DASH_GT = 136,
  sym_number_literal = 137,
  anon_sym_L_SQUOTE = 138,
  anon_sym_u_SQUOTE = 139,
  anon_sym_U_SQUOTE = 140,
  anon_sym_u8_SQUOTE = 141,
  anon_sym_SQUOTE = 142,
  aux_sym_char_literal_token1 = 143,
  anon_sym_L_DQUOTE = 144,
  anon_sym_u_DQUOTE = 145,
  anon_sym_U_DQUOTE = 146,
  anon_sym_u8_DQUOTE = 147,
  anon_sym_DQUOTE = 148,
  aux_sym_string_literal_token1 = 149,
  sym_escape_sequence = 150,
  sym_system_lib_string = 151,
  sym_true = 152,
  sym_false = 153,
  anon_sym_NULL = 154,
  anon_sym_nullptr = 155,
  sym_comment = 156,
  sym_translation_unit = 157,
  sym__top_level_item = 158,
  sym__block_item = 159,
  sym_preproc_include = 160,
  sym_preproc_def = 161,
  sym_preproc_function_def = 162,
  sym_preproc_params = 163,
  sym_preproc_call = 164,
  sym_preproc_if = 165,
  sym_preproc_ifdef = 166,
  sym_preproc_else = 167,
  sym_preproc_elif = 168,
  sym_preproc_elifdef = 169,
  sym_preproc_if_in_field_declaration_list = 170,
  sym_preproc_ifdef_in_field_declaration_list = 171,
  sym_preproc_else_in_field_declaration_list = 172,
  sym_preproc_elif_in_field_declaration_list = 173,
  sym_preproc_elifdef_in_field_declaration_list = 174,
  sym_preproc_if_in_enumerator_list = 175,
  sym_preproc_ifdef_in_enumerator_list = 176,
  sym_preproc_else_in_enumerator_list = 177,
  sym_preproc_elif_in_enumerator_list = 178,
  sym_preproc_elifdef_in_enumerator_list = 179,
  sym_preproc_if_in_enumerator_list_no_comma = 180,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 181,
  sym_preproc_else_in_enumerator_list_no_comma = 182,
  sym_preproc_elif_in_enumerator_list_no_comma = 183,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 184,
  sym__preproc_expression = 185,
  sym_preproc_parenthesized_expression = 186,
  sym_preproc_defined = 187,
  sym_preproc_unary_expression = 188,
  sym_preproc_call_expression = 189,
  sym_preproc_argument_list = 190,
  sym_preproc_binary_expression = 191,
  sym_function_definition = 192,
  sym__old_style_function_definition = 193,
  sym_declaration = 194,
  sym_type_definition = 195,
  sym__type_definition_type = 196,
  sym__type_definition_declarators = 197,
  sym__declaration_modifiers = 198,
  sym__declaration_specifiers = 199,
  sym_linkage_specification = 200,
  sym_attribute_specifier = 201,
  sym_attribute = 202,
  sym_attribute_declaration = 203,
  sym_ms_declspec_modifier = 204,
  sym_ms_based_modifier = 205,
  sym_ms_call_modifier = 206,
  sym_ms_unaligned_ptr_modifier = 207,
  sym_ms_pointer_modifier = 208,
  sym_declaration_list = 209,
  sym__declarator = 210,
  sym__declaration_declarator = 211,
  sym__field_declarator = 212,
  sym__type_declarator = 213,
  sym__abstract_declarator = 214,
  sym_parenthesized_declarator = 215,
  sym_parenthesized_field_declarator = 216,
  sym_parenthesized_type_declarator = 217,
  sym_abstract_parenthesized_declarator = 218,
  sym_attributed_declarator = 219,
  sym_attributed_field_declarator = 220,
  sym_attributed_type_declarator = 221,
  sym_pointer_declarator = 222,
  sym_pointer_field_declarator = 223,
  sym_pointer_type_declarator = 224,
  sym_abstract_pointer_declarator = 225,
  sym_function_declarator = 226,
  sym__function_declaration_declarator = 227,
  sym_function_field_declarator = 228,
  sym_function_type_declarator = 229,
  sym_abstract_function_declarator = 230,
  sym__old_style_function_declarator = 231,
  sym_array_declarator = 232,
  sym_array_field_declarator = 233,
  sym_array_type_declarator = 234,
  sym_abstract_array_declarator = 235,
  sym_init_declarator = 236,
  sym_compound_statement = 237,
  sym_storage_class_specifier = 238,
  sym_type_qualifier = 239,
  sym_alignas_qualifier = 240,
  sym_type_specifier = 241,
  sym_sized_type_specifier = 242,
  sym_enum_specifier = 243,
  sym_enumerator_list = 244,
  sym_struct_specifier = 245,
  sym_union_specifier = 246,
  sym_field_declaration_list = 247,
  sym__field_declaration_list_item = 248,
  sym_field_declaration = 249,
  sym__field_declaration_declarator = 250,
  sym_bitfield_clause = 251,
  sym_enumerator = 252,
  sym_variadic_parameter = 253,
  sym_parameter_list = 254,
  sym__old_style_parameter_list = 255,
  sym_parameter_declaration = 256,
  sym_attributed_statement = 257,
  sym_statement = 258,
  sym__top_level_statement = 259,
  sym_labeled_statement = 260,
  sym__top_level_expression_statement = 261,
  sym_expression_statement = 262,
  sym_if_statement = 263,
  sym_else_clause = 264,
  sym_switch_statement = 265,
  sym_case_statement = 266,
  sym_while_statement = 267,
  sym_do_statement = 268,
  sym_for_statement = 269,
  sym__for_statement_body = 270,
  sym_return_statement = 271,
  sym_break_statement = 272,
  sym_continue_statement = 273,
  sym_goto_statement = 274,
  sym_seh_try_statement = 275,
  sym_seh_except_clause = 276,
  sym_seh_finally_clause = 277,
  sym_seh_leave_statement = 278,
  sym_expression = 279,
  sym__string = 280,
  sym_comma_expression = 281,
  sym_conditional_expression = 282,
  sym_assignment_expression = 283,
  sym_pointer_expression = 284,
  sym_unary_expression = 285,
  sym_binary_expression = 286,
  sym_update_expression = 287,
  sym_cast_expression = 288,
  sym_type_descriptor = 289,
  sym_sizeof_expression = 290,
  sym_alignof_expression = 291,
  sym_offsetof_expression = 292,
  sym_generic_expression = 293,
  sym_subscript_expression = 294,
  sym_call_expression = 295,
  sym_gnu_asm_expression = 296,
  sym_gnu_asm_qualifier = 297,
  sym_gnu_asm_output_operand_list = 298,
  sym_gnu_asm_output_operand = 299,
  sym_gnu_asm_input_operand_list = 300,
  sym_gnu_asm_input_operand = 301,
  sym_gnu_asm_clobber_list = 302,
  sym_gnu_asm_goto_list = 303,
  sym_argument_list = 304,
  sym_field_expression = 305,
  sym_compound_literal_expression = 306,
  sym_parenthesized_expression = 307,
  sym_initializer_list = 308,
  sym_initializer_pair = 309,
  sym_subscript_designator = 310,
  sym_subscript_range_designator = 311,
  sym_field_designator = 312,
  sym_char_literal = 313,
  sym_concatenated_string = 314,
  sym_string_literal = 315,
  sym_null = 316,
  sym__empty_declaration = 317,
  sym_macro_type_specifier = 318,
  aux_sym_translation_unit_repeat1 = 319,
  aux_sym_preproc_params_repeat1 = 320,
  aux_sym_preproc_if_repeat1 = 321,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 322,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 323,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 324,
  aux_sym_preproc_argument_list_repeat1 = 325,
  aux_sym__old_style_function_definition_repeat1 = 326,
  aux_sym_declaration_repeat1 = 327,
  aux_sym_type_definition_repeat1 = 328,
  aux_sym__type_definition_type_repeat1 = 329,
  aux_sym__type_definition_declarators_repeat1 = 330,
  aux_sym__declaration_specifiers_repeat1 = 331,
  aux_sym_attribute_declaration_repeat1 = 332,
  aux_sym_attributed_declarator_repeat1 = 333,
  aux_sym_pointer_declarator_repeat1 = 334,
  aux_sym_function_declarator_repeat1 = 335,
  aux_sym_array_declarator_repeat1 = 336,
  aux_sym_sized_type_specifier_repeat1 = 337,
  aux_sym_enumerator_list_repeat1 = 338,
  aux_sym__field_declaration_declarator_repeat1 = 339,
  aux_sym_parameter_list_repeat1 = 340,
  aux_sym__old_style_parameter_list_repeat1 = 341,
  aux_sym_case_statement_repeat1 = 342,
  aux_sym_generic_expression_repeat1 = 343,
  aux_sym_gnu_asm_expression_repeat1 = 344,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 345,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 346,
  aux_sym_gnu_asm_clobber_list_repeat1 = 347,
  aux_sym_gnu_asm_goto_list_repeat1 = 348,
  aux_sym_argument_list_repeat1 = 349,
  aux_sym_initializer_list_repeat1 = 350,
  aux_sym_initializer_pair_repeat1 = 351,
  aux_sym_char_literal_repeat1 = 352,
  aux_sym_concatenated_string_repeat1 = 353,
  aux_sym_string_literal_repeat1 = 354,
  alias_sym_field_identifier = 355,
  alias_sym_statement_identifier = 356,
  alias_sym_type_identifier = 357,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_static] = "static",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_auto] = "auto",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym_alignas] = "alignas",
  [anon_sym__Alignas] = "_Alignas",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_translation_unit] = "translation_unit",
  [sym__top_level_item] = "_top_level_item",
  [sym__block_item] = "_block_item",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym__old_style_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__declaration_declarator] = "_declaration_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym__function_declaration_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym__old_style_function_declarator] = "function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_alignas_qualifier] = "alignas_qualifier",
  [sym_type_specifier] = "type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym__field_declaration_declarator] = "_field_declaration_declarator",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_parameter_list] = "parameter_list",
  [sym__old_style_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_statement] = "statement",
  [sym__top_level_statement] = "_top_level_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym_expression] = "expression",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_macro_type_specifier] = "macro_type_specifier",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym__old_style_function_definition_repeat1] = "_old_style_function_definition_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_function_declarator_repeat1] = "function_declarator_repeat1",
  [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym__field_declaration_declarator_repeat1] = "_field_declaration_declarator_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym__old_style_parameter_list_repeat1] = "_old_style_parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_auto] = anon_sym_auto,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym__Alignas] = anon_sym__Alignas,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_translation_unit] = sym_translation_unit,
  [sym__top_level_item] = sym__top_level_item,
  [sym__block_item] = sym__block_item,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym__old_style_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__declaration_declarator] = sym__declaration_declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym__function_declaration_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym__old_style_function_declarator] = sym_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_alignas_qualifier] = sym_alignas_qualifier,
  [sym_type_specifier] = sym_type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym__field_declaration_declarator] = sym__field_declaration_declarator,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_parameter_list] = sym_parameter_list,
  [sym__old_style_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_statement] = sym_statement,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym_expression] = sym_expression,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_macro_type_specifier] = sym_macro_type_specifier,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym__old_style_function_definition_repeat1] = aux_sym__old_style_function_definition_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_function_declarator_repeat1] = aux_sym_function_declarator_repeat1,
  [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym__field_declaration_declarator_repeat1] = aux_sym__field_declaration_declarator_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym__old_style_parameter_list_repeat1] = aux_sym__old_style_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_auto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignas] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym__block_item] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declaration_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__old_style_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__field_declaration_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__old_style_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_body = 5,
  field_clobbers = 6,
  field_condition = 7,
  field_consequence = 8,
  field_constraint = 9,
  field_declarator = 10,
  field_designator = 11,
  field_directive = 12,
  field_end = 13,
  field_field = 14,
  field_filter = 15,
  field_function = 16,
  field_goto_labels = 17,
  field_index = 18,
  field_initializer = 19,
  field_input_operands = 20,
  field_label = 21,
  field_left = 22,
  field_member = 23,
  field_name = 24,
  field_operand = 25,
  field_operator = 26,
  field_output_operands = 27,
  field_parameters = 28,
  field_path = 29,
  field_prefix = 30,
  field_register = 31,
  field_right = 32,
  field_size = 33,
  field_start = 34,
  field_symbol = 35,
  field_type = 36,
  field_underlying_type = 37,
  field_update = 38,
  field_value = 39,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_body] = "body",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_right] = "right",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_type] = "type",
  [field_underlying_type] = "underlying_type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 3},
  [3] = {.index = 3, .length = 1},
  [4] = {.index = 4, .length = 1},
  [5] = {.index = 5, .length = 2},
  [6] = {.index = 7, .length = 1},
  [7] = {.index = 8, .length = 1},
  [8] = {.index = 9, .length = 1},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 3, .length = 1},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 17, .length = 1},
  [16] = {.index = 18, .length = 1},
  [17] = {.index = 8, .length = 1},
  [18] = {.index = 19, .length = 2},
  [19] = {.index = 21, .length = 2},
  [20] = {.index = 23, .length = 1},
  [22] = {.index = 24, .length = 1},
  [23] = {.index = 25, .length = 2},
  [24] = {.index = 27, .length = 2},
  [25] = {.index = 29, .length = 1},
  [26] = {.index = 30, .length = 1},
  [27] = {.index = 31, .length = 2},
  [28] = {.index = 33, .length = 2},
  [29] = {.index = 35, .length = 1},
  [30] = {.index = 36, .length = 3},
  [31] = {.index = 39, .length = 1},
  [32] = {.index = 40, .length = 1},
  [33] = {.index = 41, .length = 3},
  [34] = {.index = 44, .length = 2},
  [35] = {.index = 46, .length = 2},
  [36] = {.index = 48, .length = 5},
  [37] = {.index = 53, .length = 3},
  [38] = {.index = 56, .length = 2},
  [39] = {.index = 58, .length = 2},
  [40] = {.index = 60, .length = 1},
  [41] = {.index = 61, .length = 2},
  [42] = {.index = 63, .length = 1},
  [43] = {.index = 64, .length = 2},
  [44] = {.index = 66, .length = 2},
  [45] = {.index = 68, .length = 2},
  [46] = {.index = 70, .length = 2},
  [47] = {.index = 72, .length = 2},
  [48] = {.index = 74, .length = 2},
  [49] = {.index = 76, .length = 2},
  [50] = {.index = 78, .length = 2},
  [52] = {.index = 80, .length = 2},
  [53] = {.index = 82, .length = 1},
  [54] = {.index = 83, .length = 1},
  [55] = {.index = 84, .length = 3},
  [56] = {.index = 87, .length = 1},
  [57] = {.index = 88, .length = 1},
  [58] = {.index = 89, .length = 1},
  [59] = {.index = 90, .length = 2},
  [60] = {.index = 92, .length = 1},
  [61] = {.index = 93, .length = 3},
  [62] = {.index = 96, .length = 3},
  [63] = {.index = 99, .length = 2},
  [64] = {.index = 101, .length = 3},
  [65] = {.index = 104, .length = 2},
  [66] = {.index = 106, .length = 5},
  [67] = {.index = 111, .length = 3},
  [68] = {.index = 114, .length = 5},
  [69] = {.index = 119, .length = 2},
  [70] = {.index = 121, .length = 2},
  [71] = {.index = 123, .length = 3},
  [72] = {.index = 126, .length = 2},
  [73] = {.index = 128, .length = 2},
  [74] = {.index = 130, .length = 1},
  [75] = {.index = 131, .length = 2},
  [76] = {.index = 133, .length = 2},
  [77] = {.index = 135, .length = 2},
  [78] = {.index = 137, .length = 3},
  [79] = {.index = 140, .length = 2},
  [80] = {.index = 142, .length = 2},
  [81] = {.index = 144, .length = 2},
  [82] = {.index = 146, .length = 1},
  [83] = {.index = 147, .length = 2},
  [84] = {.index = 149, .length = 2},
  [85] = {.index = 151, .length = 4},
  [86] = {.index = 155, .length = 1},
  [87] = {.index = 156, .length = 2},
  [88] = {.index = 158, .length = 1},
  [89] = {.index = 159, .length = 1},
  [90] = {.index = 160, .length = 4},
  [91] = {.index = 164, .length = 4},
  [92] = {.index = 168, .length = 2},
  [93] = {.index = 170, .length = 2},
  [94] = {.index = 172, .length = 3},
  [95] = {.index = 175, .length = 5},
  [96] = {.index = 180, .length = 3},
  [97] = {.index = 183, .length = 2},
  [98] = {.index = 185, .length = 1},
  [100] = {.index = 186, .length = 2},
  [101] = {.index = 188, .length = 2},
  [102] = {.index = 190, .length = 2},
  [103] = {.index = 192, .length = 3},
  [104] = {.index = 195, .length = 2},
  [105] = {.index = 197, .length = 2},
  [106] = {.index = 199, .length = 2},
  [107] = {.index = 201, .length = 2},
  [108] = {.index = 203, .length = 3},
  [109] = {.index = 206, .length = 2},
  [110] = {.index = 208, .length = 1},
  [111] = {.index = 209, .length = 5},
  [112] = {.index = 214, .length = 2},
  [113] = {.index = 216, .length = 3},
  [114] = {.index = 219, .length = 2},
  [115] = {.index = 219, .length = 2},
  [116] = {.index = 221, .length = 3},
  [117] = {.index = 224, .length = 2},
  [118] = {.index = 226, .length = 1},
  [119] = {.index = 227, .length = 4},
  [120] = {.index = 231, .length = 3},
  [121] = {.index = 234, .length = 2},
  [122] = {.index = 236, .length = 2},
  [123] = {.index = 35, .length = 1},
  [124] = {.index = 238, .length = 5},
  [125] = {.index = 243, .length = 4},
  [126] = {.index = 247, .length = 2},
  [127] = {.index = 249, .length = 2},
  [128] = {.index = 251, .length = 2},
  [129] = {.index = 253, .length = 5},
  [130] = {.index = 258, .length = 2},
  [131] = {.index = 260, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_body, 0, .inherited = true},
    {field_declarator, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [3] =
    {field_type, 0},
  [4] =
    {field_directive, 0},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_name, 0},
  [8] =
    {field_name, 1},
  [9] =
    {field_body, 1},
  [10] =
    {field_value, 1},
  [11] =
    {field_declarator, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
  [13] =
    {field_argument, 0},
    {field_operator, 1},
  [15] =
    {field_arguments, 1},
    {field_function, 0},
  [17] =
    {field_type, 1},
  [18] =
    {field_path, 1},
  [19] =
    {field_argument, 1},
    {field_directive, 0},
  [21] =
    {field_declarator, 1},
    {field_type, 0},
  [23] =
    {field_parameters, 0},
  [24] =
    {field_declarator, 0},
  [25] =
    {field_body, 2},
    {field_value, 1},
  [27] =
    {field_body, 2},
    {field_name, 1},
  [29] =
    {field_name, 2},
  [30] =
    {field_body, 2},
  [31] =
    {field_condition, 1},
    {field_consequence, 2},
  [33] =
    {field_body, 2},
    {field_condition, 1},
  [35] =
    {field_label, 1},
  [36] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [39] =
    {field_label, 0},
  [40] =
    {field_declarator, 1},
  [41] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [44] =
    {field_declarator, 0},
    {field_parameters, 1},
  [46] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [48] =
    {field_body, 2},
    {field_declarator, 1},
    {field_declarator, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [53] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [56] =
    {field_name, 1},
    {field_value, 2},
  [58] =
    {field_name, 1},
    {field_parameters, 2},
  [60] =
    {field_condition, 1},
  [61] =
    {field_alternative, 2},
    {field_name, 1},
  [63] =
    {field_type, 0, .inherited = true},
  [64] =
    {field_declarator, 2},
    {field_type, 0},
  [66] =
    {field_left, 0},
    {field_right, 2},
  [68] =
    {field_type, 1},
    {field_value, 3},
  [70] =
    {field_declarator, 2},
    {field_type, 1},
  [72] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [74] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [76] =
    {field_name, 2},
    {field_prefix, 0},
  [78] =
    {field_name, 1},
    {field_underlying_type, 3},
  [80] =
    {field_body, 3},
    {field_name, 2},
  [82] =
    {field_name, 3},
  [83] =
    {field_body, 3},
  [84] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [87] =
    {field_initializer, 0},
  [88] =
    {field_type, 2},
  [89] =
    {field_assembly_code, 2},
  [90] =
    {field_name, 0},
    {field_type, 2},
  [92] =
    {field_declarator, 2},
  [93] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [96] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [99] =
    {field_declarator, 0},
    {field_value, 2},
  [101] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [104] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [106] =
    {field_body, 3},
    {field_declarator, 1},
    {field_declarator, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [111] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [114] =
    {field_body, 3},
    {field_declarator, 2},
    {field_declarator, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [119] =
    {field_argument, 0},
    {field_index, 2},
  [121] =
    {field_alternative, 3},
    {field_condition, 0},
  [123] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [126] =
    {field_alternative, 3},
    {field_condition, 1},
  [128] =
    {field_alternative, 3},
    {field_name, 1},
  [130] =
    {field_size, 1},
  [131] =
    {field_declarator, 3},
    {field_type, 1},
  [133] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [135] =
    {field_name, 0},
    {field_value, 2},
  [137] =
    {field_body, 4},
    {field_name, 1},
    {field_underlying_type, 3},
  [140] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [142] =
    {field_body, 4},
    {field_name, 3},
  [144] =
    {field_body, 1},
    {field_condition, 3},
  [146] =
    {field_update, 2},
  [147] =
    {field_initializer, 0},
    {field_update, 2},
  [149] =
    {field_condition, 1},
    {field_initializer, 0},
  [151] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [155] =
    {field_operand, 1},
  [156] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [158] =
    {field_assembly_code, 3},
  [159] =
    {field_declarator, 3},
  [160] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_type, 0, .inherited = true},
  [164] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [168] =
    {field_declarator, 0},
    {field_size, 2},
  [170] =
    {field_declarator, 1},
    {field_declarator, 2},
  [172] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [175] =
    {field_body, 4},
    {field_declarator, 2},
    {field_declarator, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [180] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [183] =
    {field_alternative, 4},
    {field_condition, 1},
  [185] =
    {field_size, 2},
  [186] =
    {field_body, 2},
    {field_filter, 1},
  [188] =
    {field_declarator, 0},
    {field_declarator, 2, .inherited = true},
  [190] =
    {field_condition, 1},
    {field_update, 3},
  [192] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [195] =
    {field_initializer, 0},
    {field_update, 3},
  [197] =
    {field_condition, 2},
    {field_initializer, 0},
  [199] =
    {field_member, 4},
    {field_type, 2},
  [201] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [203] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [206] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [208] =
    {field_declarator, 4},
  [209] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [214] =
    {field_declarator, 0},
    {field_size, 3},
  [216] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
  [219] =
    {field_designator, 0},
    {field_value, 2},
  [221] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [224] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [226] =
    {field_register, 1},
  [227] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [231] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [234] =
    {field_constraint, 0},
    {field_value, 2},
  [236] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [238] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [243] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [247] =
    {field_end, 3},
    {field_start, 1},
  [249] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [251] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [253] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [258] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [260] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [7] = {
    [1] = alias_sym_type_identifier,
  },
  [10] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [1] = alias_sym_type_identifier,
  },
  [21] = {
    [0] = sym_primitive_type,
  },
  [24] = {
    [1] = alias_sym_type_identifier,
  },
  [25] = {
    [2] = alias_sym_type_identifier,
  },
  [29] = {
    [1] = alias_sym_statement_identifier,
  },
  [31] = {
    [0] = alias_sym_statement_identifier,
  },
  [37] = {
    [2] = alias_sym_field_identifier,
  },
  [50] = {
    [1] = alias_sym_type_identifier,
  },
  [51] = {
    [0] = alias_sym_field_identifier,
  },
  [52] = {
    [2] = alias_sym_type_identifier,
  },
  [53] = {
    [3] = alias_sym_type_identifier,
  },
  [78] = {
    [1] = alias_sym_type_identifier,
  },
  [80] = {
    [3] = alias_sym_type_identifier,
  },
  [99] = {
    [1] = alias_sym_field_identifier,
  },
  [106] = {
    [4] = alias_sym_field_identifier,
  },
  [114] = {
    [0] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 2,
  [11] = 4,
  [12] = 3,
  [13] = 5,
  [14] = 2,
  [15] = 4,
  [16] = 3,
  [17] = 5,
  [18] = 2,
  [19] = 4,
  [20] = 3,
  [21] = 5,
  [22] = 22,
  [23] = 23,
  [24] = 22,
  [25] = 22,
  [26] = 23,
  [27] = 27,
  [28] = 27,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 23,
  [33] = 33,
  [34] = 27,
  [35] = 31,
  [36] = 29,
  [37] = 31,
  [38] = 23,
  [39] = 27,
  [40] = 29,
  [41] = 29,
  [42] = 31,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 47,
  [51] = 49,
  [52] = 47,
  [53] = 46,
  [54] = 46,
  [55] = 45,
  [56] = 45,
  [57] = 49,
  [58] = 48,
  [59] = 48,
  [60] = 47,
  [61] = 45,
  [62] = 49,
  [63] = 46,
  [64] = 48,
  [65] = 49,
  [66] = 48,
  [67] = 45,
  [68] = 46,
  [69] = 47,
  [70] = 70,
  [71] = 70,
  [72] = 70,
  [73] = 70,
  [74] = 70,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 76,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 81,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 75,
  [144] = 75,
  [145] = 75,
  [146] = 78,
  [147] = 110,
  [148] = 112,
  [149] = 82,
  [150] = 82,
  [151] = 83,
  [152] = 84,
  [153] = 111,
  [154] = 84,
  [155] = 86,
  [156] = 85,
  [157] = 86,
  [158] = 87,
  [159] = 88,
  [160] = 89,
  [161] = 90,
  [162] = 91,
  [163] = 111,
  [164] = 112,
  [165] = 113,
  [166] = 93,
  [167] = 87,
  [168] = 88,
  [169] = 94,
  [170] = 95,
  [171] = 96,
  [172] = 97,
  [173] = 98,
  [174] = 99,
  [175] = 100,
  [176] = 101,
  [177] = 102,
  [178] = 103,
  [179] = 104,
  [180] = 106,
  [181] = 107,
  [182] = 108,
  [183] = 77,
  [184] = 92,
  [185] = 81,
  [186] = 105,
  [187] = 110,
  [188] = 111,
  [189] = 112,
  [190] = 77,
  [191] = 78,
  [192] = 79,
  [193] = 76,
  [194] = 82,
  [195] = 77,
  [196] = 105,
  [197] = 83,
  [198] = 84,
  [199] = 85,
  [200] = 86,
  [201] = 89,
  [202] = 90,
  [203] = 91,
  [204] = 89,
  [205] = 96,
  [206] = 97,
  [207] = 98,
  [208] = 99,
  [209] = 100,
  [210] = 101,
  [211] = 106,
  [212] = 107,
  [213] = 87,
  [214] = 88,
  [215] = 113,
  [216] = 93,
  [217] = 94,
  [218] = 95,
  [219] = 102,
  [220] = 103,
  [221] = 104,
  [222] = 108,
  [223] = 90,
  [224] = 91,
  [225] = 92,
  [226] = 113,
  [227] = 93,
  [228] = 94,
  [229] = 95,
  [230] = 110,
  [231] = 96,
  [232] = 97,
  [233] = 98,
  [234] = 99,
  [235] = 100,
  [236] = 101,
  [237] = 102,
  [238] = 103,
  [239] = 104,
  [240] = 79,
  [241] = 106,
  [242] = 107,
  [243] = 108,
  [244] = 92,
  [245] = 81,
  [246] = 83,
  [247] = 105,
  [248] = 78,
  [249] = 79,
  [250] = 76,
  [251] = 85,
  [252] = 134,
  [253] = 120,
  [254] = 139,
  [255] = 130,
  [256] = 131,
  [257] = 114,
  [258] = 121,
  [259] = 142,
  [260] = 140,
  [261] = 133,
  [262] = 137,
  [263] = 125,
  [264] = 115,
  [265] = 118,
  [266] = 125,
  [267] = 122,
  [268] = 124,
  [269] = 129,
  [270] = 134,
  [271] = 136,
  [272] = 115,
  [273] = 135,
  [274] = 126,
  [275] = 139,
  [276] = 127,
  [277] = 128,
  [278] = 122,
  [279] = 118,
  [280] = 119,
  [281] = 130,
  [282] = 131,
  [283] = 114,
  [284] = 138,
  [285] = 142,
  [286] = 123,
  [287] = 126,
  [288] = 127,
  [289] = 128,
  [290] = 141,
  [291] = 132,
  [292] = 123,
  [293] = 116,
  [294] = 117,
  [295] = 138,
  [296] = 135,
  [297] = 141,
  [298] = 116,
  [299] = 140,
  [300] = 117,
  [301] = 119,
  [302] = 120,
  [303] = 121,
  [304] = 137,
  [305] = 136,
  [306] = 129,
  [307] = 133,
  [308] = 124,
  [309] = 132,
  [310] = 137,
  [311] = 311,
  [312] = 311,
  [313] = 140,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 315,
  [323] = 317,
  [324] = 318,
  [325] = 319,
  [326] = 320,
  [327] = 315,
  [328] = 317,
  [329] = 321,
  [330] = 316,
  [331] = 316,
  [332] = 319,
  [333] = 320,
  [334] = 315,
  [335] = 317,
  [336] = 314,
  [337] = 316,
  [338] = 314,
  [339] = 318,
  [340] = 319,
  [341] = 320,
  [342] = 315,
  [343] = 317,
  [344] = 319,
  [345] = 314,
  [346] = 316,
  [347] = 318,
  [348] = 318,
  [349] = 320,
  [350] = 314,
  [351] = 321,
  [352] = 321,
  [353] = 353,
  [354] = 121,
  [355] = 124,
  [356] = 130,
  [357] = 131,
  [358] = 114,
  [359] = 125,
  [360] = 129,
  [361] = 133,
  [362] = 127,
  [363] = 128,
  [364] = 134,
  [365] = 132,
  [366] = 366,
  [367] = 136,
  [368] = 115,
  [369] = 126,
  [370] = 118,
  [371] = 135,
  [372] = 122,
  [373] = 141,
  [374] = 116,
  [375] = 117,
  [376] = 142,
  [377] = 119,
  [378] = 120,
  [379] = 379,
  [380] = 123,
  [381] = 311,
  [382] = 382,
  [383] = 382,
  [384] = 384,
  [385] = 382,
  [386] = 384,
  [387] = 384,
  [388] = 382,
  [389] = 382,
  [390] = 384,
  [391] = 384,
  [392] = 382,
  [393] = 384,
  [394] = 394,
  [395] = 394,
  [396] = 396,
  [397] = 397,
  [398] = 311,
  [399] = 311,
  [400] = 75,
  [401] = 401,
  [402] = 401,
  [403] = 401,
  [404] = 401,
  [405] = 401,
  [406] = 406,
  [407] = 401,
  [408] = 401,
  [409] = 401,
  [410] = 410,
  [411] = 411,
  [412] = 311,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 428,
  [432] = 427,
  [433] = 433,
  [434] = 426,
  [435] = 429,
  [436] = 428,
  [437] = 429,
  [438] = 426,
  [439] = 427,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 445,
  [447] = 447,
  [448] = 448,
  [449] = 445,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 452,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 456,
  [458] = 458,
  [459] = 459,
  [460] = 456,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 461,
  [466] = 461,
  [467] = 467,
  [468] = 455,
  [469] = 469,
  [470] = 455,
  [471] = 467,
  [472] = 472,
  [473] = 473,
  [474] = 467,
  [475] = 455,
  [476] = 456,
  [477] = 461,
  [478] = 456,
  [479] = 461,
  [480] = 410,
  [481] = 481,
  [482] = 482,
  [483] = 461,
  [484] = 456,
  [485] = 485,
  [486] = 467,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 488,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 503,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 514,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 506,
  [521] = 504,
  [522] = 503,
  [523] = 506,
  [524] = 524,
  [525] = 507,
  [526] = 508,
  [527] = 509,
  [528] = 510,
  [529] = 511,
  [530] = 512,
  [531] = 524,
  [532] = 532,
  [533] = 501,
  [534] = 534,
  [535] = 535,
  [536] = 517,
  [537] = 537,
  [538] = 534,
  [539] = 535,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 507,
  [544] = 502,
  [545] = 545,
  [546] = 546,
  [547] = 508,
  [548] = 509,
  [549] = 537,
  [550] = 501,
  [551] = 503,
  [552] = 537,
  [553] = 501,
  [554] = 510,
  [555] = 534,
  [556] = 535,
  [557] = 504,
  [558] = 503,
  [559] = 506,
  [560] = 524,
  [561] = 507,
  [562] = 508,
  [563] = 509,
  [564] = 513,
  [565] = 510,
  [566] = 511,
  [567] = 502,
  [568] = 504,
  [569] = 503,
  [570] = 506,
  [571] = 524,
  [572] = 507,
  [573] = 508,
  [574] = 509,
  [575] = 510,
  [576] = 511,
  [577] = 512,
  [578] = 512,
  [579] = 545,
  [580] = 501,
  [581] = 517,
  [582] = 504,
  [583] = 506,
  [584] = 524,
  [585] = 507,
  [586] = 508,
  [587] = 509,
  [588] = 510,
  [589] = 511,
  [590] = 512,
  [591] = 501,
  [592] = 517,
  [593] = 537,
  [594] = 534,
  [595] = 535,
  [596] = 511,
  [597] = 513,
  [598] = 512,
  [599] = 537,
  [600] = 542,
  [601] = 513,
  [602] = 513,
  [603] = 534,
  [604] = 537,
  [605] = 542,
  [606] = 534,
  [607] = 535,
  [608] = 535,
  [609] = 609,
  [610] = 517,
  [611] = 611,
  [612] = 612,
  [613] = 517,
  [614] = 504,
  [615] = 524,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 634,
  [637] = 635,
  [638] = 634,
  [639] = 633,
  [640] = 640,
  [641] = 640,
  [642] = 633,
  [643] = 643,
  [644] = 634,
  [645] = 633,
  [646] = 640,
  [647] = 640,
  [648] = 648,
  [649] = 635,
  [650] = 635,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 397,
  [657] = 657,
  [658] = 658,
  [659] = 655,
  [660] = 396,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 654,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 678,
  [690] = 690,
  [691] = 691,
  [692] = 619,
  [693] = 678,
  [694] = 682,
  [695] = 682,
  [696] = 682,
  [697] = 678,
  [698] = 619,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 700,
  [708] = 699,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 396,
  [715] = 715,
  [716] = 397,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 719,
  [724] = 724,
  [725] = 719,
  [726] = 719,
  [727] = 727,
  [728] = 728,
  [729] = 719,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 619,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 763,
  [786] = 786,
  [787] = 769,
  [788] = 788,
  [789] = 789,
  [790] = 140,
  [791] = 133,
  [792] = 137,
  [793] = 793,
  [794] = 125,
  [795] = 115,
  [796] = 766,
  [797] = 118,
  [798] = 770,
  [799] = 799,
  [800] = 765,
  [801] = 801,
  [802] = 784,
  [803] = 803,
  [804] = 784,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 784,
  [811] = 674,
  [812] = 759,
  [813] = 767,
  [814] = 768,
  [815] = 760,
  [816] = 761,
  [817] = 762,
  [818] = 764,
  [819] = 819,
  [820] = 674,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 620,
  [827] = 621,
  [828] = 761,
  [829] = 786,
  [830] = 789,
  [831] = 799,
  [832] = 793,
  [833] = 799,
  [834] = 801,
  [835] = 803,
  [836] = 805,
  [837] = 806,
  [838] = 807,
  [839] = 140,
  [840] = 133,
  [841] = 137,
  [842] = 125,
  [843] = 115,
  [844] = 118,
  [845] = 845,
  [846] = 846,
  [847] = 808,
  [848] = 809,
  [849] = 140,
  [850] = 686,
  [851] = 687,
  [852] = 852,
  [853] = 759,
  [854] = 760,
  [855] = 762,
  [856] = 763,
  [857] = 764,
  [858] = 765,
  [859] = 766,
  [860] = 767,
  [861] = 768,
  [862] = 133,
  [863] = 769,
  [864] = 770,
  [865] = 801,
  [866] = 137,
  [867] = 809,
  [868] = 125,
  [869] = 805,
  [870] = 115,
  [871] = 786,
  [872] = 845,
  [873] = 681,
  [874] = 685,
  [875] = 688,
  [876] = 691,
  [877] = 877,
  [878] = 788,
  [879] = 789,
  [880] = 118,
  [881] = 806,
  [882] = 845,
  [883] = 793,
  [884] = 788,
  [885] = 845,
  [886] = 807,
  [887] = 808,
  [888] = 803,
  [889] = 690,
  [890] = 680,
  [891] = 891,
  [892] = 679,
  [893] = 674,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 683,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 88,
  [902] = 87,
  [903] = 903,
  [904] = 904,
  [905] = 113,
  [906] = 93,
  [907] = 108,
  [908] = 95,
  [909] = 94,
  [910] = 102,
  [911] = 103,
  [912] = 104,
  [913] = 103,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 914,
  [920] = 920,
  [921] = 921,
  [922] = 113,
  [923] = 93,
  [924] = 94,
  [925] = 95,
  [926] = 102,
  [927] = 914,
  [928] = 108,
  [929] = 104,
  [930] = 930,
  [931] = 914,
  [932] = 87,
  [933] = 88,
  [934] = 767,
  [935] = 935,
  [936] = 936,
  [937] = 762,
  [938] = 938,
  [939] = 763,
  [940] = 940,
  [941] = 941,
  [942] = 764,
  [943] = 943,
  [944] = 765,
  [945] = 759,
  [946] = 766,
  [947] = 947,
  [948] = 948,
  [949] = 760,
  [950] = 768,
  [951] = 951,
  [952] = 770,
  [953] = 769,
  [954] = 761,
  [955] = 760,
  [956] = 768,
  [957] = 761,
  [958] = 762,
  [959] = 765,
  [960] = 763,
  [961] = 770,
  [962] = 759,
  [963] = 769,
  [964] = 964,
  [965] = 764,
  [966] = 767,
  [967] = 766,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 968,
  [976] = 973,
  [977] = 973,
  [978] = 968,
  [979] = 973,
  [980] = 968,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 982,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 993,
  [996] = 996,
  [997] = 997,
  [998] = 996,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 770,
  [1003] = 764,
  [1004] = 765,
  [1005] = 766,
  [1006] = 767,
  [1007] = 768,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 769,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1017,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 821,
  [1023] = 1009,
  [1024] = 1009,
  [1025] = 1012,
  [1026] = 763,
  [1027] = 1017,
  [1028] = 1017,
  [1029] = 1019,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 936,
  [1034] = 1034,
  [1035] = 1019,
  [1036] = 1009,
  [1037] = 1037,
  [1038] = 1009,
  [1039] = 1039,
  [1040] = 1019,
  [1041] = 759,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1009,
  [1045] = 823,
  [1046] = 760,
  [1047] = 761,
  [1048] = 762,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1054,
  [1063] = 1054,
  [1064] = 1054,
  [1065] = 1065,
  [1066] = 1054,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1060,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 877,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 846,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 852,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 782,
  [1091] = 771,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1097,
  [1100] = 1097,
  [1101] = 1097,
  [1102] = 771,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1103,
  [1106] = 1106,
  [1107] = 752,
  [1108] = 735,
  [1109] = 1106,
  [1110] = 1110,
  [1111] = 782,
  [1112] = 1106,
  [1113] = 737,
  [1114] = 1103,
  [1115] = 1098,
  [1116] = 1104,
  [1117] = 776,
  [1118] = 1106,
  [1119] = 1110,
  [1120] = 1104,
  [1121] = 1121,
  [1122] = 1104,
  [1123] = 738,
  [1124] = 739,
  [1125] = 1110,
  [1126] = 1106,
  [1127] = 777,
  [1128] = 736,
  [1129] = 1106,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1137,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1134,
  [1154] = 1154,
  [1155] = 1132,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1133,
  [1159] = 1148,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1136,
  [1164] = 1140,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1142,
  [1170] = 1130,
  [1171] = 1171,
  [1172] = 1171,
  [1173] = 1173,
  [1174] = 1138,
  [1175] = 1157,
  [1176] = 1140,
  [1177] = 1138,
  [1178] = 1140,
  [1179] = 1179,
  [1180] = 1179,
  [1181] = 1181,
  [1182] = 664,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1181,
  [1186] = 1186,
  [1187] = 1156,
  [1188] = 1152,
  [1189] = 985,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1160,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1146,
  [1198] = 1151,
  [1199] = 1161,
  [1200] = 1193,
  [1201] = 1193,
  [1202] = 1196,
  [1203] = 1203,
  [1204] = 821,
  [1205] = 984,
  [1206] = 1162,
  [1207] = 1190,
  [1208] = 1150,
  [1209] = 1165,
  [1210] = 1166,
  [1211] = 1195,
  [1212] = 664,
  [1213] = 1213,
  [1214] = 1167,
  [1215] = 1168,
  [1216] = 991,
  [1217] = 1195,
  [1218] = 1193,
  [1219] = 1173,
  [1220] = 1220,
  [1221] = 992,
  [1222] = 1196,
  [1223] = 1223,
  [1224] = 1154,
  [1225] = 1195,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1226,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1226,
  [1232] = 1226,
  [1233] = 1233,
  [1234] = 1233,
  [1235] = 1233,
  [1236] = 1236,
  [1237] = 1236,
  [1238] = 1236,
  [1239] = 1233,
  [1240] = 1236,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1249,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1249,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1259,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1259,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1269,
  [1273] = 1259,
  [1274] = 1259,
  [1275] = 1259,
  [1276] = 1269,
  [1277] = 1269,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1282,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1282,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1282,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1314,
  [1320] = 1320,
  [1321] = 1314,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1314,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1333,
  [1337] = 1337,
  [1338] = 1329,
  [1339] = 1333,
  [1340] = 1337,
  [1341] = 1329,
  [1342] = 1333,
  [1343] = 1329,
  [1344] = 1337,
  [1345] = 1345,
  [1346] = 1337,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1349,
  [1354] = 1352,
  [1355] = 1351,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1351,
  [1366] = 1351,
  [1367] = 1349,
  [1368] = 1352,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1352,
  [1373] = 1349,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1407,
  [1409] = 1407,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1407,
  [1415] = 1411,
  [1416] = 1407,
  [1417] = 1411,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1407,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1411,
  [1428] = 1411,
  [1429] = 1411,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1460,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1462,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1466,
  [1478] = 1473,
  [1479] = 1469,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1473,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1462,
  [1487] = 1469,
  [1488] = 1463,
  [1489] = 1473,
  [1490] = 1490,
  [1491] = 1473,
  [1492] = 1492,
  [1493] = 1458,
  [1494] = 1494,
  [1495] = 1480,
  [1496] = 1469,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1463,
  [1500] = 1480,
  [1501] = 1501,
  [1502] = 1480,
  [1503] = 1503,
  [1504] = 1462,
  [1505] = 1505,
  [1506] = 1463,
  [1507] = 1458,
  [1508] = 1508,
  [1509] = 1476,
  [1510] = 1466,
  [1511] = 1462,
  [1512] = 1476,
  [1513] = 1513,
  [1514] = 1462,
  [1515] = 1515,
  [1516] = 1462,
  [1517] = 1517,
  [1518] = 1458,
  [1519] = 1460,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1521,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1526,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1529,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1531,
  [1540] = 1535,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1538,
  [1550] = 1542,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1543,
  [1556] = 1523,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1548,
  [1563] = 1531,
  [1564] = 1544,
  [1565] = 1551,
  [1566] = 1552,
  [1567] = 1567,
  [1568] = 1529,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1535,
  [1572] = 1538,
  [1573] = 1573,
  [1574] = 1542,
  [1575] = 1543,
  [1576] = 1529,
  [1577] = 1544,
  [1578] = 1361,
  [1579] = 1542,
  [1580] = 1543,
  [1581] = 1544,
  [1582] = 1551,
  [1583] = 1552,
  [1584] = 1553,
  [1585] = 1570,
  [1586] = 1557,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1538,
  [1590] = 1542,
  [1591] = 1543,
  [1592] = 1544,
  [1593] = 1551,
  [1594] = 1552,
  [1595] = 1553,
  [1596] = 1557,
  [1597] = 1538,
  [1598] = 1542,
  [1599] = 1543,
  [1600] = 1544,
  [1601] = 1551,
  [1602] = 1552,
  [1603] = 1553,
  [1604] = 1557,
  [1605] = 1605,
  [1606] = 1557,
  [1607] = 1521,
  [1608] = 1608,
  [1609] = 1526,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1548,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1551,
  [1616] = 1616,
  [1617] = 1552,
  [1618] = 1553,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1523,
  [1624] = 1624,
  [1625] = 1557,
  [1626] = 1622,
  [1627] = 1553,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1538,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1621,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1643,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1649,
  [1651] = 1651,
  [1652] = 1648,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1643,
  [1657] = 1654,
  [1658] = 1653,
  [1659] = 1649,
  [1660] = 1660,
  [1661] = 1648,
  [1662] = 1662,
  [1663] = 1660,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1648,
  [1672] = 1655,
  [1673] = 1673,
  [1674] = 1668,
  [1675] = 1675,
  [1676] = 1675,
  [1677] = 1647,
  [1678] = 1668,
  [1679] = 1653,
  [1680] = 1644,
  [1681] = 1653,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1644,
  [1688] = 1654,
  [1689] = 1655,
  [1690] = 1648,
  [1691] = 1655,
  [1692] = 1653,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1660,
  [1696] = 1666,
  [1697] = 1649,
  [1698] = 1698,
  [1699] = 1670,
  [1700] = 1675,
  [1701] = 1666,
  [1702] = 1702,
  [1703] = 1643,
  [1704] = 1644,
  [1705] = 1660,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1670,
  [1710] = 1675,
  [1711] = 1648,
  [1712] = 1668,
  [1713] = 1675,
  [1714] = 1714,
  [1715] = 1649,
  [1716] = 1648,
  [1717] = 1668,
  [1718] = 1670,
  [1719] = 1719,
  [1720] = 1660,
  [1721] = 1721,
  [1722] = 1722,
  [1723] = 1723,
  [1724] = 1666,
  [1725] = 1655,
  [1726] = 1649,
  [1727] = 1727,
  [1728] = 1728,
  [1729] = 1649,
  [1730] = 1666,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1741,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1733,
  [1763] = 1763,
  [1764] = 1754,
  [1765] = 1756,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1734,
  [1769] = 1769,
  [1770] = 1766,
  [1771] = 1745,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1754,
  [1775] = 1775,
  [1776] = 1739,
  [1777] = 1758,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1740,
  [1781] = 1781,
  [1782] = 991,
  [1783] = 1756,
  [1784] = 1784,
  [1785] = 1751,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1745,
  [1789] = 1789,
  [1790] = 1754,
  [1791] = 1758,
  [1792] = 1792,
  [1793] = 1756,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1737,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1751,
  [1802] = 1802,
  [1803] = 1749,
  [1804] = 1804,
  [1805] = 1741,
  [1806] = 1755,
  [1807] = 1775,
  [1808] = 1808,
  [1809] = 1752,
  [1810] = 1734,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1756,
  [1815] = 1754,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1757,
  [1819] = 1751,
  [1820] = 1733,
  [1821] = 1760,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1752,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1754,
  [1829] = 1829,
  [1830] = 992,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1758,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1736,
  [1837] = 1829,
  [1838] = 985,
  [1839] = 1813,
  [1840] = 1840,
  [1841] = 1766,
  [1842] = 1824,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1760,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1816,
  [1849] = 1734,
  [1850] = 1752,
  [1851] = 1851,
  [1852] = 1852,
  [1853] = 1739,
  [1854] = 621,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1800,
  [1858] = 1756,
  [1859] = 1859,
  [1860] = 1860,
  [1861] = 1758,
  [1862] = 1862,
  [1863] = 1817,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1758,
  [1867] = 1739,
  [1868] = 1868,
  [1869] = 1751,
  [1870] = 1870,
  [1871] = 1847,
  [1872] = 1872,
  [1873] = 1752,
  [1874] = 1864,
  [1875] = 1773,
  [1876] = 1795,
  [1877] = 1737,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 620,
  [1882] = 1781,
  [1883] = 1773,
  [1884] = 1775,
  [1885] = 1804,
  [1886] = 1886,
  [1887] = 1745,
  [1888] = 1781,
  [1889] = 1754,
  [1890] = 1734,
  [1891] = 1844,
  [1892] = 1802,
  [1893] = 1775,
  [1894] = 1894,
  [1895] = 1795,
  [1896] = 1824,
  [1897] = 1740,
  [1898] = 1844,
  [1899] = 1800,
  [1900] = 1900,
  [1901] = 1749,
  [1902] = 1902,
  [1903] = 1802,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1795,
  [1907] = 1737,
  [1908] = 1847,
  [1909] = 1909,
  [1910] = 1847,
  [1911] = 1864,
  [1912] = 1804,
  [1913] = 1740,
  [1914] = 1914,
  [1915] = 1733,
  [1916] = 1749,
  [1917] = 1741,
  [1918] = 1755,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1878,
  [1922] = 1813,
  [1923] = 1923,
  [1924] = 1864,
  [1925] = 1816,
  [1926] = 1926,
  [1927] = 1795,
  [1928] = 1758,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1795,
  [1932] = 1795,
  [1933] = 1773,
  [1934] = 1747,
  [1935] = 1935,
  [1936] = 1936,
  [1937] = 1804,
  [1938] = 1797,
  [1939] = 1742,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 1844,
  [1943] = 1943,
  [1944] = 1734,
  [1945] = 1945,
  [1946] = 1844,
  [1947] = 1760,
  [1948] = 1731,
  [1949] = 1949,
  [1950] = 1760,
  [1951] = 1951,
  [1952] = 1731,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1752,
  [1956] = 1760,
  [1957] = 1957,
  [1958] = 1742,
  [1959] = 984,
  [1960] = 1960,
  [1961] = 1731,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 1781,
  [1972] = 1756,
  [1973] = 1757,
  [1974] = 1742,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1742,
  [1978] = 1978,
  [1979] = 1979,
  [1980] = 1757,
};

static TSCharacterRange sym_number_literal_character_set_13[] = {
  {'0', '9'}, {'B', 'B'}, {'D', 'D'}, {'F', 'F'}, {'L', 'L'}, {'U', 'U'}, {'W', 'W'}, {'b', 'b'},
  {'d', 'd'}, {'f', 'f'}, {'l', 'l'}, {'u', 'u'}, {'w', 'w'},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x11280, 0x11286}, {0x11288, 0x11288},
  {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330},
  {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461},
  {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa},
  {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913},
  {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3},
  {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08},
  {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65},
  {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543},
  {0x12f90, 0x12ff0}, {0x13000, 0x1342e}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f},
  {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1},
  {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122},
  {0x1b150, 0x1b152}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b738}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf2}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xecd}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x203f, 0x2040}, {0x2054, 0x2054},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107},
  {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f},
  {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d},
  {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6},
  {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c},
  {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x1123e}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342e}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36},
  {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f},
  {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb},
  {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b150, 0x1b152}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88},
  {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b},
  {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac},
  {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539},
  {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa},
  {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb},
  {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27},
  {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b},
  {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f},
  {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89},
  {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b738}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(120);
      ADVANCE_MAP(
        '!', 187,
        '"', 286,
        '#', 75,
        '%', 204,
        '&', 213,
        '\'', 277,
        '(', 124,
        ')', 127,
        '*', 200,
        '+', 195,
        ',', 126,
        '-', 190,
        '.', 253,
        '/', 202,
        '0', 259,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        'L', 298,
        'U', 300,
        '[', 233,
        '\\', 2,
        ']', 234,
        '^', 210,
        'u', 302,
        '{', 230,
        '|', 207,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(43);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(43);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(46);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(46);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(45);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(45);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(47);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(47);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(49);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(49);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(53);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(53);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(52);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(52);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(57);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(57);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(50);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(50);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(51);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(51);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(48);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(48);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(25);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(25);
      if (lookahead == '\r') SKIP(23);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '\n', 129,
        '!', 68,
        '%', 203,
        '&', 212,
        '(', 185,
        '*', 199,
        '+', 194,
        '-', 189,
        '/', 201,
        '<', 221,
        '=', 69,
        '>', 217,
      );
      if (lookahead == '\\') SKIP(24);
      if (lookahead == '^') ADVANCE(209);
      if (lookahead == '|') ADVANCE(208);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(56);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(56);
      if (lookahead == '\r') SKIP(26);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(54);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(54);
      if (lookahead == '\r') SKIP(28);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(55);
      if (lookahead == '"') ADVANCE(286);
      if (lookahead == '/') ADVANCE(287);
      if (lookahead == '\\') ADVANCE(31);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(290);
      if (lookahead != 0) ADVANCE(291);
      END_STATE();
    case 31:
      if (lookahead == '\n') ADVANCE(293);
      if (lookahead == '\r') ADVANCE(292);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      if (lookahead == 'x') ADVANCE(104);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(295);
      if (lookahead != 0) ADVANCE(292);
      END_STATE();
    case 32:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '\r') ADVANCE(36);
      if (lookahead == '(') ADVANCE(124);
      if (lookahead == '/') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(145);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 33:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '\r') ADVANCE(36);
      if (lookahead == '/') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(145);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 34:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '\r') ADVANCE(35);
      if (lookahead == '(') ADVANCE(185);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(59);
      END_STATE();
    case 35:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '(') ADVANCE(185);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      END_STATE();
    case 36:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '/') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(145);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(58);
      if (lookahead == '\'') ADVANCE(277);
      if (lookahead == '/') ADVANCE(280);
      if (lookahead == '\\') ADVANCE(279);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(281);
      if (lookahead != 0) ADVANCE(278);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(59);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(59);
      if (lookahead == '\r') SKIP(38);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(44);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(44);
      if (lookahead == '\r') SKIP(40);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 42:
      if (lookahead == '\r') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(313);
      if (lookahead != 0) ADVANCE(318);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 187,
        '"', 286,
        '#', 75,
        '%', 204,
        '&', 213,
        '\'', 277,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 195,
        ',', 126,
        '-', 190,
        '.', 253,
        '/', 202,
        '0', 259,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        'L', 298,
        'U', 300,
        '[', 233,
        '\\', 2,
        ']', 234,
        '^', 210,
        'u', 302,
        '{', 230,
        '|', 207,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 187,
        '"', 286,
        '#', 83,
        '%', 204,
        '&', 213,
        '\'', 277,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 195,
        ',', 126,
        '-', 190,
        '.', 253,
        '/', 202,
        '0', 259,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        'L', 298,
        'U', 300,
        '[', 232,
        '\\', 41,
        ']', 234,
        '^', 210,
        'u', 302,
        '{', 230,
        '|', 207,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 186,
        '"', 286,
        '#', 75,
        '&', 211,
        '\'', 277,
        '(', 185,
        '*', 199,
        '+', 196,
        ',', 126,
        '-', 191,
        '.', 96,
        '/', 60,
        '0', 259,
        ':', 67,
        ';', 226,
        'L', 298,
        'U', 300,
        '[', 73,
        '\\', 6,
        ']', 74,
        'u', 302,
        '{', 230,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 186,
        '"', 286,
        '#', 79,
        '&', 211,
        '\'', 277,
        '(', 185,
        ')', 127,
        '*', 199,
        '+', 196,
        ',', 126,
        '-', 191,
        '.', 254,
        '/', 60,
        '0', 259,
        ':', 237,
        ';', 226,
        '=', 235,
        'L', 298,
        'U', 300,
        '[', 233,
        '\\', 4,
        ']', 234,
        'u', 302,
        '{', 230,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 186,
        '"', 286,
        '#', 77,
        '&', 211,
        '\'', 277,
        '(', 185,
        '*', 199,
        '+', 196,
        '-', 191,
        '.', 96,
        '/', 60,
        '0', 259,
        ';', 226,
        'L', 298,
        'U', 300,
        '[', 73,
        '\\', 8,
        'u', 302,
        '{', 230,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 186,
        '\'', 277,
        '(', 185,
        ')', 127,
        '+', 198,
        '-', 193,
        '.', 96,
        '/', 60,
        '0', 259,
        'L', 306,
        'U', 307,
        '\\', 22,
        'u', 308,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 68,
        '"', 286,
        '#', 83,
        '%', 204,
        '&', 213,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 197,
        ',', 126,
        '-', 192,
        '.', 252,
        '/', 202,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        'L', 299,
        'U', 301,
        '[', 233,
        '\\', 10,
        ']', 234,
        '^', 210,
        'u', 303,
        '|', 207,
        '}', 231,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 68,
        '#', 83,
        '%', 204,
        '&', 213,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 197,
        ',', 126,
        '-', 192,
        '.', 252,
        '/', 202,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        '[', 233,
        '\\', 18,
        ']', 234,
        '^', 210,
        '{', 230,
        '|', 207,
        '}', 231,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 68,
        '#', 83,
        '%', 204,
        '&', 213,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 197,
        ',', 126,
        '-', 192,
        '.', 251,
        '/', 202,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        '[', 232,
        '\\', 20,
        ']', 74,
        '^', 210,
        '|', 207,
        '}', 231,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 68,
        '#', 80,
        '%', 203,
        '&', 212,
        '(', 185,
        ')', 127,
        '*', 199,
        '+', 194,
        ',', 126,
        '-', 189,
        '/', 201,
        ';', 226,
        '<', 221,
        '=', 236,
        '>', 217,
        '[', 233,
        '\\', 14,
        '^', 209,
        '{', 230,
        '|', 208,
        '}', 231,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 68,
        '#', 76,
        '%', 204,
        '&', 213,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 197,
        ',', 126,
        '-', 192,
        '.', 252,
        '/', 202,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        '[', 233,
        '\\', 12,
        '^', 210,
        '{', 230,
        '|', 207,
        '}', 231,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 54:
      if (lookahead == '"') ADVANCE(286);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '<') ADVANCE(70);
      if (lookahead == 'L') ADVANCE(299);
      if (lookahead == 'U') ADVANCE(301);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == 'u') ADVANCE(303);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 55:
      if (lookahead == '"') ADVANCE(286);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(31);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      END_STATE();
    case 56:
      if (lookahead == '#') ADVANCE(93);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '}') ADVANCE(231);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 57:
      if (lookahead == '#') ADVANCE(78);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(16);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 58:
      if (lookahead == '\'') ADVANCE(277);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(31);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      END_STATE();
    case 59:
      if (lookahead == '(') ADVANCE(185);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      END_STATE();
    case 60:
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(318);
      END_STATE();
    case 61:
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '/') ADVANCE(311);
      if (lookahead != 0) ADVANCE(62);
      END_STATE();
    case 62:
      if (lookahead == '*') ADVANCE(61);
      if (lookahead != 0) ADVANCE(62);
      END_STATE();
    case 63:
      if (lookahead == '*') ADVANCE(61);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 64:
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(257);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(258);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(267);
      END_STATE();
    case 65:
      if (lookahead == '.') ADVANCE(125);
      END_STATE();
    case 66:
      if (lookahead == '/') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(145);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 67:
      if (lookahead == ':') ADVANCE(227);
      END_STATE();
    case 68:
      if (lookahead == '=') ADVANCE(215);
      END_STATE();
    case 69:
      if (lookahead == '=') ADVANCE(214);
      END_STATE();
    case 70:
      if (lookahead == '>') ADVANCE(296);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(70);
      END_STATE();
    case 71:
      if (lookahead == '>') ADVANCE(297);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 73:
      if (lookahead == '[') ADVANCE(228);
      END_STATE();
    case 74:
      if (lookahead == ']') ADVANCE(229);
      END_STATE();
    case 75:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'e') ADVANCE(179);
      if (lookahead == 'i') ADVANCE(167);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 76:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'e') ADVANCE(179);
      if (lookahead == 'i') ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 77:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'e') ADVANCE(181);
      if (lookahead == 'i') ADVANCE(167);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 78:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'e') ADVANCE(181);
      if (lookahead == 'i') ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 79:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'i') ADVANCE(167);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 80:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'i') ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 81:
      if (lookahead == 'd') ADVANCE(92);
      END_STATE();
    case 82:
      if (lookahead == 'd') ADVANCE(86);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(94);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(83);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 87:
      if (lookahead == 'f') ADVANCE(136);
      END_STATE();
    case 88:
      if (lookahead == 'f') ADVANCE(130);
      END_STATE();
    case 89:
      if (lookahead == 'f') ADVANCE(138);
      END_STATE();
    case 90:
      if (lookahead == 'f') ADVANCE(140);
      END_STATE();
    case 91:
      if (lookahead == 'i') ADVANCE(87);
      if (lookahead == 's') ADVANCE(84);
      END_STATE();
    case 92:
      if (lookahead == 'i') ADVANCE(88);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(81);
      END_STATE();
    case 95:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 96:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(256);
      END_STATE();
    case 97:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(258);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(267);
      END_STATE();
    case 98:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(310);
      END_STATE();
    case 99:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(264);
      END_STATE();
    case 100:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(267);
      END_STATE();
    case 101:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(262);
      END_STATE();
    case 102:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(292);
      END_STATE();
    case 103:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(98);
      END_STATE();
    case 104:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(102);
      END_STATE();
    case 105:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(103);
      END_STATE();
    case 106:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 107:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(105);
      END_STATE();
    case 108:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(106);
      END_STATE();
    case 109:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 110:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(108);
      END_STATE();
    case 111:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(109);
      END_STATE();
    case 112:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 113:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 114:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 115:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 116:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      END_STATE();
    case 117:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(152);
      END_STATE();
    case 118:
      if (eof) ADVANCE(120);
      ADVANCE_MAP(
        '!', 187,
        '"', 286,
        '#', 75,
        '%', 204,
        '&', 213,
        '\'', 277,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 195,
        ',', 126,
        '-', 190,
        '.', 253,
        '/', 202,
        '0', 259,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        'L', 298,
        'U', 300,
        '[', 233,
        '\\', 2,
        ']', 234,
        '^', 210,
        'u', 302,
        '{', 230,
        '|', 207,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 119:
      if (eof) ADVANCE(120);
      ADVANCE_MAP(
        '!', 186,
        '"', 286,
        '#', 79,
        '&', 211,
        '\'', 277,
        '(', 185,
        ')', 127,
        '*', 199,
        '+', 196,
        ',', 126,
        '-', 191,
        '.', 254,
        '/', 60,
        '0', 259,
        ':', 237,
        ';', 226,
        '=', 235,
        'L', 298,
        'U', 300,
        '[', 233,
        '\\', 4,
        ']', 234,
        'u', 302,
        '{', 230,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(163);
      if (lookahead == 'n') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(129);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(85);
      if (lookahead == 'n') ADVANCE(82);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(165);
      if (lookahead == 'n') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(62);
      if (lookahead == '*') ADVANCE(142);
      if (lookahead == '/') ADVANCE(311);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(62);
      if (lookahead == '*') ADVANCE(142);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(318);
      if (lookahead == '\r') ADVANCE(312);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(314);
      if (lookahead != 0) ADVANCE(316);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(66);
      if (lookahead == '\r') ADVANCE(146);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(66);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(153);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(151);
      if (lookahead == '*') ADVANCE(142);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(317);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(314);
      if (lookahead != 0) ADVANCE(316);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(143);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(152);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(142);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(180);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(175);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(128);
      if (lookahead == 'n') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(137);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(132);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(170);
      if (lookahead == 's') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(177);
      if (lookahead == 'n') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(215);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(249);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(255);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(249);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(249);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(255);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(250);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (lookahead == '=') ADVANCE(242);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(250);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(250);
      if (lookahead == '=') ADVANCE(242);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(239);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(318);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(318);
      if (lookahead == '=') ADVANCE(240);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(241);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(248);
      if (lookahead == '|') ADVANCE(205);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(205);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(247);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(206);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(206);
      if (lookahead == '=') ADVANCE(246);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(225);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(224);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(223);
      if (lookahead == '=') ADVANCE(219);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(222);
      if (lookahead == '=') ADVANCE(219);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(244);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(245);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(228);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(214);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(65);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(256);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(256);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(96);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(256);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(272);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 97,
        '.', 270,
        'B', 266,
        'b', 266,
        'E', 265,
        'e', 265,
        'P', 269,
        'p', 269,
        'X', 100,
        'x', 100,
        'A', 267,
        'C', 267,
        'a', 267,
        'c', 267,
        'D', 267,
        'F', 267,
        'd', 267,
        'f', 267,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(258);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 97,
        '.', 270,
        'E', 265,
        'e', 265,
        'P', 269,
        'p', 269,
        'A', 267,
        'C', 267,
        'a', 267,
        'c', 267,
        'B', 267,
        'D', 267,
        'F', 267,
        'b', 267,
        'd', 267,
        'f', 267,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(258);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 95,
        '.', 270,
        'B', 268,
        'b', 268,
        'X', 64,
        'x', 64,
        'E', 269,
        'P', 269,
        'e', 269,
        'p', 269,
        'D', 272,
        'F', 272,
        'L', 272,
        'U', 272,
        'W', 272,
        'd', 272,
        'f', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 95,
        '.', 270,
        'B', 271,
        'b', 271,
        'X', 100,
        'x', 100,
        'E', 269,
        'P', 269,
        'e', 269,
        'p', 269,
        'D', 272,
        'F', 272,
        'L', 272,
        'U', 272,
        'W', 272,
        'd', 272,
        'f', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(95);
      if (lookahead == '.') ADVANCE(270);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(272);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 101,
        'B', 262,
        'D', 262,
        'F', 262,
        'b', 262,
        'd', 262,
        'f', 262,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(262);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 99,
        '+', 101,
        '-', 101,
        'E', 263,
        'e', 263,
        'P', 269,
        'p', 269,
        'B', 264,
        'D', 264,
        'F', 264,
        'b', 264,
        'd', 264,
        'f', 264,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(264);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 99,
        'E', 263,
        'e', 263,
        'P', 269,
        'p', 269,
        'B', 264,
        'D', 264,
        'F', 264,
        'b', 264,
        'd', 264,
        'f', 264,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(264);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 100,
        '.', 270,
        '+', 101,
        '-', 101,
        'E', 265,
        'e', 265,
        'P', 269,
        'p', 269,
        'B', 267,
        'D', 267,
        'F', 267,
        'b', 267,
        'd', 267,
        'f', 267,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(267);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 100,
        '.', 270,
        'E', 265,
        'e', 265,
        'P', 269,
        'p', 269,
        'A', 267,
        'C', 267,
        'a', 267,
        'c', 267,
        'B', 267,
        'D', 267,
        'F', 267,
        'b', 267,
        'd', 267,
        'f', 267,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(258);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 100,
        '.', 270,
        'E', 265,
        'e', 265,
        'P', 269,
        'p', 269,
        'B', 267,
        'D', 267,
        'F', 267,
        'b', 267,
        'd', 267,
        'f', 267,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(267);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(260);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(272);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '+', 101,
        '-', 101,
        'B', 262,
        'D', 262,
        'F', 262,
        'b', 262,
        'd', 262,
        'f', 262,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(262);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'E', 263,
        'e', 263,
        'P', 269,
        'p', 269,
        'B', 264,
        'D', 264,
        'F', 264,
        'b', 264,
        'd', 264,
        'f', 264,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(264);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_number_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(272);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'B', 272,
        'D', 272,
        'F', 272,
        'L', 272,
        'U', 272,
        'W', 272,
        'b', 272,
        'd', 272,
        'f', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(293);
      if (lookahead == '\r') ADVANCE(292);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      if (lookahead == 'x') ADVANCE(104);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(295);
      if (lookahead != 0) ADVANCE(292);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(318);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(31);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(289);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(291);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(288);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(289);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(288);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(289);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(287);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(290);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(291);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(291);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(31);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(292);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(294);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(296);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(70);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(282);
      if (lookahead == '\'') ADVANCE(273);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(282);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(284);
      if (lookahead == '\'') ADVANCE(275);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(284);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(283);
      if (lookahead == '\'') ADVANCE(274);
      if (lookahead == '8') ADVANCE(304);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(283);
      if (lookahead == '8') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(285);
      if (lookahead == '\'') ADVANCE(276);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(285);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(273);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(275);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(274);
      if (lookahead == '8') ADVANCE(309);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(276);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(318);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead != 0) ADVANCE(316);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(313);
      if (lookahead != 0) ADVANCE(318);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(317);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(314);
      if (lookahead != 0) ADVANCE(316);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(318);
      if (lookahead == '\\') ADVANCE(144);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(316);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(316);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead != 0) ADVANCE(316);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(318);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead != 0) ADVANCE(318);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4);
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'm') ADVANCE(15);
      if (lookahead == 'n') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      if (lookahead == 'p') ADVANCE(18);
      if (lookahead == 'r') ADVANCE(19);
      if (lookahead == 's') ADVANCE(20);
      if (lookahead == 't') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      if (lookahead == 'v') ADVANCE(23);
      if (lookahead == 'w') ADVANCE(24);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'A') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'U') ADVANCE(26);
      END_STATE();
    case 3:
      if (lookahead == 'R') ADVANCE(27);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(28);
      END_STATE();
    case 5:
      if (lookahead == 'A') ADVANCE(29);
      if (lookahead == 'G') ADVANCE(30);
      if (lookahead == 'N') ADVANCE(31);
      if (lookahead == '_') ADVANCE(32);
      if (lookahead == 'a') ADVANCE(33);
      if (lookahead == 'u') ADVANCE(34);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(35);
      if (lookahead == 's') ADVANCE(36);
      if (lookahead == 'u') ADVANCE(37);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(40);
      if (lookahead == 'h') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 'o') ADVANCE(44);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(47);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'l') ADVANCE(49);
      if (lookahead == 'o') ADVANCE(50);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(51);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(52);
      if (lookahead == 'n') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'o') ADVANCE(54);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(55);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 17:
      if (lookahead == 'f') ADVANCE(58);
      END_STATE();
    case 18:
      if (lookahead == 't') ADVANCE(59);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(62);
      if (lookahead == 's') ADVANCE(63);
      if (lookahead == 't') ADVANCE(64);
      if (lookahead == 'w') ADVANCE(65);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(66);
      if (lookahead == 'r') ADVANCE(67);
      if (lookahead == 'y') ADVANCE(68);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(69);
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(71);
      END_STATE();
    case 24:
      if (lookahead == 'h') ADVANCE(72);
      END_STATE();
    case 25:
      if (lookahead == 'L') ADVANCE(73);
      END_STATE();
    case 26:
      if (lookahead == 'L') ADVANCE(74);
      END_STATE();
    case 27:
      if (lookahead == 'U') ADVANCE(75);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(76);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 31:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        'a', 80,
        'b', 81,
        'c', 82,
        'd', 83,
        'e', 84,
        'f', 85,
        'i', 86,
        'l', 87,
        'r', 88,
        's', 89,
        't', 90,
        'u', 91,
        'v', 92,
      );
      END_STATE();
    case 33:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 36:
      if (lookahead == 'm') ADVANCE(96);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 40:
      if (lookahead == 's') ADVANCE(100);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 42:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'f') ADVANCE(103);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(104);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(105);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(109);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(110);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(111);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(112);
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 54:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 55:
      if (lookahead == 'x') ADVANCE(115);
      END_STATE();
    case 56:
      if (lookahead == 'r') ADVANCE(116);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(117);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(118);
      END_STATE();
    case 59:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(120);
      if (lookahead == 's') ADVANCE(121);
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 61:
      if (lookahead == 'o') ADVANCE(123);
      END_STATE();
    case 62:
      if (lookahead == 'g') ADVANCE(124);
      if (lookahead == 'z') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'a') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(129);
      END_STATE();
    case 66:
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 67:
      if (lookahead == 'u') ADVANCE(131);
      END_STATE();
    case 68:
      if (lookahead == 'p') ADVANCE(132);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(134);
      if (lookahead == 's') ADVANCE(135);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(136);
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(138);
      END_STATE();
    case 73:
      if (lookahead == 'S') ADVANCE(139);
      END_STATE();
    case 74:
      if (lookahead == 'L') ADVANCE(140);
      END_STATE();
    case 75:
      if (lookahead == 'E') ADVANCE(141);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 77:
      if (lookahead == 'o') ADVANCE(143);
      END_STATE();
    case 78:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 79:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(146);
      if (lookahead == 's') ADVANCE(147);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 82:
      if (lookahead == 'd') ADVANCE(150);
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(152);
      END_STATE();
    case 84:
      if (lookahead == 'x') ADVANCE(153);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(154);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 86:
      if (lookahead == 'n') ADVANCE(157);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 89:
      if (lookahead == 'p') ADVANCE(160);
      if (lookahead == 't') ADVANCE(161);
      END_STATE();
    case 90:
      if (lookahead == 'h') ADVANCE(162);
      if (lookahead == 'r') ADVANCE(163);
      END_STATE();
    case 91:
      if (lookahead == 'n') ADVANCE(164);
      if (lookahead == 'p') ADVANCE(165);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(166);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 95:
      if (lookahead == 'g') ADVANCE(169);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 97:
      if (lookahead == 'o') ADVANCE(170);
      END_STATE();
    case 98:
      if (lookahead == 'l') ADVANCE(171);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(172);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 102:
      if (lookahead == 's') ADVANCE(175);
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(177);
      if (lookahead == 'i') ADVANCE(178);
      END_STATE();
    case 104:
      if (lookahead == 'b') ADVANCE(179);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 106:
      if (lookahead == 'm') ADVANCE(181);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 108:
      if (lookahead == 's') ADVANCE(183);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(184);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 111:
      if (lookahead == 'o') ADVANCE(185);
      END_STATE();
    case 112:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(187);
      if (lookahead == '3') ADVANCE(188);
      if (lookahead == '6') ADVANCE(189);
      if (lookahead == '8') ADVANCE(190);
      if (lookahead == 'p') ADVANCE(191);
      END_STATE();
    case 114:
      if (lookahead == 'g') ADVANCE(192);
      END_STATE();
    case 115:
      if (lookahead == '_') ADVANCE(193);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 118:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 119:
      if (lookahead == 'd') ADVANCE(197);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(198);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(199);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(200);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(201);
      END_STATE();
    case 124:
      if (lookahead == 'n') ADVANCE(202);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 126:
      if (lookahead == 'z') ADVANCE(204);
      END_STATE();
    case 127:
      if (lookahead == 't') ADVANCE(205);
      END_STATE();
    case 128:
      if (lookahead == 'u') ADVANCE(206);
      END_STATE();
    case 129:
      if (lookahead == 't') ADVANCE(207);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(141);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 133:
      if (lookahead == 't') ADVANCE(210);
      END_STATE();
    case 134:
      if (lookahead == 'o') ADVANCE(211);
      END_STATE();
    case 135:
      if (lookahead == 'i') ADVANCE(212);
      END_STATE();
    case 136:
      if (lookahead == 'd') ADVANCE(171);
      END_STATE();
    case 137:
      if (lookahead == 'a') ADVANCE(213);
      END_STATE();
    case 138:
      if (lookahead == 'l') ADVANCE(214);
      END_STATE();
    case 139:
      if (lookahead == 'E') ADVANCE(215);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 142:
      if (lookahead == 'g') ADVANCE(216);
      END_STATE();
    case 143:
      if (lookahead == 'm') ADVANCE(217);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(219);
      END_STATE();
    case 146:
      if (lookahead == 'i') ADVANCE(220);
      END_STATE();
    case 147:
      if (lookahead == 'm') ADVANCE(221);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(222);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(223);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(224);
      END_STATE();
    case 151:
      if (lookahead == 'r') ADVANCE(225);
      END_STATE();
    case 152:
      if (lookahead == 'c') ADVANCE(226);
      END_STATE();
    case 153:
      if (lookahead == 'c') ADVANCE(227);
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 154:
      if (lookahead == 's') ADVANCE(229);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(230);
      END_STATE();
    case 156:
      if (lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 157:
      if (lookahead == 'l') ADVANCE(232);
      END_STATE();
    case 158:
      if (lookahead == 'a') ADVANCE(233);
      END_STATE();
    case 159:
      if (lookahead == 's') ADVANCE(234);
      END_STATE();
    case 160:
      if (lookahead == 't') ADVANCE(235);
      END_STATE();
    case 161:
      if (lookahead == 'd') ADVANCE(236);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(237);
      if (lookahead == 'r') ADVANCE(238);
      END_STATE();
    case 163:
      if (lookahead == 'y') ADVANCE(239);
      END_STATE();
    case 164:
      if (lookahead == 'a') ADVANCE(240);
      END_STATE();
    case 165:
      if (lookahead == 't') ADVANCE(241);
      END_STATE();
    case 166:
      if (lookahead == 'c') ADVANCE(242);
      END_STATE();
    case 167:
      if (lookahead == 'g') ADVANCE(243);
      END_STATE();
    case 168:
      if (lookahead == 'l') ADVANCE(244);
      END_STATE();
    case 169:
      if (lookahead == 'n') ADVANCE(245);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_auto);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_primitive_type);
      END_STATE();
    case 172:
      if (lookahead == 'k') ADVANCE(246);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(247);
      if (lookahead == '3') ADVANCE(248);
      if (lookahead == '6') ADVANCE(249);
      if (lookahead == '8') ADVANCE(250);
      if (lookahead == 'p') ADVANCE(251);
      END_STATE();
    case 175:
      if (lookahead == 't') ADVANCE(252);
      END_STATE();
    case 176:
      if (lookahead == 'i') ADVANCE(253);
      END_STATE();
    case 177:
      if (lookahead == 'u') ADVANCE(254);
      END_STATE();
    case 178:
      if (lookahead == 'n') ADVANCE(255);
      END_STATE();
    case 179:
      if (lookahead == 'l') ADVANCE(256);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 182:
      if (lookahead == 'r') ADVANCE(257);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 184:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 186:
      if (lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 187:
      if (lookahead == '6') ADVANCE(259);
      END_STATE();
    case 188:
      if (lookahead == '2') ADVANCE(260);
      END_STATE();
    case 189:
      if (lookahead == '4') ADVANCE(261);
      END_STATE();
    case 190:
      if (lookahead == '_') ADVANCE(262);
      END_STATE();
    case 191:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 193:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(265);
      END_STATE();
    case 195:
      if (lookahead == 'p') ADVANCE(266);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 197:
      if (lookahead == 'i') ADVANCE(268);
      END_STATE();
    case 198:
      if (lookahead == 's') ADVANCE(269);
      END_STATE();
    case 199:
      if (lookahead == 'r') ADVANCE(270);
      END_STATE();
    case 200:
      if (lookahead == 'r') ADVANCE(271);
      END_STATE();
    case 201:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 202:
      if (lookahead == 'e') ADVANCE(273);
      END_STATE();
    case 203:
      if (lookahead == '_') ADVANCE(274);
      if (lookahead == 'o') ADVANCE(275);
      END_STATE();
    case 204:
      if (lookahead == 'e') ADVANCE(276);
      END_STATE();
    case 205:
      if (lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 206:
      if (lookahead == 'c') ADVANCE(278);
      END_STATE();
    case 207:
      if (lookahead == 'c') ADVANCE(279);
      END_STATE();
    case 208:
      if (lookahead == 'a') ADVANCE(280);
      END_STATE();
    case 209:
      if (lookahead == 'd') ADVANCE(281);
      END_STATE();
    case 210:
      if (lookahead == '1') ADVANCE(282);
      if (lookahead == '3') ADVANCE(283);
      if (lookahead == '6') ADVANCE(284);
      if (lookahead == '8') ADVANCE(285);
      if (lookahead == 'p') ADVANCE(286);
      END_STATE();
    case 211:
      if (lookahead == 'n') ADVANCE(287);
      END_STATE();
    case 212:
      if (lookahead == 'g') ADVANCE(288);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(289);
      END_STATE();
    case 214:
      if (lookahead == 'e') ADVANCE(290);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 216:
      if (lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 217:
      if (lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 218:
      if (lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 219:
      if (lookahead == 't') ADVANCE(294);
      END_STATE();
    case 220:
      if (lookahead == 'g') ADVANCE(295);
      END_STATE();
    case 221:
      if (lookahead == '_') ADVANCE(296);
      END_STATE();
    case 222:
      if (lookahead == 'r') ADVANCE(297);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(298);
      END_STATE();
    case 224:
      if (lookahead == 'c') ADVANCE(299);
      END_STATE();
    case 225:
      if (lookahead == 'c') ADVANCE(300);
      END_STATE();
    case 226:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 227:
      if (lookahead == 'e') ADVANCE(302);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(303);
      END_STATE();
    case 229:
      if (lookahead == 't') ADVANCE(304);
      END_STATE();
    case 230:
      if (lookahead == 'a') ADVANCE(305);
      END_STATE();
    case 231:
      if (lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 232:
      if (lookahead == 'i') ADVANCE(307);
      END_STATE();
    case 233:
      if (lookahead == 'v') ADVANCE(308);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(309);
      END_STATE();
    case 235:
      if (lookahead == 'r') ADVANCE(310);
      END_STATE();
    case 236:
      if (lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 237:
      if (lookahead == 's') ADVANCE(312);
      END_STATE();
    case 238:
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(314);
      END_STATE();
    case 241:
      if (lookahead == 'r') ADVANCE(315);
      END_STATE();
    case 242:
      if (lookahead == 't') ADVANCE(316);
      END_STATE();
    case 243:
      if (lookahead == 'n') ADVANCE(317);
      END_STATE();
    case 244:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 245:
      if (lookahead == 'a') ADVANCE(319);
      if (lookahead == 'o') ADVANCE(320);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 247:
      if (lookahead == '6') ADVANCE(321);
      END_STATE();
    case 248:
      if (lookahead == '2') ADVANCE(322);
      END_STATE();
    case 249:
      if (lookahead == '4') ADVANCE(323);
      END_STATE();
    case 250:
      if (lookahead == '_') ADVANCE(324);
      END_STATE();
    case 251:
      if (lookahead == 't') ADVANCE(325);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(326);
      END_STATE();
    case 253:
      if (lookahead == 'n') ADVANCE(327);
      END_STATE();
    case 254:
      if (lookahead == 'l') ADVANCE(328);
      END_STATE();
    case 255:
      if (lookahead == 'e') ADVANCE(329);
      END_STATE();
    case 256:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 257:
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 258:
      if (lookahead == 'e') ADVANCE(331);
      END_STATE();
    case 259:
      if (lookahead == '_') ADVANCE(332);
      END_STATE();
    case 260:
      if (lookahead == '_') ADVANCE(333);
      END_STATE();
    case 261:
      if (lookahead == '_') ADVANCE(334);
      END_STATE();
    case 262:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 263:
      if (lookahead == 'r') ADVANCE(335);
      END_STATE();
    case 264:
      if (lookahead == 'l') ADVANCE(336);
      END_STATE();
    case 265:
      if (lookahead == 'u') ADVANCE(337);
      END_STATE();
    case 266:
      if (lookahead == 't') ADVANCE(338);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(339);
      END_STATE();
    case 268:
      if (lookahead == 'f') ADVANCE(340);
      END_STATE();
    case 269:
      if (lookahead == 't') ADVANCE(341);
      END_STATE();
    case 270:
      if (lookahead == 'i') ADVANCE(342);
      END_STATE();
    case 271:
      if (lookahead == 'n') ADVANCE(343);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 273:
      if (lookahead == 'd') ADVANCE(344);
      END_STATE();
    case 274:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 275:
      if (lookahead == 'f') ADVANCE(345);
      END_STATE();
    case 276:
      if (lookahead == '_') ADVANCE(346);
      END_STATE();
    case 277:
      if (lookahead == 'c') ADVANCE(347);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(348);
      END_STATE();
    case 279:
      if (lookahead == 'h') ADVANCE(349);
      END_STATE();
    case 280:
      if (lookahead == 'd') ADVANCE(350);
      END_STATE();
    case 281:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 282:
      if (lookahead == '6') ADVANCE(352);
      END_STATE();
    case 283:
      if (lookahead == '2') ADVANCE(353);
      END_STATE();
    case 284:
      if (lookahead == '4') ADVANCE(354);
      END_STATE();
    case 285:
      if (lookahead == '_') ADVANCE(355);
      END_STATE();
    case 286:
      if (lookahead == 't') ADVANCE(356);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 288:
      if (lookahead == 'n') ADVANCE(357);
      END_STATE();
    case 289:
      if (lookahead == 'i') ADVANCE(358);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 291:
      if (lookahead == 'a') ADVANCE(359);
      if (lookahead == 'o') ADVANCE(360);
      END_STATE();
    case 292:
      if (lookahead == 'c') ADVANCE(361);
      END_STATE();
    case 293:
      if (lookahead == 'i') ADVANCE(362);
      END_STATE();
    case 294:
      if (lookahead == 'u') ADVANCE(363);
      END_STATE();
    case 295:
      if (lookahead == 'n') ADVANCE(364);
      END_STATE();
    case 296:
      if (lookahead == '_') ADVANCE(365);
      END_STATE();
    case 297:
      if (lookahead == 'i') ADVANCE(366);
      END_STATE();
    case 298:
      if (lookahead == 'd') ADVANCE(367);
      END_STATE();
    case 299:
      if (lookahead == 'l') ADVANCE(368);
      END_STATE();
    case 300:
      if (lookahead == 'a') ADVANCE(369);
      END_STATE();
    case 301:
      if (lookahead == 's') ADVANCE(370);
      END_STATE();
    case 302:
      if (lookahead == 'p') ADVANCE(371);
      END_STATE();
    case 303:
      if (lookahead == 'n') ADVANCE(372);
      END_STATE();
    case 304:
      if (lookahead == 'c') ADVANCE(373);
      END_STATE();
    case 305:
      if (lookahead == 'l') ADVANCE(374);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(375);
      END_STATE();
    case 307:
      if (lookahead == 'n') ADVANCE(376);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(377);
      END_STATE();
    case 309:
      if (lookahead == 'r') ADVANCE(378);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 311:
      if (lookahead == 'a') ADVANCE(379);
      END_STATE();
    case 312:
      if (lookahead == 'c') ADVANCE(380);
      END_STATE();
    case 313:
      if (lookahead == 'a') ADVANCE(381);
      END_STATE();
    case 314:
      if (lookahead == 'i') ADVANCE(382);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 316:
      if (lookahead == 'o') ADVANCE(383);
      END_STATE();
    case 317:
      if (lookahead == 'o') ADVANCE(384);
      END_STATE();
    case 318:
      if (lookahead == 'g') ADVANCE(385);
      END_STATE();
    case 319:
      if (lookahead == 's') ADVANCE(386);
      END_STATE();
    case 320:
      if (lookahead == 'f') ADVANCE(387);
      END_STATE();
    case 321:
      if (lookahead == '_') ADVANCE(388);
      END_STATE();
    case 322:
      if (lookahead == '_') ADVANCE(389);
      END_STATE();
    case 323:
      if (lookahead == '_') ADVANCE(390);
      END_STATE();
    case 324:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 325:
      if (lookahead == 'r') ADVANCE(391);
      END_STATE();
    case 326:
      if (lookahead == 'x') ADVANCE(392);
      END_STATE();
    case 327:
      if (lookahead == 'u') ADVANCE(393);
      END_STATE();
    case 328:
      if (lookahead == 't') ADVANCE(394);
      END_STATE();
    case 329:
      if (lookahead == 'd') ADVANCE(395);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 332:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 333:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 334:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 335:
      if (lookahead == '_') ADVANCE(396);
      END_STATE();
    case 336:
      if (lookahead == 'i') ADVANCE(397);
      END_STATE();
    case 337:
      if (lookahead == 'r') ADVANCE(398);
      END_STATE();
    case 338:
      if (lookahead == 'r') ADVANCE(399);
      END_STATE();
    case 339:
      if (lookahead == 'o') ADVANCE(400);
      END_STATE();
    case 340:
      if (lookahead == 'f') ADVANCE(401);
      END_STATE();
    case 341:
      if (lookahead == 'e') ADVANCE(402);
      END_STATE();
    case 342:
      if (lookahead == 'c') ADVANCE(403);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 346:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 350:
      if (lookahead == '_') ADVANCE(404);
      END_STATE();
    case 351:
      if (lookahead == 'f') ADVANCE(405);
      END_STATE();
    case 352:
      if (lookahead == '_') ADVANCE(406);
      END_STATE();
    case 353:
      if (lookahead == '_') ADVANCE(407);
      END_STATE();
    case 354:
      if (lookahead == '_') ADVANCE(408);
      END_STATE();
    case 355:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 356:
      if (lookahead == 'r') ADVANCE(409);
      END_STATE();
    case 357:
      if (lookahead == 'e') ADVANCE(410);
      END_STATE();
    case 358:
      if (lookahead == 'l') ADVANCE(411);
      END_STATE();
    case 359:
      if (lookahead == 's') ADVANCE(412);
      END_STATE();
    case 360:
      if (lookahead == 'f') ADVANCE(413);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 362:
      if (lookahead == 'c') ADVANCE(414);
      END_STATE();
    case 363:
      if (lookahead == 'r') ADVANCE(415);
      END_STATE();
    case 364:
      if (lookahead == 'o') ADVANCE(416);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 366:
      if (lookahead == 'b') ADVANCE(417);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 369:
      if (lookahead == 'l') ADVANCE(418);
      END_STATE();
    case 370:
      if (lookahead == 'p') ADVANCE(419);
      END_STATE();
    case 371:
      if (lookahead == 't') ADVANCE(420);
      END_STATE();
    case 372:
      if (lookahead == 's') ADVANCE(421);
      END_STATE();
    case 373:
      if (lookahead == 'a') ADVANCE(422);
      END_STATE();
    case 374:
      if (lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 375:
      if (lookahead == 'i') ADVANCE(424);
      END_STATE();
    case 376:
      if (lookahead == 'e') ADVANCE(425);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 378:
      if (lookahead == 'i') ADVANCE(426);
      END_STATE();
    case 379:
      if (lookahead == 'l') ADVANCE(427);
      END_STATE();
    case 380:
      if (lookahead == 'a') ADVANCE(428);
      END_STATE();
    case 381:
      if (lookahead == 'd') ADVANCE(429);
      END_STATE();
    case 382:
      if (lookahead == 'g') ADVANCE(430);
      END_STATE();
    case 383:
      if (lookahead == 'r') ADVANCE(431);
      END_STATE();
    case 384:
      if (lookahead == 'f') ADVANCE(432);
      END_STATE();
    case 385:
      if (lookahead == 'n') ADVANCE(433);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 388:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 389:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 390:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 391:
      if (lookahead == '_') ADVANCE(434);
      END_STATE();
    case 392:
      if (lookahead == 'p') ADVANCE(435);
      END_STATE();
    case 393:
      if (lookahead == 'e') ADVANCE(436);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 397:
      if (lookahead == 'g') ADVANCE(437);
      END_STATE();
    case 398:
      if (lookahead == 'n') ADVANCE(438);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_nullptr);
      if (lookahead == '_') ADVANCE(439);
      END_STATE();
    case 400:
      if (lookahead == 'f') ADVANCE(440);
      END_STATE();
    case 401:
      if (lookahead == '_') ADVANCE(441);
      END_STATE();
    case 402:
      if (lookahead == 'r') ADVANCE(442);
      END_STATE();
    case 403:
      if (lookahead == 't') ADVANCE(443);
      END_STATE();
    case 404:
      if (lookahead == 'l') ADVANCE(444);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 406:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 407:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 408:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 409:
      if (lookahead == '_') ADVANCE(445);
      END_STATE();
    case 410:
      if (lookahead == 'd') ADVANCE(446);
      END_STATE();
    case 411:
      if (lookahead == 'e') ADVANCE(447);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym__Alignas);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 415:
      if (lookahead == 'n') ADVANCE(448);
      END_STATE();
    case 416:
      if (lookahead == 'f') ADVANCE(449);
      END_STATE();
    case 417:
      if (lookahead == 'u') ADVANCE(450);
      END_STATE();
    case 418:
      if (lookahead == 'l') ADVANCE(451);
      END_STATE();
    case 419:
      if (lookahead == 'e') ADVANCE(452);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 421:
      if (lookahead == 'i') ADVANCE(453);
      END_STATE();
    case 422:
      if (lookahead == 'l') ADVANCE(454);
      END_STATE();
    case 423:
      if (lookahead == 'y') ADVANCE(455);
      END_STATE();
    case 424:
      if (lookahead == 'n') ADVANCE(456);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(457);
      END_STATE();
    case 426:
      if (lookahead == 'c') ADVANCE(458);
      END_STATE();
    case 427:
      if (lookahead == 'l') ADVANCE(459);
      END_STATE();
    case 428:
      if (lookahead == 'l') ADVANCE(460);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 430:
      if (lookahead == 'n') ADVANCE(461);
      END_STATE();
    case 431:
      if (lookahead == 'c') ADVANCE(462);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 433:
      if (lookahead == 'e') ADVANCE(463);
      END_STATE();
    case 434:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 435:
      if (lookahead == 'r') ADVANCE(464);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 437:
      if (lookahead == 'n') ADVANCE(465);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 439:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 441:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 444:
      if (lookahead == 'o') ADVANCE(466);
      END_STATE();
    case 445:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(467);
      END_STATE();
    case 450:
      if (lookahead == 't') ADVANCE(468);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 452:
      if (lookahead == 'c') ADVANCE(469);
      END_STATE();
    case 453:
      if (lookahead == 'o') ADVANCE(470);
      END_STATE();
    case 454:
      if (lookahead == 'l') ADVANCE(471);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 456:
      if (lookahead == 'l') ADVANCE(472);
      END_STATE();
    case 457:
      if (lookahead == '_') ADVANCE(473);
      END_STATE();
    case 458:
      if (lookahead == 't') ADVANCE(474);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 460:
      if (lookahead == 'l') ADVANCE(475);
      END_STATE();
    case 461:
      if (lookahead == 'e') ADVANCE(476);
      END_STATE();
    case 462:
      if (lookahead == 'a') ADVANCE(477);
      END_STATE();
    case 463:
      if (lookahead == 'd') ADVANCE(478);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 465:
      if (lookahead == '_') ADVANCE(479);
      END_STATE();
    case 466:
      if (lookahead == 'c') ADVANCE(480);
      END_STATE();
    case 467:
      if (lookahead == '_') ADVANCE(481);
      END_STATE();
    case 468:
      if (lookahead == 'e') ADVANCE(482);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 470:
      if (lookahead == 'n') ADVANCE(483);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 472:
      if (lookahead == 'i') ADVANCE(484);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(485);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 476:
      if (lookahead == 'd') ADVANCE(486);
      END_STATE();
    case 477:
      if (lookahead == 'l') ADVANCE(487);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 479:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 480:
      if (lookahead == 'a') ADVANCE(488);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 482:
      if (lookahead == '_') ADVANCE(489);
      END_STATE();
    case 483:
      if (lookahead == '_') ADVANCE(490);
      END_STATE();
    case 484:
      if (lookahead == 'n') ADVANCE(491);
      END_STATE();
    case 485:
      if (lookahead == '_') ADVANCE(492);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 487:
      if (lookahead == 'l') ADVANCE(493);
      END_STATE();
    case 488:
      if (lookahead == 'l') ADVANCE(494);
      END_STATE();
    case 489:
      if (lookahead == '_') ADVANCE(495);
      END_STATE();
    case 490:
      if (lookahead == '_') ADVANCE(496);
      END_STATE();
    case 491:
      if (lookahead == 'e') ADVANCE(497);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 119},
  [2] = {.lex_state = 45},
  [3] = {.lex_state = 45},
  [4] = {.lex_state = 45},
  [5] = {.lex_state = 45},
  [6] = {.lex_state = 45},
  [7] = {.lex_state = 45},
  [8] = {.lex_state = 45},
  [9] = {.lex_state = 45},
  [10] = {.lex_state = 45},
  [11] = {.lex_state = 45},
  [12] = {.lex_state = 45},
  [13] = {.lex_state = 45},
  [14] = {.lex_state = 45},
  [15] = {.lex_state = 45},
  [16] = {.lex_state = 45},
  [17] = {.lex_state = 45},
  [18] = {.lex_state = 45},
  [19] = {.lex_state = 45},
  [20] = {.lex_state = 45},
  [21] = {.lex_state = 45},
  [22] = {.lex_state = 45},
  [23] = {.lex_state = 119},
  [24] = {.lex_state = 119},
  [25] = {.lex_state = 47},
  [26] = {.lex_state = 119},
  [27] = {.lex_state = 119},
  [28] = {.lex_state = 119},
  [29] = {.lex_state = 119},
  [30] = {.lex_state = 47},
  [31] = {.lex_state = 119},
  [32] = {.lex_state = 119},
  [33] = {.lex_state = 47},
  [34] = {.lex_state = 119},
  [35] = {.lex_state = 119},
  [36] = {.lex_state = 119},
  [37] = {.lex_state = 119},
  [38] = {.lex_state = 119},
  [39] = {.lex_state = 119},
  [40] = {.lex_state = 119},
  [41] = {.lex_state = 119},
  [42] = {.lex_state = 119},
  [43] = {.lex_state = 119},
  [44] = {.lex_state = 119},
  [45] = {.lex_state = 45},
  [46] = {.lex_state = 45},
  [47] = {.lex_state = 45},
  [48] = {.lex_state = 45},
  [49] = {.lex_state = 45},
  [50] = {.lex_state = 119},
  [51] = {.lex_state = 47},
  [52] = {.lex_state = 47},
  [53] = {.lex_state = 119},
  [54] = {.lex_state = 47},
  [55] = {.lex_state = 119},
  [56] = {.lex_state = 47},
  [57] = {.lex_state = 119},
  [58] = {.lex_state = 119},
  [59] = {.lex_state = 47},
  [60] = {.lex_state = 119},
  [61] = {.lex_state = 119},
  [62] = {.lex_state = 119},
  [63] = {.lex_state = 119},
  [64] = {.lex_state = 119},
  [65] = {.lex_state = 119},
  [66] = {.lex_state = 119},
  [67] = {.lex_state = 119},
  [68] = {.lex_state = 119},
  [69] = {.lex_state = 119},
  [70] = {.lex_state = 119},
  [71] = {.lex_state = 119},
  [72] = {.lex_state = 119},
  [73] = {.lex_state = 119},
  [74] = {.lex_state = 119},
  [75] = {.lex_state = 45},
  [76] = {.lex_state = 119},
  [77] = {.lex_state = 45},
  [78] = {.lex_state = 45},
  [79] = {.lex_state = 45},
  [80] = {.lex_state = 45},
  [81] = {.lex_state = 45},
  [82] = {.lex_state = 45},
  [83] = {.lex_state = 45},
  [84] = {.lex_state = 45},
  [85] = {.lex_state = 45},
  [86] = {.lex_state = 45},
  [87] = {.lex_state = 45},
  [88] = {.lex_state = 45},
  [89] = {.lex_state = 45},
  [90] = {.lex_state = 45},
  [91] = {.lex_state = 45},
  [92] = {.lex_state = 45},
  [93] = {.lex_state = 45},
  [94] = {.lex_state = 45},
  [95] = {.lex_state = 45},
  [96] = {.lex_state = 45},
  [97] = {.lex_state = 45},
  [98] = {.lex_state = 45},
  [99] = {.lex_state = 45},
  [100] = {.lex_state = 45},
  [101] = {.lex_state = 45},
  [102] = {.lex_state = 45},
  [103] = {.lex_state = 45},
  [104] = {.lex_state = 45},
  [105] = {.lex_state = 45},
  [106] = {.lex_state = 45},
  [107] = {.lex_state = 45},
  [108] = {.lex_state = 45},
  [109] = {.lex_state = 119},
  [110] = {.lex_state = 45},
  [111] = {.lex_state = 45},
  [112] = {.lex_state = 45},
  [113] = {.lex_state = 45},
  [114] = {.lex_state = 45},
  [115] = {.lex_state = 45},
  [116] = {.lex_state = 45},
  [117] = {.lex_state = 45},
  [118] = {.lex_state = 45},
  [119] = {.lex_state = 45},
  [120] = {.lex_state = 45},
  [121] = {.lex_state = 45},
  [122] = {.lex_state = 45},
  [123] = {.lex_state = 45},
  [124] = {.lex_state = 45},
  [125] = {.lex_state = 45},
  [126] = {.lex_state = 45},
  [127] = {.lex_state = 45},
  [128] = {.lex_state = 45},
  [129] = {.lex_state = 45},
  [130] = {.lex_state = 45},
  [131] = {.lex_state = 45},
  [132] = {.lex_state = 45},
  [133] = {.lex_state = 45},
  [134] = {.lex_state = 45},
  [135] = {.lex_state = 45},
  [136] = {.lex_state = 45},
  [137] = {.lex_state = 45},
  [138] = {.lex_state = 45},
  [139] = {.lex_state = 45},
  [140] = {.lex_state = 45},
  [141] = {.lex_state = 45},
  [142] = {.lex_state = 45},
  [143] = {.lex_state = 119},
  [144] = {.lex_state = 119},
  [145] = {.lex_state = 47},
  [146] = {.lex_state = 119},
  [147] = {.lex_state = 119},
  [148] = {.lex_state = 119},
  [149] = {.lex_state = 119},
  [150] = {.lex_state = 119},
  [151] = {.lex_state = 119},
  [152] = {.lex_state = 119},
  [153] = {.lex_state = 119},
  [154] = {.lex_state = 119},
  [155] = {.lex_state = 119},
  [156] = {.lex_state = 119},
  [157] = {.lex_state = 119},
  [158] = {.lex_state = 119},
  [159] = {.lex_state = 119},
  [160] = {.lex_state = 119},
  [161] = {.lex_state = 119},
  [162] = {.lex_state = 119},
  [163] = {.lex_state = 119},
  [164] = {.lex_state = 119},
  [165] = {.lex_state = 119},
  [166] = {.lex_state = 119},
  [167] = {.lex_state = 119},
  [168] = {.lex_state = 119},
  [169] = {.lex_state = 119},
  [170] = {.lex_state = 119},
  [171] = {.lex_state = 119},
  [172] = {.lex_state = 119},
  [173] = {.lex_state = 119},
  [174] = {.lex_state = 119},
  [175] = {.lex_state = 119},
  [176] = {.lex_state = 119},
  [177] = {.lex_state = 119},
  [178] = {.lex_state = 119},
  [179] = {.lex_state = 119},
  [180] = {.lex_state = 119},
  [181] = {.lex_state = 119},
  [182] = {.lex_state = 119},
  [183] = {.lex_state = 119},
  [184] = {.lex_state = 47},
  [185] = {.lex_state = 47},
  [186] = {.lex_state = 47},
  [187] = {.lex_state = 47},
  [188] = {.lex_state = 47},
  [189] = {.lex_state = 47},
  [190] = {.lex_state = 47},
  [191] = {.lex_state = 47},
  [192] = {.lex_state = 47},
  [193] = {.lex_state = 47},
  [194] = {.lex_state = 47},
  [195] = {.lex_state = 119},
  [196] = {.lex_state = 119},
  [197] = {.lex_state = 47},
  [198] = {.lex_state = 47},
  [199] = {.lex_state = 47},
  [200] = {.lex_state = 47},
  [201] = {.lex_state = 47},
  [202] = {.lex_state = 47},
  [203] = {.lex_state = 47},
  [204] = {.lex_state = 119},
  [205] = {.lex_state = 47},
  [206] = {.lex_state = 47},
  [207] = {.lex_state = 47},
  [208] = {.lex_state = 47},
  [209] = {.lex_state = 47},
  [210] = {.lex_state = 47},
  [211] = {.lex_state = 47},
  [212] = {.lex_state = 47},
  [213] = {.lex_state = 47},
  [214] = {.lex_state = 47},
  [215] = {.lex_state = 47},
  [216] = {.lex_state = 47},
  [217] = {.lex_state = 47},
  [218] = {.lex_state = 47},
  [219] = {.lex_state = 47},
  [220] = {.lex_state = 47},
  [221] = {.lex_state = 47},
  [222] = {.lex_state = 47},
  [223] = {.lex_state = 119},
  [224] = {.lex_state = 119},
  [225] = {.lex_state = 119},
  [226] = {.lex_state = 119},
  [227] = {.lex_state = 119},
  [228] = {.lex_state = 119},
  [229] = {.lex_state = 119},
  [230] = {.lex_state = 119},
  [231] = {.lex_state = 119},
  [232] = {.lex_state = 119},
  [233] = {.lex_state = 119},
  [234] = {.lex_state = 119},
  [235] = {.lex_state = 119},
  [236] = {.lex_state = 119},
  [237] = {.lex_state = 119},
  [238] = {.lex_state = 119},
  [239] = {.lex_state = 119},
  [240] = {.lex_state = 119},
  [241] = {.lex_state = 119},
  [242] = {.lex_state = 119},
  [243] = {.lex_state = 119},
  [244] = {.lex_state = 119},
  [245] = {.lex_state = 119},
  [246] = {.lex_state = 119},
  [247] = {.lex_state = 119},
  [248] = {.lex_state = 119},
  [249] = {.lex_state = 119},
  [250] = {.lex_state = 119},
  [251] = {.lex_state = 119},
  [252] = {.lex_state = 119},
  [253] = {.lex_state = 119},
  [254] = {.lex_state = 119},
  [255] = {.lex_state = 47},
  [256] = {.lex_state = 47},
  [257] = {.lex_state = 47},
  [258] = {.lex_state = 119},
  [259] = {.lex_state = 119},
  [260] = {.lex_state = 47},
  [261] = {.lex_state = 47},
  [262] = {.lex_state = 47},
  [263] = {.lex_state = 47},
  [264] = {.lex_state = 47},
  [265] = {.lex_state = 47},
  [266] = {.lex_state = 119},
  [267] = {.lex_state = 47},
  [268] = {.lex_state = 119},
  [269] = {.lex_state = 47},
  [270] = {.lex_state = 47},
  [271] = {.lex_state = 47},
  [272] = {.lex_state = 119},
  [273] = {.lex_state = 119},
  [274] = {.lex_state = 119},
  [275] = {.lex_state = 47},
  [276] = {.lex_state = 119},
  [277] = {.lex_state = 119},
  [278] = {.lex_state = 119},
  [279] = {.lex_state = 119},
  [280] = {.lex_state = 119},
  [281] = {.lex_state = 119},
  [282] = {.lex_state = 119},
  [283] = {.lex_state = 119},
  [284] = {.lex_state = 47},
  [285] = {.lex_state = 47},
  [286] = {.lex_state = 47},
  [287] = {.lex_state = 47},
  [288] = {.lex_state = 47},
  [289] = {.lex_state = 47},
  [290] = {.lex_state = 119},
  [291] = {.lex_state = 47},
  [292] = {.lex_state = 119},
  [293] = {.lex_state = 119},
  [294] = {.lex_state = 119},
  [295] = {.lex_state = 119},
  [296] = {.lex_state = 47},
  [297] = {.lex_state = 47},
  [298] = {.lex_state = 47},
  [299] = {.lex_state = 119},
  [300] = {.lex_state = 47},
  [301] = {.lex_state = 47},
  [302] = {.lex_state = 47},
  [303] = {.lex_state = 47},
  [304] = {.lex_state = 119},
  [305] = {.lex_state = 119},
  [306] = {.lex_state = 119},
  [307] = {.lex_state = 119},
  [308] = {.lex_state = 47},
  [309] = {.lex_state = 119},
  [310] = {.lex_state = 119},
  [311] = {.lex_state = 44},
  [312] = {.lex_state = 44},
  [313] = {.lex_state = 119},
  [314] = {.lex_state = 119},
  [315] = {.lex_state = 119},
  [316] = {.lex_state = 119},
  [317] = {.lex_state = 119},
  [318] = {.lex_state = 119},
  [319] = {.lex_state = 119},
  [320] = {.lex_state = 119},
  [321] = {.lex_state = 119},
  [322] = {.lex_state = 119},
  [323] = {.lex_state = 119},
  [324] = {.lex_state = 119},
  [325] = {.lex_state = 119},
  [326] = {.lex_state = 119},
  [327] = {.lex_state = 119},
  [328] = {.lex_state = 119},
  [329] = {.lex_state = 119},
  [330] = {.lex_state = 119},
  [331] = {.lex_state = 119},
  [332] = {.lex_state = 119},
  [333] = {.lex_state = 119},
  [334] = {.lex_state = 119},
  [335] = {.lex_state = 119},
  [336] = {.lex_state = 119},
  [337] = {.lex_state = 119},
  [338] = {.lex_state = 119},
  [339] = {.lex_state = 119},
  [340] = {.lex_state = 119},
  [341] = {.lex_state = 119},
  [342] = {.lex_state = 119},
  [343] = {.lex_state = 119},
  [344] = {.lex_state = 119},
  [345] = {.lex_state = 119},
  [346] = {.lex_state = 119},
  [347] = {.lex_state = 119},
  [348] = {.lex_state = 119},
  [349] = {.lex_state = 119},
  [350] = {.lex_state = 119},
  [351] = {.lex_state = 119},
  [352] = {.lex_state = 119},
  [353] = {.lex_state = 119},
  [354] = {.lex_state = 119},
  [355] = {.lex_state = 119},
  [356] = {.lex_state = 119},
  [357] = {.lex_state = 119},
  [358] = {.lex_state = 119},
  [359] = {.lex_state = 119},
  [360] = {.lex_state = 119},
  [361] = {.lex_state = 119},
  [362] = {.lex_state = 119},
  [363] = {.lex_state = 119},
  [364] = {.lex_state = 119},
  [365] = {.lex_state = 119},
  [366] = {.lex_state = 119},
  [367] = {.lex_state = 119},
  [368] = {.lex_state = 119},
  [369] = {.lex_state = 119},
  [370] = {.lex_state = 119},
  [371] = {.lex_state = 119},
  [372] = {.lex_state = 119},
  [373] = {.lex_state = 119},
  [374] = {.lex_state = 119},
  [375] = {.lex_state = 119},
  [376] = {.lex_state = 119},
  [377] = {.lex_state = 119},
  [378] = {.lex_state = 119},
  [379] = {.lex_state = 119},
  [380] = {.lex_state = 119},
  [381] = {.lex_state = 44},
  [382] = {.lex_state = 119},
  [383] = {.lex_state = 119},
  [384] = {.lex_state = 119},
  [385] = {.lex_state = 119},
  [386] = {.lex_state = 119},
  [387] = {.lex_state = 119},
  [388] = {.lex_state = 119},
  [389] = {.lex_state = 119},
  [390] = {.lex_state = 119},
  [391] = {.lex_state = 119},
  [392] = {.lex_state = 119},
  [393] = {.lex_state = 119},
  [394] = {.lex_state = 119},
  [395] = {.lex_state = 119},
  [396] = {.lex_state = 119},
  [397] = {.lex_state = 119},
  [398] = {.lex_state = 44},
  [399] = {.lex_state = 44},
  [400] = {.lex_state = 119},
  [401] = {.lex_state = 49},
  [402] = {.lex_state = 49},
  [403] = {.lex_state = 49},
  [404] = {.lex_state = 49},
  [405] = {.lex_state = 49},
  [406] = {.lex_state = 119},
  [407] = {.lex_state = 49},
  [408] = {.lex_state = 49},
  [409] = {.lex_state = 49},
  [410] = {.lex_state = 49},
  [411] = {.lex_state = 49},
  [412] = {.lex_state = 44},
  [413] = {.lex_state = 53},
  [414] = {.lex_state = 119},
  [415] = {.lex_state = 119},
  [416] = {.lex_state = 119},
  [417] = {.lex_state = 119},
  [418] = {.lex_state = 119},
  [419] = {.lex_state = 119},
  [420] = {.lex_state = 119},
  [421] = {.lex_state = 119},
  [422] = {.lex_state = 119},
  [423] = {.lex_state = 119},
  [424] = {.lex_state = 53},
  [425] = {.lex_state = 53},
  [426] = {.lex_state = 53},
  [427] = {.lex_state = 53},
  [428] = {.lex_state = 53},
  [429] = {.lex_state = 53},
  [430] = {.lex_state = 53},
  [431] = {.lex_state = 53},
  [432] = {.lex_state = 53},
  [433] = {.lex_state = 53},
  [434] = {.lex_state = 53},
  [435] = {.lex_state = 53},
  [436] = {.lex_state = 53},
  [437] = {.lex_state = 53},
  [438] = {.lex_state = 53},
  [439] = {.lex_state = 53},
  [440] = {.lex_state = 119},
  [441] = {.lex_state = 53},
  [442] = {.lex_state = 119},
  [443] = {.lex_state = 119},
  [444] = {.lex_state = 119},
  [445] = {.lex_state = 53},
  [446] = {.lex_state = 52},
  [447] = {.lex_state = 52},
  [448] = {.lex_state = 52},
  [449] = {.lex_state = 57},
  [450] = {.lex_state = 57},
  [451] = {.lex_state = 57},
  [452] = {.lex_state = 119},
  [453] = {.lex_state = 119},
  [454] = {.lex_state = 119},
  [455] = {.lex_state = 53},
  [456] = {.lex_state = 119},
  [457] = {.lex_state = 119},
  [458] = {.lex_state = 119},
  [459] = {.lex_state = 119},
  [460] = {.lex_state = 119},
  [461] = {.lex_state = 119},
  [462] = {.lex_state = 119},
  [463] = {.lex_state = 119},
  [464] = {.lex_state = 119},
  [465] = {.lex_state = 119},
  [466] = {.lex_state = 119},
  [467] = {.lex_state = 119},
  [468] = {.lex_state = 53},
  [469] = {.lex_state = 119},
  [470] = {.lex_state = 53},
  [471] = {.lex_state = 119},
  [472] = {.lex_state = 119},
  [473] = {.lex_state = 119},
  [474] = {.lex_state = 119},
  [475] = {.lex_state = 53},
  [476] = {.lex_state = 119},
  [477] = {.lex_state = 119},
  [478] = {.lex_state = 119},
  [479] = {.lex_state = 119},
  [480] = {.lex_state = 49},
  [481] = {.lex_state = 119},
  [482] = {.lex_state = 119},
  [483] = {.lex_state = 119},
  [484] = {.lex_state = 119},
  [485] = {.lex_state = 119},
  [486] = {.lex_state = 119},
  [487] = {.lex_state = 119},
  [488] = {.lex_state = 119},
  [489] = {.lex_state = 119},
  [490] = {.lex_state = 119},
  [491] = {.lex_state = 119},
  [492] = {.lex_state = 119},
  [493] = {.lex_state = 119},
  [494] = {.lex_state = 119},
  [495] = {.lex_state = 119},
  [496] = {.lex_state = 119},
  [497] = {.lex_state = 119},
  [498] = {.lex_state = 119},
  [499] = {.lex_state = 119},
  [500] = {.lex_state = 119},
  [501] = {.lex_state = 119},
  [502] = {.lex_state = 119},
  [503] = {.lex_state = 119},
  [504] = {.lex_state = 119},
  [505] = {.lex_state = 119},
  [506] = {.lex_state = 119},
  [507] = {.lex_state = 119},
  [508] = {.lex_state = 119},
  [509] = {.lex_state = 119},
  [510] = {.lex_state = 119},
  [511] = {.lex_state = 119},
  [512] = {.lex_state = 119},
  [513] = {.lex_state = 119},
  [514] = {.lex_state = 119},
  [515] = {.lex_state = 119},
  [516] = {.lex_state = 119},
  [517] = {.lex_state = 119},
  [518] = {.lex_state = 119},
  [519] = {.lex_state = 119},
  [520] = {.lex_state = 119},
  [521] = {.lex_state = 119},
  [522] = {.lex_state = 119},
  [523] = {.lex_state = 119},
  [524] = {.lex_state = 119},
  [525] = {.lex_state = 119},
  [526] = {.lex_state = 119},
  [527] = {.lex_state = 119},
  [528] = {.lex_state = 119},
  [529] = {.lex_state = 119},
  [530] = {.lex_state = 119},
  [531] = {.lex_state = 119},
  [532] = {.lex_state = 119},
  [533] = {.lex_state = 119},
  [534] = {.lex_state = 119},
  [535] = {.lex_state = 119},
  [536] = {.lex_state = 119},
  [537] = {.lex_state = 119},
  [538] = {.lex_state = 119},
  [539] = {.lex_state = 119},
  [540] = {.lex_state = 119},
  [541] = {.lex_state = 119},
  [542] = {.lex_state = 119},
  [543] = {.lex_state = 119},
  [544] = {.lex_state = 119},
  [545] = {.lex_state = 119},
  [546] = {.lex_state = 119},
  [547] = {.lex_state = 119},
  [548] = {.lex_state = 119},
  [549] = {.lex_state = 119},
  [550] = {.lex_state = 119},
  [551] = {.lex_state = 119},
  [552] = {.lex_state = 119},
  [553] = {.lex_state = 119},
  [554] = {.lex_state = 119},
  [555] = {.lex_state = 119},
  [556] = {.lex_state = 119},
  [557] = {.lex_state = 119},
  [558] = {.lex_state = 119},
  [559] = {.lex_state = 119},
  [560] = {.lex_state = 119},
  [561] = {.lex_state = 119},
  [562] = {.lex_state = 119},
  [563] = {.lex_state = 119},
  [564] = {.lex_state = 119},
  [565] = {.lex_state = 119},
  [566] = {.lex_state = 119},
  [567] = {.lex_state = 119},
  [568] = {.lex_state = 119},
  [569] = {.lex_state = 119},
  [570] = {.lex_state = 119},
  [571] = {.lex_state = 119},
  [572] = {.lex_state = 119},
  [573] = {.lex_state = 119},
  [574] = {.lex_state = 119},
  [575] = {.lex_state = 119},
  [576] = {.lex_state = 119},
  [577] = {.lex_state = 119},
  [578] = {.lex_state = 119},
  [579] = {.lex_state = 119},
  [580] = {.lex_state = 119},
  [581] = {.lex_state = 119},
  [582] = {.lex_state = 119},
  [583] = {.lex_state = 119},
  [584] = {.lex_state = 119},
  [585] = {.lex_state = 119},
  [586] = {.lex_state = 119},
  [587] = {.lex_state = 119},
  [588] = {.lex_state = 119},
  [589] = {.lex_state = 119},
  [590] = {.lex_state = 119},
  [591] = {.lex_state = 119},
  [592] = {.lex_state = 119},
  [593] = {.lex_state = 119},
  [594] = {.lex_state = 119},
  [595] = {.lex_state = 119},
  [596] = {.lex_state = 119},
  [597] = {.lex_state = 119},
  [598] = {.lex_state = 119},
  [599] = {.lex_state = 119},
  [600] = {.lex_state = 119},
  [601] = {.lex_state = 119},
  [602] = {.lex_state = 119},
  [603] = {.lex_state = 119},
  [604] = {.lex_state = 119},
  [605] = {.lex_state = 119},
  [606] = {.lex_state = 119},
  [607] = {.lex_state = 119},
  [608] = {.lex_state = 119},
  [609] = {.lex_state = 119},
  [610] = {.lex_state = 119},
  [611] = {.lex_state = 119},
  [612] = {.lex_state = 119},
  [613] = {.lex_state = 119},
  [614] = {.lex_state = 119},
  [615] = {.lex_state = 119},
  [616] = {.lex_state = 49},
  [617] = {.lex_state = 49},
  [618] = {.lex_state = 49},
  [619] = {.lex_state = 49},
  [620] = {.lex_state = 49},
  [621] = {.lex_state = 49},
  [622] = {.lex_state = 50},
  [623] = {.lex_state = 50},
  [624] = {.lex_state = 50},
  [625] = {.lex_state = 53},
  [626] = {.lex_state = 50},
  [627] = {.lex_state = 50},
  [628] = {.lex_state = 50},
  [629] = {.lex_state = 50},
  [630] = {.lex_state = 50},
  [631] = {.lex_state = 50},
  [632] = {.lex_state = 50},
  [633] = {.lex_state = 53},
  [634] = {.lex_state = 53},
  [635] = {.lex_state = 53},
  [636] = {.lex_state = 53},
  [637] = {.lex_state = 53},
  [638] = {.lex_state = 53},
  [639] = {.lex_state = 53},
  [640] = {.lex_state = 53},
  [641] = {.lex_state = 53},
  [642] = {.lex_state = 53},
  [643] = {.lex_state = 53},
  [644] = {.lex_state = 53},
  [645] = {.lex_state = 53},
  [646] = {.lex_state = 53},
  [647] = {.lex_state = 53},
  [648] = {.lex_state = 53},
  [649] = {.lex_state = 53},
  [650] = {.lex_state = 53},
  [651] = {.lex_state = 53},
  [652] = {.lex_state = 53},
  [653] = {.lex_state = 53},
  [654] = {.lex_state = 49},
  [655] = {.lex_state = 50},
  [656] = {.lex_state = 119},
  [657] = {.lex_state = 53},
  [658] = {.lex_state = 119},
  [659] = {.lex_state = 119},
  [660] = {.lex_state = 119},
  [661] = {.lex_state = 50},
  [662] = {.lex_state = 50},
  [663] = {.lex_state = 50},
  [664] = {.lex_state = 50},
  [665] = {.lex_state = 50},
  [666] = {.lex_state = 50},
  [667] = {.lex_state = 50},
  [668] = {.lex_state = 50},
  [669] = {.lex_state = 50},
  [670] = {.lex_state = 50},
  [671] = {.lex_state = 50},
  [672] = {.lex_state = 50},
  [673] = {.lex_state = 50},
  [674] = {.lex_state = 50},
  [675] = {.lex_state = 50},
  [676] = {.lex_state = 50},
  [677] = {.lex_state = 50},
  [678] = {.lex_state = 53},
  [679] = {.lex_state = 51},
  [680] = {.lex_state = 51},
  [681] = {.lex_state = 50},
  [682] = {.lex_state = 53},
  [683] = {.lex_state = 51},
  [684] = {.lex_state = 49},
  [685] = {.lex_state = 50},
  [686] = {.lex_state = 50},
  [687] = {.lex_state = 50},
  [688] = {.lex_state = 50},
  [689] = {.lex_state = 53},
  [690] = {.lex_state = 51},
  [691] = {.lex_state = 50},
  [692] = {.lex_state = 49},
  [693] = {.lex_state = 53},
  [694] = {.lex_state = 53},
  [695] = {.lex_state = 53},
  [696] = {.lex_state = 53},
  [697] = {.lex_state = 53},
  [698] = {.lex_state = 49},
  [699] = {.lex_state = 119},
  [700] = {.lex_state = 119},
  [701] = {.lex_state = 53},
  [702] = {.lex_state = 53},
  [703] = {.lex_state = 53},
  [704] = {.lex_state = 53},
  [705] = {.lex_state = 53},
  [706] = {.lex_state = 53},
  [707] = {.lex_state = 53},
  [708] = {.lex_state = 53},
  [709] = {.lex_state = 53},
  [710] = {.lex_state = 53},
  [711] = {.lex_state = 53},
  [712] = {.lex_state = 53},
  [713] = {.lex_state = 53},
  [714] = {.lex_state = 53},
  [715] = {.lex_state = 53},
  [716] = {.lex_state = 53},
  [717] = {.lex_state = 53},
  [718] = {.lex_state = 53},
  [719] = {.lex_state = 49},
  [720] = {.lex_state = 53},
  [721] = {.lex_state = 53},
  [722] = {.lex_state = 53},
  [723] = {.lex_state = 49},
  [724] = {.lex_state = 53},
  [725] = {.lex_state = 49},
  [726] = {.lex_state = 49},
  [727] = {.lex_state = 49},
  [728] = {.lex_state = 53},
  [729] = {.lex_state = 49},
  [730] = {.lex_state = 53},
  [731] = {.lex_state = 53},
  [732] = {.lex_state = 53},
  [733] = {.lex_state = 53},
  [734] = {.lex_state = 53},
  [735] = {.lex_state = 53},
  [736] = {.lex_state = 53},
  [737] = {.lex_state = 53},
  [738] = {.lex_state = 53},
  [739] = {.lex_state = 53},
  [740] = {.lex_state = 53},
  [741] = {.lex_state = 53},
  [742] = {.lex_state = 53},
  [743] = {.lex_state = 53},
  [744] = {.lex_state = 53},
  [745] = {.lex_state = 53},
  [746] = {.lex_state = 53},
  [747] = {.lex_state = 53},
  [748] = {.lex_state = 53},
  [749] = {.lex_state = 53},
  [750] = {.lex_state = 53},
  [751] = {.lex_state = 53},
  [752] = {.lex_state = 53},
  [753] = {.lex_state = 53},
  [754] = {.lex_state = 53},
  [755] = {.lex_state = 53},
  [756] = {.lex_state = 53},
  [757] = {.lex_state = 53},
  [758] = {.lex_state = 49},
  [759] = {.lex_state = 50},
  [760] = {.lex_state = 50},
  [761] = {.lex_state = 50},
  [762] = {.lex_state = 50},
  [763] = {.lex_state = 50},
  [764] = {.lex_state = 50},
  [765] = {.lex_state = 50},
  [766] = {.lex_state = 50},
  [767] = {.lex_state = 50},
  [768] = {.lex_state = 50},
  [769] = {.lex_state = 50},
  [770] = {.lex_state = 50},
  [771] = {.lex_state = 53},
  [772] = {.lex_state = 53},
  [773] = {.lex_state = 53},
  [774] = {.lex_state = 53},
  [775] = {.lex_state = 53},
  [776] = {.lex_state = 53},
  [777] = {.lex_state = 53},
  [778] = {.lex_state = 53},
  [779] = {.lex_state = 53},
  [780] = {.lex_state = 53},
  [781] = {.lex_state = 53},
  [782] = {.lex_state = 53},
  [783] = {.lex_state = 53},
  [784] = {.lex_state = 53},
  [785] = {.lex_state = 53},
  [786] = {.lex_state = 53},
  [787] = {.lex_state = 53},
  [788] = {.lex_state = 53},
  [789] = {.lex_state = 53},
  [790] = {.lex_state = 53},
  [791] = {.lex_state = 53},
  [792] = {.lex_state = 53},
  [793] = {.lex_state = 53},
  [794] = {.lex_state = 53},
  [795] = {.lex_state = 53},
  [796] = {.lex_state = 53},
  [797] = {.lex_state = 53},
  [798] = {.lex_state = 53},
  [799] = {.lex_state = 53},
  [800] = {.lex_state = 53},
  [801] = {.lex_state = 53},
  [802] = {.lex_state = 53},
  [803] = {.lex_state = 53},
  [804] = {.lex_state = 53},
  [805] = {.lex_state = 53},
  [806] = {.lex_state = 53},
  [807] = {.lex_state = 53},
  [808] = {.lex_state = 53},
  [809] = {.lex_state = 53},
  [810] = {.lex_state = 53},
  [811] = {.lex_state = 50},
  [812] = {.lex_state = 53},
  [813] = {.lex_state = 53},
  [814] = {.lex_state = 53},
  [815] = {.lex_state = 53},
  [816] = {.lex_state = 53},
  [817] = {.lex_state = 53},
  [818] = {.lex_state = 53},
  [819] = {.lex_state = 53},
  [820] = {.lex_state = 53},
  [821] = {.lex_state = 53},
  [822] = {.lex_state = 53},
  [823] = {.lex_state = 53},
  [824] = {.lex_state = 53},
  [825] = {.lex_state = 53},
  [826] = {.lex_state = 53},
  [827] = {.lex_state = 53},
  [828] = {.lex_state = 49},
  [829] = {.lex_state = 52},
  [830] = {.lex_state = 57},
  [831] = {.lex_state = 52},
  [832] = {.lex_state = 57},
  [833] = {.lex_state = 57},
  [834] = {.lex_state = 57},
  [835] = {.lex_state = 57},
  [836] = {.lex_state = 57},
  [837] = {.lex_state = 57},
  [838] = {.lex_state = 57},
  [839] = {.lex_state = 57},
  [840] = {.lex_state = 57},
  [841] = {.lex_state = 57},
  [842] = {.lex_state = 57},
  [843] = {.lex_state = 57},
  [844] = {.lex_state = 57},
  [845] = {.lex_state = 49},
  [846] = {.lex_state = 53},
  [847] = {.lex_state = 57},
  [848] = {.lex_state = 57},
  [849] = {.lex_state = 52},
  [850] = {.lex_state = 49},
  [851] = {.lex_state = 49},
  [852] = {.lex_state = 53},
  [853] = {.lex_state = 49},
  [854] = {.lex_state = 49},
  [855] = {.lex_state = 49},
  [856] = {.lex_state = 49},
  [857] = {.lex_state = 49},
  [858] = {.lex_state = 49},
  [859] = {.lex_state = 49},
  [860] = {.lex_state = 49},
  [861] = {.lex_state = 49},
  [862] = {.lex_state = 52},
  [863] = {.lex_state = 49},
  [864] = {.lex_state = 49},
  [865] = {.lex_state = 52},
  [866] = {.lex_state = 52},
  [867] = {.lex_state = 52},
  [868] = {.lex_state = 52},
  [869] = {.lex_state = 52},
  [870] = {.lex_state = 52},
  [871] = {.lex_state = 57},
  [872] = {.lex_state = 49},
  [873] = {.lex_state = 49},
  [874] = {.lex_state = 49},
  [875] = {.lex_state = 49},
  [876] = {.lex_state = 49},
  [877] = {.lex_state = 53},
  [878] = {.lex_state = 52},
  [879] = {.lex_state = 52},
  [880] = {.lex_state = 52},
  [881] = {.lex_state = 52},
  [882] = {.lex_state = 49},
  [883] = {.lex_state = 52},
  [884] = {.lex_state = 57},
  [885] = {.lex_state = 49},
  [886] = {.lex_state = 52},
  [887] = {.lex_state = 52},
  [888] = {.lex_state = 52},
  [889] = {.lex_state = 49},
  [890] = {.lex_state = 49},
  [891] = {.lex_state = 53},
  [892] = {.lex_state = 49},
  [893] = {.lex_state = 49},
  [894] = {.lex_state = 53},
  [895] = {.lex_state = 53},
  [896] = {.lex_state = 53},
  [897] = {.lex_state = 49},
  [898] = {.lex_state = 53},
  [899] = {.lex_state = 49},
  [900] = {.lex_state = 53},
  [901] = {.lex_state = 119},
  [902] = {.lex_state = 119},
  [903] = {.lex_state = 53},
  [904] = {.lex_state = 53},
  [905] = {.lex_state = 119},
  [906] = {.lex_state = 119},
  [907] = {.lex_state = 119},
  [908] = {.lex_state = 119},
  [909] = {.lex_state = 119},
  [910] = {.lex_state = 119},
  [911] = {.lex_state = 119},
  [912] = {.lex_state = 119},
  [913] = {.lex_state = 53},
  [914] = {.lex_state = 53},
  [915] = {.lex_state = 53},
  [916] = {.lex_state = 53},
  [917] = {.lex_state = 53},
  [918] = {.lex_state = 53},
  [919] = {.lex_state = 53},
  [920] = {.lex_state = 53},
  [921] = {.lex_state = 53},
  [922] = {.lex_state = 53},
  [923] = {.lex_state = 53},
  [924] = {.lex_state = 53},
  [925] = {.lex_state = 53},
  [926] = {.lex_state = 53},
  [927] = {.lex_state = 53},
  [928] = {.lex_state = 53},
  [929] = {.lex_state = 53},
  [930] = {.lex_state = 53},
  [931] = {.lex_state = 53},
  [932] = {.lex_state = 53},
  [933] = {.lex_state = 53},
  [934] = {.lex_state = 50},
  [935] = {.lex_state = 53},
  [936] = {.lex_state = 50},
  [937] = {.lex_state = 50},
  [938] = {.lex_state = 53},
  [939] = {.lex_state = 50},
  [940] = {.lex_state = 53},
  [941] = {.lex_state = 53},
  [942] = {.lex_state = 50},
  [943] = {.lex_state = 53},
  [944] = {.lex_state = 50},
  [945] = {.lex_state = 50},
  [946] = {.lex_state = 50},
  [947] = {.lex_state = 53},
  [948] = {.lex_state = 53},
  [949] = {.lex_state = 50},
  [950] = {.lex_state = 50},
  [951] = {.lex_state = 53},
  [952] = {.lex_state = 50},
  [953] = {.lex_state = 50},
  [954] = {.lex_state = 50},
  [955] = {.lex_state = 53},
  [956] = {.lex_state = 53},
  [957] = {.lex_state = 53},
  [958] = {.lex_state = 53},
  [959] = {.lex_state = 53},
  [960] = {.lex_state = 53},
  [961] = {.lex_state = 53},
  [962] = {.lex_state = 53},
  [963] = {.lex_state = 53},
  [964] = {.lex_state = 53},
  [965] = {.lex_state = 53},
  [966] = {.lex_state = 53},
  [967] = {.lex_state = 53},
  [968] = {.lex_state = 53},
  [969] = {.lex_state = 53},
  [970] = {.lex_state = 53},
  [971] = {.lex_state = 53},
  [972] = {.lex_state = 53},
  [973] = {.lex_state = 53},
  [974] = {.lex_state = 53},
  [975] = {.lex_state = 53},
  [976] = {.lex_state = 53},
  [977] = {.lex_state = 53},
  [978] = {.lex_state = 53},
  [979] = {.lex_state = 53},
  [980] = {.lex_state = 53},
  [981] = {.lex_state = 53},
  [982] = {.lex_state = 53},
  [983] = {.lex_state = 53},
  [984] = {.lex_state = 52},
  [985] = {.lex_state = 52},
  [986] = {.lex_state = 53},
  [987] = {.lex_state = 49},
  [988] = {.lex_state = 53},
  [989] = {.lex_state = 53},
  [990] = {.lex_state = 53},
  [991] = {.lex_state = 52},
  [992] = {.lex_state = 52},
  [993] = {.lex_state = 49},
  [994] = {.lex_state = 49},
  [995] = {.lex_state = 49},
  [996] = {.lex_state = 49},
  [997] = {.lex_state = 49},
  [998] = {.lex_state = 49},
  [999] = {.lex_state = 53},
  [1000] = {.lex_state = 53},
  [1001] = {.lex_state = 53},
  [1002] = {.lex_state = 49},
  [1003] = {.lex_state = 49},
  [1004] = {.lex_state = 49},
  [1005] = {.lex_state = 49},
  [1006] = {.lex_state = 49},
  [1007] = {.lex_state = 49},
  [1008] = {.lex_state = 49},
  [1009] = {.lex_state = 49},
  [1010] = {.lex_state = 49},
  [1011] = {.lex_state = 49},
  [1012] = {.lex_state = 49},
  [1013] = {.lex_state = 49},
  [1014] = {.lex_state = 49},
  [1015] = {.lex_state = 49},
  [1016] = {.lex_state = 49},
  [1017] = {.lex_state = 49},
  [1018] = {.lex_state = 49},
  [1019] = {.lex_state = 49},
  [1020] = {.lex_state = 49},
  [1021] = {.lex_state = 49},
  [1022] = {.lex_state = 53},
  [1023] = {.lex_state = 49},
  [1024] = {.lex_state = 49},
  [1025] = {.lex_state = 49},
  [1026] = {.lex_state = 49},
  [1027] = {.lex_state = 49},
  [1028] = {.lex_state = 49},
  [1029] = {.lex_state = 49},
  [1030] = {.lex_state = 49},
  [1031] = {.lex_state = 49},
  [1032] = {.lex_state = 49},
  [1033] = {.lex_state = 49},
  [1034] = {.lex_state = 49},
  [1035] = {.lex_state = 49},
  [1036] = {.lex_state = 49},
  [1037] = {.lex_state = 49},
  [1038] = {.lex_state = 49},
  [1039] = {.lex_state = 49},
  [1040] = {.lex_state = 49},
  [1041] = {.lex_state = 49},
  [1042] = {.lex_state = 49},
  [1043] = {.lex_state = 49},
  [1044] = {.lex_state = 49},
  [1045] = {.lex_state = 53},
  [1046] = {.lex_state = 49},
  [1047] = {.lex_state = 49},
  [1048] = {.lex_state = 49},
  [1049] = {.lex_state = 49},
  [1050] = {.lex_state = 49},
  [1051] = {.lex_state = 49},
  [1052] = {.lex_state = 49},
  [1053] = {.lex_state = 49},
  [1054] = {.lex_state = 49},
  [1055] = {.lex_state = 49},
  [1056] = {.lex_state = 49},
  [1057] = {.lex_state = 49},
  [1058] = {.lex_state = 49},
  [1059] = {.lex_state = 49},
  [1060] = {.lex_state = 49},
  [1061] = {.lex_state = 49},
  [1062] = {.lex_state = 49},
  [1063] = {.lex_state = 49},
  [1064] = {.lex_state = 49},
  [1065] = {.lex_state = 49},
  [1066] = {.lex_state = 49},
  [1067] = {.lex_state = 49},
  [1068] = {.lex_state = 49},
  [1069] = {.lex_state = 49},
  [1070] = {.lex_state = 49},
  [1071] = {.lex_state = 49},
  [1072] = {.lex_state = 49},
  [1073] = {.lex_state = 53},
  [1074] = {.lex_state = 53},
  [1075] = {.lex_state = 53},
  [1076] = {.lex_state = 53},
  [1077] = {.lex_state = 53},
  [1078] = {.lex_state = 49},
  [1079] = {.lex_state = 49},
  [1080] = {.lex_state = 53},
  [1081] = {.lex_state = 53},
  [1082] = {.lex_state = 53},
  [1083] = {.lex_state = 53},
  [1084] = {.lex_state = 53},
  [1085] = {.lex_state = 53},
  [1086] = {.lex_state = 53},
  [1087] = {.lex_state = 53},
  [1088] = {.lex_state = 53},
  [1089] = {.lex_state = 53},
  [1090] = {.lex_state = 53},
  [1091] = {.lex_state = 53},
  [1092] = {.lex_state = 53},
  [1093] = {.lex_state = 53},
  [1094] = {.lex_state = 53},
  [1095] = {.lex_state = 53},
  [1096] = {.lex_state = 53},
  [1097] = {.lex_state = 53},
  [1098] = {.lex_state = 52},
  [1099] = {.lex_state = 53},
  [1100] = {.lex_state = 53},
  [1101] = {.lex_state = 53},
  [1102] = {.lex_state = 53},
  [1103] = {.lex_state = 52},
  [1104] = {.lex_state = 53},
  [1105] = {.lex_state = 52},
  [1106] = {.lex_state = 53},
  [1107] = {.lex_state = 53},
  [1108] = {.lex_state = 53},
  [1109] = {.lex_state = 53},
  [1110] = {.lex_state = 48},
  [1111] = {.lex_state = 53},
  [1112] = {.lex_state = 53},
  [1113] = {.lex_state = 53},
  [1114] = {.lex_state = 52},
  [1115] = {.lex_state = 25},
  [1116] = {.lex_state = 53},
  [1117] = {.lex_state = 53},
  [1118] = {.lex_state = 53},
  [1119] = {.lex_state = 48},
  [1120] = {.lex_state = 53},
  [1121] = {.lex_state = 53},
  [1122] = {.lex_state = 53},
  [1123] = {.lex_state = 53},
  [1124] = {.lex_state = 53},
  [1125] = {.lex_state = 48},
  [1126] = {.lex_state = 53},
  [1127] = {.lex_state = 53},
  [1128] = {.lex_state = 53},
  [1129] = {.lex_state = 53},
  [1130] = {.lex_state = 48},
  [1131] = {.lex_state = 48},
  [1132] = {.lex_state = 48},
  [1133] = {.lex_state = 48},
  [1134] = {.lex_state = 48},
  [1135] = {.lex_state = 53},
  [1136] = {.lex_state = 48},
  [1137] = {.lex_state = 48},
  [1138] = {.lex_state = 48},
  [1139] = {.lex_state = 48},
  [1140] = {.lex_state = 48},
  [1141] = {.lex_state = 48},
  [1142] = {.lex_state = 48},
  [1143] = {.lex_state = 48},
  [1144] = {.lex_state = 48},
  [1145] = {.lex_state = 48},
  [1146] = {.lex_state = 52},
  [1147] = {.lex_state = 48},
  [1148] = {.lex_state = 48},
  [1149] = {.lex_state = 48},
  [1150] = {.lex_state = 52},
  [1151] = {.lex_state = 52},
  [1152] = {.lex_state = 52},
  [1153] = {.lex_state = 48},
  [1154] = {.lex_state = 52},
  [1155] = {.lex_state = 48},
  [1156] = {.lex_state = 52},
  [1157] = {.lex_state = 48},
  [1158] = {.lex_state = 48},
  [1159] = {.lex_state = 48},
  [1160] = {.lex_state = 52},
  [1161] = {.lex_state = 52},
  [1162] = {.lex_state = 52},
  [1163] = {.lex_state = 48},
  [1164] = {.lex_state = 48},
  [1165] = {.lex_state = 52},
  [1166] = {.lex_state = 52},
  [1167] = {.lex_state = 52},
  [1168] = {.lex_state = 52},
  [1169] = {.lex_state = 48},
  [1170] = {.lex_state = 48},
  [1171] = {.lex_state = 48},
  [1172] = {.lex_state = 48},
  [1173] = {.lex_state = 52},
  [1174] = {.lex_state = 48},
  [1175] = {.lex_state = 48},
  [1176] = {.lex_state = 48},
  [1177] = {.lex_state = 48},
  [1178] = {.lex_state = 48},
  [1179] = {.lex_state = 48},
  [1180] = {.lex_state = 48},
  [1181] = {.lex_state = 48},
  [1182] = {.lex_state = 52},
  [1183] = {.lex_state = 52},
  [1184] = {.lex_state = 48},
  [1185] = {.lex_state = 48},
  [1186] = {.lex_state = 25},
  [1187] = {.lex_state = 25},
  [1188] = {.lex_state = 25},
  [1189] = {.lex_state = 25},
  [1190] = {.lex_state = 52},
  [1191] = {.lex_state = 25},
  [1192] = {.lex_state = 25},
  [1193] = {.lex_state = 25},
  [1194] = {.lex_state = 25},
  [1195] = {.lex_state = 53},
  [1196] = {.lex_state = 25},
  [1197] = {.lex_state = 25},
  [1198] = {.lex_state = 25},
  [1199] = {.lex_state = 25},
  [1200] = {.lex_state = 25},
  [1201] = {.lex_state = 25},
  [1202] = {.lex_state = 25},
  [1203] = {.lex_state = 25},
  [1204] = {.lex_state = 53},
  [1205] = {.lex_state = 25},
  [1206] = {.lex_state = 25},
  [1207] = {.lex_state = 52},
  [1208] = {.lex_state = 25},
  [1209] = {.lex_state = 25},
  [1210] = {.lex_state = 25},
  [1211] = {.lex_state = 53},
  [1212] = {.lex_state = 25},
  [1213] = {.lex_state = 25},
  [1214] = {.lex_state = 25},
  [1215] = {.lex_state = 25},
  [1216] = {.lex_state = 25},
  [1217] = {.lex_state = 53},
  [1218] = {.lex_state = 25},
  [1219] = {.lex_state = 25},
  [1220] = {.lex_state = 25},
  [1221] = {.lex_state = 25},
  [1222] = {.lex_state = 25},
  [1223] = {.lex_state = 25},
  [1224] = {.lex_state = 25},
  [1225] = {.lex_state = 53},
  [1226] = {.lex_state = 53},
  [1227] = {.lex_state = 53},
  [1228] = {.lex_state = 53},
  [1229] = {.lex_state = 53},
  [1230] = {.lex_state = 53},
  [1231] = {.lex_state = 53},
  [1232] = {.lex_state = 53},
  [1233] = {.lex_state = 53},
  [1234] = {.lex_state = 53},
  [1235] = {.lex_state = 53},
  [1236] = {.lex_state = 53},
  [1237] = {.lex_state = 53},
  [1238] = {.lex_state = 53},
  [1239] = {.lex_state = 53},
  [1240] = {.lex_state = 53},
  [1241] = {.lex_state = 53},
  [1242] = {.lex_state = 53},
  [1243] = {.lex_state = 53},
  [1244] = {.lex_state = 53},
  [1245] = {.lex_state = 53},
  [1246] = {.lex_state = 53},
  [1247] = {.lex_state = 50},
  [1248] = {.lex_state = 50},
  [1249] = {.lex_state = 53},
  [1250] = {.lex_state = 53},
  [1251] = {.lex_state = 53},
  [1252] = {.lex_state = 50},
  [1253] = {.lex_state = 53},
  [1254] = {.lex_state = 53},
  [1255] = {.lex_state = 53},
  [1256] = {.lex_state = 50},
  [1257] = {.lex_state = 53},
  [1258] = {.lex_state = 56},
  [1259] = {.lex_state = 53},
  [1260] = {.lex_state = 56},
  [1261] = {.lex_state = 53},
  [1262] = {.lex_state = 53},
  [1263] = {.lex_state = 53},
  [1264] = {.lex_state = 53},
  [1265] = {.lex_state = 53},
  [1266] = {.lex_state = 53},
  [1267] = {.lex_state = 53},
  [1268] = {.lex_state = 53},
  [1269] = {.lex_state = 53},
  [1270] = {.lex_state = 53},
  [1271] = {.lex_state = 53},
  [1272] = {.lex_state = 53},
  [1273] = {.lex_state = 53},
  [1274] = {.lex_state = 53},
  [1275] = {.lex_state = 53},
  [1276] = {.lex_state = 53},
  [1277] = {.lex_state = 53},
  [1278] = {.lex_state = 53},
  [1279] = {.lex_state = 53},
  [1280] = {.lex_state = 53},
  [1281] = {.lex_state = 50},
  [1282] = {.lex_state = 53},
  [1283] = {.lex_state = 53},
  [1284] = {.lex_state = 49},
  [1285] = {.lex_state = 50},
  [1286] = {.lex_state = 50},
  [1287] = {.lex_state = 50},
  [1288] = {.lex_state = 53},
  [1289] = {.lex_state = 50},
  [1290] = {.lex_state = 50},
  [1291] = {.lex_state = 50},
  [1292] = {.lex_state = 56},
  [1293] = {.lex_state = 53},
  [1294] = {.lex_state = 53},
  [1295] = {.lex_state = 53},
  [1296] = {.lex_state = 50},
  [1297] = {.lex_state = 50},
  [1298] = {.lex_state = 53},
  [1299] = {.lex_state = 53},
  [1300] = {.lex_state = 53},
  [1301] = {.lex_state = 53},
  [1302] = {.lex_state = 50},
  [1303] = {.lex_state = 50},
  [1304] = {.lex_state = 50},
  [1305] = {.lex_state = 50},
  [1306] = {.lex_state = 53},
  [1307] = {.lex_state = 53},
  [1308] = {.lex_state = 53},
  [1309] = {.lex_state = 50},
  [1310] = {.lex_state = 53},
  [1311] = {.lex_state = 53},
  [1312] = {.lex_state = 53},
  [1313] = {.lex_state = 53},
  [1314] = {.lex_state = 119},
  [1315] = {.lex_state = 53},
  [1316] = {.lex_state = 0},
  [1317] = {.lex_state = 0},
  [1318] = {.lex_state = 53},
  [1319] = {.lex_state = 119},
  [1320] = {.lex_state = 53},
  [1321] = {.lex_state = 119},
  [1322] = {.lex_state = 53},
  [1323] = {.lex_state = 53},
  [1324] = {.lex_state = 53},
  [1325] = {.lex_state = 53},
  [1326] = {.lex_state = 53},
  [1327] = {.lex_state = 53},
  [1328] = {.lex_state = 119},
  [1329] = {.lex_state = 54},
  [1330] = {.lex_state = 49},
  [1331] = {.lex_state = 53},
  [1332] = {.lex_state = 53},
  [1333] = {.lex_state = 119},
  [1334] = {.lex_state = 49},
  [1335] = {.lex_state = 53},
  [1336] = {.lex_state = 119},
  [1337] = {.lex_state = 119},
  [1338] = {.lex_state = 54},
  [1339] = {.lex_state = 119},
  [1340] = {.lex_state = 119},
  [1341] = {.lex_state = 54},
  [1342] = {.lex_state = 119},
  [1343] = {.lex_state = 54},
  [1344] = {.lex_state = 119},
  [1345] = {.lex_state = 49},
  [1346] = {.lex_state = 119},
  [1347] = {.lex_state = 119},
  [1348] = {.lex_state = 53},
  [1349] = {.lex_state = 119},
  [1350] = {.lex_state = 53},
  [1351] = {.lex_state = 119},
  [1352] = {.lex_state = 119},
  [1353] = {.lex_state = 119},
  [1354] = {.lex_state = 119},
  [1355] = {.lex_state = 119},
  [1356] = {.lex_state = 53},
  [1357] = {.lex_state = 50},
  [1358] = {.lex_state = 0},
  [1359] = {.lex_state = 119},
  [1360] = {.lex_state = 53},
  [1361] = {.lex_state = 50},
  [1362] = {.lex_state = 53},
  [1363] = {.lex_state = 53},
  [1364] = {.lex_state = 53},
  [1365] = {.lex_state = 119},
  [1366] = {.lex_state = 119},
  [1367] = {.lex_state = 119},
  [1368] = {.lex_state = 119},
  [1369] = {.lex_state = 50},
  [1370] = {.lex_state = 53},
  [1371] = {.lex_state = 53},
  [1372] = {.lex_state = 119},
  [1373] = {.lex_state = 119},
  [1374] = {.lex_state = 0},
  [1375] = {.lex_state = 53},
  [1376] = {.lex_state = 53},
  [1377] = {.lex_state = 53},
  [1378] = {.lex_state = 53},
  [1379] = {.lex_state = 50},
  [1380] = {.lex_state = 119},
  [1381] = {.lex_state = 0},
  [1382] = {.lex_state = 53},
  [1383] = {.lex_state = 119},
  [1384] = {.lex_state = 53},
  [1385] = {.lex_state = 0},
  [1386] = {.lex_state = 119},
  [1387] = {.lex_state = 53},
  [1388] = {.lex_state = 53},
  [1389] = {.lex_state = 53},
  [1390] = {.lex_state = 53},
  [1391] = {.lex_state = 53},
  [1392] = {.lex_state = 119},
  [1393] = {.lex_state = 53},
  [1394] = {.lex_state = 119},
  [1395] = {.lex_state = 53},
  [1396] = {.lex_state = 119},
  [1397] = {.lex_state = 119},
  [1398] = {.lex_state = 53},
  [1399] = {.lex_state = 56},
  [1400] = {.lex_state = 56},
  [1401] = {.lex_state = 119},
  [1402] = {.lex_state = 56},
  [1403] = {.lex_state = 119},
  [1404] = {.lex_state = 119},
  [1405] = {.lex_state = 50},
  [1406] = {.lex_state = 53},
  [1407] = {.lex_state = 53},
  [1408] = {.lex_state = 53},
  [1409] = {.lex_state = 53},
  [1410] = {.lex_state = 56},
  [1411] = {.lex_state = 53},
  [1412] = {.lex_state = 0},
  [1413] = {.lex_state = 53},
  [1414] = {.lex_state = 53},
  [1415] = {.lex_state = 53},
  [1416] = {.lex_state = 53},
  [1417] = {.lex_state = 53},
  [1418] = {.lex_state = 56},
  [1419] = {.lex_state = 0},
  [1420] = {.lex_state = 56},
  [1421] = {.lex_state = 56},
  [1422] = {.lex_state = 53},
  [1423] = {.lex_state = 119},
  [1424] = {.lex_state = 56},
  [1425] = {.lex_state = 56},
  [1426] = {.lex_state = 56},
  [1427] = {.lex_state = 53},
  [1428] = {.lex_state = 53},
  [1429] = {.lex_state = 53},
  [1430] = {.lex_state = 56},
  [1431] = {.lex_state = 119},
  [1432] = {.lex_state = 119},
  [1433] = {.lex_state = 0},
  [1434] = {.lex_state = 53},
  [1435] = {.lex_state = 119},
  [1436] = {.lex_state = 119},
  [1437] = {.lex_state = 119},
  [1438] = {.lex_state = 119},
  [1439] = {.lex_state = 119},
  [1440] = {.lex_state = 119},
  [1441] = {.lex_state = 119},
  [1442] = {.lex_state = 50},
  [1443] = {.lex_state = 53},
  [1444] = {.lex_state = 45},
  [1445] = {.lex_state = 119},
  [1446] = {.lex_state = 119},
  [1447] = {.lex_state = 119},
  [1448] = {.lex_state = 119},
  [1449] = {.lex_state = 119},
  [1450] = {.lex_state = 53},
  [1451] = {.lex_state = 53},
  [1452] = {.lex_state = 119},
  [1453] = {.lex_state = 119},
  [1454] = {.lex_state = 119},
  [1455] = {.lex_state = 53},
  [1456] = {.lex_state = 119},
  [1457] = {.lex_state = 0},
  [1458] = {.lex_state = 53},
  [1459] = {.lex_state = 0},
  [1460] = {.lex_state = 30},
  [1461] = {.lex_state = 0},
  [1462] = {.lex_state = 32},
  [1463] = {.lex_state = 53},
  [1464] = {.lex_state = 53},
  [1465] = {.lex_state = 30},
  [1466] = {.lex_state = 30},
  [1467] = {.lex_state = 50},
  [1468] = {.lex_state = 32},
  [1469] = {.lex_state = 53},
  [1470] = {.lex_state = 119},
  [1471] = {.lex_state = 53},
  [1472] = {.lex_state = 0},
  [1473] = {.lex_state = 53},
  [1474] = {.lex_state = 0},
  [1475] = {.lex_state = 0},
  [1476] = {.lex_state = 37},
  [1477] = {.lex_state = 30},
  [1478] = {.lex_state = 53},
  [1479] = {.lex_state = 53},
  [1480] = {.lex_state = 53},
  [1481] = {.lex_state = 53},
  [1482] = {.lex_state = 53},
  [1483] = {.lex_state = 53},
  [1484] = {.lex_state = 53},
  [1485] = {.lex_state = 0},
  [1486] = {.lex_state = 32},
  [1487] = {.lex_state = 53},
  [1488] = {.lex_state = 53},
  [1489] = {.lex_state = 53},
  [1490] = {.lex_state = 53},
  [1491] = {.lex_state = 53},
  [1492] = {.lex_state = 50},
  [1493] = {.lex_state = 53},
  [1494] = {.lex_state = 0},
  [1495] = {.lex_state = 53},
  [1496] = {.lex_state = 53},
  [1497] = {.lex_state = 50},
  [1498] = {.lex_state = 53},
  [1499] = {.lex_state = 53},
  [1500] = {.lex_state = 53},
  [1501] = {.lex_state = 50},
  [1502] = {.lex_state = 53},
  [1503] = {.lex_state = 45},
  [1504] = {.lex_state = 32},
  [1505] = {.lex_state = 37},
  [1506] = {.lex_state = 53},
  [1507] = {.lex_state = 53},
  [1508] = {.lex_state = 119},
  [1509] = {.lex_state = 37},
  [1510] = {.lex_state = 30},
  [1511] = {.lex_state = 32},
  [1512] = {.lex_state = 37},
  [1513] = {.lex_state = 0},
  [1514] = {.lex_state = 32},
  [1515] = {.lex_state = 0},
  [1516] = {.lex_state = 32},
  [1517] = {.lex_state = 30},
  [1518] = {.lex_state = 53},
  [1519] = {.lex_state = 30},
  [1520] = {.lex_state = 53},
  [1521] = {.lex_state = 37},
  [1522] = {.lex_state = 0},
  [1523] = {.lex_state = 0},
  [1524] = {.lex_state = 37},
  [1525] = {.lex_state = 0},
  [1526] = {.lex_state = 53},
  [1527] = {.lex_state = 0},
  [1528] = {.lex_state = 53},
  [1529] = {.lex_state = 34},
  [1530] = {.lex_state = 0},
  [1531] = {.lex_state = 45},
  [1532] = {.lex_state = 0},
  [1533] = {.lex_state = 0},
  [1534] = {.lex_state = 34},
  [1535] = {.lex_state = 45},
  [1536] = {.lex_state = 0},
  [1537] = {.lex_state = 53},
  [1538] = {.lex_state = 0},
  [1539] = {.lex_state = 45},
  [1540] = {.lex_state = 45},
  [1541] = {.lex_state = 0},
  [1542] = {.lex_state = 0},
  [1543] = {.lex_state = 0},
  [1544] = {.lex_state = 0},
  [1545] = {.lex_state = 0},
  [1546] = {.lex_state = 0},
  [1547] = {.lex_state = 0},
  [1548] = {.lex_state = 53},
  [1549] = {.lex_state = 0},
  [1550] = {.lex_state = 0},
  [1551] = {.lex_state = 0},
  [1552] = {.lex_state = 0},
  [1553] = {.lex_state = 0},
  [1554] = {.lex_state = 45},
  [1555] = {.lex_state = 0},
  [1556] = {.lex_state = 0},
  [1557] = {.lex_state = 0},
  [1558] = {.lex_state = 0},
  [1559] = {.lex_state = 0},
  [1560] = {.lex_state = 0},
  [1561] = {.lex_state = 0},
  [1562] = {.lex_state = 53},
  [1563] = {.lex_state = 45},
  [1564] = {.lex_state = 0},
  [1565] = {.lex_state = 0},
  [1566] = {.lex_state = 0},
  [1567] = {.lex_state = 0},
  [1568] = {.lex_state = 34},
  [1569] = {.lex_state = 53},
  [1570] = {.lex_state = 0},
  [1571] = {.lex_state = 45},
  [1572] = {.lex_state = 0},
  [1573] = {.lex_state = 0},
  [1574] = {.lex_state = 0},
  [1575] = {.lex_state = 0},
  [1576] = {.lex_state = 34},
  [1577] = {.lex_state = 0},
  [1578] = {.lex_state = 0},
  [1579] = {.lex_state = 0},
  [1580] = {.lex_state = 0},
  [1581] = {.lex_state = 0},
  [1582] = {.lex_state = 0},
  [1583] = {.lex_state = 0},
  [1584] = {.lex_state = 0},
  [1585] = {.lex_state = 0},
  [1586] = {.lex_state = 0},
  [1587] = {.lex_state = 0},
  [1588] = {.lex_state = 0},
  [1589] = {.lex_state = 0},
  [1590] = {.lex_state = 0},
  [1591] = {.lex_state = 0},
  [1592] = {.lex_state = 0},
  [1593] = {.lex_state = 0},
  [1594] = {.lex_state = 0},
  [1595] = {.lex_state = 0},
  [1596] = {.lex_state = 0},
  [1597] = {.lex_state = 0},
  [1598] = {.lex_state = 0},
  [1599] = {.lex_state = 0},
  [1600] = {.lex_state = 0},
  [1601] = {.lex_state = 0},
  [1602] = {.lex_state = 0},
  [1603] = {.lex_state = 0},
  [1604] = {.lex_state = 0},
  [1605] = {.lex_state = 0},
  [1606] = {.lex_state = 0},
  [1607] = {.lex_state = 37},
  [1608] = {.lex_state = 0},
  [1609] = {.lex_state = 53},
  [1610] = {.lex_state = 53},
  [1611] = {.lex_state = 0},
  [1612] = {.lex_state = 53},
  [1613] = {.lex_state = 0},
  [1614] = {.lex_state = 0},
  [1615] = {.lex_state = 0},
  [1616] = {.lex_state = 53},
  [1617] = {.lex_state = 0},
  [1618] = {.lex_state = 0},
  [1619] = {.lex_state = 0},
  [1620] = {.lex_state = 0},
  [1621] = {.lex_state = 0},
  [1622] = {.lex_state = 0},
  [1623] = {.lex_state = 0},
  [1624] = {.lex_state = 0},
  [1625] = {.lex_state = 0},
  [1626] = {.lex_state = 0},
  [1627] = {.lex_state = 0},
  [1628] = {.lex_state = 0},
  [1629] = {.lex_state = 0},
  [1630] = {.lex_state = 0},
  [1631] = {.lex_state = 0},
  [1632] = {.lex_state = 0},
  [1633] = {.lex_state = 53},
  [1634] = {.lex_state = 0},
  [1635] = {.lex_state = 0},
  [1636] = {.lex_state = 0},
  [1637] = {.lex_state = 0},
  [1638] = {.lex_state = 0},
  [1639] = {.lex_state = 0},
  [1640] = {.lex_state = 0},
  [1641] = {.lex_state = 53},
  [1642] = {.lex_state = 0},
  [1643] = {.lex_state = 119},
  [1644] = {.lex_state = 0},
  [1645] = {.lex_state = 119},
  [1646] = {.lex_state = 0},
  [1647] = {.lex_state = 53},
  [1648] = {.lex_state = 33},
  [1649] = {.lex_state = 33},
  [1650] = {.lex_state = 33},
  [1651] = {.lex_state = 0},
  [1652] = {.lex_state = 33},
  [1653] = {.lex_state = 119},
  [1654] = {.lex_state = 53},
  [1655] = {.lex_state = 119},
  [1656] = {.lex_state = 119},
  [1657] = {.lex_state = 53},
  [1658] = {.lex_state = 119},
  [1659] = {.lex_state = 33},
  [1660] = {.lex_state = 0},
  [1661] = {.lex_state = 33},
  [1662] = {.lex_state = 0},
  [1663] = {.lex_state = 0},
  [1664] = {.lex_state = 0},
  [1665] = {.lex_state = 53},
  [1666] = {.lex_state = 0},
  [1667] = {.lex_state = 0},
  [1668] = {.lex_state = 0},
  [1669] = {.lex_state = 119},
  [1670] = {.lex_state = 119},
  [1671] = {.lex_state = 33},
  [1672] = {.lex_state = 119},
  [1673] = {.lex_state = 33},
  [1674] = {.lex_state = 0},
  [1675] = {.lex_state = 119},
  [1676] = {.lex_state = 119},
  [1677] = {.lex_state = 53},
  [1678] = {.lex_state = 0},
  [1679] = {.lex_state = 119},
  [1680] = {.lex_state = 0},
  [1681] = {.lex_state = 119},
  [1682] = {.lex_state = 119},
  [1683] = {.lex_state = 0},
  [1684] = {.lex_state = 45},
  [1685] = {.lex_state = 0},
  [1686] = {.lex_state = 0},
  [1687] = {.lex_state = 0},
  [1688] = {.lex_state = 53},
  [1689] = {.lex_state = 119},
  [1690] = {.lex_state = 33},
  [1691] = {.lex_state = 119},
  [1692] = {.lex_state = 119},
  [1693] = {.lex_state = 33},
  [1694] = {.lex_state = 0},
  [1695] = {.lex_state = 0},
  [1696] = {.lex_state = 0},
  [1697] = {.lex_state = 33},
  [1698] = {.lex_state = 0},
  [1699] = {.lex_state = 119},
  [1700] = {.lex_state = 119},
  [1701] = {.lex_state = 0},
  [1702] = {.lex_state = 45},
  [1703] = {.lex_state = 119},
  [1704] = {.lex_state = 0},
  [1705] = {.lex_state = 0},
  [1706] = {.lex_state = 0},
  [1707] = {.lex_state = 53},
  [1708] = {.lex_state = 33},
  [1709] = {.lex_state = 119},
  [1710] = {.lex_state = 119},
  [1711] = {.lex_state = 33},
  [1712] = {.lex_state = 0},
  [1713] = {.lex_state = 119},
  [1714] = {.lex_state = 45},
  [1715] = {.lex_state = 33},
  [1716] = {.lex_state = 33},
  [1717] = {.lex_state = 0},
  [1718] = {.lex_state = 119},
  [1719] = {.lex_state = 0},
  [1720] = {.lex_state = 0},
  [1721] = {.lex_state = 0},
  [1722] = {.lex_state = 0},
  [1723] = {.lex_state = 53},
  [1724] = {.lex_state = 0},
  [1725] = {.lex_state = 119},
  [1726] = {.lex_state = 33},
  [1727] = {.lex_state = 0},
  [1728] = {.lex_state = 0},
  [1729] = {.lex_state = 33},
  [1730] = {.lex_state = 0},
  [1731] = {.lex_state = 53},
  [1732] = {.lex_state = 0},
  [1733] = {.lex_state = 44},
  [1734] = {.lex_state = 0},
  [1735] = {.lex_state = 0},
  [1736] = {.lex_state = 0},
  [1737] = {.lex_state = 53},
  [1738] = {.lex_state = 0},
  [1739] = {.lex_state = 0},
  [1740] = {.lex_state = 0},
  [1741] = {.lex_state = 0},
  [1742] = {.lex_state = 119},
  [1743] = {.lex_state = 44},
  [1744] = {.lex_state = 0},
  [1745] = {.lex_state = 44},
  [1746] = {.lex_state = 44},
  [1747] = {.lex_state = 53},
  [1748] = {.lex_state = 44},
  [1749] = {.lex_state = 0},
  [1750] = {.lex_state = 0},
  [1751] = {.lex_state = 0},
  [1752] = {.lex_state = 0},
  [1753] = {.lex_state = 0},
  [1754] = {.lex_state = 34},
  [1755] = {.lex_state = 44},
  [1756] = {.lex_state = 34},
  [1757] = {.lex_state = 44},
  [1758] = {.lex_state = 34},
  [1759] = {.lex_state = 0},
  [1760] = {.lex_state = 0},
  [1761] = {.lex_state = 53},
  [1762] = {.lex_state = 44},
  [1763] = {.lex_state = 53},
  [1764] = {.lex_state = 34},
  [1765] = {.lex_state = 34},
  [1766] = {.lex_state = 0},
  [1767] = {.lex_state = 0},
  [1768] = {.lex_state = 0},
  [1769] = {.lex_state = 0},
  [1770] = {.lex_state = 0},
  [1771] = {.lex_state = 44},
  [1772] = {.lex_state = 0},
  [1773] = {.lex_state = 44},
  [1774] = {.lex_state = 34},
  [1775] = {.lex_state = 0},
  [1776] = {.lex_state = 0},
  [1777] = {.lex_state = 34},
  [1778] = {.lex_state = 0},
  [1779] = {.lex_state = 0},
  [1780] = {.lex_state = 0},
  [1781] = {.lex_state = 34},
  [1782] = {.lex_state = 34},
  [1783] = {.lex_state = 34},
  [1784] = {.lex_state = 44},
  [1785] = {.lex_state = 0},
  [1786] = {.lex_state = 0},
  [1787] = {.lex_state = 44},
  [1788] = {.lex_state = 44},
  [1789] = {.lex_state = 53},
  [1790] = {.lex_state = 34},
  [1791] = {.lex_state = 34},
  [1792] = {.lex_state = 44},
  [1793] = {.lex_state = 34},
  [1794] = {.lex_state = 0},
  [1795] = {.lex_state = 53},
  [1796] = {.lex_state = 53},
  [1797] = {.lex_state = 119},
  [1798] = {.lex_state = 0},
  [1799] = {.lex_state = 53},
  [1800] = {.lex_state = 44},
  [1801] = {.lex_state = 0},
  [1802] = {.lex_state = 0},
  [1803] = {.lex_state = 0},
  [1804] = {.lex_state = 53},
  [1805] = {.lex_state = 0},
  [1806] = {.lex_state = 44},
  [1807] = {.lex_state = 0},
  [1808] = {.lex_state = 0},
  [1809] = {.lex_state = 0},
  [1810] = {.lex_state = 0},
  [1811] = {.lex_state = 0},
  [1812] = {.lex_state = 0},
  [1813] = {.lex_state = 44},
  [1814] = {.lex_state = 34},
  [1815] = {.lex_state = 34},
  [1816] = {.lex_state = 44},
  [1817] = {.lex_state = 0},
  [1818] = {.lex_state = 44},
  [1819] = {.lex_state = 0},
  [1820] = {.lex_state = 44},
  [1821] = {.lex_state = 0},
  [1822] = {.lex_state = 0},
  [1823] = {.lex_state = 53},
  [1824] = {.lex_state = 53},
  [1825] = {.lex_state = 0},
  [1826] = {.lex_state = 44},
  [1827] = {.lex_state = 44},
  [1828] = {.lex_state = 34},
  [1829] = {.lex_state = 53},
  [1830] = {.lex_state = 34},
  [1831] = {.lex_state = 0},
  [1832] = {.lex_state = 0},
  [1833] = {.lex_state = 34},
  [1834] = {.lex_state = 53},
  [1835] = {.lex_state = 0},
  [1836] = {.lex_state = 0},
  [1837] = {.lex_state = 53},
  [1838] = {.lex_state = 34},
  [1839] = {.lex_state = 44},
  [1840] = {.lex_state = 0},
  [1841] = {.lex_state = 0},
  [1842] = {.lex_state = 53},
  [1843] = {.lex_state = 53},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 0},
  [1846] = {.lex_state = 0},
  [1847] = {.lex_state = 0},
  [1848] = {.lex_state = 44},
  [1849] = {.lex_state = 0},
  [1850] = {.lex_state = 0},
  [1851] = {.lex_state = 0},
  [1852] = {.lex_state = 44},
  [1853] = {.lex_state = 0},
  [1854] = {.lex_state = 34},
  [1855] = {.lex_state = 0},
  [1856] = {.lex_state = 53},
  [1857] = {.lex_state = 44},
  [1858] = {.lex_state = 34},
  [1859] = {.lex_state = 119},
  [1860] = {.lex_state = 119},
  [1861] = {.lex_state = 34},
  [1862] = {.lex_state = 44},
  [1863] = {.lex_state = 0},
  [1864] = {.lex_state = 0},
  [1865] = {.lex_state = 44},
  [1866] = {.lex_state = 34},
  [1867] = {.lex_state = 0},
  [1868] = {.lex_state = 53},
  [1869] = {.lex_state = 0},
  [1870] = {.lex_state = 119},
  [1871] = {.lex_state = 0},
  [1872] = {.lex_state = 44},
  [1873] = {.lex_state = 0},
  [1874] = {.lex_state = 0},
  [1875] = {.lex_state = 44},
  [1876] = {.lex_state = 53},
  [1877] = {.lex_state = 53},
  [1878] = {.lex_state = 0},
  [1879] = {.lex_state = 44},
  [1880] = {.lex_state = 0},
  [1881] = {.lex_state = 34},
  [1882] = {.lex_state = 34},
  [1883] = {.lex_state = 44},
  [1884] = {.lex_state = 0},
  [1885] = {.lex_state = 53},
  [1886] = {.lex_state = 53},
  [1887] = {.lex_state = 44},
  [1888] = {.lex_state = 34},
  [1889] = {.lex_state = 34},
  [1890] = {.lex_state = 0},
  [1891] = {.lex_state = 0},
  [1892] = {.lex_state = 0},
  [1893] = {.lex_state = 0},
  [1894] = {.lex_state = 44},
  [1895] = {.lex_state = 53},
  [1896] = {.lex_state = 53},
  [1897] = {.lex_state = 0},
  [1898] = {.lex_state = 0},
  [1899] = {.lex_state = 44},
  [1900] = {.lex_state = 44},
  [1901] = {.lex_state = 0},
  [1902] = {.lex_state = 0},
  [1903] = {.lex_state = 0},
  [1904] = {.lex_state = 0},
  [1905] = {.lex_state = 0},
  [1906] = {.lex_state = 53},
  [1907] = {.lex_state = 53},
  [1908] = {.lex_state = 0},
  [1909] = {.lex_state = 53},
  [1910] = {.lex_state = 0},
  [1911] = {.lex_state = 0},
  [1912] = {.lex_state = 53},
  [1913] = {.lex_state = 0},
  [1914] = {.lex_state = 0},
  [1915] = {.lex_state = 44},
  [1916] = {.lex_state = 0},
  [1917] = {.lex_state = 0},
  [1918] = {.lex_state = 44},
  [1919] = {.lex_state = 0},
  [1920] = {.lex_state = 53},
  [1921] = {.lex_state = 0},
  [1922] = {.lex_state = 44},
  [1923] = {.lex_state = 119},
  [1924] = {.lex_state = 0},
  [1925] = {.lex_state = 44},
  [1926] = {.lex_state = 0},
  [1927] = {.lex_state = 53},
  [1928] = {.lex_state = 34},
  [1929] = {.lex_state = 44},
  [1930] = {.lex_state = 53},
  [1931] = {.lex_state = 53},
  [1932] = {.lex_state = 53},
  [1933] = {.lex_state = 44},
  [1934] = {.lex_state = 53},
  [1935] = {.lex_state = 53},
  [1936] = {.lex_state = 119},
  [1937] = {.lex_state = 53},
  [1938] = {.lex_state = 119},
  [1939] = {.lex_state = 119},
  [1940] = {.lex_state = 53},
  [1941] = {.lex_state = 0},
  [1942] = {.lex_state = 0},
  [1943] = {.lex_state = 44},
  [1944] = {.lex_state = 0},
  [1945] = {.lex_state = 44},
  [1946] = {.lex_state = 0},
  [1947] = {.lex_state = 0},
  [1948] = {.lex_state = 53},
  [1949] = {.lex_state = 119},
  [1950] = {.lex_state = 0},
  [1951] = {.lex_state = 0},
  [1952] = {.lex_state = 53},
  [1953] = {.lex_state = 44},
  [1954] = {.lex_state = 119},
  [1955] = {.lex_state = 0},
  [1956] = {.lex_state = 0},
  [1957] = {.lex_state = 53},
  [1958] = {.lex_state = 119},
  [1959] = {.lex_state = 34},
  [1960] = {.lex_state = 44},
  [1961] = {.lex_state = 53},
  [1962] = {.lex_state = 0},
  [1963] = {.lex_state = 0},
  [1964] = {.lex_state = 119},
  [1965] = {.lex_state = 44},
  [1966] = {.lex_state = 44},
  [1967] = {.lex_state = 44},
  [1968] = {.lex_state = 0},
  [1969] = {.lex_state = 0},
  [1970] = {.lex_state = 44},
  [1971] = {.lex_state = 34},
  [1972] = {.lex_state = 34},
  [1973] = {.lex_state = 44},
  [1974] = {.lex_state = 119},
  [1975] = {.lex_state = 53},
  [1976] = {.lex_state = 0},
  [1977] = {.lex_state = 119},
  [1978] = {.lex_state = 119},
  [1979] = {.lex_state = 0},
  [1980] = {.lex_state = 44},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_auto] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym__Alignas] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_translation_unit] = STATE(1786),
    [sym__top_level_item] = STATE(43),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym__old_style_function_definition] = STATE(379),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1101),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(689),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(802),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(353),
    [sym__top_level_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym__top_level_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(1079),
    [sym_conditional_expression] = STATE(1079),
    [sym_assignment_expression] = STATE(1079),
    [sym_pointer_expression] = STATE(899),
    [sym_unary_expression] = STATE(1079),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(1079),
    [sym_cast_expression] = STATE(1079),
    [sym_sizeof_expression] = STATE(1079),
    [sym_alignof_expression] = STATE(1079),
    [sym_offsetof_expression] = STATE(1079),
    [sym_generic_expression] = STATE(1079),
    [sym_subscript_expression] = STATE(899),
    [sym_call_expression] = STATE(899),
    [sym_gnu_asm_expression] = STATE(1079),
    [sym_field_expression] = STATE(899),
    [sym_compound_literal_expression] = STATE(1079),
    [sym_parenthesized_expression] = STATE(899),
    [sym_char_literal] = STATE(1079),
    [sym_concatenated_string] = STATE(1079),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(1079),
    [sym__empty_declaration] = STATE(43),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_translation_unit_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(318),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(31),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(93),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(99),
    [sym_false] = ACTIONS(99),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__block_item] = STATE(3),
    [sym_preproc_include] = STATE(3),
    [sym_preproc_def] = STATE(3),
    [sym_preproc_function_def] = STATE(3),
    [sym_preproc_call] = STATE(3),
    [sym_preproc_if] = STATE(3),
    [sym_preproc_ifdef] = STATE(3),
    [sym_preproc_else] = STATE(1773),
    [sym_preproc_elif] = STATE(1773),
    [sym_preproc_elifdef] = STATE(1773),
    [sym_function_definition] = STATE(3),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(3),
    [sym_type_definition] = STATE(3),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(3),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(3),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(3),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(3),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1915),
    [sym_preproc_elif] = STATE(1915),
    [sym_preproc_elifdef] = STATE(1915),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__block_item] = STATE(5),
    [sym_preproc_include] = STATE(5),
    [sym_preproc_def] = STATE(5),
    [sym_preproc_function_def] = STATE(5),
    [sym_preproc_call] = STATE(5),
    [sym_preproc_if] = STATE(5),
    [sym_preproc_ifdef] = STATE(5),
    [sym_preproc_else] = STATE(1980),
    [sym_preproc_elif] = STATE(1980),
    [sym_preproc_elifdef] = STATE(1980),
    [sym_function_definition] = STATE(5),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(5),
    [sym_type_definition] = STATE(5),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(5),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(5),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(5),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(5),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(165),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1771),
    [sym_preproc_elif] = STATE(1771),
    [sym_preproc_elifdef] = STATE(1771),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__block_item] = STATE(8),
    [sym_preproc_include] = STATE(8),
    [sym_preproc_def] = STATE(8),
    [sym_preproc_function_def] = STATE(8),
    [sym_preproc_call] = STATE(8),
    [sym_preproc_if] = STATE(8),
    [sym_preproc_ifdef] = STATE(8),
    [sym_preproc_else] = STATE(1784),
    [sym_preproc_elif] = STATE(1784),
    [sym_preproc_elifdef] = STATE(1784),
    [sym_function_definition] = STATE(8),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(8),
    [sym_type_definition] = STATE(8),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(8),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(8),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(8),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(8),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__block_item] = STATE(9),
    [sym_preproc_include] = STATE(9),
    [sym_preproc_def] = STATE(9),
    [sym_preproc_function_def] = STATE(9),
    [sym_preproc_call] = STATE(9),
    [sym_preproc_if] = STATE(9),
    [sym_preproc_ifdef] = STATE(9),
    [sym_preproc_else] = STATE(1943),
    [sym_preproc_elif] = STATE(1943),
    [sym_preproc_elifdef] = STATE(1943),
    [sym_function_definition] = STATE(9),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(9),
    [sym_type_definition] = STATE(9),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(9),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(9),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(9),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(9),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1970),
    [sym_preproc_elif] = STATE(1970),
    [sym_preproc_elifdef] = STATE(1970),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1953),
    [sym_preproc_elif] = STATE(1953),
    [sym_preproc_elifdef] = STATE(1953),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__block_item] = STATE(12),
    [sym_preproc_include] = STATE(12),
    [sym_preproc_def] = STATE(12),
    [sym_preproc_function_def] = STATE(12),
    [sym_preproc_call] = STATE(12),
    [sym_preproc_if] = STATE(12),
    [sym_preproc_ifdef] = STATE(12),
    [sym_preproc_else] = STATE(1875),
    [sym_preproc_elif] = STATE(1875),
    [sym_preproc_elifdef] = STATE(1875),
    [sym_function_definition] = STATE(12),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(12),
    [sym_type_definition] = STATE(12),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(12),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(12),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(12),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(12),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__block_item] = STATE(13),
    [sym_preproc_include] = STATE(13),
    [sym_preproc_def] = STATE(13),
    [sym_preproc_function_def] = STATE(13),
    [sym_preproc_call] = STATE(13),
    [sym_preproc_if] = STATE(13),
    [sym_preproc_ifdef] = STATE(13),
    [sym_preproc_else] = STATE(1818),
    [sym_preproc_elif] = STATE(1818),
    [sym_preproc_elifdef] = STATE(1818),
    [sym_function_definition] = STATE(13),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(13),
    [sym_type_definition] = STATE(13),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(13),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(13),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(13),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(13),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1820),
    [sym_preproc_elif] = STATE(1820),
    [sym_preproc_elifdef] = STATE(1820),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1887),
    [sym_preproc_elif] = STATE(1887),
    [sym_preproc_elifdef] = STATE(1887),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__block_item] = STATE(16),
    [sym_preproc_include] = STATE(16),
    [sym_preproc_def] = STATE(16),
    [sym_preproc_function_def] = STATE(16),
    [sym_preproc_call] = STATE(16),
    [sym_preproc_if] = STATE(16),
    [sym_preproc_ifdef] = STATE(16),
    [sym_preproc_else] = STATE(1883),
    [sym_preproc_elif] = STATE(1883),
    [sym_preproc_elifdef] = STATE(1883),
    [sym_function_definition] = STATE(16),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(16),
    [sym_type_definition] = STATE(16),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(16),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(16),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(16),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(16),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__block_item] = STATE(17),
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(1757),
    [sym_preproc_elif] = STATE(1757),
    [sym_preproc_elifdef] = STATE(1757),
    [sym_function_definition] = STATE(17),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(17),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(17),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1762),
    [sym_preproc_elif] = STATE(1762),
    [sym_preproc_elifdef] = STATE(1762),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1788),
    [sym_preproc_elif] = STATE(1788),
    [sym_preproc_elifdef] = STATE(1788),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__block_item] = STATE(20),
    [sym_preproc_include] = STATE(20),
    [sym_preproc_def] = STATE(20),
    [sym_preproc_function_def] = STATE(20),
    [sym_preproc_call] = STATE(20),
    [sym_preproc_if] = STATE(20),
    [sym_preproc_ifdef] = STATE(20),
    [sym_preproc_else] = STATE(1933),
    [sym_preproc_elif] = STATE(1933),
    [sym_preproc_elifdef] = STATE(1933),
    [sym_function_definition] = STATE(20),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(20),
    [sym_type_definition] = STATE(20),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(20),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(20),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(20),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(20),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__block_item] = STATE(21),
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(1973),
    [sym_preproc_elif] = STATE(1973),
    [sym_preproc_elifdef] = STATE(1973),
    [sym_function_definition] = STATE(21),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(21),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(21),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1733),
    [sym_preproc_elif] = STATE(1733),
    [sym_preproc_elifdef] = STATE(1733),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1745),
    [sym_preproc_elif] = STATE(1745),
    [sym_preproc_elifdef] = STATE(1745),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(139),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(678),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(804),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(138),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(201),
    [aux_sym_preproc_include_token1] = ACTIONS(204),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(210),
    [aux_sym_preproc_if_token2] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(215),
    [aux_sym_preproc_else_token1] = ACTIONS(213),
    [aux_sym_preproc_elif_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(218),
    [anon_sym_LPAREN2] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(224),
    [anon_sym_TILDE] = ACTIONS(224),
    [anon_sym_DASH] = ACTIONS(227),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_STAR] = ACTIONS(230),
    [anon_sym_AMP] = ACTIONS(230),
    [anon_sym_SEMI] = ACTIONS(233),
    [anon_sym___extension__] = ACTIONS(236),
    [anon_sym_typedef] = ACTIONS(239),
    [anon_sym_extern] = ACTIONS(242),
    [anon_sym___attribute__] = ACTIONS(245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(248),
    [anon_sym___declspec] = ACTIONS(251),
    [anon_sym___cdecl] = ACTIONS(254),
    [anon_sym___clrcall] = ACTIONS(254),
    [anon_sym___stdcall] = ACTIONS(254),
    [anon_sym___fastcall] = ACTIONS(254),
    [anon_sym___thiscall] = ACTIONS(254),
    [anon_sym___vectorcall] = ACTIONS(254),
    [anon_sym_LBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(260),
    [anon_sym_unsigned] = ACTIONS(260),
    [anon_sym_long] = ACTIONS(260),
    [anon_sym_short] = ACTIONS(260),
    [anon_sym_static] = ACTIONS(263),
    [anon_sym_auto] = ACTIONS(263),
    [anon_sym_register] = ACTIONS(263),
    [anon_sym_inline] = ACTIONS(263),
    [anon_sym___inline] = ACTIONS(263),
    [anon_sym___inline__] = ACTIONS(263),
    [anon_sym___forceinline] = ACTIONS(263),
    [anon_sym_thread_local] = ACTIONS(263),
    [anon_sym___thread] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(266),
    [anon_sym_constexpr] = ACTIONS(266),
    [anon_sym_volatile] = ACTIONS(266),
    [anon_sym_restrict] = ACTIONS(266),
    [anon_sym___restrict__] = ACTIONS(266),
    [anon_sym__Atomic] = ACTIONS(266),
    [anon_sym__Noreturn] = ACTIONS(266),
    [anon_sym_noreturn] = ACTIONS(266),
    [anon_sym_alignas] = ACTIONS(269),
    [anon_sym__Alignas] = ACTIONS(269),
    [sym_primitive_type] = ACTIONS(272),
    [anon_sym_enum] = ACTIONS(275),
    [anon_sym_struct] = ACTIONS(278),
    [anon_sym_union] = ACTIONS(281),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_switch] = ACTIONS(287),
    [anon_sym_case] = ACTIONS(290),
    [anon_sym_default] = ACTIONS(293),
    [anon_sym_while] = ACTIONS(296),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(302),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(308),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(314),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(320),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_sizeof] = ACTIONS(326),
    [anon_sym___alignof__] = ACTIONS(329),
    [anon_sym___alignof] = ACTIONS(329),
    [anon_sym__alignof] = ACTIONS(329),
    [anon_sym_alignof] = ACTIONS(329),
    [anon_sym__Alignof] = ACTIONS(329),
    [anon_sym_offsetof] = ACTIONS(332),
    [anon_sym__Generic] = ACTIONS(335),
    [anon_sym_asm] = ACTIONS(338),
    [anon_sym___asm__] = ACTIONS(338),
    [sym_number_literal] = ACTIONS(341),
    [anon_sym_L_SQUOTE] = ACTIONS(344),
    [anon_sym_u_SQUOTE] = ACTIONS(344),
    [anon_sym_U_SQUOTE] = ACTIONS(344),
    [anon_sym_u8_SQUOTE] = ACTIONS(344),
    [anon_sym_SQUOTE] = ACTIONS(344),
    [anon_sym_L_DQUOTE] = ACTIONS(347),
    [anon_sym_u_DQUOTE] = ACTIONS(347),
    [anon_sym_U_DQUOTE] = ACTIONS(347),
    [anon_sym_u8_DQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_true] = ACTIONS(350),
    [sym_false] = ACTIONS(350),
    [anon_sym_NULL] = ACTIONS(353),
    [anon_sym_nullptr] = ACTIONS(353),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym__block_item] = STATE(28),
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_function_definition] = STATE(28),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(28),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(28),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(378),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym__block_item] = STATE(24),
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(24),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(406),
    [aux_sym_preproc_include_token1] = ACTIONS(409),
    [aux_sym_preproc_def_token1] = ACTIONS(412),
    [aux_sym_preproc_if_token1] = ACTIONS(415),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(418),
    [sym_preproc_directive] = ACTIONS(421),
    [anon_sym_LPAREN2] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(224),
    [anon_sym_TILDE] = ACTIONS(224),
    [anon_sym_DASH] = ACTIONS(227),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_STAR] = ACTIONS(230),
    [anon_sym_AMP] = ACTIONS(230),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym___extension__] = ACTIONS(427),
    [anon_sym_typedef] = ACTIONS(430),
    [anon_sym_extern] = ACTIONS(433),
    [anon_sym___attribute__] = ACTIONS(245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(248),
    [anon_sym___declspec] = ACTIONS(251),
    [anon_sym___cdecl] = ACTIONS(254),
    [anon_sym___clrcall] = ACTIONS(254),
    [anon_sym___stdcall] = ACTIONS(254),
    [anon_sym___fastcall] = ACTIONS(254),
    [anon_sym___thiscall] = ACTIONS(254),
    [anon_sym___vectorcall] = ACTIONS(254),
    [anon_sym_LBRACE] = ACTIONS(436),
    [anon_sym_RBRACE] = ACTIONS(439),
    [anon_sym_signed] = ACTIONS(260),
    [anon_sym_unsigned] = ACTIONS(260),
    [anon_sym_long] = ACTIONS(260),
    [anon_sym_short] = ACTIONS(260),
    [anon_sym_static] = ACTIONS(263),
    [anon_sym_auto] = ACTIONS(263),
    [anon_sym_register] = ACTIONS(263),
    [anon_sym_inline] = ACTIONS(263),
    [anon_sym___inline] = ACTIONS(263),
    [anon_sym___inline__] = ACTIONS(263),
    [anon_sym___forceinline] = ACTIONS(263),
    [anon_sym_thread_local] = ACTIONS(263),
    [anon_sym___thread] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(266),
    [anon_sym_constexpr] = ACTIONS(266),
    [anon_sym_volatile] = ACTIONS(266),
    [anon_sym_restrict] = ACTIONS(266),
    [anon_sym___restrict__] = ACTIONS(266),
    [anon_sym__Atomic] = ACTIONS(266),
    [anon_sym__Noreturn] = ACTIONS(266),
    [anon_sym_noreturn] = ACTIONS(266),
    [anon_sym_alignas] = ACTIONS(269),
    [anon_sym__Alignas] = ACTIONS(269),
    [sym_primitive_type] = ACTIONS(272),
    [anon_sym_enum] = ACTIONS(275),
    [anon_sym_struct] = ACTIONS(278),
    [anon_sym_union] = ACTIONS(281),
    [anon_sym_if] = ACTIONS(441),
    [anon_sym_switch] = ACTIONS(444),
    [anon_sym_case] = ACTIONS(447),
    [anon_sym_default] = ACTIONS(450),
    [anon_sym_while] = ACTIONS(453),
    [anon_sym_do] = ACTIONS(456),
    [anon_sym_for] = ACTIONS(459),
    [anon_sym_return] = ACTIONS(462),
    [anon_sym_break] = ACTIONS(465),
    [anon_sym_continue] = ACTIONS(468),
    [anon_sym_goto] = ACTIONS(471),
    [anon_sym___try] = ACTIONS(474),
    [anon_sym___leave] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_sizeof] = ACTIONS(326),
    [anon_sym___alignof__] = ACTIONS(329),
    [anon_sym___alignof] = ACTIONS(329),
    [anon_sym__alignof] = ACTIONS(329),
    [anon_sym_alignof] = ACTIONS(329),
    [anon_sym__Alignof] = ACTIONS(329),
    [anon_sym_offsetof] = ACTIONS(332),
    [anon_sym__Generic] = ACTIONS(335),
    [anon_sym_asm] = ACTIONS(338),
    [anon_sym___asm__] = ACTIONS(338),
    [sym_number_literal] = ACTIONS(341),
    [anon_sym_L_SQUOTE] = ACTIONS(344),
    [anon_sym_u_SQUOTE] = ACTIONS(344),
    [anon_sym_U_SQUOTE] = ACTIONS(344),
    [anon_sym_u8_SQUOTE] = ACTIONS(344),
    [anon_sym_SQUOTE] = ACTIONS(344),
    [anon_sym_L_DQUOTE] = ACTIONS(347),
    [anon_sym_u_DQUOTE] = ACTIONS(347),
    [anon_sym_U_DQUOTE] = ACTIONS(347),
    [anon_sym_u8_DQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_true] = ACTIONS(350),
    [sym_false] = ACTIONS(350),
    [anon_sym_NULL] = ACTIONS(353),
    [anon_sym_nullptr] = ACTIONS(353),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym__block_item] = STATE(25),
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_function_definition] = STATE(25),
    [sym__old_style_function_definition] = STATE(275),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(697),
    [sym_compound_statement] = STATE(186),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(810),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(284),
    [sym_statement] = STATE(25),
    [sym_labeled_statement] = STATE(186),
    [sym_expression_statement] = STATE(186),
    [sym_if_statement] = STATE(186),
    [sym_switch_statement] = STATE(186),
    [sym_case_statement] = STATE(186),
    [sym_while_statement] = STATE(186),
    [sym_do_statement] = STATE(186),
    [sym_for_statement] = STATE(186),
    [sym_return_statement] = STATE(186),
    [sym_break_statement] = STATE(186),
    [sym_continue_statement] = STATE(186),
    [sym_goto_statement] = STATE(186),
    [sym_seh_try_statement] = STATE(186),
    [sym_seh_leave_statement] = STATE(186),
    [sym_expression] = STATE(1028),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1897),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(25),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(348),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(480),
    [aux_sym_preproc_include_token1] = ACTIONS(483),
    [aux_sym_preproc_def_token1] = ACTIONS(486),
    [aux_sym_preproc_if_token1] = ACTIONS(489),
    [aux_sym_preproc_if_token2] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(492),
    [sym_preproc_directive] = ACTIONS(495),
    [anon_sym_LPAREN2] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(224),
    [anon_sym_TILDE] = ACTIONS(224),
    [anon_sym_DASH] = ACTIONS(227),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_STAR] = ACTIONS(230),
    [anon_sym_AMP] = ACTIONS(230),
    [anon_sym_SEMI] = ACTIONS(498),
    [anon_sym___extension__] = ACTIONS(501),
    [anon_sym_typedef] = ACTIONS(504),
    [anon_sym_extern] = ACTIONS(507),
    [anon_sym___attribute__] = ACTIONS(245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(248),
    [anon_sym___declspec] = ACTIONS(251),
    [anon_sym___cdecl] = ACTIONS(254),
    [anon_sym___clrcall] = ACTIONS(254),
    [anon_sym___stdcall] = ACTIONS(254),
    [anon_sym___fastcall] = ACTIONS(254),
    [anon_sym___thiscall] = ACTIONS(254),
    [anon_sym___vectorcall] = ACTIONS(254),
    [anon_sym_LBRACE] = ACTIONS(510),
    [anon_sym_signed] = ACTIONS(260),
    [anon_sym_unsigned] = ACTIONS(260),
    [anon_sym_long] = ACTIONS(260),
    [anon_sym_short] = ACTIONS(260),
    [anon_sym_static] = ACTIONS(263),
    [anon_sym_auto] = ACTIONS(263),
    [anon_sym_register] = ACTIONS(263),
    [anon_sym_inline] = ACTIONS(263),
    [anon_sym___inline] = ACTIONS(263),
    [anon_sym___inline__] = ACTIONS(263),
    [anon_sym___forceinline] = ACTIONS(263),
    [anon_sym_thread_local] = ACTIONS(263),
    [anon_sym___thread] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(266),
    [anon_sym_constexpr] = ACTIONS(266),
    [anon_sym_volatile] = ACTIONS(266),
    [anon_sym_restrict] = ACTIONS(266),
    [anon_sym___restrict__] = ACTIONS(266),
    [anon_sym__Atomic] = ACTIONS(266),
    [anon_sym__Noreturn] = ACTIONS(266),
    [anon_sym_noreturn] = ACTIONS(266),
    [anon_sym_alignas] = ACTIONS(269),
    [anon_sym__Alignas] = ACTIONS(269),
    [sym_primitive_type] = ACTIONS(272),
    [anon_sym_enum] = ACTIONS(275),
    [anon_sym_struct] = ACTIONS(278),
    [anon_sym_union] = ACTIONS(281),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_switch] = ACTIONS(516),
    [anon_sym_case] = ACTIONS(519),
    [anon_sym_default] = ACTIONS(522),
    [anon_sym_while] = ACTIONS(525),
    [anon_sym_do] = ACTIONS(528),
    [anon_sym_for] = ACTIONS(531),
    [anon_sym_return] = ACTIONS(534),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(540),
    [anon_sym_goto] = ACTIONS(543),
    [anon_sym___try] = ACTIONS(546),
    [anon_sym___leave] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_sizeof] = ACTIONS(326),
    [anon_sym___alignof__] = ACTIONS(329),
    [anon_sym___alignof] = ACTIONS(329),
    [anon_sym__alignof] = ACTIONS(329),
    [anon_sym_alignof] = ACTIONS(329),
    [anon_sym__Alignof] = ACTIONS(329),
    [anon_sym_offsetof] = ACTIONS(332),
    [anon_sym__Generic] = ACTIONS(335),
    [anon_sym_asm] = ACTIONS(338),
    [anon_sym___asm__] = ACTIONS(338),
    [sym_number_literal] = ACTIONS(341),
    [anon_sym_L_SQUOTE] = ACTIONS(344),
    [anon_sym_u_SQUOTE] = ACTIONS(344),
    [anon_sym_U_SQUOTE] = ACTIONS(344),
    [anon_sym_u8_SQUOTE] = ACTIONS(344),
    [anon_sym_SQUOTE] = ACTIONS(344),
    [anon_sym_L_DQUOTE] = ACTIONS(347),
    [anon_sym_u_DQUOTE] = ACTIONS(347),
    [anon_sym_U_DQUOTE] = ACTIONS(347),
    [anon_sym_u8_DQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_true] = ACTIONS(350),
    [sym_false] = ACTIONS(350),
    [anon_sym_NULL] = ACTIONS(353),
    [anon_sym_nullptr] = ACTIONS(353),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym__block_item] = STATE(27),
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(27),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(552),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym__block_item] = STATE(24),
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(24),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym__block_item] = STATE(24),
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(24),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(556),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(558),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym__block_item] = STATE(25),
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_function_definition] = STATE(25),
    [sym__old_style_function_definition] = STATE(275),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(697),
    [sym_compound_statement] = STATE(186),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(810),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(284),
    [sym_statement] = STATE(25),
    [sym_labeled_statement] = STATE(186),
    [sym_expression_statement] = STATE(186),
    [sym_if_statement] = STATE(186),
    [sym_switch_statement] = STATE(186),
    [sym_case_statement] = STATE(186),
    [sym_while_statement] = STATE(186),
    [sym_do_statement] = STATE(186),
    [sym_for_statement] = STATE(186),
    [sym_return_statement] = STATE(186),
    [sym_break_statement] = STATE(186),
    [sym_continue_statement] = STATE(186),
    [sym_goto_statement] = STATE(186),
    [sym_seh_try_statement] = STATE(186),
    [sym_seh_leave_statement] = STATE(186),
    [sym_expression] = STATE(1028),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1897),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(25),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(348),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(560),
    [aux_sym_preproc_include_token1] = ACTIONS(562),
    [aux_sym_preproc_def_token1] = ACTIONS(564),
    [aux_sym_preproc_if_token1] = ACTIONS(566),
    [aux_sym_preproc_if_token2] = ACTIONS(568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(570),
    [sym_preproc_directive] = ACTIONS(572),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym___extension__] = ACTIONS(576),
    [anon_sym_typedef] = ACTIONS(578),
    [anon_sym_extern] = ACTIONS(580),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_case] = ACTIONS(588),
    [anon_sym_default] = ACTIONS(590),
    [anon_sym_while] = ACTIONS(592),
    [anon_sym_do] = ACTIONS(594),
    [anon_sym_for] = ACTIONS(596),
    [anon_sym_return] = ACTIONS(598),
    [anon_sym_break] = ACTIONS(600),
    [anon_sym_continue] = ACTIONS(602),
    [anon_sym_goto] = ACTIONS(604),
    [anon_sym___try] = ACTIONS(606),
    [anon_sym___leave] = ACTIONS(608),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym__block_item] = STATE(24),
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(24),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(610),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym__block_item] = STATE(34),
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(34),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(612),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym__block_item] = STATE(30),
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_function_definition] = STATE(30),
    [sym__old_style_function_definition] = STATE(275),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(697),
    [sym_compound_statement] = STATE(186),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(810),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(284),
    [sym_statement] = STATE(30),
    [sym_labeled_statement] = STATE(186),
    [sym_expression_statement] = STATE(186),
    [sym_if_statement] = STATE(186),
    [sym_switch_statement] = STATE(186),
    [sym_case_statement] = STATE(186),
    [sym_while_statement] = STATE(186),
    [sym_do_statement] = STATE(186),
    [sym_for_statement] = STATE(186),
    [sym_return_statement] = STATE(186),
    [sym_break_statement] = STATE(186),
    [sym_continue_statement] = STATE(186),
    [sym_goto_statement] = STATE(186),
    [sym_seh_try_statement] = STATE(186),
    [sym_seh_leave_statement] = STATE(186),
    [sym_expression] = STATE(1028),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1897),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(30),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(348),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(560),
    [aux_sym_preproc_include_token1] = ACTIONS(562),
    [aux_sym_preproc_def_token1] = ACTIONS(564),
    [aux_sym_preproc_if_token1] = ACTIONS(566),
    [aux_sym_preproc_if_token2] = ACTIONS(614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(570),
    [sym_preproc_directive] = ACTIONS(572),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym___extension__] = ACTIONS(576),
    [anon_sym_typedef] = ACTIONS(578),
    [anon_sym_extern] = ACTIONS(580),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_case] = ACTIONS(588),
    [anon_sym_default] = ACTIONS(590),
    [anon_sym_while] = ACTIONS(592),
    [anon_sym_do] = ACTIONS(594),
    [anon_sym_for] = ACTIONS(596),
    [anon_sym_return] = ACTIONS(598),
    [anon_sym_break] = ACTIONS(600),
    [anon_sym_continue] = ACTIONS(602),
    [anon_sym_goto] = ACTIONS(604),
    [anon_sym___try] = ACTIONS(606),
    [anon_sym___leave] = ACTIONS(608),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym__block_item] = STATE(24),
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(24),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(616),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym__block_item] = STATE(24),
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(24),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(37),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(620),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym__block_item] = STATE(24),
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(24),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym__block_item] = STATE(39),
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(39),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(39),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(624),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym__block_item] = STATE(24),
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(24),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(626),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(35),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(628),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(42),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(630),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym__block_item] = STATE(24),
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(254),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1097),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(693),
    [sym_compound_statement] = STATE(196),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(784),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(24),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(632),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym__top_level_item] = STATE(44),
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__old_style_function_definition] = STATE(379),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1101),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(689),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(802),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(353),
    [sym__top_level_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym__top_level_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(1079),
    [sym_conditional_expression] = STATE(1079),
    [sym_assignment_expression] = STATE(1079),
    [sym_pointer_expression] = STATE(899),
    [sym_unary_expression] = STATE(1079),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(1079),
    [sym_cast_expression] = STATE(1079),
    [sym_sizeof_expression] = STATE(1079),
    [sym_alignof_expression] = STATE(1079),
    [sym_offsetof_expression] = STATE(1079),
    [sym_generic_expression] = STATE(1079),
    [sym_subscript_expression] = STATE(899),
    [sym_call_expression] = STATE(899),
    [sym_gnu_asm_expression] = STATE(1079),
    [sym_field_expression] = STATE(899),
    [sym_compound_literal_expression] = STATE(1079),
    [sym_parenthesized_expression] = STATE(899),
    [sym_char_literal] = STATE(1079),
    [sym_concatenated_string] = STATE(1079),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(1079),
    [sym__empty_declaration] = STATE(44),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_translation_unit_repeat1] = STATE(44),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(318),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [ts_builtin_sym_end] = ACTIONS(634),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(31),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(93),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(99),
    [sym_false] = ACTIONS(99),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym__top_level_item] = STATE(44),
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__old_style_function_definition] = STATE(379),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1101),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(689),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(802),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(353),
    [sym__top_level_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym__top_level_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(1079),
    [sym_conditional_expression] = STATE(1079),
    [sym_assignment_expression] = STATE(1079),
    [sym_pointer_expression] = STATE(899),
    [sym_unary_expression] = STATE(1079),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(1079),
    [sym_cast_expression] = STATE(1079),
    [sym_sizeof_expression] = STATE(1079),
    [sym_alignof_expression] = STATE(1079),
    [sym_offsetof_expression] = STATE(1079),
    [sym_generic_expression] = STATE(1079),
    [sym_subscript_expression] = STATE(899),
    [sym_call_expression] = STATE(899),
    [sym_gnu_asm_expression] = STATE(1079),
    [sym_field_expression] = STATE(899),
    [sym_compound_literal_expression] = STATE(1079),
    [sym_parenthesized_expression] = STATE(899),
    [sym_char_literal] = STATE(1079),
    [sym_concatenated_string] = STATE(1079),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(1079),
    [sym__empty_declaration] = STATE(44),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_translation_unit_repeat1] = STATE(44),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(318),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [ts_builtin_sym_end] = ACTIONS(636),
    [sym_identifier] = ACTIONS(638),
    [aux_sym_preproc_include_token1] = ACTIONS(641),
    [aux_sym_preproc_def_token1] = ACTIONS(644),
    [aux_sym_preproc_if_token1] = ACTIONS(647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(650),
    [sym_preproc_directive] = ACTIONS(653),
    [anon_sym_LPAREN2] = ACTIONS(656),
    [anon_sym_BANG] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(662),
    [anon_sym_PLUS] = ACTIONS(662),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(665),
    [anon_sym___extension__] = ACTIONS(668),
    [anon_sym_typedef] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(674),
    [anon_sym___attribute__] = ACTIONS(677),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(680),
    [anon_sym___declspec] = ACTIONS(683),
    [anon_sym___cdecl] = ACTIONS(686),
    [anon_sym___clrcall] = ACTIONS(686),
    [anon_sym___stdcall] = ACTIONS(686),
    [anon_sym___fastcall] = ACTIONS(686),
    [anon_sym___thiscall] = ACTIONS(686),
    [anon_sym___vectorcall] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_signed] = ACTIONS(692),
    [anon_sym_unsigned] = ACTIONS(692),
    [anon_sym_long] = ACTIONS(692),
    [anon_sym_short] = ACTIONS(692),
    [anon_sym_static] = ACTIONS(695),
    [anon_sym_auto] = ACTIONS(695),
    [anon_sym_register] = ACTIONS(695),
    [anon_sym_inline] = ACTIONS(695),
    [anon_sym___inline] = ACTIONS(695),
    [anon_sym___inline__] = ACTIONS(695),
    [anon_sym___forceinline] = ACTIONS(695),
    [anon_sym_thread_local] = ACTIONS(695),
    [anon_sym___thread] = ACTIONS(695),
    [anon_sym_const] = ACTIONS(698),
    [anon_sym_constexpr] = ACTIONS(698),
    [anon_sym_volatile] = ACTIONS(698),
    [anon_sym_restrict] = ACTIONS(698),
    [anon_sym___restrict__] = ACTIONS(698),
    [anon_sym__Atomic] = ACTIONS(698),
    [anon_sym__Noreturn] = ACTIONS(698),
    [anon_sym_noreturn] = ACTIONS(698),
    [anon_sym_alignas] = ACTIONS(701),
    [anon_sym__Alignas] = ACTIONS(701),
    [sym_primitive_type] = ACTIONS(704),
    [anon_sym_enum] = ACTIONS(707),
    [anon_sym_struct] = ACTIONS(710),
    [anon_sym_union] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(716),
    [anon_sym_switch] = ACTIONS(719),
    [anon_sym_case] = ACTIONS(722),
    [anon_sym_default] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(728),
    [anon_sym_do] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(734),
    [anon_sym_return] = ACTIONS(737),
    [anon_sym_break] = ACTIONS(740),
    [anon_sym_continue] = ACTIONS(743),
    [anon_sym_goto] = ACTIONS(746),
    [anon_sym_DASH_DASH] = ACTIONS(749),
    [anon_sym_PLUS_PLUS] = ACTIONS(749),
    [anon_sym_sizeof] = ACTIONS(752),
    [anon_sym___alignof__] = ACTIONS(755),
    [anon_sym___alignof] = ACTIONS(755),
    [anon_sym__alignof] = ACTIONS(755),
    [anon_sym_alignof] = ACTIONS(755),
    [anon_sym__Alignof] = ACTIONS(755),
    [anon_sym_offsetof] = ACTIONS(758),
    [anon_sym__Generic] = ACTIONS(761),
    [anon_sym_asm] = ACTIONS(764),
    [anon_sym___asm__] = ACTIONS(764),
    [sym_number_literal] = ACTIONS(767),
    [anon_sym_L_SQUOTE] = ACTIONS(770),
    [anon_sym_u_SQUOTE] = ACTIONS(770),
    [anon_sym_U_SQUOTE] = ACTIONS(770),
    [anon_sym_u8_SQUOTE] = ACTIONS(770),
    [anon_sym_SQUOTE] = ACTIONS(770),
    [anon_sym_L_DQUOTE] = ACTIONS(773),
    [anon_sym_u_DQUOTE] = ACTIONS(773),
    [anon_sym_U_DQUOTE] = ACTIONS(773),
    [anon_sym_u8_DQUOTE] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(773),
    [sym_true] = ACTIONS(776),
    [sym_false] = ACTIONS(776),
    [anon_sym_NULL] = ACTIONS(779),
    [anon_sym_nullptr] = ACTIONS(779),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1109),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(45),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(45),
    [sym_labeled_statement] = STATE(45),
    [sym_expression_statement] = STATE(45),
    [sym_if_statement] = STATE(45),
    [sym_switch_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_do_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_return_statement] = STATE(45),
    [sym_break_statement] = STATE(45),
    [sym_continue_statement] = STATE(45),
    [sym_goto_statement] = STATE(45),
    [sym_seh_try_statement] = STATE(45),
    [sym_seh_leave_statement] = STATE(45),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(45),
    [sym_identifier] = ACTIONS(782),
    [aux_sym_preproc_include_token1] = ACTIONS(785),
    [aux_sym_preproc_def_token1] = ACTIONS(785),
    [aux_sym_preproc_if_token1] = ACTIONS(785),
    [aux_sym_preproc_if_token2] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(785),
    [aux_sym_preproc_else_token1] = ACTIONS(785),
    [aux_sym_preproc_elif_token1] = ACTIONS(785),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(785),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(785),
    [sym_preproc_directive] = ACTIONS(785),
    [anon_sym_LPAREN2] = ACTIONS(787),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(796),
    [anon_sym_AMP] = ACTIONS(796),
    [anon_sym_SEMI] = ACTIONS(799),
    [anon_sym___extension__] = ACTIONS(802),
    [anon_sym_typedef] = ACTIONS(805),
    [anon_sym_extern] = ACTIONS(808),
    [anon_sym___attribute__] = ACTIONS(811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(814),
    [anon_sym___declspec] = ACTIONS(817),
    [anon_sym___cdecl] = ACTIONS(785),
    [anon_sym___clrcall] = ACTIONS(785),
    [anon_sym___stdcall] = ACTIONS(785),
    [anon_sym___fastcall] = ACTIONS(785),
    [anon_sym___thiscall] = ACTIONS(785),
    [anon_sym___vectorcall] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_signed] = ACTIONS(823),
    [anon_sym_unsigned] = ACTIONS(823),
    [anon_sym_long] = ACTIONS(823),
    [anon_sym_short] = ACTIONS(823),
    [anon_sym_static] = ACTIONS(808),
    [anon_sym_auto] = ACTIONS(808),
    [anon_sym_register] = ACTIONS(808),
    [anon_sym_inline] = ACTIONS(808),
    [anon_sym___inline] = ACTIONS(808),
    [anon_sym___inline__] = ACTIONS(808),
    [anon_sym___forceinline] = ACTIONS(808),
    [anon_sym_thread_local] = ACTIONS(808),
    [anon_sym___thread] = ACTIONS(808),
    [anon_sym_const] = ACTIONS(826),
    [anon_sym_constexpr] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_restrict] = ACTIONS(826),
    [anon_sym___restrict__] = ACTIONS(826),
    [anon_sym__Atomic] = ACTIONS(826),
    [anon_sym__Noreturn] = ACTIONS(826),
    [anon_sym_noreturn] = ACTIONS(826),
    [anon_sym_alignas] = ACTIONS(829),
    [anon_sym__Alignas] = ACTIONS(829),
    [sym_primitive_type] = ACTIONS(832),
    [anon_sym_enum] = ACTIONS(835),
    [anon_sym_struct] = ACTIONS(838),
    [anon_sym_union] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_else] = ACTIONS(785),
    [anon_sym_switch] = ACTIONS(847),
    [anon_sym_case] = ACTIONS(785),
    [anon_sym_default] = ACTIONS(785),
    [anon_sym_while] = ACTIONS(850),
    [anon_sym_do] = ACTIONS(853),
    [anon_sym_for] = ACTIONS(856),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(862),
    [anon_sym_continue] = ACTIONS(865),
    [anon_sym_goto] = ACTIONS(868),
    [anon_sym___try] = ACTIONS(871),
    [anon_sym___leave] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(877),
    [anon_sym_PLUS_PLUS] = ACTIONS(877),
    [anon_sym_sizeof] = ACTIONS(880),
    [anon_sym___alignof__] = ACTIONS(883),
    [anon_sym___alignof] = ACTIONS(883),
    [anon_sym__alignof] = ACTIONS(883),
    [anon_sym_alignof] = ACTIONS(883),
    [anon_sym__Alignof] = ACTIONS(883),
    [anon_sym_offsetof] = ACTIONS(886),
    [anon_sym__Generic] = ACTIONS(889),
    [anon_sym_asm] = ACTIONS(892),
    [anon_sym___asm__] = ACTIONS(892),
    [sym_number_literal] = ACTIONS(895),
    [anon_sym_L_SQUOTE] = ACTIONS(898),
    [anon_sym_u_SQUOTE] = ACTIONS(898),
    [anon_sym_U_SQUOTE] = ACTIONS(898),
    [anon_sym_u8_SQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_L_DQUOTE] = ACTIONS(901),
    [anon_sym_u_DQUOTE] = ACTIONS(901),
    [anon_sym_U_DQUOTE] = ACTIONS(901),
    [anon_sym_u8_DQUOTE] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [anon_sym_NULL] = ACTIONS(907),
    [anon_sym_nullptr] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1109),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(45),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(45),
    [sym_labeled_statement] = STATE(45),
    [sym_expression_statement] = STATE(45),
    [sym_if_statement] = STATE(45),
    [sym_switch_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_do_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_return_statement] = STATE(45),
    [sym_break_statement] = STATE(45),
    [sym_continue_statement] = STATE(45),
    [sym_goto_statement] = STATE(45),
    [sym_seh_try_statement] = STATE(45),
    [sym_seh_leave_statement] = STATE(45),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(45),
    [sym_identifier] = ACTIONS(910),
    [aux_sym_preproc_include_token1] = ACTIONS(912),
    [aux_sym_preproc_def_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token2] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(912),
    [aux_sym_preproc_else_token1] = ACTIONS(912),
    [aux_sym_preproc_elif_token1] = ACTIONS(912),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(912),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(912),
    [sym_preproc_directive] = ACTIONS(912),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(912),
    [anon_sym___clrcall] = ACTIONS(912),
    [anon_sym___stdcall] = ACTIONS(912),
    [anon_sym___fastcall] = ACTIONS(912),
    [anon_sym___thiscall] = ACTIONS(912),
    [anon_sym___vectorcall] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym_default] = ACTIONS(912),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1109),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(48),
    [sym_identifier] = ACTIONS(910),
    [aux_sym_preproc_include_token1] = ACTIONS(914),
    [aux_sym_preproc_def_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token2] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(914),
    [aux_sym_preproc_else_token1] = ACTIONS(914),
    [aux_sym_preproc_elif_token1] = ACTIONS(914),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(914),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(914),
    [sym_preproc_directive] = ACTIONS(914),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(914),
    [anon_sym___clrcall] = ACTIONS(914),
    [anon_sym___stdcall] = ACTIONS(914),
    [anon_sym___fastcall] = ACTIONS(914),
    [anon_sym___thiscall] = ACTIONS(914),
    [anon_sym___vectorcall] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1109),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(45),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(45),
    [sym_labeled_statement] = STATE(45),
    [sym_expression_statement] = STATE(45),
    [sym_if_statement] = STATE(45),
    [sym_switch_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_do_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_return_statement] = STATE(45),
    [sym_break_statement] = STATE(45),
    [sym_continue_statement] = STATE(45),
    [sym_goto_statement] = STATE(45),
    [sym_seh_try_statement] = STATE(45),
    [sym_seh_leave_statement] = STATE(45),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(45),
    [sym_identifier] = ACTIONS(910),
    [aux_sym_preproc_include_token1] = ACTIONS(916),
    [aux_sym_preproc_def_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token2] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(916),
    [aux_sym_preproc_else_token1] = ACTIONS(916),
    [aux_sym_preproc_elif_token1] = ACTIONS(916),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(916),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(916),
    [sym_preproc_directive] = ACTIONS(916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(916),
    [anon_sym___clrcall] = ACTIONS(916),
    [anon_sym___stdcall] = ACTIONS(916),
    [anon_sym___fastcall] = ACTIONS(916),
    [anon_sym___thiscall] = ACTIONS(916),
    [anon_sym___vectorcall] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(916),
    [anon_sym_default] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1109),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(46),
    [sym_identifier] = ACTIONS(910),
    [aux_sym_preproc_include_token1] = ACTIONS(918),
    [aux_sym_preproc_def_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token2] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(918),
    [aux_sym_preproc_else_token1] = ACTIONS(918),
    [aux_sym_preproc_elif_token1] = ACTIONS(918),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(918),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(918),
    [sym_preproc_directive] = ACTIONS(918),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(918),
    [anon_sym___clrcall] = ACTIONS(918),
    [anon_sym___stdcall] = ACTIONS(918),
    [anon_sym___fastcall] = ACTIONS(918),
    [anon_sym___thiscall] = ACTIONS(918),
    [anon_sym___vectorcall] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(918),
    [anon_sym_default] = ACTIONS(918),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1118),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym_seh_try_statement] = STATE(58),
    [sym_seh_leave_statement] = STATE(58),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(58),
    [sym_identifier] = ACTIONS(920),
    [aux_sym_preproc_include_token1] = ACTIONS(914),
    [aux_sym_preproc_def_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(914),
    [sym_preproc_directive] = ACTIONS(914),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(914),
    [anon_sym___clrcall] = ACTIONS(914),
    [anon_sym___stdcall] = ACTIONS(914),
    [anon_sym___fastcall] = ACTIONS(914),
    [anon_sym___thiscall] = ACTIONS(914),
    [anon_sym___vectorcall] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(922),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1112),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_seh_try_statement] = STATE(54),
    [sym_seh_leave_statement] = STATE(54),
    [sym_expression] = STATE(1028),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1897),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(348),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(54),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(918),
    [aux_sym_preproc_def_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token2] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(918),
    [sym_preproc_directive] = ACTIONS(918),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym___extension__] = ACTIONS(576),
    [anon_sym_typedef] = ACTIONS(578),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(918),
    [anon_sym___clrcall] = ACTIONS(918),
    [anon_sym___stdcall] = ACTIONS(918),
    [anon_sym___fastcall] = ACTIONS(918),
    [anon_sym___thiscall] = ACTIONS(918),
    [anon_sym___vectorcall] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_case] = ACTIONS(918),
    [anon_sym_default] = ACTIONS(918),
    [anon_sym_while] = ACTIONS(592),
    [anon_sym_do] = ACTIONS(594),
    [anon_sym_for] = ACTIONS(596),
    [anon_sym_return] = ACTIONS(598),
    [anon_sym_break] = ACTIONS(600),
    [anon_sym_continue] = ACTIONS(602),
    [anon_sym_goto] = ACTIONS(604),
    [anon_sym___try] = ACTIONS(606),
    [anon_sym___leave] = ACTIONS(608),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1112),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym_expression] = STATE(1028),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1897),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(348),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(59),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(914),
    [aux_sym_preproc_def_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token2] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(914),
    [sym_preproc_directive] = ACTIONS(914),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym___extension__] = ACTIONS(576),
    [anon_sym_typedef] = ACTIONS(578),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(914),
    [anon_sym___clrcall] = ACTIONS(914),
    [anon_sym___stdcall] = ACTIONS(914),
    [anon_sym___fastcall] = ACTIONS(914),
    [anon_sym___thiscall] = ACTIONS(914),
    [anon_sym___vectorcall] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(592),
    [anon_sym_do] = ACTIONS(594),
    [anon_sym_for] = ACTIONS(596),
    [anon_sym_return] = ACTIONS(598),
    [anon_sym_break] = ACTIONS(600),
    [anon_sym_continue] = ACTIONS(602),
    [anon_sym_goto] = ACTIONS(604),
    [anon_sym___try] = ACTIONS(606),
    [anon_sym___leave] = ACTIONS(608),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1118),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(61),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(61),
    [sym_labeled_statement] = STATE(61),
    [sym_expression_statement] = STATE(61),
    [sym_if_statement] = STATE(61),
    [sym_switch_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_do_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_return_statement] = STATE(61),
    [sym_break_statement] = STATE(61),
    [sym_continue_statement] = STATE(61),
    [sym_goto_statement] = STATE(61),
    [sym_seh_try_statement] = STATE(61),
    [sym_seh_leave_statement] = STATE(61),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(61),
    [sym_identifier] = ACTIONS(920),
    [aux_sym_preproc_include_token1] = ACTIONS(912),
    [aux_sym_preproc_def_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(912),
    [sym_preproc_directive] = ACTIONS(912),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(912),
    [anon_sym___clrcall] = ACTIONS(912),
    [anon_sym___stdcall] = ACTIONS(912),
    [anon_sym___fastcall] = ACTIONS(912),
    [anon_sym___thiscall] = ACTIONS(912),
    [anon_sym___vectorcall] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(926),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym_default] = ACTIONS(912),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1112),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym_expression] = STATE(1028),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1897),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(348),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(56),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(912),
    [aux_sym_preproc_def_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token2] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(912),
    [sym_preproc_directive] = ACTIONS(912),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym___extension__] = ACTIONS(576),
    [anon_sym_typedef] = ACTIONS(578),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(912),
    [anon_sym___clrcall] = ACTIONS(912),
    [anon_sym___stdcall] = ACTIONS(912),
    [anon_sym___fastcall] = ACTIONS(912),
    [anon_sym___thiscall] = ACTIONS(912),
    [anon_sym___vectorcall] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym_default] = ACTIONS(912),
    [anon_sym_while] = ACTIONS(592),
    [anon_sym_do] = ACTIONS(594),
    [anon_sym_for] = ACTIONS(596),
    [anon_sym_return] = ACTIONS(598),
    [anon_sym_break] = ACTIONS(600),
    [anon_sym_continue] = ACTIONS(602),
    [anon_sym_goto] = ACTIONS(604),
    [anon_sym___try] = ACTIONS(606),
    [anon_sym___leave] = ACTIONS(608),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym_expression] = STATE(1027),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1913),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(318),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(55),
    [ts_builtin_sym_end] = ACTIONS(928),
    [sym_identifier] = ACTIONS(930),
    [aux_sym_preproc_include_token1] = ACTIONS(785),
    [aux_sym_preproc_def_token1] = ACTIONS(785),
    [aux_sym_preproc_if_token1] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(785),
    [sym_preproc_directive] = ACTIONS(785),
    [anon_sym_LPAREN2] = ACTIONS(787),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(796),
    [anon_sym_AMP] = ACTIONS(796),
    [anon_sym_SEMI] = ACTIONS(933),
    [anon_sym___extension__] = ACTIONS(936),
    [anon_sym_typedef] = ACTIONS(939),
    [anon_sym_extern] = ACTIONS(808),
    [anon_sym___attribute__] = ACTIONS(811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(814),
    [anon_sym___declspec] = ACTIONS(817),
    [anon_sym___cdecl] = ACTIONS(785),
    [anon_sym___clrcall] = ACTIONS(785),
    [anon_sym___stdcall] = ACTIONS(785),
    [anon_sym___fastcall] = ACTIONS(785),
    [anon_sym___thiscall] = ACTIONS(785),
    [anon_sym___vectorcall] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(942),
    [anon_sym_signed] = ACTIONS(823),
    [anon_sym_unsigned] = ACTIONS(823),
    [anon_sym_long] = ACTIONS(823),
    [anon_sym_short] = ACTIONS(823),
    [anon_sym_static] = ACTIONS(808),
    [anon_sym_auto] = ACTIONS(808),
    [anon_sym_register] = ACTIONS(808),
    [anon_sym_inline] = ACTIONS(808),
    [anon_sym___inline] = ACTIONS(808),
    [anon_sym___inline__] = ACTIONS(808),
    [anon_sym___forceinline] = ACTIONS(808),
    [anon_sym_thread_local] = ACTIONS(808),
    [anon_sym___thread] = ACTIONS(808),
    [anon_sym_const] = ACTIONS(826),
    [anon_sym_constexpr] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_restrict] = ACTIONS(826),
    [anon_sym___restrict__] = ACTIONS(826),
    [anon_sym__Atomic] = ACTIONS(826),
    [anon_sym__Noreturn] = ACTIONS(826),
    [anon_sym_noreturn] = ACTIONS(826),
    [anon_sym_alignas] = ACTIONS(829),
    [anon_sym__Alignas] = ACTIONS(829),
    [sym_primitive_type] = ACTIONS(832),
    [anon_sym_enum] = ACTIONS(835),
    [anon_sym_struct] = ACTIONS(838),
    [anon_sym_union] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(945),
    [anon_sym_else] = ACTIONS(785),
    [anon_sym_switch] = ACTIONS(948),
    [anon_sym_case] = ACTIONS(785),
    [anon_sym_default] = ACTIONS(785),
    [anon_sym_while] = ACTIONS(951),
    [anon_sym_do] = ACTIONS(954),
    [anon_sym_for] = ACTIONS(957),
    [anon_sym_return] = ACTIONS(960),
    [anon_sym_break] = ACTIONS(963),
    [anon_sym_continue] = ACTIONS(966),
    [anon_sym_goto] = ACTIONS(969),
    [anon_sym___try] = ACTIONS(972),
    [anon_sym___leave] = ACTIONS(975),
    [anon_sym_DASH_DASH] = ACTIONS(877),
    [anon_sym_PLUS_PLUS] = ACTIONS(877),
    [anon_sym_sizeof] = ACTIONS(880),
    [anon_sym___alignof__] = ACTIONS(883),
    [anon_sym___alignof] = ACTIONS(883),
    [anon_sym__alignof] = ACTIONS(883),
    [anon_sym_alignof] = ACTIONS(883),
    [anon_sym__Alignof] = ACTIONS(883),
    [anon_sym_offsetof] = ACTIONS(886),
    [anon_sym__Generic] = ACTIONS(889),
    [anon_sym_asm] = ACTIONS(892),
    [anon_sym___asm__] = ACTIONS(892),
    [sym_number_literal] = ACTIONS(895),
    [anon_sym_L_SQUOTE] = ACTIONS(898),
    [anon_sym_u_SQUOTE] = ACTIONS(898),
    [anon_sym_U_SQUOTE] = ACTIONS(898),
    [anon_sym_u8_SQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_L_DQUOTE] = ACTIONS(901),
    [anon_sym_u_DQUOTE] = ACTIONS(901),
    [anon_sym_U_DQUOTE] = ACTIONS(901),
    [anon_sym_u8_DQUOTE] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [anon_sym_NULL] = ACTIONS(907),
    [anon_sym_nullptr] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1112),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym_expression] = STATE(1028),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1897),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(348),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(56),
    [sym_identifier] = ACTIONS(978),
    [aux_sym_preproc_include_token1] = ACTIONS(785),
    [aux_sym_preproc_def_token1] = ACTIONS(785),
    [aux_sym_preproc_if_token1] = ACTIONS(785),
    [aux_sym_preproc_if_token2] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(785),
    [sym_preproc_directive] = ACTIONS(785),
    [anon_sym_LPAREN2] = ACTIONS(787),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(796),
    [anon_sym_AMP] = ACTIONS(796),
    [anon_sym_SEMI] = ACTIONS(981),
    [anon_sym___extension__] = ACTIONS(984),
    [anon_sym_typedef] = ACTIONS(987),
    [anon_sym_extern] = ACTIONS(808),
    [anon_sym___attribute__] = ACTIONS(811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(814),
    [anon_sym___declspec] = ACTIONS(817),
    [anon_sym___cdecl] = ACTIONS(785),
    [anon_sym___clrcall] = ACTIONS(785),
    [anon_sym___stdcall] = ACTIONS(785),
    [anon_sym___fastcall] = ACTIONS(785),
    [anon_sym___thiscall] = ACTIONS(785),
    [anon_sym___vectorcall] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(990),
    [anon_sym_signed] = ACTIONS(823),
    [anon_sym_unsigned] = ACTIONS(823),
    [anon_sym_long] = ACTIONS(823),
    [anon_sym_short] = ACTIONS(823),
    [anon_sym_static] = ACTIONS(808),
    [anon_sym_auto] = ACTIONS(808),
    [anon_sym_register] = ACTIONS(808),
    [anon_sym_inline] = ACTIONS(808),
    [anon_sym___inline] = ACTIONS(808),
    [anon_sym___inline__] = ACTIONS(808),
    [anon_sym___forceinline] = ACTIONS(808),
    [anon_sym_thread_local] = ACTIONS(808),
    [anon_sym___thread] = ACTIONS(808),
    [anon_sym_const] = ACTIONS(826),
    [anon_sym_constexpr] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_restrict] = ACTIONS(826),
    [anon_sym___restrict__] = ACTIONS(826),
    [anon_sym__Atomic] = ACTIONS(826),
    [anon_sym__Noreturn] = ACTIONS(826),
    [anon_sym_noreturn] = ACTIONS(826),
    [anon_sym_alignas] = ACTIONS(829),
    [anon_sym__Alignas] = ACTIONS(829),
    [sym_primitive_type] = ACTIONS(832),
    [anon_sym_enum] = ACTIONS(835),
    [anon_sym_struct] = ACTIONS(838),
    [anon_sym_union] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_else] = ACTIONS(785),
    [anon_sym_switch] = ACTIONS(996),
    [anon_sym_case] = ACTIONS(785),
    [anon_sym_default] = ACTIONS(785),
    [anon_sym_while] = ACTIONS(999),
    [anon_sym_do] = ACTIONS(1002),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_return] = ACTIONS(1008),
    [anon_sym_break] = ACTIONS(1011),
    [anon_sym_continue] = ACTIONS(1014),
    [anon_sym_goto] = ACTIONS(1017),
    [anon_sym___try] = ACTIONS(1020),
    [anon_sym___leave] = ACTIONS(1023),
    [anon_sym_DASH_DASH] = ACTIONS(877),
    [anon_sym_PLUS_PLUS] = ACTIONS(877),
    [anon_sym_sizeof] = ACTIONS(880),
    [anon_sym___alignof__] = ACTIONS(883),
    [anon_sym___alignof] = ACTIONS(883),
    [anon_sym__alignof] = ACTIONS(883),
    [anon_sym_alignof] = ACTIONS(883),
    [anon_sym__Alignof] = ACTIONS(883),
    [anon_sym_offsetof] = ACTIONS(886),
    [anon_sym__Generic] = ACTIONS(889),
    [anon_sym_asm] = ACTIONS(892),
    [anon_sym___asm__] = ACTIONS(892),
    [sym_number_literal] = ACTIONS(895),
    [anon_sym_L_SQUOTE] = ACTIONS(898),
    [anon_sym_u_SQUOTE] = ACTIONS(898),
    [anon_sym_U_SQUOTE] = ACTIONS(898),
    [anon_sym_u8_SQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_L_DQUOTE] = ACTIONS(901),
    [anon_sym_u_DQUOTE] = ACTIONS(901),
    [anon_sym_U_DQUOTE] = ACTIONS(901),
    [anon_sym_u8_DQUOTE] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [anon_sym_NULL] = ACTIONS(907),
    [anon_sym_nullptr] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym_expression] = STATE(1027),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1913),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(318),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(63),
    [ts_builtin_sym_end] = ACTIONS(1026),
    [sym_identifier] = ACTIONS(1028),
    [aux_sym_preproc_include_token1] = ACTIONS(918),
    [aux_sym_preproc_def_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(918),
    [sym_preproc_directive] = ACTIONS(918),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1030),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(918),
    [anon_sym___clrcall] = ACTIONS(918),
    [anon_sym___stdcall] = ACTIONS(918),
    [anon_sym___fastcall] = ACTIONS(918),
    [anon_sym___thiscall] = ACTIONS(918),
    [anon_sym___vectorcall] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(918),
    [anon_sym_default] = ACTIONS(918),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1032),
    [anon_sym___leave] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1118),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(61),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(61),
    [sym_labeled_statement] = STATE(61),
    [sym_expression_statement] = STATE(61),
    [sym_if_statement] = STATE(61),
    [sym_switch_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_do_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_return_statement] = STATE(61),
    [sym_break_statement] = STATE(61),
    [sym_continue_statement] = STATE(61),
    [sym_goto_statement] = STATE(61),
    [sym_seh_try_statement] = STATE(61),
    [sym_seh_leave_statement] = STATE(61),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(61),
    [sym_identifier] = ACTIONS(920),
    [aux_sym_preproc_include_token1] = ACTIONS(916),
    [aux_sym_preproc_def_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(916),
    [sym_preproc_directive] = ACTIONS(916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(916),
    [anon_sym___clrcall] = ACTIONS(916),
    [anon_sym___stdcall] = ACTIONS(916),
    [anon_sym___fastcall] = ACTIONS(916),
    [anon_sym___thiscall] = ACTIONS(916),
    [anon_sym___vectorcall] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(1036),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(916),
    [anon_sym_default] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1112),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym_expression] = STATE(1028),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1897),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(348),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(56),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(916),
    [aux_sym_preproc_def_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token2] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(916),
    [sym_preproc_directive] = ACTIONS(916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym___extension__] = ACTIONS(576),
    [anon_sym_typedef] = ACTIONS(578),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(916),
    [anon_sym___clrcall] = ACTIONS(916),
    [anon_sym___stdcall] = ACTIONS(916),
    [anon_sym___fastcall] = ACTIONS(916),
    [anon_sym___thiscall] = ACTIONS(916),
    [anon_sym___vectorcall] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_case] = ACTIONS(916),
    [anon_sym_default] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(592),
    [anon_sym_do] = ACTIONS(594),
    [anon_sym_for] = ACTIONS(596),
    [anon_sym_return] = ACTIONS(598),
    [anon_sym_break] = ACTIONS(600),
    [anon_sym_continue] = ACTIONS(602),
    [anon_sym_goto] = ACTIONS(604),
    [anon_sym___try] = ACTIONS(606),
    [anon_sym___leave] = ACTIONS(608),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym_expression] = STATE(1027),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1913),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(318),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [ts_builtin_sym_end] = ACTIONS(922),
    [sym_identifier] = ACTIONS(1028),
    [aux_sym_preproc_include_token1] = ACTIONS(914),
    [aux_sym_preproc_def_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(914),
    [sym_preproc_directive] = ACTIONS(914),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1030),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(914),
    [anon_sym___clrcall] = ACTIONS(914),
    [anon_sym___stdcall] = ACTIONS(914),
    [anon_sym___fastcall] = ACTIONS(914),
    [anon_sym___thiscall] = ACTIONS(914),
    [anon_sym___vectorcall] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1032),
    [anon_sym___leave] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1118),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(61),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(61),
    [sym_labeled_statement] = STATE(61),
    [sym_expression_statement] = STATE(61),
    [sym_if_statement] = STATE(61),
    [sym_switch_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_do_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_return_statement] = STATE(61),
    [sym_break_statement] = STATE(61),
    [sym_continue_statement] = STATE(61),
    [sym_goto_statement] = STATE(61),
    [sym_seh_try_statement] = STATE(61),
    [sym_seh_leave_statement] = STATE(61),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(61),
    [sym_identifier] = ACTIONS(1038),
    [aux_sym_preproc_include_token1] = ACTIONS(785),
    [aux_sym_preproc_def_token1] = ACTIONS(785),
    [aux_sym_preproc_if_token1] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(785),
    [sym_preproc_directive] = ACTIONS(785),
    [anon_sym_LPAREN2] = ACTIONS(787),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(796),
    [anon_sym_AMP] = ACTIONS(796),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym___extension__] = ACTIONS(1044),
    [anon_sym_typedef] = ACTIONS(1047),
    [anon_sym_extern] = ACTIONS(808),
    [anon_sym___attribute__] = ACTIONS(811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(814),
    [anon_sym___declspec] = ACTIONS(817),
    [anon_sym___cdecl] = ACTIONS(785),
    [anon_sym___clrcall] = ACTIONS(785),
    [anon_sym___stdcall] = ACTIONS(785),
    [anon_sym___fastcall] = ACTIONS(785),
    [anon_sym___thiscall] = ACTIONS(785),
    [anon_sym___vectorcall] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_RBRACE] = ACTIONS(928),
    [anon_sym_signed] = ACTIONS(823),
    [anon_sym_unsigned] = ACTIONS(823),
    [anon_sym_long] = ACTIONS(823),
    [anon_sym_short] = ACTIONS(823),
    [anon_sym_static] = ACTIONS(808),
    [anon_sym_auto] = ACTIONS(808),
    [anon_sym_register] = ACTIONS(808),
    [anon_sym_inline] = ACTIONS(808),
    [anon_sym___inline] = ACTIONS(808),
    [anon_sym___inline__] = ACTIONS(808),
    [anon_sym___forceinline] = ACTIONS(808),
    [anon_sym_thread_local] = ACTIONS(808),
    [anon_sym___thread] = ACTIONS(808),
    [anon_sym_const] = ACTIONS(826),
    [anon_sym_constexpr] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_restrict] = ACTIONS(826),
    [anon_sym___restrict__] = ACTIONS(826),
    [anon_sym__Atomic] = ACTIONS(826),
    [anon_sym__Noreturn] = ACTIONS(826),
    [anon_sym_noreturn] = ACTIONS(826),
    [anon_sym_alignas] = ACTIONS(829),
    [anon_sym__Alignas] = ACTIONS(829),
    [sym_primitive_type] = ACTIONS(832),
    [anon_sym_enum] = ACTIONS(835),
    [anon_sym_struct] = ACTIONS(838),
    [anon_sym_union] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1053),
    [anon_sym_else] = ACTIONS(785),
    [anon_sym_switch] = ACTIONS(1056),
    [anon_sym_case] = ACTIONS(785),
    [anon_sym_default] = ACTIONS(785),
    [anon_sym_while] = ACTIONS(1059),
    [anon_sym_do] = ACTIONS(1062),
    [anon_sym_for] = ACTIONS(1065),
    [anon_sym_return] = ACTIONS(1068),
    [anon_sym_break] = ACTIONS(1071),
    [anon_sym_continue] = ACTIONS(1074),
    [anon_sym_goto] = ACTIONS(1077),
    [anon_sym___try] = ACTIONS(1080),
    [anon_sym___leave] = ACTIONS(1083),
    [anon_sym_DASH_DASH] = ACTIONS(877),
    [anon_sym_PLUS_PLUS] = ACTIONS(877),
    [anon_sym_sizeof] = ACTIONS(880),
    [anon_sym___alignof__] = ACTIONS(883),
    [anon_sym___alignof] = ACTIONS(883),
    [anon_sym__alignof] = ACTIONS(883),
    [anon_sym_alignof] = ACTIONS(883),
    [anon_sym__Alignof] = ACTIONS(883),
    [anon_sym_offsetof] = ACTIONS(886),
    [anon_sym__Generic] = ACTIONS(889),
    [anon_sym_asm] = ACTIONS(892),
    [anon_sym___asm__] = ACTIONS(892),
    [sym_number_literal] = ACTIONS(895),
    [anon_sym_L_SQUOTE] = ACTIONS(898),
    [anon_sym_u_SQUOTE] = ACTIONS(898),
    [anon_sym_U_SQUOTE] = ACTIONS(898),
    [anon_sym_u8_SQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_L_DQUOTE] = ACTIONS(901),
    [anon_sym_u_DQUOTE] = ACTIONS(901),
    [anon_sym_U_DQUOTE] = ACTIONS(901),
    [anon_sym_u8_DQUOTE] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [anon_sym_NULL] = ACTIONS(907),
    [anon_sym_nullptr] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1118),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym_seh_try_statement] = STATE(53),
    [sym_seh_leave_statement] = STATE(53),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(53),
    [sym_identifier] = ACTIONS(920),
    [aux_sym_preproc_include_token1] = ACTIONS(918),
    [aux_sym_preproc_def_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(918),
    [sym_preproc_directive] = ACTIONS(918),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(918),
    [anon_sym___clrcall] = ACTIONS(918),
    [anon_sym___stdcall] = ACTIONS(918),
    [anon_sym___fastcall] = ACTIONS(918),
    [anon_sym___thiscall] = ACTIONS(918),
    [anon_sym___vectorcall] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(1026),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(918),
    [anon_sym_default] = ACTIONS(918),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym_expression] = STATE(1027),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1913),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(318),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(55),
    [ts_builtin_sym_end] = ACTIONS(926),
    [sym_identifier] = ACTIONS(1028),
    [aux_sym_preproc_include_token1] = ACTIONS(912),
    [aux_sym_preproc_def_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(912),
    [sym_preproc_directive] = ACTIONS(912),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1030),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(912),
    [anon_sym___clrcall] = ACTIONS(912),
    [anon_sym___stdcall] = ACTIONS(912),
    [anon_sym___fastcall] = ACTIONS(912),
    [anon_sym___thiscall] = ACTIONS(912),
    [anon_sym___vectorcall] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym_default] = ACTIONS(912),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1032),
    [anon_sym___leave] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym_expression] = STATE(1027),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1913),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(318),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(55),
    [ts_builtin_sym_end] = ACTIONS(1036),
    [sym_identifier] = ACTIONS(1028),
    [aux_sym_preproc_include_token1] = ACTIONS(916),
    [aux_sym_preproc_def_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(916),
    [sym_preproc_directive] = ACTIONS(916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1030),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(916),
    [anon_sym___clrcall] = ACTIONS(916),
    [anon_sym___stdcall] = ACTIONS(916),
    [anon_sym___fastcall] = ACTIONS(916),
    [anon_sym___thiscall] = ACTIONS(916),
    [anon_sym___vectorcall] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(916),
    [anon_sym_default] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1032),
    [anon_sym___leave] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(68),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(68),
    [sym_labeled_statement] = STATE(68),
    [sym_expression_statement] = STATE(68),
    [sym_if_statement] = STATE(68),
    [sym_switch_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_do_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_return_statement] = STATE(68),
    [sym_break_statement] = STATE(68),
    [sym_continue_statement] = STATE(68),
    [sym_goto_statement] = STATE(68),
    [sym_seh_try_statement] = STATE(68),
    [sym_seh_leave_statement] = STATE(68),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(68),
    [sym_identifier] = ACTIONS(1086),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(67),
    [sym_identifier] = ACTIONS(1086),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(67),
    [sym_identifier] = ACTIONS(1096),
    [anon_sym_LPAREN2] = ACTIONS(787),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(796),
    [anon_sym_AMP] = ACTIONS(796),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym___extension__] = ACTIONS(936),
    [anon_sym_typedef] = ACTIONS(939),
    [anon_sym_extern] = ACTIONS(808),
    [anon_sym___attribute__] = ACTIONS(811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(814),
    [anon_sym___declspec] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(942),
    [anon_sym_signed] = ACTIONS(823),
    [anon_sym_unsigned] = ACTIONS(823),
    [anon_sym_long] = ACTIONS(823),
    [anon_sym_short] = ACTIONS(823),
    [anon_sym_static] = ACTIONS(808),
    [anon_sym_auto] = ACTIONS(808),
    [anon_sym_register] = ACTIONS(808),
    [anon_sym_inline] = ACTIONS(808),
    [anon_sym___inline] = ACTIONS(808),
    [anon_sym___inline__] = ACTIONS(808),
    [anon_sym___forceinline] = ACTIONS(808),
    [anon_sym_thread_local] = ACTIONS(808),
    [anon_sym___thread] = ACTIONS(808),
    [anon_sym_const] = ACTIONS(826),
    [anon_sym_constexpr] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_restrict] = ACTIONS(826),
    [anon_sym___restrict__] = ACTIONS(826),
    [anon_sym__Atomic] = ACTIONS(826),
    [anon_sym__Noreturn] = ACTIONS(826),
    [anon_sym_noreturn] = ACTIONS(826),
    [anon_sym_alignas] = ACTIONS(829),
    [anon_sym__Alignas] = ACTIONS(829),
    [sym_primitive_type] = ACTIONS(832),
    [anon_sym_enum] = ACTIONS(835),
    [anon_sym_struct] = ACTIONS(838),
    [anon_sym_union] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1099),
    [anon_sym_else] = ACTIONS(785),
    [anon_sym_switch] = ACTIONS(948),
    [anon_sym_while] = ACTIONS(1102),
    [anon_sym_do] = ACTIONS(954),
    [anon_sym_for] = ACTIONS(1105),
    [anon_sym_return] = ACTIONS(960),
    [anon_sym_break] = ACTIONS(963),
    [anon_sym_continue] = ACTIONS(966),
    [anon_sym_goto] = ACTIONS(969),
    [anon_sym___try] = ACTIONS(1108),
    [anon_sym___leave] = ACTIONS(1083),
    [anon_sym_DASH_DASH] = ACTIONS(877),
    [anon_sym_PLUS_PLUS] = ACTIONS(877),
    [anon_sym_sizeof] = ACTIONS(880),
    [anon_sym___alignof__] = ACTIONS(883),
    [anon_sym___alignof] = ACTIONS(883),
    [anon_sym__alignof] = ACTIONS(883),
    [anon_sym_alignof] = ACTIONS(883),
    [anon_sym__Alignof] = ACTIONS(883),
    [anon_sym_offsetof] = ACTIONS(886),
    [anon_sym__Generic] = ACTIONS(889),
    [anon_sym_asm] = ACTIONS(892),
    [anon_sym___asm__] = ACTIONS(892),
    [sym_number_literal] = ACTIONS(895),
    [anon_sym_L_SQUOTE] = ACTIONS(898),
    [anon_sym_u_SQUOTE] = ACTIONS(898),
    [anon_sym_U_SQUOTE] = ACTIONS(898),
    [anon_sym_u8_SQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_L_DQUOTE] = ACTIONS(901),
    [anon_sym_u_DQUOTE] = ACTIONS(901),
    [anon_sym_U_DQUOTE] = ACTIONS(901),
    [anon_sym_u8_DQUOTE] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [anon_sym_NULL] = ACTIONS(907),
    [anon_sym_nullptr] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(67),
    [sym_identifier] = ACTIONS(1086),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_declaration] = STATE(66),
    [sym_type_definition] = STATE(66),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(406),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(66),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_attributed_statement] = STATE(66),
    [sym_labeled_statement] = STATE(66),
    [sym_expression_statement] = STATE(66),
    [sym_if_statement] = STATE(66),
    [sym_switch_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_do_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_return_statement] = STATE(66),
    [sym_break_statement] = STATE(66),
    [sym_continue_statement] = STATE(66),
    [sym_goto_statement] = STATE(66),
    [sym_seh_try_statement] = STATE(66),
    [sym_seh_leave_statement] = STATE(66),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [aux_sym_case_statement_repeat1] = STATE(66),
    [sym_identifier] = ACTIONS(1086),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_declaration] = STATE(459),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1126),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__for_statement_body] = STATE(1898),
    [sym_expression] = STATE(1013),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1779),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1111),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1113),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_declaration] = STATE(459),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1126),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__for_statement_body] = STATE(1942),
    [sym_expression] = STATE(1013),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1779),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1111),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1113),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_declaration] = STATE(459),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1126),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__for_statement_body] = STATE(1844),
    [sym_expression] = STATE(1013),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1779),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1111),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1113),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_declaration] = STATE(459),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1126),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__for_statement_body] = STATE(1891),
    [sym_expression] = STATE(1013),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1779),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1111),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1113),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_declaration] = STATE(459),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1126),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__for_statement_body] = STATE(1946),
    [sym_expression] = STATE(1013),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1779),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1111),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1113),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_else_clause] = STATE(91),
    [sym_identifier] = ACTIONS(1117),
    [aux_sym_preproc_include_token1] = ACTIONS(1117),
    [aux_sym_preproc_def_token1] = ACTIONS(1117),
    [aux_sym_preproc_if_token1] = ACTIONS(1117),
    [aux_sym_preproc_if_token2] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1117),
    [aux_sym_preproc_else_token1] = ACTIONS(1117),
    [aux_sym_preproc_elif_token1] = ACTIONS(1117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1117),
    [sym_preproc_directive] = ACTIONS(1117),
    [anon_sym_LPAREN2] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_STAR] = ACTIONS(1119),
    [anon_sym_AMP] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym___extension__] = ACTIONS(1117),
    [anon_sym_typedef] = ACTIONS(1117),
    [anon_sym_extern] = ACTIONS(1117),
    [anon_sym___attribute__] = ACTIONS(1117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1119),
    [anon_sym___declspec] = ACTIONS(1117),
    [anon_sym___cdecl] = ACTIONS(1117),
    [anon_sym___clrcall] = ACTIONS(1117),
    [anon_sym___stdcall] = ACTIONS(1117),
    [anon_sym___fastcall] = ACTIONS(1117),
    [anon_sym___thiscall] = ACTIONS(1117),
    [anon_sym___vectorcall] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_signed] = ACTIONS(1117),
    [anon_sym_unsigned] = ACTIONS(1117),
    [anon_sym_long] = ACTIONS(1117),
    [anon_sym_short] = ACTIONS(1117),
    [anon_sym_static] = ACTIONS(1117),
    [anon_sym_auto] = ACTIONS(1117),
    [anon_sym_register] = ACTIONS(1117),
    [anon_sym_inline] = ACTIONS(1117),
    [anon_sym___inline] = ACTIONS(1117),
    [anon_sym___inline__] = ACTIONS(1117),
    [anon_sym___forceinline] = ACTIONS(1117),
    [anon_sym_thread_local] = ACTIONS(1117),
    [anon_sym___thread] = ACTIONS(1117),
    [anon_sym_const] = ACTIONS(1117),
    [anon_sym_constexpr] = ACTIONS(1117),
    [anon_sym_volatile] = ACTIONS(1117),
    [anon_sym_restrict] = ACTIONS(1117),
    [anon_sym___restrict__] = ACTIONS(1117),
    [anon_sym__Atomic] = ACTIONS(1117),
    [anon_sym__Noreturn] = ACTIONS(1117),
    [anon_sym_noreturn] = ACTIONS(1117),
    [anon_sym_alignas] = ACTIONS(1117),
    [anon_sym__Alignas] = ACTIONS(1117),
    [sym_primitive_type] = ACTIONS(1117),
    [anon_sym_enum] = ACTIONS(1117),
    [anon_sym_struct] = ACTIONS(1117),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_else] = ACTIONS(1121),
    [anon_sym_switch] = ACTIONS(1117),
    [anon_sym_case] = ACTIONS(1117),
    [anon_sym_default] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_do] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_return] = ACTIONS(1117),
    [anon_sym_break] = ACTIONS(1117),
    [anon_sym_continue] = ACTIONS(1117),
    [anon_sym_goto] = ACTIONS(1117),
    [anon_sym___try] = ACTIONS(1117),
    [anon_sym___leave] = ACTIONS(1117),
    [anon_sym_DASH_DASH] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1119),
    [anon_sym_sizeof] = ACTIONS(1117),
    [anon_sym___alignof__] = ACTIONS(1117),
    [anon_sym___alignof] = ACTIONS(1117),
    [anon_sym__alignof] = ACTIONS(1117),
    [anon_sym_alignof] = ACTIONS(1117),
    [anon_sym__Alignof] = ACTIONS(1117),
    [anon_sym_offsetof] = ACTIONS(1117),
    [anon_sym__Generic] = ACTIONS(1117),
    [anon_sym_asm] = ACTIONS(1117),
    [anon_sym___asm__] = ACTIONS(1117),
    [sym_number_literal] = ACTIONS(1119),
    [anon_sym_L_SQUOTE] = ACTIONS(1119),
    [anon_sym_u_SQUOTE] = ACTIONS(1119),
    [anon_sym_U_SQUOTE] = ACTIONS(1119),
    [anon_sym_u8_SQUOTE] = ACTIONS(1119),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_L_DQUOTE] = ACTIONS(1119),
    [anon_sym_u_DQUOTE] = ACTIONS(1119),
    [anon_sym_U_DQUOTE] = ACTIONS(1119),
    [anon_sym_u8_DQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [anon_sym_NULL] = ACTIONS(1117),
    [anon_sym_nullptr] = ACTIONS(1117),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [ts_builtin_sym_end] = ACTIONS(1123),
    [sym_identifier] = ACTIONS(1125),
    [aux_sym_preproc_include_token1] = ACTIONS(1125),
    [aux_sym_preproc_def_token1] = ACTIONS(1125),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_RPAREN] = ACTIONS(1123),
    [aux_sym_preproc_if_token1] = ACTIONS(1125),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1125),
    [sym_preproc_directive] = ACTIONS(1125),
    [anon_sym_LPAREN2] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_STAR] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1123),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym___extension__] = ACTIONS(1125),
    [anon_sym_typedef] = ACTIONS(1125),
    [anon_sym_extern] = ACTIONS(1125),
    [anon_sym___attribute__] = ACTIONS(1125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1123),
    [anon_sym___declspec] = ACTIONS(1125),
    [anon_sym___cdecl] = ACTIONS(1125),
    [anon_sym___clrcall] = ACTIONS(1125),
    [anon_sym___stdcall] = ACTIONS(1125),
    [anon_sym___fastcall] = ACTIONS(1125),
    [anon_sym___thiscall] = ACTIONS(1125),
    [anon_sym___vectorcall] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_signed] = ACTIONS(1125),
    [anon_sym_unsigned] = ACTIONS(1125),
    [anon_sym_long] = ACTIONS(1125),
    [anon_sym_short] = ACTIONS(1125),
    [anon_sym_static] = ACTIONS(1125),
    [anon_sym_auto] = ACTIONS(1125),
    [anon_sym_register] = ACTIONS(1125),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym___inline] = ACTIONS(1125),
    [anon_sym___inline__] = ACTIONS(1125),
    [anon_sym___forceinline] = ACTIONS(1125),
    [anon_sym_thread_local] = ACTIONS(1125),
    [anon_sym___thread] = ACTIONS(1125),
    [anon_sym_const] = ACTIONS(1125),
    [anon_sym_constexpr] = ACTIONS(1125),
    [anon_sym_volatile] = ACTIONS(1125),
    [anon_sym_restrict] = ACTIONS(1125),
    [anon_sym___restrict__] = ACTIONS(1125),
    [anon_sym__Atomic] = ACTIONS(1125),
    [anon_sym__Noreturn] = ACTIONS(1125),
    [anon_sym_noreturn] = ACTIONS(1125),
    [anon_sym_alignas] = ACTIONS(1125),
    [anon_sym__Alignas] = ACTIONS(1125),
    [sym_primitive_type] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_struct] = ACTIONS(1125),
    [anon_sym_union] = ACTIONS(1125),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_goto] = ACTIONS(1125),
    [anon_sym___try] = ACTIONS(1125),
    [anon_sym___except] = ACTIONS(1125),
    [anon_sym___finally] = ACTIONS(1125),
    [anon_sym___leave] = ACTIONS(1125),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_sizeof] = ACTIONS(1125),
    [anon_sym___alignof__] = ACTIONS(1125),
    [anon_sym___alignof] = ACTIONS(1125),
    [anon_sym__alignof] = ACTIONS(1125),
    [anon_sym_alignof] = ACTIONS(1125),
    [anon_sym__Alignof] = ACTIONS(1125),
    [anon_sym_offsetof] = ACTIONS(1125),
    [anon_sym__Generic] = ACTIONS(1125),
    [anon_sym_asm] = ACTIONS(1125),
    [anon_sym___asm__] = ACTIONS(1125),
    [sym_number_literal] = ACTIONS(1123),
    [anon_sym_L_SQUOTE] = ACTIONS(1123),
    [anon_sym_u_SQUOTE] = ACTIONS(1123),
    [anon_sym_U_SQUOTE] = ACTIONS(1123),
    [anon_sym_u8_SQUOTE] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1123),
    [anon_sym_L_DQUOTE] = ACTIONS(1123),
    [anon_sym_u_DQUOTE] = ACTIONS(1123),
    [anon_sym_U_DQUOTE] = ACTIONS(1123),
    [anon_sym_u8_DQUOTE] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [sym_true] = ACTIONS(1125),
    [sym_false] = ACTIONS(1125),
    [anon_sym_NULL] = ACTIONS(1125),
    [anon_sym_nullptr] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_identifier] = ACTIONS(1127),
    [aux_sym_preproc_include_token1] = ACTIONS(1127),
    [aux_sym_preproc_def_token1] = ACTIONS(1127),
    [aux_sym_preproc_if_token1] = ACTIONS(1127),
    [aux_sym_preproc_if_token2] = ACTIONS(1127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1127),
    [aux_sym_preproc_else_token1] = ACTIONS(1127),
    [aux_sym_preproc_elif_token1] = ACTIONS(1127),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1127),
    [sym_preproc_directive] = ACTIONS(1127),
    [anon_sym_LPAREN2] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_STAR] = ACTIONS(1129),
    [anon_sym_AMP] = ACTIONS(1129),
    [anon_sym_SEMI] = ACTIONS(1129),
    [anon_sym___extension__] = ACTIONS(1127),
    [anon_sym_typedef] = ACTIONS(1127),
    [anon_sym_extern] = ACTIONS(1127),
    [anon_sym___attribute__] = ACTIONS(1127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1129),
    [anon_sym___declspec] = ACTIONS(1127),
    [anon_sym___cdecl] = ACTIONS(1127),
    [anon_sym___clrcall] = ACTIONS(1127),
    [anon_sym___stdcall] = ACTIONS(1127),
    [anon_sym___fastcall] = ACTIONS(1127),
    [anon_sym___thiscall] = ACTIONS(1127),
    [anon_sym___vectorcall] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_signed] = ACTIONS(1127),
    [anon_sym_unsigned] = ACTIONS(1127),
    [anon_sym_long] = ACTIONS(1127),
    [anon_sym_short] = ACTIONS(1127),
    [anon_sym_static] = ACTIONS(1127),
    [anon_sym_auto] = ACTIONS(1127),
    [anon_sym_register] = ACTIONS(1127),
    [anon_sym_inline] = ACTIONS(1127),
    [anon_sym___inline] = ACTIONS(1127),
    [anon_sym___inline__] = ACTIONS(1127),
    [anon_sym___forceinline] = ACTIONS(1127),
    [anon_sym_thread_local] = ACTIONS(1127),
    [anon_sym___thread] = ACTIONS(1127),
    [anon_sym_const] = ACTIONS(1127),
    [anon_sym_constexpr] = ACTIONS(1127),
    [anon_sym_volatile] = ACTIONS(1127),
    [anon_sym_restrict] = ACTIONS(1127),
    [anon_sym___restrict__] = ACTIONS(1127),
    [anon_sym__Atomic] = ACTIONS(1127),
    [anon_sym__Noreturn] = ACTIONS(1127),
    [anon_sym_noreturn] = ACTIONS(1127),
    [anon_sym_alignas] = ACTIONS(1127),
    [anon_sym__Alignas] = ACTIONS(1127),
    [sym_primitive_type] = ACTIONS(1127),
    [anon_sym_enum] = ACTIONS(1127),
    [anon_sym_struct] = ACTIONS(1127),
    [anon_sym_union] = ACTIONS(1127),
    [anon_sym_if] = ACTIONS(1127),
    [anon_sym_else] = ACTIONS(1127),
    [anon_sym_switch] = ACTIONS(1127),
    [anon_sym_case] = ACTIONS(1127),
    [anon_sym_default] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1127),
    [anon_sym_do] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_return] = ACTIONS(1127),
    [anon_sym_break] = ACTIONS(1127),
    [anon_sym_continue] = ACTIONS(1127),
    [anon_sym_goto] = ACTIONS(1127),
    [anon_sym___try] = ACTIONS(1127),
    [anon_sym___leave] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1129),
    [anon_sym_sizeof] = ACTIONS(1127),
    [anon_sym___alignof__] = ACTIONS(1127),
    [anon_sym___alignof] = ACTIONS(1127),
    [anon_sym__alignof] = ACTIONS(1127),
    [anon_sym_alignof] = ACTIONS(1127),
    [anon_sym__Alignof] = ACTIONS(1127),
    [anon_sym_offsetof] = ACTIONS(1127),
    [anon_sym__Generic] = ACTIONS(1127),
    [anon_sym_asm] = ACTIONS(1127),
    [anon_sym___asm__] = ACTIONS(1127),
    [sym_number_literal] = ACTIONS(1129),
    [anon_sym_L_SQUOTE] = ACTIONS(1129),
    [anon_sym_u_SQUOTE] = ACTIONS(1129),
    [anon_sym_U_SQUOTE] = ACTIONS(1129),
    [anon_sym_u8_SQUOTE] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1129),
    [anon_sym_L_DQUOTE] = ACTIONS(1129),
    [anon_sym_u_DQUOTE] = ACTIONS(1129),
    [anon_sym_U_DQUOTE] = ACTIONS(1129),
    [anon_sym_u8_DQUOTE] = ACTIONS(1129),
    [anon_sym_DQUOTE] = ACTIONS(1129),
    [sym_true] = ACTIONS(1127),
    [sym_false] = ACTIONS(1127),
    [anon_sym_NULL] = ACTIONS(1127),
    [anon_sym_nullptr] = ACTIONS(1127),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_identifier] = ACTIONS(1131),
    [aux_sym_preproc_include_token1] = ACTIONS(1131),
    [aux_sym_preproc_def_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token2] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1131),
    [aux_sym_preproc_else_token1] = ACTIONS(1131),
    [aux_sym_preproc_elif_token1] = ACTIONS(1131),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1131),
    [sym_preproc_directive] = ACTIONS(1131),
    [anon_sym_LPAREN2] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym___extension__] = ACTIONS(1131),
    [anon_sym_typedef] = ACTIONS(1131),
    [anon_sym_extern] = ACTIONS(1131),
    [anon_sym___attribute__] = ACTIONS(1131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1133),
    [anon_sym___declspec] = ACTIONS(1131),
    [anon_sym___cdecl] = ACTIONS(1131),
    [anon_sym___clrcall] = ACTIONS(1131),
    [anon_sym___stdcall] = ACTIONS(1131),
    [anon_sym___fastcall] = ACTIONS(1131),
    [anon_sym___thiscall] = ACTIONS(1131),
    [anon_sym___vectorcall] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_signed] = ACTIONS(1131),
    [anon_sym_unsigned] = ACTIONS(1131),
    [anon_sym_long] = ACTIONS(1131),
    [anon_sym_short] = ACTIONS(1131),
    [anon_sym_static] = ACTIONS(1131),
    [anon_sym_auto] = ACTIONS(1131),
    [anon_sym_register] = ACTIONS(1131),
    [anon_sym_inline] = ACTIONS(1131),
    [anon_sym___inline] = ACTIONS(1131),
    [anon_sym___inline__] = ACTIONS(1131),
    [anon_sym___forceinline] = ACTIONS(1131),
    [anon_sym_thread_local] = ACTIONS(1131),
    [anon_sym___thread] = ACTIONS(1131),
    [anon_sym_const] = ACTIONS(1131),
    [anon_sym_constexpr] = ACTIONS(1131),
    [anon_sym_volatile] = ACTIONS(1131),
    [anon_sym_restrict] = ACTIONS(1131),
    [anon_sym___restrict__] = ACTIONS(1131),
    [anon_sym__Atomic] = ACTIONS(1131),
    [anon_sym__Noreturn] = ACTIONS(1131),
    [anon_sym_noreturn] = ACTIONS(1131),
    [anon_sym_alignas] = ACTIONS(1131),
    [anon_sym__Alignas] = ACTIONS(1131),
    [sym_primitive_type] = ACTIONS(1131),
    [anon_sym_enum] = ACTIONS(1131),
    [anon_sym_struct] = ACTIONS(1131),
    [anon_sym_union] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1131),
    [anon_sym_else] = ACTIONS(1131),
    [anon_sym_switch] = ACTIONS(1131),
    [anon_sym_case] = ACTIONS(1131),
    [anon_sym_default] = ACTIONS(1131),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_do] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1131),
    [anon_sym_break] = ACTIONS(1131),
    [anon_sym_continue] = ACTIONS(1131),
    [anon_sym_goto] = ACTIONS(1131),
    [anon_sym___try] = ACTIONS(1131),
    [anon_sym___leave] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [anon_sym_sizeof] = ACTIONS(1131),
    [anon_sym___alignof__] = ACTIONS(1131),
    [anon_sym___alignof] = ACTIONS(1131),
    [anon_sym__alignof] = ACTIONS(1131),
    [anon_sym_alignof] = ACTIONS(1131),
    [anon_sym__Alignof] = ACTIONS(1131),
    [anon_sym_offsetof] = ACTIONS(1131),
    [anon_sym__Generic] = ACTIONS(1131),
    [anon_sym_asm] = ACTIONS(1131),
    [anon_sym___asm__] = ACTIONS(1131),
    [sym_number_literal] = ACTIONS(1133),
    [anon_sym_L_SQUOTE] = ACTIONS(1133),
    [anon_sym_u_SQUOTE] = ACTIONS(1133),
    [anon_sym_U_SQUOTE] = ACTIONS(1133),
    [anon_sym_u8_SQUOTE] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_L_DQUOTE] = ACTIONS(1133),
    [anon_sym_u_DQUOTE] = ACTIONS(1133),
    [anon_sym_U_DQUOTE] = ACTIONS(1133),
    [anon_sym_u8_DQUOTE] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [sym_true] = ACTIONS(1131),
    [sym_false] = ACTIONS(1131),
    [anon_sym_NULL] = ACTIONS(1131),
    [anon_sym_nullptr] = ACTIONS(1131),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_identifier] = ACTIONS(1135),
    [aux_sym_preproc_include_token1] = ACTIONS(1135),
    [aux_sym_preproc_def_token1] = ACTIONS(1135),
    [aux_sym_preproc_if_token1] = ACTIONS(1135),
    [aux_sym_preproc_if_token2] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1135),
    [aux_sym_preproc_else_token1] = ACTIONS(1135),
    [aux_sym_preproc_elif_token1] = ACTIONS(1135),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1135),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1135),
    [sym_preproc_directive] = ACTIONS(1135),
    [anon_sym_LPAREN2] = ACTIONS(1137),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1135),
    [anon_sym_PLUS] = ACTIONS(1135),
    [anon_sym_STAR] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym___extension__] = ACTIONS(1135),
    [anon_sym_typedef] = ACTIONS(1135),
    [anon_sym_extern] = ACTIONS(1135),
    [anon_sym___attribute__] = ACTIONS(1135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1137),
    [anon_sym___declspec] = ACTIONS(1135),
    [anon_sym___cdecl] = ACTIONS(1135),
    [anon_sym___clrcall] = ACTIONS(1135),
    [anon_sym___stdcall] = ACTIONS(1135),
    [anon_sym___fastcall] = ACTIONS(1135),
    [anon_sym___thiscall] = ACTIONS(1135),
    [anon_sym___vectorcall] = ACTIONS(1135),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [anon_sym_signed] = ACTIONS(1135),
    [anon_sym_unsigned] = ACTIONS(1135),
    [anon_sym_long] = ACTIONS(1135),
    [anon_sym_short] = ACTIONS(1135),
    [anon_sym_static] = ACTIONS(1135),
    [anon_sym_auto] = ACTIONS(1135),
    [anon_sym_register] = ACTIONS(1135),
    [anon_sym_inline] = ACTIONS(1135),
    [anon_sym___inline] = ACTIONS(1135),
    [anon_sym___inline__] = ACTIONS(1135),
    [anon_sym___forceinline] = ACTIONS(1135),
    [anon_sym_thread_local] = ACTIONS(1135),
    [anon_sym___thread] = ACTIONS(1135),
    [anon_sym_const] = ACTIONS(1135),
    [anon_sym_constexpr] = ACTIONS(1135),
    [anon_sym_volatile] = ACTIONS(1135),
    [anon_sym_restrict] = ACTIONS(1135),
    [anon_sym___restrict__] = ACTIONS(1135),
    [anon_sym__Atomic] = ACTIONS(1135),
    [anon_sym__Noreturn] = ACTIONS(1135),
    [anon_sym_noreturn] = ACTIONS(1135),
    [anon_sym_alignas] = ACTIONS(1135),
    [anon_sym__Alignas] = ACTIONS(1135),
    [sym_primitive_type] = ACTIONS(1135),
    [anon_sym_enum] = ACTIONS(1135),
    [anon_sym_struct] = ACTIONS(1135),
    [anon_sym_union] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1135),
    [anon_sym_else] = ACTIONS(1135),
    [anon_sym_switch] = ACTIONS(1135),
    [anon_sym_case] = ACTIONS(1135),
    [anon_sym_default] = ACTIONS(1135),
    [anon_sym_while] = ACTIONS(1135),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_for] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [anon_sym_goto] = ACTIONS(1135),
    [anon_sym___try] = ACTIONS(1135),
    [anon_sym___leave] = ACTIONS(1135),
    [anon_sym_DASH_DASH] = ACTIONS(1137),
    [anon_sym_PLUS_PLUS] = ACTIONS(1137),
    [anon_sym_sizeof] = ACTIONS(1135),
    [anon_sym___alignof__] = ACTIONS(1135),
    [anon_sym___alignof] = ACTIONS(1135),
    [anon_sym__alignof] = ACTIONS(1135),
    [anon_sym_alignof] = ACTIONS(1135),
    [anon_sym__Alignof] = ACTIONS(1135),
    [anon_sym_offsetof] = ACTIONS(1135),
    [anon_sym__Generic] = ACTIONS(1135),
    [anon_sym_asm] = ACTIONS(1135),
    [anon_sym___asm__] = ACTIONS(1135),
    [sym_number_literal] = ACTIONS(1137),
    [anon_sym_L_SQUOTE] = ACTIONS(1137),
    [anon_sym_u_SQUOTE] = ACTIONS(1137),
    [anon_sym_U_SQUOTE] = ACTIONS(1137),
    [anon_sym_u8_SQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1137),
    [anon_sym_L_DQUOTE] = ACTIONS(1137),
    [anon_sym_u_DQUOTE] = ACTIONS(1137),
    [anon_sym_U_DQUOTE] = ACTIONS(1137),
    [anon_sym_u8_DQUOTE] = ACTIONS(1137),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [sym_true] = ACTIONS(1135),
    [sym_false] = ACTIONS(1135),
    [anon_sym_NULL] = ACTIONS(1135),
    [anon_sym_nullptr] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_identifier] = ACTIONS(1125),
    [aux_sym_preproc_include_token1] = ACTIONS(1125),
    [aux_sym_preproc_def_token1] = ACTIONS(1125),
    [aux_sym_preproc_if_token1] = ACTIONS(1125),
    [aux_sym_preproc_if_token2] = ACTIONS(1125),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1125),
    [aux_sym_preproc_else_token1] = ACTIONS(1125),
    [aux_sym_preproc_elif_token1] = ACTIONS(1125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1125),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1125),
    [sym_preproc_directive] = ACTIONS(1125),
    [anon_sym_LPAREN2] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_STAR] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1123),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym___extension__] = ACTIONS(1125),
    [anon_sym_typedef] = ACTIONS(1125),
    [anon_sym_extern] = ACTIONS(1125),
    [anon_sym___attribute__] = ACTIONS(1125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1123),
    [anon_sym___declspec] = ACTIONS(1125),
    [anon_sym___cdecl] = ACTIONS(1125),
    [anon_sym___clrcall] = ACTIONS(1125),
    [anon_sym___stdcall] = ACTIONS(1125),
    [anon_sym___fastcall] = ACTIONS(1125),
    [anon_sym___thiscall] = ACTIONS(1125),
    [anon_sym___vectorcall] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_signed] = ACTIONS(1125),
    [anon_sym_unsigned] = ACTIONS(1125),
    [anon_sym_long] = ACTIONS(1125),
    [anon_sym_short] = ACTIONS(1125),
    [anon_sym_static] = ACTIONS(1125),
    [anon_sym_auto] = ACTIONS(1125),
    [anon_sym_register] = ACTIONS(1125),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym___inline] = ACTIONS(1125),
    [anon_sym___inline__] = ACTIONS(1125),
    [anon_sym___forceinline] = ACTIONS(1125),
    [anon_sym_thread_local] = ACTIONS(1125),
    [anon_sym___thread] = ACTIONS(1125),
    [anon_sym_const] = ACTIONS(1125),
    [anon_sym_constexpr] = ACTIONS(1125),
    [anon_sym_volatile] = ACTIONS(1125),
    [anon_sym_restrict] = ACTIONS(1125),
    [anon_sym___restrict__] = ACTIONS(1125),
    [anon_sym__Atomic] = ACTIONS(1125),
    [anon_sym__Noreturn] = ACTIONS(1125),
    [anon_sym_noreturn] = ACTIONS(1125),
    [anon_sym_alignas] = ACTIONS(1125),
    [anon_sym__Alignas] = ACTIONS(1125),
    [sym_primitive_type] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_struct] = ACTIONS(1125),
    [anon_sym_union] = ACTIONS(1125),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_goto] = ACTIONS(1125),
    [anon_sym___try] = ACTIONS(1125),
    [anon_sym___leave] = ACTIONS(1125),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_sizeof] = ACTIONS(1125),
    [anon_sym___alignof__] = ACTIONS(1125),
    [anon_sym___alignof] = ACTIONS(1125),
    [anon_sym__alignof] = ACTIONS(1125),
    [anon_sym_alignof] = ACTIONS(1125),
    [anon_sym__Alignof] = ACTIONS(1125),
    [anon_sym_offsetof] = ACTIONS(1125),
    [anon_sym__Generic] = ACTIONS(1125),
    [anon_sym_asm] = ACTIONS(1125),
    [anon_sym___asm__] = ACTIONS(1125),
    [sym_number_literal] = ACTIONS(1123),
    [anon_sym_L_SQUOTE] = ACTIONS(1123),
    [anon_sym_u_SQUOTE] = ACTIONS(1123),
    [anon_sym_U_SQUOTE] = ACTIONS(1123),
    [anon_sym_u8_SQUOTE] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1123),
    [anon_sym_L_DQUOTE] = ACTIONS(1123),
    [anon_sym_u_DQUOTE] = ACTIONS(1123),
    [anon_sym_U_DQUOTE] = ACTIONS(1123),
    [anon_sym_u8_DQUOTE] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [sym_true] = ACTIONS(1125),
    [sym_false] = ACTIONS(1125),
    [anon_sym_NULL] = ACTIONS(1125),
    [anon_sym_nullptr] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_identifier] = ACTIONS(1139),
    [aux_sym_preproc_include_token1] = ACTIONS(1139),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token2] = ACTIONS(1139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1139),
    [aux_sym_preproc_else_token1] = ACTIONS(1139),
    [aux_sym_preproc_elif_token1] = ACTIONS(1139),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1139),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1139),
    [sym_preproc_directive] = ACTIONS(1139),
    [anon_sym_LPAREN2] = ACTIONS(1141),
    [anon_sym_BANG] = ACTIONS(1141),
    [anon_sym_TILDE] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1139),
    [anon_sym_PLUS] = ACTIONS(1139),
    [anon_sym_STAR] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym___extension__] = ACTIONS(1139),
    [anon_sym_typedef] = ACTIONS(1139),
    [anon_sym_extern] = ACTIONS(1139),
    [anon_sym___attribute__] = ACTIONS(1139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1141),
    [anon_sym___declspec] = ACTIONS(1139),
    [anon_sym___cdecl] = ACTIONS(1139),
    [anon_sym___clrcall] = ACTIONS(1139),
    [anon_sym___stdcall] = ACTIONS(1139),
    [anon_sym___fastcall] = ACTIONS(1139),
    [anon_sym___thiscall] = ACTIONS(1139),
    [anon_sym___vectorcall] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_signed] = ACTIONS(1139),
    [anon_sym_unsigned] = ACTIONS(1139),
    [anon_sym_long] = ACTIONS(1139),
    [anon_sym_short] = ACTIONS(1139),
    [anon_sym_static] = ACTIONS(1139),
    [anon_sym_auto] = ACTIONS(1139),
    [anon_sym_register] = ACTIONS(1139),
    [anon_sym_inline] = ACTIONS(1139),
    [anon_sym___inline] = ACTIONS(1139),
    [anon_sym___inline__] = ACTIONS(1139),
    [anon_sym___forceinline] = ACTIONS(1139),
    [anon_sym_thread_local] = ACTIONS(1139),
    [anon_sym___thread] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1139),
    [anon_sym_constexpr] = ACTIONS(1139),
    [anon_sym_volatile] = ACTIONS(1139),
    [anon_sym_restrict] = ACTIONS(1139),
    [anon_sym___restrict__] = ACTIONS(1139),
    [anon_sym__Atomic] = ACTIONS(1139),
    [anon_sym__Noreturn] = ACTIONS(1139),
    [anon_sym_noreturn] = ACTIONS(1139),
    [anon_sym_alignas] = ACTIONS(1139),
    [anon_sym__Alignas] = ACTIONS(1139),
    [sym_primitive_type] = ACTIONS(1139),
    [anon_sym_enum] = ACTIONS(1139),
    [anon_sym_struct] = ACTIONS(1139),
    [anon_sym_union] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_else] = ACTIONS(1139),
    [anon_sym_switch] = ACTIONS(1139),
    [anon_sym_case] = ACTIONS(1139),
    [anon_sym_default] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(1139),
    [anon_sym_do] = ACTIONS(1139),
    [anon_sym_for] = ACTIONS(1139),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_break] = ACTIONS(1139),
    [anon_sym_continue] = ACTIONS(1139),
    [anon_sym_goto] = ACTIONS(1139),
    [anon_sym___try] = ACTIONS(1139),
    [anon_sym___leave] = ACTIONS(1139),
    [anon_sym_DASH_DASH] = ACTIONS(1141),
    [anon_sym_PLUS_PLUS] = ACTIONS(1141),
    [anon_sym_sizeof] = ACTIONS(1139),
    [anon_sym___alignof__] = ACTIONS(1139),
    [anon_sym___alignof] = ACTIONS(1139),
    [anon_sym__alignof] = ACTIONS(1139),
    [anon_sym_alignof] = ACTIONS(1139),
    [anon_sym__Alignof] = ACTIONS(1139),
    [anon_sym_offsetof] = ACTIONS(1139),
    [anon_sym__Generic] = ACTIONS(1139),
    [anon_sym_asm] = ACTIONS(1139),
    [anon_sym___asm__] = ACTIONS(1139),
    [sym_number_literal] = ACTIONS(1141),
    [anon_sym_L_SQUOTE] = ACTIONS(1141),
    [anon_sym_u_SQUOTE] = ACTIONS(1141),
    [anon_sym_U_SQUOTE] = ACTIONS(1141),
    [anon_sym_u8_SQUOTE] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1141),
    [anon_sym_L_DQUOTE] = ACTIONS(1141),
    [anon_sym_u_DQUOTE] = ACTIONS(1141),
    [anon_sym_U_DQUOTE] = ACTIONS(1141),
    [anon_sym_u8_DQUOTE] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [sym_true] = ACTIONS(1139),
    [sym_false] = ACTIONS(1139),
    [anon_sym_NULL] = ACTIONS(1139),
    [anon_sym_nullptr] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_identifier] = ACTIONS(1143),
    [aux_sym_preproc_include_token1] = ACTIONS(1143),
    [aux_sym_preproc_def_token1] = ACTIONS(1143),
    [aux_sym_preproc_if_token1] = ACTIONS(1143),
    [aux_sym_preproc_if_token2] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [aux_sym_preproc_else_token1] = ACTIONS(1143),
    [aux_sym_preproc_elif_token1] = ACTIONS(1143),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1143),
    [anon_sym_LPAREN2] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1145),
    [anon_sym_TILDE] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1143),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym___extension__] = ACTIONS(1143),
    [anon_sym_typedef] = ACTIONS(1143),
    [anon_sym_extern] = ACTIONS(1143),
    [anon_sym___attribute__] = ACTIONS(1143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1145),
    [anon_sym___declspec] = ACTIONS(1143),
    [anon_sym___cdecl] = ACTIONS(1143),
    [anon_sym___clrcall] = ACTIONS(1143),
    [anon_sym___stdcall] = ACTIONS(1143),
    [anon_sym___fastcall] = ACTIONS(1143),
    [anon_sym___thiscall] = ACTIONS(1143),
    [anon_sym___vectorcall] = ACTIONS(1143),
    [anon_sym_LBRACE] = ACTIONS(1145),
    [anon_sym_signed] = ACTIONS(1143),
    [anon_sym_unsigned] = ACTIONS(1143),
    [anon_sym_long] = ACTIONS(1143),
    [anon_sym_short] = ACTIONS(1143),
    [anon_sym_static] = ACTIONS(1143),
    [anon_sym_auto] = ACTIONS(1143),
    [anon_sym_register] = ACTIONS(1143),
    [anon_sym_inline] = ACTIONS(1143),
    [anon_sym___inline] = ACTIONS(1143),
    [anon_sym___inline__] = ACTIONS(1143),
    [anon_sym___forceinline] = ACTIONS(1143),
    [anon_sym_thread_local] = ACTIONS(1143),
    [anon_sym___thread] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_constexpr] = ACTIONS(1143),
    [anon_sym_volatile] = ACTIONS(1143),
    [anon_sym_restrict] = ACTIONS(1143),
    [anon_sym___restrict__] = ACTIONS(1143),
    [anon_sym__Atomic] = ACTIONS(1143),
    [anon_sym__Noreturn] = ACTIONS(1143),
    [anon_sym_noreturn] = ACTIONS(1143),
    [anon_sym_alignas] = ACTIONS(1143),
    [anon_sym__Alignas] = ACTIONS(1143),
    [sym_primitive_type] = ACTIONS(1143),
    [anon_sym_enum] = ACTIONS(1143),
    [anon_sym_struct] = ACTIONS(1143),
    [anon_sym_union] = ACTIONS(1143),
    [anon_sym_if] = ACTIONS(1143),
    [anon_sym_else] = ACTIONS(1143),
    [anon_sym_switch] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1143),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_do] = ACTIONS(1143),
    [anon_sym_for] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1143),
    [anon_sym_continue] = ACTIONS(1143),
    [anon_sym_goto] = ACTIONS(1143),
    [anon_sym___try] = ACTIONS(1143),
    [anon_sym___leave] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1145),
    [anon_sym_PLUS_PLUS] = ACTIONS(1145),
    [anon_sym_sizeof] = ACTIONS(1143),
    [anon_sym___alignof__] = ACTIONS(1143),
    [anon_sym___alignof] = ACTIONS(1143),
    [anon_sym__alignof] = ACTIONS(1143),
    [anon_sym_alignof] = ACTIONS(1143),
    [anon_sym__Alignof] = ACTIONS(1143),
    [anon_sym_offsetof] = ACTIONS(1143),
    [anon_sym__Generic] = ACTIONS(1143),
    [anon_sym_asm] = ACTIONS(1143),
    [anon_sym___asm__] = ACTIONS(1143),
    [sym_number_literal] = ACTIONS(1145),
    [anon_sym_L_SQUOTE] = ACTIONS(1145),
    [anon_sym_u_SQUOTE] = ACTIONS(1145),
    [anon_sym_U_SQUOTE] = ACTIONS(1145),
    [anon_sym_u8_SQUOTE] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [anon_sym_L_DQUOTE] = ACTIONS(1145),
    [anon_sym_u_DQUOTE] = ACTIONS(1145),
    [anon_sym_U_DQUOTE] = ACTIONS(1145),
    [anon_sym_u8_DQUOTE] = ACTIONS(1145),
    [anon_sym_DQUOTE] = ACTIONS(1145),
    [sym_true] = ACTIONS(1143),
    [sym_false] = ACTIONS(1143),
    [anon_sym_NULL] = ACTIONS(1143),
    [anon_sym_nullptr] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_identifier] = ACTIONS(1147),
    [aux_sym_preproc_include_token1] = ACTIONS(1147),
    [aux_sym_preproc_def_token1] = ACTIONS(1147),
    [aux_sym_preproc_if_token1] = ACTIONS(1147),
    [aux_sym_preproc_if_token2] = ACTIONS(1147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1147),
    [aux_sym_preproc_else_token1] = ACTIONS(1147),
    [aux_sym_preproc_elif_token1] = ACTIONS(1147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1147),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1147),
    [sym_preproc_directive] = ACTIONS(1147),
    [anon_sym_LPAREN2] = ACTIONS(1149),
    [anon_sym_BANG] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_STAR] = ACTIONS(1149),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(1149),
    [anon_sym___extension__] = ACTIONS(1147),
    [anon_sym_typedef] = ACTIONS(1147),
    [anon_sym_extern] = ACTIONS(1147),
    [anon_sym___attribute__] = ACTIONS(1147),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1149),
    [anon_sym___declspec] = ACTIONS(1147),
    [anon_sym___cdecl] = ACTIONS(1147),
    [anon_sym___clrcall] = ACTIONS(1147),
    [anon_sym___stdcall] = ACTIONS(1147),
    [anon_sym___fastcall] = ACTIONS(1147),
    [anon_sym___thiscall] = ACTIONS(1147),
    [anon_sym___vectorcall] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_signed] = ACTIONS(1147),
    [anon_sym_unsigned] = ACTIONS(1147),
    [anon_sym_long] = ACTIONS(1147),
    [anon_sym_short] = ACTIONS(1147),
    [anon_sym_static] = ACTIONS(1147),
    [anon_sym_auto] = ACTIONS(1147),
    [anon_sym_register] = ACTIONS(1147),
    [anon_sym_inline] = ACTIONS(1147),
    [anon_sym___inline] = ACTIONS(1147),
    [anon_sym___inline__] = ACTIONS(1147),
    [anon_sym___forceinline] = ACTIONS(1147),
    [anon_sym_thread_local] = ACTIONS(1147),
    [anon_sym___thread] = ACTIONS(1147),
    [anon_sym_const] = ACTIONS(1147),
    [anon_sym_constexpr] = ACTIONS(1147),
    [anon_sym_volatile] = ACTIONS(1147),
    [anon_sym_restrict] = ACTIONS(1147),
    [anon_sym___restrict__] = ACTIONS(1147),
    [anon_sym__Atomic] = ACTIONS(1147),
    [anon_sym__Noreturn] = ACTIONS(1147),
    [anon_sym_noreturn] = ACTIONS(1147),
    [anon_sym_alignas] = ACTIONS(1147),
    [anon_sym__Alignas] = ACTIONS(1147),
    [sym_primitive_type] = ACTIONS(1147),
    [anon_sym_enum] = ACTIONS(1147),
    [anon_sym_struct] = ACTIONS(1147),
    [anon_sym_union] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_else] = ACTIONS(1147),
    [anon_sym_switch] = ACTIONS(1147),
    [anon_sym_case] = ACTIONS(1147),
    [anon_sym_default] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(1147),
    [anon_sym_do] = ACTIONS(1147),
    [anon_sym_for] = ACTIONS(1147),
    [anon_sym_return] = ACTIONS(1147),
    [anon_sym_break] = ACTIONS(1147),
    [anon_sym_continue] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1147),
    [anon_sym___try] = ACTIONS(1147),
    [anon_sym___leave] = ACTIONS(1147),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_sizeof] = ACTIONS(1147),
    [anon_sym___alignof__] = ACTIONS(1147),
    [anon_sym___alignof] = ACTIONS(1147),
    [anon_sym__alignof] = ACTIONS(1147),
    [anon_sym_alignof] = ACTIONS(1147),
    [anon_sym__Alignof] = ACTIONS(1147),
    [anon_sym_offsetof] = ACTIONS(1147),
    [anon_sym__Generic] = ACTIONS(1147),
    [anon_sym_asm] = ACTIONS(1147),
    [anon_sym___asm__] = ACTIONS(1147),
    [sym_number_literal] = ACTIONS(1149),
    [anon_sym_L_SQUOTE] = ACTIONS(1149),
    [anon_sym_u_SQUOTE] = ACTIONS(1149),
    [anon_sym_U_SQUOTE] = ACTIONS(1149),
    [anon_sym_u8_SQUOTE] = ACTIONS(1149),
    [anon_sym_SQUOTE] = ACTIONS(1149),
    [anon_sym_L_DQUOTE] = ACTIONS(1149),
    [anon_sym_u_DQUOTE] = ACTIONS(1149),
    [anon_sym_U_DQUOTE] = ACTIONS(1149),
    [anon_sym_u8_DQUOTE] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [sym_true] = ACTIONS(1147),
    [sym_false] = ACTIONS(1147),
    [anon_sym_NULL] = ACTIONS(1147),
    [anon_sym_nullptr] = ACTIONS(1147),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_identifier] = ACTIONS(1151),
    [aux_sym_preproc_include_token1] = ACTIONS(1151),
    [aux_sym_preproc_def_token1] = ACTIONS(1151),
    [aux_sym_preproc_if_token1] = ACTIONS(1151),
    [aux_sym_preproc_if_token2] = ACTIONS(1151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1151),
    [aux_sym_preproc_else_token1] = ACTIONS(1151),
    [aux_sym_preproc_elif_token1] = ACTIONS(1151),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1151),
    [sym_preproc_directive] = ACTIONS(1151),
    [anon_sym_LPAREN2] = ACTIONS(1153),
    [anon_sym_BANG] = ACTIONS(1153),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1151),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym___extension__] = ACTIONS(1151),
    [anon_sym_typedef] = ACTIONS(1151),
    [anon_sym_extern] = ACTIONS(1151),
    [anon_sym___attribute__] = ACTIONS(1151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1153),
    [anon_sym___declspec] = ACTIONS(1151),
    [anon_sym___cdecl] = ACTIONS(1151),
    [anon_sym___clrcall] = ACTIONS(1151),
    [anon_sym___stdcall] = ACTIONS(1151),
    [anon_sym___fastcall] = ACTIONS(1151),
    [anon_sym___thiscall] = ACTIONS(1151),
    [anon_sym___vectorcall] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_signed] = ACTIONS(1151),
    [anon_sym_unsigned] = ACTIONS(1151),
    [anon_sym_long] = ACTIONS(1151),
    [anon_sym_short] = ACTIONS(1151),
    [anon_sym_static] = ACTIONS(1151),
    [anon_sym_auto] = ACTIONS(1151),
    [anon_sym_register] = ACTIONS(1151),
    [anon_sym_inline] = ACTIONS(1151),
    [anon_sym___inline] = ACTIONS(1151),
    [anon_sym___inline__] = ACTIONS(1151),
    [anon_sym___forceinline] = ACTIONS(1151),
    [anon_sym_thread_local] = ACTIONS(1151),
    [anon_sym___thread] = ACTIONS(1151),
    [anon_sym_const] = ACTIONS(1151),
    [anon_sym_constexpr] = ACTIONS(1151),
    [anon_sym_volatile] = ACTIONS(1151),
    [anon_sym_restrict] = ACTIONS(1151),
    [anon_sym___restrict__] = ACTIONS(1151),
    [anon_sym__Atomic] = ACTIONS(1151),
    [anon_sym__Noreturn] = ACTIONS(1151),
    [anon_sym_noreturn] = ACTIONS(1151),
    [anon_sym_alignas] = ACTIONS(1151),
    [anon_sym__Alignas] = ACTIONS(1151),
    [sym_primitive_type] = ACTIONS(1151),
    [anon_sym_enum] = ACTIONS(1151),
    [anon_sym_struct] = ACTIONS(1151),
    [anon_sym_union] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1151),
    [anon_sym_else] = ACTIONS(1151),
    [anon_sym_switch] = ACTIONS(1151),
    [anon_sym_case] = ACTIONS(1151),
    [anon_sym_default] = ACTIONS(1151),
    [anon_sym_while] = ACTIONS(1151),
    [anon_sym_do] = ACTIONS(1151),
    [anon_sym_for] = ACTIONS(1151),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_break] = ACTIONS(1151),
    [anon_sym_continue] = ACTIONS(1151),
    [anon_sym_goto] = ACTIONS(1151),
    [anon_sym___try] = ACTIONS(1151),
    [anon_sym___leave] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1153),
    [anon_sym_PLUS_PLUS] = ACTIONS(1153),
    [anon_sym_sizeof] = ACTIONS(1151),
    [anon_sym___alignof__] = ACTIONS(1151),
    [anon_sym___alignof] = ACTIONS(1151),
    [anon_sym__alignof] = ACTIONS(1151),
    [anon_sym_alignof] = ACTIONS(1151),
    [anon_sym__Alignof] = ACTIONS(1151),
    [anon_sym_offsetof] = ACTIONS(1151),
    [anon_sym__Generic] = ACTIONS(1151),
    [anon_sym_asm] = ACTIONS(1151),
    [anon_sym___asm__] = ACTIONS(1151),
    [sym_number_literal] = ACTIONS(1153),
    [anon_sym_L_SQUOTE] = ACTIONS(1153),
    [anon_sym_u_SQUOTE] = ACTIONS(1153),
    [anon_sym_U_SQUOTE] = ACTIONS(1153),
    [anon_sym_u8_SQUOTE] = ACTIONS(1153),
    [anon_sym_SQUOTE] = ACTIONS(1153),
    [anon_sym_L_DQUOTE] = ACTIONS(1153),
    [anon_sym_u_DQUOTE] = ACTIONS(1153),
    [anon_sym_U_DQUOTE] = ACTIONS(1153),
    [anon_sym_u8_DQUOTE] = ACTIONS(1153),
    [anon_sym_DQUOTE] = ACTIONS(1153),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [anon_sym_NULL] = ACTIONS(1151),
    [anon_sym_nullptr] = ACTIONS(1151),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_identifier] = ACTIONS(1155),
    [aux_sym_preproc_include_token1] = ACTIONS(1155),
    [aux_sym_preproc_def_token1] = ACTIONS(1155),
    [aux_sym_preproc_if_token1] = ACTIONS(1155),
    [aux_sym_preproc_if_token2] = ACTIONS(1155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1155),
    [aux_sym_preproc_else_token1] = ACTIONS(1155),
    [aux_sym_preproc_elif_token1] = ACTIONS(1155),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1155),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1155),
    [sym_preproc_directive] = ACTIONS(1155),
    [anon_sym_LPAREN2] = ACTIONS(1157),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1157),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym___extension__] = ACTIONS(1155),
    [anon_sym_typedef] = ACTIONS(1155),
    [anon_sym_extern] = ACTIONS(1155),
    [anon_sym___attribute__] = ACTIONS(1155),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1157),
    [anon_sym___declspec] = ACTIONS(1155),
    [anon_sym___cdecl] = ACTIONS(1155),
    [anon_sym___clrcall] = ACTIONS(1155),
    [anon_sym___stdcall] = ACTIONS(1155),
    [anon_sym___fastcall] = ACTIONS(1155),
    [anon_sym___thiscall] = ACTIONS(1155),
    [anon_sym___vectorcall] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_signed] = ACTIONS(1155),
    [anon_sym_unsigned] = ACTIONS(1155),
    [anon_sym_long] = ACTIONS(1155),
    [anon_sym_short] = ACTIONS(1155),
    [anon_sym_static] = ACTIONS(1155),
    [anon_sym_auto] = ACTIONS(1155),
    [anon_sym_register] = ACTIONS(1155),
    [anon_sym_inline] = ACTIONS(1155),
    [anon_sym___inline] = ACTIONS(1155),
    [anon_sym___inline__] = ACTIONS(1155),
    [anon_sym___forceinline] = ACTIONS(1155),
    [anon_sym_thread_local] = ACTIONS(1155),
    [anon_sym___thread] = ACTIONS(1155),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_constexpr] = ACTIONS(1155),
    [anon_sym_volatile] = ACTIONS(1155),
    [anon_sym_restrict] = ACTIONS(1155),
    [anon_sym___restrict__] = ACTIONS(1155),
    [anon_sym__Atomic] = ACTIONS(1155),
    [anon_sym__Noreturn] = ACTIONS(1155),
    [anon_sym_noreturn] = ACTIONS(1155),
    [anon_sym_alignas] = ACTIONS(1155),
    [anon_sym__Alignas] = ACTIONS(1155),
    [sym_primitive_type] = ACTIONS(1155),
    [anon_sym_enum] = ACTIONS(1155),
    [anon_sym_struct] = ACTIONS(1155),
    [anon_sym_union] = ACTIONS(1155),
    [anon_sym_if] = ACTIONS(1155),
    [anon_sym_else] = ACTIONS(1155),
    [anon_sym_switch] = ACTIONS(1155),
    [anon_sym_case] = ACTIONS(1155),
    [anon_sym_default] = ACTIONS(1155),
    [anon_sym_while] = ACTIONS(1155),
    [anon_sym_do] = ACTIONS(1155),
    [anon_sym_for] = ACTIONS(1155),
    [anon_sym_return] = ACTIONS(1155),
    [anon_sym_break] = ACTIONS(1155),
    [anon_sym_continue] = ACTIONS(1155),
    [anon_sym_goto] = ACTIONS(1155),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1155),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_sizeof] = ACTIONS(1155),
    [anon_sym___alignof__] = ACTIONS(1155),
    [anon_sym___alignof] = ACTIONS(1155),
    [anon_sym__alignof] = ACTIONS(1155),
    [anon_sym_alignof] = ACTIONS(1155),
    [anon_sym__Alignof] = ACTIONS(1155),
    [anon_sym_offsetof] = ACTIONS(1155),
    [anon_sym__Generic] = ACTIONS(1155),
    [anon_sym_asm] = ACTIONS(1155),
    [anon_sym___asm__] = ACTIONS(1155),
    [sym_number_literal] = ACTIONS(1157),
    [anon_sym_L_SQUOTE] = ACTIONS(1157),
    [anon_sym_u_SQUOTE] = ACTIONS(1157),
    [anon_sym_U_SQUOTE] = ACTIONS(1157),
    [anon_sym_u8_SQUOTE] = ACTIONS(1157),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [anon_sym_L_DQUOTE] = ACTIONS(1157),
    [anon_sym_u_DQUOTE] = ACTIONS(1157),
    [anon_sym_U_DQUOTE] = ACTIONS(1157),
    [anon_sym_u8_DQUOTE] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_true] = ACTIONS(1155),
    [sym_false] = ACTIONS(1155),
    [anon_sym_NULL] = ACTIONS(1155),
    [anon_sym_nullptr] = ACTIONS(1155),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_identifier] = ACTIONS(1159),
    [aux_sym_preproc_include_token1] = ACTIONS(1159),
    [aux_sym_preproc_def_token1] = ACTIONS(1159),
    [aux_sym_preproc_if_token1] = ACTIONS(1159),
    [aux_sym_preproc_if_token2] = ACTIONS(1159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1159),
    [aux_sym_preproc_else_token1] = ACTIONS(1159),
    [aux_sym_preproc_elif_token1] = ACTIONS(1159),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1159),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1159),
    [sym_preproc_directive] = ACTIONS(1159),
    [anon_sym_LPAREN2] = ACTIONS(1161),
    [anon_sym_BANG] = ACTIONS(1161),
    [anon_sym_TILDE] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_STAR] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1161),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym___extension__] = ACTIONS(1159),
    [anon_sym_typedef] = ACTIONS(1159),
    [anon_sym_extern] = ACTIONS(1159),
    [anon_sym___attribute__] = ACTIONS(1159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1161),
    [anon_sym___declspec] = ACTIONS(1159),
    [anon_sym___cdecl] = ACTIONS(1159),
    [anon_sym___clrcall] = ACTIONS(1159),
    [anon_sym___stdcall] = ACTIONS(1159),
    [anon_sym___fastcall] = ACTIONS(1159),
    [anon_sym___thiscall] = ACTIONS(1159),
    [anon_sym___vectorcall] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_signed] = ACTIONS(1159),
    [anon_sym_unsigned] = ACTIONS(1159),
    [anon_sym_long] = ACTIONS(1159),
    [anon_sym_short] = ACTIONS(1159),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_auto] = ACTIONS(1159),
    [anon_sym_register] = ACTIONS(1159),
    [anon_sym_inline] = ACTIONS(1159),
    [anon_sym___inline] = ACTIONS(1159),
    [anon_sym___inline__] = ACTIONS(1159),
    [anon_sym___forceinline] = ACTIONS(1159),
    [anon_sym_thread_local] = ACTIONS(1159),
    [anon_sym___thread] = ACTIONS(1159),
    [anon_sym_const] = ACTIONS(1159),
    [anon_sym_constexpr] = ACTIONS(1159),
    [anon_sym_volatile] = ACTIONS(1159),
    [anon_sym_restrict] = ACTIONS(1159),
    [anon_sym___restrict__] = ACTIONS(1159),
    [anon_sym__Atomic] = ACTIONS(1159),
    [anon_sym__Noreturn] = ACTIONS(1159),
    [anon_sym_noreturn] = ACTIONS(1159),
    [anon_sym_alignas] = ACTIONS(1159),
    [anon_sym__Alignas] = ACTIONS(1159),
    [sym_primitive_type] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_struct] = ACTIONS(1159),
    [anon_sym_union] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_else] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_case] = ACTIONS(1159),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_goto] = ACTIONS(1159),
    [anon_sym___try] = ACTIONS(1159),
    [anon_sym___leave] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1161),
    [anon_sym_PLUS_PLUS] = ACTIONS(1161),
    [anon_sym_sizeof] = ACTIONS(1159),
    [anon_sym___alignof__] = ACTIONS(1159),
    [anon_sym___alignof] = ACTIONS(1159),
    [anon_sym__alignof] = ACTIONS(1159),
    [anon_sym_alignof] = ACTIONS(1159),
    [anon_sym__Alignof] = ACTIONS(1159),
    [anon_sym_offsetof] = ACTIONS(1159),
    [anon_sym__Generic] = ACTIONS(1159),
    [anon_sym_asm] = ACTIONS(1159),
    [anon_sym___asm__] = ACTIONS(1159),
    [sym_number_literal] = ACTIONS(1161),
    [anon_sym_L_SQUOTE] = ACTIONS(1161),
    [anon_sym_u_SQUOTE] = ACTIONS(1161),
    [anon_sym_U_SQUOTE] = ACTIONS(1161),
    [anon_sym_u8_SQUOTE] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_L_DQUOTE] = ACTIONS(1161),
    [anon_sym_u_DQUOTE] = ACTIONS(1161),
    [anon_sym_U_DQUOTE] = ACTIONS(1161),
    [anon_sym_u8_DQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [anon_sym_NULL] = ACTIONS(1159),
    [anon_sym_nullptr] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1163),
    [aux_sym_preproc_def_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token2] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1163),
    [aux_sym_preproc_else_token1] = ACTIONS(1163),
    [aux_sym_preproc_elif_token1] = ACTIONS(1163),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1163),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1163),
    [sym_preproc_directive] = ACTIONS(1163),
    [anon_sym_LPAREN2] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym___extension__] = ACTIONS(1163),
    [anon_sym_typedef] = ACTIONS(1163),
    [anon_sym_extern] = ACTIONS(1163),
    [anon_sym___attribute__] = ACTIONS(1163),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1165),
    [anon_sym___declspec] = ACTIONS(1163),
    [anon_sym___cdecl] = ACTIONS(1163),
    [anon_sym___clrcall] = ACTIONS(1163),
    [anon_sym___stdcall] = ACTIONS(1163),
    [anon_sym___fastcall] = ACTIONS(1163),
    [anon_sym___thiscall] = ACTIONS(1163),
    [anon_sym___vectorcall] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_signed] = ACTIONS(1163),
    [anon_sym_unsigned] = ACTIONS(1163),
    [anon_sym_long] = ACTIONS(1163),
    [anon_sym_short] = ACTIONS(1163),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_auto] = ACTIONS(1163),
    [anon_sym_register] = ACTIONS(1163),
    [anon_sym_inline] = ACTIONS(1163),
    [anon_sym___inline] = ACTIONS(1163),
    [anon_sym___inline__] = ACTIONS(1163),
    [anon_sym___forceinline] = ACTIONS(1163),
    [anon_sym_thread_local] = ACTIONS(1163),
    [anon_sym___thread] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_constexpr] = ACTIONS(1163),
    [anon_sym_volatile] = ACTIONS(1163),
    [anon_sym_restrict] = ACTIONS(1163),
    [anon_sym___restrict__] = ACTIONS(1163),
    [anon_sym__Atomic] = ACTIONS(1163),
    [anon_sym__Noreturn] = ACTIONS(1163),
    [anon_sym_noreturn] = ACTIONS(1163),
    [anon_sym_alignas] = ACTIONS(1163),
    [anon_sym__Alignas] = ACTIONS(1163),
    [sym_primitive_type] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_struct] = ACTIONS(1163),
    [anon_sym_union] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_goto] = ACTIONS(1163),
    [anon_sym___try] = ACTIONS(1163),
    [anon_sym___leave] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_sizeof] = ACTIONS(1163),
    [anon_sym___alignof__] = ACTIONS(1163),
    [anon_sym___alignof] = ACTIONS(1163),
    [anon_sym__alignof] = ACTIONS(1163),
    [anon_sym_alignof] = ACTIONS(1163),
    [anon_sym__Alignof] = ACTIONS(1163),
    [anon_sym_offsetof] = ACTIONS(1163),
    [anon_sym__Generic] = ACTIONS(1163),
    [anon_sym_asm] = ACTIONS(1163),
    [anon_sym___asm__] = ACTIONS(1163),
    [sym_number_literal] = ACTIONS(1165),
    [anon_sym_L_SQUOTE] = ACTIONS(1165),
    [anon_sym_u_SQUOTE] = ACTIONS(1165),
    [anon_sym_U_SQUOTE] = ACTIONS(1165),
    [anon_sym_u8_SQUOTE] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_L_DQUOTE] = ACTIONS(1165),
    [anon_sym_u_DQUOTE] = ACTIONS(1165),
    [anon_sym_U_DQUOTE] = ACTIONS(1165),
    [anon_sym_u8_DQUOTE] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [anon_sym_NULL] = ACTIONS(1163),
    [anon_sym_nullptr] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1163),
    [aux_sym_preproc_def_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token2] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1163),
    [aux_sym_preproc_else_token1] = ACTIONS(1163),
    [aux_sym_preproc_elif_token1] = ACTIONS(1163),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1163),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1163),
    [sym_preproc_directive] = ACTIONS(1163),
    [anon_sym_LPAREN2] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym___extension__] = ACTIONS(1163),
    [anon_sym_typedef] = ACTIONS(1163),
    [anon_sym_extern] = ACTIONS(1163),
    [anon_sym___attribute__] = ACTIONS(1163),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1165),
    [anon_sym___declspec] = ACTIONS(1163),
    [anon_sym___cdecl] = ACTIONS(1163),
    [anon_sym___clrcall] = ACTIONS(1163),
    [anon_sym___stdcall] = ACTIONS(1163),
    [anon_sym___fastcall] = ACTIONS(1163),
    [anon_sym___thiscall] = ACTIONS(1163),
    [anon_sym___vectorcall] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_signed] = ACTIONS(1163),
    [anon_sym_unsigned] = ACTIONS(1163),
    [anon_sym_long] = ACTIONS(1163),
    [anon_sym_short] = ACTIONS(1163),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_auto] = ACTIONS(1163),
    [anon_sym_register] = ACTIONS(1163),
    [anon_sym_inline] = ACTIONS(1163),
    [anon_sym___inline] = ACTIONS(1163),
    [anon_sym___inline__] = ACTIONS(1163),
    [anon_sym___forceinline] = ACTIONS(1163),
    [anon_sym_thread_local] = ACTIONS(1163),
    [anon_sym___thread] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_constexpr] = ACTIONS(1163),
    [anon_sym_volatile] = ACTIONS(1163),
    [anon_sym_restrict] = ACTIONS(1163),
    [anon_sym___restrict__] = ACTIONS(1163),
    [anon_sym__Atomic] = ACTIONS(1163),
    [anon_sym__Noreturn] = ACTIONS(1163),
    [anon_sym_noreturn] = ACTIONS(1163),
    [anon_sym_alignas] = ACTIONS(1163),
    [anon_sym__Alignas] = ACTIONS(1163),
    [sym_primitive_type] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_struct] = ACTIONS(1163),
    [anon_sym_union] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_goto] = ACTIONS(1163),
    [anon_sym___try] = ACTIONS(1163),
    [anon_sym___leave] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_sizeof] = ACTIONS(1163),
    [anon_sym___alignof__] = ACTIONS(1163),
    [anon_sym___alignof] = ACTIONS(1163),
    [anon_sym__alignof] = ACTIONS(1163),
    [anon_sym_alignof] = ACTIONS(1163),
    [anon_sym__Alignof] = ACTIONS(1163),
    [anon_sym_offsetof] = ACTIONS(1163),
    [anon_sym__Generic] = ACTIONS(1163),
    [anon_sym_asm] = ACTIONS(1163),
    [anon_sym___asm__] = ACTIONS(1163),
    [sym_number_literal] = ACTIONS(1165),
    [anon_sym_L_SQUOTE] = ACTIONS(1165),
    [anon_sym_u_SQUOTE] = ACTIONS(1165),
    [anon_sym_U_SQUOTE] = ACTIONS(1165),
    [anon_sym_u8_SQUOTE] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_L_DQUOTE] = ACTIONS(1165),
    [anon_sym_u_DQUOTE] = ACTIONS(1165),
    [anon_sym_U_DQUOTE] = ACTIONS(1165),
    [anon_sym_u8_DQUOTE] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [anon_sym_NULL] = ACTIONS(1163),
    [anon_sym_nullptr] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_identifier] = ACTIONS(1167),
    [aux_sym_preproc_include_token1] = ACTIONS(1167),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token2] = ACTIONS(1167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1167),
    [aux_sym_preproc_else_token1] = ACTIONS(1167),
    [aux_sym_preproc_elif_token1] = ACTIONS(1167),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1167),
    [sym_preproc_directive] = ACTIONS(1167),
    [anon_sym_LPAREN2] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1169),
    [anon_sym_TILDE] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1167),
    [anon_sym_PLUS] = ACTIONS(1167),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym___extension__] = ACTIONS(1167),
    [anon_sym_typedef] = ACTIONS(1167),
    [anon_sym_extern] = ACTIONS(1167),
    [anon_sym___attribute__] = ACTIONS(1167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1169),
    [anon_sym___declspec] = ACTIONS(1167),
    [anon_sym___cdecl] = ACTIONS(1167),
    [anon_sym___clrcall] = ACTIONS(1167),
    [anon_sym___stdcall] = ACTIONS(1167),
    [anon_sym___fastcall] = ACTIONS(1167),
    [anon_sym___thiscall] = ACTIONS(1167),
    [anon_sym___vectorcall] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_signed] = ACTIONS(1167),
    [anon_sym_unsigned] = ACTIONS(1167),
    [anon_sym_long] = ACTIONS(1167),
    [anon_sym_short] = ACTIONS(1167),
    [anon_sym_static] = ACTIONS(1167),
    [anon_sym_auto] = ACTIONS(1167),
    [anon_sym_register] = ACTIONS(1167),
    [anon_sym_inline] = ACTIONS(1167),
    [anon_sym___inline] = ACTIONS(1167),
    [anon_sym___inline__] = ACTIONS(1167),
    [anon_sym___forceinline] = ACTIONS(1167),
    [anon_sym_thread_local] = ACTIONS(1167),
    [anon_sym___thread] = ACTIONS(1167),
    [anon_sym_const] = ACTIONS(1167),
    [anon_sym_constexpr] = ACTIONS(1167),
    [anon_sym_volatile] = ACTIONS(1167),
    [anon_sym_restrict] = ACTIONS(1167),
    [anon_sym___restrict__] = ACTIONS(1167),
    [anon_sym__Atomic] = ACTIONS(1167),
    [anon_sym__Noreturn] = ACTIONS(1167),
    [anon_sym_noreturn] = ACTIONS(1167),
    [anon_sym_alignas] = ACTIONS(1167),
    [anon_sym__Alignas] = ACTIONS(1167),
    [sym_primitive_type] = ACTIONS(1167),
    [anon_sym_enum] = ACTIONS(1167),
    [anon_sym_struct] = ACTIONS(1167),
    [anon_sym_union] = ACTIONS(1167),
    [anon_sym_if] = ACTIONS(1167),
    [anon_sym_else] = ACTIONS(1167),
    [anon_sym_switch] = ACTIONS(1167),
    [anon_sym_case] = ACTIONS(1167),
    [anon_sym_default] = ACTIONS(1167),
    [anon_sym_while] = ACTIONS(1167),
    [anon_sym_do] = ACTIONS(1167),
    [anon_sym_for] = ACTIONS(1167),
    [anon_sym_return] = ACTIONS(1167),
    [anon_sym_break] = ACTIONS(1167),
    [anon_sym_continue] = ACTIONS(1167),
    [anon_sym_goto] = ACTIONS(1167),
    [anon_sym___try] = ACTIONS(1167),
    [anon_sym___leave] = ACTIONS(1167),
    [anon_sym_DASH_DASH] = ACTIONS(1169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1167),
    [anon_sym___alignof__] = ACTIONS(1167),
    [anon_sym___alignof] = ACTIONS(1167),
    [anon_sym__alignof] = ACTIONS(1167),
    [anon_sym_alignof] = ACTIONS(1167),
    [anon_sym__Alignof] = ACTIONS(1167),
    [anon_sym_offsetof] = ACTIONS(1167),
    [anon_sym__Generic] = ACTIONS(1167),
    [anon_sym_asm] = ACTIONS(1167),
    [anon_sym___asm__] = ACTIONS(1167),
    [sym_number_literal] = ACTIONS(1169),
    [anon_sym_L_SQUOTE] = ACTIONS(1169),
    [anon_sym_u_SQUOTE] = ACTIONS(1169),
    [anon_sym_U_SQUOTE] = ACTIONS(1169),
    [anon_sym_u8_SQUOTE] = ACTIONS(1169),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_L_DQUOTE] = ACTIONS(1169),
    [anon_sym_u_DQUOTE] = ACTIONS(1169),
    [anon_sym_U_DQUOTE] = ACTIONS(1169),
    [anon_sym_u8_DQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [sym_true] = ACTIONS(1167),
    [sym_false] = ACTIONS(1167),
    [anon_sym_NULL] = ACTIONS(1167),
    [anon_sym_nullptr] = ACTIONS(1167),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_identifier] = ACTIONS(1171),
    [aux_sym_preproc_include_token1] = ACTIONS(1171),
    [aux_sym_preproc_def_token1] = ACTIONS(1171),
    [aux_sym_preproc_if_token1] = ACTIONS(1171),
    [aux_sym_preproc_if_token2] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [aux_sym_preproc_else_token1] = ACTIONS(1171),
    [aux_sym_preproc_elif_token1] = ACTIONS(1171),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1171),
    [anon_sym_LPAREN2] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1173),
    [anon_sym_TILDE] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_PLUS] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(1173),
    [anon_sym___extension__] = ACTIONS(1171),
    [anon_sym_typedef] = ACTIONS(1171),
    [anon_sym_extern] = ACTIONS(1171),
    [anon_sym___attribute__] = ACTIONS(1171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1173),
    [anon_sym___declspec] = ACTIONS(1171),
    [anon_sym___cdecl] = ACTIONS(1171),
    [anon_sym___clrcall] = ACTIONS(1171),
    [anon_sym___stdcall] = ACTIONS(1171),
    [anon_sym___fastcall] = ACTIONS(1171),
    [anon_sym___thiscall] = ACTIONS(1171),
    [anon_sym___vectorcall] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1173),
    [anon_sym_signed] = ACTIONS(1171),
    [anon_sym_unsigned] = ACTIONS(1171),
    [anon_sym_long] = ACTIONS(1171),
    [anon_sym_short] = ACTIONS(1171),
    [anon_sym_static] = ACTIONS(1171),
    [anon_sym_auto] = ACTIONS(1171),
    [anon_sym_register] = ACTIONS(1171),
    [anon_sym_inline] = ACTIONS(1171),
    [anon_sym___inline] = ACTIONS(1171),
    [anon_sym___inline__] = ACTIONS(1171),
    [anon_sym___forceinline] = ACTIONS(1171),
    [anon_sym_thread_local] = ACTIONS(1171),
    [anon_sym___thread] = ACTIONS(1171),
    [anon_sym_const] = ACTIONS(1171),
    [anon_sym_constexpr] = ACTIONS(1171),
    [anon_sym_volatile] = ACTIONS(1171),
    [anon_sym_restrict] = ACTIONS(1171),
    [anon_sym___restrict__] = ACTIONS(1171),
    [anon_sym__Atomic] = ACTIONS(1171),
    [anon_sym__Noreturn] = ACTIONS(1171),
    [anon_sym_noreturn] = ACTIONS(1171),
    [anon_sym_alignas] = ACTIONS(1171),
    [anon_sym__Alignas] = ACTIONS(1171),
    [sym_primitive_type] = ACTIONS(1171),
    [anon_sym_enum] = ACTIONS(1171),
    [anon_sym_struct] = ACTIONS(1171),
    [anon_sym_union] = ACTIONS(1171),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_else] = ACTIONS(1171),
    [anon_sym_switch] = ACTIONS(1171),
    [anon_sym_case] = ACTIONS(1171),
    [anon_sym_default] = ACTIONS(1171),
    [anon_sym_while] = ACTIONS(1171),
    [anon_sym_do] = ACTIONS(1171),
    [anon_sym_for] = ACTIONS(1171),
    [anon_sym_return] = ACTIONS(1171),
    [anon_sym_break] = ACTIONS(1171),
    [anon_sym_continue] = ACTIONS(1171),
    [anon_sym_goto] = ACTIONS(1171),
    [anon_sym___try] = ACTIONS(1171),
    [anon_sym___leave] = ACTIONS(1171),
    [anon_sym_DASH_DASH] = ACTIONS(1173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1173),
    [anon_sym_sizeof] = ACTIONS(1171),
    [anon_sym___alignof__] = ACTIONS(1171),
    [anon_sym___alignof] = ACTIONS(1171),
    [anon_sym__alignof] = ACTIONS(1171),
    [anon_sym_alignof] = ACTIONS(1171),
    [anon_sym__Alignof] = ACTIONS(1171),
    [anon_sym_offsetof] = ACTIONS(1171),
    [anon_sym__Generic] = ACTIONS(1171),
    [anon_sym_asm] = ACTIONS(1171),
    [anon_sym___asm__] = ACTIONS(1171),
    [sym_number_literal] = ACTIONS(1173),
    [anon_sym_L_SQUOTE] = ACTIONS(1173),
    [anon_sym_u_SQUOTE] = ACTIONS(1173),
    [anon_sym_U_SQUOTE] = ACTIONS(1173),
    [anon_sym_u8_SQUOTE] = ACTIONS(1173),
    [anon_sym_SQUOTE] = ACTIONS(1173),
    [anon_sym_L_DQUOTE] = ACTIONS(1173),
    [anon_sym_u_DQUOTE] = ACTIONS(1173),
    [anon_sym_U_DQUOTE] = ACTIONS(1173),
    [anon_sym_u8_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_true] = ACTIONS(1171),
    [sym_false] = ACTIONS(1171),
    [anon_sym_NULL] = ACTIONS(1171),
    [anon_sym_nullptr] = ACTIONS(1171),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_identifier] = ACTIONS(1175),
    [aux_sym_preproc_include_token1] = ACTIONS(1175),
    [aux_sym_preproc_def_token1] = ACTIONS(1175),
    [aux_sym_preproc_if_token1] = ACTIONS(1175),
    [aux_sym_preproc_if_token2] = ACTIONS(1175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1175),
    [aux_sym_preproc_else_token1] = ACTIONS(1175),
    [aux_sym_preproc_elif_token1] = ACTIONS(1175),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1175),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1175),
    [sym_preproc_directive] = ACTIONS(1175),
    [anon_sym_LPAREN2] = ACTIONS(1177),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(1177),
    [anon_sym___extension__] = ACTIONS(1175),
    [anon_sym_typedef] = ACTIONS(1175),
    [anon_sym_extern] = ACTIONS(1175),
    [anon_sym___attribute__] = ACTIONS(1175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1177),
    [anon_sym___declspec] = ACTIONS(1175),
    [anon_sym___cdecl] = ACTIONS(1175),
    [anon_sym___clrcall] = ACTIONS(1175),
    [anon_sym___stdcall] = ACTIONS(1175),
    [anon_sym___fastcall] = ACTIONS(1175),
    [anon_sym___thiscall] = ACTIONS(1175),
    [anon_sym___vectorcall] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_signed] = ACTIONS(1175),
    [anon_sym_unsigned] = ACTIONS(1175),
    [anon_sym_long] = ACTIONS(1175),
    [anon_sym_short] = ACTIONS(1175),
    [anon_sym_static] = ACTIONS(1175),
    [anon_sym_auto] = ACTIONS(1175),
    [anon_sym_register] = ACTIONS(1175),
    [anon_sym_inline] = ACTIONS(1175),
    [anon_sym___inline] = ACTIONS(1175),
    [anon_sym___inline__] = ACTIONS(1175),
    [anon_sym___forceinline] = ACTIONS(1175),
    [anon_sym_thread_local] = ACTIONS(1175),
    [anon_sym___thread] = ACTIONS(1175),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_constexpr] = ACTIONS(1175),
    [anon_sym_volatile] = ACTIONS(1175),
    [anon_sym_restrict] = ACTIONS(1175),
    [anon_sym___restrict__] = ACTIONS(1175),
    [anon_sym__Atomic] = ACTIONS(1175),
    [anon_sym__Noreturn] = ACTIONS(1175),
    [anon_sym_noreturn] = ACTIONS(1175),
    [anon_sym_alignas] = ACTIONS(1175),
    [anon_sym__Alignas] = ACTIONS(1175),
    [sym_primitive_type] = ACTIONS(1175),
    [anon_sym_enum] = ACTIONS(1175),
    [anon_sym_struct] = ACTIONS(1175),
    [anon_sym_union] = ACTIONS(1175),
    [anon_sym_if] = ACTIONS(1175),
    [anon_sym_else] = ACTIONS(1175),
    [anon_sym_switch] = ACTIONS(1175),
    [anon_sym_case] = ACTIONS(1175),
    [anon_sym_default] = ACTIONS(1175),
    [anon_sym_while] = ACTIONS(1175),
    [anon_sym_do] = ACTIONS(1175),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_return] = ACTIONS(1175),
    [anon_sym_break] = ACTIONS(1175),
    [anon_sym_continue] = ACTIONS(1175),
    [anon_sym_goto] = ACTIONS(1175),
    [anon_sym___try] = ACTIONS(1175),
    [anon_sym___leave] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1177),
    [anon_sym_PLUS_PLUS] = ACTIONS(1177),
    [anon_sym_sizeof] = ACTIONS(1175),
    [anon_sym___alignof__] = ACTIONS(1175),
    [anon_sym___alignof] = ACTIONS(1175),
    [anon_sym__alignof] = ACTIONS(1175),
    [anon_sym_alignof] = ACTIONS(1175),
    [anon_sym__Alignof] = ACTIONS(1175),
    [anon_sym_offsetof] = ACTIONS(1175),
    [anon_sym__Generic] = ACTIONS(1175),
    [anon_sym_asm] = ACTIONS(1175),
    [anon_sym___asm__] = ACTIONS(1175),
    [sym_number_literal] = ACTIONS(1177),
    [anon_sym_L_SQUOTE] = ACTIONS(1177),
    [anon_sym_u_SQUOTE] = ACTIONS(1177),
    [anon_sym_U_SQUOTE] = ACTIONS(1177),
    [anon_sym_u8_SQUOTE] = ACTIONS(1177),
    [anon_sym_SQUOTE] = ACTIONS(1177),
    [anon_sym_L_DQUOTE] = ACTIONS(1177),
    [anon_sym_u_DQUOTE] = ACTIONS(1177),
    [anon_sym_U_DQUOTE] = ACTIONS(1177),
    [anon_sym_u8_DQUOTE] = ACTIONS(1177),
    [anon_sym_DQUOTE] = ACTIONS(1177),
    [sym_true] = ACTIONS(1175),
    [sym_false] = ACTIONS(1175),
    [anon_sym_NULL] = ACTIONS(1175),
    [anon_sym_nullptr] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_identifier] = ACTIONS(1179),
    [aux_sym_preproc_include_token1] = ACTIONS(1179),
    [aux_sym_preproc_def_token1] = ACTIONS(1179),
    [aux_sym_preproc_if_token1] = ACTIONS(1179),
    [aux_sym_preproc_if_token2] = ACTIONS(1179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1179),
    [aux_sym_preproc_else_token1] = ACTIONS(1179),
    [aux_sym_preproc_elif_token1] = ACTIONS(1179),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1179),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1179),
    [sym_preproc_directive] = ACTIONS(1179),
    [anon_sym_LPAREN2] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(1181),
    [anon_sym_TILDE] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1179),
    [anon_sym_STAR] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(1181),
    [anon_sym___extension__] = ACTIONS(1179),
    [anon_sym_typedef] = ACTIONS(1179),
    [anon_sym_extern] = ACTIONS(1179),
    [anon_sym___attribute__] = ACTIONS(1179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1181),
    [anon_sym___declspec] = ACTIONS(1179),
    [anon_sym___cdecl] = ACTIONS(1179),
    [anon_sym___clrcall] = ACTIONS(1179),
    [anon_sym___stdcall] = ACTIONS(1179),
    [anon_sym___fastcall] = ACTIONS(1179),
    [anon_sym___thiscall] = ACTIONS(1179),
    [anon_sym___vectorcall] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_signed] = ACTIONS(1179),
    [anon_sym_unsigned] = ACTIONS(1179),
    [anon_sym_long] = ACTIONS(1179),
    [anon_sym_short] = ACTIONS(1179),
    [anon_sym_static] = ACTIONS(1179),
    [anon_sym_auto] = ACTIONS(1179),
    [anon_sym_register] = ACTIONS(1179),
    [anon_sym_inline] = ACTIONS(1179),
    [anon_sym___inline] = ACTIONS(1179),
    [anon_sym___inline__] = ACTIONS(1179),
    [anon_sym___forceinline] = ACTIONS(1179),
    [anon_sym_thread_local] = ACTIONS(1179),
    [anon_sym___thread] = ACTIONS(1179),
    [anon_sym_const] = ACTIONS(1179),
    [anon_sym_constexpr] = ACTIONS(1179),
    [anon_sym_volatile] = ACTIONS(1179),
    [anon_sym_restrict] = ACTIONS(1179),
    [anon_sym___restrict__] = ACTIONS(1179),
    [anon_sym__Atomic] = ACTIONS(1179),
    [anon_sym__Noreturn] = ACTIONS(1179),
    [anon_sym_noreturn] = ACTIONS(1179),
    [anon_sym_alignas] = ACTIONS(1179),
    [anon_sym__Alignas] = ACTIONS(1179),
    [sym_primitive_type] = ACTIONS(1179),
    [anon_sym_enum] = ACTIONS(1179),
    [anon_sym_struct] = ACTIONS(1179),
    [anon_sym_union] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1179),
    [anon_sym_else] = ACTIONS(1179),
    [anon_sym_switch] = ACTIONS(1179),
    [anon_sym_case] = ACTIONS(1179),
    [anon_sym_default] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1179),
    [anon_sym_do] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_continue] = ACTIONS(1179),
    [anon_sym_goto] = ACTIONS(1179),
    [anon_sym___try] = ACTIONS(1179),
    [anon_sym___leave] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [anon_sym_PLUS_PLUS] = ACTIONS(1181),
    [anon_sym_sizeof] = ACTIONS(1179),
    [anon_sym___alignof__] = ACTIONS(1179),
    [anon_sym___alignof] = ACTIONS(1179),
    [anon_sym__alignof] = ACTIONS(1179),
    [anon_sym_alignof] = ACTIONS(1179),
    [anon_sym__Alignof] = ACTIONS(1179),
    [anon_sym_offsetof] = ACTIONS(1179),
    [anon_sym__Generic] = ACTIONS(1179),
    [anon_sym_asm] = ACTIONS(1179),
    [anon_sym___asm__] = ACTIONS(1179),
    [sym_number_literal] = ACTIONS(1181),
    [anon_sym_L_SQUOTE] = ACTIONS(1181),
    [anon_sym_u_SQUOTE] = ACTIONS(1181),
    [anon_sym_U_SQUOTE] = ACTIONS(1181),
    [anon_sym_u8_SQUOTE] = ACTIONS(1181),
    [anon_sym_SQUOTE] = ACTIONS(1181),
    [anon_sym_L_DQUOTE] = ACTIONS(1181),
    [anon_sym_u_DQUOTE] = ACTIONS(1181),
    [anon_sym_U_DQUOTE] = ACTIONS(1181),
    [anon_sym_u8_DQUOTE] = ACTIONS(1181),
    [anon_sym_DQUOTE] = ACTIONS(1181),
    [sym_true] = ACTIONS(1179),
    [sym_false] = ACTIONS(1179),
    [anon_sym_NULL] = ACTIONS(1179),
    [anon_sym_nullptr] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_identifier] = ACTIONS(1183),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token2] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1183),
    [aux_sym_preproc_else_token1] = ACTIONS(1183),
    [aux_sym_preproc_elif_token1] = ACTIONS(1183),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1183),
    [sym_preproc_directive] = ACTIONS(1183),
    [anon_sym_LPAREN2] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym___extension__] = ACTIONS(1183),
    [anon_sym_typedef] = ACTIONS(1183),
    [anon_sym_extern] = ACTIONS(1183),
    [anon_sym___attribute__] = ACTIONS(1183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1185),
    [anon_sym___declspec] = ACTIONS(1183),
    [anon_sym___cdecl] = ACTIONS(1183),
    [anon_sym___clrcall] = ACTIONS(1183),
    [anon_sym___stdcall] = ACTIONS(1183),
    [anon_sym___fastcall] = ACTIONS(1183),
    [anon_sym___thiscall] = ACTIONS(1183),
    [anon_sym___vectorcall] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_signed] = ACTIONS(1183),
    [anon_sym_unsigned] = ACTIONS(1183),
    [anon_sym_long] = ACTIONS(1183),
    [anon_sym_short] = ACTIONS(1183),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_auto] = ACTIONS(1183),
    [anon_sym_register] = ACTIONS(1183),
    [anon_sym_inline] = ACTIONS(1183),
    [anon_sym___inline] = ACTIONS(1183),
    [anon_sym___inline__] = ACTIONS(1183),
    [anon_sym___forceinline] = ACTIONS(1183),
    [anon_sym_thread_local] = ACTIONS(1183),
    [anon_sym___thread] = ACTIONS(1183),
    [anon_sym_const] = ACTIONS(1183),
    [anon_sym_constexpr] = ACTIONS(1183),
    [anon_sym_volatile] = ACTIONS(1183),
    [anon_sym_restrict] = ACTIONS(1183),
    [anon_sym___restrict__] = ACTIONS(1183),
    [anon_sym__Atomic] = ACTIONS(1183),
    [anon_sym__Noreturn] = ACTIONS(1183),
    [anon_sym_noreturn] = ACTIONS(1183),
    [anon_sym_alignas] = ACTIONS(1183),
    [anon_sym__Alignas] = ACTIONS(1183),
    [sym_primitive_type] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_struct] = ACTIONS(1183),
    [anon_sym_union] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_else] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_case] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_goto] = ACTIONS(1183),
    [anon_sym___try] = ACTIONS(1183),
    [anon_sym___leave] = ACTIONS(1183),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_sizeof] = ACTIONS(1183),
    [anon_sym___alignof__] = ACTIONS(1183),
    [anon_sym___alignof] = ACTIONS(1183),
    [anon_sym__alignof] = ACTIONS(1183),
    [anon_sym_alignof] = ACTIONS(1183),
    [anon_sym__Alignof] = ACTIONS(1183),
    [anon_sym_offsetof] = ACTIONS(1183),
    [anon_sym__Generic] = ACTIONS(1183),
    [anon_sym_asm] = ACTIONS(1183),
    [anon_sym___asm__] = ACTIONS(1183),
    [sym_number_literal] = ACTIONS(1185),
    [anon_sym_L_SQUOTE] = ACTIONS(1185),
    [anon_sym_u_SQUOTE] = ACTIONS(1185),
    [anon_sym_U_SQUOTE] = ACTIONS(1185),
    [anon_sym_u8_SQUOTE] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1185),
    [anon_sym_L_DQUOTE] = ACTIONS(1185),
    [anon_sym_u_DQUOTE] = ACTIONS(1185),
    [anon_sym_U_DQUOTE] = ACTIONS(1185),
    [anon_sym_u8_DQUOTE] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [anon_sym_NULL] = ACTIONS(1183),
    [anon_sym_nullptr] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_identifier] = ACTIONS(1187),
    [aux_sym_preproc_include_token1] = ACTIONS(1187),
    [aux_sym_preproc_def_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token2] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1187),
    [aux_sym_preproc_else_token1] = ACTIONS(1187),
    [aux_sym_preproc_elif_token1] = ACTIONS(1187),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1187),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1187),
    [sym_preproc_directive] = ACTIONS(1187),
    [anon_sym_LPAREN2] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym___extension__] = ACTIONS(1187),
    [anon_sym_typedef] = ACTIONS(1187),
    [anon_sym_extern] = ACTIONS(1187),
    [anon_sym___attribute__] = ACTIONS(1187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1189),
    [anon_sym___declspec] = ACTIONS(1187),
    [anon_sym___cdecl] = ACTIONS(1187),
    [anon_sym___clrcall] = ACTIONS(1187),
    [anon_sym___stdcall] = ACTIONS(1187),
    [anon_sym___fastcall] = ACTIONS(1187),
    [anon_sym___thiscall] = ACTIONS(1187),
    [anon_sym___vectorcall] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_signed] = ACTIONS(1187),
    [anon_sym_unsigned] = ACTIONS(1187),
    [anon_sym_long] = ACTIONS(1187),
    [anon_sym_short] = ACTIONS(1187),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_auto] = ACTIONS(1187),
    [anon_sym_register] = ACTIONS(1187),
    [anon_sym_inline] = ACTIONS(1187),
    [anon_sym___inline] = ACTIONS(1187),
    [anon_sym___inline__] = ACTIONS(1187),
    [anon_sym___forceinline] = ACTIONS(1187),
    [anon_sym_thread_local] = ACTIONS(1187),
    [anon_sym___thread] = ACTIONS(1187),
    [anon_sym_const] = ACTIONS(1187),
    [anon_sym_constexpr] = ACTIONS(1187),
    [anon_sym_volatile] = ACTIONS(1187),
    [anon_sym_restrict] = ACTIONS(1187),
    [anon_sym___restrict__] = ACTIONS(1187),
    [anon_sym__Atomic] = ACTIONS(1187),
    [anon_sym__Noreturn] = ACTIONS(1187),
    [anon_sym_noreturn] = ACTIONS(1187),
    [anon_sym_alignas] = ACTIONS(1187),
    [anon_sym__Alignas] = ACTIONS(1187),
    [sym_primitive_type] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [anon_sym_struct] = ACTIONS(1187),
    [anon_sym_union] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_else] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_goto] = ACTIONS(1187),
    [anon_sym___try] = ACTIONS(1187),
    [anon_sym___leave] = ACTIONS(1187),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_sizeof] = ACTIONS(1187),
    [anon_sym___alignof__] = ACTIONS(1187),
    [anon_sym___alignof] = ACTIONS(1187),
    [anon_sym__alignof] = ACTIONS(1187),
    [anon_sym_alignof] = ACTIONS(1187),
    [anon_sym__Alignof] = ACTIONS(1187),
    [anon_sym_offsetof] = ACTIONS(1187),
    [anon_sym__Generic] = ACTIONS(1187),
    [anon_sym_asm] = ACTIONS(1187),
    [anon_sym___asm__] = ACTIONS(1187),
    [sym_number_literal] = ACTIONS(1189),
    [anon_sym_L_SQUOTE] = ACTIONS(1189),
    [anon_sym_u_SQUOTE] = ACTIONS(1189),
    [anon_sym_U_SQUOTE] = ACTIONS(1189),
    [anon_sym_u8_SQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1189),
    [anon_sym_L_DQUOTE] = ACTIONS(1189),
    [anon_sym_u_DQUOTE] = ACTIONS(1189),
    [anon_sym_U_DQUOTE] = ACTIONS(1189),
    [anon_sym_u8_DQUOTE] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [anon_sym_NULL] = ACTIONS(1187),
    [anon_sym_nullptr] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_identifier] = ACTIONS(1187),
    [aux_sym_preproc_include_token1] = ACTIONS(1187),
    [aux_sym_preproc_def_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token2] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1187),
    [aux_sym_preproc_else_token1] = ACTIONS(1187),
    [aux_sym_preproc_elif_token1] = ACTIONS(1187),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1187),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1187),
    [sym_preproc_directive] = ACTIONS(1187),
    [anon_sym_LPAREN2] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym___extension__] = ACTIONS(1187),
    [anon_sym_typedef] = ACTIONS(1187),
    [anon_sym_extern] = ACTIONS(1187),
    [anon_sym___attribute__] = ACTIONS(1187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1189),
    [anon_sym___declspec] = ACTIONS(1187),
    [anon_sym___cdecl] = ACTIONS(1187),
    [anon_sym___clrcall] = ACTIONS(1187),
    [anon_sym___stdcall] = ACTIONS(1187),
    [anon_sym___fastcall] = ACTIONS(1187),
    [anon_sym___thiscall] = ACTIONS(1187),
    [anon_sym___vectorcall] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_signed] = ACTIONS(1187),
    [anon_sym_unsigned] = ACTIONS(1187),
    [anon_sym_long] = ACTIONS(1187),
    [anon_sym_short] = ACTIONS(1187),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_auto] = ACTIONS(1187),
    [anon_sym_register] = ACTIONS(1187),
    [anon_sym_inline] = ACTIONS(1187),
    [anon_sym___inline] = ACTIONS(1187),
    [anon_sym___inline__] = ACTIONS(1187),
    [anon_sym___forceinline] = ACTIONS(1187),
    [anon_sym_thread_local] = ACTIONS(1187),
    [anon_sym___thread] = ACTIONS(1187),
    [anon_sym_const] = ACTIONS(1187),
    [anon_sym_constexpr] = ACTIONS(1187),
    [anon_sym_volatile] = ACTIONS(1187),
    [anon_sym_restrict] = ACTIONS(1187),
    [anon_sym___restrict__] = ACTIONS(1187),
    [anon_sym__Atomic] = ACTIONS(1187),
    [anon_sym__Noreturn] = ACTIONS(1187),
    [anon_sym_noreturn] = ACTIONS(1187),
    [anon_sym_alignas] = ACTIONS(1187),
    [anon_sym__Alignas] = ACTIONS(1187),
    [sym_primitive_type] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [anon_sym_struct] = ACTIONS(1187),
    [anon_sym_union] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_else] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_goto] = ACTIONS(1187),
    [anon_sym___try] = ACTIONS(1187),
    [anon_sym___leave] = ACTIONS(1187),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_sizeof] = ACTIONS(1187),
    [anon_sym___alignof__] = ACTIONS(1187),
    [anon_sym___alignof] = ACTIONS(1187),
    [anon_sym__alignof] = ACTIONS(1187),
    [anon_sym_alignof] = ACTIONS(1187),
    [anon_sym__Alignof] = ACTIONS(1187),
    [anon_sym_offsetof] = ACTIONS(1187),
    [anon_sym__Generic] = ACTIONS(1187),
    [anon_sym_asm] = ACTIONS(1187),
    [anon_sym___asm__] = ACTIONS(1187),
    [sym_number_literal] = ACTIONS(1189),
    [anon_sym_L_SQUOTE] = ACTIONS(1189),
    [anon_sym_u_SQUOTE] = ACTIONS(1189),
    [anon_sym_U_SQUOTE] = ACTIONS(1189),
    [anon_sym_u8_SQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1189),
    [anon_sym_L_DQUOTE] = ACTIONS(1189),
    [anon_sym_u_DQUOTE] = ACTIONS(1189),
    [anon_sym_U_DQUOTE] = ACTIONS(1189),
    [anon_sym_u8_DQUOTE] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [anon_sym_NULL] = ACTIONS(1187),
    [anon_sym_nullptr] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_identifier] = ACTIONS(1191),
    [aux_sym_preproc_include_token1] = ACTIONS(1191),
    [aux_sym_preproc_def_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token2] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1191),
    [aux_sym_preproc_else_token1] = ACTIONS(1191),
    [aux_sym_preproc_elif_token1] = ACTIONS(1191),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1191),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1191),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym___extension__] = ACTIONS(1191),
    [anon_sym_typedef] = ACTIONS(1191),
    [anon_sym_extern] = ACTIONS(1191),
    [anon_sym___attribute__] = ACTIONS(1191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1193),
    [anon_sym___declspec] = ACTIONS(1191),
    [anon_sym___cdecl] = ACTIONS(1191),
    [anon_sym___clrcall] = ACTIONS(1191),
    [anon_sym___stdcall] = ACTIONS(1191),
    [anon_sym___fastcall] = ACTIONS(1191),
    [anon_sym___thiscall] = ACTIONS(1191),
    [anon_sym___vectorcall] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_signed] = ACTIONS(1191),
    [anon_sym_unsigned] = ACTIONS(1191),
    [anon_sym_long] = ACTIONS(1191),
    [anon_sym_short] = ACTIONS(1191),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_auto] = ACTIONS(1191),
    [anon_sym_register] = ACTIONS(1191),
    [anon_sym_inline] = ACTIONS(1191),
    [anon_sym___inline] = ACTIONS(1191),
    [anon_sym___inline__] = ACTIONS(1191),
    [anon_sym___forceinline] = ACTIONS(1191),
    [anon_sym_thread_local] = ACTIONS(1191),
    [anon_sym___thread] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_constexpr] = ACTIONS(1191),
    [anon_sym_volatile] = ACTIONS(1191),
    [anon_sym_restrict] = ACTIONS(1191),
    [anon_sym___restrict__] = ACTIONS(1191),
    [anon_sym__Atomic] = ACTIONS(1191),
    [anon_sym__Noreturn] = ACTIONS(1191),
    [anon_sym_noreturn] = ACTIONS(1191),
    [anon_sym_alignas] = ACTIONS(1191),
    [anon_sym__Alignas] = ACTIONS(1191),
    [sym_primitive_type] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [anon_sym_struct] = ACTIONS(1191),
    [anon_sym_union] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_goto] = ACTIONS(1191),
    [anon_sym___try] = ACTIONS(1191),
    [anon_sym___leave] = ACTIONS(1191),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_sizeof] = ACTIONS(1191),
    [anon_sym___alignof__] = ACTIONS(1191),
    [anon_sym___alignof] = ACTIONS(1191),
    [anon_sym__alignof] = ACTIONS(1191),
    [anon_sym_alignof] = ACTIONS(1191),
    [anon_sym__Alignof] = ACTIONS(1191),
    [anon_sym_offsetof] = ACTIONS(1191),
    [anon_sym__Generic] = ACTIONS(1191),
    [anon_sym_asm] = ACTIONS(1191),
    [anon_sym___asm__] = ACTIONS(1191),
    [sym_number_literal] = ACTIONS(1193),
    [anon_sym_L_SQUOTE] = ACTIONS(1193),
    [anon_sym_u_SQUOTE] = ACTIONS(1193),
    [anon_sym_U_SQUOTE] = ACTIONS(1193),
    [anon_sym_u8_SQUOTE] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1193),
    [anon_sym_L_DQUOTE] = ACTIONS(1193),
    [anon_sym_u_DQUOTE] = ACTIONS(1193),
    [anon_sym_U_DQUOTE] = ACTIONS(1193),
    [anon_sym_u8_DQUOTE] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [anon_sym_NULL] = ACTIONS(1191),
    [anon_sym_nullptr] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_identifier] = ACTIONS(1195),
    [aux_sym_preproc_include_token1] = ACTIONS(1195),
    [aux_sym_preproc_def_token1] = ACTIONS(1195),
    [aux_sym_preproc_if_token1] = ACTIONS(1195),
    [aux_sym_preproc_if_token2] = ACTIONS(1195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1195),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1195),
    [aux_sym_preproc_else_token1] = ACTIONS(1195),
    [aux_sym_preproc_elif_token1] = ACTIONS(1195),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1195),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1195),
    [sym_preproc_directive] = ACTIONS(1195),
    [anon_sym_LPAREN2] = ACTIONS(1197),
    [anon_sym_BANG] = ACTIONS(1197),
    [anon_sym_TILDE] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym_STAR] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_SEMI] = ACTIONS(1197),
    [anon_sym___extension__] = ACTIONS(1195),
    [anon_sym_typedef] = ACTIONS(1195),
    [anon_sym_extern] = ACTIONS(1195),
    [anon_sym___attribute__] = ACTIONS(1195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1197),
    [anon_sym___declspec] = ACTIONS(1195),
    [anon_sym___cdecl] = ACTIONS(1195),
    [anon_sym___clrcall] = ACTIONS(1195),
    [anon_sym___stdcall] = ACTIONS(1195),
    [anon_sym___fastcall] = ACTIONS(1195),
    [anon_sym___thiscall] = ACTIONS(1195),
    [anon_sym___vectorcall] = ACTIONS(1195),
    [anon_sym_LBRACE] = ACTIONS(1197),
    [anon_sym_signed] = ACTIONS(1195),
    [anon_sym_unsigned] = ACTIONS(1195),
    [anon_sym_long] = ACTIONS(1195),
    [anon_sym_short] = ACTIONS(1195),
    [anon_sym_static] = ACTIONS(1195),
    [anon_sym_auto] = ACTIONS(1195),
    [anon_sym_register] = ACTIONS(1195),
    [anon_sym_inline] = ACTIONS(1195),
    [anon_sym___inline] = ACTIONS(1195),
    [anon_sym___inline__] = ACTIONS(1195),
    [anon_sym___forceinline] = ACTIONS(1195),
    [anon_sym_thread_local] = ACTIONS(1195),
    [anon_sym___thread] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1195),
    [anon_sym_constexpr] = ACTIONS(1195),
    [anon_sym_volatile] = ACTIONS(1195),
    [anon_sym_restrict] = ACTIONS(1195),
    [anon_sym___restrict__] = ACTIONS(1195),
    [anon_sym__Atomic] = ACTIONS(1195),
    [anon_sym__Noreturn] = ACTIONS(1195),
    [anon_sym_noreturn] = ACTIONS(1195),
    [anon_sym_alignas] = ACTIONS(1195),
    [anon_sym__Alignas] = ACTIONS(1195),
    [sym_primitive_type] = ACTIONS(1195),
    [anon_sym_enum] = ACTIONS(1195),
    [anon_sym_struct] = ACTIONS(1195),
    [anon_sym_union] = ACTIONS(1195),
    [anon_sym_if] = ACTIONS(1195),
    [anon_sym_else] = ACTIONS(1195),
    [anon_sym_switch] = ACTIONS(1195),
    [anon_sym_case] = ACTIONS(1195),
    [anon_sym_default] = ACTIONS(1195),
    [anon_sym_while] = ACTIONS(1195),
    [anon_sym_do] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1195),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_break] = ACTIONS(1195),
    [anon_sym_continue] = ACTIONS(1195),
    [anon_sym_goto] = ACTIONS(1195),
    [anon_sym___try] = ACTIONS(1195),
    [anon_sym___leave] = ACTIONS(1195),
    [anon_sym_DASH_DASH] = ACTIONS(1197),
    [anon_sym_PLUS_PLUS] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1195),
    [anon_sym___alignof__] = ACTIONS(1195),
    [anon_sym___alignof] = ACTIONS(1195),
    [anon_sym__alignof] = ACTIONS(1195),
    [anon_sym_alignof] = ACTIONS(1195),
    [anon_sym__Alignof] = ACTIONS(1195),
    [anon_sym_offsetof] = ACTIONS(1195),
    [anon_sym__Generic] = ACTIONS(1195),
    [anon_sym_asm] = ACTIONS(1195),
    [anon_sym___asm__] = ACTIONS(1195),
    [sym_number_literal] = ACTIONS(1197),
    [anon_sym_L_SQUOTE] = ACTIONS(1197),
    [anon_sym_u_SQUOTE] = ACTIONS(1197),
    [anon_sym_U_SQUOTE] = ACTIONS(1197),
    [anon_sym_u8_SQUOTE] = ACTIONS(1197),
    [anon_sym_SQUOTE] = ACTIONS(1197),
    [anon_sym_L_DQUOTE] = ACTIONS(1197),
    [anon_sym_u_DQUOTE] = ACTIONS(1197),
    [anon_sym_U_DQUOTE] = ACTIONS(1197),
    [anon_sym_u8_DQUOTE] = ACTIONS(1197),
    [anon_sym_DQUOTE] = ACTIONS(1197),
    [sym_true] = ACTIONS(1195),
    [sym_false] = ACTIONS(1195),
    [anon_sym_NULL] = ACTIONS(1195),
    [anon_sym_nullptr] = ACTIONS(1195),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_identifier] = ACTIONS(1199),
    [aux_sym_preproc_include_token1] = ACTIONS(1199),
    [aux_sym_preproc_def_token1] = ACTIONS(1199),
    [aux_sym_preproc_if_token1] = ACTIONS(1199),
    [aux_sym_preproc_if_token2] = ACTIONS(1199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1199),
    [aux_sym_preproc_else_token1] = ACTIONS(1199),
    [aux_sym_preproc_elif_token1] = ACTIONS(1199),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1199),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1199),
    [sym_preproc_directive] = ACTIONS(1199),
    [anon_sym_LPAREN2] = ACTIONS(1201),
    [anon_sym_BANG] = ACTIONS(1201),
    [anon_sym_TILDE] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_PLUS] = ACTIONS(1199),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1201),
    [anon_sym___extension__] = ACTIONS(1199),
    [anon_sym_typedef] = ACTIONS(1199),
    [anon_sym_extern] = ACTIONS(1199),
    [anon_sym___attribute__] = ACTIONS(1199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1201),
    [anon_sym___declspec] = ACTIONS(1199),
    [anon_sym___cdecl] = ACTIONS(1199),
    [anon_sym___clrcall] = ACTIONS(1199),
    [anon_sym___stdcall] = ACTIONS(1199),
    [anon_sym___fastcall] = ACTIONS(1199),
    [anon_sym___thiscall] = ACTIONS(1199),
    [anon_sym___vectorcall] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(1201),
    [anon_sym_signed] = ACTIONS(1199),
    [anon_sym_unsigned] = ACTIONS(1199),
    [anon_sym_long] = ACTIONS(1199),
    [anon_sym_short] = ACTIONS(1199),
    [anon_sym_static] = ACTIONS(1199),
    [anon_sym_auto] = ACTIONS(1199),
    [anon_sym_register] = ACTIONS(1199),
    [anon_sym_inline] = ACTIONS(1199),
    [anon_sym___inline] = ACTIONS(1199),
    [anon_sym___inline__] = ACTIONS(1199),
    [anon_sym___forceinline] = ACTIONS(1199),
    [anon_sym_thread_local] = ACTIONS(1199),
    [anon_sym___thread] = ACTIONS(1199),
    [anon_sym_const] = ACTIONS(1199),
    [anon_sym_constexpr] = ACTIONS(1199),
    [anon_sym_volatile] = ACTIONS(1199),
    [anon_sym_restrict] = ACTIONS(1199),
    [anon_sym___restrict__] = ACTIONS(1199),
    [anon_sym__Atomic] = ACTIONS(1199),
    [anon_sym__Noreturn] = ACTIONS(1199),
    [anon_sym_noreturn] = ACTIONS(1199),
    [anon_sym_alignas] = ACTIONS(1199),
    [anon_sym__Alignas] = ACTIONS(1199),
    [sym_primitive_type] = ACTIONS(1199),
    [anon_sym_enum] = ACTIONS(1199),
    [anon_sym_struct] = ACTIONS(1199),
    [anon_sym_union] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_else] = ACTIONS(1199),
    [anon_sym_switch] = ACTIONS(1199),
    [anon_sym_case] = ACTIONS(1199),
    [anon_sym_default] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(1199),
    [anon_sym_do] = ACTIONS(1199),
    [anon_sym_for] = ACTIONS(1199),
    [anon_sym_return] = ACTIONS(1199),
    [anon_sym_break] = ACTIONS(1199),
    [anon_sym_continue] = ACTIONS(1199),
    [anon_sym_goto] = ACTIONS(1199),
    [anon_sym___try] = ACTIONS(1199),
    [anon_sym___leave] = ACTIONS(1199),
    [anon_sym_DASH_DASH] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(1201),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym___alignof__] = ACTIONS(1199),
    [anon_sym___alignof] = ACTIONS(1199),
    [anon_sym__alignof] = ACTIONS(1199),
    [anon_sym_alignof] = ACTIONS(1199),
    [anon_sym__Alignof] = ACTIONS(1199),
    [anon_sym_offsetof] = ACTIONS(1199),
    [anon_sym__Generic] = ACTIONS(1199),
    [anon_sym_asm] = ACTIONS(1199),
    [anon_sym___asm__] = ACTIONS(1199),
    [sym_number_literal] = ACTIONS(1201),
    [anon_sym_L_SQUOTE] = ACTIONS(1201),
    [anon_sym_u_SQUOTE] = ACTIONS(1201),
    [anon_sym_U_SQUOTE] = ACTIONS(1201),
    [anon_sym_u8_SQUOTE] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1201),
    [anon_sym_L_DQUOTE] = ACTIONS(1201),
    [anon_sym_u_DQUOTE] = ACTIONS(1201),
    [anon_sym_U_DQUOTE] = ACTIONS(1201),
    [anon_sym_u8_DQUOTE] = ACTIONS(1201),
    [anon_sym_DQUOTE] = ACTIONS(1201),
    [sym_true] = ACTIONS(1199),
    [sym_false] = ACTIONS(1199),
    [anon_sym_NULL] = ACTIONS(1199),
    [anon_sym_nullptr] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_identifier] = ACTIONS(1203),
    [aux_sym_preproc_include_token1] = ACTIONS(1203),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token2] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1203),
    [aux_sym_preproc_else_token1] = ACTIONS(1203),
    [aux_sym_preproc_elif_token1] = ACTIONS(1203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1203),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1203),
    [sym_preproc_directive] = ACTIONS(1203),
    [anon_sym_LPAREN2] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym___extension__] = ACTIONS(1203),
    [anon_sym_typedef] = ACTIONS(1203),
    [anon_sym_extern] = ACTIONS(1203),
    [anon_sym___attribute__] = ACTIONS(1203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1205),
    [anon_sym___declspec] = ACTIONS(1203),
    [anon_sym___cdecl] = ACTIONS(1203),
    [anon_sym___clrcall] = ACTIONS(1203),
    [anon_sym___stdcall] = ACTIONS(1203),
    [anon_sym___fastcall] = ACTIONS(1203),
    [anon_sym___thiscall] = ACTIONS(1203),
    [anon_sym___vectorcall] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_signed] = ACTIONS(1203),
    [anon_sym_unsigned] = ACTIONS(1203),
    [anon_sym_long] = ACTIONS(1203),
    [anon_sym_short] = ACTIONS(1203),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_auto] = ACTIONS(1203),
    [anon_sym_register] = ACTIONS(1203),
    [anon_sym_inline] = ACTIONS(1203),
    [anon_sym___inline] = ACTIONS(1203),
    [anon_sym___inline__] = ACTIONS(1203),
    [anon_sym___forceinline] = ACTIONS(1203),
    [anon_sym_thread_local] = ACTIONS(1203),
    [anon_sym___thread] = ACTIONS(1203),
    [anon_sym_const] = ACTIONS(1203),
    [anon_sym_constexpr] = ACTIONS(1203),
    [anon_sym_volatile] = ACTIONS(1203),
    [anon_sym_restrict] = ACTIONS(1203),
    [anon_sym___restrict__] = ACTIONS(1203),
    [anon_sym__Atomic] = ACTIONS(1203),
    [anon_sym__Noreturn] = ACTIONS(1203),
    [anon_sym_noreturn] = ACTIONS(1203),
    [anon_sym_alignas] = ACTIONS(1203),
    [anon_sym__Alignas] = ACTIONS(1203),
    [sym_primitive_type] = ACTIONS(1203),
    [anon_sym_enum] = ACTIONS(1203),
    [anon_sym_struct] = ACTIONS(1203),
    [anon_sym_union] = ACTIONS(1203),
    [anon_sym_if] = ACTIONS(1203),
    [anon_sym_else] = ACTIONS(1203),
    [anon_sym_switch] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1203),
    [anon_sym_default] = ACTIONS(1203),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(1203),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_break] = ACTIONS(1203),
    [anon_sym_continue] = ACTIONS(1203),
    [anon_sym_goto] = ACTIONS(1203),
    [anon_sym___try] = ACTIONS(1203),
    [anon_sym___leave] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_sizeof] = ACTIONS(1203),
    [anon_sym___alignof__] = ACTIONS(1203),
    [anon_sym___alignof] = ACTIONS(1203),
    [anon_sym__alignof] = ACTIONS(1203),
    [anon_sym_alignof] = ACTIONS(1203),
    [anon_sym__Alignof] = ACTIONS(1203),
    [anon_sym_offsetof] = ACTIONS(1203),
    [anon_sym__Generic] = ACTIONS(1203),
    [anon_sym_asm] = ACTIONS(1203),
    [anon_sym___asm__] = ACTIONS(1203),
    [sym_number_literal] = ACTIONS(1205),
    [anon_sym_L_SQUOTE] = ACTIONS(1205),
    [anon_sym_u_SQUOTE] = ACTIONS(1205),
    [anon_sym_U_SQUOTE] = ACTIONS(1205),
    [anon_sym_u8_SQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1205),
    [anon_sym_L_DQUOTE] = ACTIONS(1205),
    [anon_sym_u_DQUOTE] = ACTIONS(1205),
    [anon_sym_U_DQUOTE] = ACTIONS(1205),
    [anon_sym_u8_DQUOTE] = ACTIONS(1205),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [sym_true] = ACTIONS(1203),
    [sym_false] = ACTIONS(1203),
    [anon_sym_NULL] = ACTIONS(1203),
    [anon_sym_nullptr] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_identifier] = ACTIONS(1207),
    [aux_sym_preproc_include_token1] = ACTIONS(1207),
    [aux_sym_preproc_def_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token2] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [aux_sym_preproc_else_token1] = ACTIONS(1207),
    [aux_sym_preproc_elif_token1] = ACTIONS(1207),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1207),
    [anon_sym_LPAREN2] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym___extension__] = ACTIONS(1207),
    [anon_sym_typedef] = ACTIONS(1207),
    [anon_sym_extern] = ACTIONS(1207),
    [anon_sym___attribute__] = ACTIONS(1207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1209),
    [anon_sym___declspec] = ACTIONS(1207),
    [anon_sym___cdecl] = ACTIONS(1207),
    [anon_sym___clrcall] = ACTIONS(1207),
    [anon_sym___stdcall] = ACTIONS(1207),
    [anon_sym___fastcall] = ACTIONS(1207),
    [anon_sym___thiscall] = ACTIONS(1207),
    [anon_sym___vectorcall] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_signed] = ACTIONS(1207),
    [anon_sym_unsigned] = ACTIONS(1207),
    [anon_sym_long] = ACTIONS(1207),
    [anon_sym_short] = ACTIONS(1207),
    [anon_sym_static] = ACTIONS(1207),
    [anon_sym_auto] = ACTIONS(1207),
    [anon_sym_register] = ACTIONS(1207),
    [anon_sym_inline] = ACTIONS(1207),
    [anon_sym___inline] = ACTIONS(1207),
    [anon_sym___inline__] = ACTIONS(1207),
    [anon_sym___forceinline] = ACTIONS(1207),
    [anon_sym_thread_local] = ACTIONS(1207),
    [anon_sym___thread] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_constexpr] = ACTIONS(1207),
    [anon_sym_volatile] = ACTIONS(1207),
    [anon_sym_restrict] = ACTIONS(1207),
    [anon_sym___restrict__] = ACTIONS(1207),
    [anon_sym__Atomic] = ACTIONS(1207),
    [anon_sym__Noreturn] = ACTIONS(1207),
    [anon_sym_noreturn] = ACTIONS(1207),
    [anon_sym_alignas] = ACTIONS(1207),
    [anon_sym__Alignas] = ACTIONS(1207),
    [sym_primitive_type] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_struct] = ACTIONS(1207),
    [anon_sym_union] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_else] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_goto] = ACTIONS(1207),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_sizeof] = ACTIONS(1207),
    [anon_sym___alignof__] = ACTIONS(1207),
    [anon_sym___alignof] = ACTIONS(1207),
    [anon_sym__alignof] = ACTIONS(1207),
    [anon_sym_alignof] = ACTIONS(1207),
    [anon_sym__Alignof] = ACTIONS(1207),
    [anon_sym_offsetof] = ACTIONS(1207),
    [anon_sym__Generic] = ACTIONS(1207),
    [anon_sym_asm] = ACTIONS(1207),
    [anon_sym___asm__] = ACTIONS(1207),
    [sym_number_literal] = ACTIONS(1209),
    [anon_sym_L_SQUOTE] = ACTIONS(1209),
    [anon_sym_u_SQUOTE] = ACTIONS(1209),
    [anon_sym_U_SQUOTE] = ACTIONS(1209),
    [anon_sym_u8_SQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [anon_sym_L_DQUOTE] = ACTIONS(1209),
    [anon_sym_u_DQUOTE] = ACTIONS(1209),
    [anon_sym_U_DQUOTE] = ACTIONS(1209),
    [anon_sym_u8_DQUOTE] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [anon_sym_NULL] = ACTIONS(1207),
    [anon_sym_nullptr] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_identifier] = ACTIONS(1211),
    [aux_sym_preproc_include_token1] = ACTIONS(1211),
    [aux_sym_preproc_def_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token2] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1211),
    [aux_sym_preproc_else_token1] = ACTIONS(1211),
    [aux_sym_preproc_elif_token1] = ACTIONS(1211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1211),
    [sym_preproc_directive] = ACTIONS(1211),
    [anon_sym_LPAREN2] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym___extension__] = ACTIONS(1211),
    [anon_sym_typedef] = ACTIONS(1211),
    [anon_sym_extern] = ACTIONS(1211),
    [anon_sym___attribute__] = ACTIONS(1211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1213),
    [anon_sym___declspec] = ACTIONS(1211),
    [anon_sym___cdecl] = ACTIONS(1211),
    [anon_sym___clrcall] = ACTIONS(1211),
    [anon_sym___stdcall] = ACTIONS(1211),
    [anon_sym___fastcall] = ACTIONS(1211),
    [anon_sym___thiscall] = ACTIONS(1211),
    [anon_sym___vectorcall] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_signed] = ACTIONS(1211),
    [anon_sym_unsigned] = ACTIONS(1211),
    [anon_sym_long] = ACTIONS(1211),
    [anon_sym_short] = ACTIONS(1211),
    [anon_sym_static] = ACTIONS(1211),
    [anon_sym_auto] = ACTIONS(1211),
    [anon_sym_register] = ACTIONS(1211),
    [anon_sym_inline] = ACTIONS(1211),
    [anon_sym___inline] = ACTIONS(1211),
    [anon_sym___inline__] = ACTIONS(1211),
    [anon_sym___forceinline] = ACTIONS(1211),
    [anon_sym_thread_local] = ACTIONS(1211),
    [anon_sym___thread] = ACTIONS(1211),
    [anon_sym_const] = ACTIONS(1211),
    [anon_sym_constexpr] = ACTIONS(1211),
    [anon_sym_volatile] = ACTIONS(1211),
    [anon_sym_restrict] = ACTIONS(1211),
    [anon_sym___restrict__] = ACTIONS(1211),
    [anon_sym__Atomic] = ACTIONS(1211),
    [anon_sym__Noreturn] = ACTIONS(1211),
    [anon_sym_noreturn] = ACTIONS(1211),
    [anon_sym_alignas] = ACTIONS(1211),
    [anon_sym__Alignas] = ACTIONS(1211),
    [sym_primitive_type] = ACTIONS(1211),
    [anon_sym_enum] = ACTIONS(1211),
    [anon_sym_struct] = ACTIONS(1211),
    [anon_sym_union] = ACTIONS(1211),
    [anon_sym_if] = ACTIONS(1211),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1211),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1211),
    [anon_sym_do] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1211),
    [anon_sym_break] = ACTIONS(1211),
    [anon_sym_continue] = ACTIONS(1211),
    [anon_sym_goto] = ACTIONS(1211),
    [anon_sym___try] = ACTIONS(1211),
    [anon_sym___leave] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1213),
    [anon_sym_PLUS_PLUS] = ACTIONS(1213),
    [anon_sym_sizeof] = ACTIONS(1211),
    [anon_sym___alignof__] = ACTIONS(1211),
    [anon_sym___alignof] = ACTIONS(1211),
    [anon_sym__alignof] = ACTIONS(1211),
    [anon_sym_alignof] = ACTIONS(1211),
    [anon_sym__Alignof] = ACTIONS(1211),
    [anon_sym_offsetof] = ACTIONS(1211),
    [anon_sym__Generic] = ACTIONS(1211),
    [anon_sym_asm] = ACTIONS(1211),
    [anon_sym___asm__] = ACTIONS(1211),
    [sym_number_literal] = ACTIONS(1213),
    [anon_sym_L_SQUOTE] = ACTIONS(1213),
    [anon_sym_u_SQUOTE] = ACTIONS(1213),
    [anon_sym_U_SQUOTE] = ACTIONS(1213),
    [anon_sym_u8_SQUOTE] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_L_DQUOTE] = ACTIONS(1213),
    [anon_sym_u_DQUOTE] = ACTIONS(1213),
    [anon_sym_U_DQUOTE] = ACTIONS(1213),
    [anon_sym_u8_DQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_true] = ACTIONS(1211),
    [sym_false] = ACTIONS(1211),
    [anon_sym_NULL] = ACTIONS(1211),
    [anon_sym_nullptr] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_identifier] = ACTIONS(1215),
    [aux_sym_preproc_include_token1] = ACTIONS(1215),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token2] = ACTIONS(1215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1215),
    [aux_sym_preproc_else_token1] = ACTIONS(1215),
    [aux_sym_preproc_elif_token1] = ACTIONS(1215),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1215),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1215),
    [sym_preproc_directive] = ACTIONS(1215),
    [anon_sym_LPAREN2] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym___extension__] = ACTIONS(1215),
    [anon_sym_typedef] = ACTIONS(1215),
    [anon_sym_extern] = ACTIONS(1215),
    [anon_sym___attribute__] = ACTIONS(1215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1217),
    [anon_sym___declspec] = ACTIONS(1215),
    [anon_sym___cdecl] = ACTIONS(1215),
    [anon_sym___clrcall] = ACTIONS(1215),
    [anon_sym___stdcall] = ACTIONS(1215),
    [anon_sym___fastcall] = ACTIONS(1215),
    [anon_sym___thiscall] = ACTIONS(1215),
    [anon_sym___vectorcall] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_signed] = ACTIONS(1215),
    [anon_sym_unsigned] = ACTIONS(1215),
    [anon_sym_long] = ACTIONS(1215),
    [anon_sym_short] = ACTIONS(1215),
    [anon_sym_static] = ACTIONS(1215),
    [anon_sym_auto] = ACTIONS(1215),
    [anon_sym_register] = ACTIONS(1215),
    [anon_sym_inline] = ACTIONS(1215),
    [anon_sym___inline] = ACTIONS(1215),
    [anon_sym___inline__] = ACTIONS(1215),
    [anon_sym___forceinline] = ACTIONS(1215),
    [anon_sym_thread_local] = ACTIONS(1215),
    [anon_sym___thread] = ACTIONS(1215),
    [anon_sym_const] = ACTIONS(1215),
    [anon_sym_constexpr] = ACTIONS(1215),
    [anon_sym_volatile] = ACTIONS(1215),
    [anon_sym_restrict] = ACTIONS(1215),
    [anon_sym___restrict__] = ACTIONS(1215),
    [anon_sym__Atomic] = ACTIONS(1215),
    [anon_sym__Noreturn] = ACTIONS(1215),
    [anon_sym_noreturn] = ACTIONS(1215),
    [anon_sym_alignas] = ACTIONS(1215),
    [anon_sym__Alignas] = ACTIONS(1215),
    [sym_primitive_type] = ACTIONS(1215),
    [anon_sym_enum] = ACTIONS(1215),
    [anon_sym_struct] = ACTIONS(1215),
    [anon_sym_union] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_else] = ACTIONS(1215),
    [anon_sym_switch] = ACTIONS(1215),
    [anon_sym_case] = ACTIONS(1215),
    [anon_sym_default] = ACTIONS(1215),
    [anon_sym_while] = ACTIONS(1215),
    [anon_sym_do] = ACTIONS(1215),
    [anon_sym_for] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1215),
    [anon_sym_break] = ACTIONS(1215),
    [anon_sym_continue] = ACTIONS(1215),
    [anon_sym_goto] = ACTIONS(1215),
    [anon_sym___try] = ACTIONS(1215),
    [anon_sym___leave] = ACTIONS(1215),
    [anon_sym_DASH_DASH] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1217),
    [anon_sym_sizeof] = ACTIONS(1215),
    [anon_sym___alignof__] = ACTIONS(1215),
    [anon_sym___alignof] = ACTIONS(1215),
    [anon_sym__alignof] = ACTIONS(1215),
    [anon_sym_alignof] = ACTIONS(1215),
    [anon_sym__Alignof] = ACTIONS(1215),
    [anon_sym_offsetof] = ACTIONS(1215),
    [anon_sym__Generic] = ACTIONS(1215),
    [anon_sym_asm] = ACTIONS(1215),
    [anon_sym___asm__] = ACTIONS(1215),
    [sym_number_literal] = ACTIONS(1217),
    [anon_sym_L_SQUOTE] = ACTIONS(1217),
    [anon_sym_u_SQUOTE] = ACTIONS(1217),
    [anon_sym_U_SQUOTE] = ACTIONS(1217),
    [anon_sym_u8_SQUOTE] = ACTIONS(1217),
    [anon_sym_SQUOTE] = ACTIONS(1217),
    [anon_sym_L_DQUOTE] = ACTIONS(1217),
    [anon_sym_u_DQUOTE] = ACTIONS(1217),
    [anon_sym_U_DQUOTE] = ACTIONS(1217),
    [anon_sym_u8_DQUOTE] = ACTIONS(1217),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [anon_sym_NULL] = ACTIONS(1215),
    [anon_sym_nullptr] = ACTIONS(1215),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_identifier] = ACTIONS(1219),
    [aux_sym_preproc_include_token1] = ACTIONS(1219),
    [aux_sym_preproc_def_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token2] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [aux_sym_preproc_else_token1] = ACTIONS(1219),
    [aux_sym_preproc_elif_token1] = ACTIONS(1219),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1219),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1219),
    [anon_sym_typedef] = ACTIONS(1219),
    [anon_sym_extern] = ACTIONS(1219),
    [anon_sym___attribute__] = ACTIONS(1219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1221),
    [anon_sym___declspec] = ACTIONS(1219),
    [anon_sym___cdecl] = ACTIONS(1219),
    [anon_sym___clrcall] = ACTIONS(1219),
    [anon_sym___stdcall] = ACTIONS(1219),
    [anon_sym___fastcall] = ACTIONS(1219),
    [anon_sym___thiscall] = ACTIONS(1219),
    [anon_sym___vectorcall] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_signed] = ACTIONS(1219),
    [anon_sym_unsigned] = ACTIONS(1219),
    [anon_sym_long] = ACTIONS(1219),
    [anon_sym_short] = ACTIONS(1219),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_auto] = ACTIONS(1219),
    [anon_sym_register] = ACTIONS(1219),
    [anon_sym_inline] = ACTIONS(1219),
    [anon_sym___inline] = ACTIONS(1219),
    [anon_sym___inline__] = ACTIONS(1219),
    [anon_sym___forceinline] = ACTIONS(1219),
    [anon_sym_thread_local] = ACTIONS(1219),
    [anon_sym___thread] = ACTIONS(1219),
    [anon_sym_const] = ACTIONS(1219),
    [anon_sym_constexpr] = ACTIONS(1219),
    [anon_sym_volatile] = ACTIONS(1219),
    [anon_sym_restrict] = ACTIONS(1219),
    [anon_sym___restrict__] = ACTIONS(1219),
    [anon_sym__Atomic] = ACTIONS(1219),
    [anon_sym__Noreturn] = ACTIONS(1219),
    [anon_sym_noreturn] = ACTIONS(1219),
    [anon_sym_alignas] = ACTIONS(1219),
    [anon_sym__Alignas] = ACTIONS(1219),
    [sym_primitive_type] = ACTIONS(1219),
    [anon_sym_enum] = ACTIONS(1219),
    [anon_sym_struct] = ACTIONS(1219),
    [anon_sym_union] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1219),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1219),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_return] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(1219),
    [anon_sym_goto] = ACTIONS(1219),
    [anon_sym___try] = ACTIONS(1219),
    [anon_sym___leave] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_sizeof] = ACTIONS(1219),
    [anon_sym___alignof__] = ACTIONS(1219),
    [anon_sym___alignof] = ACTIONS(1219),
    [anon_sym__alignof] = ACTIONS(1219),
    [anon_sym_alignof] = ACTIONS(1219),
    [anon_sym__Alignof] = ACTIONS(1219),
    [anon_sym_offsetof] = ACTIONS(1219),
    [anon_sym__Generic] = ACTIONS(1219),
    [anon_sym_asm] = ACTIONS(1219),
    [anon_sym___asm__] = ACTIONS(1219),
    [sym_number_literal] = ACTIONS(1221),
    [anon_sym_L_SQUOTE] = ACTIONS(1221),
    [anon_sym_u_SQUOTE] = ACTIONS(1221),
    [anon_sym_U_SQUOTE] = ACTIONS(1221),
    [anon_sym_u8_SQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_L_DQUOTE] = ACTIONS(1221),
    [anon_sym_u_DQUOTE] = ACTIONS(1221),
    [anon_sym_U_DQUOTE] = ACTIONS(1221),
    [anon_sym_u8_DQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [sym_true] = ACTIONS(1219),
    [sym_false] = ACTIONS(1219),
    [anon_sym_NULL] = ACTIONS(1219),
    [anon_sym_nullptr] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_identifier] = ACTIONS(1219),
    [aux_sym_preproc_include_token1] = ACTIONS(1219),
    [aux_sym_preproc_def_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token2] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [aux_sym_preproc_else_token1] = ACTIONS(1219),
    [aux_sym_preproc_elif_token1] = ACTIONS(1219),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1219),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1219),
    [anon_sym_typedef] = ACTIONS(1219),
    [anon_sym_extern] = ACTIONS(1219),
    [anon_sym___attribute__] = ACTIONS(1219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1221),
    [anon_sym___declspec] = ACTIONS(1219),
    [anon_sym___cdecl] = ACTIONS(1219),
    [anon_sym___clrcall] = ACTIONS(1219),
    [anon_sym___stdcall] = ACTIONS(1219),
    [anon_sym___fastcall] = ACTIONS(1219),
    [anon_sym___thiscall] = ACTIONS(1219),
    [anon_sym___vectorcall] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_signed] = ACTIONS(1219),
    [anon_sym_unsigned] = ACTIONS(1219),
    [anon_sym_long] = ACTIONS(1219),
    [anon_sym_short] = ACTIONS(1219),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_auto] = ACTIONS(1219),
    [anon_sym_register] = ACTIONS(1219),
    [anon_sym_inline] = ACTIONS(1219),
    [anon_sym___inline] = ACTIONS(1219),
    [anon_sym___inline__] = ACTIONS(1219),
    [anon_sym___forceinline] = ACTIONS(1219),
    [anon_sym_thread_local] = ACTIONS(1219),
    [anon_sym___thread] = ACTIONS(1219),
    [anon_sym_const] = ACTIONS(1219),
    [anon_sym_constexpr] = ACTIONS(1219),
    [anon_sym_volatile] = ACTIONS(1219),
    [anon_sym_restrict] = ACTIONS(1219),
    [anon_sym___restrict__] = ACTIONS(1219),
    [anon_sym__Atomic] = ACTIONS(1219),
    [anon_sym__Noreturn] = ACTIONS(1219),
    [anon_sym_noreturn] = ACTIONS(1219),
    [anon_sym_alignas] = ACTIONS(1219),
    [anon_sym__Alignas] = ACTIONS(1219),
    [sym_primitive_type] = ACTIONS(1219),
    [anon_sym_enum] = ACTIONS(1219),
    [anon_sym_struct] = ACTIONS(1219),
    [anon_sym_union] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1219),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1219),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_return] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(1219),
    [anon_sym_goto] = ACTIONS(1219),
    [anon_sym___try] = ACTIONS(1219),
    [anon_sym___leave] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_sizeof] = ACTIONS(1219),
    [anon_sym___alignof__] = ACTIONS(1219),
    [anon_sym___alignof] = ACTIONS(1219),
    [anon_sym__alignof] = ACTIONS(1219),
    [anon_sym_alignof] = ACTIONS(1219),
    [anon_sym__Alignof] = ACTIONS(1219),
    [anon_sym_offsetof] = ACTIONS(1219),
    [anon_sym__Generic] = ACTIONS(1219),
    [anon_sym_asm] = ACTIONS(1219),
    [anon_sym___asm__] = ACTIONS(1219),
    [sym_number_literal] = ACTIONS(1221),
    [anon_sym_L_SQUOTE] = ACTIONS(1221),
    [anon_sym_u_SQUOTE] = ACTIONS(1221),
    [anon_sym_U_SQUOTE] = ACTIONS(1221),
    [anon_sym_u8_SQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_L_DQUOTE] = ACTIONS(1221),
    [anon_sym_u_DQUOTE] = ACTIONS(1221),
    [anon_sym_U_DQUOTE] = ACTIONS(1221),
    [anon_sym_u8_DQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [sym_true] = ACTIONS(1219),
    [sym_false] = ACTIONS(1219),
    [anon_sym_NULL] = ACTIONS(1219),
    [anon_sym_nullptr] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_identifier] = ACTIONS(1223),
    [aux_sym_preproc_include_token1] = ACTIONS(1223),
    [aux_sym_preproc_def_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token2] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1223),
    [aux_sym_preproc_else_token1] = ACTIONS(1223),
    [aux_sym_preproc_elif_token1] = ACTIONS(1223),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1223),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1223),
    [sym_preproc_directive] = ACTIONS(1223),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1223),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym___extension__] = ACTIONS(1223),
    [anon_sym_typedef] = ACTIONS(1223),
    [anon_sym_extern] = ACTIONS(1223),
    [anon_sym___attribute__] = ACTIONS(1223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1225),
    [anon_sym___declspec] = ACTIONS(1223),
    [anon_sym___cdecl] = ACTIONS(1223),
    [anon_sym___clrcall] = ACTIONS(1223),
    [anon_sym___stdcall] = ACTIONS(1223),
    [anon_sym___fastcall] = ACTIONS(1223),
    [anon_sym___thiscall] = ACTIONS(1223),
    [anon_sym___vectorcall] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_signed] = ACTIONS(1223),
    [anon_sym_unsigned] = ACTIONS(1223),
    [anon_sym_long] = ACTIONS(1223),
    [anon_sym_short] = ACTIONS(1223),
    [anon_sym_static] = ACTIONS(1223),
    [anon_sym_auto] = ACTIONS(1223),
    [anon_sym_register] = ACTIONS(1223),
    [anon_sym_inline] = ACTIONS(1223),
    [anon_sym___inline] = ACTIONS(1223),
    [anon_sym___inline__] = ACTIONS(1223),
    [anon_sym___forceinline] = ACTIONS(1223),
    [anon_sym_thread_local] = ACTIONS(1223),
    [anon_sym___thread] = ACTIONS(1223),
    [anon_sym_const] = ACTIONS(1223),
    [anon_sym_constexpr] = ACTIONS(1223),
    [anon_sym_volatile] = ACTIONS(1223),
    [anon_sym_restrict] = ACTIONS(1223),
    [anon_sym___restrict__] = ACTIONS(1223),
    [anon_sym__Atomic] = ACTIONS(1223),
    [anon_sym__Noreturn] = ACTIONS(1223),
    [anon_sym_noreturn] = ACTIONS(1223),
    [anon_sym_alignas] = ACTIONS(1223),
    [anon_sym__Alignas] = ACTIONS(1223),
    [sym_primitive_type] = ACTIONS(1223),
    [anon_sym_enum] = ACTIONS(1223),
    [anon_sym_struct] = ACTIONS(1223),
    [anon_sym_union] = ACTIONS(1223),
    [anon_sym_if] = ACTIONS(1223),
    [anon_sym_else] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(1223),
    [anon_sym_case] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1223),
    [anon_sym_while] = ACTIONS(1223),
    [anon_sym_do] = ACTIONS(1223),
    [anon_sym_for] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_continue] = ACTIONS(1223),
    [anon_sym_goto] = ACTIONS(1223),
    [anon_sym___try] = ACTIONS(1223),
    [anon_sym___leave] = ACTIONS(1223),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_sizeof] = ACTIONS(1223),
    [anon_sym___alignof__] = ACTIONS(1223),
    [anon_sym___alignof] = ACTIONS(1223),
    [anon_sym__alignof] = ACTIONS(1223),
    [anon_sym_alignof] = ACTIONS(1223),
    [anon_sym__Alignof] = ACTIONS(1223),
    [anon_sym_offsetof] = ACTIONS(1223),
    [anon_sym__Generic] = ACTIONS(1223),
    [anon_sym_asm] = ACTIONS(1223),
    [anon_sym___asm__] = ACTIONS(1223),
    [sym_number_literal] = ACTIONS(1225),
    [anon_sym_L_SQUOTE] = ACTIONS(1225),
    [anon_sym_u_SQUOTE] = ACTIONS(1225),
    [anon_sym_U_SQUOTE] = ACTIONS(1225),
    [anon_sym_u8_SQUOTE] = ACTIONS(1225),
    [anon_sym_SQUOTE] = ACTIONS(1225),
    [anon_sym_L_DQUOTE] = ACTIONS(1225),
    [anon_sym_u_DQUOTE] = ACTIONS(1225),
    [anon_sym_U_DQUOTE] = ACTIONS(1225),
    [anon_sym_u8_DQUOTE] = ACTIONS(1225),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_true] = ACTIONS(1223),
    [sym_false] = ACTIONS(1223),
    [anon_sym_NULL] = ACTIONS(1223),
    [anon_sym_nullptr] = ACTIONS(1223),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_identifier] = ACTIONS(1227),
    [aux_sym_preproc_include_token1] = ACTIONS(1227),
    [aux_sym_preproc_def_token1] = ACTIONS(1227),
    [aux_sym_preproc_if_token1] = ACTIONS(1227),
    [aux_sym_preproc_if_token2] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1227),
    [aux_sym_preproc_else_token1] = ACTIONS(1227),
    [aux_sym_preproc_elif_token1] = ACTIONS(1227),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1227),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1227),
    [sym_preproc_directive] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1229),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym___extension__] = ACTIONS(1227),
    [anon_sym_typedef] = ACTIONS(1227),
    [anon_sym_extern] = ACTIONS(1227),
    [anon_sym___attribute__] = ACTIONS(1227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1229),
    [anon_sym___declspec] = ACTIONS(1227),
    [anon_sym___cdecl] = ACTIONS(1227),
    [anon_sym___clrcall] = ACTIONS(1227),
    [anon_sym___stdcall] = ACTIONS(1227),
    [anon_sym___fastcall] = ACTIONS(1227),
    [anon_sym___thiscall] = ACTIONS(1227),
    [anon_sym___vectorcall] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1229),
    [anon_sym_signed] = ACTIONS(1227),
    [anon_sym_unsigned] = ACTIONS(1227),
    [anon_sym_long] = ACTIONS(1227),
    [anon_sym_short] = ACTIONS(1227),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_auto] = ACTIONS(1227),
    [anon_sym_register] = ACTIONS(1227),
    [anon_sym_inline] = ACTIONS(1227),
    [anon_sym___inline] = ACTIONS(1227),
    [anon_sym___inline__] = ACTIONS(1227),
    [anon_sym___forceinline] = ACTIONS(1227),
    [anon_sym_thread_local] = ACTIONS(1227),
    [anon_sym___thread] = ACTIONS(1227),
    [anon_sym_const] = ACTIONS(1227),
    [anon_sym_constexpr] = ACTIONS(1227),
    [anon_sym_volatile] = ACTIONS(1227),
    [anon_sym_restrict] = ACTIONS(1227),
    [anon_sym___restrict__] = ACTIONS(1227),
    [anon_sym__Atomic] = ACTIONS(1227),
    [anon_sym__Noreturn] = ACTIONS(1227),
    [anon_sym_noreturn] = ACTIONS(1227),
    [anon_sym_alignas] = ACTIONS(1227),
    [anon_sym__Alignas] = ACTIONS(1227),
    [sym_primitive_type] = ACTIONS(1227),
    [anon_sym_enum] = ACTIONS(1227),
    [anon_sym_struct] = ACTIONS(1227),
    [anon_sym_union] = ACTIONS(1227),
    [anon_sym_if] = ACTIONS(1227),
    [anon_sym_else] = ACTIONS(1227),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_case] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1227),
    [anon_sym_while] = ACTIONS(1227),
    [anon_sym_do] = ACTIONS(1227),
    [anon_sym_for] = ACTIONS(1227),
    [anon_sym_return] = ACTIONS(1227),
    [anon_sym_break] = ACTIONS(1227),
    [anon_sym_continue] = ACTIONS(1227),
    [anon_sym_goto] = ACTIONS(1227),
    [anon_sym___try] = ACTIONS(1227),
    [anon_sym___leave] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1229),
    [anon_sym_PLUS_PLUS] = ACTIONS(1229),
    [anon_sym_sizeof] = ACTIONS(1227),
    [anon_sym___alignof__] = ACTIONS(1227),
    [anon_sym___alignof] = ACTIONS(1227),
    [anon_sym__alignof] = ACTIONS(1227),
    [anon_sym_alignof] = ACTIONS(1227),
    [anon_sym__Alignof] = ACTIONS(1227),
    [anon_sym_offsetof] = ACTIONS(1227),
    [anon_sym__Generic] = ACTIONS(1227),
    [anon_sym_asm] = ACTIONS(1227),
    [anon_sym___asm__] = ACTIONS(1227),
    [sym_number_literal] = ACTIONS(1229),
    [anon_sym_L_SQUOTE] = ACTIONS(1229),
    [anon_sym_u_SQUOTE] = ACTIONS(1229),
    [anon_sym_U_SQUOTE] = ACTIONS(1229),
    [anon_sym_u8_SQUOTE] = ACTIONS(1229),
    [anon_sym_SQUOTE] = ACTIONS(1229),
    [anon_sym_L_DQUOTE] = ACTIONS(1229),
    [anon_sym_u_DQUOTE] = ACTIONS(1229),
    [anon_sym_U_DQUOTE] = ACTIONS(1229),
    [anon_sym_u8_DQUOTE] = ACTIONS(1229),
    [anon_sym_DQUOTE] = ACTIONS(1229),
    [sym_true] = ACTIONS(1227),
    [sym_false] = ACTIONS(1227),
    [anon_sym_NULL] = ACTIONS(1227),
    [anon_sym_nullptr] = ACTIONS(1227),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_identifier] = ACTIONS(1231),
    [aux_sym_preproc_include_token1] = ACTIONS(1231),
    [aux_sym_preproc_def_token1] = ACTIONS(1231),
    [aux_sym_preproc_if_token1] = ACTIONS(1231),
    [aux_sym_preproc_if_token2] = ACTIONS(1231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1231),
    [aux_sym_preproc_else_token1] = ACTIONS(1231),
    [aux_sym_preproc_elif_token1] = ACTIONS(1231),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1231),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1231),
    [sym_preproc_directive] = ACTIONS(1231),
    [anon_sym_LPAREN2] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1233),
    [anon_sym_TILDE] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1231),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym___extension__] = ACTIONS(1231),
    [anon_sym_typedef] = ACTIONS(1231),
    [anon_sym_extern] = ACTIONS(1231),
    [anon_sym___attribute__] = ACTIONS(1231),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1233),
    [anon_sym___declspec] = ACTIONS(1231),
    [anon_sym___cdecl] = ACTIONS(1231),
    [anon_sym___clrcall] = ACTIONS(1231),
    [anon_sym___stdcall] = ACTIONS(1231),
    [anon_sym___fastcall] = ACTIONS(1231),
    [anon_sym___thiscall] = ACTIONS(1231),
    [anon_sym___vectorcall] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_signed] = ACTIONS(1231),
    [anon_sym_unsigned] = ACTIONS(1231),
    [anon_sym_long] = ACTIONS(1231),
    [anon_sym_short] = ACTIONS(1231),
    [anon_sym_static] = ACTIONS(1231),
    [anon_sym_auto] = ACTIONS(1231),
    [anon_sym_register] = ACTIONS(1231),
    [anon_sym_inline] = ACTIONS(1231),
    [anon_sym___inline] = ACTIONS(1231),
    [anon_sym___inline__] = ACTIONS(1231),
    [anon_sym___forceinline] = ACTIONS(1231),
    [anon_sym_thread_local] = ACTIONS(1231),
    [anon_sym___thread] = ACTIONS(1231),
    [anon_sym_const] = ACTIONS(1231),
    [anon_sym_constexpr] = ACTIONS(1231),
    [anon_sym_volatile] = ACTIONS(1231),
    [anon_sym_restrict] = ACTIONS(1231),
    [anon_sym___restrict__] = ACTIONS(1231),
    [anon_sym__Atomic] = ACTIONS(1231),
    [anon_sym__Noreturn] = ACTIONS(1231),
    [anon_sym_noreturn] = ACTIONS(1231),
    [anon_sym_alignas] = ACTIONS(1231),
    [anon_sym__Alignas] = ACTIONS(1231),
    [sym_primitive_type] = ACTIONS(1231),
    [anon_sym_enum] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1231),
    [anon_sym_union] = ACTIONS(1231),
    [anon_sym_if] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1231),
    [anon_sym_switch] = ACTIONS(1231),
    [anon_sym_case] = ACTIONS(1231),
    [anon_sym_default] = ACTIONS(1231),
    [anon_sym_while] = ACTIONS(1231),
    [anon_sym_do] = ACTIONS(1231),
    [anon_sym_for] = ACTIONS(1231),
    [anon_sym_return] = ACTIONS(1231),
    [anon_sym_break] = ACTIONS(1231),
    [anon_sym_continue] = ACTIONS(1231),
    [anon_sym_goto] = ACTIONS(1231),
    [anon_sym___try] = ACTIONS(1231),
    [anon_sym___leave] = ACTIONS(1231),
    [anon_sym_DASH_DASH] = ACTIONS(1233),
    [anon_sym_PLUS_PLUS] = ACTIONS(1233),
    [anon_sym_sizeof] = ACTIONS(1231),
    [anon_sym___alignof__] = ACTIONS(1231),
    [anon_sym___alignof] = ACTIONS(1231),
    [anon_sym__alignof] = ACTIONS(1231),
    [anon_sym_alignof] = ACTIONS(1231),
    [anon_sym__Alignof] = ACTIONS(1231),
    [anon_sym_offsetof] = ACTIONS(1231),
    [anon_sym__Generic] = ACTIONS(1231),
    [anon_sym_asm] = ACTIONS(1231),
    [anon_sym___asm__] = ACTIONS(1231),
    [sym_number_literal] = ACTIONS(1233),
    [anon_sym_L_SQUOTE] = ACTIONS(1233),
    [anon_sym_u_SQUOTE] = ACTIONS(1233),
    [anon_sym_U_SQUOTE] = ACTIONS(1233),
    [anon_sym_u8_SQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1233),
    [anon_sym_L_DQUOTE] = ACTIONS(1233),
    [anon_sym_u_DQUOTE] = ACTIONS(1233),
    [anon_sym_U_DQUOTE] = ACTIONS(1233),
    [anon_sym_u8_DQUOTE] = ACTIONS(1233),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [sym_true] = ACTIONS(1231),
    [sym_false] = ACTIONS(1231),
    [anon_sym_NULL] = ACTIONS(1231),
    [anon_sym_nullptr] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_identifier] = ACTIONS(1235),
    [aux_sym_preproc_include_token1] = ACTIONS(1235),
    [aux_sym_preproc_def_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token2] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [aux_sym_preproc_else_token1] = ACTIONS(1235),
    [aux_sym_preproc_elif_token1] = ACTIONS(1235),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(1235),
    [anon_sym_LPAREN2] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1235),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(1237),
    [anon_sym___extension__] = ACTIONS(1235),
    [anon_sym_typedef] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(1235),
    [anon_sym___attribute__] = ACTIONS(1235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(1235),
    [anon_sym___cdecl] = ACTIONS(1235),
    [anon_sym___clrcall] = ACTIONS(1235),
    [anon_sym___stdcall] = ACTIONS(1235),
    [anon_sym___fastcall] = ACTIONS(1235),
    [anon_sym___thiscall] = ACTIONS(1235),
    [anon_sym___vectorcall] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_signed] = ACTIONS(1235),
    [anon_sym_unsigned] = ACTIONS(1235),
    [anon_sym_long] = ACTIONS(1235),
    [anon_sym_short] = ACTIONS(1235),
    [anon_sym_static] = ACTIONS(1235),
    [anon_sym_auto] = ACTIONS(1235),
    [anon_sym_register] = ACTIONS(1235),
    [anon_sym_inline] = ACTIONS(1235),
    [anon_sym___inline] = ACTIONS(1235),
    [anon_sym___inline__] = ACTIONS(1235),
    [anon_sym___forceinline] = ACTIONS(1235),
    [anon_sym_thread_local] = ACTIONS(1235),
    [anon_sym___thread] = ACTIONS(1235),
    [anon_sym_const] = ACTIONS(1235),
    [anon_sym_constexpr] = ACTIONS(1235),
    [anon_sym_volatile] = ACTIONS(1235),
    [anon_sym_restrict] = ACTIONS(1235),
    [anon_sym___restrict__] = ACTIONS(1235),
    [anon_sym__Atomic] = ACTIONS(1235),
    [anon_sym__Noreturn] = ACTIONS(1235),
    [anon_sym_noreturn] = ACTIONS(1235),
    [anon_sym_alignas] = ACTIONS(1235),
    [anon_sym__Alignas] = ACTIONS(1235),
    [sym_primitive_type] = ACTIONS(1235),
    [anon_sym_enum] = ACTIONS(1235),
    [anon_sym_struct] = ACTIONS(1235),
    [anon_sym_union] = ACTIONS(1235),
    [anon_sym_if] = ACTIONS(1235),
    [anon_sym_else] = ACTIONS(1235),
    [anon_sym_switch] = ACTIONS(1235),
    [anon_sym_case] = ACTIONS(1235),
    [anon_sym_default] = ACTIONS(1235),
    [anon_sym_while] = ACTIONS(1235),
    [anon_sym_do] = ACTIONS(1235),
    [anon_sym_for] = ACTIONS(1235),
    [anon_sym_return] = ACTIONS(1235),
    [anon_sym_break] = ACTIONS(1235),
    [anon_sym_continue] = ACTIONS(1235),
    [anon_sym_goto] = ACTIONS(1235),
    [anon_sym___try] = ACTIONS(1235),
    [anon_sym___leave] = ACTIONS(1235),
    [anon_sym_DASH_DASH] = ACTIONS(1237),
    [anon_sym_PLUS_PLUS] = ACTIONS(1237),
    [anon_sym_sizeof] = ACTIONS(1235),
    [anon_sym___alignof__] = ACTIONS(1235),
    [anon_sym___alignof] = ACTIONS(1235),
    [anon_sym__alignof] = ACTIONS(1235),
    [anon_sym_alignof] = ACTIONS(1235),
    [anon_sym__Alignof] = ACTIONS(1235),
    [anon_sym_offsetof] = ACTIONS(1235),
    [anon_sym__Generic] = ACTIONS(1235),
    [anon_sym_asm] = ACTIONS(1235),
    [anon_sym___asm__] = ACTIONS(1235),
    [sym_number_literal] = ACTIONS(1237),
    [anon_sym_L_SQUOTE] = ACTIONS(1237),
    [anon_sym_u_SQUOTE] = ACTIONS(1237),
    [anon_sym_U_SQUOTE] = ACTIONS(1237),
    [anon_sym_u8_SQUOTE] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1237),
    [anon_sym_L_DQUOTE] = ACTIONS(1237),
    [anon_sym_u_DQUOTE] = ACTIONS(1237),
    [anon_sym_U_DQUOTE] = ACTIONS(1237),
    [anon_sym_u8_DQUOTE] = ACTIONS(1237),
    [anon_sym_DQUOTE] = ACTIONS(1237),
    [sym_true] = ACTIONS(1235),
    [sym_false] = ACTIONS(1235),
    [anon_sym_NULL] = ACTIONS(1235),
    [anon_sym_nullptr] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [ts_builtin_sym_end] = ACTIONS(1141),
    [sym_identifier] = ACTIONS(1139),
    [aux_sym_preproc_include_token1] = ACTIONS(1139),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [anon_sym_COMMA] = ACTIONS(1141),
    [anon_sym_RPAREN] = ACTIONS(1141),
    [aux_sym_preproc_if_token1] = ACTIONS(1139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1139),
    [sym_preproc_directive] = ACTIONS(1139),
    [anon_sym_LPAREN2] = ACTIONS(1141),
    [anon_sym_BANG] = ACTIONS(1141),
    [anon_sym_TILDE] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1139),
    [anon_sym_PLUS] = ACTIONS(1139),
    [anon_sym_STAR] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym___extension__] = ACTIONS(1139),
    [anon_sym_typedef] = ACTIONS(1139),
    [anon_sym_extern] = ACTIONS(1139),
    [anon_sym___attribute__] = ACTIONS(1139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1141),
    [anon_sym___declspec] = ACTIONS(1139),
    [anon_sym___cdecl] = ACTIONS(1139),
    [anon_sym___clrcall] = ACTIONS(1139),
    [anon_sym___stdcall] = ACTIONS(1139),
    [anon_sym___fastcall] = ACTIONS(1139),
    [anon_sym___thiscall] = ACTIONS(1139),
    [anon_sym___vectorcall] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_signed] = ACTIONS(1139),
    [anon_sym_unsigned] = ACTIONS(1139),
    [anon_sym_long] = ACTIONS(1139),
    [anon_sym_short] = ACTIONS(1139),
    [anon_sym_static] = ACTIONS(1139),
    [anon_sym_auto] = ACTIONS(1139),
    [anon_sym_register] = ACTIONS(1139),
    [anon_sym_inline] = ACTIONS(1139),
    [anon_sym___inline] = ACTIONS(1139),
    [anon_sym___inline__] = ACTIONS(1139),
    [anon_sym___forceinline] = ACTIONS(1139),
    [anon_sym_thread_local] = ACTIONS(1139),
    [anon_sym___thread] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1139),
    [anon_sym_constexpr] = ACTIONS(1139),
    [anon_sym_volatile] = ACTIONS(1139),
    [anon_sym_restrict] = ACTIONS(1139),
    [anon_sym___restrict__] = ACTIONS(1139),
    [anon_sym__Atomic] = ACTIONS(1139),
    [anon_sym__Noreturn] = ACTIONS(1139),
    [anon_sym_noreturn] = ACTIONS(1139),
    [anon_sym_alignas] = ACTIONS(1139),
    [anon_sym__Alignas] = ACTIONS(1139),
    [sym_primitive_type] = ACTIONS(1139),
    [anon_sym_enum] = ACTIONS(1139),
    [anon_sym_struct] = ACTIONS(1139),
    [anon_sym_union] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_else] = ACTIONS(1139),
    [anon_sym_switch] = ACTIONS(1139),
    [anon_sym_case] = ACTIONS(1139),
    [anon_sym_default] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(1139),
    [anon_sym_do] = ACTIONS(1139),
    [anon_sym_for] = ACTIONS(1139),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_break] = ACTIONS(1139),
    [anon_sym_continue] = ACTIONS(1139),
    [anon_sym_goto] = ACTIONS(1139),
    [anon_sym___try] = ACTIONS(1139),
    [anon_sym___except] = ACTIONS(1139),
    [anon_sym___finally] = ACTIONS(1139),
    [anon_sym___leave] = ACTIONS(1139),
    [anon_sym_DASH_DASH] = ACTIONS(1141),
    [anon_sym_PLUS_PLUS] = ACTIONS(1141),
    [anon_sym_sizeof] = ACTIONS(1139),
    [anon_sym___alignof__] = ACTIONS(1139),
    [anon_sym___alignof] = ACTIONS(1139),
    [anon_sym__alignof] = ACTIONS(1139),
    [anon_sym_alignof] = ACTIONS(1139),
    [anon_sym__Alignof] = ACTIONS(1139),
    [anon_sym_offsetof] = ACTIONS(1139),
    [anon_sym__Generic] = ACTIONS(1139),
    [anon_sym_asm] = ACTIONS(1139),
    [anon_sym___asm__] = ACTIONS(1139),
    [sym_number_literal] = ACTIONS(1141),
    [anon_sym_L_SQUOTE] = ACTIONS(1141),
    [anon_sym_u_SQUOTE] = ACTIONS(1141),
    [anon_sym_U_SQUOTE] = ACTIONS(1141),
    [anon_sym_u8_SQUOTE] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1141),
    [anon_sym_L_DQUOTE] = ACTIONS(1141),
    [anon_sym_u_DQUOTE] = ACTIONS(1141),
    [anon_sym_U_DQUOTE] = ACTIONS(1141),
    [anon_sym_u8_DQUOTE] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [sym_true] = ACTIONS(1139),
    [sym_false] = ACTIONS(1139),
    [anon_sym_NULL] = ACTIONS(1139),
    [anon_sym_nullptr] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_identifier] = ACTIONS(1239),
    [aux_sym_preproc_include_token1] = ACTIONS(1239),
    [aux_sym_preproc_def_token1] = ACTIONS(1239),
    [aux_sym_preproc_if_token1] = ACTIONS(1239),
    [aux_sym_preproc_if_token2] = ACTIONS(1239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1239),
    [aux_sym_preproc_else_token1] = ACTIONS(1239),
    [aux_sym_preproc_elif_token1] = ACTIONS(1239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1239),
    [sym_preproc_directive] = ACTIONS(1239),
    [anon_sym_LPAREN2] = ACTIONS(1241),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_TILDE] = ACTIONS(1241),
    [anon_sym_DASH] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_AMP] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1241),
    [anon_sym___extension__] = ACTIONS(1239),
    [anon_sym_typedef] = ACTIONS(1239),
    [anon_sym_extern] = ACTIONS(1239),
    [anon_sym___attribute__] = ACTIONS(1239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1241),
    [anon_sym___declspec] = ACTIONS(1239),
    [anon_sym___cdecl] = ACTIONS(1239),
    [anon_sym___clrcall] = ACTIONS(1239),
    [anon_sym___stdcall] = ACTIONS(1239),
    [anon_sym___fastcall] = ACTIONS(1239),
    [anon_sym___thiscall] = ACTIONS(1239),
    [anon_sym___vectorcall] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_signed] = ACTIONS(1239),
    [anon_sym_unsigned] = ACTIONS(1239),
    [anon_sym_long] = ACTIONS(1239),
    [anon_sym_short] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_auto] = ACTIONS(1239),
    [anon_sym_register] = ACTIONS(1239),
    [anon_sym_inline] = ACTIONS(1239),
    [anon_sym___inline] = ACTIONS(1239),
    [anon_sym___inline__] = ACTIONS(1239),
    [anon_sym___forceinline] = ACTIONS(1239),
    [anon_sym_thread_local] = ACTIONS(1239),
    [anon_sym___thread] = ACTIONS(1239),
    [anon_sym_const] = ACTIONS(1239),
    [anon_sym_constexpr] = ACTIONS(1239),
    [anon_sym_volatile] = ACTIONS(1239),
    [anon_sym_restrict] = ACTIONS(1239),
    [anon_sym___restrict__] = ACTIONS(1239),
    [anon_sym__Atomic] = ACTIONS(1239),
    [anon_sym__Noreturn] = ACTIONS(1239),
    [anon_sym_noreturn] = ACTIONS(1239),
    [anon_sym_alignas] = ACTIONS(1239),
    [anon_sym__Alignas] = ACTIONS(1239),
    [sym_primitive_type] = ACTIONS(1239),
    [anon_sym_enum] = ACTIONS(1239),
    [anon_sym_struct] = ACTIONS(1239),
    [anon_sym_union] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1239),
    [anon_sym_else] = ACTIONS(1239),
    [anon_sym_switch] = ACTIONS(1239),
    [anon_sym_case] = ACTIONS(1239),
    [anon_sym_default] = ACTIONS(1239),
    [anon_sym_while] = ACTIONS(1239),
    [anon_sym_do] = ACTIONS(1239),
    [anon_sym_for] = ACTIONS(1239),
    [anon_sym_return] = ACTIONS(1239),
    [anon_sym_break] = ACTIONS(1239),
    [anon_sym_continue] = ACTIONS(1239),
    [anon_sym_goto] = ACTIONS(1239),
    [anon_sym___try] = ACTIONS(1239),
    [anon_sym___leave] = ACTIONS(1239),
    [anon_sym_DASH_DASH] = ACTIONS(1241),
    [anon_sym_PLUS_PLUS] = ACTIONS(1241),
    [anon_sym_sizeof] = ACTIONS(1239),
    [anon_sym___alignof__] = ACTIONS(1239),
    [anon_sym___alignof] = ACTIONS(1239),
    [anon_sym__alignof] = ACTIONS(1239),
    [anon_sym_alignof] = ACTIONS(1239),
    [anon_sym__Alignof] = ACTIONS(1239),
    [anon_sym_offsetof] = ACTIONS(1239),
    [anon_sym__Generic] = ACTIONS(1239),
    [anon_sym_asm] = ACTIONS(1239),
    [anon_sym___asm__] = ACTIONS(1239),
    [sym_number_literal] = ACTIONS(1241),
    [anon_sym_L_SQUOTE] = ACTIONS(1241),
    [anon_sym_u_SQUOTE] = ACTIONS(1241),
    [anon_sym_U_SQUOTE] = ACTIONS(1241),
    [anon_sym_u8_SQUOTE] = ACTIONS(1241),
    [anon_sym_SQUOTE] = ACTIONS(1241),
    [anon_sym_L_DQUOTE] = ACTIONS(1241),
    [anon_sym_u_DQUOTE] = ACTIONS(1241),
    [anon_sym_U_DQUOTE] = ACTIONS(1241),
    [anon_sym_u8_DQUOTE] = ACTIONS(1241),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [sym_true] = ACTIONS(1239),
    [sym_false] = ACTIONS(1239),
    [anon_sym_NULL] = ACTIONS(1239),
    [anon_sym_nullptr] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_identifier] = ACTIONS(1243),
    [aux_sym_preproc_include_token1] = ACTIONS(1243),
    [aux_sym_preproc_def_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token2] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1243),
    [aux_sym_preproc_else_token1] = ACTIONS(1243),
    [aux_sym_preproc_elif_token1] = ACTIONS(1243),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1243),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1243),
    [sym_preproc_directive] = ACTIONS(1243),
    [anon_sym_LPAREN2] = ACTIONS(1245),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1245),
    [anon_sym_AMP] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1245),
    [anon_sym___extension__] = ACTIONS(1243),
    [anon_sym_typedef] = ACTIONS(1243),
    [anon_sym_extern] = ACTIONS(1243),
    [anon_sym___attribute__] = ACTIONS(1243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1245),
    [anon_sym___declspec] = ACTIONS(1243),
    [anon_sym___cdecl] = ACTIONS(1243),
    [anon_sym___clrcall] = ACTIONS(1243),
    [anon_sym___stdcall] = ACTIONS(1243),
    [anon_sym___fastcall] = ACTIONS(1243),
    [anon_sym___thiscall] = ACTIONS(1243),
    [anon_sym___vectorcall] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_signed] = ACTIONS(1243),
    [anon_sym_unsigned] = ACTIONS(1243),
    [anon_sym_long] = ACTIONS(1243),
    [anon_sym_short] = ACTIONS(1243),
    [anon_sym_static] = ACTIONS(1243),
    [anon_sym_auto] = ACTIONS(1243),
    [anon_sym_register] = ACTIONS(1243),
    [anon_sym_inline] = ACTIONS(1243),
    [anon_sym___inline] = ACTIONS(1243),
    [anon_sym___inline__] = ACTIONS(1243),
    [anon_sym___forceinline] = ACTIONS(1243),
    [anon_sym_thread_local] = ACTIONS(1243),
    [anon_sym___thread] = ACTIONS(1243),
    [anon_sym_const] = ACTIONS(1243),
    [anon_sym_constexpr] = ACTIONS(1243),
    [anon_sym_volatile] = ACTIONS(1243),
    [anon_sym_restrict] = ACTIONS(1243),
    [anon_sym___restrict__] = ACTIONS(1243),
    [anon_sym__Atomic] = ACTIONS(1243),
    [anon_sym__Noreturn] = ACTIONS(1243),
    [anon_sym_noreturn] = ACTIONS(1243),
    [anon_sym_alignas] = ACTIONS(1243),
    [anon_sym__Alignas] = ACTIONS(1243),
    [sym_primitive_type] = ACTIONS(1243),
    [anon_sym_enum] = ACTIONS(1243),
    [anon_sym_struct] = ACTIONS(1243),
    [anon_sym_union] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_else] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(1243),
    [anon_sym_case] = ACTIONS(1243),
    [anon_sym_default] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(1243),
    [anon_sym_do] = ACTIONS(1243),
    [anon_sym_for] = ACTIONS(1243),
    [anon_sym_return] = ACTIONS(1243),
    [anon_sym_break] = ACTIONS(1243),
    [anon_sym_continue] = ACTIONS(1243),
    [anon_sym_goto] = ACTIONS(1243),
    [anon_sym___try] = ACTIONS(1243),
    [anon_sym___leave] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1245),
    [anon_sym_PLUS_PLUS] = ACTIONS(1245),
    [anon_sym_sizeof] = ACTIONS(1243),
    [anon_sym___alignof__] = ACTIONS(1243),
    [anon_sym___alignof] = ACTIONS(1243),
    [anon_sym__alignof] = ACTIONS(1243),
    [anon_sym_alignof] = ACTIONS(1243),
    [anon_sym__Alignof] = ACTIONS(1243),
    [anon_sym_offsetof] = ACTIONS(1243),
    [anon_sym__Generic] = ACTIONS(1243),
    [anon_sym_asm] = ACTIONS(1243),
    [anon_sym___asm__] = ACTIONS(1243),
    [sym_number_literal] = ACTIONS(1245),
    [anon_sym_L_SQUOTE] = ACTIONS(1245),
    [anon_sym_u_SQUOTE] = ACTIONS(1245),
    [anon_sym_U_SQUOTE] = ACTIONS(1245),
    [anon_sym_u8_SQUOTE] = ACTIONS(1245),
    [anon_sym_SQUOTE] = ACTIONS(1245),
    [anon_sym_L_DQUOTE] = ACTIONS(1245),
    [anon_sym_u_DQUOTE] = ACTIONS(1245),
    [anon_sym_U_DQUOTE] = ACTIONS(1245),
    [anon_sym_u8_DQUOTE] = ACTIONS(1245),
    [anon_sym_DQUOTE] = ACTIONS(1245),
    [sym_true] = ACTIONS(1243),
    [sym_false] = ACTIONS(1243),
    [anon_sym_NULL] = ACTIONS(1243),
    [anon_sym_nullptr] = ACTIONS(1243),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_identifier] = ACTIONS(1247),
    [aux_sym_preproc_include_token1] = ACTIONS(1247),
    [aux_sym_preproc_def_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token2] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1247),
    [aux_sym_preproc_else_token1] = ACTIONS(1247),
    [aux_sym_preproc_elif_token1] = ACTIONS(1247),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1247),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1247),
    [sym_preproc_directive] = ACTIONS(1247),
    [anon_sym_LPAREN2] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1249),
    [anon_sym_TILDE] = ACTIONS(1249),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym___extension__] = ACTIONS(1247),
    [anon_sym_typedef] = ACTIONS(1247),
    [anon_sym_extern] = ACTIONS(1247),
    [anon_sym___attribute__] = ACTIONS(1247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1249),
    [anon_sym___declspec] = ACTIONS(1247),
    [anon_sym___cdecl] = ACTIONS(1247),
    [anon_sym___clrcall] = ACTIONS(1247),
    [anon_sym___stdcall] = ACTIONS(1247),
    [anon_sym___fastcall] = ACTIONS(1247),
    [anon_sym___thiscall] = ACTIONS(1247),
    [anon_sym___vectorcall] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_signed] = ACTIONS(1247),
    [anon_sym_unsigned] = ACTIONS(1247),
    [anon_sym_long] = ACTIONS(1247),
    [anon_sym_short] = ACTIONS(1247),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_auto] = ACTIONS(1247),
    [anon_sym_register] = ACTIONS(1247),
    [anon_sym_inline] = ACTIONS(1247),
    [anon_sym___inline] = ACTIONS(1247),
    [anon_sym___inline__] = ACTIONS(1247),
    [anon_sym___forceinline] = ACTIONS(1247),
    [anon_sym_thread_local] = ACTIONS(1247),
    [anon_sym___thread] = ACTIONS(1247),
    [anon_sym_const] = ACTIONS(1247),
    [anon_sym_constexpr] = ACTIONS(1247),
    [anon_sym_volatile] = ACTIONS(1247),
    [anon_sym_restrict] = ACTIONS(1247),
    [anon_sym___restrict__] = ACTIONS(1247),
    [anon_sym__Atomic] = ACTIONS(1247),
    [anon_sym__Noreturn] = ACTIONS(1247),
    [anon_sym_noreturn] = ACTIONS(1247),
    [anon_sym_alignas] = ACTIONS(1247),
    [anon_sym__Alignas] = ACTIONS(1247),
    [sym_primitive_type] = ACTIONS(1247),
    [anon_sym_enum] = ACTIONS(1247),
    [anon_sym_struct] = ACTIONS(1247),
    [anon_sym_union] = ACTIONS(1247),
    [anon_sym_if] = ACTIONS(1247),
    [anon_sym_else] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1247),
    [anon_sym_case] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1247),
    [anon_sym_do] = ACTIONS(1247),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_break] = ACTIONS(1247),
    [anon_sym_continue] = ACTIONS(1247),
    [anon_sym_goto] = ACTIONS(1247),
    [anon_sym___try] = ACTIONS(1247),
    [anon_sym___leave] = ACTIONS(1247),
    [anon_sym_DASH_DASH] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(1249),
    [anon_sym_sizeof] = ACTIONS(1247),
    [anon_sym___alignof__] = ACTIONS(1247),
    [anon_sym___alignof] = ACTIONS(1247),
    [anon_sym__alignof] = ACTIONS(1247),
    [anon_sym_alignof] = ACTIONS(1247),
    [anon_sym__Alignof] = ACTIONS(1247),
    [anon_sym_offsetof] = ACTIONS(1247),
    [anon_sym__Generic] = ACTIONS(1247),
    [anon_sym_asm] = ACTIONS(1247),
    [anon_sym___asm__] = ACTIONS(1247),
    [sym_number_literal] = ACTIONS(1249),
    [anon_sym_L_SQUOTE] = ACTIONS(1249),
    [anon_sym_u_SQUOTE] = ACTIONS(1249),
    [anon_sym_U_SQUOTE] = ACTIONS(1249),
    [anon_sym_u8_SQUOTE] = ACTIONS(1249),
    [anon_sym_SQUOTE] = ACTIONS(1249),
    [anon_sym_L_DQUOTE] = ACTIONS(1249),
    [anon_sym_u_DQUOTE] = ACTIONS(1249),
    [anon_sym_U_DQUOTE] = ACTIONS(1249),
    [anon_sym_u8_DQUOTE] = ACTIONS(1249),
    [anon_sym_DQUOTE] = ACTIONS(1249),
    [sym_true] = ACTIONS(1247),
    [sym_false] = ACTIONS(1247),
    [anon_sym_NULL] = ACTIONS(1247),
    [anon_sym_nullptr] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_identifier] = ACTIONS(1183),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token2] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1183),
    [aux_sym_preproc_else_token1] = ACTIONS(1183),
    [aux_sym_preproc_elif_token1] = ACTIONS(1183),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1183),
    [sym_preproc_directive] = ACTIONS(1183),
    [anon_sym_LPAREN2] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym___extension__] = ACTIONS(1183),
    [anon_sym_typedef] = ACTIONS(1183),
    [anon_sym_extern] = ACTIONS(1183),
    [anon_sym___attribute__] = ACTIONS(1183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1185),
    [anon_sym___declspec] = ACTIONS(1183),
    [anon_sym___cdecl] = ACTIONS(1183),
    [anon_sym___clrcall] = ACTIONS(1183),
    [anon_sym___stdcall] = ACTIONS(1183),
    [anon_sym___fastcall] = ACTIONS(1183),
    [anon_sym___thiscall] = ACTIONS(1183),
    [anon_sym___vectorcall] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_signed] = ACTIONS(1183),
    [anon_sym_unsigned] = ACTIONS(1183),
    [anon_sym_long] = ACTIONS(1183),
    [anon_sym_short] = ACTIONS(1183),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_auto] = ACTIONS(1183),
    [anon_sym_register] = ACTIONS(1183),
    [anon_sym_inline] = ACTIONS(1183),
    [anon_sym___inline] = ACTIONS(1183),
    [anon_sym___inline__] = ACTIONS(1183),
    [anon_sym___forceinline] = ACTIONS(1183),
    [anon_sym_thread_local] = ACTIONS(1183),
    [anon_sym___thread] = ACTIONS(1183),
    [anon_sym_const] = ACTIONS(1183),
    [anon_sym_constexpr] = ACTIONS(1183),
    [anon_sym_volatile] = ACTIONS(1183),
    [anon_sym_restrict] = ACTIONS(1183),
    [anon_sym___restrict__] = ACTIONS(1183),
    [anon_sym__Atomic] = ACTIONS(1183),
    [anon_sym__Noreturn] = ACTIONS(1183),
    [anon_sym_noreturn] = ACTIONS(1183),
    [anon_sym_alignas] = ACTIONS(1183),
    [anon_sym__Alignas] = ACTIONS(1183),
    [sym_primitive_type] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_struct] = ACTIONS(1183),
    [anon_sym_union] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_else] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_case] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_goto] = ACTIONS(1183),
    [anon_sym___try] = ACTIONS(1183),
    [anon_sym___leave] = ACTIONS(1183),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_sizeof] = ACTIONS(1183),
    [anon_sym___alignof__] = ACTIONS(1183),
    [anon_sym___alignof] = ACTIONS(1183),
    [anon_sym__alignof] = ACTIONS(1183),
    [anon_sym_alignof] = ACTIONS(1183),
    [anon_sym__Alignof] = ACTIONS(1183),
    [anon_sym_offsetof] = ACTIONS(1183),
    [anon_sym__Generic] = ACTIONS(1183),
    [anon_sym_asm] = ACTIONS(1183),
    [anon_sym___asm__] = ACTIONS(1183),
    [sym_number_literal] = ACTIONS(1185),
    [anon_sym_L_SQUOTE] = ACTIONS(1185),
    [anon_sym_u_SQUOTE] = ACTIONS(1185),
    [anon_sym_U_SQUOTE] = ACTIONS(1185),
    [anon_sym_u8_SQUOTE] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1185),
    [anon_sym_L_DQUOTE] = ACTIONS(1185),
    [anon_sym_u_DQUOTE] = ACTIONS(1185),
    [anon_sym_U_DQUOTE] = ACTIONS(1185),
    [anon_sym_u8_DQUOTE] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [anon_sym_NULL] = ACTIONS(1183),
    [anon_sym_nullptr] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_identifier] = ACTIONS(1251),
    [aux_sym_preproc_include_token1] = ACTIONS(1251),
    [aux_sym_preproc_def_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token2] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1251),
    [aux_sym_preproc_else_token1] = ACTIONS(1251),
    [aux_sym_preproc_elif_token1] = ACTIONS(1251),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1251),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1251),
    [sym_preproc_directive] = ACTIONS(1251),
    [anon_sym_LPAREN2] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1251),
    [anon_sym_PLUS] = ACTIONS(1251),
    [anon_sym_STAR] = ACTIONS(1253),
    [anon_sym_AMP] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1253),
    [anon_sym___extension__] = ACTIONS(1251),
    [anon_sym_typedef] = ACTIONS(1251),
    [anon_sym_extern] = ACTIONS(1251),
    [anon_sym___attribute__] = ACTIONS(1251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1253),
    [anon_sym___declspec] = ACTIONS(1251),
    [anon_sym___cdecl] = ACTIONS(1251),
    [anon_sym___clrcall] = ACTIONS(1251),
    [anon_sym___stdcall] = ACTIONS(1251),
    [anon_sym___fastcall] = ACTIONS(1251),
    [anon_sym___thiscall] = ACTIONS(1251),
    [anon_sym___vectorcall] = ACTIONS(1251),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [anon_sym_signed] = ACTIONS(1251),
    [anon_sym_unsigned] = ACTIONS(1251),
    [anon_sym_long] = ACTIONS(1251),
    [anon_sym_short] = ACTIONS(1251),
    [anon_sym_static] = ACTIONS(1251),
    [anon_sym_auto] = ACTIONS(1251),
    [anon_sym_register] = ACTIONS(1251),
    [anon_sym_inline] = ACTIONS(1251),
    [anon_sym___inline] = ACTIONS(1251),
    [anon_sym___inline__] = ACTIONS(1251),
    [anon_sym___forceinline] = ACTIONS(1251),
    [anon_sym_thread_local] = ACTIONS(1251),
    [anon_sym___thread] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1251),
    [anon_sym_constexpr] = ACTIONS(1251),
    [anon_sym_volatile] = ACTIONS(1251),
    [anon_sym_restrict] = ACTIONS(1251),
    [anon_sym___restrict__] = ACTIONS(1251),
    [anon_sym__Atomic] = ACTIONS(1251),
    [anon_sym__Noreturn] = ACTIONS(1251),
    [anon_sym_noreturn] = ACTIONS(1251),
    [anon_sym_alignas] = ACTIONS(1251),
    [anon_sym__Alignas] = ACTIONS(1251),
    [sym_primitive_type] = ACTIONS(1251),
    [anon_sym_enum] = ACTIONS(1251),
    [anon_sym_struct] = ACTIONS(1251),
    [anon_sym_union] = ACTIONS(1251),
    [anon_sym_if] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1251),
    [anon_sym_case] = ACTIONS(1251),
    [anon_sym_default] = ACTIONS(1251),
    [anon_sym_while] = ACTIONS(1251),
    [anon_sym_do] = ACTIONS(1251),
    [anon_sym_for] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1251),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_continue] = ACTIONS(1251),
    [anon_sym_goto] = ACTIONS(1251),
    [anon_sym___try] = ACTIONS(1251),
    [anon_sym___leave] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1253),
    [anon_sym_sizeof] = ACTIONS(1251),
    [anon_sym___alignof__] = ACTIONS(1251),
    [anon_sym___alignof] = ACTIONS(1251),
    [anon_sym__alignof] = ACTIONS(1251),
    [anon_sym_alignof] = ACTIONS(1251),
    [anon_sym__Alignof] = ACTIONS(1251),
    [anon_sym_offsetof] = ACTIONS(1251),
    [anon_sym__Generic] = ACTIONS(1251),
    [anon_sym_asm] = ACTIONS(1251),
    [anon_sym___asm__] = ACTIONS(1251),
    [sym_number_literal] = ACTIONS(1253),
    [anon_sym_L_SQUOTE] = ACTIONS(1253),
    [anon_sym_u_SQUOTE] = ACTIONS(1253),
    [anon_sym_U_SQUOTE] = ACTIONS(1253),
    [anon_sym_u8_SQUOTE] = ACTIONS(1253),
    [anon_sym_SQUOTE] = ACTIONS(1253),
    [anon_sym_L_DQUOTE] = ACTIONS(1253),
    [anon_sym_u_DQUOTE] = ACTIONS(1253),
    [anon_sym_U_DQUOTE] = ACTIONS(1253),
    [anon_sym_u8_DQUOTE] = ACTIONS(1253),
    [anon_sym_DQUOTE] = ACTIONS(1253),
    [sym_true] = ACTIONS(1251),
    [sym_false] = ACTIONS(1251),
    [anon_sym_NULL] = ACTIONS(1251),
    [anon_sym_nullptr] = ACTIONS(1251),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_identifier] = ACTIONS(1255),
    [aux_sym_preproc_include_token1] = ACTIONS(1255),
    [aux_sym_preproc_def_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token2] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1255),
    [aux_sym_preproc_else_token1] = ACTIONS(1255),
    [aux_sym_preproc_elif_token1] = ACTIONS(1255),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1255),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1255),
    [sym_preproc_directive] = ACTIONS(1255),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1257),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_SEMI] = ACTIONS(1257),
    [anon_sym___extension__] = ACTIONS(1255),
    [anon_sym_typedef] = ACTIONS(1255),
    [anon_sym_extern] = ACTIONS(1255),
    [anon_sym___attribute__] = ACTIONS(1255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1257),
    [anon_sym___declspec] = ACTIONS(1255),
    [anon_sym___cdecl] = ACTIONS(1255),
    [anon_sym___clrcall] = ACTIONS(1255),
    [anon_sym___stdcall] = ACTIONS(1255),
    [anon_sym___fastcall] = ACTIONS(1255),
    [anon_sym___thiscall] = ACTIONS(1255),
    [anon_sym___vectorcall] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1257),
    [anon_sym_signed] = ACTIONS(1255),
    [anon_sym_unsigned] = ACTIONS(1255),
    [anon_sym_long] = ACTIONS(1255),
    [anon_sym_short] = ACTIONS(1255),
    [anon_sym_static] = ACTIONS(1255),
    [anon_sym_auto] = ACTIONS(1255),
    [anon_sym_register] = ACTIONS(1255),
    [anon_sym_inline] = ACTIONS(1255),
    [anon_sym___inline] = ACTIONS(1255),
    [anon_sym___inline__] = ACTIONS(1255),
    [anon_sym___forceinline] = ACTIONS(1255),
    [anon_sym_thread_local] = ACTIONS(1255),
    [anon_sym___thread] = ACTIONS(1255),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_constexpr] = ACTIONS(1255),
    [anon_sym_volatile] = ACTIONS(1255),
    [anon_sym_restrict] = ACTIONS(1255),
    [anon_sym___restrict__] = ACTIONS(1255),
    [anon_sym__Atomic] = ACTIONS(1255),
    [anon_sym__Noreturn] = ACTIONS(1255),
    [anon_sym_noreturn] = ACTIONS(1255),
    [anon_sym_alignas] = ACTIONS(1255),
    [anon_sym__Alignas] = ACTIONS(1255),
    [sym_primitive_type] = ACTIONS(1255),
    [anon_sym_enum] = ACTIONS(1255),
    [anon_sym_struct] = ACTIONS(1255),
    [anon_sym_union] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(1255),
    [anon_sym_case] = ACTIONS(1255),
    [anon_sym_default] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(1255),
    [anon_sym_do] = ACTIONS(1255),
    [anon_sym_for] = ACTIONS(1255),
    [anon_sym_return] = ACTIONS(1255),
    [anon_sym_break] = ACTIONS(1255),
    [anon_sym_continue] = ACTIONS(1255),
    [anon_sym_goto] = ACTIONS(1255),
    [anon_sym___try] = ACTIONS(1255),
    [anon_sym___leave] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_sizeof] = ACTIONS(1255),
    [anon_sym___alignof__] = ACTIONS(1255),
    [anon_sym___alignof] = ACTIONS(1255),
    [anon_sym__alignof] = ACTIONS(1255),
    [anon_sym_alignof] = ACTIONS(1255),
    [anon_sym__Alignof] = ACTIONS(1255),
    [anon_sym_offsetof] = ACTIONS(1255),
    [anon_sym__Generic] = ACTIONS(1255),
    [anon_sym_asm] = ACTIONS(1255),
    [anon_sym___asm__] = ACTIONS(1255),
    [sym_number_literal] = ACTIONS(1257),
    [anon_sym_L_SQUOTE] = ACTIONS(1257),
    [anon_sym_u_SQUOTE] = ACTIONS(1257),
    [anon_sym_U_SQUOTE] = ACTIONS(1257),
    [anon_sym_u8_SQUOTE] = ACTIONS(1257),
    [anon_sym_SQUOTE] = ACTIONS(1257),
    [anon_sym_L_DQUOTE] = ACTIONS(1257),
    [anon_sym_u_DQUOTE] = ACTIONS(1257),
    [anon_sym_U_DQUOTE] = ACTIONS(1257),
    [anon_sym_u8_DQUOTE] = ACTIONS(1257),
    [anon_sym_DQUOTE] = ACTIONS(1257),
    [sym_true] = ACTIONS(1255),
    [sym_false] = ACTIONS(1255),
    [anon_sym_NULL] = ACTIONS(1255),
    [anon_sym_nullptr] = ACTIONS(1255),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_identifier] = ACTIONS(1259),
    [aux_sym_preproc_include_token1] = ACTIONS(1259),
    [aux_sym_preproc_def_token1] = ACTIONS(1259),
    [aux_sym_preproc_if_token1] = ACTIONS(1259),
    [aux_sym_preproc_if_token2] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1259),
    [aux_sym_preproc_else_token1] = ACTIONS(1259),
    [aux_sym_preproc_elif_token1] = ACTIONS(1259),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1259),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1259),
    [sym_preproc_directive] = ACTIONS(1259),
    [anon_sym_LPAREN2] = ACTIONS(1261),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1259),
    [anon_sym_STAR] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1261),
    [anon_sym_SEMI] = ACTIONS(1261),
    [anon_sym___extension__] = ACTIONS(1259),
    [anon_sym_typedef] = ACTIONS(1259),
    [anon_sym_extern] = ACTIONS(1259),
    [anon_sym___attribute__] = ACTIONS(1259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1261),
    [anon_sym___declspec] = ACTIONS(1259),
    [anon_sym___cdecl] = ACTIONS(1259),
    [anon_sym___clrcall] = ACTIONS(1259),
    [anon_sym___stdcall] = ACTIONS(1259),
    [anon_sym___fastcall] = ACTIONS(1259),
    [anon_sym___thiscall] = ACTIONS(1259),
    [anon_sym___vectorcall] = ACTIONS(1259),
    [anon_sym_LBRACE] = ACTIONS(1261),
    [anon_sym_signed] = ACTIONS(1259),
    [anon_sym_unsigned] = ACTIONS(1259),
    [anon_sym_long] = ACTIONS(1259),
    [anon_sym_short] = ACTIONS(1259),
    [anon_sym_static] = ACTIONS(1259),
    [anon_sym_auto] = ACTIONS(1259),
    [anon_sym_register] = ACTIONS(1259),
    [anon_sym_inline] = ACTIONS(1259),
    [anon_sym___inline] = ACTIONS(1259),
    [anon_sym___inline__] = ACTIONS(1259),
    [anon_sym___forceinline] = ACTIONS(1259),
    [anon_sym_thread_local] = ACTIONS(1259),
    [anon_sym___thread] = ACTIONS(1259),
    [anon_sym_const] = ACTIONS(1259),
    [anon_sym_constexpr] = ACTIONS(1259),
    [anon_sym_volatile] = ACTIONS(1259),
    [anon_sym_restrict] = ACTIONS(1259),
    [anon_sym___restrict__] = ACTIONS(1259),
    [anon_sym__Atomic] = ACTIONS(1259),
    [anon_sym__Noreturn] = ACTIONS(1259),
    [anon_sym_noreturn] = ACTIONS(1259),
    [anon_sym_alignas] = ACTIONS(1259),
    [anon_sym__Alignas] = ACTIONS(1259),
    [sym_primitive_type] = ACTIONS(1259),
    [anon_sym_enum] = ACTIONS(1259),
    [anon_sym_struct] = ACTIONS(1259),
    [anon_sym_union] = ACTIONS(1259),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1259),
    [anon_sym_case] = ACTIONS(1259),
    [anon_sym_default] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_do] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1259),
    [anon_sym_return] = ACTIONS(1259),
    [anon_sym_break] = ACTIONS(1259),
    [anon_sym_continue] = ACTIONS(1259),
    [anon_sym_goto] = ACTIONS(1259),
    [anon_sym___try] = ACTIONS(1259),
    [anon_sym___leave] = ACTIONS(1259),
    [anon_sym_DASH_DASH] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1261),
    [anon_sym_sizeof] = ACTIONS(1259),
    [anon_sym___alignof__] = ACTIONS(1259),
    [anon_sym___alignof] = ACTIONS(1259),
    [anon_sym__alignof] = ACTIONS(1259),
    [anon_sym_alignof] = ACTIONS(1259),
    [anon_sym__Alignof] = ACTIONS(1259),
    [anon_sym_offsetof] = ACTIONS(1259),
    [anon_sym__Generic] = ACTIONS(1259),
    [anon_sym_asm] = ACTIONS(1259),
    [anon_sym___asm__] = ACTIONS(1259),
    [sym_number_literal] = ACTIONS(1261),
    [anon_sym_L_SQUOTE] = ACTIONS(1261),
    [anon_sym_u_SQUOTE] = ACTIONS(1261),
    [anon_sym_U_SQUOTE] = ACTIONS(1261),
    [anon_sym_u8_SQUOTE] = ACTIONS(1261),
    [anon_sym_SQUOTE] = ACTIONS(1261),
    [anon_sym_L_DQUOTE] = ACTIONS(1261),
    [anon_sym_u_DQUOTE] = ACTIONS(1261),
    [anon_sym_U_DQUOTE] = ACTIONS(1261),
    [anon_sym_u8_DQUOTE] = ACTIONS(1261),
    [anon_sym_DQUOTE] = ACTIONS(1261),
    [sym_true] = ACTIONS(1259),
    [sym_false] = ACTIONS(1259),
    [anon_sym_NULL] = ACTIONS(1259),
    [anon_sym_nullptr] = ACTIONS(1259),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_identifier] = ACTIONS(1263),
    [aux_sym_preproc_include_token1] = ACTIONS(1263),
    [aux_sym_preproc_def_token1] = ACTIONS(1263),
    [aux_sym_preproc_if_token1] = ACTIONS(1263),
    [aux_sym_preproc_if_token2] = ACTIONS(1263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1263),
    [aux_sym_preproc_else_token1] = ACTIONS(1263),
    [aux_sym_preproc_elif_token1] = ACTIONS(1263),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1263),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1263),
    [sym_preproc_directive] = ACTIONS(1263),
    [anon_sym_LPAREN2] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1265),
    [anon_sym_TILDE] = ACTIONS(1265),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_STAR] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1265),
    [anon_sym_SEMI] = ACTIONS(1265),
    [anon_sym___extension__] = ACTIONS(1263),
    [anon_sym_typedef] = ACTIONS(1263),
    [anon_sym_extern] = ACTIONS(1263),
    [anon_sym___attribute__] = ACTIONS(1263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1265),
    [anon_sym___declspec] = ACTIONS(1263),
    [anon_sym___cdecl] = ACTIONS(1263),
    [anon_sym___clrcall] = ACTIONS(1263),
    [anon_sym___stdcall] = ACTIONS(1263),
    [anon_sym___fastcall] = ACTIONS(1263),
    [anon_sym___thiscall] = ACTIONS(1263),
    [anon_sym___vectorcall] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(1265),
    [anon_sym_signed] = ACTIONS(1263),
    [anon_sym_unsigned] = ACTIONS(1263),
    [anon_sym_long] = ACTIONS(1263),
    [anon_sym_short] = ACTIONS(1263),
    [anon_sym_static] = ACTIONS(1263),
    [anon_sym_auto] = ACTIONS(1263),
    [anon_sym_register] = ACTIONS(1263),
    [anon_sym_inline] = ACTIONS(1263),
    [anon_sym___inline] = ACTIONS(1263),
    [anon_sym___inline__] = ACTIONS(1263),
    [anon_sym___forceinline] = ACTIONS(1263),
    [anon_sym_thread_local] = ACTIONS(1263),
    [anon_sym___thread] = ACTIONS(1263),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_constexpr] = ACTIONS(1263),
    [anon_sym_volatile] = ACTIONS(1263),
    [anon_sym_restrict] = ACTIONS(1263),
    [anon_sym___restrict__] = ACTIONS(1263),
    [anon_sym__Atomic] = ACTIONS(1263),
    [anon_sym__Noreturn] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_alignas] = ACTIONS(1263),
    [anon_sym__Alignas] = ACTIONS(1263),
    [sym_primitive_type] = ACTIONS(1263),
    [anon_sym_enum] = ACTIONS(1263),
    [anon_sym_struct] = ACTIONS(1263),
    [anon_sym_union] = ACTIONS(1263),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(1263),
    [anon_sym_case] = ACTIONS(1263),
    [anon_sym_default] = ACTIONS(1263),
    [anon_sym_while] = ACTIONS(1263),
    [anon_sym_do] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_return] = ACTIONS(1263),
    [anon_sym_break] = ACTIONS(1263),
    [anon_sym_continue] = ACTIONS(1263),
    [anon_sym_goto] = ACTIONS(1263),
    [anon_sym___try] = ACTIONS(1263),
    [anon_sym___leave] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1265),
    [anon_sym_PLUS_PLUS] = ACTIONS(1265),
    [anon_sym_sizeof] = ACTIONS(1263),
    [anon_sym___alignof__] = ACTIONS(1263),
    [anon_sym___alignof] = ACTIONS(1263),
    [anon_sym__alignof] = ACTIONS(1263),
    [anon_sym_alignof] = ACTIONS(1263),
    [anon_sym__Alignof] = ACTIONS(1263),
    [anon_sym_offsetof] = ACTIONS(1263),
    [anon_sym__Generic] = ACTIONS(1263),
    [anon_sym_asm] = ACTIONS(1263),
    [anon_sym___asm__] = ACTIONS(1263),
    [sym_number_literal] = ACTIONS(1265),
    [anon_sym_L_SQUOTE] = ACTIONS(1265),
    [anon_sym_u_SQUOTE] = ACTIONS(1265),
    [anon_sym_U_SQUOTE] = ACTIONS(1265),
    [anon_sym_u8_SQUOTE] = ACTIONS(1265),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_L_DQUOTE] = ACTIONS(1265),
    [anon_sym_u_DQUOTE] = ACTIONS(1265),
    [anon_sym_U_DQUOTE] = ACTIONS(1265),
    [anon_sym_u8_DQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_true] = ACTIONS(1263),
    [sym_false] = ACTIONS(1263),
    [anon_sym_NULL] = ACTIONS(1263),
    [anon_sym_nullptr] = ACTIONS(1263),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_identifier] = ACTIONS(1267),
    [aux_sym_preproc_include_token1] = ACTIONS(1267),
    [aux_sym_preproc_def_token1] = ACTIONS(1267),
    [aux_sym_preproc_if_token1] = ACTIONS(1267),
    [aux_sym_preproc_if_token2] = ACTIONS(1267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1267),
    [aux_sym_preproc_else_token1] = ACTIONS(1267),
    [aux_sym_preproc_elif_token1] = ACTIONS(1267),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1267),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1267),
    [sym_preproc_directive] = ACTIONS(1267),
    [anon_sym_LPAREN2] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1269),
    [anon_sym___extension__] = ACTIONS(1267),
    [anon_sym_typedef] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(1267),
    [anon_sym___attribute__] = ACTIONS(1267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(1267),
    [anon_sym___cdecl] = ACTIONS(1267),
    [anon_sym___clrcall] = ACTIONS(1267),
    [anon_sym___stdcall] = ACTIONS(1267),
    [anon_sym___fastcall] = ACTIONS(1267),
    [anon_sym___thiscall] = ACTIONS(1267),
    [anon_sym___vectorcall] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_signed] = ACTIONS(1267),
    [anon_sym_unsigned] = ACTIONS(1267),
    [anon_sym_long] = ACTIONS(1267),
    [anon_sym_short] = ACTIONS(1267),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_auto] = ACTIONS(1267),
    [anon_sym_register] = ACTIONS(1267),
    [anon_sym_inline] = ACTIONS(1267),
    [anon_sym___inline] = ACTIONS(1267),
    [anon_sym___inline__] = ACTIONS(1267),
    [anon_sym___forceinline] = ACTIONS(1267),
    [anon_sym_thread_local] = ACTIONS(1267),
    [anon_sym___thread] = ACTIONS(1267),
    [anon_sym_const] = ACTIONS(1267),
    [anon_sym_constexpr] = ACTIONS(1267),
    [anon_sym_volatile] = ACTIONS(1267),
    [anon_sym_restrict] = ACTIONS(1267),
    [anon_sym___restrict__] = ACTIONS(1267),
    [anon_sym__Atomic] = ACTIONS(1267),
    [anon_sym__Noreturn] = ACTIONS(1267),
    [anon_sym_noreturn] = ACTIONS(1267),
    [anon_sym_alignas] = ACTIONS(1267),
    [anon_sym__Alignas] = ACTIONS(1267),
    [sym_primitive_type] = ACTIONS(1267),
    [anon_sym_enum] = ACTIONS(1267),
    [anon_sym_struct] = ACTIONS(1267),
    [anon_sym_union] = ACTIONS(1267),
    [anon_sym_if] = ACTIONS(1267),
    [anon_sym_switch] = ACTIONS(1267),
    [anon_sym_case] = ACTIONS(1267),
    [anon_sym_default] = ACTIONS(1267),
    [anon_sym_while] = ACTIONS(1267),
    [anon_sym_do] = ACTIONS(1267),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_continue] = ACTIONS(1267),
    [anon_sym_goto] = ACTIONS(1267),
    [anon_sym___try] = ACTIONS(1267),
    [anon_sym___leave] = ACTIONS(1267),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_sizeof] = ACTIONS(1267),
    [anon_sym___alignof__] = ACTIONS(1267),
    [anon_sym___alignof] = ACTIONS(1267),
    [anon_sym__alignof] = ACTIONS(1267),
    [anon_sym_alignof] = ACTIONS(1267),
    [anon_sym__Alignof] = ACTIONS(1267),
    [anon_sym_offsetof] = ACTIONS(1267),
    [anon_sym__Generic] = ACTIONS(1267),
    [anon_sym_asm] = ACTIONS(1267),
    [anon_sym___asm__] = ACTIONS(1267),
    [sym_number_literal] = ACTIONS(1269),
    [anon_sym_L_SQUOTE] = ACTIONS(1269),
    [anon_sym_u_SQUOTE] = ACTIONS(1269),
    [anon_sym_U_SQUOTE] = ACTIONS(1269),
    [anon_sym_u8_SQUOTE] = ACTIONS(1269),
    [anon_sym_SQUOTE] = ACTIONS(1269),
    [anon_sym_L_DQUOTE] = ACTIONS(1269),
    [anon_sym_u_DQUOTE] = ACTIONS(1269),
    [anon_sym_U_DQUOTE] = ACTIONS(1269),
    [anon_sym_u8_DQUOTE] = ACTIONS(1269),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_true] = ACTIONS(1267),
    [sym_false] = ACTIONS(1267),
    [anon_sym_NULL] = ACTIONS(1267),
    [anon_sym_nullptr] = ACTIONS(1267),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_identifier] = ACTIONS(1271),
    [aux_sym_preproc_include_token1] = ACTIONS(1271),
    [aux_sym_preproc_def_token1] = ACTIONS(1271),
    [aux_sym_preproc_if_token1] = ACTIONS(1271),
    [aux_sym_preproc_if_token2] = ACTIONS(1271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1271),
    [aux_sym_preproc_else_token1] = ACTIONS(1271),
    [aux_sym_preproc_elif_token1] = ACTIONS(1271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1271),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1271),
    [sym_preproc_directive] = ACTIONS(1271),
    [anon_sym_LPAREN2] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_AMP] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1273),
    [anon_sym___extension__] = ACTIONS(1271),
    [anon_sym_typedef] = ACTIONS(1271),
    [anon_sym_extern] = ACTIONS(1271),
    [anon_sym___attribute__] = ACTIONS(1271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1273),
    [anon_sym___declspec] = ACTIONS(1271),
    [anon_sym___cdecl] = ACTIONS(1271),
    [anon_sym___clrcall] = ACTIONS(1271),
    [anon_sym___stdcall] = ACTIONS(1271),
    [anon_sym___fastcall] = ACTIONS(1271),
    [anon_sym___thiscall] = ACTIONS(1271),
    [anon_sym___vectorcall] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_signed] = ACTIONS(1271),
    [anon_sym_unsigned] = ACTIONS(1271),
    [anon_sym_long] = ACTIONS(1271),
    [anon_sym_short] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1271),
    [anon_sym_auto] = ACTIONS(1271),
    [anon_sym_register] = ACTIONS(1271),
    [anon_sym_inline] = ACTIONS(1271),
    [anon_sym___inline] = ACTIONS(1271),
    [anon_sym___inline__] = ACTIONS(1271),
    [anon_sym___forceinline] = ACTIONS(1271),
    [anon_sym_thread_local] = ACTIONS(1271),
    [anon_sym___thread] = ACTIONS(1271),
    [anon_sym_const] = ACTIONS(1271),
    [anon_sym_constexpr] = ACTIONS(1271),
    [anon_sym_volatile] = ACTIONS(1271),
    [anon_sym_restrict] = ACTIONS(1271),
    [anon_sym___restrict__] = ACTIONS(1271),
    [anon_sym__Atomic] = ACTIONS(1271),
    [anon_sym__Noreturn] = ACTIONS(1271),
    [anon_sym_noreturn] = ACTIONS(1271),
    [anon_sym_alignas] = ACTIONS(1271),
    [anon_sym__Alignas] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(1271),
    [anon_sym_enum] = ACTIONS(1271),
    [anon_sym_struct] = ACTIONS(1271),
    [anon_sym_union] = ACTIONS(1271),
    [anon_sym_if] = ACTIONS(1271),
    [anon_sym_switch] = ACTIONS(1271),
    [anon_sym_case] = ACTIONS(1271),
    [anon_sym_default] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1271),
    [anon_sym_do] = ACTIONS(1271),
    [anon_sym_for] = ACTIONS(1271),
    [anon_sym_return] = ACTIONS(1271),
    [anon_sym_break] = ACTIONS(1271),
    [anon_sym_continue] = ACTIONS(1271),
    [anon_sym_goto] = ACTIONS(1271),
    [anon_sym___try] = ACTIONS(1271),
    [anon_sym___leave] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1273),
    [anon_sym_sizeof] = ACTIONS(1271),
    [anon_sym___alignof__] = ACTIONS(1271),
    [anon_sym___alignof] = ACTIONS(1271),
    [anon_sym__alignof] = ACTIONS(1271),
    [anon_sym_alignof] = ACTIONS(1271),
    [anon_sym__Alignof] = ACTIONS(1271),
    [anon_sym_offsetof] = ACTIONS(1271),
    [anon_sym__Generic] = ACTIONS(1271),
    [anon_sym_asm] = ACTIONS(1271),
    [anon_sym___asm__] = ACTIONS(1271),
    [sym_number_literal] = ACTIONS(1273),
    [anon_sym_L_SQUOTE] = ACTIONS(1273),
    [anon_sym_u_SQUOTE] = ACTIONS(1273),
    [anon_sym_U_SQUOTE] = ACTIONS(1273),
    [anon_sym_u8_SQUOTE] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1273),
    [anon_sym_L_DQUOTE] = ACTIONS(1273),
    [anon_sym_u_DQUOTE] = ACTIONS(1273),
    [anon_sym_U_DQUOTE] = ACTIONS(1273),
    [anon_sym_u8_DQUOTE] = ACTIONS(1273),
    [anon_sym_DQUOTE] = ACTIONS(1273),
    [sym_true] = ACTIONS(1271),
    [sym_false] = ACTIONS(1271),
    [anon_sym_NULL] = ACTIONS(1271),
    [anon_sym_nullptr] = ACTIONS(1271),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_identifier] = ACTIONS(1275),
    [aux_sym_preproc_include_token1] = ACTIONS(1275),
    [aux_sym_preproc_def_token1] = ACTIONS(1275),
    [aux_sym_preproc_if_token1] = ACTIONS(1275),
    [aux_sym_preproc_if_token2] = ACTIONS(1275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1275),
    [aux_sym_preproc_else_token1] = ACTIONS(1275),
    [aux_sym_preproc_elif_token1] = ACTIONS(1275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1275),
    [sym_preproc_directive] = ACTIONS(1275),
    [anon_sym_LPAREN2] = ACTIONS(1277),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_STAR] = ACTIONS(1277),
    [anon_sym_AMP] = ACTIONS(1277),
    [anon_sym_SEMI] = ACTIONS(1277),
    [anon_sym___extension__] = ACTIONS(1275),
    [anon_sym_typedef] = ACTIONS(1275),
    [anon_sym_extern] = ACTIONS(1275),
    [anon_sym___attribute__] = ACTIONS(1275),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1277),
    [anon_sym___declspec] = ACTIONS(1275),
    [anon_sym___cdecl] = ACTIONS(1275),
    [anon_sym___clrcall] = ACTIONS(1275),
    [anon_sym___stdcall] = ACTIONS(1275),
    [anon_sym___fastcall] = ACTIONS(1275),
    [anon_sym___thiscall] = ACTIONS(1275),
    [anon_sym___vectorcall] = ACTIONS(1275),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_signed] = ACTIONS(1275),
    [anon_sym_unsigned] = ACTIONS(1275),
    [anon_sym_long] = ACTIONS(1275),
    [anon_sym_short] = ACTIONS(1275),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_auto] = ACTIONS(1275),
    [anon_sym_register] = ACTIONS(1275),
    [anon_sym_inline] = ACTIONS(1275),
    [anon_sym___inline] = ACTIONS(1275),
    [anon_sym___inline__] = ACTIONS(1275),
    [anon_sym___forceinline] = ACTIONS(1275),
    [anon_sym_thread_local] = ACTIONS(1275),
    [anon_sym___thread] = ACTIONS(1275),
    [anon_sym_const] = ACTIONS(1275),
    [anon_sym_constexpr] = ACTIONS(1275),
    [anon_sym_volatile] = ACTIONS(1275),
    [anon_sym_restrict] = ACTIONS(1275),
    [anon_sym___restrict__] = ACTIONS(1275),
    [anon_sym__Atomic] = ACTIONS(1275),
    [anon_sym__Noreturn] = ACTIONS(1275),
    [anon_sym_noreturn] = ACTIONS(1275),
    [anon_sym_alignas] = ACTIONS(1275),
    [anon_sym__Alignas] = ACTIONS(1275),
    [sym_primitive_type] = ACTIONS(1275),
    [anon_sym_enum] = ACTIONS(1275),
    [anon_sym_struct] = ACTIONS(1275),
    [anon_sym_union] = ACTIONS(1275),
    [anon_sym_if] = ACTIONS(1275),
    [anon_sym_switch] = ACTIONS(1275),
    [anon_sym_case] = ACTIONS(1275),
    [anon_sym_default] = ACTIONS(1275),
    [anon_sym_while] = ACTIONS(1275),
    [anon_sym_do] = ACTIONS(1275),
    [anon_sym_for] = ACTIONS(1275),
    [anon_sym_return] = ACTIONS(1275),
    [anon_sym_break] = ACTIONS(1275),
    [anon_sym_continue] = ACTIONS(1275),
    [anon_sym_goto] = ACTIONS(1275),
    [anon_sym___try] = ACTIONS(1275),
    [anon_sym___leave] = ACTIONS(1275),
    [anon_sym_DASH_DASH] = ACTIONS(1277),
    [anon_sym_PLUS_PLUS] = ACTIONS(1277),
    [anon_sym_sizeof] = ACTIONS(1275),
    [anon_sym___alignof__] = ACTIONS(1275),
    [anon_sym___alignof] = ACTIONS(1275),
    [anon_sym__alignof] = ACTIONS(1275),
    [anon_sym_alignof] = ACTIONS(1275),
    [anon_sym__Alignof] = ACTIONS(1275),
    [anon_sym_offsetof] = ACTIONS(1275),
    [anon_sym__Generic] = ACTIONS(1275),
    [anon_sym_asm] = ACTIONS(1275),
    [anon_sym___asm__] = ACTIONS(1275),
    [sym_number_literal] = ACTIONS(1277),
    [anon_sym_L_SQUOTE] = ACTIONS(1277),
    [anon_sym_u_SQUOTE] = ACTIONS(1277),
    [anon_sym_U_SQUOTE] = ACTIONS(1277),
    [anon_sym_u8_SQUOTE] = ACTIONS(1277),
    [anon_sym_SQUOTE] = ACTIONS(1277),
    [anon_sym_L_DQUOTE] = ACTIONS(1277),
    [anon_sym_u_DQUOTE] = ACTIONS(1277),
    [anon_sym_U_DQUOTE] = ACTIONS(1277),
    [anon_sym_u8_DQUOTE] = ACTIONS(1277),
    [anon_sym_DQUOTE] = ACTIONS(1277),
    [sym_true] = ACTIONS(1275),
    [sym_false] = ACTIONS(1275),
    [anon_sym_NULL] = ACTIONS(1275),
    [anon_sym_nullptr] = ACTIONS(1275),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_identifier] = ACTIONS(1279),
    [aux_sym_preproc_include_token1] = ACTIONS(1279),
    [aux_sym_preproc_def_token1] = ACTIONS(1279),
    [aux_sym_preproc_if_token1] = ACTIONS(1279),
    [aux_sym_preproc_if_token2] = ACTIONS(1279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1279),
    [aux_sym_preproc_else_token1] = ACTIONS(1279),
    [aux_sym_preproc_elif_token1] = ACTIONS(1279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1279),
    [sym_preproc_directive] = ACTIONS(1279),
    [anon_sym_LPAREN2] = ACTIONS(1281),
    [anon_sym_BANG] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(1281),
    [anon_sym_DASH] = ACTIONS(1279),
    [anon_sym_PLUS] = ACTIONS(1279),
    [anon_sym_STAR] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(1281),
    [anon_sym_SEMI] = ACTIONS(1281),
    [anon_sym___extension__] = ACTIONS(1279),
    [anon_sym_typedef] = ACTIONS(1279),
    [anon_sym_extern] = ACTIONS(1279),
    [anon_sym___attribute__] = ACTIONS(1279),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1281),
    [anon_sym___declspec] = ACTIONS(1279),
    [anon_sym___cdecl] = ACTIONS(1279),
    [anon_sym___clrcall] = ACTIONS(1279),
    [anon_sym___stdcall] = ACTIONS(1279),
    [anon_sym___fastcall] = ACTIONS(1279),
    [anon_sym___thiscall] = ACTIONS(1279),
    [anon_sym___vectorcall] = ACTIONS(1279),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_signed] = ACTIONS(1279),
    [anon_sym_unsigned] = ACTIONS(1279),
    [anon_sym_long] = ACTIONS(1279),
    [anon_sym_short] = ACTIONS(1279),
    [anon_sym_static] = ACTIONS(1279),
    [anon_sym_auto] = ACTIONS(1279),
    [anon_sym_register] = ACTIONS(1279),
    [anon_sym_inline] = ACTIONS(1279),
    [anon_sym___inline] = ACTIONS(1279),
    [anon_sym___inline__] = ACTIONS(1279),
    [anon_sym___forceinline] = ACTIONS(1279),
    [anon_sym_thread_local] = ACTIONS(1279),
    [anon_sym___thread] = ACTIONS(1279),
    [anon_sym_const] = ACTIONS(1279),
    [anon_sym_constexpr] = ACTIONS(1279),
    [anon_sym_volatile] = ACTIONS(1279),
    [anon_sym_restrict] = ACTIONS(1279),
    [anon_sym___restrict__] = ACTIONS(1279),
    [anon_sym__Atomic] = ACTIONS(1279),
    [anon_sym__Noreturn] = ACTIONS(1279),
    [anon_sym_noreturn] = ACTIONS(1279),
    [anon_sym_alignas] = ACTIONS(1279),
    [anon_sym__Alignas] = ACTIONS(1279),
    [sym_primitive_type] = ACTIONS(1279),
    [anon_sym_enum] = ACTIONS(1279),
    [anon_sym_struct] = ACTIONS(1279),
    [anon_sym_union] = ACTIONS(1279),
    [anon_sym_if] = ACTIONS(1279),
    [anon_sym_switch] = ACTIONS(1279),
    [anon_sym_case] = ACTIONS(1279),
    [anon_sym_default] = ACTIONS(1279),
    [anon_sym_while] = ACTIONS(1279),
    [anon_sym_do] = ACTIONS(1279),
    [anon_sym_for] = ACTIONS(1279),
    [anon_sym_return] = ACTIONS(1279),
    [anon_sym_break] = ACTIONS(1279),
    [anon_sym_continue] = ACTIONS(1279),
    [anon_sym_goto] = ACTIONS(1279),
    [anon_sym___try] = ACTIONS(1279),
    [anon_sym___leave] = ACTIONS(1279),
    [anon_sym_DASH_DASH] = ACTIONS(1281),
    [anon_sym_PLUS_PLUS] = ACTIONS(1281),
    [anon_sym_sizeof] = ACTIONS(1279),
    [anon_sym___alignof__] = ACTIONS(1279),
    [anon_sym___alignof] = ACTIONS(1279),
    [anon_sym__alignof] = ACTIONS(1279),
    [anon_sym_alignof] = ACTIONS(1279),
    [anon_sym__Alignof] = ACTIONS(1279),
    [anon_sym_offsetof] = ACTIONS(1279),
    [anon_sym__Generic] = ACTIONS(1279),
    [anon_sym_asm] = ACTIONS(1279),
    [anon_sym___asm__] = ACTIONS(1279),
    [sym_number_literal] = ACTIONS(1281),
    [anon_sym_L_SQUOTE] = ACTIONS(1281),
    [anon_sym_u_SQUOTE] = ACTIONS(1281),
    [anon_sym_U_SQUOTE] = ACTIONS(1281),
    [anon_sym_u8_SQUOTE] = ACTIONS(1281),
    [anon_sym_SQUOTE] = ACTIONS(1281),
    [anon_sym_L_DQUOTE] = ACTIONS(1281),
    [anon_sym_u_DQUOTE] = ACTIONS(1281),
    [anon_sym_U_DQUOTE] = ACTIONS(1281),
    [anon_sym_u8_DQUOTE] = ACTIONS(1281),
    [anon_sym_DQUOTE] = ACTIONS(1281),
    [sym_true] = ACTIONS(1279),
    [sym_false] = ACTIONS(1279),
    [anon_sym_NULL] = ACTIONS(1279),
    [anon_sym_nullptr] = ACTIONS(1279),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_identifier] = ACTIONS(1283),
    [aux_sym_preproc_include_token1] = ACTIONS(1283),
    [aux_sym_preproc_def_token1] = ACTIONS(1283),
    [aux_sym_preproc_if_token1] = ACTIONS(1283),
    [aux_sym_preproc_if_token2] = ACTIONS(1283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1283),
    [aux_sym_preproc_else_token1] = ACTIONS(1283),
    [aux_sym_preproc_elif_token1] = ACTIONS(1283),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1283),
    [sym_preproc_directive] = ACTIONS(1283),
    [anon_sym_LPAREN2] = ACTIONS(1285),
    [anon_sym_BANG] = ACTIONS(1285),
    [anon_sym_TILDE] = ACTIONS(1285),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(1285),
    [anon_sym___extension__] = ACTIONS(1283),
    [anon_sym_typedef] = ACTIONS(1283),
    [anon_sym_extern] = ACTIONS(1283),
    [anon_sym___attribute__] = ACTIONS(1283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1285),
    [anon_sym___declspec] = ACTIONS(1283),
    [anon_sym___cdecl] = ACTIONS(1283),
    [anon_sym___clrcall] = ACTIONS(1283),
    [anon_sym___stdcall] = ACTIONS(1283),
    [anon_sym___fastcall] = ACTIONS(1283),
    [anon_sym___thiscall] = ACTIONS(1283),
    [anon_sym___vectorcall] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_signed] = ACTIONS(1283),
    [anon_sym_unsigned] = ACTIONS(1283),
    [anon_sym_long] = ACTIONS(1283),
    [anon_sym_short] = ACTIONS(1283),
    [anon_sym_static] = ACTIONS(1283),
    [anon_sym_auto] = ACTIONS(1283),
    [anon_sym_register] = ACTIONS(1283),
    [anon_sym_inline] = ACTIONS(1283),
    [anon_sym___inline] = ACTIONS(1283),
    [anon_sym___inline__] = ACTIONS(1283),
    [anon_sym___forceinline] = ACTIONS(1283),
    [anon_sym_thread_local] = ACTIONS(1283),
    [anon_sym___thread] = ACTIONS(1283),
    [anon_sym_const] = ACTIONS(1283),
    [anon_sym_constexpr] = ACTIONS(1283),
    [anon_sym_volatile] = ACTIONS(1283),
    [anon_sym_restrict] = ACTIONS(1283),
    [anon_sym___restrict__] = ACTIONS(1283),
    [anon_sym__Atomic] = ACTIONS(1283),
    [anon_sym__Noreturn] = ACTIONS(1283),
    [anon_sym_noreturn] = ACTIONS(1283),
    [anon_sym_alignas] = ACTIONS(1283),
    [anon_sym__Alignas] = ACTIONS(1283),
    [sym_primitive_type] = ACTIONS(1283),
    [anon_sym_enum] = ACTIONS(1283),
    [anon_sym_struct] = ACTIONS(1283),
    [anon_sym_union] = ACTIONS(1283),
    [anon_sym_if] = ACTIONS(1283),
    [anon_sym_switch] = ACTIONS(1283),
    [anon_sym_case] = ACTIONS(1283),
    [anon_sym_default] = ACTIONS(1283),
    [anon_sym_while] = ACTIONS(1283),
    [anon_sym_do] = ACTIONS(1283),
    [anon_sym_for] = ACTIONS(1283),
    [anon_sym_return] = ACTIONS(1283),
    [anon_sym_break] = ACTIONS(1283),
    [anon_sym_continue] = ACTIONS(1283),
    [anon_sym_goto] = ACTIONS(1283),
    [anon_sym___try] = ACTIONS(1283),
    [anon_sym___leave] = ACTIONS(1283),
    [anon_sym_DASH_DASH] = ACTIONS(1285),
    [anon_sym_PLUS_PLUS] = ACTIONS(1285),
    [anon_sym_sizeof] = ACTIONS(1283),
    [anon_sym___alignof__] = ACTIONS(1283),
    [anon_sym___alignof] = ACTIONS(1283),
    [anon_sym__alignof] = ACTIONS(1283),
    [anon_sym_alignof] = ACTIONS(1283),
    [anon_sym__Alignof] = ACTIONS(1283),
    [anon_sym_offsetof] = ACTIONS(1283),
    [anon_sym__Generic] = ACTIONS(1283),
    [anon_sym_asm] = ACTIONS(1283),
    [anon_sym___asm__] = ACTIONS(1283),
    [sym_number_literal] = ACTIONS(1285),
    [anon_sym_L_SQUOTE] = ACTIONS(1285),
    [anon_sym_u_SQUOTE] = ACTIONS(1285),
    [anon_sym_U_SQUOTE] = ACTIONS(1285),
    [anon_sym_u8_SQUOTE] = ACTIONS(1285),
    [anon_sym_SQUOTE] = ACTIONS(1285),
    [anon_sym_L_DQUOTE] = ACTIONS(1285),
    [anon_sym_u_DQUOTE] = ACTIONS(1285),
    [anon_sym_U_DQUOTE] = ACTIONS(1285),
    [anon_sym_u8_DQUOTE] = ACTIONS(1285),
    [anon_sym_DQUOTE] = ACTIONS(1285),
    [sym_true] = ACTIONS(1283),
    [sym_false] = ACTIONS(1283),
    [anon_sym_NULL] = ACTIONS(1283),
    [anon_sym_nullptr] = ACTIONS(1283),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_identifier] = ACTIONS(1287),
    [aux_sym_preproc_include_token1] = ACTIONS(1287),
    [aux_sym_preproc_def_token1] = ACTIONS(1287),
    [aux_sym_preproc_if_token1] = ACTIONS(1287),
    [aux_sym_preproc_if_token2] = ACTIONS(1287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1287),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1287),
    [aux_sym_preproc_else_token1] = ACTIONS(1287),
    [aux_sym_preproc_elif_token1] = ACTIONS(1287),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1287),
    [sym_preproc_directive] = ACTIONS(1287),
    [anon_sym_LPAREN2] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1289),
    [anon_sym_TILDE] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(1289),
    [anon_sym___extension__] = ACTIONS(1287),
    [anon_sym_typedef] = ACTIONS(1287),
    [anon_sym_extern] = ACTIONS(1287),
    [anon_sym___attribute__] = ACTIONS(1287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1289),
    [anon_sym___declspec] = ACTIONS(1287),
    [anon_sym___cdecl] = ACTIONS(1287),
    [anon_sym___clrcall] = ACTIONS(1287),
    [anon_sym___stdcall] = ACTIONS(1287),
    [anon_sym___fastcall] = ACTIONS(1287),
    [anon_sym___thiscall] = ACTIONS(1287),
    [anon_sym___vectorcall] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_signed] = ACTIONS(1287),
    [anon_sym_unsigned] = ACTIONS(1287),
    [anon_sym_long] = ACTIONS(1287),
    [anon_sym_short] = ACTIONS(1287),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_auto] = ACTIONS(1287),
    [anon_sym_register] = ACTIONS(1287),
    [anon_sym_inline] = ACTIONS(1287),
    [anon_sym___inline] = ACTIONS(1287),
    [anon_sym___inline__] = ACTIONS(1287),
    [anon_sym___forceinline] = ACTIONS(1287),
    [anon_sym_thread_local] = ACTIONS(1287),
    [anon_sym___thread] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_constexpr] = ACTIONS(1287),
    [anon_sym_volatile] = ACTIONS(1287),
    [anon_sym_restrict] = ACTIONS(1287),
    [anon_sym___restrict__] = ACTIONS(1287),
    [anon_sym__Atomic] = ACTIONS(1287),
    [anon_sym__Noreturn] = ACTIONS(1287),
    [anon_sym_noreturn] = ACTIONS(1287),
    [anon_sym_alignas] = ACTIONS(1287),
    [anon_sym__Alignas] = ACTIONS(1287),
    [sym_primitive_type] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [anon_sym_struct] = ACTIONS(1287),
    [anon_sym_union] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1287),
    [anon_sym_switch] = ACTIONS(1287),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1287),
    [anon_sym_while] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1287),
    [anon_sym_for] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1287),
    [anon_sym_break] = ACTIONS(1287),
    [anon_sym_continue] = ACTIONS(1287),
    [anon_sym_goto] = ACTIONS(1287),
    [anon_sym___try] = ACTIONS(1287),
    [anon_sym___leave] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1289),
    [anon_sym_sizeof] = ACTIONS(1287),
    [anon_sym___alignof__] = ACTIONS(1287),
    [anon_sym___alignof] = ACTIONS(1287),
    [anon_sym__alignof] = ACTIONS(1287),
    [anon_sym_alignof] = ACTIONS(1287),
    [anon_sym__Alignof] = ACTIONS(1287),
    [anon_sym_offsetof] = ACTIONS(1287),
    [anon_sym__Generic] = ACTIONS(1287),
    [anon_sym_asm] = ACTIONS(1287),
    [anon_sym___asm__] = ACTIONS(1287),
    [sym_number_literal] = ACTIONS(1289),
    [anon_sym_L_SQUOTE] = ACTIONS(1289),
    [anon_sym_u_SQUOTE] = ACTIONS(1289),
    [anon_sym_U_SQUOTE] = ACTIONS(1289),
    [anon_sym_u8_SQUOTE] = ACTIONS(1289),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_L_DQUOTE] = ACTIONS(1289),
    [anon_sym_u_DQUOTE] = ACTIONS(1289),
    [anon_sym_U_DQUOTE] = ACTIONS(1289),
    [anon_sym_u8_DQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [anon_sym_NULL] = ACTIONS(1287),
    [anon_sym_nullptr] = ACTIONS(1287),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_identifier] = ACTIONS(1291),
    [aux_sym_preproc_include_token1] = ACTIONS(1291),
    [aux_sym_preproc_def_token1] = ACTIONS(1291),
    [aux_sym_preproc_if_token1] = ACTIONS(1291),
    [aux_sym_preproc_if_token2] = ACTIONS(1291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1291),
    [aux_sym_preproc_else_token1] = ACTIONS(1291),
    [aux_sym_preproc_elif_token1] = ACTIONS(1291),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1291),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1291),
    [sym_preproc_directive] = ACTIONS(1291),
    [anon_sym_LPAREN2] = ACTIONS(1293),
    [anon_sym_BANG] = ACTIONS(1293),
    [anon_sym_TILDE] = ACTIONS(1293),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1291),
    [anon_sym_STAR] = ACTIONS(1293),
    [anon_sym_AMP] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym___extension__] = ACTIONS(1291),
    [anon_sym_typedef] = ACTIONS(1291),
    [anon_sym_extern] = ACTIONS(1291),
    [anon_sym___attribute__] = ACTIONS(1291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1293),
    [anon_sym___declspec] = ACTIONS(1291),
    [anon_sym___cdecl] = ACTIONS(1291),
    [anon_sym___clrcall] = ACTIONS(1291),
    [anon_sym___stdcall] = ACTIONS(1291),
    [anon_sym___fastcall] = ACTIONS(1291),
    [anon_sym___thiscall] = ACTIONS(1291),
    [anon_sym___vectorcall] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1293),
    [anon_sym_signed] = ACTIONS(1291),
    [anon_sym_unsigned] = ACTIONS(1291),
    [anon_sym_long] = ACTIONS(1291),
    [anon_sym_short] = ACTIONS(1291),
    [anon_sym_static] = ACTIONS(1291),
    [anon_sym_auto] = ACTIONS(1291),
    [anon_sym_register] = ACTIONS(1291),
    [anon_sym_inline] = ACTIONS(1291),
    [anon_sym___inline] = ACTIONS(1291),
    [anon_sym___inline__] = ACTIONS(1291),
    [anon_sym___forceinline] = ACTIONS(1291),
    [anon_sym_thread_local] = ACTIONS(1291),
    [anon_sym___thread] = ACTIONS(1291),
    [anon_sym_const] = ACTIONS(1291),
    [anon_sym_constexpr] = ACTIONS(1291),
    [anon_sym_volatile] = ACTIONS(1291),
    [anon_sym_restrict] = ACTIONS(1291),
    [anon_sym___restrict__] = ACTIONS(1291),
    [anon_sym__Atomic] = ACTIONS(1291),
    [anon_sym__Noreturn] = ACTIONS(1291),
    [anon_sym_noreturn] = ACTIONS(1291),
    [anon_sym_alignas] = ACTIONS(1291),
    [anon_sym__Alignas] = ACTIONS(1291),
    [sym_primitive_type] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1291),
    [anon_sym_union] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1291),
    [anon_sym_switch] = ACTIONS(1291),
    [anon_sym_case] = ACTIONS(1291),
    [anon_sym_default] = ACTIONS(1291),
    [anon_sym_while] = ACTIONS(1291),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_for] = ACTIONS(1291),
    [anon_sym_return] = ACTIONS(1291),
    [anon_sym_break] = ACTIONS(1291),
    [anon_sym_continue] = ACTIONS(1291),
    [anon_sym_goto] = ACTIONS(1291),
    [anon_sym___try] = ACTIONS(1291),
    [anon_sym___leave] = ACTIONS(1291),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_sizeof] = ACTIONS(1291),
    [anon_sym___alignof__] = ACTIONS(1291),
    [anon_sym___alignof] = ACTIONS(1291),
    [anon_sym__alignof] = ACTIONS(1291),
    [anon_sym_alignof] = ACTIONS(1291),
    [anon_sym__Alignof] = ACTIONS(1291),
    [anon_sym_offsetof] = ACTIONS(1291),
    [anon_sym__Generic] = ACTIONS(1291),
    [anon_sym_asm] = ACTIONS(1291),
    [anon_sym___asm__] = ACTIONS(1291),
    [sym_number_literal] = ACTIONS(1293),
    [anon_sym_L_SQUOTE] = ACTIONS(1293),
    [anon_sym_u_SQUOTE] = ACTIONS(1293),
    [anon_sym_U_SQUOTE] = ACTIONS(1293),
    [anon_sym_u8_SQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1293),
    [anon_sym_L_DQUOTE] = ACTIONS(1293),
    [anon_sym_u_DQUOTE] = ACTIONS(1293),
    [anon_sym_U_DQUOTE] = ACTIONS(1293),
    [anon_sym_u8_DQUOTE] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [sym_true] = ACTIONS(1291),
    [sym_false] = ACTIONS(1291),
    [anon_sym_NULL] = ACTIONS(1291),
    [anon_sym_nullptr] = ACTIONS(1291),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_identifier] = ACTIONS(1295),
    [aux_sym_preproc_include_token1] = ACTIONS(1295),
    [aux_sym_preproc_def_token1] = ACTIONS(1295),
    [aux_sym_preproc_if_token1] = ACTIONS(1295),
    [aux_sym_preproc_if_token2] = ACTIONS(1295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1295),
    [aux_sym_preproc_else_token1] = ACTIONS(1295),
    [aux_sym_preproc_elif_token1] = ACTIONS(1295),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1295),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1295),
    [sym_preproc_directive] = ACTIONS(1295),
    [anon_sym_LPAREN2] = ACTIONS(1297),
    [anon_sym_BANG] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1295),
    [anon_sym_PLUS] = ACTIONS(1295),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1297),
    [anon_sym___extension__] = ACTIONS(1295),
    [anon_sym_typedef] = ACTIONS(1295),
    [anon_sym_extern] = ACTIONS(1295),
    [anon_sym___attribute__] = ACTIONS(1295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1297),
    [anon_sym___declspec] = ACTIONS(1295),
    [anon_sym___cdecl] = ACTIONS(1295),
    [anon_sym___clrcall] = ACTIONS(1295),
    [anon_sym___stdcall] = ACTIONS(1295),
    [anon_sym___fastcall] = ACTIONS(1295),
    [anon_sym___thiscall] = ACTIONS(1295),
    [anon_sym___vectorcall] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_signed] = ACTIONS(1295),
    [anon_sym_unsigned] = ACTIONS(1295),
    [anon_sym_long] = ACTIONS(1295),
    [anon_sym_short] = ACTIONS(1295),
    [anon_sym_static] = ACTIONS(1295),
    [anon_sym_auto] = ACTIONS(1295),
    [anon_sym_register] = ACTIONS(1295),
    [anon_sym_inline] = ACTIONS(1295),
    [anon_sym___inline] = ACTIONS(1295),
    [anon_sym___inline__] = ACTIONS(1295),
    [anon_sym___forceinline] = ACTIONS(1295),
    [anon_sym_thread_local] = ACTIONS(1295),
    [anon_sym___thread] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1295),
    [anon_sym_constexpr] = ACTIONS(1295),
    [anon_sym_volatile] = ACTIONS(1295),
    [anon_sym_restrict] = ACTIONS(1295),
    [anon_sym___restrict__] = ACTIONS(1295),
    [anon_sym__Atomic] = ACTIONS(1295),
    [anon_sym__Noreturn] = ACTIONS(1295),
    [anon_sym_noreturn] = ACTIONS(1295),
    [anon_sym_alignas] = ACTIONS(1295),
    [anon_sym__Alignas] = ACTIONS(1295),
    [sym_primitive_type] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1295),
    [anon_sym_struct] = ACTIONS(1295),
    [anon_sym_union] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_switch] = ACTIONS(1295),
    [anon_sym_case] = ACTIONS(1295),
    [anon_sym_default] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1295),
    [anon_sym_return] = ACTIONS(1295),
    [anon_sym_break] = ACTIONS(1295),
    [anon_sym_continue] = ACTIONS(1295),
    [anon_sym_goto] = ACTIONS(1295),
    [anon_sym___try] = ACTIONS(1295),
    [anon_sym___leave] = ACTIONS(1295),
    [anon_sym_DASH_DASH] = ACTIONS(1297),
    [anon_sym_PLUS_PLUS] = ACTIONS(1297),
    [anon_sym_sizeof] = ACTIONS(1295),
    [anon_sym___alignof__] = ACTIONS(1295),
    [anon_sym___alignof] = ACTIONS(1295),
    [anon_sym__alignof] = ACTIONS(1295),
    [anon_sym_alignof] = ACTIONS(1295),
    [anon_sym__Alignof] = ACTIONS(1295),
    [anon_sym_offsetof] = ACTIONS(1295),
    [anon_sym__Generic] = ACTIONS(1295),
    [anon_sym_asm] = ACTIONS(1295),
    [anon_sym___asm__] = ACTIONS(1295),
    [sym_number_literal] = ACTIONS(1297),
    [anon_sym_L_SQUOTE] = ACTIONS(1297),
    [anon_sym_u_SQUOTE] = ACTIONS(1297),
    [anon_sym_U_SQUOTE] = ACTIONS(1297),
    [anon_sym_u8_SQUOTE] = ACTIONS(1297),
    [anon_sym_SQUOTE] = ACTIONS(1297),
    [anon_sym_L_DQUOTE] = ACTIONS(1297),
    [anon_sym_u_DQUOTE] = ACTIONS(1297),
    [anon_sym_U_DQUOTE] = ACTIONS(1297),
    [anon_sym_u8_DQUOTE] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [sym_true] = ACTIONS(1295),
    [sym_false] = ACTIONS(1295),
    [anon_sym_NULL] = ACTIONS(1295),
    [anon_sym_nullptr] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_identifier] = ACTIONS(1299),
    [aux_sym_preproc_include_token1] = ACTIONS(1299),
    [aux_sym_preproc_def_token1] = ACTIONS(1299),
    [aux_sym_preproc_if_token1] = ACTIONS(1299),
    [aux_sym_preproc_if_token2] = ACTIONS(1299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1299),
    [aux_sym_preproc_else_token1] = ACTIONS(1299),
    [aux_sym_preproc_elif_token1] = ACTIONS(1299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1299),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1299),
    [sym_preproc_directive] = ACTIONS(1299),
    [anon_sym_LPAREN2] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(1301),
    [anon_sym_TILDE] = ACTIONS(1301),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_AMP] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(1301),
    [anon_sym___extension__] = ACTIONS(1299),
    [anon_sym_typedef] = ACTIONS(1299),
    [anon_sym_extern] = ACTIONS(1299),
    [anon_sym___attribute__] = ACTIONS(1299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1301),
    [anon_sym___declspec] = ACTIONS(1299),
    [anon_sym___cdecl] = ACTIONS(1299),
    [anon_sym___clrcall] = ACTIONS(1299),
    [anon_sym___stdcall] = ACTIONS(1299),
    [anon_sym___fastcall] = ACTIONS(1299),
    [anon_sym___thiscall] = ACTIONS(1299),
    [anon_sym___vectorcall] = ACTIONS(1299),
    [anon_sym_LBRACE] = ACTIONS(1301),
    [anon_sym_signed] = ACTIONS(1299),
    [anon_sym_unsigned] = ACTIONS(1299),
    [anon_sym_long] = ACTIONS(1299),
    [anon_sym_short] = ACTIONS(1299),
    [anon_sym_static] = ACTIONS(1299),
    [anon_sym_auto] = ACTIONS(1299),
    [anon_sym_register] = ACTIONS(1299),
    [anon_sym_inline] = ACTIONS(1299),
    [anon_sym___inline] = ACTIONS(1299),
    [anon_sym___inline__] = ACTIONS(1299),
    [anon_sym___forceinline] = ACTIONS(1299),
    [anon_sym_thread_local] = ACTIONS(1299),
    [anon_sym___thread] = ACTIONS(1299),
    [anon_sym_const] = ACTIONS(1299),
    [anon_sym_constexpr] = ACTIONS(1299),
    [anon_sym_volatile] = ACTIONS(1299),
    [anon_sym_restrict] = ACTIONS(1299),
    [anon_sym___restrict__] = ACTIONS(1299),
    [anon_sym__Atomic] = ACTIONS(1299),
    [anon_sym__Noreturn] = ACTIONS(1299),
    [anon_sym_noreturn] = ACTIONS(1299),
    [anon_sym_alignas] = ACTIONS(1299),
    [anon_sym__Alignas] = ACTIONS(1299),
    [sym_primitive_type] = ACTIONS(1299),
    [anon_sym_enum] = ACTIONS(1299),
    [anon_sym_struct] = ACTIONS(1299),
    [anon_sym_union] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1299),
    [anon_sym_switch] = ACTIONS(1299),
    [anon_sym_case] = ACTIONS(1299),
    [anon_sym_default] = ACTIONS(1299),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_do] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_return] = ACTIONS(1299),
    [anon_sym_break] = ACTIONS(1299),
    [anon_sym_continue] = ACTIONS(1299),
    [anon_sym_goto] = ACTIONS(1299),
    [anon_sym___try] = ACTIONS(1299),
    [anon_sym___leave] = ACTIONS(1299),
    [anon_sym_DASH_DASH] = ACTIONS(1301),
    [anon_sym_PLUS_PLUS] = ACTIONS(1301),
    [anon_sym_sizeof] = ACTIONS(1299),
    [anon_sym___alignof__] = ACTIONS(1299),
    [anon_sym___alignof] = ACTIONS(1299),
    [anon_sym__alignof] = ACTIONS(1299),
    [anon_sym_alignof] = ACTIONS(1299),
    [anon_sym__Alignof] = ACTIONS(1299),
    [anon_sym_offsetof] = ACTIONS(1299),
    [anon_sym__Generic] = ACTIONS(1299),
    [anon_sym_asm] = ACTIONS(1299),
    [anon_sym___asm__] = ACTIONS(1299),
    [sym_number_literal] = ACTIONS(1301),
    [anon_sym_L_SQUOTE] = ACTIONS(1301),
    [anon_sym_u_SQUOTE] = ACTIONS(1301),
    [anon_sym_U_SQUOTE] = ACTIONS(1301),
    [anon_sym_u8_SQUOTE] = ACTIONS(1301),
    [anon_sym_SQUOTE] = ACTIONS(1301),
    [anon_sym_L_DQUOTE] = ACTIONS(1301),
    [anon_sym_u_DQUOTE] = ACTIONS(1301),
    [anon_sym_U_DQUOTE] = ACTIONS(1301),
    [anon_sym_u8_DQUOTE] = ACTIONS(1301),
    [anon_sym_DQUOTE] = ACTIONS(1301),
    [sym_true] = ACTIONS(1299),
    [sym_false] = ACTIONS(1299),
    [anon_sym_NULL] = ACTIONS(1299),
    [anon_sym_nullptr] = ACTIONS(1299),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_identifier] = ACTIONS(1303),
    [aux_sym_preproc_include_token1] = ACTIONS(1303),
    [aux_sym_preproc_def_token1] = ACTIONS(1303),
    [aux_sym_preproc_if_token1] = ACTIONS(1303),
    [aux_sym_preproc_if_token2] = ACTIONS(1303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1303),
    [aux_sym_preproc_else_token1] = ACTIONS(1303),
    [aux_sym_preproc_elif_token1] = ACTIONS(1303),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1303),
    [sym_preproc_directive] = ACTIONS(1303),
    [anon_sym_LPAREN2] = ACTIONS(1305),
    [anon_sym_BANG] = ACTIONS(1305),
    [anon_sym_TILDE] = ACTIONS(1305),
    [anon_sym_DASH] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym___extension__] = ACTIONS(1303),
    [anon_sym_typedef] = ACTIONS(1303),
    [anon_sym_extern] = ACTIONS(1303),
    [anon_sym___attribute__] = ACTIONS(1303),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1305),
    [anon_sym___declspec] = ACTIONS(1303),
    [anon_sym___cdecl] = ACTIONS(1303),
    [anon_sym___clrcall] = ACTIONS(1303),
    [anon_sym___stdcall] = ACTIONS(1303),
    [anon_sym___fastcall] = ACTIONS(1303),
    [anon_sym___thiscall] = ACTIONS(1303),
    [anon_sym___vectorcall] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_signed] = ACTIONS(1303),
    [anon_sym_unsigned] = ACTIONS(1303),
    [anon_sym_long] = ACTIONS(1303),
    [anon_sym_short] = ACTIONS(1303),
    [anon_sym_static] = ACTIONS(1303),
    [anon_sym_auto] = ACTIONS(1303),
    [anon_sym_register] = ACTIONS(1303),
    [anon_sym_inline] = ACTIONS(1303),
    [anon_sym___inline] = ACTIONS(1303),
    [anon_sym___inline__] = ACTIONS(1303),
    [anon_sym___forceinline] = ACTIONS(1303),
    [anon_sym_thread_local] = ACTIONS(1303),
    [anon_sym___thread] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_constexpr] = ACTIONS(1303),
    [anon_sym_volatile] = ACTIONS(1303),
    [anon_sym_restrict] = ACTIONS(1303),
    [anon_sym___restrict__] = ACTIONS(1303),
    [anon_sym__Atomic] = ACTIONS(1303),
    [anon_sym__Noreturn] = ACTIONS(1303),
    [anon_sym_noreturn] = ACTIONS(1303),
    [anon_sym_alignas] = ACTIONS(1303),
    [anon_sym__Alignas] = ACTIONS(1303),
    [sym_primitive_type] = ACTIONS(1303),
    [anon_sym_enum] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_union] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_switch] = ACTIONS(1303),
    [anon_sym_case] = ACTIONS(1303),
    [anon_sym_default] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [anon_sym_do] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_break] = ACTIONS(1303),
    [anon_sym_continue] = ACTIONS(1303),
    [anon_sym_goto] = ACTIONS(1303),
    [anon_sym___try] = ACTIONS(1303),
    [anon_sym___leave] = ACTIONS(1303),
    [anon_sym_DASH_DASH] = ACTIONS(1305),
    [anon_sym_PLUS_PLUS] = ACTIONS(1305),
    [anon_sym_sizeof] = ACTIONS(1303),
    [anon_sym___alignof__] = ACTIONS(1303),
    [anon_sym___alignof] = ACTIONS(1303),
    [anon_sym__alignof] = ACTIONS(1303),
    [anon_sym_alignof] = ACTIONS(1303),
    [anon_sym__Alignof] = ACTIONS(1303),
    [anon_sym_offsetof] = ACTIONS(1303),
    [anon_sym__Generic] = ACTIONS(1303),
    [anon_sym_asm] = ACTIONS(1303),
    [anon_sym___asm__] = ACTIONS(1303),
    [sym_number_literal] = ACTIONS(1305),
    [anon_sym_L_SQUOTE] = ACTIONS(1305),
    [anon_sym_u_SQUOTE] = ACTIONS(1305),
    [anon_sym_U_SQUOTE] = ACTIONS(1305),
    [anon_sym_u8_SQUOTE] = ACTIONS(1305),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [anon_sym_L_DQUOTE] = ACTIONS(1305),
    [anon_sym_u_DQUOTE] = ACTIONS(1305),
    [anon_sym_U_DQUOTE] = ACTIONS(1305),
    [anon_sym_u8_DQUOTE] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(1305),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [anon_sym_NULL] = ACTIONS(1303),
    [anon_sym_nullptr] = ACTIONS(1303),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_identifier] = ACTIONS(1307),
    [aux_sym_preproc_include_token1] = ACTIONS(1307),
    [aux_sym_preproc_def_token1] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1307),
    [aux_sym_preproc_if_token2] = ACTIONS(1307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1307),
    [aux_sym_preproc_else_token1] = ACTIONS(1307),
    [aux_sym_preproc_elif_token1] = ACTIONS(1307),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1307),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1307),
    [sym_preproc_directive] = ACTIONS(1307),
    [anon_sym_LPAREN2] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1307),
    [anon_sym_PLUS] = ACTIONS(1307),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(1309),
    [anon_sym___extension__] = ACTIONS(1307),
    [anon_sym_typedef] = ACTIONS(1307),
    [anon_sym_extern] = ACTIONS(1307),
    [anon_sym___attribute__] = ACTIONS(1307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1309),
    [anon_sym___declspec] = ACTIONS(1307),
    [anon_sym___cdecl] = ACTIONS(1307),
    [anon_sym___clrcall] = ACTIONS(1307),
    [anon_sym___stdcall] = ACTIONS(1307),
    [anon_sym___fastcall] = ACTIONS(1307),
    [anon_sym___thiscall] = ACTIONS(1307),
    [anon_sym___vectorcall] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_signed] = ACTIONS(1307),
    [anon_sym_unsigned] = ACTIONS(1307),
    [anon_sym_long] = ACTIONS(1307),
    [anon_sym_short] = ACTIONS(1307),
    [anon_sym_static] = ACTIONS(1307),
    [anon_sym_auto] = ACTIONS(1307),
    [anon_sym_register] = ACTIONS(1307),
    [anon_sym_inline] = ACTIONS(1307),
    [anon_sym___inline] = ACTIONS(1307),
    [anon_sym___inline__] = ACTIONS(1307),
    [anon_sym___forceinline] = ACTIONS(1307),
    [anon_sym_thread_local] = ACTIONS(1307),
    [anon_sym___thread] = ACTIONS(1307),
    [anon_sym_const] = ACTIONS(1307),
    [anon_sym_constexpr] = ACTIONS(1307),
    [anon_sym_volatile] = ACTIONS(1307),
    [anon_sym_restrict] = ACTIONS(1307),
    [anon_sym___restrict__] = ACTIONS(1307),
    [anon_sym__Atomic] = ACTIONS(1307),
    [anon_sym__Noreturn] = ACTIONS(1307),
    [anon_sym_noreturn] = ACTIONS(1307),
    [anon_sym_alignas] = ACTIONS(1307),
    [anon_sym__Alignas] = ACTIONS(1307),
    [sym_primitive_type] = ACTIONS(1307),
    [anon_sym_enum] = ACTIONS(1307),
    [anon_sym_struct] = ACTIONS(1307),
    [anon_sym_union] = ACTIONS(1307),
    [anon_sym_if] = ACTIONS(1307),
    [anon_sym_switch] = ACTIONS(1307),
    [anon_sym_case] = ACTIONS(1307),
    [anon_sym_default] = ACTIONS(1307),
    [anon_sym_while] = ACTIONS(1307),
    [anon_sym_do] = ACTIONS(1307),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_return] = ACTIONS(1307),
    [anon_sym_break] = ACTIONS(1307),
    [anon_sym_continue] = ACTIONS(1307),
    [anon_sym_goto] = ACTIONS(1307),
    [anon_sym___try] = ACTIONS(1307),
    [anon_sym___leave] = ACTIONS(1307),
    [anon_sym_DASH_DASH] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1309),
    [anon_sym_sizeof] = ACTIONS(1307),
    [anon_sym___alignof__] = ACTIONS(1307),
    [anon_sym___alignof] = ACTIONS(1307),
    [anon_sym__alignof] = ACTIONS(1307),
    [anon_sym_alignof] = ACTIONS(1307),
    [anon_sym__Alignof] = ACTIONS(1307),
    [anon_sym_offsetof] = ACTIONS(1307),
    [anon_sym__Generic] = ACTIONS(1307),
    [anon_sym_asm] = ACTIONS(1307),
    [anon_sym___asm__] = ACTIONS(1307),
    [sym_number_literal] = ACTIONS(1309),
    [anon_sym_L_SQUOTE] = ACTIONS(1309),
    [anon_sym_u_SQUOTE] = ACTIONS(1309),
    [anon_sym_U_SQUOTE] = ACTIONS(1309),
    [anon_sym_u8_SQUOTE] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1309),
    [anon_sym_L_DQUOTE] = ACTIONS(1309),
    [anon_sym_u_DQUOTE] = ACTIONS(1309),
    [anon_sym_U_DQUOTE] = ACTIONS(1309),
    [anon_sym_u8_DQUOTE] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(1309),
    [sym_true] = ACTIONS(1307),
    [sym_false] = ACTIONS(1307),
    [anon_sym_NULL] = ACTIONS(1307),
    [anon_sym_nullptr] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_identifier] = ACTIONS(1311),
    [aux_sym_preproc_include_token1] = ACTIONS(1311),
    [aux_sym_preproc_def_token1] = ACTIONS(1311),
    [aux_sym_preproc_if_token1] = ACTIONS(1311),
    [aux_sym_preproc_if_token2] = ACTIONS(1311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1311),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1311),
    [aux_sym_preproc_else_token1] = ACTIONS(1311),
    [aux_sym_preproc_elif_token1] = ACTIONS(1311),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1311),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1311),
    [sym_preproc_directive] = ACTIONS(1311),
    [anon_sym_LPAREN2] = ACTIONS(1313),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_TILDE] = ACTIONS(1313),
    [anon_sym_DASH] = ACTIONS(1311),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(1313),
    [anon_sym___extension__] = ACTIONS(1311),
    [anon_sym_typedef] = ACTIONS(1311),
    [anon_sym_extern] = ACTIONS(1311),
    [anon_sym___attribute__] = ACTIONS(1311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1313),
    [anon_sym___declspec] = ACTIONS(1311),
    [anon_sym___cdecl] = ACTIONS(1311),
    [anon_sym___clrcall] = ACTIONS(1311),
    [anon_sym___stdcall] = ACTIONS(1311),
    [anon_sym___fastcall] = ACTIONS(1311),
    [anon_sym___thiscall] = ACTIONS(1311),
    [anon_sym___vectorcall] = ACTIONS(1311),
    [anon_sym_LBRACE] = ACTIONS(1313),
    [anon_sym_signed] = ACTIONS(1311),
    [anon_sym_unsigned] = ACTIONS(1311),
    [anon_sym_long] = ACTIONS(1311),
    [anon_sym_short] = ACTIONS(1311),
    [anon_sym_static] = ACTIONS(1311),
    [anon_sym_auto] = ACTIONS(1311),
    [anon_sym_register] = ACTIONS(1311),
    [anon_sym_inline] = ACTIONS(1311),
    [anon_sym___inline] = ACTIONS(1311),
    [anon_sym___inline__] = ACTIONS(1311),
    [anon_sym___forceinline] = ACTIONS(1311),
    [anon_sym_thread_local] = ACTIONS(1311),
    [anon_sym___thread] = ACTIONS(1311),
    [anon_sym_const] = ACTIONS(1311),
    [anon_sym_constexpr] = ACTIONS(1311),
    [anon_sym_volatile] = ACTIONS(1311),
    [anon_sym_restrict] = ACTIONS(1311),
    [anon_sym___restrict__] = ACTIONS(1311),
    [anon_sym__Atomic] = ACTIONS(1311),
    [anon_sym__Noreturn] = ACTIONS(1311),
    [anon_sym_noreturn] = ACTIONS(1311),
    [anon_sym_alignas] = ACTIONS(1311),
    [anon_sym__Alignas] = ACTIONS(1311),
    [sym_primitive_type] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_struct] = ACTIONS(1311),
    [anon_sym_union] = ACTIONS(1311),
    [anon_sym_if] = ACTIONS(1311),
    [anon_sym_switch] = ACTIONS(1311),
    [anon_sym_case] = ACTIONS(1311),
    [anon_sym_default] = ACTIONS(1311),
    [anon_sym_while] = ACTIONS(1311),
    [anon_sym_do] = ACTIONS(1311),
    [anon_sym_for] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_continue] = ACTIONS(1311),
    [anon_sym_goto] = ACTIONS(1311),
    [anon_sym___try] = ACTIONS(1311),
    [anon_sym___leave] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_PLUS_PLUS] = ACTIONS(1313),
    [anon_sym_sizeof] = ACTIONS(1311),
    [anon_sym___alignof__] = ACTIONS(1311),
    [anon_sym___alignof] = ACTIONS(1311),
    [anon_sym__alignof] = ACTIONS(1311),
    [anon_sym_alignof] = ACTIONS(1311),
    [anon_sym__Alignof] = ACTIONS(1311),
    [anon_sym_offsetof] = ACTIONS(1311),
    [anon_sym__Generic] = ACTIONS(1311),
    [anon_sym_asm] = ACTIONS(1311),
    [anon_sym___asm__] = ACTIONS(1311),
    [sym_number_literal] = ACTIONS(1313),
    [anon_sym_L_SQUOTE] = ACTIONS(1313),
    [anon_sym_u_SQUOTE] = ACTIONS(1313),
    [anon_sym_U_SQUOTE] = ACTIONS(1313),
    [anon_sym_u8_SQUOTE] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1313),
    [anon_sym_L_DQUOTE] = ACTIONS(1313),
    [anon_sym_u_DQUOTE] = ACTIONS(1313),
    [anon_sym_U_DQUOTE] = ACTIONS(1313),
    [anon_sym_u8_DQUOTE] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(1313),
    [sym_true] = ACTIONS(1311),
    [sym_false] = ACTIONS(1311),
    [anon_sym_NULL] = ACTIONS(1311),
    [anon_sym_nullptr] = ACTIONS(1311),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_identifier] = ACTIONS(1315),
    [aux_sym_preproc_include_token1] = ACTIONS(1315),
    [aux_sym_preproc_def_token1] = ACTIONS(1315),
    [aux_sym_preproc_if_token1] = ACTIONS(1315),
    [aux_sym_preproc_if_token2] = ACTIONS(1315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1315),
    [aux_sym_preproc_else_token1] = ACTIONS(1315),
    [aux_sym_preproc_elif_token1] = ACTIONS(1315),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1315),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1315),
    [sym_preproc_directive] = ACTIONS(1315),
    [anon_sym_LPAREN2] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_TILDE] = ACTIONS(1317),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_SEMI] = ACTIONS(1317),
    [anon_sym___extension__] = ACTIONS(1315),
    [anon_sym_typedef] = ACTIONS(1315),
    [anon_sym_extern] = ACTIONS(1315),
    [anon_sym___attribute__] = ACTIONS(1315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1317),
    [anon_sym___declspec] = ACTIONS(1315),
    [anon_sym___cdecl] = ACTIONS(1315),
    [anon_sym___clrcall] = ACTIONS(1315),
    [anon_sym___stdcall] = ACTIONS(1315),
    [anon_sym___fastcall] = ACTIONS(1315),
    [anon_sym___thiscall] = ACTIONS(1315),
    [anon_sym___vectorcall] = ACTIONS(1315),
    [anon_sym_LBRACE] = ACTIONS(1317),
    [anon_sym_signed] = ACTIONS(1315),
    [anon_sym_unsigned] = ACTIONS(1315),
    [anon_sym_long] = ACTIONS(1315),
    [anon_sym_short] = ACTIONS(1315),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_auto] = ACTIONS(1315),
    [anon_sym_register] = ACTIONS(1315),
    [anon_sym_inline] = ACTIONS(1315),
    [anon_sym___inline] = ACTIONS(1315),
    [anon_sym___inline__] = ACTIONS(1315),
    [anon_sym___forceinline] = ACTIONS(1315),
    [anon_sym_thread_local] = ACTIONS(1315),
    [anon_sym___thread] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1315),
    [anon_sym_constexpr] = ACTIONS(1315),
    [anon_sym_volatile] = ACTIONS(1315),
    [anon_sym_restrict] = ACTIONS(1315),
    [anon_sym___restrict__] = ACTIONS(1315),
    [anon_sym__Atomic] = ACTIONS(1315),
    [anon_sym__Noreturn] = ACTIONS(1315),
    [anon_sym_noreturn] = ACTIONS(1315),
    [anon_sym_alignas] = ACTIONS(1315),
    [anon_sym__Alignas] = ACTIONS(1315),
    [sym_primitive_type] = ACTIONS(1315),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1315),
    [anon_sym_union] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1315),
    [anon_sym_switch] = ACTIONS(1315),
    [anon_sym_case] = ACTIONS(1315),
    [anon_sym_default] = ACTIONS(1315),
    [anon_sym_while] = ACTIONS(1315),
    [anon_sym_do] = ACTIONS(1315),
    [anon_sym_for] = ACTIONS(1315),
    [anon_sym_return] = ACTIONS(1315),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_continue] = ACTIONS(1315),
    [anon_sym_goto] = ACTIONS(1315),
    [anon_sym___try] = ACTIONS(1315),
    [anon_sym___leave] = ACTIONS(1315),
    [anon_sym_DASH_DASH] = ACTIONS(1317),
    [anon_sym_PLUS_PLUS] = ACTIONS(1317),
    [anon_sym_sizeof] = ACTIONS(1315),
    [anon_sym___alignof__] = ACTIONS(1315),
    [anon_sym___alignof] = ACTIONS(1315),
    [anon_sym__alignof] = ACTIONS(1315),
    [anon_sym_alignof] = ACTIONS(1315),
    [anon_sym__Alignof] = ACTIONS(1315),
    [anon_sym_offsetof] = ACTIONS(1315),
    [anon_sym__Generic] = ACTIONS(1315),
    [anon_sym_asm] = ACTIONS(1315),
    [anon_sym___asm__] = ACTIONS(1315),
    [sym_number_literal] = ACTIONS(1317),
    [anon_sym_L_SQUOTE] = ACTIONS(1317),
    [anon_sym_u_SQUOTE] = ACTIONS(1317),
    [anon_sym_U_SQUOTE] = ACTIONS(1317),
    [anon_sym_u8_SQUOTE] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1317),
    [anon_sym_L_DQUOTE] = ACTIONS(1317),
    [anon_sym_u_DQUOTE] = ACTIONS(1317),
    [anon_sym_U_DQUOTE] = ACTIONS(1317),
    [anon_sym_u8_DQUOTE] = ACTIONS(1317),
    [anon_sym_DQUOTE] = ACTIONS(1317),
    [sym_true] = ACTIONS(1315),
    [sym_false] = ACTIONS(1315),
    [anon_sym_NULL] = ACTIONS(1315),
    [anon_sym_nullptr] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_identifier] = ACTIONS(1319),
    [aux_sym_preproc_include_token1] = ACTIONS(1319),
    [aux_sym_preproc_def_token1] = ACTIONS(1319),
    [aux_sym_preproc_if_token1] = ACTIONS(1319),
    [aux_sym_preproc_if_token2] = ACTIONS(1319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1319),
    [aux_sym_preproc_else_token1] = ACTIONS(1319),
    [aux_sym_preproc_elif_token1] = ACTIONS(1319),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1319),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1319),
    [sym_preproc_directive] = ACTIONS(1319),
    [anon_sym_LPAREN2] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1319),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(1321),
    [anon_sym_SEMI] = ACTIONS(1321),
    [anon_sym___extension__] = ACTIONS(1319),
    [anon_sym_typedef] = ACTIONS(1319),
    [anon_sym_extern] = ACTIONS(1319),
    [anon_sym___attribute__] = ACTIONS(1319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1321),
    [anon_sym___declspec] = ACTIONS(1319),
    [anon_sym___cdecl] = ACTIONS(1319),
    [anon_sym___clrcall] = ACTIONS(1319),
    [anon_sym___stdcall] = ACTIONS(1319),
    [anon_sym___fastcall] = ACTIONS(1319),
    [anon_sym___thiscall] = ACTIONS(1319),
    [anon_sym___vectorcall] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_signed] = ACTIONS(1319),
    [anon_sym_unsigned] = ACTIONS(1319),
    [anon_sym_long] = ACTIONS(1319),
    [anon_sym_short] = ACTIONS(1319),
    [anon_sym_static] = ACTIONS(1319),
    [anon_sym_auto] = ACTIONS(1319),
    [anon_sym_register] = ACTIONS(1319),
    [anon_sym_inline] = ACTIONS(1319),
    [anon_sym___inline] = ACTIONS(1319),
    [anon_sym___inline__] = ACTIONS(1319),
    [anon_sym___forceinline] = ACTIONS(1319),
    [anon_sym_thread_local] = ACTIONS(1319),
    [anon_sym___thread] = ACTIONS(1319),
    [anon_sym_const] = ACTIONS(1319),
    [anon_sym_constexpr] = ACTIONS(1319),
    [anon_sym_volatile] = ACTIONS(1319),
    [anon_sym_restrict] = ACTIONS(1319),
    [anon_sym___restrict__] = ACTIONS(1319),
    [anon_sym__Atomic] = ACTIONS(1319),
    [anon_sym__Noreturn] = ACTIONS(1319),
    [anon_sym_noreturn] = ACTIONS(1319),
    [anon_sym_alignas] = ACTIONS(1319),
    [anon_sym__Alignas] = ACTIONS(1319),
    [sym_primitive_type] = ACTIONS(1319),
    [anon_sym_enum] = ACTIONS(1319),
    [anon_sym_struct] = ACTIONS(1319),
    [anon_sym_union] = ACTIONS(1319),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_switch] = ACTIONS(1319),
    [anon_sym_case] = ACTIONS(1319),
    [anon_sym_default] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1319),
    [anon_sym_do] = ACTIONS(1319),
    [anon_sym_for] = ACTIONS(1319),
    [anon_sym_return] = ACTIONS(1319),
    [anon_sym_break] = ACTIONS(1319),
    [anon_sym_continue] = ACTIONS(1319),
    [anon_sym_goto] = ACTIONS(1319),
    [anon_sym___try] = ACTIONS(1319),
    [anon_sym___leave] = ACTIONS(1319),
    [anon_sym_DASH_DASH] = ACTIONS(1321),
    [anon_sym_PLUS_PLUS] = ACTIONS(1321),
    [anon_sym_sizeof] = ACTIONS(1319),
    [anon_sym___alignof__] = ACTIONS(1319),
    [anon_sym___alignof] = ACTIONS(1319),
    [anon_sym__alignof] = ACTIONS(1319),
    [anon_sym_alignof] = ACTIONS(1319),
    [anon_sym__Alignof] = ACTIONS(1319),
    [anon_sym_offsetof] = ACTIONS(1319),
    [anon_sym__Generic] = ACTIONS(1319),
    [anon_sym_asm] = ACTIONS(1319),
    [anon_sym___asm__] = ACTIONS(1319),
    [sym_number_literal] = ACTIONS(1321),
    [anon_sym_L_SQUOTE] = ACTIONS(1321),
    [anon_sym_u_SQUOTE] = ACTIONS(1321),
    [anon_sym_U_SQUOTE] = ACTIONS(1321),
    [anon_sym_u8_SQUOTE] = ACTIONS(1321),
    [anon_sym_SQUOTE] = ACTIONS(1321),
    [anon_sym_L_DQUOTE] = ACTIONS(1321),
    [anon_sym_u_DQUOTE] = ACTIONS(1321),
    [anon_sym_U_DQUOTE] = ACTIONS(1321),
    [anon_sym_u8_DQUOTE] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1321),
    [sym_true] = ACTIONS(1319),
    [sym_false] = ACTIONS(1319),
    [anon_sym_NULL] = ACTIONS(1319),
    [anon_sym_nullptr] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_identifier] = ACTIONS(1323),
    [aux_sym_preproc_include_token1] = ACTIONS(1323),
    [aux_sym_preproc_def_token1] = ACTIONS(1323),
    [aux_sym_preproc_if_token1] = ACTIONS(1323),
    [aux_sym_preproc_if_token2] = ACTIONS(1323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1323),
    [aux_sym_preproc_else_token1] = ACTIONS(1323),
    [aux_sym_preproc_elif_token1] = ACTIONS(1323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1323),
    [sym_preproc_directive] = ACTIONS(1323),
    [anon_sym_LPAREN2] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_DASH] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1323),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_SEMI] = ACTIONS(1325),
    [anon_sym___extension__] = ACTIONS(1323),
    [anon_sym_typedef] = ACTIONS(1323),
    [anon_sym_extern] = ACTIONS(1323),
    [anon_sym___attribute__] = ACTIONS(1323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1325),
    [anon_sym___declspec] = ACTIONS(1323),
    [anon_sym___cdecl] = ACTIONS(1323),
    [anon_sym___clrcall] = ACTIONS(1323),
    [anon_sym___stdcall] = ACTIONS(1323),
    [anon_sym___fastcall] = ACTIONS(1323),
    [anon_sym___thiscall] = ACTIONS(1323),
    [anon_sym___vectorcall] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_signed] = ACTIONS(1323),
    [anon_sym_unsigned] = ACTIONS(1323),
    [anon_sym_long] = ACTIONS(1323),
    [anon_sym_short] = ACTIONS(1323),
    [anon_sym_static] = ACTIONS(1323),
    [anon_sym_auto] = ACTIONS(1323),
    [anon_sym_register] = ACTIONS(1323),
    [anon_sym_inline] = ACTIONS(1323),
    [anon_sym___inline] = ACTIONS(1323),
    [anon_sym___inline__] = ACTIONS(1323),
    [anon_sym___forceinline] = ACTIONS(1323),
    [anon_sym_thread_local] = ACTIONS(1323),
    [anon_sym___thread] = ACTIONS(1323),
    [anon_sym_const] = ACTIONS(1323),
    [anon_sym_constexpr] = ACTIONS(1323),
    [anon_sym_volatile] = ACTIONS(1323),
    [anon_sym_restrict] = ACTIONS(1323),
    [anon_sym___restrict__] = ACTIONS(1323),
    [anon_sym__Atomic] = ACTIONS(1323),
    [anon_sym__Noreturn] = ACTIONS(1323),
    [anon_sym_noreturn] = ACTIONS(1323),
    [anon_sym_alignas] = ACTIONS(1323),
    [anon_sym__Alignas] = ACTIONS(1323),
    [sym_primitive_type] = ACTIONS(1323),
    [anon_sym_enum] = ACTIONS(1323),
    [anon_sym_struct] = ACTIONS(1323),
    [anon_sym_union] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_switch] = ACTIONS(1323),
    [anon_sym_case] = ACTIONS(1323),
    [anon_sym_default] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_do] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_break] = ACTIONS(1323),
    [anon_sym_continue] = ACTIONS(1323),
    [anon_sym_goto] = ACTIONS(1323),
    [anon_sym___try] = ACTIONS(1323),
    [anon_sym___leave] = ACTIONS(1323),
    [anon_sym_DASH_DASH] = ACTIONS(1325),
    [anon_sym_PLUS_PLUS] = ACTIONS(1325),
    [anon_sym_sizeof] = ACTIONS(1323),
    [anon_sym___alignof__] = ACTIONS(1323),
    [anon_sym___alignof] = ACTIONS(1323),
    [anon_sym__alignof] = ACTIONS(1323),
    [anon_sym_alignof] = ACTIONS(1323),
    [anon_sym__Alignof] = ACTIONS(1323),
    [anon_sym_offsetof] = ACTIONS(1323),
    [anon_sym__Generic] = ACTIONS(1323),
    [anon_sym_asm] = ACTIONS(1323),
    [anon_sym___asm__] = ACTIONS(1323),
    [sym_number_literal] = ACTIONS(1325),
    [anon_sym_L_SQUOTE] = ACTIONS(1325),
    [anon_sym_u_SQUOTE] = ACTIONS(1325),
    [anon_sym_U_SQUOTE] = ACTIONS(1325),
    [anon_sym_u8_SQUOTE] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_L_DQUOTE] = ACTIONS(1325),
    [anon_sym_u_DQUOTE] = ACTIONS(1325),
    [anon_sym_U_DQUOTE] = ACTIONS(1325),
    [anon_sym_u8_DQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [anon_sym_NULL] = ACTIONS(1323),
    [anon_sym_nullptr] = ACTIONS(1323),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_identifier] = ACTIONS(1327),
    [aux_sym_preproc_include_token1] = ACTIONS(1327),
    [aux_sym_preproc_def_token1] = ACTIONS(1327),
    [aux_sym_preproc_if_token1] = ACTIONS(1327),
    [aux_sym_preproc_if_token2] = ACTIONS(1327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1327),
    [aux_sym_preproc_else_token1] = ACTIONS(1327),
    [aux_sym_preproc_elif_token1] = ACTIONS(1327),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1327),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1327),
    [sym_preproc_directive] = ACTIONS(1327),
    [anon_sym_LPAREN2] = ACTIONS(1329),
    [anon_sym_BANG] = ACTIONS(1329),
    [anon_sym_TILDE] = ACTIONS(1329),
    [anon_sym_DASH] = ACTIONS(1327),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1329),
    [anon_sym_AMP] = ACTIONS(1329),
    [anon_sym_SEMI] = ACTIONS(1329),
    [anon_sym___extension__] = ACTIONS(1327),
    [anon_sym_typedef] = ACTIONS(1327),
    [anon_sym_extern] = ACTIONS(1327),
    [anon_sym___attribute__] = ACTIONS(1327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1329),
    [anon_sym___declspec] = ACTIONS(1327),
    [anon_sym___cdecl] = ACTIONS(1327),
    [anon_sym___clrcall] = ACTIONS(1327),
    [anon_sym___stdcall] = ACTIONS(1327),
    [anon_sym___fastcall] = ACTIONS(1327),
    [anon_sym___thiscall] = ACTIONS(1327),
    [anon_sym___vectorcall] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1329),
    [anon_sym_signed] = ACTIONS(1327),
    [anon_sym_unsigned] = ACTIONS(1327),
    [anon_sym_long] = ACTIONS(1327),
    [anon_sym_short] = ACTIONS(1327),
    [anon_sym_static] = ACTIONS(1327),
    [anon_sym_auto] = ACTIONS(1327),
    [anon_sym_register] = ACTIONS(1327),
    [anon_sym_inline] = ACTIONS(1327),
    [anon_sym___inline] = ACTIONS(1327),
    [anon_sym___inline__] = ACTIONS(1327),
    [anon_sym___forceinline] = ACTIONS(1327),
    [anon_sym_thread_local] = ACTIONS(1327),
    [anon_sym___thread] = ACTIONS(1327),
    [anon_sym_const] = ACTIONS(1327),
    [anon_sym_constexpr] = ACTIONS(1327),
    [anon_sym_volatile] = ACTIONS(1327),
    [anon_sym_restrict] = ACTIONS(1327),
    [anon_sym___restrict__] = ACTIONS(1327),
    [anon_sym__Atomic] = ACTIONS(1327),
    [anon_sym__Noreturn] = ACTIONS(1327),
    [anon_sym_noreturn] = ACTIONS(1327),
    [anon_sym_alignas] = ACTIONS(1327),
    [anon_sym__Alignas] = ACTIONS(1327),
    [sym_primitive_type] = ACTIONS(1327),
    [anon_sym_enum] = ACTIONS(1327),
    [anon_sym_struct] = ACTIONS(1327),
    [anon_sym_union] = ACTIONS(1327),
    [anon_sym_if] = ACTIONS(1327),
    [anon_sym_switch] = ACTIONS(1327),
    [anon_sym_case] = ACTIONS(1327),
    [anon_sym_default] = ACTIONS(1327),
    [anon_sym_while] = ACTIONS(1327),
    [anon_sym_do] = ACTIONS(1327),
    [anon_sym_for] = ACTIONS(1327),
    [anon_sym_return] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(1327),
    [anon_sym_continue] = ACTIONS(1327),
    [anon_sym_goto] = ACTIONS(1327),
    [anon_sym___try] = ACTIONS(1327),
    [anon_sym___leave] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1329),
    [anon_sym_PLUS_PLUS] = ACTIONS(1329),
    [anon_sym_sizeof] = ACTIONS(1327),
    [anon_sym___alignof__] = ACTIONS(1327),
    [anon_sym___alignof] = ACTIONS(1327),
    [anon_sym__alignof] = ACTIONS(1327),
    [anon_sym_alignof] = ACTIONS(1327),
    [anon_sym__Alignof] = ACTIONS(1327),
    [anon_sym_offsetof] = ACTIONS(1327),
    [anon_sym__Generic] = ACTIONS(1327),
    [anon_sym_asm] = ACTIONS(1327),
    [anon_sym___asm__] = ACTIONS(1327),
    [sym_number_literal] = ACTIONS(1329),
    [anon_sym_L_SQUOTE] = ACTIONS(1329),
    [anon_sym_u_SQUOTE] = ACTIONS(1329),
    [anon_sym_U_SQUOTE] = ACTIONS(1329),
    [anon_sym_u8_SQUOTE] = ACTIONS(1329),
    [anon_sym_SQUOTE] = ACTIONS(1329),
    [anon_sym_L_DQUOTE] = ACTIONS(1329),
    [anon_sym_u_DQUOTE] = ACTIONS(1329),
    [anon_sym_U_DQUOTE] = ACTIONS(1329),
    [anon_sym_u8_DQUOTE] = ACTIONS(1329),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_true] = ACTIONS(1327),
    [sym_false] = ACTIONS(1327),
    [anon_sym_NULL] = ACTIONS(1327),
    [anon_sym_nullptr] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_identifier] = ACTIONS(1331),
    [aux_sym_preproc_include_token1] = ACTIONS(1331),
    [aux_sym_preproc_def_token1] = ACTIONS(1331),
    [aux_sym_preproc_if_token1] = ACTIONS(1331),
    [aux_sym_preproc_if_token2] = ACTIONS(1331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1331),
    [aux_sym_preproc_else_token1] = ACTIONS(1331),
    [aux_sym_preproc_elif_token1] = ACTIONS(1331),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1331),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1331),
    [sym_preproc_directive] = ACTIONS(1331),
    [anon_sym_LPAREN2] = ACTIONS(1333),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_TILDE] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_SEMI] = ACTIONS(1333),
    [anon_sym___extension__] = ACTIONS(1331),
    [anon_sym_typedef] = ACTIONS(1331),
    [anon_sym_extern] = ACTIONS(1331),
    [anon_sym___attribute__] = ACTIONS(1331),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1333),
    [anon_sym___declspec] = ACTIONS(1331),
    [anon_sym___cdecl] = ACTIONS(1331),
    [anon_sym___clrcall] = ACTIONS(1331),
    [anon_sym___stdcall] = ACTIONS(1331),
    [anon_sym___fastcall] = ACTIONS(1331),
    [anon_sym___thiscall] = ACTIONS(1331),
    [anon_sym___vectorcall] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1333),
    [anon_sym_signed] = ACTIONS(1331),
    [anon_sym_unsigned] = ACTIONS(1331),
    [anon_sym_long] = ACTIONS(1331),
    [anon_sym_short] = ACTIONS(1331),
    [anon_sym_static] = ACTIONS(1331),
    [anon_sym_auto] = ACTIONS(1331),
    [anon_sym_register] = ACTIONS(1331),
    [anon_sym_inline] = ACTIONS(1331),
    [anon_sym___inline] = ACTIONS(1331),
    [anon_sym___inline__] = ACTIONS(1331),
    [anon_sym___forceinline] = ACTIONS(1331),
    [anon_sym_thread_local] = ACTIONS(1331),
    [anon_sym___thread] = ACTIONS(1331),
    [anon_sym_const] = ACTIONS(1331),
    [anon_sym_constexpr] = ACTIONS(1331),
    [anon_sym_volatile] = ACTIONS(1331),
    [anon_sym_restrict] = ACTIONS(1331),
    [anon_sym___restrict__] = ACTIONS(1331),
    [anon_sym__Atomic] = ACTIONS(1331),
    [anon_sym__Noreturn] = ACTIONS(1331),
    [anon_sym_noreturn] = ACTIONS(1331),
    [anon_sym_alignas] = ACTIONS(1331),
    [anon_sym__Alignas] = ACTIONS(1331),
    [sym_primitive_type] = ACTIONS(1331),
    [anon_sym_enum] = ACTIONS(1331),
    [anon_sym_struct] = ACTIONS(1331),
    [anon_sym_union] = ACTIONS(1331),
    [anon_sym_if] = ACTIONS(1331),
    [anon_sym_switch] = ACTIONS(1331),
    [anon_sym_case] = ACTIONS(1331),
    [anon_sym_default] = ACTIONS(1331),
    [anon_sym_while] = ACTIONS(1331),
    [anon_sym_do] = ACTIONS(1331),
    [anon_sym_for] = ACTIONS(1331),
    [anon_sym_return] = ACTIONS(1331),
    [anon_sym_break] = ACTIONS(1331),
    [anon_sym_continue] = ACTIONS(1331),
    [anon_sym_goto] = ACTIONS(1331),
    [anon_sym___try] = ACTIONS(1331),
    [anon_sym___leave] = ACTIONS(1331),
    [anon_sym_DASH_DASH] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(1333),
    [anon_sym_sizeof] = ACTIONS(1331),
    [anon_sym___alignof__] = ACTIONS(1331),
    [anon_sym___alignof] = ACTIONS(1331),
    [anon_sym__alignof] = ACTIONS(1331),
    [anon_sym_alignof] = ACTIONS(1331),
    [anon_sym__Alignof] = ACTIONS(1331),
    [anon_sym_offsetof] = ACTIONS(1331),
    [anon_sym__Generic] = ACTIONS(1331),
    [anon_sym_asm] = ACTIONS(1331),
    [anon_sym___asm__] = ACTIONS(1331),
    [sym_number_literal] = ACTIONS(1333),
    [anon_sym_L_SQUOTE] = ACTIONS(1333),
    [anon_sym_u_SQUOTE] = ACTIONS(1333),
    [anon_sym_U_SQUOTE] = ACTIONS(1333),
    [anon_sym_u8_SQUOTE] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1333),
    [anon_sym_L_DQUOTE] = ACTIONS(1333),
    [anon_sym_u_DQUOTE] = ACTIONS(1333),
    [anon_sym_U_DQUOTE] = ACTIONS(1333),
    [anon_sym_u8_DQUOTE] = ACTIONS(1333),
    [anon_sym_DQUOTE] = ACTIONS(1333),
    [sym_true] = ACTIONS(1331),
    [sym_false] = ACTIONS(1331),
    [anon_sym_NULL] = ACTIONS(1331),
    [anon_sym_nullptr] = ACTIONS(1331),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_identifier] = ACTIONS(1335),
    [aux_sym_preproc_include_token1] = ACTIONS(1335),
    [aux_sym_preproc_def_token1] = ACTIONS(1335),
    [aux_sym_preproc_if_token1] = ACTIONS(1335),
    [aux_sym_preproc_if_token2] = ACTIONS(1335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1335),
    [aux_sym_preproc_else_token1] = ACTIONS(1335),
    [aux_sym_preproc_elif_token1] = ACTIONS(1335),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1335),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1335),
    [sym_preproc_directive] = ACTIONS(1335),
    [anon_sym_LPAREN2] = ACTIONS(1337),
    [anon_sym_BANG] = ACTIONS(1337),
    [anon_sym_TILDE] = ACTIONS(1337),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1337),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym___extension__] = ACTIONS(1335),
    [anon_sym_typedef] = ACTIONS(1335),
    [anon_sym_extern] = ACTIONS(1335),
    [anon_sym___attribute__] = ACTIONS(1335),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1337),
    [anon_sym___declspec] = ACTIONS(1335),
    [anon_sym___cdecl] = ACTIONS(1335),
    [anon_sym___clrcall] = ACTIONS(1335),
    [anon_sym___stdcall] = ACTIONS(1335),
    [anon_sym___fastcall] = ACTIONS(1335),
    [anon_sym___thiscall] = ACTIONS(1335),
    [anon_sym___vectorcall] = ACTIONS(1335),
    [anon_sym_LBRACE] = ACTIONS(1337),
    [anon_sym_signed] = ACTIONS(1335),
    [anon_sym_unsigned] = ACTIONS(1335),
    [anon_sym_long] = ACTIONS(1335),
    [anon_sym_short] = ACTIONS(1335),
    [anon_sym_static] = ACTIONS(1335),
    [anon_sym_auto] = ACTIONS(1335),
    [anon_sym_register] = ACTIONS(1335),
    [anon_sym_inline] = ACTIONS(1335),
    [anon_sym___inline] = ACTIONS(1335),
    [anon_sym___inline__] = ACTIONS(1335),
    [anon_sym___forceinline] = ACTIONS(1335),
    [anon_sym_thread_local] = ACTIONS(1335),
    [anon_sym___thread] = ACTIONS(1335),
    [anon_sym_const] = ACTIONS(1335),
    [anon_sym_constexpr] = ACTIONS(1335),
    [anon_sym_volatile] = ACTIONS(1335),
    [anon_sym_restrict] = ACTIONS(1335),
    [anon_sym___restrict__] = ACTIONS(1335),
    [anon_sym__Atomic] = ACTIONS(1335),
    [anon_sym__Noreturn] = ACTIONS(1335),
    [anon_sym_noreturn] = ACTIONS(1335),
    [anon_sym_alignas] = ACTIONS(1335),
    [anon_sym__Alignas] = ACTIONS(1335),
    [sym_primitive_type] = ACTIONS(1335),
    [anon_sym_enum] = ACTIONS(1335),
    [anon_sym_struct] = ACTIONS(1335),
    [anon_sym_union] = ACTIONS(1335),
    [anon_sym_if] = ACTIONS(1335),
    [anon_sym_switch] = ACTIONS(1335),
    [anon_sym_case] = ACTIONS(1335),
    [anon_sym_default] = ACTIONS(1335),
    [anon_sym_while] = ACTIONS(1335),
    [anon_sym_do] = ACTIONS(1335),
    [anon_sym_for] = ACTIONS(1335),
    [anon_sym_return] = ACTIONS(1335),
    [anon_sym_break] = ACTIONS(1335),
    [anon_sym_continue] = ACTIONS(1335),
    [anon_sym_goto] = ACTIONS(1335),
    [anon_sym___try] = ACTIONS(1335),
    [anon_sym___leave] = ACTIONS(1335),
    [anon_sym_DASH_DASH] = ACTIONS(1337),
    [anon_sym_PLUS_PLUS] = ACTIONS(1337),
    [anon_sym_sizeof] = ACTIONS(1335),
    [anon_sym___alignof__] = ACTIONS(1335),
    [anon_sym___alignof] = ACTIONS(1335),
    [anon_sym__alignof] = ACTIONS(1335),
    [anon_sym_alignof] = ACTIONS(1335),
    [anon_sym__Alignof] = ACTIONS(1335),
    [anon_sym_offsetof] = ACTIONS(1335),
    [anon_sym__Generic] = ACTIONS(1335),
    [anon_sym_asm] = ACTIONS(1335),
    [anon_sym___asm__] = ACTIONS(1335),
    [sym_number_literal] = ACTIONS(1337),
    [anon_sym_L_SQUOTE] = ACTIONS(1337),
    [anon_sym_u_SQUOTE] = ACTIONS(1337),
    [anon_sym_U_SQUOTE] = ACTIONS(1337),
    [anon_sym_u8_SQUOTE] = ACTIONS(1337),
    [anon_sym_SQUOTE] = ACTIONS(1337),
    [anon_sym_L_DQUOTE] = ACTIONS(1337),
    [anon_sym_u_DQUOTE] = ACTIONS(1337),
    [anon_sym_U_DQUOTE] = ACTIONS(1337),
    [anon_sym_u8_DQUOTE] = ACTIONS(1337),
    [anon_sym_DQUOTE] = ACTIONS(1337),
    [sym_true] = ACTIONS(1335),
    [sym_false] = ACTIONS(1335),
    [anon_sym_NULL] = ACTIONS(1335),
    [anon_sym_nullptr] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_identifier] = ACTIONS(1339),
    [aux_sym_preproc_include_token1] = ACTIONS(1339),
    [aux_sym_preproc_def_token1] = ACTIONS(1339),
    [aux_sym_preproc_if_token1] = ACTIONS(1339),
    [aux_sym_preproc_if_token2] = ACTIONS(1339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1339),
    [aux_sym_preproc_else_token1] = ACTIONS(1339),
    [aux_sym_preproc_elif_token1] = ACTIONS(1339),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1339),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1339),
    [sym_preproc_directive] = ACTIONS(1339),
    [anon_sym_LPAREN2] = ACTIONS(1341),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_SEMI] = ACTIONS(1341),
    [anon_sym___extension__] = ACTIONS(1339),
    [anon_sym_typedef] = ACTIONS(1339),
    [anon_sym_extern] = ACTIONS(1339),
    [anon_sym___attribute__] = ACTIONS(1339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1341),
    [anon_sym___declspec] = ACTIONS(1339),
    [anon_sym___cdecl] = ACTIONS(1339),
    [anon_sym___clrcall] = ACTIONS(1339),
    [anon_sym___stdcall] = ACTIONS(1339),
    [anon_sym___fastcall] = ACTIONS(1339),
    [anon_sym___thiscall] = ACTIONS(1339),
    [anon_sym___vectorcall] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_signed] = ACTIONS(1339),
    [anon_sym_unsigned] = ACTIONS(1339),
    [anon_sym_long] = ACTIONS(1339),
    [anon_sym_short] = ACTIONS(1339),
    [anon_sym_static] = ACTIONS(1339),
    [anon_sym_auto] = ACTIONS(1339),
    [anon_sym_register] = ACTIONS(1339),
    [anon_sym_inline] = ACTIONS(1339),
    [anon_sym___inline] = ACTIONS(1339),
    [anon_sym___inline__] = ACTIONS(1339),
    [anon_sym___forceinline] = ACTIONS(1339),
    [anon_sym_thread_local] = ACTIONS(1339),
    [anon_sym___thread] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1339),
    [anon_sym_constexpr] = ACTIONS(1339),
    [anon_sym_volatile] = ACTIONS(1339),
    [anon_sym_restrict] = ACTIONS(1339),
    [anon_sym___restrict__] = ACTIONS(1339),
    [anon_sym__Atomic] = ACTIONS(1339),
    [anon_sym__Noreturn] = ACTIONS(1339),
    [anon_sym_noreturn] = ACTIONS(1339),
    [anon_sym_alignas] = ACTIONS(1339),
    [anon_sym__Alignas] = ACTIONS(1339),
    [sym_primitive_type] = ACTIONS(1339),
    [anon_sym_enum] = ACTIONS(1339),
    [anon_sym_struct] = ACTIONS(1339),
    [anon_sym_union] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_switch] = ACTIONS(1339),
    [anon_sym_case] = ACTIONS(1339),
    [anon_sym_default] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1339),
    [anon_sym_do] = ACTIONS(1339),
    [anon_sym_for] = ACTIONS(1339),
    [anon_sym_return] = ACTIONS(1339),
    [anon_sym_break] = ACTIONS(1339),
    [anon_sym_continue] = ACTIONS(1339),
    [anon_sym_goto] = ACTIONS(1339),
    [anon_sym___try] = ACTIONS(1339),
    [anon_sym___leave] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1341),
    [anon_sym_sizeof] = ACTIONS(1339),
    [anon_sym___alignof__] = ACTIONS(1339),
    [anon_sym___alignof] = ACTIONS(1339),
    [anon_sym__alignof] = ACTIONS(1339),
    [anon_sym_alignof] = ACTIONS(1339),
    [anon_sym__Alignof] = ACTIONS(1339),
    [anon_sym_offsetof] = ACTIONS(1339),
    [anon_sym__Generic] = ACTIONS(1339),
    [anon_sym_asm] = ACTIONS(1339),
    [anon_sym___asm__] = ACTIONS(1339),
    [sym_number_literal] = ACTIONS(1341),
    [anon_sym_L_SQUOTE] = ACTIONS(1341),
    [anon_sym_u_SQUOTE] = ACTIONS(1341),
    [anon_sym_U_SQUOTE] = ACTIONS(1341),
    [anon_sym_u8_SQUOTE] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_L_DQUOTE] = ACTIONS(1341),
    [anon_sym_u_DQUOTE] = ACTIONS(1341),
    [anon_sym_U_DQUOTE] = ACTIONS(1341),
    [anon_sym_u8_DQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_true] = ACTIONS(1339),
    [sym_false] = ACTIONS(1339),
    [anon_sym_NULL] = ACTIONS(1339),
    [anon_sym_nullptr] = ACTIONS(1339),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_identifier] = ACTIONS(1343),
    [aux_sym_preproc_include_token1] = ACTIONS(1343),
    [aux_sym_preproc_def_token1] = ACTIONS(1343),
    [aux_sym_preproc_if_token1] = ACTIONS(1343),
    [aux_sym_preproc_if_token2] = ACTIONS(1343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1343),
    [aux_sym_preproc_else_token1] = ACTIONS(1343),
    [aux_sym_preproc_elif_token1] = ACTIONS(1343),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1343),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1343),
    [sym_preproc_directive] = ACTIONS(1343),
    [anon_sym_LPAREN2] = ACTIONS(1345),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_TILDE] = ACTIONS(1345),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_SEMI] = ACTIONS(1345),
    [anon_sym___extension__] = ACTIONS(1343),
    [anon_sym_typedef] = ACTIONS(1343),
    [anon_sym_extern] = ACTIONS(1343),
    [anon_sym___attribute__] = ACTIONS(1343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1345),
    [anon_sym___declspec] = ACTIONS(1343),
    [anon_sym___cdecl] = ACTIONS(1343),
    [anon_sym___clrcall] = ACTIONS(1343),
    [anon_sym___stdcall] = ACTIONS(1343),
    [anon_sym___fastcall] = ACTIONS(1343),
    [anon_sym___thiscall] = ACTIONS(1343),
    [anon_sym___vectorcall] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_signed] = ACTIONS(1343),
    [anon_sym_unsigned] = ACTIONS(1343),
    [anon_sym_long] = ACTIONS(1343),
    [anon_sym_short] = ACTIONS(1343),
    [anon_sym_static] = ACTIONS(1343),
    [anon_sym_auto] = ACTIONS(1343),
    [anon_sym_register] = ACTIONS(1343),
    [anon_sym_inline] = ACTIONS(1343),
    [anon_sym___inline] = ACTIONS(1343),
    [anon_sym___inline__] = ACTIONS(1343),
    [anon_sym___forceinline] = ACTIONS(1343),
    [anon_sym_thread_local] = ACTIONS(1343),
    [anon_sym___thread] = ACTIONS(1343),
    [anon_sym_const] = ACTIONS(1343),
    [anon_sym_constexpr] = ACTIONS(1343),
    [anon_sym_volatile] = ACTIONS(1343),
    [anon_sym_restrict] = ACTIONS(1343),
    [anon_sym___restrict__] = ACTIONS(1343),
    [anon_sym__Atomic] = ACTIONS(1343),
    [anon_sym__Noreturn] = ACTIONS(1343),
    [anon_sym_noreturn] = ACTIONS(1343),
    [anon_sym_alignas] = ACTIONS(1343),
    [anon_sym__Alignas] = ACTIONS(1343),
    [sym_primitive_type] = ACTIONS(1343),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_struct] = ACTIONS(1343),
    [anon_sym_union] = ACTIONS(1343),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_case] = ACTIONS(1343),
    [anon_sym_default] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1343),
    [anon_sym_do] = ACTIONS(1343),
    [anon_sym_for] = ACTIONS(1343),
    [anon_sym_return] = ACTIONS(1343),
    [anon_sym_break] = ACTIONS(1343),
    [anon_sym_continue] = ACTIONS(1343),
    [anon_sym_goto] = ACTIONS(1343),
    [anon_sym___try] = ACTIONS(1343),
    [anon_sym___leave] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1345),
    [anon_sym_PLUS_PLUS] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(1343),
    [anon_sym___alignof__] = ACTIONS(1343),
    [anon_sym___alignof] = ACTIONS(1343),
    [anon_sym__alignof] = ACTIONS(1343),
    [anon_sym_alignof] = ACTIONS(1343),
    [anon_sym__Alignof] = ACTIONS(1343),
    [anon_sym_offsetof] = ACTIONS(1343),
    [anon_sym__Generic] = ACTIONS(1343),
    [anon_sym_asm] = ACTIONS(1343),
    [anon_sym___asm__] = ACTIONS(1343),
    [sym_number_literal] = ACTIONS(1345),
    [anon_sym_L_SQUOTE] = ACTIONS(1345),
    [anon_sym_u_SQUOTE] = ACTIONS(1345),
    [anon_sym_U_SQUOTE] = ACTIONS(1345),
    [anon_sym_u8_SQUOTE] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1345),
    [anon_sym_L_DQUOTE] = ACTIONS(1345),
    [anon_sym_u_DQUOTE] = ACTIONS(1345),
    [anon_sym_U_DQUOTE] = ACTIONS(1345),
    [anon_sym_u8_DQUOTE] = ACTIONS(1345),
    [anon_sym_DQUOTE] = ACTIONS(1345),
    [sym_true] = ACTIONS(1343),
    [sym_false] = ACTIONS(1343),
    [anon_sym_NULL] = ACTIONS(1343),
    [anon_sym_nullptr] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_identifier] = ACTIONS(1347),
    [aux_sym_preproc_include_token1] = ACTIONS(1347),
    [aux_sym_preproc_def_token1] = ACTIONS(1347),
    [aux_sym_preproc_if_token1] = ACTIONS(1347),
    [aux_sym_preproc_if_token2] = ACTIONS(1347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1347),
    [aux_sym_preproc_else_token1] = ACTIONS(1347),
    [aux_sym_preproc_elif_token1] = ACTIONS(1347),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1347),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1347),
    [sym_preproc_directive] = ACTIONS(1347),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym___extension__] = ACTIONS(1347),
    [anon_sym_typedef] = ACTIONS(1347),
    [anon_sym_extern] = ACTIONS(1347),
    [anon_sym___attribute__] = ACTIONS(1347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1347),
    [anon_sym___cdecl] = ACTIONS(1347),
    [anon_sym___clrcall] = ACTIONS(1347),
    [anon_sym___stdcall] = ACTIONS(1347),
    [anon_sym___fastcall] = ACTIONS(1347),
    [anon_sym___thiscall] = ACTIONS(1347),
    [anon_sym___vectorcall] = ACTIONS(1347),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1347),
    [anon_sym_unsigned] = ACTIONS(1347),
    [anon_sym_long] = ACTIONS(1347),
    [anon_sym_short] = ACTIONS(1347),
    [anon_sym_static] = ACTIONS(1347),
    [anon_sym_auto] = ACTIONS(1347),
    [anon_sym_register] = ACTIONS(1347),
    [anon_sym_inline] = ACTIONS(1347),
    [anon_sym___inline] = ACTIONS(1347),
    [anon_sym___inline__] = ACTIONS(1347),
    [anon_sym___forceinline] = ACTIONS(1347),
    [anon_sym_thread_local] = ACTIONS(1347),
    [anon_sym___thread] = ACTIONS(1347),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_constexpr] = ACTIONS(1347),
    [anon_sym_volatile] = ACTIONS(1347),
    [anon_sym_restrict] = ACTIONS(1347),
    [anon_sym___restrict__] = ACTIONS(1347),
    [anon_sym__Atomic] = ACTIONS(1347),
    [anon_sym__Noreturn] = ACTIONS(1347),
    [anon_sym_noreturn] = ACTIONS(1347),
    [anon_sym_alignas] = ACTIONS(1347),
    [anon_sym__Alignas] = ACTIONS(1347),
    [sym_primitive_type] = ACTIONS(1347),
    [anon_sym_enum] = ACTIONS(1347),
    [anon_sym_struct] = ACTIONS(1347),
    [anon_sym_union] = ACTIONS(1347),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_switch] = ACTIONS(1347),
    [anon_sym_case] = ACTIONS(1347),
    [anon_sym_default] = ACTIONS(1347),
    [anon_sym_while] = ACTIONS(1347),
    [anon_sym_do] = ACTIONS(1347),
    [anon_sym_for] = ACTIONS(1347),
    [anon_sym_return] = ACTIONS(1347),
    [anon_sym_break] = ACTIONS(1347),
    [anon_sym_continue] = ACTIONS(1347),
    [anon_sym_goto] = ACTIONS(1347),
    [anon_sym___try] = ACTIONS(1347),
    [anon_sym___leave] = ACTIONS(1347),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1347),
    [anon_sym___alignof__] = ACTIONS(1347),
    [anon_sym___alignof] = ACTIONS(1347),
    [anon_sym__alignof] = ACTIONS(1347),
    [anon_sym_alignof] = ACTIONS(1347),
    [anon_sym__Alignof] = ACTIONS(1347),
    [anon_sym_offsetof] = ACTIONS(1347),
    [anon_sym__Generic] = ACTIONS(1347),
    [anon_sym_asm] = ACTIONS(1347),
    [anon_sym___asm__] = ACTIONS(1347),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1347),
    [sym_false] = ACTIONS(1347),
    [anon_sym_NULL] = ACTIONS(1347),
    [anon_sym_nullptr] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_identifier] = ACTIONS(1353),
    [aux_sym_preproc_include_token1] = ACTIONS(1353),
    [aux_sym_preproc_def_token1] = ACTIONS(1353),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_if_token2] = ACTIONS(1353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1353),
    [aux_sym_preproc_else_token1] = ACTIONS(1353),
    [aux_sym_preproc_elif_token1] = ACTIONS(1353),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1353),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1353),
    [sym_preproc_directive] = ACTIONS(1353),
    [anon_sym_LPAREN2] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1355),
    [anon_sym_TILDE] = ACTIONS(1355),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1355),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_SEMI] = ACTIONS(1355),
    [anon_sym___extension__] = ACTIONS(1353),
    [anon_sym_typedef] = ACTIONS(1353),
    [anon_sym_extern] = ACTIONS(1353),
    [anon_sym___attribute__] = ACTIONS(1353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1355),
    [anon_sym___declspec] = ACTIONS(1353),
    [anon_sym___cdecl] = ACTIONS(1353),
    [anon_sym___clrcall] = ACTIONS(1353),
    [anon_sym___stdcall] = ACTIONS(1353),
    [anon_sym___fastcall] = ACTIONS(1353),
    [anon_sym___thiscall] = ACTIONS(1353),
    [anon_sym___vectorcall] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_signed] = ACTIONS(1353),
    [anon_sym_unsigned] = ACTIONS(1353),
    [anon_sym_long] = ACTIONS(1353),
    [anon_sym_short] = ACTIONS(1353),
    [anon_sym_static] = ACTIONS(1353),
    [anon_sym_auto] = ACTIONS(1353),
    [anon_sym_register] = ACTIONS(1353),
    [anon_sym_inline] = ACTIONS(1353),
    [anon_sym___inline] = ACTIONS(1353),
    [anon_sym___inline__] = ACTIONS(1353),
    [anon_sym___forceinline] = ACTIONS(1353),
    [anon_sym_thread_local] = ACTIONS(1353),
    [anon_sym___thread] = ACTIONS(1353),
    [anon_sym_const] = ACTIONS(1353),
    [anon_sym_constexpr] = ACTIONS(1353),
    [anon_sym_volatile] = ACTIONS(1353),
    [anon_sym_restrict] = ACTIONS(1353),
    [anon_sym___restrict__] = ACTIONS(1353),
    [anon_sym__Atomic] = ACTIONS(1353),
    [anon_sym__Noreturn] = ACTIONS(1353),
    [anon_sym_noreturn] = ACTIONS(1353),
    [anon_sym_alignas] = ACTIONS(1353),
    [anon_sym__Alignas] = ACTIONS(1353),
    [sym_primitive_type] = ACTIONS(1353),
    [anon_sym_enum] = ACTIONS(1353),
    [anon_sym_struct] = ACTIONS(1353),
    [anon_sym_union] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1353),
    [anon_sym_switch] = ACTIONS(1353),
    [anon_sym_case] = ACTIONS(1353),
    [anon_sym_default] = ACTIONS(1353),
    [anon_sym_while] = ACTIONS(1353),
    [anon_sym_do] = ACTIONS(1353),
    [anon_sym_for] = ACTIONS(1353),
    [anon_sym_return] = ACTIONS(1353),
    [anon_sym_break] = ACTIONS(1353),
    [anon_sym_continue] = ACTIONS(1353),
    [anon_sym_goto] = ACTIONS(1353),
    [anon_sym___try] = ACTIONS(1353),
    [anon_sym___leave] = ACTIONS(1353),
    [anon_sym_DASH_DASH] = ACTIONS(1355),
    [anon_sym_PLUS_PLUS] = ACTIONS(1355),
    [anon_sym_sizeof] = ACTIONS(1353),
    [anon_sym___alignof__] = ACTIONS(1353),
    [anon_sym___alignof] = ACTIONS(1353),
    [anon_sym__alignof] = ACTIONS(1353),
    [anon_sym_alignof] = ACTIONS(1353),
    [anon_sym__Alignof] = ACTIONS(1353),
    [anon_sym_offsetof] = ACTIONS(1353),
    [anon_sym__Generic] = ACTIONS(1353),
    [anon_sym_asm] = ACTIONS(1353),
    [anon_sym___asm__] = ACTIONS(1353),
    [sym_number_literal] = ACTIONS(1355),
    [anon_sym_L_SQUOTE] = ACTIONS(1355),
    [anon_sym_u_SQUOTE] = ACTIONS(1355),
    [anon_sym_U_SQUOTE] = ACTIONS(1355),
    [anon_sym_u8_SQUOTE] = ACTIONS(1355),
    [anon_sym_SQUOTE] = ACTIONS(1355),
    [anon_sym_L_DQUOTE] = ACTIONS(1355),
    [anon_sym_u_DQUOTE] = ACTIONS(1355),
    [anon_sym_U_DQUOTE] = ACTIONS(1355),
    [anon_sym_u8_DQUOTE] = ACTIONS(1355),
    [anon_sym_DQUOTE] = ACTIONS(1355),
    [sym_true] = ACTIONS(1353),
    [sym_false] = ACTIONS(1353),
    [anon_sym_NULL] = ACTIONS(1353),
    [anon_sym_nullptr] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_identifier] = ACTIONS(1357),
    [aux_sym_preproc_include_token1] = ACTIONS(1357),
    [aux_sym_preproc_def_token1] = ACTIONS(1357),
    [aux_sym_preproc_if_token1] = ACTIONS(1357),
    [aux_sym_preproc_if_token2] = ACTIONS(1357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1357),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1357),
    [aux_sym_preproc_else_token1] = ACTIONS(1357),
    [aux_sym_preproc_elif_token1] = ACTIONS(1357),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1357),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1357),
    [sym_preproc_directive] = ACTIONS(1357),
    [anon_sym_LPAREN2] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1357),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_SEMI] = ACTIONS(1359),
    [anon_sym___extension__] = ACTIONS(1357),
    [anon_sym_typedef] = ACTIONS(1357),
    [anon_sym_extern] = ACTIONS(1357),
    [anon_sym___attribute__] = ACTIONS(1357),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1359),
    [anon_sym___declspec] = ACTIONS(1357),
    [anon_sym___cdecl] = ACTIONS(1357),
    [anon_sym___clrcall] = ACTIONS(1357),
    [anon_sym___stdcall] = ACTIONS(1357),
    [anon_sym___fastcall] = ACTIONS(1357),
    [anon_sym___thiscall] = ACTIONS(1357),
    [anon_sym___vectorcall] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1359),
    [anon_sym_signed] = ACTIONS(1357),
    [anon_sym_unsigned] = ACTIONS(1357),
    [anon_sym_long] = ACTIONS(1357),
    [anon_sym_short] = ACTIONS(1357),
    [anon_sym_static] = ACTIONS(1357),
    [anon_sym_auto] = ACTIONS(1357),
    [anon_sym_register] = ACTIONS(1357),
    [anon_sym_inline] = ACTIONS(1357),
    [anon_sym___inline] = ACTIONS(1357),
    [anon_sym___inline__] = ACTIONS(1357),
    [anon_sym___forceinline] = ACTIONS(1357),
    [anon_sym_thread_local] = ACTIONS(1357),
    [anon_sym___thread] = ACTIONS(1357),
    [anon_sym_const] = ACTIONS(1357),
    [anon_sym_constexpr] = ACTIONS(1357),
    [anon_sym_volatile] = ACTIONS(1357),
    [anon_sym_restrict] = ACTIONS(1357),
    [anon_sym___restrict__] = ACTIONS(1357),
    [anon_sym__Atomic] = ACTIONS(1357),
    [anon_sym__Noreturn] = ACTIONS(1357),
    [anon_sym_noreturn] = ACTIONS(1357),
    [anon_sym_alignas] = ACTIONS(1357),
    [anon_sym__Alignas] = ACTIONS(1357),
    [sym_primitive_type] = ACTIONS(1357),
    [anon_sym_enum] = ACTIONS(1357),
    [anon_sym_struct] = ACTIONS(1357),
    [anon_sym_union] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_switch] = ACTIONS(1357),
    [anon_sym_case] = ACTIONS(1357),
    [anon_sym_default] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_do] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_break] = ACTIONS(1357),
    [anon_sym_continue] = ACTIONS(1357),
    [anon_sym_goto] = ACTIONS(1357),
    [anon_sym___try] = ACTIONS(1357),
    [anon_sym___leave] = ACTIONS(1357),
    [anon_sym_DASH_DASH] = ACTIONS(1359),
    [anon_sym_PLUS_PLUS] = ACTIONS(1359),
    [anon_sym_sizeof] = ACTIONS(1357),
    [anon_sym___alignof__] = ACTIONS(1357),
    [anon_sym___alignof] = ACTIONS(1357),
    [anon_sym__alignof] = ACTIONS(1357),
    [anon_sym_alignof] = ACTIONS(1357),
    [anon_sym__Alignof] = ACTIONS(1357),
    [anon_sym_offsetof] = ACTIONS(1357),
    [anon_sym__Generic] = ACTIONS(1357),
    [anon_sym_asm] = ACTIONS(1357),
    [anon_sym___asm__] = ACTIONS(1357),
    [sym_number_literal] = ACTIONS(1359),
    [anon_sym_L_SQUOTE] = ACTIONS(1359),
    [anon_sym_u_SQUOTE] = ACTIONS(1359),
    [anon_sym_U_SQUOTE] = ACTIONS(1359),
    [anon_sym_u8_SQUOTE] = ACTIONS(1359),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_L_DQUOTE] = ACTIONS(1359),
    [anon_sym_u_DQUOTE] = ACTIONS(1359),
    [anon_sym_U_DQUOTE] = ACTIONS(1359),
    [anon_sym_u8_DQUOTE] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [anon_sym_NULL] = ACTIONS(1357),
    [anon_sym_nullptr] = ACTIONS(1357),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_identifier] = ACTIONS(1361),
    [aux_sym_preproc_include_token1] = ACTIONS(1361),
    [aux_sym_preproc_def_token1] = ACTIONS(1361),
    [aux_sym_preproc_if_token1] = ACTIONS(1361),
    [aux_sym_preproc_if_token2] = ACTIONS(1361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1361),
    [aux_sym_preproc_else_token1] = ACTIONS(1361),
    [aux_sym_preproc_elif_token1] = ACTIONS(1361),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1361),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1361),
    [sym_preproc_directive] = ACTIONS(1361),
    [anon_sym_LPAREN2] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_TILDE] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1363),
    [anon_sym___extension__] = ACTIONS(1361),
    [anon_sym_typedef] = ACTIONS(1361),
    [anon_sym_extern] = ACTIONS(1361),
    [anon_sym___attribute__] = ACTIONS(1361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1363),
    [anon_sym___declspec] = ACTIONS(1361),
    [anon_sym___cdecl] = ACTIONS(1361),
    [anon_sym___clrcall] = ACTIONS(1361),
    [anon_sym___stdcall] = ACTIONS(1361),
    [anon_sym___fastcall] = ACTIONS(1361),
    [anon_sym___thiscall] = ACTIONS(1361),
    [anon_sym___vectorcall] = ACTIONS(1361),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_signed] = ACTIONS(1361),
    [anon_sym_unsigned] = ACTIONS(1361),
    [anon_sym_long] = ACTIONS(1361),
    [anon_sym_short] = ACTIONS(1361),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_auto] = ACTIONS(1361),
    [anon_sym_register] = ACTIONS(1361),
    [anon_sym_inline] = ACTIONS(1361),
    [anon_sym___inline] = ACTIONS(1361),
    [anon_sym___inline__] = ACTIONS(1361),
    [anon_sym___forceinline] = ACTIONS(1361),
    [anon_sym_thread_local] = ACTIONS(1361),
    [anon_sym___thread] = ACTIONS(1361),
    [anon_sym_const] = ACTIONS(1361),
    [anon_sym_constexpr] = ACTIONS(1361),
    [anon_sym_volatile] = ACTIONS(1361),
    [anon_sym_restrict] = ACTIONS(1361),
    [anon_sym___restrict__] = ACTIONS(1361),
    [anon_sym__Atomic] = ACTIONS(1361),
    [anon_sym__Noreturn] = ACTIONS(1361),
    [anon_sym_noreturn] = ACTIONS(1361),
    [anon_sym_alignas] = ACTIONS(1361),
    [anon_sym__Alignas] = ACTIONS(1361),
    [sym_primitive_type] = ACTIONS(1361),
    [anon_sym_enum] = ACTIONS(1361),
    [anon_sym_struct] = ACTIONS(1361),
    [anon_sym_union] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_switch] = ACTIONS(1361),
    [anon_sym_case] = ACTIONS(1361),
    [anon_sym_default] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1361),
    [anon_sym_do] = ACTIONS(1361),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_return] = ACTIONS(1361),
    [anon_sym_break] = ACTIONS(1361),
    [anon_sym_continue] = ACTIONS(1361),
    [anon_sym_goto] = ACTIONS(1361),
    [anon_sym___try] = ACTIONS(1361),
    [anon_sym___leave] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1363),
    [anon_sym_PLUS_PLUS] = ACTIONS(1363),
    [anon_sym_sizeof] = ACTIONS(1361),
    [anon_sym___alignof__] = ACTIONS(1361),
    [anon_sym___alignof] = ACTIONS(1361),
    [anon_sym__alignof] = ACTIONS(1361),
    [anon_sym_alignof] = ACTIONS(1361),
    [anon_sym__Alignof] = ACTIONS(1361),
    [anon_sym_offsetof] = ACTIONS(1361),
    [anon_sym__Generic] = ACTIONS(1361),
    [anon_sym_asm] = ACTIONS(1361),
    [anon_sym___asm__] = ACTIONS(1361),
    [sym_number_literal] = ACTIONS(1363),
    [anon_sym_L_SQUOTE] = ACTIONS(1363),
    [anon_sym_u_SQUOTE] = ACTIONS(1363),
    [anon_sym_U_SQUOTE] = ACTIONS(1363),
    [anon_sym_u8_SQUOTE] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1363),
    [anon_sym_L_DQUOTE] = ACTIONS(1363),
    [anon_sym_u_DQUOTE] = ACTIONS(1363),
    [anon_sym_U_DQUOTE] = ACTIONS(1363),
    [anon_sym_u8_DQUOTE] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_true] = ACTIONS(1361),
    [sym_false] = ACTIONS(1361),
    [anon_sym_NULL] = ACTIONS(1361),
    [anon_sym_nullptr] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_identifier] = ACTIONS(1365),
    [aux_sym_preproc_include_token1] = ACTIONS(1365),
    [aux_sym_preproc_def_token1] = ACTIONS(1365),
    [aux_sym_preproc_if_token1] = ACTIONS(1365),
    [aux_sym_preproc_if_token2] = ACTIONS(1365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1365),
    [aux_sym_preproc_else_token1] = ACTIONS(1365),
    [aux_sym_preproc_elif_token1] = ACTIONS(1365),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1365),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1365),
    [sym_preproc_directive] = ACTIONS(1365),
    [anon_sym_LPAREN2] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [anon_sym___extension__] = ACTIONS(1365),
    [anon_sym_typedef] = ACTIONS(1365),
    [anon_sym_extern] = ACTIONS(1365),
    [anon_sym___attribute__] = ACTIONS(1365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1367),
    [anon_sym___declspec] = ACTIONS(1365),
    [anon_sym___cdecl] = ACTIONS(1365),
    [anon_sym___clrcall] = ACTIONS(1365),
    [anon_sym___stdcall] = ACTIONS(1365),
    [anon_sym___fastcall] = ACTIONS(1365),
    [anon_sym___thiscall] = ACTIONS(1365),
    [anon_sym___vectorcall] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_signed] = ACTIONS(1365),
    [anon_sym_unsigned] = ACTIONS(1365),
    [anon_sym_long] = ACTIONS(1365),
    [anon_sym_short] = ACTIONS(1365),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_auto] = ACTIONS(1365),
    [anon_sym_register] = ACTIONS(1365),
    [anon_sym_inline] = ACTIONS(1365),
    [anon_sym___inline] = ACTIONS(1365),
    [anon_sym___inline__] = ACTIONS(1365),
    [anon_sym___forceinline] = ACTIONS(1365),
    [anon_sym_thread_local] = ACTIONS(1365),
    [anon_sym___thread] = ACTIONS(1365),
    [anon_sym_const] = ACTIONS(1365),
    [anon_sym_constexpr] = ACTIONS(1365),
    [anon_sym_volatile] = ACTIONS(1365),
    [anon_sym_restrict] = ACTIONS(1365),
    [anon_sym___restrict__] = ACTIONS(1365),
    [anon_sym__Atomic] = ACTIONS(1365),
    [anon_sym__Noreturn] = ACTIONS(1365),
    [anon_sym_noreturn] = ACTIONS(1365),
    [anon_sym_alignas] = ACTIONS(1365),
    [anon_sym__Alignas] = ACTIONS(1365),
    [sym_primitive_type] = ACTIONS(1365),
    [anon_sym_enum] = ACTIONS(1365),
    [anon_sym_struct] = ACTIONS(1365),
    [anon_sym_union] = ACTIONS(1365),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_switch] = ACTIONS(1365),
    [anon_sym_case] = ACTIONS(1365),
    [anon_sym_default] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1365),
    [anon_sym_do] = ACTIONS(1365),
    [anon_sym_for] = ACTIONS(1365),
    [anon_sym_return] = ACTIONS(1365),
    [anon_sym_break] = ACTIONS(1365),
    [anon_sym_continue] = ACTIONS(1365),
    [anon_sym_goto] = ACTIONS(1365),
    [anon_sym___try] = ACTIONS(1365),
    [anon_sym___leave] = ACTIONS(1365),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_sizeof] = ACTIONS(1365),
    [anon_sym___alignof__] = ACTIONS(1365),
    [anon_sym___alignof] = ACTIONS(1365),
    [anon_sym__alignof] = ACTIONS(1365),
    [anon_sym_alignof] = ACTIONS(1365),
    [anon_sym__Alignof] = ACTIONS(1365),
    [anon_sym_offsetof] = ACTIONS(1365),
    [anon_sym__Generic] = ACTIONS(1365),
    [anon_sym_asm] = ACTIONS(1365),
    [anon_sym___asm__] = ACTIONS(1365),
    [sym_number_literal] = ACTIONS(1367),
    [anon_sym_L_SQUOTE] = ACTIONS(1367),
    [anon_sym_u_SQUOTE] = ACTIONS(1367),
    [anon_sym_U_SQUOTE] = ACTIONS(1367),
    [anon_sym_u8_SQUOTE] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1367),
    [anon_sym_L_DQUOTE] = ACTIONS(1367),
    [anon_sym_u_DQUOTE] = ACTIONS(1367),
    [anon_sym_U_DQUOTE] = ACTIONS(1367),
    [anon_sym_u8_DQUOTE] = ACTIONS(1367),
    [anon_sym_DQUOTE] = ACTIONS(1367),
    [sym_true] = ACTIONS(1365),
    [sym_false] = ACTIONS(1365),
    [anon_sym_NULL] = ACTIONS(1365),
    [anon_sym_nullptr] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_else_clause] = STATE(224),
    [ts_builtin_sym_end] = ACTIONS(1119),
    [sym_identifier] = ACTIONS(1117),
    [aux_sym_preproc_include_token1] = ACTIONS(1117),
    [aux_sym_preproc_def_token1] = ACTIONS(1117),
    [aux_sym_preproc_if_token1] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1117),
    [sym_preproc_directive] = ACTIONS(1117),
    [anon_sym_LPAREN2] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_STAR] = ACTIONS(1119),
    [anon_sym_AMP] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym___extension__] = ACTIONS(1117),
    [anon_sym_typedef] = ACTIONS(1117),
    [anon_sym_extern] = ACTIONS(1117),
    [anon_sym___attribute__] = ACTIONS(1117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1119),
    [anon_sym___declspec] = ACTIONS(1117),
    [anon_sym___cdecl] = ACTIONS(1117),
    [anon_sym___clrcall] = ACTIONS(1117),
    [anon_sym___stdcall] = ACTIONS(1117),
    [anon_sym___fastcall] = ACTIONS(1117),
    [anon_sym___thiscall] = ACTIONS(1117),
    [anon_sym___vectorcall] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_signed] = ACTIONS(1117),
    [anon_sym_unsigned] = ACTIONS(1117),
    [anon_sym_long] = ACTIONS(1117),
    [anon_sym_short] = ACTIONS(1117),
    [anon_sym_static] = ACTIONS(1117),
    [anon_sym_auto] = ACTIONS(1117),
    [anon_sym_register] = ACTIONS(1117),
    [anon_sym_inline] = ACTIONS(1117),
    [anon_sym___inline] = ACTIONS(1117),
    [anon_sym___inline__] = ACTIONS(1117),
    [anon_sym___forceinline] = ACTIONS(1117),
    [anon_sym_thread_local] = ACTIONS(1117),
    [anon_sym___thread] = ACTIONS(1117),
    [anon_sym_const] = ACTIONS(1117),
    [anon_sym_constexpr] = ACTIONS(1117),
    [anon_sym_volatile] = ACTIONS(1117),
    [anon_sym_restrict] = ACTIONS(1117),
    [anon_sym___restrict__] = ACTIONS(1117),
    [anon_sym__Atomic] = ACTIONS(1117),
    [anon_sym__Noreturn] = ACTIONS(1117),
    [anon_sym_noreturn] = ACTIONS(1117),
    [anon_sym_alignas] = ACTIONS(1117),
    [anon_sym__Alignas] = ACTIONS(1117),
    [sym_primitive_type] = ACTIONS(1117),
    [anon_sym_enum] = ACTIONS(1117),
    [anon_sym_struct] = ACTIONS(1117),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_else] = ACTIONS(1369),
    [anon_sym_switch] = ACTIONS(1117),
    [anon_sym_case] = ACTIONS(1117),
    [anon_sym_default] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_do] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_return] = ACTIONS(1117),
    [anon_sym_break] = ACTIONS(1117),
    [anon_sym_continue] = ACTIONS(1117),
    [anon_sym_goto] = ACTIONS(1117),
    [anon_sym___try] = ACTIONS(1117),
    [anon_sym___leave] = ACTIONS(1117),
    [anon_sym_DASH_DASH] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1119),
    [anon_sym_sizeof] = ACTIONS(1117),
    [anon_sym___alignof__] = ACTIONS(1117),
    [anon_sym___alignof] = ACTIONS(1117),
    [anon_sym__alignof] = ACTIONS(1117),
    [anon_sym_alignof] = ACTIONS(1117),
    [anon_sym__Alignof] = ACTIONS(1117),
    [anon_sym_offsetof] = ACTIONS(1117),
    [anon_sym__Generic] = ACTIONS(1117),
    [anon_sym_asm] = ACTIONS(1117),
    [anon_sym___asm__] = ACTIONS(1117),
    [sym_number_literal] = ACTIONS(1119),
    [anon_sym_L_SQUOTE] = ACTIONS(1119),
    [anon_sym_u_SQUOTE] = ACTIONS(1119),
    [anon_sym_U_SQUOTE] = ACTIONS(1119),
    [anon_sym_u8_SQUOTE] = ACTIONS(1119),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_L_DQUOTE] = ACTIONS(1119),
    [anon_sym_u_DQUOTE] = ACTIONS(1119),
    [anon_sym_U_DQUOTE] = ACTIONS(1119),
    [anon_sym_u8_DQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [anon_sym_NULL] = ACTIONS(1117),
    [anon_sym_nullptr] = ACTIONS(1117),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_else_clause] = STATE(162),
    [sym_identifier] = ACTIONS(1117),
    [aux_sym_preproc_include_token1] = ACTIONS(1117),
    [aux_sym_preproc_def_token1] = ACTIONS(1117),
    [aux_sym_preproc_if_token1] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1117),
    [sym_preproc_directive] = ACTIONS(1117),
    [anon_sym_LPAREN2] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_STAR] = ACTIONS(1119),
    [anon_sym_AMP] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym___extension__] = ACTIONS(1117),
    [anon_sym_typedef] = ACTIONS(1117),
    [anon_sym_extern] = ACTIONS(1117),
    [anon_sym___attribute__] = ACTIONS(1117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1119),
    [anon_sym___declspec] = ACTIONS(1117),
    [anon_sym___cdecl] = ACTIONS(1117),
    [anon_sym___clrcall] = ACTIONS(1117),
    [anon_sym___stdcall] = ACTIONS(1117),
    [anon_sym___fastcall] = ACTIONS(1117),
    [anon_sym___thiscall] = ACTIONS(1117),
    [anon_sym___vectorcall] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_RBRACE] = ACTIONS(1119),
    [anon_sym_signed] = ACTIONS(1117),
    [anon_sym_unsigned] = ACTIONS(1117),
    [anon_sym_long] = ACTIONS(1117),
    [anon_sym_short] = ACTIONS(1117),
    [anon_sym_static] = ACTIONS(1117),
    [anon_sym_auto] = ACTIONS(1117),
    [anon_sym_register] = ACTIONS(1117),
    [anon_sym_inline] = ACTIONS(1117),
    [anon_sym___inline] = ACTIONS(1117),
    [anon_sym___inline__] = ACTIONS(1117),
    [anon_sym___forceinline] = ACTIONS(1117),
    [anon_sym_thread_local] = ACTIONS(1117),
    [anon_sym___thread] = ACTIONS(1117),
    [anon_sym_const] = ACTIONS(1117),
    [anon_sym_constexpr] = ACTIONS(1117),
    [anon_sym_volatile] = ACTIONS(1117),
    [anon_sym_restrict] = ACTIONS(1117),
    [anon_sym___restrict__] = ACTIONS(1117),
    [anon_sym__Atomic] = ACTIONS(1117),
    [anon_sym__Noreturn] = ACTIONS(1117),
    [anon_sym_noreturn] = ACTIONS(1117),
    [anon_sym_alignas] = ACTIONS(1117),
    [anon_sym__Alignas] = ACTIONS(1117),
    [sym_primitive_type] = ACTIONS(1117),
    [anon_sym_enum] = ACTIONS(1117),
    [anon_sym_struct] = ACTIONS(1117),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_else] = ACTIONS(1371),
    [anon_sym_switch] = ACTIONS(1117),
    [anon_sym_case] = ACTIONS(1117),
    [anon_sym_default] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_do] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_return] = ACTIONS(1117),
    [anon_sym_break] = ACTIONS(1117),
    [anon_sym_continue] = ACTIONS(1117),
    [anon_sym_goto] = ACTIONS(1117),
    [anon_sym___try] = ACTIONS(1117),
    [anon_sym___leave] = ACTIONS(1117),
    [anon_sym_DASH_DASH] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1119),
    [anon_sym_sizeof] = ACTIONS(1117),
    [anon_sym___alignof__] = ACTIONS(1117),
    [anon_sym___alignof] = ACTIONS(1117),
    [anon_sym__alignof] = ACTIONS(1117),
    [anon_sym_alignof] = ACTIONS(1117),
    [anon_sym__Alignof] = ACTIONS(1117),
    [anon_sym_offsetof] = ACTIONS(1117),
    [anon_sym__Generic] = ACTIONS(1117),
    [anon_sym_asm] = ACTIONS(1117),
    [anon_sym___asm__] = ACTIONS(1117),
    [sym_number_literal] = ACTIONS(1119),
    [anon_sym_L_SQUOTE] = ACTIONS(1119),
    [anon_sym_u_SQUOTE] = ACTIONS(1119),
    [anon_sym_U_SQUOTE] = ACTIONS(1119),
    [anon_sym_u8_SQUOTE] = ACTIONS(1119),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_L_DQUOTE] = ACTIONS(1119),
    [anon_sym_u_DQUOTE] = ACTIONS(1119),
    [anon_sym_U_DQUOTE] = ACTIONS(1119),
    [anon_sym_u8_DQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [anon_sym_NULL] = ACTIONS(1117),
    [anon_sym_nullptr] = ACTIONS(1117),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_else_clause] = STATE(203),
    [sym_identifier] = ACTIONS(1117),
    [aux_sym_preproc_include_token1] = ACTIONS(1117),
    [aux_sym_preproc_def_token1] = ACTIONS(1117),
    [aux_sym_preproc_if_token1] = ACTIONS(1117),
    [aux_sym_preproc_if_token2] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1117),
    [sym_preproc_directive] = ACTIONS(1117),
    [anon_sym_LPAREN2] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_STAR] = ACTIONS(1119),
    [anon_sym_AMP] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym___extension__] = ACTIONS(1117),
    [anon_sym_typedef] = ACTIONS(1117),
    [anon_sym_extern] = ACTIONS(1117),
    [anon_sym___attribute__] = ACTIONS(1117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1119),
    [anon_sym___declspec] = ACTIONS(1117),
    [anon_sym___cdecl] = ACTIONS(1117),
    [anon_sym___clrcall] = ACTIONS(1117),
    [anon_sym___stdcall] = ACTIONS(1117),
    [anon_sym___fastcall] = ACTIONS(1117),
    [anon_sym___thiscall] = ACTIONS(1117),
    [anon_sym___vectorcall] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_signed] = ACTIONS(1117),
    [anon_sym_unsigned] = ACTIONS(1117),
    [anon_sym_long] = ACTIONS(1117),
    [anon_sym_short] = ACTIONS(1117),
    [anon_sym_static] = ACTIONS(1117),
    [anon_sym_auto] = ACTIONS(1117),
    [anon_sym_register] = ACTIONS(1117),
    [anon_sym_inline] = ACTIONS(1117),
    [anon_sym___inline] = ACTIONS(1117),
    [anon_sym___inline__] = ACTIONS(1117),
    [anon_sym___forceinline] = ACTIONS(1117),
    [anon_sym_thread_local] = ACTIONS(1117),
    [anon_sym___thread] = ACTIONS(1117),
    [anon_sym_const] = ACTIONS(1117),
    [anon_sym_constexpr] = ACTIONS(1117),
    [anon_sym_volatile] = ACTIONS(1117),
    [anon_sym_restrict] = ACTIONS(1117),
    [anon_sym___restrict__] = ACTIONS(1117),
    [anon_sym__Atomic] = ACTIONS(1117),
    [anon_sym__Noreturn] = ACTIONS(1117),
    [anon_sym_noreturn] = ACTIONS(1117),
    [anon_sym_alignas] = ACTIONS(1117),
    [anon_sym__Alignas] = ACTIONS(1117),
    [sym_primitive_type] = ACTIONS(1117),
    [anon_sym_enum] = ACTIONS(1117),
    [anon_sym_struct] = ACTIONS(1117),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_else] = ACTIONS(1373),
    [anon_sym_switch] = ACTIONS(1117),
    [anon_sym_case] = ACTIONS(1117),
    [anon_sym_default] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_do] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_return] = ACTIONS(1117),
    [anon_sym_break] = ACTIONS(1117),
    [anon_sym_continue] = ACTIONS(1117),
    [anon_sym_goto] = ACTIONS(1117),
    [anon_sym___try] = ACTIONS(1117),
    [anon_sym___leave] = ACTIONS(1117),
    [anon_sym_DASH_DASH] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1119),
    [anon_sym_sizeof] = ACTIONS(1117),
    [anon_sym___alignof__] = ACTIONS(1117),
    [anon_sym___alignof] = ACTIONS(1117),
    [anon_sym__alignof] = ACTIONS(1117),
    [anon_sym_alignof] = ACTIONS(1117),
    [anon_sym__Alignof] = ACTIONS(1117),
    [anon_sym_offsetof] = ACTIONS(1117),
    [anon_sym__Generic] = ACTIONS(1117),
    [anon_sym_asm] = ACTIONS(1117),
    [anon_sym___asm__] = ACTIONS(1117),
    [sym_number_literal] = ACTIONS(1119),
    [anon_sym_L_SQUOTE] = ACTIONS(1119),
    [anon_sym_u_SQUOTE] = ACTIONS(1119),
    [anon_sym_U_SQUOTE] = ACTIONS(1119),
    [anon_sym_u8_SQUOTE] = ACTIONS(1119),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_L_DQUOTE] = ACTIONS(1119),
    [anon_sym_u_DQUOTE] = ACTIONS(1119),
    [anon_sym_U_DQUOTE] = ACTIONS(1119),
    [anon_sym_u8_DQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [anon_sym_NULL] = ACTIONS(1117),
    [anon_sym_nullptr] = ACTIONS(1117),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_identifier] = ACTIONS(1131),
    [aux_sym_preproc_include_token1] = ACTIONS(1131),
    [aux_sym_preproc_def_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1131),
    [sym_preproc_directive] = ACTIONS(1131),
    [anon_sym_LPAREN2] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym___extension__] = ACTIONS(1131),
    [anon_sym_typedef] = ACTIONS(1131),
    [anon_sym_extern] = ACTIONS(1131),
    [anon_sym___attribute__] = ACTIONS(1131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1133),
    [anon_sym___declspec] = ACTIONS(1131),
    [anon_sym___cdecl] = ACTIONS(1131),
    [anon_sym___clrcall] = ACTIONS(1131),
    [anon_sym___stdcall] = ACTIONS(1131),
    [anon_sym___fastcall] = ACTIONS(1131),
    [anon_sym___thiscall] = ACTIONS(1131),
    [anon_sym___vectorcall] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_RBRACE] = ACTIONS(1133),
    [anon_sym_signed] = ACTIONS(1131),
    [anon_sym_unsigned] = ACTIONS(1131),
    [anon_sym_long] = ACTIONS(1131),
    [anon_sym_short] = ACTIONS(1131),
    [anon_sym_static] = ACTIONS(1131),
    [anon_sym_auto] = ACTIONS(1131),
    [anon_sym_register] = ACTIONS(1131),
    [anon_sym_inline] = ACTIONS(1131),
    [anon_sym___inline] = ACTIONS(1131),
    [anon_sym___inline__] = ACTIONS(1131),
    [anon_sym___forceinline] = ACTIONS(1131),
    [anon_sym_thread_local] = ACTIONS(1131),
    [anon_sym___thread] = ACTIONS(1131),
    [anon_sym_const] = ACTIONS(1131),
    [anon_sym_constexpr] = ACTIONS(1131),
    [anon_sym_volatile] = ACTIONS(1131),
    [anon_sym_restrict] = ACTIONS(1131),
    [anon_sym___restrict__] = ACTIONS(1131),
    [anon_sym__Atomic] = ACTIONS(1131),
    [anon_sym__Noreturn] = ACTIONS(1131),
    [anon_sym_noreturn] = ACTIONS(1131),
    [anon_sym_alignas] = ACTIONS(1131),
    [anon_sym__Alignas] = ACTIONS(1131),
    [sym_primitive_type] = ACTIONS(1131),
    [anon_sym_enum] = ACTIONS(1131),
    [anon_sym_struct] = ACTIONS(1131),
    [anon_sym_union] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1131),
    [anon_sym_else] = ACTIONS(1131),
    [anon_sym_switch] = ACTIONS(1131),
    [anon_sym_case] = ACTIONS(1131),
    [anon_sym_default] = ACTIONS(1131),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_do] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1131),
    [anon_sym_break] = ACTIONS(1131),
    [anon_sym_continue] = ACTIONS(1131),
    [anon_sym_goto] = ACTIONS(1131),
    [anon_sym___try] = ACTIONS(1131),
    [anon_sym___leave] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [anon_sym_sizeof] = ACTIONS(1131),
    [anon_sym___alignof__] = ACTIONS(1131),
    [anon_sym___alignof] = ACTIONS(1131),
    [anon_sym__alignof] = ACTIONS(1131),
    [anon_sym_alignof] = ACTIONS(1131),
    [anon_sym__Alignof] = ACTIONS(1131),
    [anon_sym_offsetof] = ACTIONS(1131),
    [anon_sym__Generic] = ACTIONS(1131),
    [anon_sym_asm] = ACTIONS(1131),
    [anon_sym___asm__] = ACTIONS(1131),
    [sym_number_literal] = ACTIONS(1133),
    [anon_sym_L_SQUOTE] = ACTIONS(1133),
    [anon_sym_u_SQUOTE] = ACTIONS(1133),
    [anon_sym_U_SQUOTE] = ACTIONS(1133),
    [anon_sym_u8_SQUOTE] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_L_DQUOTE] = ACTIONS(1133),
    [anon_sym_u_DQUOTE] = ACTIONS(1133),
    [anon_sym_U_DQUOTE] = ACTIONS(1133),
    [anon_sym_u8_DQUOTE] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [sym_true] = ACTIONS(1131),
    [sym_false] = ACTIONS(1131),
    [anon_sym_NULL] = ACTIONS(1131),
    [anon_sym_nullptr] = ACTIONS(1131),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [ts_builtin_sym_end] = ACTIONS(1241),
    [sym_identifier] = ACTIONS(1239),
    [aux_sym_preproc_include_token1] = ACTIONS(1239),
    [aux_sym_preproc_def_token1] = ACTIONS(1239),
    [aux_sym_preproc_if_token1] = ACTIONS(1239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1239),
    [sym_preproc_directive] = ACTIONS(1239),
    [anon_sym_LPAREN2] = ACTIONS(1241),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_TILDE] = ACTIONS(1241),
    [anon_sym_DASH] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_AMP] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1241),
    [anon_sym___extension__] = ACTIONS(1239),
    [anon_sym_typedef] = ACTIONS(1239),
    [anon_sym_extern] = ACTIONS(1239),
    [anon_sym___attribute__] = ACTIONS(1239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1241),
    [anon_sym___declspec] = ACTIONS(1239),
    [anon_sym___cdecl] = ACTIONS(1239),
    [anon_sym___clrcall] = ACTIONS(1239),
    [anon_sym___stdcall] = ACTIONS(1239),
    [anon_sym___fastcall] = ACTIONS(1239),
    [anon_sym___thiscall] = ACTIONS(1239),
    [anon_sym___vectorcall] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_signed] = ACTIONS(1239),
    [anon_sym_unsigned] = ACTIONS(1239),
    [anon_sym_long] = ACTIONS(1239),
    [anon_sym_short] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_auto] = ACTIONS(1239),
    [anon_sym_register] = ACTIONS(1239),
    [anon_sym_inline] = ACTIONS(1239),
    [anon_sym___inline] = ACTIONS(1239),
    [anon_sym___inline__] = ACTIONS(1239),
    [anon_sym___forceinline] = ACTIONS(1239),
    [anon_sym_thread_local] = ACTIONS(1239),
    [anon_sym___thread] = ACTIONS(1239),
    [anon_sym_const] = ACTIONS(1239),
    [anon_sym_constexpr] = ACTIONS(1239),
    [anon_sym_volatile] = ACTIONS(1239),
    [anon_sym_restrict] = ACTIONS(1239),
    [anon_sym___restrict__] = ACTIONS(1239),
    [anon_sym__Atomic] = ACTIONS(1239),
    [anon_sym__Noreturn] = ACTIONS(1239),
    [anon_sym_noreturn] = ACTIONS(1239),
    [anon_sym_alignas] = ACTIONS(1239),
    [anon_sym__Alignas] = ACTIONS(1239),
    [sym_primitive_type] = ACTIONS(1239),
    [anon_sym_enum] = ACTIONS(1239),
    [anon_sym_struct] = ACTIONS(1239),
    [anon_sym_union] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1239),
    [anon_sym_else] = ACTIONS(1239),
    [anon_sym_switch] = ACTIONS(1239),
    [anon_sym_case] = ACTIONS(1239),
    [anon_sym_default] = ACTIONS(1239),
    [anon_sym_while] = ACTIONS(1239),
    [anon_sym_do] = ACTIONS(1239),
    [anon_sym_for] = ACTIONS(1239),
    [anon_sym_return] = ACTIONS(1239),
    [anon_sym_break] = ACTIONS(1239),
    [anon_sym_continue] = ACTIONS(1239),
    [anon_sym_goto] = ACTIONS(1239),
    [anon_sym___try] = ACTIONS(1239),
    [anon_sym___leave] = ACTIONS(1239),
    [anon_sym_DASH_DASH] = ACTIONS(1241),
    [anon_sym_PLUS_PLUS] = ACTIONS(1241),
    [anon_sym_sizeof] = ACTIONS(1239),
    [anon_sym___alignof__] = ACTIONS(1239),
    [anon_sym___alignof] = ACTIONS(1239),
    [anon_sym__alignof] = ACTIONS(1239),
    [anon_sym_alignof] = ACTIONS(1239),
    [anon_sym__Alignof] = ACTIONS(1239),
    [anon_sym_offsetof] = ACTIONS(1239),
    [anon_sym__Generic] = ACTIONS(1239),
    [anon_sym_asm] = ACTIONS(1239),
    [anon_sym___asm__] = ACTIONS(1239),
    [sym_number_literal] = ACTIONS(1241),
    [anon_sym_L_SQUOTE] = ACTIONS(1241),
    [anon_sym_u_SQUOTE] = ACTIONS(1241),
    [anon_sym_U_SQUOTE] = ACTIONS(1241),
    [anon_sym_u8_SQUOTE] = ACTIONS(1241),
    [anon_sym_SQUOTE] = ACTIONS(1241),
    [anon_sym_L_DQUOTE] = ACTIONS(1241),
    [anon_sym_u_DQUOTE] = ACTIONS(1241),
    [anon_sym_U_DQUOTE] = ACTIONS(1241),
    [anon_sym_u8_DQUOTE] = ACTIONS(1241),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [sym_true] = ACTIONS(1239),
    [sym_false] = ACTIONS(1239),
    [anon_sym_NULL] = ACTIONS(1239),
    [anon_sym_nullptr] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_identifier] = ACTIONS(1247),
    [aux_sym_preproc_include_token1] = ACTIONS(1247),
    [aux_sym_preproc_def_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1247),
    [sym_preproc_directive] = ACTIONS(1247),
    [anon_sym_LPAREN2] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1249),
    [anon_sym_TILDE] = ACTIONS(1249),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym___extension__] = ACTIONS(1247),
    [anon_sym_typedef] = ACTIONS(1247),
    [anon_sym_extern] = ACTIONS(1247),
    [anon_sym___attribute__] = ACTIONS(1247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1249),
    [anon_sym___declspec] = ACTIONS(1247),
    [anon_sym___cdecl] = ACTIONS(1247),
    [anon_sym___clrcall] = ACTIONS(1247),
    [anon_sym___stdcall] = ACTIONS(1247),
    [anon_sym___fastcall] = ACTIONS(1247),
    [anon_sym___thiscall] = ACTIONS(1247),
    [anon_sym___vectorcall] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_RBRACE] = ACTIONS(1249),
    [anon_sym_signed] = ACTIONS(1247),
    [anon_sym_unsigned] = ACTIONS(1247),
    [anon_sym_long] = ACTIONS(1247),
    [anon_sym_short] = ACTIONS(1247),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_auto] = ACTIONS(1247),
    [anon_sym_register] = ACTIONS(1247),
    [anon_sym_inline] = ACTIONS(1247),
    [anon_sym___inline] = ACTIONS(1247),
    [anon_sym___inline__] = ACTIONS(1247),
    [anon_sym___forceinline] = ACTIONS(1247),
    [anon_sym_thread_local] = ACTIONS(1247),
    [anon_sym___thread] = ACTIONS(1247),
    [anon_sym_const] = ACTIONS(1247),
    [anon_sym_constexpr] = ACTIONS(1247),
    [anon_sym_volatile] = ACTIONS(1247),
    [anon_sym_restrict] = ACTIONS(1247),
    [anon_sym___restrict__] = ACTIONS(1247),
    [anon_sym__Atomic] = ACTIONS(1247),
    [anon_sym__Noreturn] = ACTIONS(1247),
    [anon_sym_noreturn] = ACTIONS(1247),
    [anon_sym_alignas] = ACTIONS(1247),
    [anon_sym__Alignas] = ACTIONS(1247),
    [sym_primitive_type] = ACTIONS(1247),
    [anon_sym_enum] = ACTIONS(1247),
    [anon_sym_struct] = ACTIONS(1247),
    [anon_sym_union] = ACTIONS(1247),
    [anon_sym_if] = ACTIONS(1247),
    [anon_sym_else] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1247),
    [anon_sym_case] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1247),
    [anon_sym_do] = ACTIONS(1247),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_break] = ACTIONS(1247),
    [anon_sym_continue] = ACTIONS(1247),
    [anon_sym_goto] = ACTIONS(1247),
    [anon_sym___try] = ACTIONS(1247),
    [anon_sym___leave] = ACTIONS(1247),
    [anon_sym_DASH_DASH] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(1249),
    [anon_sym_sizeof] = ACTIONS(1247),
    [anon_sym___alignof__] = ACTIONS(1247),
    [anon_sym___alignof] = ACTIONS(1247),
    [anon_sym__alignof] = ACTIONS(1247),
    [anon_sym_alignof] = ACTIONS(1247),
    [anon_sym__Alignof] = ACTIONS(1247),
    [anon_sym_offsetof] = ACTIONS(1247),
    [anon_sym__Generic] = ACTIONS(1247),
    [anon_sym_asm] = ACTIONS(1247),
    [anon_sym___asm__] = ACTIONS(1247),
    [sym_number_literal] = ACTIONS(1249),
    [anon_sym_L_SQUOTE] = ACTIONS(1249),
    [anon_sym_u_SQUOTE] = ACTIONS(1249),
    [anon_sym_U_SQUOTE] = ACTIONS(1249),
    [anon_sym_u8_SQUOTE] = ACTIONS(1249),
    [anon_sym_SQUOTE] = ACTIONS(1249),
    [anon_sym_L_DQUOTE] = ACTIONS(1249),
    [anon_sym_u_DQUOTE] = ACTIONS(1249),
    [anon_sym_U_DQUOTE] = ACTIONS(1249),
    [anon_sym_u8_DQUOTE] = ACTIONS(1249),
    [anon_sym_DQUOTE] = ACTIONS(1249),
    [sym_true] = ACTIONS(1247),
    [sym_false] = ACTIONS(1247),
    [anon_sym_NULL] = ACTIONS(1247),
    [anon_sym_nullptr] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_identifier] = ACTIONS(1143),
    [aux_sym_preproc_include_token1] = ACTIONS(1143),
    [aux_sym_preproc_def_token1] = ACTIONS(1143),
    [aux_sym_preproc_if_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1143),
    [anon_sym_LPAREN2] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1145),
    [anon_sym_TILDE] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1143),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym___extension__] = ACTIONS(1143),
    [anon_sym_typedef] = ACTIONS(1143),
    [anon_sym_extern] = ACTIONS(1143),
    [anon_sym___attribute__] = ACTIONS(1143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1145),
    [anon_sym___declspec] = ACTIONS(1143),
    [anon_sym___cdecl] = ACTIONS(1143),
    [anon_sym___clrcall] = ACTIONS(1143),
    [anon_sym___stdcall] = ACTIONS(1143),
    [anon_sym___fastcall] = ACTIONS(1143),
    [anon_sym___thiscall] = ACTIONS(1143),
    [anon_sym___vectorcall] = ACTIONS(1143),
    [anon_sym_LBRACE] = ACTIONS(1145),
    [anon_sym_RBRACE] = ACTIONS(1145),
    [anon_sym_signed] = ACTIONS(1143),
    [anon_sym_unsigned] = ACTIONS(1143),
    [anon_sym_long] = ACTIONS(1143),
    [anon_sym_short] = ACTIONS(1143),
    [anon_sym_static] = ACTIONS(1143),
    [anon_sym_auto] = ACTIONS(1143),
    [anon_sym_register] = ACTIONS(1143),
    [anon_sym_inline] = ACTIONS(1143),
    [anon_sym___inline] = ACTIONS(1143),
    [anon_sym___inline__] = ACTIONS(1143),
    [anon_sym___forceinline] = ACTIONS(1143),
    [anon_sym_thread_local] = ACTIONS(1143),
    [anon_sym___thread] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_constexpr] = ACTIONS(1143),
    [anon_sym_volatile] = ACTIONS(1143),
    [anon_sym_restrict] = ACTIONS(1143),
    [anon_sym___restrict__] = ACTIONS(1143),
    [anon_sym__Atomic] = ACTIONS(1143),
    [anon_sym__Noreturn] = ACTIONS(1143),
    [anon_sym_noreturn] = ACTIONS(1143),
    [anon_sym_alignas] = ACTIONS(1143),
    [anon_sym__Alignas] = ACTIONS(1143),
    [sym_primitive_type] = ACTIONS(1143),
    [anon_sym_enum] = ACTIONS(1143),
    [anon_sym_struct] = ACTIONS(1143),
    [anon_sym_union] = ACTIONS(1143),
    [anon_sym_if] = ACTIONS(1143),
    [anon_sym_else] = ACTIONS(1143),
    [anon_sym_switch] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1143),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_do] = ACTIONS(1143),
    [anon_sym_for] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1143),
    [anon_sym_continue] = ACTIONS(1143),
    [anon_sym_goto] = ACTIONS(1143),
    [anon_sym___try] = ACTIONS(1143),
    [anon_sym___leave] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1145),
    [anon_sym_PLUS_PLUS] = ACTIONS(1145),
    [anon_sym_sizeof] = ACTIONS(1143),
    [anon_sym___alignof__] = ACTIONS(1143),
    [anon_sym___alignof] = ACTIONS(1143),
    [anon_sym__alignof] = ACTIONS(1143),
    [anon_sym_alignof] = ACTIONS(1143),
    [anon_sym__Alignof] = ACTIONS(1143),
    [anon_sym_offsetof] = ACTIONS(1143),
    [anon_sym__Generic] = ACTIONS(1143),
    [anon_sym_asm] = ACTIONS(1143),
    [anon_sym___asm__] = ACTIONS(1143),
    [sym_number_literal] = ACTIONS(1145),
    [anon_sym_L_SQUOTE] = ACTIONS(1145),
    [anon_sym_u_SQUOTE] = ACTIONS(1145),
    [anon_sym_U_SQUOTE] = ACTIONS(1145),
    [anon_sym_u8_SQUOTE] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [anon_sym_L_DQUOTE] = ACTIONS(1145),
    [anon_sym_u_DQUOTE] = ACTIONS(1145),
    [anon_sym_U_DQUOTE] = ACTIONS(1145),
    [anon_sym_u8_DQUOTE] = ACTIONS(1145),
    [anon_sym_DQUOTE] = ACTIONS(1145),
    [sym_true] = ACTIONS(1143),
    [sym_false] = ACTIONS(1143),
    [anon_sym_NULL] = ACTIONS(1143),
    [anon_sym_nullptr] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [ts_builtin_sym_end] = ACTIONS(1145),
    [sym_identifier] = ACTIONS(1143),
    [aux_sym_preproc_include_token1] = ACTIONS(1143),
    [aux_sym_preproc_def_token1] = ACTIONS(1143),
    [aux_sym_preproc_if_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1143),
    [anon_sym_LPAREN2] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1145),
    [anon_sym_TILDE] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1143),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym___extension__] = ACTIONS(1143),
    [anon_sym_typedef] = ACTIONS(1143),
    [anon_sym_extern] = ACTIONS(1143),
    [anon_sym___attribute__] = ACTIONS(1143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1145),
    [anon_sym___declspec] = ACTIONS(1143),
    [anon_sym___cdecl] = ACTIONS(1143),
    [anon_sym___clrcall] = ACTIONS(1143),
    [anon_sym___stdcall] = ACTIONS(1143),
    [anon_sym___fastcall] = ACTIONS(1143),
    [anon_sym___thiscall] = ACTIONS(1143),
    [anon_sym___vectorcall] = ACTIONS(1143),
    [anon_sym_LBRACE] = ACTIONS(1145),
    [anon_sym_signed] = ACTIONS(1143),
    [anon_sym_unsigned] = ACTIONS(1143),
    [anon_sym_long] = ACTIONS(1143),
    [anon_sym_short] = ACTIONS(1143),
    [anon_sym_static] = ACTIONS(1143),
    [anon_sym_auto] = ACTIONS(1143),
    [anon_sym_register] = ACTIONS(1143),
    [anon_sym_inline] = ACTIONS(1143),
    [anon_sym___inline] = ACTIONS(1143),
    [anon_sym___inline__] = ACTIONS(1143),
    [anon_sym___forceinline] = ACTIONS(1143),
    [anon_sym_thread_local] = ACTIONS(1143),
    [anon_sym___thread] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_constexpr] = ACTIONS(1143),
    [anon_sym_volatile] = ACTIONS(1143),
    [anon_sym_restrict] = ACTIONS(1143),
    [anon_sym___restrict__] = ACTIONS(1143),
    [anon_sym__Atomic] = ACTIONS(1143),
    [anon_sym__Noreturn] = ACTIONS(1143),
    [anon_sym_noreturn] = ACTIONS(1143),
    [anon_sym_alignas] = ACTIONS(1143),
    [anon_sym__Alignas] = ACTIONS(1143),
    [sym_primitive_type] = ACTIONS(1143),
    [anon_sym_enum] = ACTIONS(1143),
    [anon_sym_struct] = ACTIONS(1143),
    [anon_sym_union] = ACTIONS(1143),
    [anon_sym_if] = ACTIONS(1143),
    [anon_sym_else] = ACTIONS(1143),
    [anon_sym_switch] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1143),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_do] = ACTIONS(1143),
    [anon_sym_for] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1143),
    [anon_sym_continue] = ACTIONS(1143),
    [anon_sym_goto] = ACTIONS(1143),
    [anon_sym___try] = ACTIONS(1143),
    [anon_sym___leave] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1145),
    [anon_sym_PLUS_PLUS] = ACTIONS(1145),
    [anon_sym_sizeof] = ACTIONS(1143),
    [anon_sym___alignof__] = ACTIONS(1143),
    [anon_sym___alignof] = ACTIONS(1143),
    [anon_sym__alignof] = ACTIONS(1143),
    [anon_sym_alignof] = ACTIONS(1143),
    [anon_sym__Alignof] = ACTIONS(1143),
    [anon_sym_offsetof] = ACTIONS(1143),
    [anon_sym__Generic] = ACTIONS(1143),
    [anon_sym_asm] = ACTIONS(1143),
    [anon_sym___asm__] = ACTIONS(1143),
    [sym_number_literal] = ACTIONS(1145),
    [anon_sym_L_SQUOTE] = ACTIONS(1145),
    [anon_sym_u_SQUOTE] = ACTIONS(1145),
    [anon_sym_U_SQUOTE] = ACTIONS(1145),
    [anon_sym_u8_SQUOTE] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [anon_sym_L_DQUOTE] = ACTIONS(1145),
    [anon_sym_u_DQUOTE] = ACTIONS(1145),
    [anon_sym_U_DQUOTE] = ACTIONS(1145),
    [anon_sym_u8_DQUOTE] = ACTIONS(1145),
    [anon_sym_DQUOTE] = ACTIONS(1145),
    [sym_true] = ACTIONS(1143),
    [sym_false] = ACTIONS(1143),
    [anon_sym_NULL] = ACTIONS(1143),
    [anon_sym_nullptr] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_identifier] = ACTIONS(1147),
    [aux_sym_preproc_include_token1] = ACTIONS(1147),
    [aux_sym_preproc_def_token1] = ACTIONS(1147),
    [aux_sym_preproc_if_token1] = ACTIONS(1147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1147),
    [sym_preproc_directive] = ACTIONS(1147),
    [anon_sym_LPAREN2] = ACTIONS(1149),
    [anon_sym_BANG] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_STAR] = ACTIONS(1149),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(1149),
    [anon_sym___extension__] = ACTIONS(1147),
    [anon_sym_typedef] = ACTIONS(1147),
    [anon_sym_extern] = ACTIONS(1147),
    [anon_sym___attribute__] = ACTIONS(1147),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1149),
    [anon_sym___declspec] = ACTIONS(1147),
    [anon_sym___cdecl] = ACTIONS(1147),
    [anon_sym___clrcall] = ACTIONS(1147),
    [anon_sym___stdcall] = ACTIONS(1147),
    [anon_sym___fastcall] = ACTIONS(1147),
    [anon_sym___thiscall] = ACTIONS(1147),
    [anon_sym___vectorcall] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_RBRACE] = ACTIONS(1149),
    [anon_sym_signed] = ACTIONS(1147),
    [anon_sym_unsigned] = ACTIONS(1147),
    [anon_sym_long] = ACTIONS(1147),
    [anon_sym_short] = ACTIONS(1147),
    [anon_sym_static] = ACTIONS(1147),
    [anon_sym_auto] = ACTIONS(1147),
    [anon_sym_register] = ACTIONS(1147),
    [anon_sym_inline] = ACTIONS(1147),
    [anon_sym___inline] = ACTIONS(1147),
    [anon_sym___inline__] = ACTIONS(1147),
    [anon_sym___forceinline] = ACTIONS(1147),
    [anon_sym_thread_local] = ACTIONS(1147),
    [anon_sym___thread] = ACTIONS(1147),
    [anon_sym_const] = ACTIONS(1147),
    [anon_sym_constexpr] = ACTIONS(1147),
    [anon_sym_volatile] = ACTIONS(1147),
    [anon_sym_restrict] = ACTIONS(1147),
    [anon_sym___restrict__] = ACTIONS(1147),
    [anon_sym__Atomic] = ACTIONS(1147),
    [anon_sym__Noreturn] = ACTIONS(1147),
    [anon_sym_noreturn] = ACTIONS(1147),
    [anon_sym_alignas] = ACTIONS(1147),
    [anon_sym__Alignas] = ACTIONS(1147),
    [sym_primitive_type] = ACTIONS(1147),
    [anon_sym_enum] = ACTIONS(1147),
    [anon_sym_struct] = ACTIONS(1147),
    [anon_sym_union] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_else] = ACTIONS(1147),
    [anon_sym_switch] = ACTIONS(1147),
    [anon_sym_case] = ACTIONS(1147),
    [anon_sym_default] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(1147),
    [anon_sym_do] = ACTIONS(1147),
    [anon_sym_for] = ACTIONS(1147),
    [anon_sym_return] = ACTIONS(1147),
    [anon_sym_break] = ACTIONS(1147),
    [anon_sym_continue] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1147),
    [anon_sym___try] = ACTIONS(1147),
    [anon_sym___leave] = ACTIONS(1147),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_sizeof] = ACTIONS(1147),
    [anon_sym___alignof__] = ACTIONS(1147),
    [anon_sym___alignof] = ACTIONS(1147),
    [anon_sym__alignof] = ACTIONS(1147),
    [anon_sym_alignof] = ACTIONS(1147),
    [anon_sym__Alignof] = ACTIONS(1147),
    [anon_sym_offsetof] = ACTIONS(1147),
    [anon_sym__Generic] = ACTIONS(1147),
    [anon_sym_asm] = ACTIONS(1147),
    [anon_sym___asm__] = ACTIONS(1147),
    [sym_number_literal] = ACTIONS(1149),
    [anon_sym_L_SQUOTE] = ACTIONS(1149),
    [anon_sym_u_SQUOTE] = ACTIONS(1149),
    [anon_sym_U_SQUOTE] = ACTIONS(1149),
    [anon_sym_u8_SQUOTE] = ACTIONS(1149),
    [anon_sym_SQUOTE] = ACTIONS(1149),
    [anon_sym_L_DQUOTE] = ACTIONS(1149),
    [anon_sym_u_DQUOTE] = ACTIONS(1149),
    [anon_sym_U_DQUOTE] = ACTIONS(1149),
    [anon_sym_u8_DQUOTE] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [sym_true] = ACTIONS(1147),
    [sym_false] = ACTIONS(1147),
    [anon_sym_NULL] = ACTIONS(1147),
    [anon_sym_nullptr] = ACTIONS(1147),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_identifier] = ACTIONS(1151),
    [aux_sym_preproc_include_token1] = ACTIONS(1151),
    [aux_sym_preproc_def_token1] = ACTIONS(1151),
    [aux_sym_preproc_if_token1] = ACTIONS(1151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1151),
    [sym_preproc_directive] = ACTIONS(1151),
    [anon_sym_LPAREN2] = ACTIONS(1153),
    [anon_sym_BANG] = ACTIONS(1153),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1151),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym___extension__] = ACTIONS(1151),
    [anon_sym_typedef] = ACTIONS(1151),
    [anon_sym_extern] = ACTIONS(1151),
    [anon_sym___attribute__] = ACTIONS(1151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1153),
    [anon_sym___declspec] = ACTIONS(1151),
    [anon_sym___cdecl] = ACTIONS(1151),
    [anon_sym___clrcall] = ACTIONS(1151),
    [anon_sym___stdcall] = ACTIONS(1151),
    [anon_sym___fastcall] = ACTIONS(1151),
    [anon_sym___thiscall] = ACTIONS(1151),
    [anon_sym___vectorcall] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_RBRACE] = ACTIONS(1153),
    [anon_sym_signed] = ACTIONS(1151),
    [anon_sym_unsigned] = ACTIONS(1151),
    [anon_sym_long] = ACTIONS(1151),
    [anon_sym_short] = ACTIONS(1151),
    [anon_sym_static] = ACTIONS(1151),
    [anon_sym_auto] = ACTIONS(1151),
    [anon_sym_register] = ACTIONS(1151),
    [anon_sym_inline] = ACTIONS(1151),
    [anon_sym___inline] = ACTIONS(1151),
    [anon_sym___inline__] = ACTIONS(1151),
    [anon_sym___forceinline] = ACTIONS(1151),
    [anon_sym_thread_local] = ACTIONS(1151),
    [anon_sym___thread] = ACTIONS(1151),
    [anon_sym_const] = ACTIONS(1151),
    [anon_sym_constexpr] = ACTIONS(1151),
    [anon_sym_volatile] = ACTIONS(1151),
    [anon_sym_restrict] = ACTIONS(1151),
    [anon_sym___restrict__] = ACTIONS(1151),
    [anon_sym__Atomic] = ACTIONS(1151),
    [anon_sym__Noreturn] = ACTIONS(1151),
    [anon_sym_noreturn] = ACTIONS(1151),
    [anon_sym_alignas] = ACTIONS(1151),
    [anon_sym__Alignas] = ACTIONS(1151),
    [sym_primitive_type] = ACTIONS(1151),
    [anon_sym_enum] = ACTIONS(1151),
    [anon_sym_struct] = ACTIONS(1151),
    [anon_sym_union] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1151),
    [anon_sym_else] = ACTIONS(1151),
    [anon_sym_switch] = ACTIONS(1151),
    [anon_sym_case] = ACTIONS(1151),
    [anon_sym_default] = ACTIONS(1151),
    [anon_sym_while] = ACTIONS(1151),
    [anon_sym_do] = ACTIONS(1151),
    [anon_sym_for] = ACTIONS(1151),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_break] = ACTIONS(1151),
    [anon_sym_continue] = ACTIONS(1151),
    [anon_sym_goto] = ACTIONS(1151),
    [anon_sym___try] = ACTIONS(1151),
    [anon_sym___leave] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1153),
    [anon_sym_PLUS_PLUS] = ACTIONS(1153),
    [anon_sym_sizeof] = ACTIONS(1151),
    [anon_sym___alignof__] = ACTIONS(1151),
    [anon_sym___alignof] = ACTIONS(1151),
    [anon_sym__alignof] = ACTIONS(1151),
    [anon_sym_alignof] = ACTIONS(1151),
    [anon_sym__Alignof] = ACTIONS(1151),
    [anon_sym_offsetof] = ACTIONS(1151),
    [anon_sym__Generic] = ACTIONS(1151),
    [anon_sym_asm] = ACTIONS(1151),
    [anon_sym___asm__] = ACTIONS(1151),
    [sym_number_literal] = ACTIONS(1153),
    [anon_sym_L_SQUOTE] = ACTIONS(1153),
    [anon_sym_u_SQUOTE] = ACTIONS(1153),
    [anon_sym_U_SQUOTE] = ACTIONS(1153),
    [anon_sym_u8_SQUOTE] = ACTIONS(1153),
    [anon_sym_SQUOTE] = ACTIONS(1153),
    [anon_sym_L_DQUOTE] = ACTIONS(1153),
    [anon_sym_u_DQUOTE] = ACTIONS(1153),
    [anon_sym_U_DQUOTE] = ACTIONS(1153),
    [anon_sym_u8_DQUOTE] = ACTIONS(1153),
    [anon_sym_DQUOTE] = ACTIONS(1153),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [anon_sym_NULL] = ACTIONS(1151),
    [anon_sym_nullptr] = ACTIONS(1151),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_identifier] = ACTIONS(1243),
    [aux_sym_preproc_include_token1] = ACTIONS(1243),
    [aux_sym_preproc_def_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1243),
    [sym_preproc_directive] = ACTIONS(1243),
    [anon_sym_LPAREN2] = ACTIONS(1245),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1245),
    [anon_sym_AMP] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1245),
    [anon_sym___extension__] = ACTIONS(1243),
    [anon_sym_typedef] = ACTIONS(1243),
    [anon_sym_extern] = ACTIONS(1243),
    [anon_sym___attribute__] = ACTIONS(1243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1245),
    [anon_sym___declspec] = ACTIONS(1243),
    [anon_sym___cdecl] = ACTIONS(1243),
    [anon_sym___clrcall] = ACTIONS(1243),
    [anon_sym___stdcall] = ACTIONS(1243),
    [anon_sym___fastcall] = ACTIONS(1243),
    [anon_sym___thiscall] = ACTIONS(1243),
    [anon_sym___vectorcall] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_RBRACE] = ACTIONS(1245),
    [anon_sym_signed] = ACTIONS(1243),
    [anon_sym_unsigned] = ACTIONS(1243),
    [anon_sym_long] = ACTIONS(1243),
    [anon_sym_short] = ACTIONS(1243),
    [anon_sym_static] = ACTIONS(1243),
    [anon_sym_auto] = ACTIONS(1243),
    [anon_sym_register] = ACTIONS(1243),
    [anon_sym_inline] = ACTIONS(1243),
    [anon_sym___inline] = ACTIONS(1243),
    [anon_sym___inline__] = ACTIONS(1243),
    [anon_sym___forceinline] = ACTIONS(1243),
    [anon_sym_thread_local] = ACTIONS(1243),
    [anon_sym___thread] = ACTIONS(1243),
    [anon_sym_const] = ACTIONS(1243),
    [anon_sym_constexpr] = ACTIONS(1243),
    [anon_sym_volatile] = ACTIONS(1243),
    [anon_sym_restrict] = ACTIONS(1243),
    [anon_sym___restrict__] = ACTIONS(1243),
    [anon_sym__Atomic] = ACTIONS(1243),
    [anon_sym__Noreturn] = ACTIONS(1243),
    [anon_sym_noreturn] = ACTIONS(1243),
    [anon_sym_alignas] = ACTIONS(1243),
    [anon_sym__Alignas] = ACTIONS(1243),
    [sym_primitive_type] = ACTIONS(1243),
    [anon_sym_enum] = ACTIONS(1243),
    [anon_sym_struct] = ACTIONS(1243),
    [anon_sym_union] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_else] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(1243),
    [anon_sym_case] = ACTIONS(1243),
    [anon_sym_default] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(1243),
    [anon_sym_do] = ACTIONS(1243),
    [anon_sym_for] = ACTIONS(1243),
    [anon_sym_return] = ACTIONS(1243),
    [anon_sym_break] = ACTIONS(1243),
    [anon_sym_continue] = ACTIONS(1243),
    [anon_sym_goto] = ACTIONS(1243),
    [anon_sym___try] = ACTIONS(1243),
    [anon_sym___leave] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1245),
    [anon_sym_PLUS_PLUS] = ACTIONS(1245),
    [anon_sym_sizeof] = ACTIONS(1243),
    [anon_sym___alignof__] = ACTIONS(1243),
    [anon_sym___alignof] = ACTIONS(1243),
    [anon_sym__alignof] = ACTIONS(1243),
    [anon_sym_alignof] = ACTIONS(1243),
    [anon_sym__Alignof] = ACTIONS(1243),
    [anon_sym_offsetof] = ACTIONS(1243),
    [anon_sym__Generic] = ACTIONS(1243),
    [anon_sym_asm] = ACTIONS(1243),
    [anon_sym___asm__] = ACTIONS(1243),
    [sym_number_literal] = ACTIONS(1245),
    [anon_sym_L_SQUOTE] = ACTIONS(1245),
    [anon_sym_u_SQUOTE] = ACTIONS(1245),
    [anon_sym_U_SQUOTE] = ACTIONS(1245),
    [anon_sym_u8_SQUOTE] = ACTIONS(1245),
    [anon_sym_SQUOTE] = ACTIONS(1245),
    [anon_sym_L_DQUOTE] = ACTIONS(1245),
    [anon_sym_u_DQUOTE] = ACTIONS(1245),
    [anon_sym_U_DQUOTE] = ACTIONS(1245),
    [anon_sym_u8_DQUOTE] = ACTIONS(1245),
    [anon_sym_DQUOTE] = ACTIONS(1245),
    [sym_true] = ACTIONS(1243),
    [sym_false] = ACTIONS(1243),
    [anon_sym_NULL] = ACTIONS(1243),
    [anon_sym_nullptr] = ACTIONS(1243),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [ts_builtin_sym_end] = ACTIONS(1153),
    [sym_identifier] = ACTIONS(1151),
    [aux_sym_preproc_include_token1] = ACTIONS(1151),
    [aux_sym_preproc_def_token1] = ACTIONS(1151),
    [aux_sym_preproc_if_token1] = ACTIONS(1151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1151),
    [sym_preproc_directive] = ACTIONS(1151),
    [anon_sym_LPAREN2] = ACTIONS(1153),
    [anon_sym_BANG] = ACTIONS(1153),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1151),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym___extension__] = ACTIONS(1151),
    [anon_sym_typedef] = ACTIONS(1151),
    [anon_sym_extern] = ACTIONS(1151),
    [anon_sym___attribute__] = ACTIONS(1151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1153),
    [anon_sym___declspec] = ACTIONS(1151),
    [anon_sym___cdecl] = ACTIONS(1151),
    [anon_sym___clrcall] = ACTIONS(1151),
    [anon_sym___stdcall] = ACTIONS(1151),
    [anon_sym___fastcall] = ACTIONS(1151),
    [anon_sym___thiscall] = ACTIONS(1151),
    [anon_sym___vectorcall] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_signed] = ACTIONS(1151),
    [anon_sym_unsigned] = ACTIONS(1151),
    [anon_sym_long] = ACTIONS(1151),
    [anon_sym_short] = ACTIONS(1151),
    [anon_sym_static] = ACTIONS(1151),
    [anon_sym_auto] = ACTIONS(1151),
    [anon_sym_register] = ACTIONS(1151),
    [anon_sym_inline] = ACTIONS(1151),
    [anon_sym___inline] = ACTIONS(1151),
    [anon_sym___inline__] = ACTIONS(1151),
    [anon_sym___forceinline] = ACTIONS(1151),
    [anon_sym_thread_local] = ACTIONS(1151),
    [anon_sym___thread] = ACTIONS(1151),
    [anon_sym_const] = ACTIONS(1151),
    [anon_sym_constexpr] = ACTIONS(1151),
    [anon_sym_volatile] = ACTIONS(1151),
    [anon_sym_restrict] = ACTIONS(1151),
    [anon_sym___restrict__] = ACTIONS(1151),
    [anon_sym__Atomic] = ACTIONS(1151),
    [anon_sym__Noreturn] = ACTIONS(1151),
    [anon_sym_noreturn] = ACTIONS(1151),
    [anon_sym_alignas] = ACTIONS(1151),
    [anon_sym__Alignas] = ACTIONS(1151),
    [sym_primitive_type] = ACTIONS(1151),
    [anon_sym_enum] = ACTIONS(1151),
    [anon_sym_struct] = ACTIONS(1151),
    [anon_sym_union] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1151),
    [anon_sym_else] = ACTIONS(1151),
    [anon_sym_switch] = ACTIONS(1151),
    [anon_sym_case] = ACTIONS(1151),
    [anon_sym_default] = ACTIONS(1151),
    [anon_sym_while] = ACTIONS(1151),
    [anon_sym_do] = ACTIONS(1151),
    [anon_sym_for] = ACTIONS(1151),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_break] = ACTIONS(1151),
    [anon_sym_continue] = ACTIONS(1151),
    [anon_sym_goto] = ACTIONS(1151),
    [anon_sym___try] = ACTIONS(1151),
    [anon_sym___leave] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1153),
    [anon_sym_PLUS_PLUS] = ACTIONS(1153),
    [anon_sym_sizeof] = ACTIONS(1151),
    [anon_sym___alignof__] = ACTIONS(1151),
    [anon_sym___alignof] = ACTIONS(1151),
    [anon_sym__alignof] = ACTIONS(1151),
    [anon_sym_alignof] = ACTIONS(1151),
    [anon_sym__Alignof] = ACTIONS(1151),
    [anon_sym_offsetof] = ACTIONS(1151),
    [anon_sym__Generic] = ACTIONS(1151),
    [anon_sym_asm] = ACTIONS(1151),
    [anon_sym___asm__] = ACTIONS(1151),
    [sym_number_literal] = ACTIONS(1153),
    [anon_sym_L_SQUOTE] = ACTIONS(1153),
    [anon_sym_u_SQUOTE] = ACTIONS(1153),
    [anon_sym_U_SQUOTE] = ACTIONS(1153),
    [anon_sym_u8_SQUOTE] = ACTIONS(1153),
    [anon_sym_SQUOTE] = ACTIONS(1153),
    [anon_sym_L_DQUOTE] = ACTIONS(1153),
    [anon_sym_u_DQUOTE] = ACTIONS(1153),
    [anon_sym_U_DQUOTE] = ACTIONS(1153),
    [anon_sym_u8_DQUOTE] = ACTIONS(1153),
    [anon_sym_DQUOTE] = ACTIONS(1153),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [anon_sym_NULL] = ACTIONS(1151),
    [anon_sym_nullptr] = ACTIONS(1151),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_identifier] = ACTIONS(1159),
    [aux_sym_preproc_include_token1] = ACTIONS(1159),
    [aux_sym_preproc_def_token1] = ACTIONS(1159),
    [aux_sym_preproc_if_token1] = ACTIONS(1159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1159),
    [sym_preproc_directive] = ACTIONS(1159),
    [anon_sym_LPAREN2] = ACTIONS(1161),
    [anon_sym_BANG] = ACTIONS(1161),
    [anon_sym_TILDE] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_STAR] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1161),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym___extension__] = ACTIONS(1159),
    [anon_sym_typedef] = ACTIONS(1159),
    [anon_sym_extern] = ACTIONS(1159),
    [anon_sym___attribute__] = ACTIONS(1159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1161),
    [anon_sym___declspec] = ACTIONS(1159),
    [anon_sym___cdecl] = ACTIONS(1159),
    [anon_sym___clrcall] = ACTIONS(1159),
    [anon_sym___stdcall] = ACTIONS(1159),
    [anon_sym___fastcall] = ACTIONS(1159),
    [anon_sym___thiscall] = ACTIONS(1159),
    [anon_sym___vectorcall] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_RBRACE] = ACTIONS(1161),
    [anon_sym_signed] = ACTIONS(1159),
    [anon_sym_unsigned] = ACTIONS(1159),
    [anon_sym_long] = ACTIONS(1159),
    [anon_sym_short] = ACTIONS(1159),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_auto] = ACTIONS(1159),
    [anon_sym_register] = ACTIONS(1159),
    [anon_sym_inline] = ACTIONS(1159),
    [anon_sym___inline] = ACTIONS(1159),
    [anon_sym___inline__] = ACTIONS(1159),
    [anon_sym___forceinline] = ACTIONS(1159),
    [anon_sym_thread_local] = ACTIONS(1159),
    [anon_sym___thread] = ACTIONS(1159),
    [anon_sym_const] = ACTIONS(1159),
    [anon_sym_constexpr] = ACTIONS(1159),
    [anon_sym_volatile] = ACTIONS(1159),
    [anon_sym_restrict] = ACTIONS(1159),
    [anon_sym___restrict__] = ACTIONS(1159),
    [anon_sym__Atomic] = ACTIONS(1159),
    [anon_sym__Noreturn] = ACTIONS(1159),
    [anon_sym_noreturn] = ACTIONS(1159),
    [anon_sym_alignas] = ACTIONS(1159),
    [anon_sym__Alignas] = ACTIONS(1159),
    [sym_primitive_type] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_struct] = ACTIONS(1159),
    [anon_sym_union] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_else] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_case] = ACTIONS(1159),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_goto] = ACTIONS(1159),
    [anon_sym___try] = ACTIONS(1159),
    [anon_sym___leave] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1161),
    [anon_sym_PLUS_PLUS] = ACTIONS(1161),
    [anon_sym_sizeof] = ACTIONS(1159),
    [anon_sym___alignof__] = ACTIONS(1159),
    [anon_sym___alignof] = ACTIONS(1159),
    [anon_sym__alignof] = ACTIONS(1159),
    [anon_sym_alignof] = ACTIONS(1159),
    [anon_sym__Alignof] = ACTIONS(1159),
    [anon_sym_offsetof] = ACTIONS(1159),
    [anon_sym__Generic] = ACTIONS(1159),
    [anon_sym_asm] = ACTIONS(1159),
    [anon_sym___asm__] = ACTIONS(1159),
    [sym_number_literal] = ACTIONS(1161),
    [anon_sym_L_SQUOTE] = ACTIONS(1161),
    [anon_sym_u_SQUOTE] = ACTIONS(1161),
    [anon_sym_U_SQUOTE] = ACTIONS(1161),
    [anon_sym_u8_SQUOTE] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_L_DQUOTE] = ACTIONS(1161),
    [anon_sym_u_DQUOTE] = ACTIONS(1161),
    [anon_sym_U_DQUOTE] = ACTIONS(1161),
    [anon_sym_u8_DQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [anon_sym_NULL] = ACTIONS(1159),
    [anon_sym_nullptr] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [ts_builtin_sym_end] = ACTIONS(1157),
    [sym_identifier] = ACTIONS(1155),
    [aux_sym_preproc_include_token1] = ACTIONS(1155),
    [aux_sym_preproc_def_token1] = ACTIONS(1155),
    [aux_sym_preproc_if_token1] = ACTIONS(1155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1155),
    [sym_preproc_directive] = ACTIONS(1155),
    [anon_sym_LPAREN2] = ACTIONS(1157),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1157),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym___extension__] = ACTIONS(1155),
    [anon_sym_typedef] = ACTIONS(1155),
    [anon_sym_extern] = ACTIONS(1155),
    [anon_sym___attribute__] = ACTIONS(1155),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1157),
    [anon_sym___declspec] = ACTIONS(1155),
    [anon_sym___cdecl] = ACTIONS(1155),
    [anon_sym___clrcall] = ACTIONS(1155),
    [anon_sym___stdcall] = ACTIONS(1155),
    [anon_sym___fastcall] = ACTIONS(1155),
    [anon_sym___thiscall] = ACTIONS(1155),
    [anon_sym___vectorcall] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_signed] = ACTIONS(1155),
    [anon_sym_unsigned] = ACTIONS(1155),
    [anon_sym_long] = ACTIONS(1155),
    [anon_sym_short] = ACTIONS(1155),
    [anon_sym_static] = ACTIONS(1155),
    [anon_sym_auto] = ACTIONS(1155),
    [anon_sym_register] = ACTIONS(1155),
    [anon_sym_inline] = ACTIONS(1155),
    [anon_sym___inline] = ACTIONS(1155),
    [anon_sym___inline__] = ACTIONS(1155),
    [anon_sym___forceinline] = ACTIONS(1155),
    [anon_sym_thread_local] = ACTIONS(1155),
    [anon_sym___thread] = ACTIONS(1155),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_constexpr] = ACTIONS(1155),
    [anon_sym_volatile] = ACTIONS(1155),
    [anon_sym_restrict] = ACTIONS(1155),
    [anon_sym___restrict__] = ACTIONS(1155),
    [anon_sym__Atomic] = ACTIONS(1155),
    [anon_sym__Noreturn] = ACTIONS(1155),
    [anon_sym_noreturn] = ACTIONS(1155),
    [anon_sym_alignas] = ACTIONS(1155),
    [anon_sym__Alignas] = ACTIONS(1155),
    [sym_primitive_type] = ACTIONS(1155),
    [anon_sym_enum] = ACTIONS(1155),
    [anon_sym_struct] = ACTIONS(1155),
    [anon_sym_union] = ACTIONS(1155),
    [anon_sym_if] = ACTIONS(1155),
    [anon_sym_else] = ACTIONS(1155),
    [anon_sym_switch] = ACTIONS(1155),
    [anon_sym_case] = ACTIONS(1155),
    [anon_sym_default] = ACTIONS(1155),
    [anon_sym_while] = ACTIONS(1155),
    [anon_sym_do] = ACTIONS(1155),
    [anon_sym_for] = ACTIONS(1155),
    [anon_sym_return] = ACTIONS(1155),
    [anon_sym_break] = ACTIONS(1155),
    [anon_sym_continue] = ACTIONS(1155),
    [anon_sym_goto] = ACTIONS(1155),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1155),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_sizeof] = ACTIONS(1155),
    [anon_sym___alignof__] = ACTIONS(1155),
    [anon_sym___alignof] = ACTIONS(1155),
    [anon_sym__alignof] = ACTIONS(1155),
    [anon_sym_alignof] = ACTIONS(1155),
    [anon_sym__Alignof] = ACTIONS(1155),
    [anon_sym_offsetof] = ACTIONS(1155),
    [anon_sym__Generic] = ACTIONS(1155),
    [anon_sym_asm] = ACTIONS(1155),
    [anon_sym___asm__] = ACTIONS(1155),
    [sym_number_literal] = ACTIONS(1157),
    [anon_sym_L_SQUOTE] = ACTIONS(1157),
    [anon_sym_u_SQUOTE] = ACTIONS(1157),
    [anon_sym_U_SQUOTE] = ACTIONS(1157),
    [anon_sym_u8_SQUOTE] = ACTIONS(1157),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [anon_sym_L_DQUOTE] = ACTIONS(1157),
    [anon_sym_u_DQUOTE] = ACTIONS(1157),
    [anon_sym_U_DQUOTE] = ACTIONS(1157),
    [anon_sym_u8_DQUOTE] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_true] = ACTIONS(1155),
    [sym_false] = ACTIONS(1155),
    [anon_sym_NULL] = ACTIONS(1155),
    [anon_sym_nullptr] = ACTIONS(1155),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [ts_builtin_sym_end] = ACTIONS(1161),
    [sym_identifier] = ACTIONS(1159),
    [aux_sym_preproc_include_token1] = ACTIONS(1159),
    [aux_sym_preproc_def_token1] = ACTIONS(1159),
    [aux_sym_preproc_if_token1] = ACTIONS(1159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1159),
    [sym_preproc_directive] = ACTIONS(1159),
    [anon_sym_LPAREN2] = ACTIONS(1161),
    [anon_sym_BANG] = ACTIONS(1161),
    [anon_sym_TILDE] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_STAR] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1161),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym___extension__] = ACTIONS(1159),
    [anon_sym_typedef] = ACTIONS(1159),
    [anon_sym_extern] = ACTIONS(1159),
    [anon_sym___attribute__] = ACTIONS(1159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1161),
    [anon_sym___declspec] = ACTIONS(1159),
    [anon_sym___cdecl] = ACTIONS(1159),
    [anon_sym___clrcall] = ACTIONS(1159),
    [anon_sym___stdcall] = ACTIONS(1159),
    [anon_sym___fastcall] = ACTIONS(1159),
    [anon_sym___thiscall] = ACTIONS(1159),
    [anon_sym___vectorcall] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_signed] = ACTIONS(1159),
    [anon_sym_unsigned] = ACTIONS(1159),
    [anon_sym_long] = ACTIONS(1159),
    [anon_sym_short] = ACTIONS(1159),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_auto] = ACTIONS(1159),
    [anon_sym_register] = ACTIONS(1159),
    [anon_sym_inline] = ACTIONS(1159),
    [anon_sym___inline] = ACTIONS(1159),
    [anon_sym___inline__] = ACTIONS(1159),
    [anon_sym___forceinline] = ACTIONS(1159),
    [anon_sym_thread_local] = ACTIONS(1159),
    [anon_sym___thread] = ACTIONS(1159),
    [anon_sym_const] = ACTIONS(1159),
    [anon_sym_constexpr] = ACTIONS(1159),
    [anon_sym_volatile] = ACTIONS(1159),
    [anon_sym_restrict] = ACTIONS(1159),
    [anon_sym___restrict__] = ACTIONS(1159),
    [anon_sym__Atomic] = ACTIONS(1159),
    [anon_sym__Noreturn] = ACTIONS(1159),
    [anon_sym_noreturn] = ACTIONS(1159),
    [anon_sym_alignas] = ACTIONS(1159),
    [anon_sym__Alignas] = ACTIONS(1159),
    [sym_primitive_type] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_struct] = ACTIONS(1159),
    [anon_sym_union] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_else] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_case] = ACTIONS(1159),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_goto] = ACTIONS(1159),
    [anon_sym___try] = ACTIONS(1159),
    [anon_sym___leave] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1161),
    [anon_sym_PLUS_PLUS] = ACTIONS(1161),
    [anon_sym_sizeof] = ACTIONS(1159),
    [anon_sym___alignof__] = ACTIONS(1159),
    [anon_sym___alignof] = ACTIONS(1159),
    [anon_sym__alignof] = ACTIONS(1159),
    [anon_sym_alignof] = ACTIONS(1159),
    [anon_sym__Alignof] = ACTIONS(1159),
    [anon_sym_offsetof] = ACTIONS(1159),
    [anon_sym__Generic] = ACTIONS(1159),
    [anon_sym_asm] = ACTIONS(1159),
    [anon_sym___asm__] = ACTIONS(1159),
    [sym_number_literal] = ACTIONS(1161),
    [anon_sym_L_SQUOTE] = ACTIONS(1161),
    [anon_sym_u_SQUOTE] = ACTIONS(1161),
    [anon_sym_U_SQUOTE] = ACTIONS(1161),
    [anon_sym_u8_SQUOTE] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_L_DQUOTE] = ACTIONS(1161),
    [anon_sym_u_DQUOTE] = ACTIONS(1161),
    [anon_sym_U_DQUOTE] = ACTIONS(1161),
    [anon_sym_u8_DQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [anon_sym_NULL] = ACTIONS(1159),
    [anon_sym_nullptr] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1163),
    [aux_sym_preproc_def_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1163),
    [sym_preproc_directive] = ACTIONS(1163),
    [anon_sym_LPAREN2] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym___extension__] = ACTIONS(1163),
    [anon_sym_typedef] = ACTIONS(1163),
    [anon_sym_extern] = ACTIONS(1163),
    [anon_sym___attribute__] = ACTIONS(1163),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1165),
    [anon_sym___declspec] = ACTIONS(1163),
    [anon_sym___cdecl] = ACTIONS(1163),
    [anon_sym___clrcall] = ACTIONS(1163),
    [anon_sym___stdcall] = ACTIONS(1163),
    [anon_sym___fastcall] = ACTIONS(1163),
    [anon_sym___thiscall] = ACTIONS(1163),
    [anon_sym___vectorcall] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_RBRACE] = ACTIONS(1165),
    [anon_sym_signed] = ACTIONS(1163),
    [anon_sym_unsigned] = ACTIONS(1163),
    [anon_sym_long] = ACTIONS(1163),
    [anon_sym_short] = ACTIONS(1163),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_auto] = ACTIONS(1163),
    [anon_sym_register] = ACTIONS(1163),
    [anon_sym_inline] = ACTIONS(1163),
    [anon_sym___inline] = ACTIONS(1163),
    [anon_sym___inline__] = ACTIONS(1163),
    [anon_sym___forceinline] = ACTIONS(1163),
    [anon_sym_thread_local] = ACTIONS(1163),
    [anon_sym___thread] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_constexpr] = ACTIONS(1163),
    [anon_sym_volatile] = ACTIONS(1163),
    [anon_sym_restrict] = ACTIONS(1163),
    [anon_sym___restrict__] = ACTIONS(1163),
    [anon_sym__Atomic] = ACTIONS(1163),
    [anon_sym__Noreturn] = ACTIONS(1163),
    [anon_sym_noreturn] = ACTIONS(1163),
    [anon_sym_alignas] = ACTIONS(1163),
    [anon_sym__Alignas] = ACTIONS(1163),
    [sym_primitive_type] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_struct] = ACTIONS(1163),
    [anon_sym_union] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_goto] = ACTIONS(1163),
    [anon_sym___try] = ACTIONS(1163),
    [anon_sym___leave] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_sizeof] = ACTIONS(1163),
    [anon_sym___alignof__] = ACTIONS(1163),
    [anon_sym___alignof] = ACTIONS(1163),
    [anon_sym__alignof] = ACTIONS(1163),
    [anon_sym_alignof] = ACTIONS(1163),
    [anon_sym__Alignof] = ACTIONS(1163),
    [anon_sym_offsetof] = ACTIONS(1163),
    [anon_sym__Generic] = ACTIONS(1163),
    [anon_sym_asm] = ACTIONS(1163),
    [anon_sym___asm__] = ACTIONS(1163),
    [sym_number_literal] = ACTIONS(1165),
    [anon_sym_L_SQUOTE] = ACTIONS(1165),
    [anon_sym_u_SQUOTE] = ACTIONS(1165),
    [anon_sym_U_SQUOTE] = ACTIONS(1165),
    [anon_sym_u8_SQUOTE] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_L_DQUOTE] = ACTIONS(1165),
    [anon_sym_u_DQUOTE] = ACTIONS(1165),
    [anon_sym_U_DQUOTE] = ACTIONS(1165),
    [anon_sym_u8_DQUOTE] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [anon_sym_NULL] = ACTIONS(1163),
    [anon_sym_nullptr] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1163),
    [aux_sym_preproc_def_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1163),
    [sym_preproc_directive] = ACTIONS(1163),
    [anon_sym_LPAREN2] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym___extension__] = ACTIONS(1163),
    [anon_sym_typedef] = ACTIONS(1163),
    [anon_sym_extern] = ACTIONS(1163),
    [anon_sym___attribute__] = ACTIONS(1163),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1165),
    [anon_sym___declspec] = ACTIONS(1163),
    [anon_sym___cdecl] = ACTIONS(1163),
    [anon_sym___clrcall] = ACTIONS(1163),
    [anon_sym___stdcall] = ACTIONS(1163),
    [anon_sym___fastcall] = ACTIONS(1163),
    [anon_sym___thiscall] = ACTIONS(1163),
    [anon_sym___vectorcall] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_RBRACE] = ACTIONS(1165),
    [anon_sym_signed] = ACTIONS(1163),
    [anon_sym_unsigned] = ACTIONS(1163),
    [anon_sym_long] = ACTIONS(1163),
    [anon_sym_short] = ACTIONS(1163),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_auto] = ACTIONS(1163),
    [anon_sym_register] = ACTIONS(1163),
    [anon_sym_inline] = ACTIONS(1163),
    [anon_sym___inline] = ACTIONS(1163),
    [anon_sym___inline__] = ACTIONS(1163),
    [anon_sym___forceinline] = ACTIONS(1163),
    [anon_sym_thread_local] = ACTIONS(1163),
    [anon_sym___thread] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_constexpr] = ACTIONS(1163),
    [anon_sym_volatile] = ACTIONS(1163),
    [anon_sym_restrict] = ACTIONS(1163),
    [anon_sym___restrict__] = ACTIONS(1163),
    [anon_sym__Atomic] = ACTIONS(1163),
    [anon_sym__Noreturn] = ACTIONS(1163),
    [anon_sym_noreturn] = ACTIONS(1163),
    [anon_sym_alignas] = ACTIONS(1163),
    [anon_sym__Alignas] = ACTIONS(1163),
    [sym_primitive_type] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_struct] = ACTIONS(1163),
    [anon_sym_union] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_goto] = ACTIONS(1163),
    [anon_sym___try] = ACTIONS(1163),
    [anon_sym___leave] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_sizeof] = ACTIONS(1163),
    [anon_sym___alignof__] = ACTIONS(1163),
    [anon_sym___alignof] = ACTIONS(1163),
    [anon_sym__alignof] = ACTIONS(1163),
    [anon_sym_alignof] = ACTIONS(1163),
    [anon_sym__Alignof] = ACTIONS(1163),
    [anon_sym_offsetof] = ACTIONS(1163),
    [anon_sym__Generic] = ACTIONS(1163),
    [anon_sym_asm] = ACTIONS(1163),
    [anon_sym___asm__] = ACTIONS(1163),
    [sym_number_literal] = ACTIONS(1165),
    [anon_sym_L_SQUOTE] = ACTIONS(1165),
    [anon_sym_u_SQUOTE] = ACTIONS(1165),
    [anon_sym_U_SQUOTE] = ACTIONS(1165),
    [anon_sym_u8_SQUOTE] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_L_DQUOTE] = ACTIONS(1165),
    [anon_sym_u_DQUOTE] = ACTIONS(1165),
    [anon_sym_U_DQUOTE] = ACTIONS(1165),
    [anon_sym_u8_DQUOTE] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [anon_sym_NULL] = ACTIONS(1163),
    [anon_sym_nullptr] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_identifier] = ACTIONS(1167),
    [aux_sym_preproc_include_token1] = ACTIONS(1167),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1167),
    [sym_preproc_directive] = ACTIONS(1167),
    [anon_sym_LPAREN2] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1169),
    [anon_sym_TILDE] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1167),
    [anon_sym_PLUS] = ACTIONS(1167),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym___extension__] = ACTIONS(1167),
    [anon_sym_typedef] = ACTIONS(1167),
    [anon_sym_extern] = ACTIONS(1167),
    [anon_sym___attribute__] = ACTIONS(1167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1169),
    [anon_sym___declspec] = ACTIONS(1167),
    [anon_sym___cdecl] = ACTIONS(1167),
    [anon_sym___clrcall] = ACTIONS(1167),
    [anon_sym___stdcall] = ACTIONS(1167),
    [anon_sym___fastcall] = ACTIONS(1167),
    [anon_sym___thiscall] = ACTIONS(1167),
    [anon_sym___vectorcall] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_RBRACE] = ACTIONS(1169),
    [anon_sym_signed] = ACTIONS(1167),
    [anon_sym_unsigned] = ACTIONS(1167),
    [anon_sym_long] = ACTIONS(1167),
    [anon_sym_short] = ACTIONS(1167),
    [anon_sym_static] = ACTIONS(1167),
    [anon_sym_auto] = ACTIONS(1167),
    [anon_sym_register] = ACTIONS(1167),
    [anon_sym_inline] = ACTIONS(1167),
    [anon_sym___inline] = ACTIONS(1167),
    [anon_sym___inline__] = ACTIONS(1167),
    [anon_sym___forceinline] = ACTIONS(1167),
    [anon_sym_thread_local] = ACTIONS(1167),
    [anon_sym___thread] = ACTIONS(1167),
    [anon_sym_const] = ACTIONS(1167),
    [anon_sym_constexpr] = ACTIONS(1167),
    [anon_sym_volatile] = ACTIONS(1167),
    [anon_sym_restrict] = ACTIONS(1167),
    [anon_sym___restrict__] = ACTIONS(1167),
    [anon_sym__Atomic] = ACTIONS(1167),
    [anon_sym__Noreturn] = ACTIONS(1167),
    [anon_sym_noreturn] = ACTIONS(1167),
    [anon_sym_alignas] = ACTIONS(1167),
    [anon_sym__Alignas] = ACTIONS(1167),
    [sym_primitive_type] = ACTIONS(1167),
    [anon_sym_enum] = ACTIONS(1167),
    [anon_sym_struct] = ACTIONS(1167),
    [anon_sym_union] = ACTIONS(1167),
    [anon_sym_if] = ACTIONS(1167),
    [anon_sym_else] = ACTIONS(1167),
    [anon_sym_switch] = ACTIONS(1167),
    [anon_sym_case] = ACTIONS(1167),
    [anon_sym_default] = ACTIONS(1167),
    [anon_sym_while] = ACTIONS(1167),
    [anon_sym_do] = ACTIONS(1167),
    [anon_sym_for] = ACTIONS(1167),
    [anon_sym_return] = ACTIONS(1167),
    [anon_sym_break] = ACTIONS(1167),
    [anon_sym_continue] = ACTIONS(1167),
    [anon_sym_goto] = ACTIONS(1167),
    [anon_sym___try] = ACTIONS(1167),
    [anon_sym___leave] = ACTIONS(1167),
    [anon_sym_DASH_DASH] = ACTIONS(1169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1167),
    [anon_sym___alignof__] = ACTIONS(1167),
    [anon_sym___alignof] = ACTIONS(1167),
    [anon_sym__alignof] = ACTIONS(1167),
    [anon_sym_alignof] = ACTIONS(1167),
    [anon_sym__Alignof] = ACTIONS(1167),
    [anon_sym_offsetof] = ACTIONS(1167),
    [anon_sym__Generic] = ACTIONS(1167),
    [anon_sym_asm] = ACTIONS(1167),
    [anon_sym___asm__] = ACTIONS(1167),
    [sym_number_literal] = ACTIONS(1169),
    [anon_sym_L_SQUOTE] = ACTIONS(1169),
    [anon_sym_u_SQUOTE] = ACTIONS(1169),
    [anon_sym_U_SQUOTE] = ACTIONS(1169),
    [anon_sym_u8_SQUOTE] = ACTIONS(1169),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_L_DQUOTE] = ACTIONS(1169),
    [anon_sym_u_DQUOTE] = ACTIONS(1169),
    [anon_sym_U_DQUOTE] = ACTIONS(1169),
    [anon_sym_u8_DQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [sym_true] = ACTIONS(1167),
    [sym_false] = ACTIONS(1167),
    [anon_sym_NULL] = ACTIONS(1167),
    [anon_sym_nullptr] = ACTIONS(1167),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [ts_builtin_sym_end] = ACTIONS(1173),
    [sym_identifier] = ACTIONS(1171),
    [aux_sym_preproc_include_token1] = ACTIONS(1171),
    [aux_sym_preproc_def_token1] = ACTIONS(1171),
    [aux_sym_preproc_if_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1171),
    [anon_sym_LPAREN2] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1173),
    [anon_sym_TILDE] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_PLUS] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(1173),
    [anon_sym___extension__] = ACTIONS(1171),
    [anon_sym_typedef] = ACTIONS(1171),
    [anon_sym_extern] = ACTIONS(1171),
    [anon_sym___attribute__] = ACTIONS(1171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1173),
    [anon_sym___declspec] = ACTIONS(1171),
    [anon_sym___cdecl] = ACTIONS(1171),
    [anon_sym___clrcall] = ACTIONS(1171),
    [anon_sym___stdcall] = ACTIONS(1171),
    [anon_sym___fastcall] = ACTIONS(1171),
    [anon_sym___thiscall] = ACTIONS(1171),
    [anon_sym___vectorcall] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1173),
    [anon_sym_signed] = ACTIONS(1171),
    [anon_sym_unsigned] = ACTIONS(1171),
    [anon_sym_long] = ACTIONS(1171),
    [anon_sym_short] = ACTIONS(1171),
    [anon_sym_static] = ACTIONS(1171),
    [anon_sym_auto] = ACTIONS(1171),
    [anon_sym_register] = ACTIONS(1171),
    [anon_sym_inline] = ACTIONS(1171),
    [anon_sym___inline] = ACTIONS(1171),
    [anon_sym___inline__] = ACTIONS(1171),
    [anon_sym___forceinline] = ACTIONS(1171),
    [anon_sym_thread_local] = ACTIONS(1171),
    [anon_sym___thread] = ACTIONS(1171),
    [anon_sym_const] = ACTIONS(1171),
    [anon_sym_constexpr] = ACTIONS(1171),
    [anon_sym_volatile] = ACTIONS(1171),
    [anon_sym_restrict] = ACTIONS(1171),
    [anon_sym___restrict__] = ACTIONS(1171),
    [anon_sym__Atomic] = ACTIONS(1171),
    [anon_sym__Noreturn] = ACTIONS(1171),
    [anon_sym_noreturn] = ACTIONS(1171),
    [anon_sym_alignas] = ACTIONS(1171),
    [anon_sym__Alignas] = ACTIONS(1171),
    [sym_primitive_type] = ACTIONS(1171),
    [anon_sym_enum] = ACTIONS(1171),
    [anon_sym_struct] = ACTIONS(1171),
    [anon_sym_union] = ACTIONS(1171),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_else] = ACTIONS(1171),
    [anon_sym_switch] = ACTIONS(1171),
    [anon_sym_case] = ACTIONS(1171),
    [anon_sym_default] = ACTIONS(1171),
    [anon_sym_while] = ACTIONS(1171),
    [anon_sym_do] = ACTIONS(1171),
    [anon_sym_for] = ACTIONS(1171),
    [anon_sym_return] = ACTIONS(1171),
    [anon_sym_break] = ACTIONS(1171),
    [anon_sym_continue] = ACTIONS(1171),
    [anon_sym_goto] = ACTIONS(1171),
    [anon_sym___try] = ACTIONS(1171),
    [anon_sym___leave] = ACTIONS(1171),
    [anon_sym_DASH_DASH] = ACTIONS(1173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1173),
    [anon_sym_sizeof] = ACTIONS(1171),
    [anon_sym___alignof__] = ACTIONS(1171),
    [anon_sym___alignof] = ACTIONS(1171),
    [anon_sym__alignof] = ACTIONS(1171),
    [anon_sym_alignof] = ACTIONS(1171),
    [anon_sym__Alignof] = ACTIONS(1171),
    [anon_sym_offsetof] = ACTIONS(1171),
    [anon_sym__Generic] = ACTIONS(1171),
    [anon_sym_asm] = ACTIONS(1171),
    [anon_sym___asm__] = ACTIONS(1171),
    [sym_number_literal] = ACTIONS(1173),
    [anon_sym_L_SQUOTE] = ACTIONS(1173),
    [anon_sym_u_SQUOTE] = ACTIONS(1173),
    [anon_sym_U_SQUOTE] = ACTIONS(1173),
    [anon_sym_u8_SQUOTE] = ACTIONS(1173),
    [anon_sym_SQUOTE] = ACTIONS(1173),
    [anon_sym_L_DQUOTE] = ACTIONS(1173),
    [anon_sym_u_DQUOTE] = ACTIONS(1173),
    [anon_sym_U_DQUOTE] = ACTIONS(1173),
    [anon_sym_u8_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_true] = ACTIONS(1171),
    [sym_false] = ACTIONS(1171),
    [anon_sym_NULL] = ACTIONS(1171),
    [anon_sym_nullptr] = ACTIONS(1171),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_identifier] = ACTIONS(1175),
    [aux_sym_preproc_include_token1] = ACTIONS(1175),
    [aux_sym_preproc_def_token1] = ACTIONS(1175),
    [aux_sym_preproc_if_token1] = ACTIONS(1175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1175),
    [sym_preproc_directive] = ACTIONS(1175),
    [anon_sym_LPAREN2] = ACTIONS(1177),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(1177),
    [anon_sym___extension__] = ACTIONS(1175),
    [anon_sym_typedef] = ACTIONS(1175),
    [anon_sym_extern] = ACTIONS(1175),
    [anon_sym___attribute__] = ACTIONS(1175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1177),
    [anon_sym___declspec] = ACTIONS(1175),
    [anon_sym___cdecl] = ACTIONS(1175),
    [anon_sym___clrcall] = ACTIONS(1175),
    [anon_sym___stdcall] = ACTIONS(1175),
    [anon_sym___fastcall] = ACTIONS(1175),
    [anon_sym___thiscall] = ACTIONS(1175),
    [anon_sym___vectorcall] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_RBRACE] = ACTIONS(1177),
    [anon_sym_signed] = ACTIONS(1175),
    [anon_sym_unsigned] = ACTIONS(1175),
    [anon_sym_long] = ACTIONS(1175),
    [anon_sym_short] = ACTIONS(1175),
    [anon_sym_static] = ACTIONS(1175),
    [anon_sym_auto] = ACTIONS(1175),
    [anon_sym_register] = ACTIONS(1175),
    [anon_sym_inline] = ACTIONS(1175),
    [anon_sym___inline] = ACTIONS(1175),
    [anon_sym___inline__] = ACTIONS(1175),
    [anon_sym___forceinline] = ACTIONS(1175),
    [anon_sym_thread_local] = ACTIONS(1175),
    [anon_sym___thread] = ACTIONS(1175),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_constexpr] = ACTIONS(1175),
    [anon_sym_volatile] = ACTIONS(1175),
    [anon_sym_restrict] = ACTIONS(1175),
    [anon_sym___restrict__] = ACTIONS(1175),
    [anon_sym__Atomic] = ACTIONS(1175),
    [anon_sym__Noreturn] = ACTIONS(1175),
    [anon_sym_noreturn] = ACTIONS(1175),
    [anon_sym_alignas] = ACTIONS(1175),
    [anon_sym__Alignas] = ACTIONS(1175),
    [sym_primitive_type] = ACTIONS(1175),
    [anon_sym_enum] = ACTIONS(1175),
    [anon_sym_struct] = ACTIONS(1175),
    [anon_sym_union] = ACTIONS(1175),
    [anon_sym_if] = ACTIONS(1175),
    [anon_sym_else] = ACTIONS(1175),
    [anon_sym_switch] = ACTIONS(1175),
    [anon_sym_case] = ACTIONS(1175),
    [anon_sym_default] = ACTIONS(1175),
    [anon_sym_while] = ACTIONS(1175),
    [anon_sym_do] = ACTIONS(1175),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_return] = ACTIONS(1175),
    [anon_sym_break] = ACTIONS(1175),
    [anon_sym_continue] = ACTIONS(1175),
    [anon_sym_goto] = ACTIONS(1175),
    [anon_sym___try] = ACTIONS(1175),
    [anon_sym___leave] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1177),
    [anon_sym_PLUS_PLUS] = ACTIONS(1177),
    [anon_sym_sizeof] = ACTIONS(1175),
    [anon_sym___alignof__] = ACTIONS(1175),
    [anon_sym___alignof] = ACTIONS(1175),
    [anon_sym__alignof] = ACTIONS(1175),
    [anon_sym_alignof] = ACTIONS(1175),
    [anon_sym__Alignof] = ACTIONS(1175),
    [anon_sym_offsetof] = ACTIONS(1175),
    [anon_sym__Generic] = ACTIONS(1175),
    [anon_sym_asm] = ACTIONS(1175),
    [anon_sym___asm__] = ACTIONS(1175),
    [sym_number_literal] = ACTIONS(1177),
    [anon_sym_L_SQUOTE] = ACTIONS(1177),
    [anon_sym_u_SQUOTE] = ACTIONS(1177),
    [anon_sym_U_SQUOTE] = ACTIONS(1177),
    [anon_sym_u8_SQUOTE] = ACTIONS(1177),
    [anon_sym_SQUOTE] = ACTIONS(1177),
    [anon_sym_L_DQUOTE] = ACTIONS(1177),
    [anon_sym_u_DQUOTE] = ACTIONS(1177),
    [anon_sym_U_DQUOTE] = ACTIONS(1177),
    [anon_sym_u8_DQUOTE] = ACTIONS(1177),
    [anon_sym_DQUOTE] = ACTIONS(1177),
    [sym_true] = ACTIONS(1175),
    [sym_false] = ACTIONS(1175),
    [anon_sym_NULL] = ACTIONS(1175),
    [anon_sym_nullptr] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [ts_builtin_sym_end] = ACTIONS(1245),
    [sym_identifier] = ACTIONS(1243),
    [aux_sym_preproc_include_token1] = ACTIONS(1243),
    [aux_sym_preproc_def_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1243),
    [sym_preproc_directive] = ACTIONS(1243),
    [anon_sym_LPAREN2] = ACTIONS(1245),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1245),
    [anon_sym_AMP] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1245),
    [anon_sym___extension__] = ACTIONS(1243),
    [anon_sym_typedef] = ACTIONS(1243),
    [anon_sym_extern] = ACTIONS(1243),
    [anon_sym___attribute__] = ACTIONS(1243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1245),
    [anon_sym___declspec] = ACTIONS(1243),
    [anon_sym___cdecl] = ACTIONS(1243),
    [anon_sym___clrcall] = ACTIONS(1243),
    [anon_sym___stdcall] = ACTIONS(1243),
    [anon_sym___fastcall] = ACTIONS(1243),
    [anon_sym___thiscall] = ACTIONS(1243),
    [anon_sym___vectorcall] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_signed] = ACTIONS(1243),
    [anon_sym_unsigned] = ACTIONS(1243),
    [anon_sym_long] = ACTIONS(1243),
    [anon_sym_short] = ACTIONS(1243),
    [anon_sym_static] = ACTIONS(1243),
    [anon_sym_auto] = ACTIONS(1243),
    [anon_sym_register] = ACTIONS(1243),
    [anon_sym_inline] = ACTIONS(1243),
    [anon_sym___inline] = ACTIONS(1243),
    [anon_sym___inline__] = ACTIONS(1243),
    [anon_sym___forceinline] = ACTIONS(1243),
    [anon_sym_thread_local] = ACTIONS(1243),
    [anon_sym___thread] = ACTIONS(1243),
    [anon_sym_const] = ACTIONS(1243),
    [anon_sym_constexpr] = ACTIONS(1243),
    [anon_sym_volatile] = ACTIONS(1243),
    [anon_sym_restrict] = ACTIONS(1243),
    [anon_sym___restrict__] = ACTIONS(1243),
    [anon_sym__Atomic] = ACTIONS(1243),
    [anon_sym__Noreturn] = ACTIONS(1243),
    [anon_sym_noreturn] = ACTIONS(1243),
    [anon_sym_alignas] = ACTIONS(1243),
    [anon_sym__Alignas] = ACTIONS(1243),
    [sym_primitive_type] = ACTIONS(1243),
    [anon_sym_enum] = ACTIONS(1243),
    [anon_sym_struct] = ACTIONS(1243),
    [anon_sym_union] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_else] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(1243),
    [anon_sym_case] = ACTIONS(1243),
    [anon_sym_default] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(1243),
    [anon_sym_do] = ACTIONS(1243),
    [anon_sym_for] = ACTIONS(1243),
    [anon_sym_return] = ACTIONS(1243),
    [anon_sym_break] = ACTIONS(1243),
    [anon_sym_continue] = ACTIONS(1243),
    [anon_sym_goto] = ACTIONS(1243),
    [anon_sym___try] = ACTIONS(1243),
    [anon_sym___leave] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1245),
    [anon_sym_PLUS_PLUS] = ACTIONS(1245),
    [anon_sym_sizeof] = ACTIONS(1243),
    [anon_sym___alignof__] = ACTIONS(1243),
    [anon_sym___alignof] = ACTIONS(1243),
    [anon_sym__alignof] = ACTIONS(1243),
    [anon_sym_alignof] = ACTIONS(1243),
    [anon_sym__Alignof] = ACTIONS(1243),
    [anon_sym_offsetof] = ACTIONS(1243),
    [anon_sym__Generic] = ACTIONS(1243),
    [anon_sym_asm] = ACTIONS(1243),
    [anon_sym___asm__] = ACTIONS(1243),
    [sym_number_literal] = ACTIONS(1245),
    [anon_sym_L_SQUOTE] = ACTIONS(1245),
    [anon_sym_u_SQUOTE] = ACTIONS(1245),
    [anon_sym_U_SQUOTE] = ACTIONS(1245),
    [anon_sym_u8_SQUOTE] = ACTIONS(1245),
    [anon_sym_SQUOTE] = ACTIONS(1245),
    [anon_sym_L_DQUOTE] = ACTIONS(1245),
    [anon_sym_u_DQUOTE] = ACTIONS(1245),
    [anon_sym_U_DQUOTE] = ACTIONS(1245),
    [anon_sym_u8_DQUOTE] = ACTIONS(1245),
    [anon_sym_DQUOTE] = ACTIONS(1245),
    [sym_true] = ACTIONS(1243),
    [sym_false] = ACTIONS(1243),
    [anon_sym_NULL] = ACTIONS(1243),
    [anon_sym_nullptr] = ACTIONS(1243),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [ts_builtin_sym_end] = ACTIONS(1249),
    [sym_identifier] = ACTIONS(1247),
    [aux_sym_preproc_include_token1] = ACTIONS(1247),
    [aux_sym_preproc_def_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1247),
    [sym_preproc_directive] = ACTIONS(1247),
    [anon_sym_LPAREN2] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1249),
    [anon_sym_TILDE] = ACTIONS(1249),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym___extension__] = ACTIONS(1247),
    [anon_sym_typedef] = ACTIONS(1247),
    [anon_sym_extern] = ACTIONS(1247),
    [anon_sym___attribute__] = ACTIONS(1247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1249),
    [anon_sym___declspec] = ACTIONS(1247),
    [anon_sym___cdecl] = ACTIONS(1247),
    [anon_sym___clrcall] = ACTIONS(1247),
    [anon_sym___stdcall] = ACTIONS(1247),
    [anon_sym___fastcall] = ACTIONS(1247),
    [anon_sym___thiscall] = ACTIONS(1247),
    [anon_sym___vectorcall] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_signed] = ACTIONS(1247),
    [anon_sym_unsigned] = ACTIONS(1247),
    [anon_sym_long] = ACTIONS(1247),
    [anon_sym_short] = ACTIONS(1247),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_auto] = ACTIONS(1247),
    [anon_sym_register] = ACTIONS(1247),
    [anon_sym_inline] = ACTIONS(1247),
    [anon_sym___inline] = ACTIONS(1247),
    [anon_sym___inline__] = ACTIONS(1247),
    [anon_sym___forceinline] = ACTIONS(1247),
    [anon_sym_thread_local] = ACTIONS(1247),
    [anon_sym___thread] = ACTIONS(1247),
    [anon_sym_const] = ACTIONS(1247),
    [anon_sym_constexpr] = ACTIONS(1247),
    [anon_sym_volatile] = ACTIONS(1247),
    [anon_sym_restrict] = ACTIONS(1247),
    [anon_sym___restrict__] = ACTIONS(1247),
    [anon_sym__Atomic] = ACTIONS(1247),
    [anon_sym__Noreturn] = ACTIONS(1247),
    [anon_sym_noreturn] = ACTIONS(1247),
    [anon_sym_alignas] = ACTIONS(1247),
    [anon_sym__Alignas] = ACTIONS(1247),
    [sym_primitive_type] = ACTIONS(1247),
    [anon_sym_enum] = ACTIONS(1247),
    [anon_sym_struct] = ACTIONS(1247),
    [anon_sym_union] = ACTIONS(1247),
    [anon_sym_if] = ACTIONS(1247),
    [anon_sym_else] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1247),
    [anon_sym_case] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1247),
    [anon_sym_do] = ACTIONS(1247),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_break] = ACTIONS(1247),
    [anon_sym_continue] = ACTIONS(1247),
    [anon_sym_goto] = ACTIONS(1247),
    [anon_sym___try] = ACTIONS(1247),
    [anon_sym___leave] = ACTIONS(1247),
    [anon_sym_DASH_DASH] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(1249),
    [anon_sym_sizeof] = ACTIONS(1247),
    [anon_sym___alignof__] = ACTIONS(1247),
    [anon_sym___alignof] = ACTIONS(1247),
    [anon_sym__alignof] = ACTIONS(1247),
    [anon_sym_alignof] = ACTIONS(1247),
    [anon_sym__Alignof] = ACTIONS(1247),
    [anon_sym_offsetof] = ACTIONS(1247),
    [anon_sym__Generic] = ACTIONS(1247),
    [anon_sym_asm] = ACTIONS(1247),
    [anon_sym___asm__] = ACTIONS(1247),
    [sym_number_literal] = ACTIONS(1249),
    [anon_sym_L_SQUOTE] = ACTIONS(1249),
    [anon_sym_u_SQUOTE] = ACTIONS(1249),
    [anon_sym_U_SQUOTE] = ACTIONS(1249),
    [anon_sym_u8_SQUOTE] = ACTIONS(1249),
    [anon_sym_SQUOTE] = ACTIONS(1249),
    [anon_sym_L_DQUOTE] = ACTIONS(1249),
    [anon_sym_u_DQUOTE] = ACTIONS(1249),
    [anon_sym_U_DQUOTE] = ACTIONS(1249),
    [anon_sym_u8_DQUOTE] = ACTIONS(1249),
    [anon_sym_DQUOTE] = ACTIONS(1249),
    [sym_true] = ACTIONS(1247),
    [sym_false] = ACTIONS(1247),
    [anon_sym_NULL] = ACTIONS(1247),
    [anon_sym_nullptr] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_identifier] = ACTIONS(1183),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1183),
    [sym_preproc_directive] = ACTIONS(1183),
    [anon_sym_LPAREN2] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym___extension__] = ACTIONS(1183),
    [anon_sym_typedef] = ACTIONS(1183),
    [anon_sym_extern] = ACTIONS(1183),
    [anon_sym___attribute__] = ACTIONS(1183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1185),
    [anon_sym___declspec] = ACTIONS(1183),
    [anon_sym___cdecl] = ACTIONS(1183),
    [anon_sym___clrcall] = ACTIONS(1183),
    [anon_sym___stdcall] = ACTIONS(1183),
    [anon_sym___fastcall] = ACTIONS(1183),
    [anon_sym___thiscall] = ACTIONS(1183),
    [anon_sym___vectorcall] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_RBRACE] = ACTIONS(1185),
    [anon_sym_signed] = ACTIONS(1183),
    [anon_sym_unsigned] = ACTIONS(1183),
    [anon_sym_long] = ACTIONS(1183),
    [anon_sym_short] = ACTIONS(1183),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_auto] = ACTIONS(1183),
    [anon_sym_register] = ACTIONS(1183),
    [anon_sym_inline] = ACTIONS(1183),
    [anon_sym___inline] = ACTIONS(1183),
    [anon_sym___inline__] = ACTIONS(1183),
    [anon_sym___forceinline] = ACTIONS(1183),
    [anon_sym_thread_local] = ACTIONS(1183),
    [anon_sym___thread] = ACTIONS(1183),
    [anon_sym_const] = ACTIONS(1183),
    [anon_sym_constexpr] = ACTIONS(1183),
    [anon_sym_volatile] = ACTIONS(1183),
    [anon_sym_restrict] = ACTIONS(1183),
    [anon_sym___restrict__] = ACTIONS(1183),
    [anon_sym__Atomic] = ACTIONS(1183),
    [anon_sym__Noreturn] = ACTIONS(1183),
    [anon_sym_noreturn] = ACTIONS(1183),
    [anon_sym_alignas] = ACTIONS(1183),
    [anon_sym__Alignas] = ACTIONS(1183),
    [sym_primitive_type] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_struct] = ACTIONS(1183),
    [anon_sym_union] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_else] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_case] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_goto] = ACTIONS(1183),
    [anon_sym___try] = ACTIONS(1183),
    [anon_sym___leave] = ACTIONS(1183),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_sizeof] = ACTIONS(1183),
    [anon_sym___alignof__] = ACTIONS(1183),
    [anon_sym___alignof] = ACTIONS(1183),
    [anon_sym__alignof] = ACTIONS(1183),
    [anon_sym_alignof] = ACTIONS(1183),
    [anon_sym__Alignof] = ACTIONS(1183),
    [anon_sym_offsetof] = ACTIONS(1183),
    [anon_sym__Generic] = ACTIONS(1183),
    [anon_sym_asm] = ACTIONS(1183),
    [anon_sym___asm__] = ACTIONS(1183),
    [sym_number_literal] = ACTIONS(1185),
    [anon_sym_L_SQUOTE] = ACTIONS(1185),
    [anon_sym_u_SQUOTE] = ACTIONS(1185),
    [anon_sym_U_SQUOTE] = ACTIONS(1185),
    [anon_sym_u8_SQUOTE] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1185),
    [anon_sym_L_DQUOTE] = ACTIONS(1185),
    [anon_sym_u_DQUOTE] = ACTIONS(1185),
    [anon_sym_U_DQUOTE] = ACTIONS(1185),
    [anon_sym_u8_DQUOTE] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [anon_sym_NULL] = ACTIONS(1183),
    [anon_sym_nullptr] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_identifier] = ACTIONS(1183),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1183),
    [sym_preproc_directive] = ACTIONS(1183),
    [anon_sym_LPAREN2] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym___extension__] = ACTIONS(1183),
    [anon_sym_typedef] = ACTIONS(1183),
    [anon_sym_extern] = ACTIONS(1183),
    [anon_sym___attribute__] = ACTIONS(1183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1185),
    [anon_sym___declspec] = ACTIONS(1183),
    [anon_sym___cdecl] = ACTIONS(1183),
    [anon_sym___clrcall] = ACTIONS(1183),
    [anon_sym___stdcall] = ACTIONS(1183),
    [anon_sym___fastcall] = ACTIONS(1183),
    [anon_sym___thiscall] = ACTIONS(1183),
    [anon_sym___vectorcall] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_RBRACE] = ACTIONS(1185),
    [anon_sym_signed] = ACTIONS(1183),
    [anon_sym_unsigned] = ACTIONS(1183),
    [anon_sym_long] = ACTIONS(1183),
    [anon_sym_short] = ACTIONS(1183),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_auto] = ACTIONS(1183),
    [anon_sym_register] = ACTIONS(1183),
    [anon_sym_inline] = ACTIONS(1183),
    [anon_sym___inline] = ACTIONS(1183),
    [anon_sym___inline__] = ACTIONS(1183),
    [anon_sym___forceinline] = ACTIONS(1183),
    [anon_sym_thread_local] = ACTIONS(1183),
    [anon_sym___thread] = ACTIONS(1183),
    [anon_sym_const] = ACTIONS(1183),
    [anon_sym_constexpr] = ACTIONS(1183),
    [anon_sym_volatile] = ACTIONS(1183),
    [anon_sym_restrict] = ACTIONS(1183),
    [anon_sym___restrict__] = ACTIONS(1183),
    [anon_sym__Atomic] = ACTIONS(1183),
    [anon_sym__Noreturn] = ACTIONS(1183),
    [anon_sym_noreturn] = ACTIONS(1183),
    [anon_sym_alignas] = ACTIONS(1183),
    [anon_sym__Alignas] = ACTIONS(1183),
    [sym_primitive_type] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_struct] = ACTIONS(1183),
    [anon_sym_union] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_else] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_case] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_goto] = ACTIONS(1183),
    [anon_sym___try] = ACTIONS(1183),
    [anon_sym___leave] = ACTIONS(1183),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_sizeof] = ACTIONS(1183),
    [anon_sym___alignof__] = ACTIONS(1183),
    [anon_sym___alignof] = ACTIONS(1183),
    [anon_sym__alignof] = ACTIONS(1183),
    [anon_sym_alignof] = ACTIONS(1183),
    [anon_sym__Alignof] = ACTIONS(1183),
    [anon_sym_offsetof] = ACTIONS(1183),
    [anon_sym__Generic] = ACTIONS(1183),
    [anon_sym_asm] = ACTIONS(1183),
    [anon_sym___asm__] = ACTIONS(1183),
    [sym_number_literal] = ACTIONS(1185),
    [anon_sym_L_SQUOTE] = ACTIONS(1185),
    [anon_sym_u_SQUOTE] = ACTIONS(1185),
    [anon_sym_U_SQUOTE] = ACTIONS(1185),
    [anon_sym_u8_SQUOTE] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1185),
    [anon_sym_L_DQUOTE] = ACTIONS(1185),
    [anon_sym_u_DQUOTE] = ACTIONS(1185),
    [anon_sym_U_DQUOTE] = ACTIONS(1185),
    [anon_sym_u8_DQUOTE] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [anon_sym_NULL] = ACTIONS(1183),
    [anon_sym_nullptr] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [ts_builtin_sym_end] = ACTIONS(1165),
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1163),
    [aux_sym_preproc_def_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1163),
    [sym_preproc_directive] = ACTIONS(1163),
    [anon_sym_LPAREN2] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym___extension__] = ACTIONS(1163),
    [anon_sym_typedef] = ACTIONS(1163),
    [anon_sym_extern] = ACTIONS(1163),
    [anon_sym___attribute__] = ACTIONS(1163),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1165),
    [anon_sym___declspec] = ACTIONS(1163),
    [anon_sym___cdecl] = ACTIONS(1163),
    [anon_sym___clrcall] = ACTIONS(1163),
    [anon_sym___stdcall] = ACTIONS(1163),
    [anon_sym___fastcall] = ACTIONS(1163),
    [anon_sym___thiscall] = ACTIONS(1163),
    [anon_sym___vectorcall] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_signed] = ACTIONS(1163),
    [anon_sym_unsigned] = ACTIONS(1163),
    [anon_sym_long] = ACTIONS(1163),
    [anon_sym_short] = ACTIONS(1163),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_auto] = ACTIONS(1163),
    [anon_sym_register] = ACTIONS(1163),
    [anon_sym_inline] = ACTIONS(1163),
    [anon_sym___inline] = ACTIONS(1163),
    [anon_sym___inline__] = ACTIONS(1163),
    [anon_sym___forceinline] = ACTIONS(1163),
    [anon_sym_thread_local] = ACTIONS(1163),
    [anon_sym___thread] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_constexpr] = ACTIONS(1163),
    [anon_sym_volatile] = ACTIONS(1163),
    [anon_sym_restrict] = ACTIONS(1163),
    [anon_sym___restrict__] = ACTIONS(1163),
    [anon_sym__Atomic] = ACTIONS(1163),
    [anon_sym__Noreturn] = ACTIONS(1163),
    [anon_sym_noreturn] = ACTIONS(1163),
    [anon_sym_alignas] = ACTIONS(1163),
    [anon_sym__Alignas] = ACTIONS(1163),
    [sym_primitive_type] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_struct] = ACTIONS(1163),
    [anon_sym_union] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_goto] = ACTIONS(1163),
    [anon_sym___try] = ACTIONS(1163),
    [anon_sym___leave] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_sizeof] = ACTIONS(1163),
    [anon_sym___alignof__] = ACTIONS(1163),
    [anon_sym___alignof] = ACTIONS(1163),
    [anon_sym__alignof] = ACTIONS(1163),
    [anon_sym_alignof] = ACTIONS(1163),
    [anon_sym__Alignof] = ACTIONS(1163),
    [anon_sym_offsetof] = ACTIONS(1163),
    [anon_sym__Generic] = ACTIONS(1163),
    [anon_sym_asm] = ACTIONS(1163),
    [anon_sym___asm__] = ACTIONS(1163),
    [sym_number_literal] = ACTIONS(1165),
    [anon_sym_L_SQUOTE] = ACTIONS(1165),
    [anon_sym_u_SQUOTE] = ACTIONS(1165),
    [anon_sym_U_SQUOTE] = ACTIONS(1165),
    [anon_sym_u8_SQUOTE] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_L_DQUOTE] = ACTIONS(1165),
    [anon_sym_u_DQUOTE] = ACTIONS(1165),
    [anon_sym_U_DQUOTE] = ACTIONS(1165),
    [anon_sym_u8_DQUOTE] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [anon_sym_NULL] = ACTIONS(1163),
    [anon_sym_nullptr] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [ts_builtin_sym_end] = ACTIONS(1165),
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1163),
    [aux_sym_preproc_def_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1163),
    [sym_preproc_directive] = ACTIONS(1163),
    [anon_sym_LPAREN2] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym___extension__] = ACTIONS(1163),
    [anon_sym_typedef] = ACTIONS(1163),
    [anon_sym_extern] = ACTIONS(1163),
    [anon_sym___attribute__] = ACTIONS(1163),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1165),
    [anon_sym___declspec] = ACTIONS(1163),
    [anon_sym___cdecl] = ACTIONS(1163),
    [anon_sym___clrcall] = ACTIONS(1163),
    [anon_sym___stdcall] = ACTIONS(1163),
    [anon_sym___fastcall] = ACTIONS(1163),
    [anon_sym___thiscall] = ACTIONS(1163),
    [anon_sym___vectorcall] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_signed] = ACTIONS(1163),
    [anon_sym_unsigned] = ACTIONS(1163),
    [anon_sym_long] = ACTIONS(1163),
    [anon_sym_short] = ACTIONS(1163),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_auto] = ACTIONS(1163),
    [anon_sym_register] = ACTIONS(1163),
    [anon_sym_inline] = ACTIONS(1163),
    [anon_sym___inline] = ACTIONS(1163),
    [anon_sym___inline__] = ACTIONS(1163),
    [anon_sym___forceinline] = ACTIONS(1163),
    [anon_sym_thread_local] = ACTIONS(1163),
    [anon_sym___thread] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_constexpr] = ACTIONS(1163),
    [anon_sym_volatile] = ACTIONS(1163),
    [anon_sym_restrict] = ACTIONS(1163),
    [anon_sym___restrict__] = ACTIONS(1163),
    [anon_sym__Atomic] = ACTIONS(1163),
    [anon_sym__Noreturn] = ACTIONS(1163),
    [anon_sym_noreturn] = ACTIONS(1163),
    [anon_sym_alignas] = ACTIONS(1163),
    [anon_sym__Alignas] = ACTIONS(1163),
    [sym_primitive_type] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_struct] = ACTIONS(1163),
    [anon_sym_union] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_goto] = ACTIONS(1163),
    [anon_sym___try] = ACTIONS(1163),
    [anon_sym___leave] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_sizeof] = ACTIONS(1163),
    [anon_sym___alignof__] = ACTIONS(1163),
    [anon_sym___alignof] = ACTIONS(1163),
    [anon_sym__alignof] = ACTIONS(1163),
    [anon_sym_alignof] = ACTIONS(1163),
    [anon_sym__Alignof] = ACTIONS(1163),
    [anon_sym_offsetof] = ACTIONS(1163),
    [anon_sym__Generic] = ACTIONS(1163),
    [anon_sym_asm] = ACTIONS(1163),
    [anon_sym___asm__] = ACTIONS(1163),
    [sym_number_literal] = ACTIONS(1165),
    [anon_sym_L_SQUOTE] = ACTIONS(1165),
    [anon_sym_u_SQUOTE] = ACTIONS(1165),
    [anon_sym_U_SQUOTE] = ACTIONS(1165),
    [anon_sym_u8_SQUOTE] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_L_DQUOTE] = ACTIONS(1165),
    [anon_sym_u_DQUOTE] = ACTIONS(1165),
    [anon_sym_U_DQUOTE] = ACTIONS(1165),
    [anon_sym_u8_DQUOTE] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [anon_sym_NULL] = ACTIONS(1163),
    [anon_sym_nullptr] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_identifier] = ACTIONS(1187),
    [aux_sym_preproc_include_token1] = ACTIONS(1187),
    [aux_sym_preproc_def_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1187),
    [sym_preproc_directive] = ACTIONS(1187),
    [anon_sym_LPAREN2] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym___extension__] = ACTIONS(1187),
    [anon_sym_typedef] = ACTIONS(1187),
    [anon_sym_extern] = ACTIONS(1187),
    [anon_sym___attribute__] = ACTIONS(1187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1189),
    [anon_sym___declspec] = ACTIONS(1187),
    [anon_sym___cdecl] = ACTIONS(1187),
    [anon_sym___clrcall] = ACTIONS(1187),
    [anon_sym___stdcall] = ACTIONS(1187),
    [anon_sym___fastcall] = ACTIONS(1187),
    [anon_sym___thiscall] = ACTIONS(1187),
    [anon_sym___vectorcall] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_RBRACE] = ACTIONS(1189),
    [anon_sym_signed] = ACTIONS(1187),
    [anon_sym_unsigned] = ACTIONS(1187),
    [anon_sym_long] = ACTIONS(1187),
    [anon_sym_short] = ACTIONS(1187),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_auto] = ACTIONS(1187),
    [anon_sym_register] = ACTIONS(1187),
    [anon_sym_inline] = ACTIONS(1187),
    [anon_sym___inline] = ACTIONS(1187),
    [anon_sym___inline__] = ACTIONS(1187),
    [anon_sym___forceinline] = ACTIONS(1187),
    [anon_sym_thread_local] = ACTIONS(1187),
    [anon_sym___thread] = ACTIONS(1187),
    [anon_sym_const] = ACTIONS(1187),
    [anon_sym_constexpr] = ACTIONS(1187),
    [anon_sym_volatile] = ACTIONS(1187),
    [anon_sym_restrict] = ACTIONS(1187),
    [anon_sym___restrict__] = ACTIONS(1187),
    [anon_sym__Atomic] = ACTIONS(1187),
    [anon_sym__Noreturn] = ACTIONS(1187),
    [anon_sym_noreturn] = ACTIONS(1187),
    [anon_sym_alignas] = ACTIONS(1187),
    [anon_sym__Alignas] = ACTIONS(1187),
    [sym_primitive_type] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [anon_sym_struct] = ACTIONS(1187),
    [anon_sym_union] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_else] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_goto] = ACTIONS(1187),
    [anon_sym___try] = ACTIONS(1187),
    [anon_sym___leave] = ACTIONS(1187),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_sizeof] = ACTIONS(1187),
    [anon_sym___alignof__] = ACTIONS(1187),
    [anon_sym___alignof] = ACTIONS(1187),
    [anon_sym__alignof] = ACTIONS(1187),
    [anon_sym_alignof] = ACTIONS(1187),
    [anon_sym__Alignof] = ACTIONS(1187),
    [anon_sym_offsetof] = ACTIONS(1187),
    [anon_sym__Generic] = ACTIONS(1187),
    [anon_sym_asm] = ACTIONS(1187),
    [anon_sym___asm__] = ACTIONS(1187),
    [sym_number_literal] = ACTIONS(1189),
    [anon_sym_L_SQUOTE] = ACTIONS(1189),
    [anon_sym_u_SQUOTE] = ACTIONS(1189),
    [anon_sym_U_SQUOTE] = ACTIONS(1189),
    [anon_sym_u8_SQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1189),
    [anon_sym_L_DQUOTE] = ACTIONS(1189),
    [anon_sym_u_DQUOTE] = ACTIONS(1189),
    [anon_sym_U_DQUOTE] = ACTIONS(1189),
    [anon_sym_u8_DQUOTE] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [anon_sym_NULL] = ACTIONS(1187),
    [anon_sym_nullptr] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_identifier] = ACTIONS(1187),
    [aux_sym_preproc_include_token1] = ACTIONS(1187),
    [aux_sym_preproc_def_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1187),
    [sym_preproc_directive] = ACTIONS(1187),
    [anon_sym_LPAREN2] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym___extension__] = ACTIONS(1187),
    [anon_sym_typedef] = ACTIONS(1187),
    [anon_sym_extern] = ACTIONS(1187),
    [anon_sym___attribute__] = ACTIONS(1187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1189),
    [anon_sym___declspec] = ACTIONS(1187),
    [anon_sym___cdecl] = ACTIONS(1187),
    [anon_sym___clrcall] = ACTIONS(1187),
    [anon_sym___stdcall] = ACTIONS(1187),
    [anon_sym___fastcall] = ACTIONS(1187),
    [anon_sym___thiscall] = ACTIONS(1187),
    [anon_sym___vectorcall] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_RBRACE] = ACTIONS(1189),
    [anon_sym_signed] = ACTIONS(1187),
    [anon_sym_unsigned] = ACTIONS(1187),
    [anon_sym_long] = ACTIONS(1187),
    [anon_sym_short] = ACTIONS(1187),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_auto] = ACTIONS(1187),
    [anon_sym_register] = ACTIONS(1187),
    [anon_sym_inline] = ACTIONS(1187),
    [anon_sym___inline] = ACTIONS(1187),
    [anon_sym___inline__] = ACTIONS(1187),
    [anon_sym___forceinline] = ACTIONS(1187),
    [anon_sym_thread_local] = ACTIONS(1187),
    [anon_sym___thread] = ACTIONS(1187),
    [anon_sym_const] = ACTIONS(1187),
    [anon_sym_constexpr] = ACTIONS(1187),
    [anon_sym_volatile] = ACTIONS(1187),
    [anon_sym_restrict] = ACTIONS(1187),
    [anon_sym___restrict__] = ACTIONS(1187),
    [anon_sym__Atomic] = ACTIONS(1187),
    [anon_sym__Noreturn] = ACTIONS(1187),
    [anon_sym_noreturn] = ACTIONS(1187),
    [anon_sym_alignas] = ACTIONS(1187),
    [anon_sym__Alignas] = ACTIONS(1187),
    [sym_primitive_type] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [anon_sym_struct] = ACTIONS(1187),
    [anon_sym_union] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_else] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_goto] = ACTIONS(1187),
    [anon_sym___try] = ACTIONS(1187),
    [anon_sym___leave] = ACTIONS(1187),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_sizeof] = ACTIONS(1187),
    [anon_sym___alignof__] = ACTIONS(1187),
    [anon_sym___alignof] = ACTIONS(1187),
    [anon_sym__alignof] = ACTIONS(1187),
    [anon_sym_alignof] = ACTIONS(1187),
    [anon_sym__Alignof] = ACTIONS(1187),
    [anon_sym_offsetof] = ACTIONS(1187),
    [anon_sym__Generic] = ACTIONS(1187),
    [anon_sym_asm] = ACTIONS(1187),
    [anon_sym___asm__] = ACTIONS(1187),
    [sym_number_literal] = ACTIONS(1189),
    [anon_sym_L_SQUOTE] = ACTIONS(1189),
    [anon_sym_u_SQUOTE] = ACTIONS(1189),
    [anon_sym_U_SQUOTE] = ACTIONS(1189),
    [anon_sym_u8_SQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1189),
    [anon_sym_L_DQUOTE] = ACTIONS(1189),
    [anon_sym_u_DQUOTE] = ACTIONS(1189),
    [anon_sym_U_DQUOTE] = ACTIONS(1189),
    [anon_sym_u8_DQUOTE] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [anon_sym_NULL] = ACTIONS(1187),
    [anon_sym_nullptr] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_identifier] = ACTIONS(1191),
    [aux_sym_preproc_include_token1] = ACTIONS(1191),
    [aux_sym_preproc_def_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1191),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym___extension__] = ACTIONS(1191),
    [anon_sym_typedef] = ACTIONS(1191),
    [anon_sym_extern] = ACTIONS(1191),
    [anon_sym___attribute__] = ACTIONS(1191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1193),
    [anon_sym___declspec] = ACTIONS(1191),
    [anon_sym___cdecl] = ACTIONS(1191),
    [anon_sym___clrcall] = ACTIONS(1191),
    [anon_sym___stdcall] = ACTIONS(1191),
    [anon_sym___fastcall] = ACTIONS(1191),
    [anon_sym___thiscall] = ACTIONS(1191),
    [anon_sym___vectorcall] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_RBRACE] = ACTIONS(1193),
    [anon_sym_signed] = ACTIONS(1191),
    [anon_sym_unsigned] = ACTIONS(1191),
    [anon_sym_long] = ACTIONS(1191),
    [anon_sym_short] = ACTIONS(1191),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_auto] = ACTIONS(1191),
    [anon_sym_register] = ACTIONS(1191),
    [anon_sym_inline] = ACTIONS(1191),
    [anon_sym___inline] = ACTIONS(1191),
    [anon_sym___inline__] = ACTIONS(1191),
    [anon_sym___forceinline] = ACTIONS(1191),
    [anon_sym_thread_local] = ACTIONS(1191),
    [anon_sym___thread] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_constexpr] = ACTIONS(1191),
    [anon_sym_volatile] = ACTIONS(1191),
    [anon_sym_restrict] = ACTIONS(1191),
    [anon_sym___restrict__] = ACTIONS(1191),
    [anon_sym__Atomic] = ACTIONS(1191),
    [anon_sym__Noreturn] = ACTIONS(1191),
    [anon_sym_noreturn] = ACTIONS(1191),
    [anon_sym_alignas] = ACTIONS(1191),
    [anon_sym__Alignas] = ACTIONS(1191),
    [sym_primitive_type] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [anon_sym_struct] = ACTIONS(1191),
    [anon_sym_union] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_goto] = ACTIONS(1191),
    [anon_sym___try] = ACTIONS(1191),
    [anon_sym___leave] = ACTIONS(1191),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_sizeof] = ACTIONS(1191),
    [anon_sym___alignof__] = ACTIONS(1191),
    [anon_sym___alignof] = ACTIONS(1191),
    [anon_sym__alignof] = ACTIONS(1191),
    [anon_sym_alignof] = ACTIONS(1191),
    [anon_sym__Alignof] = ACTIONS(1191),
    [anon_sym_offsetof] = ACTIONS(1191),
    [anon_sym__Generic] = ACTIONS(1191),
    [anon_sym_asm] = ACTIONS(1191),
    [anon_sym___asm__] = ACTIONS(1191),
    [sym_number_literal] = ACTIONS(1193),
    [anon_sym_L_SQUOTE] = ACTIONS(1193),
    [anon_sym_u_SQUOTE] = ACTIONS(1193),
    [anon_sym_U_SQUOTE] = ACTIONS(1193),
    [anon_sym_u8_SQUOTE] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1193),
    [anon_sym_L_DQUOTE] = ACTIONS(1193),
    [anon_sym_u_DQUOTE] = ACTIONS(1193),
    [anon_sym_U_DQUOTE] = ACTIONS(1193),
    [anon_sym_u8_DQUOTE] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [anon_sym_NULL] = ACTIONS(1191),
    [anon_sym_nullptr] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_identifier] = ACTIONS(1195),
    [aux_sym_preproc_include_token1] = ACTIONS(1195),
    [aux_sym_preproc_def_token1] = ACTIONS(1195),
    [aux_sym_preproc_if_token1] = ACTIONS(1195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1195),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1195),
    [sym_preproc_directive] = ACTIONS(1195),
    [anon_sym_LPAREN2] = ACTIONS(1197),
    [anon_sym_BANG] = ACTIONS(1197),
    [anon_sym_TILDE] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym_STAR] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_SEMI] = ACTIONS(1197),
    [anon_sym___extension__] = ACTIONS(1195),
    [anon_sym_typedef] = ACTIONS(1195),
    [anon_sym_extern] = ACTIONS(1195),
    [anon_sym___attribute__] = ACTIONS(1195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1197),
    [anon_sym___declspec] = ACTIONS(1195),
    [anon_sym___cdecl] = ACTIONS(1195),
    [anon_sym___clrcall] = ACTIONS(1195),
    [anon_sym___stdcall] = ACTIONS(1195),
    [anon_sym___fastcall] = ACTIONS(1195),
    [anon_sym___thiscall] = ACTIONS(1195),
    [anon_sym___vectorcall] = ACTIONS(1195),
    [anon_sym_LBRACE] = ACTIONS(1197),
    [anon_sym_RBRACE] = ACTIONS(1197),
    [anon_sym_signed] = ACTIONS(1195),
    [anon_sym_unsigned] = ACTIONS(1195),
    [anon_sym_long] = ACTIONS(1195),
    [anon_sym_short] = ACTIONS(1195),
    [anon_sym_static] = ACTIONS(1195),
    [anon_sym_auto] = ACTIONS(1195),
    [anon_sym_register] = ACTIONS(1195),
    [anon_sym_inline] = ACTIONS(1195),
    [anon_sym___inline] = ACTIONS(1195),
    [anon_sym___inline__] = ACTIONS(1195),
    [anon_sym___forceinline] = ACTIONS(1195),
    [anon_sym_thread_local] = ACTIONS(1195),
    [anon_sym___thread] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1195),
    [anon_sym_constexpr] = ACTIONS(1195),
    [anon_sym_volatile] = ACTIONS(1195),
    [anon_sym_restrict] = ACTIONS(1195),
    [anon_sym___restrict__] = ACTIONS(1195),
    [anon_sym__Atomic] = ACTIONS(1195),
    [anon_sym__Noreturn] = ACTIONS(1195),
    [anon_sym_noreturn] = ACTIONS(1195),
    [anon_sym_alignas] = ACTIONS(1195),
    [anon_sym__Alignas] = ACTIONS(1195),
    [sym_primitive_type] = ACTIONS(1195),
    [anon_sym_enum] = ACTIONS(1195),
    [anon_sym_struct] = ACTIONS(1195),
    [anon_sym_union] = ACTIONS(1195),
    [anon_sym_if] = ACTIONS(1195),
    [anon_sym_else] = ACTIONS(1195),
    [anon_sym_switch] = ACTIONS(1195),
    [anon_sym_case] = ACTIONS(1195),
    [anon_sym_default] = ACTIONS(1195),
    [anon_sym_while] = ACTIONS(1195),
    [anon_sym_do] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1195),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_break] = ACTIONS(1195),
    [anon_sym_continue] = ACTIONS(1195),
    [anon_sym_goto] = ACTIONS(1195),
    [anon_sym___try] = ACTIONS(1195),
    [anon_sym___leave] = ACTIONS(1195),
    [anon_sym_DASH_DASH] = ACTIONS(1197),
    [anon_sym_PLUS_PLUS] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1195),
    [anon_sym___alignof__] = ACTIONS(1195),
    [anon_sym___alignof] = ACTIONS(1195),
    [anon_sym__alignof] = ACTIONS(1195),
    [anon_sym_alignof] = ACTIONS(1195),
    [anon_sym__Alignof] = ACTIONS(1195),
    [anon_sym_offsetof] = ACTIONS(1195),
    [anon_sym__Generic] = ACTIONS(1195),
    [anon_sym_asm] = ACTIONS(1195),
    [anon_sym___asm__] = ACTIONS(1195),
    [sym_number_literal] = ACTIONS(1197),
    [anon_sym_L_SQUOTE] = ACTIONS(1197),
    [anon_sym_u_SQUOTE] = ACTIONS(1197),
    [anon_sym_U_SQUOTE] = ACTIONS(1197),
    [anon_sym_u8_SQUOTE] = ACTIONS(1197),
    [anon_sym_SQUOTE] = ACTIONS(1197),
    [anon_sym_L_DQUOTE] = ACTIONS(1197),
    [anon_sym_u_DQUOTE] = ACTIONS(1197),
    [anon_sym_U_DQUOTE] = ACTIONS(1197),
    [anon_sym_u8_DQUOTE] = ACTIONS(1197),
    [anon_sym_DQUOTE] = ACTIONS(1197),
    [sym_true] = ACTIONS(1195),
    [sym_false] = ACTIONS(1195),
    [anon_sym_NULL] = ACTIONS(1195),
    [anon_sym_nullptr] = ACTIONS(1195),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [ts_builtin_sym_end] = ACTIONS(1201),
    [sym_identifier] = ACTIONS(1199),
    [aux_sym_preproc_include_token1] = ACTIONS(1199),
    [aux_sym_preproc_def_token1] = ACTIONS(1199),
    [aux_sym_preproc_if_token1] = ACTIONS(1199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1199),
    [sym_preproc_directive] = ACTIONS(1199),
    [anon_sym_LPAREN2] = ACTIONS(1201),
    [anon_sym_BANG] = ACTIONS(1201),
    [anon_sym_TILDE] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_PLUS] = ACTIONS(1199),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1201),
    [anon_sym___extension__] = ACTIONS(1199),
    [anon_sym_typedef] = ACTIONS(1199),
    [anon_sym_extern] = ACTIONS(1199),
    [anon_sym___attribute__] = ACTIONS(1199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1201),
    [anon_sym___declspec] = ACTIONS(1199),
    [anon_sym___cdecl] = ACTIONS(1199),
    [anon_sym___clrcall] = ACTIONS(1199),
    [anon_sym___stdcall] = ACTIONS(1199),
    [anon_sym___fastcall] = ACTIONS(1199),
    [anon_sym___thiscall] = ACTIONS(1199),
    [anon_sym___vectorcall] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(1201),
    [anon_sym_signed] = ACTIONS(1199),
    [anon_sym_unsigned] = ACTIONS(1199),
    [anon_sym_long] = ACTIONS(1199),
    [anon_sym_short] = ACTIONS(1199),
    [anon_sym_static] = ACTIONS(1199),
    [anon_sym_auto] = ACTIONS(1199),
    [anon_sym_register] = ACTIONS(1199),
    [anon_sym_inline] = ACTIONS(1199),
    [anon_sym___inline] = ACTIONS(1199),
    [anon_sym___inline__] = ACTIONS(1199),
    [anon_sym___forceinline] = ACTIONS(1199),
    [anon_sym_thread_local] = ACTIONS(1199),
    [anon_sym___thread] = ACTIONS(1199),
    [anon_sym_const] = ACTIONS(1199),
    [anon_sym_constexpr] = ACTIONS(1199),
    [anon_sym_volatile] = ACTIONS(1199),
    [anon_sym_restrict] = ACTIONS(1199),
    [anon_sym___restrict__] = ACTIONS(1199),
    [anon_sym__Atomic] = ACTIONS(1199),
    [anon_sym__Noreturn] = ACTIONS(1199),
    [anon_sym_noreturn] = ACTIONS(1199),
    [anon_sym_alignas] = ACTIONS(1199),
    [anon_sym__Alignas] = ACTIONS(1199),
    [sym_primitive_type] = ACTIONS(1199),
    [anon_sym_enum] = ACTIONS(1199),
    [anon_sym_struct] = ACTIONS(1199),
    [anon_sym_union] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_else] = ACTIONS(1199),
    [anon_sym_switch] = ACTIONS(1199),
    [anon_sym_case] = ACTIONS(1199),
    [anon_sym_default] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(1199),
    [anon_sym_do] = ACTIONS(1199),
    [anon_sym_for] = ACTIONS(1199),
    [anon_sym_return] = ACTIONS(1199),
    [anon_sym_break] = ACTIONS(1199),
    [anon_sym_continue] = ACTIONS(1199),
    [anon_sym_goto] = ACTIONS(1199),
    [anon_sym___try] = ACTIONS(1199),
    [anon_sym___leave] = ACTIONS(1199),
    [anon_sym_DASH_DASH] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(1201),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym___alignof__] = ACTIONS(1199),
    [anon_sym___alignof] = ACTIONS(1199),
    [anon_sym__alignof] = ACTIONS(1199),
    [anon_sym_alignof] = ACTIONS(1199),
    [anon_sym__Alignof] = ACTIONS(1199),
    [anon_sym_offsetof] = ACTIONS(1199),
    [anon_sym__Generic] = ACTIONS(1199),
    [anon_sym_asm] = ACTIONS(1199),
    [anon_sym___asm__] = ACTIONS(1199),
    [sym_number_literal] = ACTIONS(1201),
    [anon_sym_L_SQUOTE] = ACTIONS(1201),
    [anon_sym_u_SQUOTE] = ACTIONS(1201),
    [anon_sym_U_SQUOTE] = ACTIONS(1201),
    [anon_sym_u8_SQUOTE] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1201),
    [anon_sym_L_DQUOTE] = ACTIONS(1201),
    [anon_sym_u_DQUOTE] = ACTIONS(1201),
    [anon_sym_U_DQUOTE] = ACTIONS(1201),
    [anon_sym_u8_DQUOTE] = ACTIONS(1201),
    [anon_sym_DQUOTE] = ACTIONS(1201),
    [sym_true] = ACTIONS(1199),
    [sym_false] = ACTIONS(1199),
    [anon_sym_NULL] = ACTIONS(1199),
    [anon_sym_nullptr] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_identifier] = ACTIONS(1203),
    [aux_sym_preproc_include_token1] = ACTIONS(1203),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1203),
    [sym_preproc_directive] = ACTIONS(1203),
    [anon_sym_LPAREN2] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym___extension__] = ACTIONS(1203),
    [anon_sym_typedef] = ACTIONS(1203),
    [anon_sym_extern] = ACTIONS(1203),
    [anon_sym___attribute__] = ACTIONS(1203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1205),
    [anon_sym___declspec] = ACTIONS(1203),
    [anon_sym___cdecl] = ACTIONS(1203),
    [anon_sym___clrcall] = ACTIONS(1203),
    [anon_sym___stdcall] = ACTIONS(1203),
    [anon_sym___fastcall] = ACTIONS(1203),
    [anon_sym___thiscall] = ACTIONS(1203),
    [anon_sym___vectorcall] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_RBRACE] = ACTIONS(1205),
    [anon_sym_signed] = ACTIONS(1203),
    [anon_sym_unsigned] = ACTIONS(1203),
    [anon_sym_long] = ACTIONS(1203),
    [anon_sym_short] = ACTIONS(1203),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_auto] = ACTIONS(1203),
    [anon_sym_register] = ACTIONS(1203),
    [anon_sym_inline] = ACTIONS(1203),
    [anon_sym___inline] = ACTIONS(1203),
    [anon_sym___inline__] = ACTIONS(1203),
    [anon_sym___forceinline] = ACTIONS(1203),
    [anon_sym_thread_local] = ACTIONS(1203),
    [anon_sym___thread] = ACTIONS(1203),
    [anon_sym_const] = ACTIONS(1203),
    [anon_sym_constexpr] = ACTIONS(1203),
    [anon_sym_volatile] = ACTIONS(1203),
    [anon_sym_restrict] = ACTIONS(1203),
    [anon_sym___restrict__] = ACTIONS(1203),
    [anon_sym__Atomic] = ACTIONS(1203),
    [anon_sym__Noreturn] = ACTIONS(1203),
    [anon_sym_noreturn] = ACTIONS(1203),
    [anon_sym_alignas] = ACTIONS(1203),
    [anon_sym__Alignas] = ACTIONS(1203),
    [sym_primitive_type] = ACTIONS(1203),
    [anon_sym_enum] = ACTIONS(1203),
    [anon_sym_struct] = ACTIONS(1203),
    [anon_sym_union] = ACTIONS(1203),
    [anon_sym_if] = ACTIONS(1203),
    [anon_sym_else] = ACTIONS(1203),
    [anon_sym_switch] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1203),
    [anon_sym_default] = ACTIONS(1203),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(1203),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_break] = ACTIONS(1203),
    [anon_sym_continue] = ACTIONS(1203),
    [anon_sym_goto] = ACTIONS(1203),
    [anon_sym___try] = ACTIONS(1203),
    [anon_sym___leave] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_sizeof] = ACTIONS(1203),
    [anon_sym___alignof__] = ACTIONS(1203),
    [anon_sym___alignof] = ACTIONS(1203),
    [anon_sym__alignof] = ACTIONS(1203),
    [anon_sym_alignof] = ACTIONS(1203),
    [anon_sym__Alignof] = ACTIONS(1203),
    [anon_sym_offsetof] = ACTIONS(1203),
    [anon_sym__Generic] = ACTIONS(1203),
    [anon_sym_asm] = ACTIONS(1203),
    [anon_sym___asm__] = ACTIONS(1203),
    [sym_number_literal] = ACTIONS(1205),
    [anon_sym_L_SQUOTE] = ACTIONS(1205),
    [anon_sym_u_SQUOTE] = ACTIONS(1205),
    [anon_sym_U_SQUOTE] = ACTIONS(1205),
    [anon_sym_u8_SQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1205),
    [anon_sym_L_DQUOTE] = ACTIONS(1205),
    [anon_sym_u_DQUOTE] = ACTIONS(1205),
    [anon_sym_U_DQUOTE] = ACTIONS(1205),
    [anon_sym_u8_DQUOTE] = ACTIONS(1205),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [sym_true] = ACTIONS(1203),
    [sym_false] = ACTIONS(1203),
    [anon_sym_NULL] = ACTIONS(1203),
    [anon_sym_nullptr] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_identifier] = ACTIONS(1207),
    [aux_sym_preproc_include_token1] = ACTIONS(1207),
    [aux_sym_preproc_def_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1207),
    [anon_sym_LPAREN2] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym___extension__] = ACTIONS(1207),
    [anon_sym_typedef] = ACTIONS(1207),
    [anon_sym_extern] = ACTIONS(1207),
    [anon_sym___attribute__] = ACTIONS(1207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1209),
    [anon_sym___declspec] = ACTIONS(1207),
    [anon_sym___cdecl] = ACTIONS(1207),
    [anon_sym___clrcall] = ACTIONS(1207),
    [anon_sym___stdcall] = ACTIONS(1207),
    [anon_sym___fastcall] = ACTIONS(1207),
    [anon_sym___thiscall] = ACTIONS(1207),
    [anon_sym___vectorcall] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_RBRACE] = ACTIONS(1209),
    [anon_sym_signed] = ACTIONS(1207),
    [anon_sym_unsigned] = ACTIONS(1207),
    [anon_sym_long] = ACTIONS(1207),
    [anon_sym_short] = ACTIONS(1207),
    [anon_sym_static] = ACTIONS(1207),
    [anon_sym_auto] = ACTIONS(1207),
    [anon_sym_register] = ACTIONS(1207),
    [anon_sym_inline] = ACTIONS(1207),
    [anon_sym___inline] = ACTIONS(1207),
    [anon_sym___inline__] = ACTIONS(1207),
    [anon_sym___forceinline] = ACTIONS(1207),
    [anon_sym_thread_local] = ACTIONS(1207),
    [anon_sym___thread] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_constexpr] = ACTIONS(1207),
    [anon_sym_volatile] = ACTIONS(1207),
    [anon_sym_restrict] = ACTIONS(1207),
    [anon_sym___restrict__] = ACTIONS(1207),
    [anon_sym__Atomic] = ACTIONS(1207),
    [anon_sym__Noreturn] = ACTIONS(1207),
    [anon_sym_noreturn] = ACTIONS(1207),
    [anon_sym_alignas] = ACTIONS(1207),
    [anon_sym__Alignas] = ACTIONS(1207),
    [sym_primitive_type] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_struct] = ACTIONS(1207),
    [anon_sym_union] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_else] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_goto] = ACTIONS(1207),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_sizeof] = ACTIONS(1207),
    [anon_sym___alignof__] = ACTIONS(1207),
    [anon_sym___alignof] = ACTIONS(1207),
    [anon_sym__alignof] = ACTIONS(1207),
    [anon_sym_alignof] = ACTIONS(1207),
    [anon_sym__Alignof] = ACTIONS(1207),
    [anon_sym_offsetof] = ACTIONS(1207),
    [anon_sym__Generic] = ACTIONS(1207),
    [anon_sym_asm] = ACTIONS(1207),
    [anon_sym___asm__] = ACTIONS(1207),
    [sym_number_literal] = ACTIONS(1209),
    [anon_sym_L_SQUOTE] = ACTIONS(1209),
    [anon_sym_u_SQUOTE] = ACTIONS(1209),
    [anon_sym_U_SQUOTE] = ACTIONS(1209),
    [anon_sym_u8_SQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [anon_sym_L_DQUOTE] = ACTIONS(1209),
    [anon_sym_u_DQUOTE] = ACTIONS(1209),
    [anon_sym_U_DQUOTE] = ACTIONS(1209),
    [anon_sym_u8_DQUOTE] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [anon_sym_NULL] = ACTIONS(1207),
    [anon_sym_nullptr] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_identifier] = ACTIONS(1211),
    [aux_sym_preproc_include_token1] = ACTIONS(1211),
    [aux_sym_preproc_def_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1211),
    [sym_preproc_directive] = ACTIONS(1211),
    [anon_sym_LPAREN2] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym___extension__] = ACTIONS(1211),
    [anon_sym_typedef] = ACTIONS(1211),
    [anon_sym_extern] = ACTIONS(1211),
    [anon_sym___attribute__] = ACTIONS(1211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1213),
    [anon_sym___declspec] = ACTIONS(1211),
    [anon_sym___cdecl] = ACTIONS(1211),
    [anon_sym___clrcall] = ACTIONS(1211),
    [anon_sym___stdcall] = ACTIONS(1211),
    [anon_sym___fastcall] = ACTIONS(1211),
    [anon_sym___thiscall] = ACTIONS(1211),
    [anon_sym___vectorcall] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_signed] = ACTIONS(1211),
    [anon_sym_unsigned] = ACTIONS(1211),
    [anon_sym_long] = ACTIONS(1211),
    [anon_sym_short] = ACTIONS(1211),
    [anon_sym_static] = ACTIONS(1211),
    [anon_sym_auto] = ACTIONS(1211),
    [anon_sym_register] = ACTIONS(1211),
    [anon_sym_inline] = ACTIONS(1211),
    [anon_sym___inline] = ACTIONS(1211),
    [anon_sym___inline__] = ACTIONS(1211),
    [anon_sym___forceinline] = ACTIONS(1211),
    [anon_sym_thread_local] = ACTIONS(1211),
    [anon_sym___thread] = ACTIONS(1211),
    [anon_sym_const] = ACTIONS(1211),
    [anon_sym_constexpr] = ACTIONS(1211),
    [anon_sym_volatile] = ACTIONS(1211),
    [anon_sym_restrict] = ACTIONS(1211),
    [anon_sym___restrict__] = ACTIONS(1211),
    [anon_sym__Atomic] = ACTIONS(1211),
    [anon_sym__Noreturn] = ACTIONS(1211),
    [anon_sym_noreturn] = ACTIONS(1211),
    [anon_sym_alignas] = ACTIONS(1211),
    [anon_sym__Alignas] = ACTIONS(1211),
    [sym_primitive_type] = ACTIONS(1211),
    [anon_sym_enum] = ACTIONS(1211),
    [anon_sym_struct] = ACTIONS(1211),
    [anon_sym_union] = ACTIONS(1211),
    [anon_sym_if] = ACTIONS(1211),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1211),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1211),
    [anon_sym_do] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1211),
    [anon_sym_break] = ACTIONS(1211),
    [anon_sym_continue] = ACTIONS(1211),
    [anon_sym_goto] = ACTIONS(1211),
    [anon_sym___try] = ACTIONS(1211),
    [anon_sym___leave] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1213),
    [anon_sym_PLUS_PLUS] = ACTIONS(1213),
    [anon_sym_sizeof] = ACTIONS(1211),
    [anon_sym___alignof__] = ACTIONS(1211),
    [anon_sym___alignof] = ACTIONS(1211),
    [anon_sym__alignof] = ACTIONS(1211),
    [anon_sym_alignof] = ACTIONS(1211),
    [anon_sym__Alignof] = ACTIONS(1211),
    [anon_sym_offsetof] = ACTIONS(1211),
    [anon_sym__Generic] = ACTIONS(1211),
    [anon_sym_asm] = ACTIONS(1211),
    [anon_sym___asm__] = ACTIONS(1211),
    [sym_number_literal] = ACTIONS(1213),
    [anon_sym_L_SQUOTE] = ACTIONS(1213),
    [anon_sym_u_SQUOTE] = ACTIONS(1213),
    [anon_sym_U_SQUOTE] = ACTIONS(1213),
    [anon_sym_u8_SQUOTE] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_L_DQUOTE] = ACTIONS(1213),
    [anon_sym_u_DQUOTE] = ACTIONS(1213),
    [anon_sym_U_DQUOTE] = ACTIONS(1213),
    [anon_sym_u8_DQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_true] = ACTIONS(1211),
    [sym_false] = ACTIONS(1211),
    [anon_sym_NULL] = ACTIONS(1211),
    [anon_sym_nullptr] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_identifier] = ACTIONS(1215),
    [aux_sym_preproc_include_token1] = ACTIONS(1215),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1215),
    [sym_preproc_directive] = ACTIONS(1215),
    [anon_sym_LPAREN2] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym___extension__] = ACTIONS(1215),
    [anon_sym_typedef] = ACTIONS(1215),
    [anon_sym_extern] = ACTIONS(1215),
    [anon_sym___attribute__] = ACTIONS(1215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1217),
    [anon_sym___declspec] = ACTIONS(1215),
    [anon_sym___cdecl] = ACTIONS(1215),
    [anon_sym___clrcall] = ACTIONS(1215),
    [anon_sym___stdcall] = ACTIONS(1215),
    [anon_sym___fastcall] = ACTIONS(1215),
    [anon_sym___thiscall] = ACTIONS(1215),
    [anon_sym___vectorcall] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_RBRACE] = ACTIONS(1217),
    [anon_sym_signed] = ACTIONS(1215),
    [anon_sym_unsigned] = ACTIONS(1215),
    [anon_sym_long] = ACTIONS(1215),
    [anon_sym_short] = ACTIONS(1215),
    [anon_sym_static] = ACTIONS(1215),
    [anon_sym_auto] = ACTIONS(1215),
    [anon_sym_register] = ACTIONS(1215),
    [anon_sym_inline] = ACTIONS(1215),
    [anon_sym___inline] = ACTIONS(1215),
    [anon_sym___inline__] = ACTIONS(1215),
    [anon_sym___forceinline] = ACTIONS(1215),
    [anon_sym_thread_local] = ACTIONS(1215),
    [anon_sym___thread] = ACTIONS(1215),
    [anon_sym_const] = ACTIONS(1215),
    [anon_sym_constexpr] = ACTIONS(1215),
    [anon_sym_volatile] = ACTIONS(1215),
    [anon_sym_restrict] = ACTIONS(1215),
    [anon_sym___restrict__] = ACTIONS(1215),
    [anon_sym__Atomic] = ACTIONS(1215),
    [anon_sym__Noreturn] = ACTIONS(1215),
    [anon_sym_noreturn] = ACTIONS(1215),
    [anon_sym_alignas] = ACTIONS(1215),
    [anon_sym__Alignas] = ACTIONS(1215),
    [sym_primitive_type] = ACTIONS(1215),
    [anon_sym_enum] = ACTIONS(1215),
    [anon_sym_struct] = ACTIONS(1215),
    [anon_sym_union] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_else] = ACTIONS(1215),
    [anon_sym_switch] = ACTIONS(1215),
    [anon_sym_case] = ACTIONS(1215),
    [anon_sym_default] = ACTIONS(1215),
    [anon_sym_while] = ACTIONS(1215),
    [anon_sym_do] = ACTIONS(1215),
    [anon_sym_for] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1215),
    [anon_sym_break] = ACTIONS(1215),
    [anon_sym_continue] = ACTIONS(1215),
    [anon_sym_goto] = ACTIONS(1215),
    [anon_sym___try] = ACTIONS(1215),
    [anon_sym___leave] = ACTIONS(1215),
    [anon_sym_DASH_DASH] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1217),
    [anon_sym_sizeof] = ACTIONS(1215),
    [anon_sym___alignof__] = ACTIONS(1215),
    [anon_sym___alignof] = ACTIONS(1215),
    [anon_sym__alignof] = ACTIONS(1215),
    [anon_sym_alignof] = ACTIONS(1215),
    [anon_sym__Alignof] = ACTIONS(1215),
    [anon_sym_offsetof] = ACTIONS(1215),
    [anon_sym__Generic] = ACTIONS(1215),
    [anon_sym_asm] = ACTIONS(1215),
    [anon_sym___asm__] = ACTIONS(1215),
    [sym_number_literal] = ACTIONS(1217),
    [anon_sym_L_SQUOTE] = ACTIONS(1217),
    [anon_sym_u_SQUOTE] = ACTIONS(1217),
    [anon_sym_U_SQUOTE] = ACTIONS(1217),
    [anon_sym_u8_SQUOTE] = ACTIONS(1217),
    [anon_sym_SQUOTE] = ACTIONS(1217),
    [anon_sym_L_DQUOTE] = ACTIONS(1217),
    [anon_sym_u_DQUOTE] = ACTIONS(1217),
    [anon_sym_U_DQUOTE] = ACTIONS(1217),
    [anon_sym_u8_DQUOTE] = ACTIONS(1217),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [anon_sym_NULL] = ACTIONS(1215),
    [anon_sym_nullptr] = ACTIONS(1215),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_identifier] = ACTIONS(1219),
    [aux_sym_preproc_include_token1] = ACTIONS(1219),
    [aux_sym_preproc_def_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1219),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1219),
    [anon_sym_typedef] = ACTIONS(1219),
    [anon_sym_extern] = ACTIONS(1219),
    [anon_sym___attribute__] = ACTIONS(1219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1221),
    [anon_sym___declspec] = ACTIONS(1219),
    [anon_sym___cdecl] = ACTIONS(1219),
    [anon_sym___clrcall] = ACTIONS(1219),
    [anon_sym___stdcall] = ACTIONS(1219),
    [anon_sym___fastcall] = ACTIONS(1219),
    [anon_sym___thiscall] = ACTIONS(1219),
    [anon_sym___vectorcall] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [anon_sym_signed] = ACTIONS(1219),
    [anon_sym_unsigned] = ACTIONS(1219),
    [anon_sym_long] = ACTIONS(1219),
    [anon_sym_short] = ACTIONS(1219),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_auto] = ACTIONS(1219),
    [anon_sym_register] = ACTIONS(1219),
    [anon_sym_inline] = ACTIONS(1219),
    [anon_sym___inline] = ACTIONS(1219),
    [anon_sym___inline__] = ACTIONS(1219),
    [anon_sym___forceinline] = ACTIONS(1219),
    [anon_sym_thread_local] = ACTIONS(1219),
    [anon_sym___thread] = ACTIONS(1219),
    [anon_sym_const] = ACTIONS(1219),
    [anon_sym_constexpr] = ACTIONS(1219),
    [anon_sym_volatile] = ACTIONS(1219),
    [anon_sym_restrict] = ACTIONS(1219),
    [anon_sym___restrict__] = ACTIONS(1219),
    [anon_sym__Atomic] = ACTIONS(1219),
    [anon_sym__Noreturn] = ACTIONS(1219),
    [anon_sym_noreturn] = ACTIONS(1219),
    [anon_sym_alignas] = ACTIONS(1219),
    [anon_sym__Alignas] = ACTIONS(1219),
    [sym_primitive_type] = ACTIONS(1219),
    [anon_sym_enum] = ACTIONS(1219),
    [anon_sym_struct] = ACTIONS(1219),
    [anon_sym_union] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1219),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1219),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_return] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(1219),
    [anon_sym_goto] = ACTIONS(1219),
    [anon_sym___try] = ACTIONS(1219),
    [anon_sym___leave] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_sizeof] = ACTIONS(1219),
    [anon_sym___alignof__] = ACTIONS(1219),
    [anon_sym___alignof] = ACTIONS(1219),
    [anon_sym__alignof] = ACTIONS(1219),
    [anon_sym_alignof] = ACTIONS(1219),
    [anon_sym__Alignof] = ACTIONS(1219),
    [anon_sym_offsetof] = ACTIONS(1219),
    [anon_sym__Generic] = ACTIONS(1219),
    [anon_sym_asm] = ACTIONS(1219),
    [anon_sym___asm__] = ACTIONS(1219),
    [sym_number_literal] = ACTIONS(1221),
    [anon_sym_L_SQUOTE] = ACTIONS(1221),
    [anon_sym_u_SQUOTE] = ACTIONS(1221),
    [anon_sym_U_SQUOTE] = ACTIONS(1221),
    [anon_sym_u8_SQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_L_DQUOTE] = ACTIONS(1221),
    [anon_sym_u_DQUOTE] = ACTIONS(1221),
    [anon_sym_U_DQUOTE] = ACTIONS(1221),
    [anon_sym_u8_DQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [sym_true] = ACTIONS(1219),
    [sym_false] = ACTIONS(1219),
    [anon_sym_NULL] = ACTIONS(1219),
    [anon_sym_nullptr] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_identifier] = ACTIONS(1219),
    [aux_sym_preproc_include_token1] = ACTIONS(1219),
    [aux_sym_preproc_def_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1219),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1219),
    [anon_sym_typedef] = ACTIONS(1219),
    [anon_sym_extern] = ACTIONS(1219),
    [anon_sym___attribute__] = ACTIONS(1219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1221),
    [anon_sym___declspec] = ACTIONS(1219),
    [anon_sym___cdecl] = ACTIONS(1219),
    [anon_sym___clrcall] = ACTIONS(1219),
    [anon_sym___stdcall] = ACTIONS(1219),
    [anon_sym___fastcall] = ACTIONS(1219),
    [anon_sym___thiscall] = ACTIONS(1219),
    [anon_sym___vectorcall] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [anon_sym_signed] = ACTIONS(1219),
    [anon_sym_unsigned] = ACTIONS(1219),
    [anon_sym_long] = ACTIONS(1219),
    [anon_sym_short] = ACTIONS(1219),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_auto] = ACTIONS(1219),
    [anon_sym_register] = ACTIONS(1219),
    [anon_sym_inline] = ACTIONS(1219),
    [anon_sym___inline] = ACTIONS(1219),
    [anon_sym___inline__] = ACTIONS(1219),
    [anon_sym___forceinline] = ACTIONS(1219),
    [anon_sym_thread_local] = ACTIONS(1219),
    [anon_sym___thread] = ACTIONS(1219),
    [anon_sym_const] = ACTIONS(1219),
    [anon_sym_constexpr] = ACTIONS(1219),
    [anon_sym_volatile] = ACTIONS(1219),
    [anon_sym_restrict] = ACTIONS(1219),
    [anon_sym___restrict__] = ACTIONS(1219),
    [anon_sym__Atomic] = ACTIONS(1219),
    [anon_sym__Noreturn] = ACTIONS(1219),
    [anon_sym_noreturn] = ACTIONS(1219),
    [anon_sym_alignas] = ACTIONS(1219),
    [anon_sym__Alignas] = ACTIONS(1219),
    [sym_primitive_type] = ACTIONS(1219),
    [anon_sym_enum] = ACTIONS(1219),
    [anon_sym_struct] = ACTIONS(1219),
    [anon_sym_union] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1219),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1219),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_return] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(1219),
    [anon_sym_goto] = ACTIONS(1219),
    [anon_sym___try] = ACTIONS(1219),
    [anon_sym___leave] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_sizeof] = ACTIONS(1219),
    [anon_sym___alignof__] = ACTIONS(1219),
    [anon_sym___alignof] = ACTIONS(1219),
    [anon_sym__alignof] = ACTIONS(1219),
    [anon_sym_alignof] = ACTIONS(1219),
    [anon_sym__Alignof] = ACTIONS(1219),
    [anon_sym_offsetof] = ACTIONS(1219),
    [anon_sym__Generic] = ACTIONS(1219),
    [anon_sym_asm] = ACTIONS(1219),
    [anon_sym___asm__] = ACTIONS(1219),
    [sym_number_literal] = ACTIONS(1221),
    [anon_sym_L_SQUOTE] = ACTIONS(1221),
    [anon_sym_u_SQUOTE] = ACTIONS(1221),
    [anon_sym_U_SQUOTE] = ACTIONS(1221),
    [anon_sym_u8_SQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_L_DQUOTE] = ACTIONS(1221),
    [anon_sym_u_DQUOTE] = ACTIONS(1221),
    [anon_sym_U_DQUOTE] = ACTIONS(1221),
    [anon_sym_u8_DQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [sym_true] = ACTIONS(1219),
    [sym_false] = ACTIONS(1219),
    [anon_sym_NULL] = ACTIONS(1219),
    [anon_sym_nullptr] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_identifier] = ACTIONS(1227),
    [aux_sym_preproc_include_token1] = ACTIONS(1227),
    [aux_sym_preproc_def_token1] = ACTIONS(1227),
    [aux_sym_preproc_if_token1] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1227),
    [sym_preproc_directive] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1229),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym___extension__] = ACTIONS(1227),
    [anon_sym_typedef] = ACTIONS(1227),
    [anon_sym_extern] = ACTIONS(1227),
    [anon_sym___attribute__] = ACTIONS(1227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1229),
    [anon_sym___declspec] = ACTIONS(1227),
    [anon_sym___cdecl] = ACTIONS(1227),
    [anon_sym___clrcall] = ACTIONS(1227),
    [anon_sym___stdcall] = ACTIONS(1227),
    [anon_sym___fastcall] = ACTIONS(1227),
    [anon_sym___thiscall] = ACTIONS(1227),
    [anon_sym___vectorcall] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1229),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [anon_sym_signed] = ACTIONS(1227),
    [anon_sym_unsigned] = ACTIONS(1227),
    [anon_sym_long] = ACTIONS(1227),
    [anon_sym_short] = ACTIONS(1227),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_auto] = ACTIONS(1227),
    [anon_sym_register] = ACTIONS(1227),
    [anon_sym_inline] = ACTIONS(1227),
    [anon_sym___inline] = ACTIONS(1227),
    [anon_sym___inline__] = ACTIONS(1227),
    [anon_sym___forceinline] = ACTIONS(1227),
    [anon_sym_thread_local] = ACTIONS(1227),
    [anon_sym___thread] = ACTIONS(1227),
    [anon_sym_const] = ACTIONS(1227),
    [anon_sym_constexpr] = ACTIONS(1227),
    [anon_sym_volatile] = ACTIONS(1227),
    [anon_sym_restrict] = ACTIONS(1227),
    [anon_sym___restrict__] = ACTIONS(1227),
    [anon_sym__Atomic] = ACTIONS(1227),
    [anon_sym__Noreturn] = ACTIONS(1227),
    [anon_sym_noreturn] = ACTIONS(1227),
    [anon_sym_alignas] = ACTIONS(1227),
    [anon_sym__Alignas] = ACTIONS(1227),
    [sym_primitive_type] = ACTIONS(1227),
    [anon_sym_enum] = ACTIONS(1227),
    [anon_sym_struct] = ACTIONS(1227),
    [anon_sym_union] = ACTIONS(1227),
    [anon_sym_if] = ACTIONS(1227),
    [anon_sym_else] = ACTIONS(1227),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_case] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1227),
    [anon_sym_while] = ACTIONS(1227),
    [anon_sym_do] = ACTIONS(1227),
    [anon_sym_for] = ACTIONS(1227),
    [anon_sym_return] = ACTIONS(1227),
    [anon_sym_break] = ACTIONS(1227),
    [anon_sym_continue] = ACTIONS(1227),
    [anon_sym_goto] = ACTIONS(1227),
    [anon_sym___try] = ACTIONS(1227),
    [anon_sym___leave] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1229),
    [anon_sym_PLUS_PLUS] = ACTIONS(1229),
    [anon_sym_sizeof] = ACTIONS(1227),
    [anon_sym___alignof__] = ACTIONS(1227),
    [anon_sym___alignof] = ACTIONS(1227),
    [anon_sym__alignof] = ACTIONS(1227),
    [anon_sym_alignof] = ACTIONS(1227),
    [anon_sym__Alignof] = ACTIONS(1227),
    [anon_sym_offsetof] = ACTIONS(1227),
    [anon_sym__Generic] = ACTIONS(1227),
    [anon_sym_asm] = ACTIONS(1227),
    [anon_sym___asm__] = ACTIONS(1227),
    [sym_number_literal] = ACTIONS(1229),
    [anon_sym_L_SQUOTE] = ACTIONS(1229),
    [anon_sym_u_SQUOTE] = ACTIONS(1229),
    [anon_sym_U_SQUOTE] = ACTIONS(1229),
    [anon_sym_u8_SQUOTE] = ACTIONS(1229),
    [anon_sym_SQUOTE] = ACTIONS(1229),
    [anon_sym_L_DQUOTE] = ACTIONS(1229),
    [anon_sym_u_DQUOTE] = ACTIONS(1229),
    [anon_sym_U_DQUOTE] = ACTIONS(1229),
    [anon_sym_u8_DQUOTE] = ACTIONS(1229),
    [anon_sym_DQUOTE] = ACTIONS(1229),
    [sym_true] = ACTIONS(1227),
    [sym_false] = ACTIONS(1227),
    [anon_sym_NULL] = ACTIONS(1227),
    [anon_sym_nullptr] = ACTIONS(1227),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [ts_builtin_sym_end] = ACTIONS(1233),
    [sym_identifier] = ACTIONS(1231),
    [aux_sym_preproc_include_token1] = ACTIONS(1231),
    [aux_sym_preproc_def_token1] = ACTIONS(1231),
    [aux_sym_preproc_if_token1] = ACTIONS(1231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1231),
    [sym_preproc_directive] = ACTIONS(1231),
    [anon_sym_LPAREN2] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1233),
    [anon_sym_TILDE] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1231),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym___extension__] = ACTIONS(1231),
    [anon_sym_typedef] = ACTIONS(1231),
    [anon_sym_extern] = ACTIONS(1231),
    [anon_sym___attribute__] = ACTIONS(1231),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1233),
    [anon_sym___declspec] = ACTIONS(1231),
    [anon_sym___cdecl] = ACTIONS(1231),
    [anon_sym___clrcall] = ACTIONS(1231),
    [anon_sym___stdcall] = ACTIONS(1231),
    [anon_sym___fastcall] = ACTIONS(1231),
    [anon_sym___thiscall] = ACTIONS(1231),
    [anon_sym___vectorcall] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_signed] = ACTIONS(1231),
    [anon_sym_unsigned] = ACTIONS(1231),
    [anon_sym_long] = ACTIONS(1231),
    [anon_sym_short] = ACTIONS(1231),
    [anon_sym_static] = ACTIONS(1231),
    [anon_sym_auto] = ACTIONS(1231),
    [anon_sym_register] = ACTIONS(1231),
    [anon_sym_inline] = ACTIONS(1231),
    [anon_sym___inline] = ACTIONS(1231),
    [anon_sym___inline__] = ACTIONS(1231),
    [anon_sym___forceinline] = ACTIONS(1231),
    [anon_sym_thread_local] = ACTIONS(1231),
    [anon_sym___thread] = ACTIONS(1231),
    [anon_sym_const] = ACTIONS(1231),
    [anon_sym_constexpr] = ACTIONS(1231),
    [anon_sym_volatile] = ACTIONS(1231),
    [anon_sym_restrict] = ACTIONS(1231),
    [anon_sym___restrict__] = ACTIONS(1231),
    [anon_sym__Atomic] = ACTIONS(1231),
    [anon_sym__Noreturn] = ACTIONS(1231),
    [anon_sym_noreturn] = ACTIONS(1231),
    [anon_sym_alignas] = ACTIONS(1231),
    [anon_sym__Alignas] = ACTIONS(1231),
    [sym_primitive_type] = ACTIONS(1231),
    [anon_sym_enum] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1231),
    [anon_sym_union] = ACTIONS(1231),
    [anon_sym_if] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1231),
    [anon_sym_switch] = ACTIONS(1231),
    [anon_sym_case] = ACTIONS(1231),
    [anon_sym_default] = ACTIONS(1231),
    [anon_sym_while] = ACTIONS(1231),
    [anon_sym_do] = ACTIONS(1231),
    [anon_sym_for] = ACTIONS(1231),
    [anon_sym_return] = ACTIONS(1231),
    [anon_sym_break] = ACTIONS(1231),
    [anon_sym_continue] = ACTIONS(1231),
    [anon_sym_goto] = ACTIONS(1231),
    [anon_sym___try] = ACTIONS(1231),
    [anon_sym___leave] = ACTIONS(1231),
    [anon_sym_DASH_DASH] = ACTIONS(1233),
    [anon_sym_PLUS_PLUS] = ACTIONS(1233),
    [anon_sym_sizeof] = ACTIONS(1231),
    [anon_sym___alignof__] = ACTIONS(1231),
    [anon_sym___alignof] = ACTIONS(1231),
    [anon_sym__alignof] = ACTIONS(1231),
    [anon_sym_alignof] = ACTIONS(1231),
    [anon_sym__Alignof] = ACTIONS(1231),
    [anon_sym_offsetof] = ACTIONS(1231),
    [anon_sym__Generic] = ACTIONS(1231),
    [anon_sym_asm] = ACTIONS(1231),
    [anon_sym___asm__] = ACTIONS(1231),
    [sym_number_literal] = ACTIONS(1233),
    [anon_sym_L_SQUOTE] = ACTIONS(1233),
    [anon_sym_u_SQUOTE] = ACTIONS(1233),
    [anon_sym_U_SQUOTE] = ACTIONS(1233),
    [anon_sym_u8_SQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1233),
    [anon_sym_L_DQUOTE] = ACTIONS(1233),
    [anon_sym_u_DQUOTE] = ACTIONS(1233),
    [anon_sym_U_DQUOTE] = ACTIONS(1233),
    [anon_sym_u8_DQUOTE] = ACTIONS(1233),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [sym_true] = ACTIONS(1231),
    [sym_false] = ACTIONS(1231),
    [anon_sym_NULL] = ACTIONS(1231),
    [anon_sym_nullptr] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_identifier] = ACTIONS(1235),
    [aux_sym_preproc_include_token1] = ACTIONS(1235),
    [aux_sym_preproc_def_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(1235),
    [anon_sym_LPAREN2] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1235),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(1237),
    [anon_sym___extension__] = ACTIONS(1235),
    [anon_sym_typedef] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(1235),
    [anon_sym___attribute__] = ACTIONS(1235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(1235),
    [anon_sym___cdecl] = ACTIONS(1235),
    [anon_sym___clrcall] = ACTIONS(1235),
    [anon_sym___stdcall] = ACTIONS(1235),
    [anon_sym___fastcall] = ACTIONS(1235),
    [anon_sym___thiscall] = ACTIONS(1235),
    [anon_sym___vectorcall] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_RBRACE] = ACTIONS(1237),
    [anon_sym_signed] = ACTIONS(1235),
    [anon_sym_unsigned] = ACTIONS(1235),
    [anon_sym_long] = ACTIONS(1235),
    [anon_sym_short] = ACTIONS(1235),
    [anon_sym_static] = ACTIONS(1235),
    [anon_sym_auto] = ACTIONS(1235),
    [anon_sym_register] = ACTIONS(1235),
    [anon_sym_inline] = ACTIONS(1235),
    [anon_sym___inline] = ACTIONS(1235),
    [anon_sym___inline__] = ACTIONS(1235),
    [anon_sym___forceinline] = ACTIONS(1235),
    [anon_sym_thread_local] = ACTIONS(1235),
    [anon_sym___thread] = ACTIONS(1235),
    [anon_sym_const] = ACTIONS(1235),
    [anon_sym_constexpr] = ACTIONS(1235),
    [anon_sym_volatile] = ACTIONS(1235),
    [anon_sym_restrict] = ACTIONS(1235),
    [anon_sym___restrict__] = ACTIONS(1235),
    [anon_sym__Atomic] = ACTIONS(1235),
    [anon_sym__Noreturn] = ACTIONS(1235),
    [anon_sym_noreturn] = ACTIONS(1235),
    [anon_sym_alignas] = ACTIONS(1235),
    [anon_sym__Alignas] = ACTIONS(1235),
    [sym_primitive_type] = ACTIONS(1235),
    [anon_sym_enum] = ACTIONS(1235),
    [anon_sym_struct] = ACTIONS(1235),
    [anon_sym_union] = ACTIONS(1235),
    [anon_sym_if] = ACTIONS(1235),
    [anon_sym_else] = ACTIONS(1235),
    [anon_sym_switch] = ACTIONS(1235),
    [anon_sym_case] = ACTIONS(1235),
    [anon_sym_default] = ACTIONS(1235),
    [anon_sym_while] = ACTIONS(1235),
    [anon_sym_do] = ACTIONS(1235),
    [anon_sym_for] = ACTIONS(1235),
    [anon_sym_return] = ACTIONS(1235),
    [anon_sym_break] = ACTIONS(1235),
    [anon_sym_continue] = ACTIONS(1235),
    [anon_sym_goto] = ACTIONS(1235),
    [anon_sym___try] = ACTIONS(1235),
    [anon_sym___leave] = ACTIONS(1235),
    [anon_sym_DASH_DASH] = ACTIONS(1237),
    [anon_sym_PLUS_PLUS] = ACTIONS(1237),
    [anon_sym_sizeof] = ACTIONS(1235),
    [anon_sym___alignof__] = ACTIONS(1235),
    [anon_sym___alignof] = ACTIONS(1235),
    [anon_sym__alignof] = ACTIONS(1235),
    [anon_sym_alignof] = ACTIONS(1235),
    [anon_sym__Alignof] = ACTIONS(1235),
    [anon_sym_offsetof] = ACTIONS(1235),
    [anon_sym__Generic] = ACTIONS(1235),
    [anon_sym_asm] = ACTIONS(1235),
    [anon_sym___asm__] = ACTIONS(1235),
    [sym_number_literal] = ACTIONS(1237),
    [anon_sym_L_SQUOTE] = ACTIONS(1237),
    [anon_sym_u_SQUOTE] = ACTIONS(1237),
    [anon_sym_U_SQUOTE] = ACTIONS(1237),
    [anon_sym_u8_SQUOTE] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1237),
    [anon_sym_L_DQUOTE] = ACTIONS(1237),
    [anon_sym_u_DQUOTE] = ACTIONS(1237),
    [anon_sym_U_DQUOTE] = ACTIONS(1237),
    [anon_sym_u8_DQUOTE] = ACTIONS(1237),
    [anon_sym_DQUOTE] = ACTIONS(1237),
    [sym_true] = ACTIONS(1235),
    [sym_false] = ACTIONS(1235),
    [anon_sym_NULL] = ACTIONS(1235),
    [anon_sym_nullptr] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_identifier] = ACTIONS(1127),
    [aux_sym_preproc_include_token1] = ACTIONS(1127),
    [aux_sym_preproc_def_token1] = ACTIONS(1127),
    [aux_sym_preproc_if_token1] = ACTIONS(1127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1127),
    [sym_preproc_directive] = ACTIONS(1127),
    [anon_sym_LPAREN2] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_STAR] = ACTIONS(1129),
    [anon_sym_AMP] = ACTIONS(1129),
    [anon_sym_SEMI] = ACTIONS(1129),
    [anon_sym___extension__] = ACTIONS(1127),
    [anon_sym_typedef] = ACTIONS(1127),
    [anon_sym_extern] = ACTIONS(1127),
    [anon_sym___attribute__] = ACTIONS(1127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1129),
    [anon_sym___declspec] = ACTIONS(1127),
    [anon_sym___cdecl] = ACTIONS(1127),
    [anon_sym___clrcall] = ACTIONS(1127),
    [anon_sym___stdcall] = ACTIONS(1127),
    [anon_sym___fastcall] = ACTIONS(1127),
    [anon_sym___thiscall] = ACTIONS(1127),
    [anon_sym___vectorcall] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_RBRACE] = ACTIONS(1129),
    [anon_sym_signed] = ACTIONS(1127),
    [anon_sym_unsigned] = ACTIONS(1127),
    [anon_sym_long] = ACTIONS(1127),
    [anon_sym_short] = ACTIONS(1127),
    [anon_sym_static] = ACTIONS(1127),
    [anon_sym_auto] = ACTIONS(1127),
    [anon_sym_register] = ACTIONS(1127),
    [anon_sym_inline] = ACTIONS(1127),
    [anon_sym___inline] = ACTIONS(1127),
    [anon_sym___inline__] = ACTIONS(1127),
    [anon_sym___forceinline] = ACTIONS(1127),
    [anon_sym_thread_local] = ACTIONS(1127),
    [anon_sym___thread] = ACTIONS(1127),
    [anon_sym_const] = ACTIONS(1127),
    [anon_sym_constexpr] = ACTIONS(1127),
    [anon_sym_volatile] = ACTIONS(1127),
    [anon_sym_restrict] = ACTIONS(1127),
    [anon_sym___restrict__] = ACTIONS(1127),
    [anon_sym__Atomic] = ACTIONS(1127),
    [anon_sym__Noreturn] = ACTIONS(1127),
    [anon_sym_noreturn] = ACTIONS(1127),
    [anon_sym_alignas] = ACTIONS(1127),
    [anon_sym__Alignas] = ACTIONS(1127),
    [sym_primitive_type] = ACTIONS(1127),
    [anon_sym_enum] = ACTIONS(1127),
    [anon_sym_struct] = ACTIONS(1127),
    [anon_sym_union] = ACTIONS(1127),
    [anon_sym_if] = ACTIONS(1127),
    [anon_sym_else] = ACTIONS(1127),
    [anon_sym_switch] = ACTIONS(1127),
    [anon_sym_case] = ACTIONS(1127),
    [anon_sym_default] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1127),
    [anon_sym_do] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_return] = ACTIONS(1127),
    [anon_sym_break] = ACTIONS(1127),
    [anon_sym_continue] = ACTIONS(1127),
    [anon_sym_goto] = ACTIONS(1127),
    [anon_sym___try] = ACTIONS(1127),
    [anon_sym___leave] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1129),
    [anon_sym_sizeof] = ACTIONS(1127),
    [anon_sym___alignof__] = ACTIONS(1127),
    [anon_sym___alignof] = ACTIONS(1127),
    [anon_sym__alignof] = ACTIONS(1127),
    [anon_sym_alignof] = ACTIONS(1127),
    [anon_sym__Alignof] = ACTIONS(1127),
    [anon_sym_offsetof] = ACTIONS(1127),
    [anon_sym__Generic] = ACTIONS(1127),
    [anon_sym_asm] = ACTIONS(1127),
    [anon_sym___asm__] = ACTIONS(1127),
    [sym_number_literal] = ACTIONS(1129),
    [anon_sym_L_SQUOTE] = ACTIONS(1129),
    [anon_sym_u_SQUOTE] = ACTIONS(1129),
    [anon_sym_U_SQUOTE] = ACTIONS(1129),
    [anon_sym_u8_SQUOTE] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1129),
    [anon_sym_L_DQUOTE] = ACTIONS(1129),
    [anon_sym_u_DQUOTE] = ACTIONS(1129),
    [anon_sym_U_DQUOTE] = ACTIONS(1129),
    [anon_sym_u8_DQUOTE] = ACTIONS(1129),
    [anon_sym_DQUOTE] = ACTIONS(1129),
    [sym_true] = ACTIONS(1127),
    [sym_false] = ACTIONS(1127),
    [anon_sym_NULL] = ACTIONS(1127),
    [anon_sym_nullptr] = ACTIONS(1127),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_identifier] = ACTIONS(1179),
    [aux_sym_preproc_include_token1] = ACTIONS(1179),
    [aux_sym_preproc_def_token1] = ACTIONS(1179),
    [aux_sym_preproc_if_token1] = ACTIONS(1179),
    [aux_sym_preproc_if_token2] = ACTIONS(1179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1179),
    [sym_preproc_directive] = ACTIONS(1179),
    [anon_sym_LPAREN2] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(1181),
    [anon_sym_TILDE] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1179),
    [anon_sym_STAR] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(1181),
    [anon_sym___extension__] = ACTIONS(1179),
    [anon_sym_typedef] = ACTIONS(1179),
    [anon_sym_extern] = ACTIONS(1179),
    [anon_sym___attribute__] = ACTIONS(1179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1181),
    [anon_sym___declspec] = ACTIONS(1179),
    [anon_sym___cdecl] = ACTIONS(1179),
    [anon_sym___clrcall] = ACTIONS(1179),
    [anon_sym___stdcall] = ACTIONS(1179),
    [anon_sym___fastcall] = ACTIONS(1179),
    [anon_sym___thiscall] = ACTIONS(1179),
    [anon_sym___vectorcall] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_signed] = ACTIONS(1179),
    [anon_sym_unsigned] = ACTIONS(1179),
    [anon_sym_long] = ACTIONS(1179),
    [anon_sym_short] = ACTIONS(1179),
    [anon_sym_static] = ACTIONS(1179),
    [anon_sym_auto] = ACTIONS(1179),
    [anon_sym_register] = ACTIONS(1179),
    [anon_sym_inline] = ACTIONS(1179),
    [anon_sym___inline] = ACTIONS(1179),
    [anon_sym___inline__] = ACTIONS(1179),
    [anon_sym___forceinline] = ACTIONS(1179),
    [anon_sym_thread_local] = ACTIONS(1179),
    [anon_sym___thread] = ACTIONS(1179),
    [anon_sym_const] = ACTIONS(1179),
    [anon_sym_constexpr] = ACTIONS(1179),
    [anon_sym_volatile] = ACTIONS(1179),
    [anon_sym_restrict] = ACTIONS(1179),
    [anon_sym___restrict__] = ACTIONS(1179),
    [anon_sym__Atomic] = ACTIONS(1179),
    [anon_sym__Noreturn] = ACTIONS(1179),
    [anon_sym_noreturn] = ACTIONS(1179),
    [anon_sym_alignas] = ACTIONS(1179),
    [anon_sym__Alignas] = ACTIONS(1179),
    [sym_primitive_type] = ACTIONS(1179),
    [anon_sym_enum] = ACTIONS(1179),
    [anon_sym_struct] = ACTIONS(1179),
    [anon_sym_union] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1179),
    [anon_sym_else] = ACTIONS(1179),
    [anon_sym_switch] = ACTIONS(1179),
    [anon_sym_case] = ACTIONS(1179),
    [anon_sym_default] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1179),
    [anon_sym_do] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_continue] = ACTIONS(1179),
    [anon_sym_goto] = ACTIONS(1179),
    [anon_sym___try] = ACTIONS(1179),
    [anon_sym___leave] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [anon_sym_PLUS_PLUS] = ACTIONS(1181),
    [anon_sym_sizeof] = ACTIONS(1179),
    [anon_sym___alignof__] = ACTIONS(1179),
    [anon_sym___alignof] = ACTIONS(1179),
    [anon_sym__alignof] = ACTIONS(1179),
    [anon_sym_alignof] = ACTIONS(1179),
    [anon_sym__Alignof] = ACTIONS(1179),
    [anon_sym_offsetof] = ACTIONS(1179),
    [anon_sym__Generic] = ACTIONS(1179),
    [anon_sym_asm] = ACTIONS(1179),
    [anon_sym___asm__] = ACTIONS(1179),
    [sym_number_literal] = ACTIONS(1181),
    [anon_sym_L_SQUOTE] = ACTIONS(1181),
    [anon_sym_u_SQUOTE] = ACTIONS(1181),
    [anon_sym_U_SQUOTE] = ACTIONS(1181),
    [anon_sym_u8_SQUOTE] = ACTIONS(1181),
    [anon_sym_SQUOTE] = ACTIONS(1181),
    [anon_sym_L_DQUOTE] = ACTIONS(1181),
    [anon_sym_u_DQUOTE] = ACTIONS(1181),
    [anon_sym_U_DQUOTE] = ACTIONS(1181),
    [anon_sym_u8_DQUOTE] = ACTIONS(1181),
    [anon_sym_DQUOTE] = ACTIONS(1181),
    [sym_true] = ACTIONS(1179),
    [sym_false] = ACTIONS(1179),
    [anon_sym_NULL] = ACTIONS(1179),
    [anon_sym_nullptr] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_identifier] = ACTIONS(1139),
    [aux_sym_preproc_include_token1] = ACTIONS(1139),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token2] = ACTIONS(1139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1139),
    [sym_preproc_directive] = ACTIONS(1139),
    [anon_sym_LPAREN2] = ACTIONS(1141),
    [anon_sym_BANG] = ACTIONS(1141),
    [anon_sym_TILDE] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1139),
    [anon_sym_PLUS] = ACTIONS(1139),
    [anon_sym_STAR] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym___extension__] = ACTIONS(1139),
    [anon_sym_typedef] = ACTIONS(1139),
    [anon_sym_extern] = ACTIONS(1139),
    [anon_sym___attribute__] = ACTIONS(1139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1141),
    [anon_sym___declspec] = ACTIONS(1139),
    [anon_sym___cdecl] = ACTIONS(1139),
    [anon_sym___clrcall] = ACTIONS(1139),
    [anon_sym___stdcall] = ACTIONS(1139),
    [anon_sym___fastcall] = ACTIONS(1139),
    [anon_sym___thiscall] = ACTIONS(1139),
    [anon_sym___vectorcall] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_signed] = ACTIONS(1139),
    [anon_sym_unsigned] = ACTIONS(1139),
    [anon_sym_long] = ACTIONS(1139),
    [anon_sym_short] = ACTIONS(1139),
    [anon_sym_static] = ACTIONS(1139),
    [anon_sym_auto] = ACTIONS(1139),
    [anon_sym_register] = ACTIONS(1139),
    [anon_sym_inline] = ACTIONS(1139),
    [anon_sym___inline] = ACTIONS(1139),
    [anon_sym___inline__] = ACTIONS(1139),
    [anon_sym___forceinline] = ACTIONS(1139),
    [anon_sym_thread_local] = ACTIONS(1139),
    [anon_sym___thread] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1139),
    [anon_sym_constexpr] = ACTIONS(1139),
    [anon_sym_volatile] = ACTIONS(1139),
    [anon_sym_restrict] = ACTIONS(1139),
    [anon_sym___restrict__] = ACTIONS(1139),
    [anon_sym__Atomic] = ACTIONS(1139),
    [anon_sym__Noreturn] = ACTIONS(1139),
    [anon_sym_noreturn] = ACTIONS(1139),
    [anon_sym_alignas] = ACTIONS(1139),
    [anon_sym__Alignas] = ACTIONS(1139),
    [sym_primitive_type] = ACTIONS(1139),
    [anon_sym_enum] = ACTIONS(1139),
    [anon_sym_struct] = ACTIONS(1139),
    [anon_sym_union] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_else] = ACTIONS(1139),
    [anon_sym_switch] = ACTIONS(1139),
    [anon_sym_case] = ACTIONS(1139),
    [anon_sym_default] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(1139),
    [anon_sym_do] = ACTIONS(1139),
    [anon_sym_for] = ACTIONS(1139),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_break] = ACTIONS(1139),
    [anon_sym_continue] = ACTIONS(1139),
    [anon_sym_goto] = ACTIONS(1139),
    [anon_sym___try] = ACTIONS(1139),
    [anon_sym___leave] = ACTIONS(1139),
    [anon_sym_DASH_DASH] = ACTIONS(1141),
    [anon_sym_PLUS_PLUS] = ACTIONS(1141),
    [anon_sym_sizeof] = ACTIONS(1139),
    [anon_sym___alignof__] = ACTIONS(1139),
    [anon_sym___alignof] = ACTIONS(1139),
    [anon_sym__alignof] = ACTIONS(1139),
    [anon_sym_alignof] = ACTIONS(1139),
    [anon_sym__Alignof] = ACTIONS(1139),
    [anon_sym_offsetof] = ACTIONS(1139),
    [anon_sym__Generic] = ACTIONS(1139),
    [anon_sym_asm] = ACTIONS(1139),
    [anon_sym___asm__] = ACTIONS(1139),
    [sym_number_literal] = ACTIONS(1141),
    [anon_sym_L_SQUOTE] = ACTIONS(1141),
    [anon_sym_u_SQUOTE] = ACTIONS(1141),
    [anon_sym_U_SQUOTE] = ACTIONS(1141),
    [anon_sym_u8_SQUOTE] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1141),
    [anon_sym_L_DQUOTE] = ACTIONS(1141),
    [anon_sym_u_DQUOTE] = ACTIONS(1141),
    [anon_sym_U_DQUOTE] = ACTIONS(1141),
    [anon_sym_u8_DQUOTE] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [sym_true] = ACTIONS(1139),
    [sym_false] = ACTIONS(1139),
    [anon_sym_NULL] = ACTIONS(1139),
    [anon_sym_nullptr] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_identifier] = ACTIONS(1223),
    [aux_sym_preproc_include_token1] = ACTIONS(1223),
    [aux_sym_preproc_def_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token2] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1223),
    [sym_preproc_directive] = ACTIONS(1223),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1223),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym___extension__] = ACTIONS(1223),
    [anon_sym_typedef] = ACTIONS(1223),
    [anon_sym_extern] = ACTIONS(1223),
    [anon_sym___attribute__] = ACTIONS(1223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1225),
    [anon_sym___declspec] = ACTIONS(1223),
    [anon_sym___cdecl] = ACTIONS(1223),
    [anon_sym___clrcall] = ACTIONS(1223),
    [anon_sym___stdcall] = ACTIONS(1223),
    [anon_sym___fastcall] = ACTIONS(1223),
    [anon_sym___thiscall] = ACTIONS(1223),
    [anon_sym___vectorcall] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_signed] = ACTIONS(1223),
    [anon_sym_unsigned] = ACTIONS(1223),
    [anon_sym_long] = ACTIONS(1223),
    [anon_sym_short] = ACTIONS(1223),
    [anon_sym_static] = ACTIONS(1223),
    [anon_sym_auto] = ACTIONS(1223),
    [anon_sym_register] = ACTIONS(1223),
    [anon_sym_inline] = ACTIONS(1223),
    [anon_sym___inline] = ACTIONS(1223),
    [anon_sym___inline__] = ACTIONS(1223),
    [anon_sym___forceinline] = ACTIONS(1223),
    [anon_sym_thread_local] = ACTIONS(1223),
    [anon_sym___thread] = ACTIONS(1223),
    [anon_sym_const] = ACTIONS(1223),
    [anon_sym_constexpr] = ACTIONS(1223),
    [anon_sym_volatile] = ACTIONS(1223),
    [anon_sym_restrict] = ACTIONS(1223),
    [anon_sym___restrict__] = ACTIONS(1223),
    [anon_sym__Atomic] = ACTIONS(1223),
    [anon_sym__Noreturn] = ACTIONS(1223),
    [anon_sym_noreturn] = ACTIONS(1223),
    [anon_sym_alignas] = ACTIONS(1223),
    [anon_sym__Alignas] = ACTIONS(1223),
    [sym_primitive_type] = ACTIONS(1223),
    [anon_sym_enum] = ACTIONS(1223),
    [anon_sym_struct] = ACTIONS(1223),
    [anon_sym_union] = ACTIONS(1223),
    [anon_sym_if] = ACTIONS(1223),
    [anon_sym_else] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(1223),
    [anon_sym_case] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1223),
    [anon_sym_while] = ACTIONS(1223),
    [anon_sym_do] = ACTIONS(1223),
    [anon_sym_for] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_continue] = ACTIONS(1223),
    [anon_sym_goto] = ACTIONS(1223),
    [anon_sym___try] = ACTIONS(1223),
    [anon_sym___leave] = ACTIONS(1223),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_sizeof] = ACTIONS(1223),
    [anon_sym___alignof__] = ACTIONS(1223),
    [anon_sym___alignof] = ACTIONS(1223),
    [anon_sym__alignof] = ACTIONS(1223),
    [anon_sym_alignof] = ACTIONS(1223),
    [anon_sym__Alignof] = ACTIONS(1223),
    [anon_sym_offsetof] = ACTIONS(1223),
    [anon_sym__Generic] = ACTIONS(1223),
    [anon_sym_asm] = ACTIONS(1223),
    [anon_sym___asm__] = ACTIONS(1223),
    [sym_number_literal] = ACTIONS(1225),
    [anon_sym_L_SQUOTE] = ACTIONS(1225),
    [anon_sym_u_SQUOTE] = ACTIONS(1225),
    [anon_sym_U_SQUOTE] = ACTIONS(1225),
    [anon_sym_u8_SQUOTE] = ACTIONS(1225),
    [anon_sym_SQUOTE] = ACTIONS(1225),
    [anon_sym_L_DQUOTE] = ACTIONS(1225),
    [anon_sym_u_DQUOTE] = ACTIONS(1225),
    [anon_sym_U_DQUOTE] = ACTIONS(1225),
    [anon_sym_u8_DQUOTE] = ACTIONS(1225),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_true] = ACTIONS(1223),
    [sym_false] = ACTIONS(1223),
    [anon_sym_NULL] = ACTIONS(1223),
    [anon_sym_nullptr] = ACTIONS(1223),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_identifier] = ACTIONS(1239),
    [aux_sym_preproc_include_token1] = ACTIONS(1239),
    [aux_sym_preproc_def_token1] = ACTIONS(1239),
    [aux_sym_preproc_if_token1] = ACTIONS(1239),
    [aux_sym_preproc_if_token2] = ACTIONS(1239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1239),
    [sym_preproc_directive] = ACTIONS(1239),
    [anon_sym_LPAREN2] = ACTIONS(1241),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_TILDE] = ACTIONS(1241),
    [anon_sym_DASH] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_AMP] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1241),
    [anon_sym___extension__] = ACTIONS(1239),
    [anon_sym_typedef] = ACTIONS(1239),
    [anon_sym_extern] = ACTIONS(1239),
    [anon_sym___attribute__] = ACTIONS(1239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1241),
    [anon_sym___declspec] = ACTIONS(1239),
    [anon_sym___cdecl] = ACTIONS(1239),
    [anon_sym___clrcall] = ACTIONS(1239),
    [anon_sym___stdcall] = ACTIONS(1239),
    [anon_sym___fastcall] = ACTIONS(1239),
    [anon_sym___thiscall] = ACTIONS(1239),
    [anon_sym___vectorcall] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_signed] = ACTIONS(1239),
    [anon_sym_unsigned] = ACTIONS(1239),
    [anon_sym_long] = ACTIONS(1239),
    [anon_sym_short] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_auto] = ACTIONS(1239),
    [anon_sym_register] = ACTIONS(1239),
    [anon_sym_inline] = ACTIONS(1239),
    [anon_sym___inline] = ACTIONS(1239),
    [anon_sym___inline__] = ACTIONS(1239),
    [anon_sym___forceinline] = ACTIONS(1239),
    [anon_sym_thread_local] = ACTIONS(1239),
    [anon_sym___thread] = ACTIONS(1239),
    [anon_sym_const] = ACTIONS(1239),
    [anon_sym_constexpr] = ACTIONS(1239),
    [anon_sym_volatile] = ACTIONS(1239),
    [anon_sym_restrict] = ACTIONS(1239),
    [anon_sym___restrict__] = ACTIONS(1239),
    [anon_sym__Atomic] = ACTIONS(1239),
    [anon_sym__Noreturn] = ACTIONS(1239),
    [anon_sym_noreturn] = ACTIONS(1239),
    [anon_sym_alignas] = ACTIONS(1239),
    [anon_sym__Alignas] = ACTIONS(1239),
    [sym_primitive_type] = ACTIONS(1239),
    [anon_sym_enum] = ACTIONS(1239),
    [anon_sym_struct] = ACTIONS(1239),
    [anon_sym_union] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1239),
    [anon_sym_else] = ACTIONS(1239),
    [anon_sym_switch] = ACTIONS(1239),
    [anon_sym_case] = ACTIONS(1239),
    [anon_sym_default] = ACTIONS(1239),
    [anon_sym_while] = ACTIONS(1239),
    [anon_sym_do] = ACTIONS(1239),
    [anon_sym_for] = ACTIONS(1239),
    [anon_sym_return] = ACTIONS(1239),
    [anon_sym_break] = ACTIONS(1239),
    [anon_sym_continue] = ACTIONS(1239),
    [anon_sym_goto] = ACTIONS(1239),
    [anon_sym___try] = ACTIONS(1239),
    [anon_sym___leave] = ACTIONS(1239),
    [anon_sym_DASH_DASH] = ACTIONS(1241),
    [anon_sym_PLUS_PLUS] = ACTIONS(1241),
    [anon_sym_sizeof] = ACTIONS(1239),
    [anon_sym___alignof__] = ACTIONS(1239),
    [anon_sym___alignof] = ACTIONS(1239),
    [anon_sym__alignof] = ACTIONS(1239),
    [anon_sym_alignof] = ACTIONS(1239),
    [anon_sym__Alignof] = ACTIONS(1239),
    [anon_sym_offsetof] = ACTIONS(1239),
    [anon_sym__Generic] = ACTIONS(1239),
    [anon_sym_asm] = ACTIONS(1239),
    [anon_sym___asm__] = ACTIONS(1239),
    [sym_number_literal] = ACTIONS(1241),
    [anon_sym_L_SQUOTE] = ACTIONS(1241),
    [anon_sym_u_SQUOTE] = ACTIONS(1241),
    [anon_sym_U_SQUOTE] = ACTIONS(1241),
    [anon_sym_u8_SQUOTE] = ACTIONS(1241),
    [anon_sym_SQUOTE] = ACTIONS(1241),
    [anon_sym_L_DQUOTE] = ACTIONS(1241),
    [anon_sym_u_DQUOTE] = ACTIONS(1241),
    [anon_sym_U_DQUOTE] = ACTIONS(1241),
    [anon_sym_u8_DQUOTE] = ACTIONS(1241),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [sym_true] = ACTIONS(1239),
    [sym_false] = ACTIONS(1239),
    [anon_sym_NULL] = ACTIONS(1239),
    [anon_sym_nullptr] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_identifier] = ACTIONS(1243),
    [aux_sym_preproc_include_token1] = ACTIONS(1243),
    [aux_sym_preproc_def_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token2] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1243),
    [sym_preproc_directive] = ACTIONS(1243),
    [anon_sym_LPAREN2] = ACTIONS(1245),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1245),
    [anon_sym_AMP] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1245),
    [anon_sym___extension__] = ACTIONS(1243),
    [anon_sym_typedef] = ACTIONS(1243),
    [anon_sym_extern] = ACTIONS(1243),
    [anon_sym___attribute__] = ACTIONS(1243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1245),
    [anon_sym___declspec] = ACTIONS(1243),
    [anon_sym___cdecl] = ACTIONS(1243),
    [anon_sym___clrcall] = ACTIONS(1243),
    [anon_sym___stdcall] = ACTIONS(1243),
    [anon_sym___fastcall] = ACTIONS(1243),
    [anon_sym___thiscall] = ACTIONS(1243),
    [anon_sym___vectorcall] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_signed] = ACTIONS(1243),
    [anon_sym_unsigned] = ACTIONS(1243),
    [anon_sym_long] = ACTIONS(1243),
    [anon_sym_short] = ACTIONS(1243),
    [anon_sym_static] = ACTIONS(1243),
    [anon_sym_auto] = ACTIONS(1243),
    [anon_sym_register] = ACTIONS(1243),
    [anon_sym_inline] = ACTIONS(1243),
    [anon_sym___inline] = ACTIONS(1243),
    [anon_sym___inline__] = ACTIONS(1243),
    [anon_sym___forceinline] = ACTIONS(1243),
    [anon_sym_thread_local] = ACTIONS(1243),
    [anon_sym___thread] = ACTIONS(1243),
    [anon_sym_const] = ACTIONS(1243),
    [anon_sym_constexpr] = ACTIONS(1243),
    [anon_sym_volatile] = ACTIONS(1243),
    [anon_sym_restrict] = ACTIONS(1243),
    [anon_sym___restrict__] = ACTIONS(1243),
    [anon_sym__Atomic] = ACTIONS(1243),
    [anon_sym__Noreturn] = ACTIONS(1243),
    [anon_sym_noreturn] = ACTIONS(1243),
    [anon_sym_alignas] = ACTIONS(1243),
    [anon_sym__Alignas] = ACTIONS(1243),
    [sym_primitive_type] = ACTIONS(1243),
    [anon_sym_enum] = ACTIONS(1243),
    [anon_sym_struct] = ACTIONS(1243),
    [anon_sym_union] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_else] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(1243),
    [anon_sym_case] = ACTIONS(1243),
    [anon_sym_default] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(1243),
    [anon_sym_do] = ACTIONS(1243),
    [anon_sym_for] = ACTIONS(1243),
    [anon_sym_return] = ACTIONS(1243),
    [anon_sym_break] = ACTIONS(1243),
    [anon_sym_continue] = ACTIONS(1243),
    [anon_sym_goto] = ACTIONS(1243),
    [anon_sym___try] = ACTIONS(1243),
    [anon_sym___leave] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1245),
    [anon_sym_PLUS_PLUS] = ACTIONS(1245),
    [anon_sym_sizeof] = ACTIONS(1243),
    [anon_sym___alignof__] = ACTIONS(1243),
    [anon_sym___alignof] = ACTIONS(1243),
    [anon_sym__alignof] = ACTIONS(1243),
    [anon_sym_alignof] = ACTIONS(1243),
    [anon_sym__Alignof] = ACTIONS(1243),
    [anon_sym_offsetof] = ACTIONS(1243),
    [anon_sym__Generic] = ACTIONS(1243),
    [anon_sym_asm] = ACTIONS(1243),
    [anon_sym___asm__] = ACTIONS(1243),
    [sym_number_literal] = ACTIONS(1245),
    [anon_sym_L_SQUOTE] = ACTIONS(1245),
    [anon_sym_u_SQUOTE] = ACTIONS(1245),
    [anon_sym_U_SQUOTE] = ACTIONS(1245),
    [anon_sym_u8_SQUOTE] = ACTIONS(1245),
    [anon_sym_SQUOTE] = ACTIONS(1245),
    [anon_sym_L_DQUOTE] = ACTIONS(1245),
    [anon_sym_u_DQUOTE] = ACTIONS(1245),
    [anon_sym_U_DQUOTE] = ACTIONS(1245),
    [anon_sym_u8_DQUOTE] = ACTIONS(1245),
    [anon_sym_DQUOTE] = ACTIONS(1245),
    [sym_true] = ACTIONS(1243),
    [sym_false] = ACTIONS(1243),
    [anon_sym_NULL] = ACTIONS(1243),
    [anon_sym_nullptr] = ACTIONS(1243),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_identifier] = ACTIONS(1247),
    [aux_sym_preproc_include_token1] = ACTIONS(1247),
    [aux_sym_preproc_def_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token2] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1247),
    [sym_preproc_directive] = ACTIONS(1247),
    [anon_sym_LPAREN2] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1249),
    [anon_sym_TILDE] = ACTIONS(1249),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym___extension__] = ACTIONS(1247),
    [anon_sym_typedef] = ACTIONS(1247),
    [anon_sym_extern] = ACTIONS(1247),
    [anon_sym___attribute__] = ACTIONS(1247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1249),
    [anon_sym___declspec] = ACTIONS(1247),
    [anon_sym___cdecl] = ACTIONS(1247),
    [anon_sym___clrcall] = ACTIONS(1247),
    [anon_sym___stdcall] = ACTIONS(1247),
    [anon_sym___fastcall] = ACTIONS(1247),
    [anon_sym___thiscall] = ACTIONS(1247),
    [anon_sym___vectorcall] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_signed] = ACTIONS(1247),
    [anon_sym_unsigned] = ACTIONS(1247),
    [anon_sym_long] = ACTIONS(1247),
    [anon_sym_short] = ACTIONS(1247),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_auto] = ACTIONS(1247),
    [anon_sym_register] = ACTIONS(1247),
    [anon_sym_inline] = ACTIONS(1247),
    [anon_sym___inline] = ACTIONS(1247),
    [anon_sym___inline__] = ACTIONS(1247),
    [anon_sym___forceinline] = ACTIONS(1247),
    [anon_sym_thread_local] = ACTIONS(1247),
    [anon_sym___thread] = ACTIONS(1247),
    [anon_sym_const] = ACTIONS(1247),
    [anon_sym_constexpr] = ACTIONS(1247),
    [anon_sym_volatile] = ACTIONS(1247),
    [anon_sym_restrict] = ACTIONS(1247),
    [anon_sym___restrict__] = ACTIONS(1247),
    [anon_sym__Atomic] = ACTIONS(1247),
    [anon_sym__Noreturn] = ACTIONS(1247),
    [anon_sym_noreturn] = ACTIONS(1247),
    [anon_sym_alignas] = ACTIONS(1247),
    [anon_sym__Alignas] = ACTIONS(1247),
    [sym_primitive_type] = ACTIONS(1247),
    [anon_sym_enum] = ACTIONS(1247),
    [anon_sym_struct] = ACTIONS(1247),
    [anon_sym_union] = ACTIONS(1247),
    [anon_sym_if] = ACTIONS(1247),
    [anon_sym_else] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1247),
    [anon_sym_case] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1247),
    [anon_sym_do] = ACTIONS(1247),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_break] = ACTIONS(1247),
    [anon_sym_continue] = ACTIONS(1247),
    [anon_sym_goto] = ACTIONS(1247),
    [anon_sym___try] = ACTIONS(1247),
    [anon_sym___leave] = ACTIONS(1247),
    [anon_sym_DASH_DASH] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(1249),
    [anon_sym_sizeof] = ACTIONS(1247),
    [anon_sym___alignof__] = ACTIONS(1247),
    [anon_sym___alignof] = ACTIONS(1247),
    [anon_sym__alignof] = ACTIONS(1247),
    [anon_sym_alignof] = ACTIONS(1247),
    [anon_sym__Alignof] = ACTIONS(1247),
    [anon_sym_offsetof] = ACTIONS(1247),
    [anon_sym__Generic] = ACTIONS(1247),
    [anon_sym_asm] = ACTIONS(1247),
    [anon_sym___asm__] = ACTIONS(1247),
    [sym_number_literal] = ACTIONS(1249),
    [anon_sym_L_SQUOTE] = ACTIONS(1249),
    [anon_sym_u_SQUOTE] = ACTIONS(1249),
    [anon_sym_U_SQUOTE] = ACTIONS(1249),
    [anon_sym_u8_SQUOTE] = ACTIONS(1249),
    [anon_sym_SQUOTE] = ACTIONS(1249),
    [anon_sym_L_DQUOTE] = ACTIONS(1249),
    [anon_sym_u_DQUOTE] = ACTIONS(1249),
    [anon_sym_U_DQUOTE] = ACTIONS(1249),
    [anon_sym_u8_DQUOTE] = ACTIONS(1249),
    [anon_sym_DQUOTE] = ACTIONS(1249),
    [sym_true] = ACTIONS(1247),
    [sym_false] = ACTIONS(1247),
    [anon_sym_NULL] = ACTIONS(1247),
    [anon_sym_nullptr] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_identifier] = ACTIONS(1127),
    [aux_sym_preproc_include_token1] = ACTIONS(1127),
    [aux_sym_preproc_def_token1] = ACTIONS(1127),
    [aux_sym_preproc_if_token1] = ACTIONS(1127),
    [aux_sym_preproc_if_token2] = ACTIONS(1127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1127),
    [sym_preproc_directive] = ACTIONS(1127),
    [anon_sym_LPAREN2] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_STAR] = ACTIONS(1129),
    [anon_sym_AMP] = ACTIONS(1129),
    [anon_sym_SEMI] = ACTIONS(1129),
    [anon_sym___extension__] = ACTIONS(1127),
    [anon_sym_typedef] = ACTIONS(1127),
    [anon_sym_extern] = ACTIONS(1127),
    [anon_sym___attribute__] = ACTIONS(1127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1129),
    [anon_sym___declspec] = ACTIONS(1127),
    [anon_sym___cdecl] = ACTIONS(1127),
    [anon_sym___clrcall] = ACTIONS(1127),
    [anon_sym___stdcall] = ACTIONS(1127),
    [anon_sym___fastcall] = ACTIONS(1127),
    [anon_sym___thiscall] = ACTIONS(1127),
    [anon_sym___vectorcall] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_signed] = ACTIONS(1127),
    [anon_sym_unsigned] = ACTIONS(1127),
    [anon_sym_long] = ACTIONS(1127),
    [anon_sym_short] = ACTIONS(1127),
    [anon_sym_static] = ACTIONS(1127),
    [anon_sym_auto] = ACTIONS(1127),
    [anon_sym_register] = ACTIONS(1127),
    [anon_sym_inline] = ACTIONS(1127),
    [anon_sym___inline] = ACTIONS(1127),
    [anon_sym___inline__] = ACTIONS(1127),
    [anon_sym___forceinline] = ACTIONS(1127),
    [anon_sym_thread_local] = ACTIONS(1127),
    [anon_sym___thread] = ACTIONS(1127),
    [anon_sym_const] = ACTIONS(1127),
    [anon_sym_constexpr] = ACTIONS(1127),
    [anon_sym_volatile] = ACTIONS(1127),
    [anon_sym_restrict] = ACTIONS(1127),
    [anon_sym___restrict__] = ACTIONS(1127),
    [anon_sym__Atomic] = ACTIONS(1127),
    [anon_sym__Noreturn] = ACTIONS(1127),
    [anon_sym_noreturn] = ACTIONS(1127),
    [anon_sym_alignas] = ACTIONS(1127),
    [anon_sym__Alignas] = ACTIONS(1127),
    [sym_primitive_type] = ACTIONS(1127),
    [anon_sym_enum] = ACTIONS(1127),
    [anon_sym_struct] = ACTIONS(1127),
    [anon_sym_union] = ACTIONS(1127),
    [anon_sym_if] = ACTIONS(1127),
    [anon_sym_else] = ACTIONS(1127),
    [anon_sym_switch] = ACTIONS(1127),
    [anon_sym_case] = ACTIONS(1127),
    [anon_sym_default] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1127),
    [anon_sym_do] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_return] = ACTIONS(1127),
    [anon_sym_break] = ACTIONS(1127),
    [anon_sym_continue] = ACTIONS(1127),
    [anon_sym_goto] = ACTIONS(1127),
    [anon_sym___try] = ACTIONS(1127),
    [anon_sym___leave] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1129),
    [anon_sym_sizeof] = ACTIONS(1127),
    [anon_sym___alignof__] = ACTIONS(1127),
    [anon_sym___alignof] = ACTIONS(1127),
    [anon_sym__alignof] = ACTIONS(1127),
    [anon_sym_alignof] = ACTIONS(1127),
    [anon_sym__Alignof] = ACTIONS(1127),
    [anon_sym_offsetof] = ACTIONS(1127),
    [anon_sym__Generic] = ACTIONS(1127),
    [anon_sym_asm] = ACTIONS(1127),
    [anon_sym___asm__] = ACTIONS(1127),
    [sym_number_literal] = ACTIONS(1129),
    [anon_sym_L_SQUOTE] = ACTIONS(1129),
    [anon_sym_u_SQUOTE] = ACTIONS(1129),
    [anon_sym_U_SQUOTE] = ACTIONS(1129),
    [anon_sym_u8_SQUOTE] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1129),
    [anon_sym_L_DQUOTE] = ACTIONS(1129),
    [anon_sym_u_DQUOTE] = ACTIONS(1129),
    [anon_sym_U_DQUOTE] = ACTIONS(1129),
    [anon_sym_u8_DQUOTE] = ACTIONS(1129),
    [anon_sym_DQUOTE] = ACTIONS(1129),
    [sym_true] = ACTIONS(1127),
    [sym_false] = ACTIONS(1127),
    [anon_sym_NULL] = ACTIONS(1127),
    [anon_sym_nullptr] = ACTIONS(1127),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_identifier] = ACTIONS(1131),
    [aux_sym_preproc_include_token1] = ACTIONS(1131),
    [aux_sym_preproc_def_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token2] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1131),
    [sym_preproc_directive] = ACTIONS(1131),
    [anon_sym_LPAREN2] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym___extension__] = ACTIONS(1131),
    [anon_sym_typedef] = ACTIONS(1131),
    [anon_sym_extern] = ACTIONS(1131),
    [anon_sym___attribute__] = ACTIONS(1131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1133),
    [anon_sym___declspec] = ACTIONS(1131),
    [anon_sym___cdecl] = ACTIONS(1131),
    [anon_sym___clrcall] = ACTIONS(1131),
    [anon_sym___stdcall] = ACTIONS(1131),
    [anon_sym___fastcall] = ACTIONS(1131),
    [anon_sym___thiscall] = ACTIONS(1131),
    [anon_sym___vectorcall] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_signed] = ACTIONS(1131),
    [anon_sym_unsigned] = ACTIONS(1131),
    [anon_sym_long] = ACTIONS(1131),
    [anon_sym_short] = ACTIONS(1131),
    [anon_sym_static] = ACTIONS(1131),
    [anon_sym_auto] = ACTIONS(1131),
    [anon_sym_register] = ACTIONS(1131),
    [anon_sym_inline] = ACTIONS(1131),
    [anon_sym___inline] = ACTIONS(1131),
    [anon_sym___inline__] = ACTIONS(1131),
    [anon_sym___forceinline] = ACTIONS(1131),
    [anon_sym_thread_local] = ACTIONS(1131),
    [anon_sym___thread] = ACTIONS(1131),
    [anon_sym_const] = ACTIONS(1131),
    [anon_sym_constexpr] = ACTIONS(1131),
    [anon_sym_volatile] = ACTIONS(1131),
    [anon_sym_restrict] = ACTIONS(1131),
    [anon_sym___restrict__] = ACTIONS(1131),
    [anon_sym__Atomic] = ACTIONS(1131),
    [anon_sym__Noreturn] = ACTIONS(1131),
    [anon_sym_noreturn] = ACTIONS(1131),
    [anon_sym_alignas] = ACTIONS(1131),
    [anon_sym__Alignas] = ACTIONS(1131),
    [sym_primitive_type] = ACTIONS(1131),
    [anon_sym_enum] = ACTIONS(1131),
    [anon_sym_struct] = ACTIONS(1131),
    [anon_sym_union] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1131),
    [anon_sym_else] = ACTIONS(1131),
    [anon_sym_switch] = ACTIONS(1131),
    [anon_sym_case] = ACTIONS(1131),
    [anon_sym_default] = ACTIONS(1131),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_do] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1131),
    [anon_sym_break] = ACTIONS(1131),
    [anon_sym_continue] = ACTIONS(1131),
    [anon_sym_goto] = ACTIONS(1131),
    [anon_sym___try] = ACTIONS(1131),
    [anon_sym___leave] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [anon_sym_sizeof] = ACTIONS(1131),
    [anon_sym___alignof__] = ACTIONS(1131),
    [anon_sym___alignof] = ACTIONS(1131),
    [anon_sym__alignof] = ACTIONS(1131),
    [anon_sym_alignof] = ACTIONS(1131),
    [anon_sym__Alignof] = ACTIONS(1131),
    [anon_sym_offsetof] = ACTIONS(1131),
    [anon_sym__Generic] = ACTIONS(1131),
    [anon_sym_asm] = ACTIONS(1131),
    [anon_sym___asm__] = ACTIONS(1131),
    [sym_number_literal] = ACTIONS(1133),
    [anon_sym_L_SQUOTE] = ACTIONS(1133),
    [anon_sym_u_SQUOTE] = ACTIONS(1133),
    [anon_sym_U_SQUOTE] = ACTIONS(1133),
    [anon_sym_u8_SQUOTE] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_L_DQUOTE] = ACTIONS(1133),
    [anon_sym_u_DQUOTE] = ACTIONS(1133),
    [anon_sym_U_DQUOTE] = ACTIONS(1133),
    [anon_sym_u8_DQUOTE] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [sym_true] = ACTIONS(1131),
    [sym_false] = ACTIONS(1131),
    [anon_sym_NULL] = ACTIONS(1131),
    [anon_sym_nullptr] = ACTIONS(1131),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_identifier] = ACTIONS(1135),
    [aux_sym_preproc_include_token1] = ACTIONS(1135),
    [aux_sym_preproc_def_token1] = ACTIONS(1135),
    [aux_sym_preproc_if_token1] = ACTIONS(1135),
    [aux_sym_preproc_if_token2] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1135),
    [sym_preproc_directive] = ACTIONS(1135),
    [anon_sym_LPAREN2] = ACTIONS(1137),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1135),
    [anon_sym_PLUS] = ACTIONS(1135),
    [anon_sym_STAR] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym___extension__] = ACTIONS(1135),
    [anon_sym_typedef] = ACTIONS(1135),
    [anon_sym_extern] = ACTIONS(1135),
    [anon_sym___attribute__] = ACTIONS(1135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1137),
    [anon_sym___declspec] = ACTIONS(1135),
    [anon_sym___cdecl] = ACTIONS(1135),
    [anon_sym___clrcall] = ACTIONS(1135),
    [anon_sym___stdcall] = ACTIONS(1135),
    [anon_sym___fastcall] = ACTIONS(1135),
    [anon_sym___thiscall] = ACTIONS(1135),
    [anon_sym___vectorcall] = ACTIONS(1135),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [anon_sym_signed] = ACTIONS(1135),
    [anon_sym_unsigned] = ACTIONS(1135),
    [anon_sym_long] = ACTIONS(1135),
    [anon_sym_short] = ACTIONS(1135),
    [anon_sym_static] = ACTIONS(1135),
    [anon_sym_auto] = ACTIONS(1135),
    [anon_sym_register] = ACTIONS(1135),
    [anon_sym_inline] = ACTIONS(1135),
    [anon_sym___inline] = ACTIONS(1135),
    [anon_sym___inline__] = ACTIONS(1135),
    [anon_sym___forceinline] = ACTIONS(1135),
    [anon_sym_thread_local] = ACTIONS(1135),
    [anon_sym___thread] = ACTIONS(1135),
    [anon_sym_const] = ACTIONS(1135),
    [anon_sym_constexpr] = ACTIONS(1135),
    [anon_sym_volatile] = ACTIONS(1135),
    [anon_sym_restrict] = ACTIONS(1135),
    [anon_sym___restrict__] = ACTIONS(1135),
    [anon_sym__Atomic] = ACTIONS(1135),
    [anon_sym__Noreturn] = ACTIONS(1135),
    [anon_sym_noreturn] = ACTIONS(1135),
    [anon_sym_alignas] = ACTIONS(1135),
    [anon_sym__Alignas] = ACTIONS(1135),
    [sym_primitive_type] = ACTIONS(1135),
    [anon_sym_enum] = ACTIONS(1135),
    [anon_sym_struct] = ACTIONS(1135),
    [anon_sym_union] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1135),
    [anon_sym_else] = ACTIONS(1135),
    [anon_sym_switch] = ACTIONS(1135),
    [anon_sym_case] = ACTIONS(1135),
    [anon_sym_default] = ACTIONS(1135),
    [anon_sym_while] = ACTIONS(1135),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_for] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [anon_sym_goto] = ACTIONS(1135),
    [anon_sym___try] = ACTIONS(1135),
    [anon_sym___leave] = ACTIONS(1135),
    [anon_sym_DASH_DASH] = ACTIONS(1137),
    [anon_sym_PLUS_PLUS] = ACTIONS(1137),
    [anon_sym_sizeof] = ACTIONS(1135),
    [anon_sym___alignof__] = ACTIONS(1135),
    [anon_sym___alignof] = ACTIONS(1135),
    [anon_sym__alignof] = ACTIONS(1135),
    [anon_sym_alignof] = ACTIONS(1135),
    [anon_sym__Alignof] = ACTIONS(1135),
    [anon_sym_offsetof] = ACTIONS(1135),
    [anon_sym__Generic] = ACTIONS(1135),
    [anon_sym_asm] = ACTIONS(1135),
    [anon_sym___asm__] = ACTIONS(1135),
    [sym_number_literal] = ACTIONS(1137),
    [anon_sym_L_SQUOTE] = ACTIONS(1137),
    [anon_sym_u_SQUOTE] = ACTIONS(1137),
    [anon_sym_U_SQUOTE] = ACTIONS(1137),
    [anon_sym_u8_SQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1137),
    [anon_sym_L_DQUOTE] = ACTIONS(1137),
    [anon_sym_u_DQUOTE] = ACTIONS(1137),
    [anon_sym_U_DQUOTE] = ACTIONS(1137),
    [anon_sym_u8_DQUOTE] = ACTIONS(1137),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [sym_true] = ACTIONS(1135),
    [sym_false] = ACTIONS(1135),
    [anon_sym_NULL] = ACTIONS(1135),
    [anon_sym_nullptr] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_identifier] = ACTIONS(1125),
    [aux_sym_preproc_include_token1] = ACTIONS(1125),
    [aux_sym_preproc_def_token1] = ACTIONS(1125),
    [aux_sym_preproc_if_token1] = ACTIONS(1125),
    [aux_sym_preproc_if_token2] = ACTIONS(1125),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1125),
    [sym_preproc_directive] = ACTIONS(1125),
    [anon_sym_LPAREN2] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_STAR] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1123),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym___extension__] = ACTIONS(1125),
    [anon_sym_typedef] = ACTIONS(1125),
    [anon_sym_extern] = ACTIONS(1125),
    [anon_sym___attribute__] = ACTIONS(1125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1123),
    [anon_sym___declspec] = ACTIONS(1125),
    [anon_sym___cdecl] = ACTIONS(1125),
    [anon_sym___clrcall] = ACTIONS(1125),
    [anon_sym___stdcall] = ACTIONS(1125),
    [anon_sym___fastcall] = ACTIONS(1125),
    [anon_sym___thiscall] = ACTIONS(1125),
    [anon_sym___vectorcall] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_signed] = ACTIONS(1125),
    [anon_sym_unsigned] = ACTIONS(1125),
    [anon_sym_long] = ACTIONS(1125),
    [anon_sym_short] = ACTIONS(1125),
    [anon_sym_static] = ACTIONS(1125),
    [anon_sym_auto] = ACTIONS(1125),
    [anon_sym_register] = ACTIONS(1125),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym___inline] = ACTIONS(1125),
    [anon_sym___inline__] = ACTIONS(1125),
    [anon_sym___forceinline] = ACTIONS(1125),
    [anon_sym_thread_local] = ACTIONS(1125),
    [anon_sym___thread] = ACTIONS(1125),
    [anon_sym_const] = ACTIONS(1125),
    [anon_sym_constexpr] = ACTIONS(1125),
    [anon_sym_volatile] = ACTIONS(1125),
    [anon_sym_restrict] = ACTIONS(1125),
    [anon_sym___restrict__] = ACTIONS(1125),
    [anon_sym__Atomic] = ACTIONS(1125),
    [anon_sym__Noreturn] = ACTIONS(1125),
    [anon_sym_noreturn] = ACTIONS(1125),
    [anon_sym_alignas] = ACTIONS(1125),
    [anon_sym__Alignas] = ACTIONS(1125),
    [sym_primitive_type] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_struct] = ACTIONS(1125),
    [anon_sym_union] = ACTIONS(1125),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_goto] = ACTIONS(1125),
    [anon_sym___try] = ACTIONS(1125),
    [anon_sym___leave] = ACTIONS(1125),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_sizeof] = ACTIONS(1125),
    [anon_sym___alignof__] = ACTIONS(1125),
    [anon_sym___alignof] = ACTIONS(1125),
    [anon_sym__alignof] = ACTIONS(1125),
    [anon_sym_alignof] = ACTIONS(1125),
    [anon_sym__Alignof] = ACTIONS(1125),
    [anon_sym_offsetof] = ACTIONS(1125),
    [anon_sym__Generic] = ACTIONS(1125),
    [anon_sym_asm] = ACTIONS(1125),
    [anon_sym___asm__] = ACTIONS(1125),
    [sym_number_literal] = ACTIONS(1123),
    [anon_sym_L_SQUOTE] = ACTIONS(1123),
    [anon_sym_u_SQUOTE] = ACTIONS(1123),
    [anon_sym_U_SQUOTE] = ACTIONS(1123),
    [anon_sym_u8_SQUOTE] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1123),
    [anon_sym_L_DQUOTE] = ACTIONS(1123),
    [anon_sym_u_DQUOTE] = ACTIONS(1123),
    [anon_sym_U_DQUOTE] = ACTIONS(1123),
    [anon_sym_u8_DQUOTE] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [sym_true] = ACTIONS(1125),
    [sym_false] = ACTIONS(1125),
    [anon_sym_NULL] = ACTIONS(1125),
    [anon_sym_nullptr] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_identifier] = ACTIONS(1143),
    [aux_sym_preproc_include_token1] = ACTIONS(1143),
    [aux_sym_preproc_def_token1] = ACTIONS(1143),
    [aux_sym_preproc_if_token1] = ACTIONS(1143),
    [aux_sym_preproc_if_token2] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1143),
    [anon_sym_LPAREN2] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1145),
    [anon_sym_TILDE] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1143),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym___extension__] = ACTIONS(1143),
    [anon_sym_typedef] = ACTIONS(1143),
    [anon_sym_extern] = ACTIONS(1143),
    [anon_sym___attribute__] = ACTIONS(1143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1145),
    [anon_sym___declspec] = ACTIONS(1143),
    [anon_sym___cdecl] = ACTIONS(1143),
    [anon_sym___clrcall] = ACTIONS(1143),
    [anon_sym___stdcall] = ACTIONS(1143),
    [anon_sym___fastcall] = ACTIONS(1143),
    [anon_sym___thiscall] = ACTIONS(1143),
    [anon_sym___vectorcall] = ACTIONS(1143),
    [anon_sym_LBRACE] = ACTIONS(1145),
    [anon_sym_signed] = ACTIONS(1143),
    [anon_sym_unsigned] = ACTIONS(1143),
    [anon_sym_long] = ACTIONS(1143),
    [anon_sym_short] = ACTIONS(1143),
    [anon_sym_static] = ACTIONS(1143),
    [anon_sym_auto] = ACTIONS(1143),
    [anon_sym_register] = ACTIONS(1143),
    [anon_sym_inline] = ACTIONS(1143),
    [anon_sym___inline] = ACTIONS(1143),
    [anon_sym___inline__] = ACTIONS(1143),
    [anon_sym___forceinline] = ACTIONS(1143),
    [anon_sym_thread_local] = ACTIONS(1143),
    [anon_sym___thread] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_constexpr] = ACTIONS(1143),
    [anon_sym_volatile] = ACTIONS(1143),
    [anon_sym_restrict] = ACTIONS(1143),
    [anon_sym___restrict__] = ACTIONS(1143),
    [anon_sym__Atomic] = ACTIONS(1143),
    [anon_sym__Noreturn] = ACTIONS(1143),
    [anon_sym_noreturn] = ACTIONS(1143),
    [anon_sym_alignas] = ACTIONS(1143),
    [anon_sym__Alignas] = ACTIONS(1143),
    [sym_primitive_type] = ACTIONS(1143),
    [anon_sym_enum] = ACTIONS(1143),
    [anon_sym_struct] = ACTIONS(1143),
    [anon_sym_union] = ACTIONS(1143),
    [anon_sym_if] = ACTIONS(1143),
    [anon_sym_else] = ACTIONS(1143),
    [anon_sym_switch] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1143),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_do] = ACTIONS(1143),
    [anon_sym_for] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1143),
    [anon_sym_continue] = ACTIONS(1143),
    [anon_sym_goto] = ACTIONS(1143),
    [anon_sym___try] = ACTIONS(1143),
    [anon_sym___leave] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1145),
    [anon_sym_PLUS_PLUS] = ACTIONS(1145),
    [anon_sym_sizeof] = ACTIONS(1143),
    [anon_sym___alignof__] = ACTIONS(1143),
    [anon_sym___alignof] = ACTIONS(1143),
    [anon_sym__alignof] = ACTIONS(1143),
    [anon_sym_alignof] = ACTIONS(1143),
    [anon_sym__Alignof] = ACTIONS(1143),
    [anon_sym_offsetof] = ACTIONS(1143),
    [anon_sym__Generic] = ACTIONS(1143),
    [anon_sym_asm] = ACTIONS(1143),
    [anon_sym___asm__] = ACTIONS(1143),
    [sym_number_literal] = ACTIONS(1145),
    [anon_sym_L_SQUOTE] = ACTIONS(1145),
    [anon_sym_u_SQUOTE] = ACTIONS(1145),
    [anon_sym_U_SQUOTE] = ACTIONS(1145),
    [anon_sym_u8_SQUOTE] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [anon_sym_L_DQUOTE] = ACTIONS(1145),
    [anon_sym_u_DQUOTE] = ACTIONS(1145),
    [anon_sym_U_DQUOTE] = ACTIONS(1145),
    [anon_sym_u8_DQUOTE] = ACTIONS(1145),
    [anon_sym_DQUOTE] = ACTIONS(1145),
    [sym_true] = ACTIONS(1143),
    [sym_false] = ACTIONS(1143),
    [anon_sym_NULL] = ACTIONS(1143),
    [anon_sym_nullptr] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [ts_builtin_sym_end] = ACTIONS(1129),
    [sym_identifier] = ACTIONS(1127),
    [aux_sym_preproc_include_token1] = ACTIONS(1127),
    [aux_sym_preproc_def_token1] = ACTIONS(1127),
    [aux_sym_preproc_if_token1] = ACTIONS(1127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1127),
    [sym_preproc_directive] = ACTIONS(1127),
    [anon_sym_LPAREN2] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_STAR] = ACTIONS(1129),
    [anon_sym_AMP] = ACTIONS(1129),
    [anon_sym_SEMI] = ACTIONS(1129),
    [anon_sym___extension__] = ACTIONS(1127),
    [anon_sym_typedef] = ACTIONS(1127),
    [anon_sym_extern] = ACTIONS(1127),
    [anon_sym___attribute__] = ACTIONS(1127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1129),
    [anon_sym___declspec] = ACTIONS(1127),
    [anon_sym___cdecl] = ACTIONS(1127),
    [anon_sym___clrcall] = ACTIONS(1127),
    [anon_sym___stdcall] = ACTIONS(1127),
    [anon_sym___fastcall] = ACTIONS(1127),
    [anon_sym___thiscall] = ACTIONS(1127),
    [anon_sym___vectorcall] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_signed] = ACTIONS(1127),
    [anon_sym_unsigned] = ACTIONS(1127),
    [anon_sym_long] = ACTIONS(1127),
    [anon_sym_short] = ACTIONS(1127),
    [anon_sym_static] = ACTIONS(1127),
    [anon_sym_auto] = ACTIONS(1127),
    [anon_sym_register] = ACTIONS(1127),
    [anon_sym_inline] = ACTIONS(1127),
    [anon_sym___inline] = ACTIONS(1127),
    [anon_sym___inline__] = ACTIONS(1127),
    [anon_sym___forceinline] = ACTIONS(1127),
    [anon_sym_thread_local] = ACTIONS(1127),
    [anon_sym___thread] = ACTIONS(1127),
    [anon_sym_const] = ACTIONS(1127),
    [anon_sym_constexpr] = ACTIONS(1127),
    [anon_sym_volatile] = ACTIONS(1127),
    [anon_sym_restrict] = ACTIONS(1127),
    [anon_sym___restrict__] = ACTIONS(1127),
    [anon_sym__Atomic] = ACTIONS(1127),
    [anon_sym__Noreturn] = ACTIONS(1127),
    [anon_sym_noreturn] = ACTIONS(1127),
    [anon_sym_alignas] = ACTIONS(1127),
    [anon_sym__Alignas] = ACTIONS(1127),
    [sym_primitive_type] = ACTIONS(1127),
    [anon_sym_enum] = ACTIONS(1127),
    [anon_sym_struct] = ACTIONS(1127),
    [anon_sym_union] = ACTIONS(1127),
    [anon_sym_if] = ACTIONS(1127),
    [anon_sym_else] = ACTIONS(1127),
    [anon_sym_switch] = ACTIONS(1127),
    [anon_sym_case] = ACTIONS(1127),
    [anon_sym_default] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1127),
    [anon_sym_do] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_return] = ACTIONS(1127),
    [anon_sym_break] = ACTIONS(1127),
    [anon_sym_continue] = ACTIONS(1127),
    [anon_sym_goto] = ACTIONS(1127),
    [anon_sym___try] = ACTIONS(1127),
    [anon_sym___leave] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1129),
    [anon_sym_sizeof] = ACTIONS(1127),
    [anon_sym___alignof__] = ACTIONS(1127),
    [anon_sym___alignof] = ACTIONS(1127),
    [anon_sym__alignof] = ACTIONS(1127),
    [anon_sym_alignof] = ACTIONS(1127),
    [anon_sym__Alignof] = ACTIONS(1127),
    [anon_sym_offsetof] = ACTIONS(1127),
    [anon_sym__Generic] = ACTIONS(1127),
    [anon_sym_asm] = ACTIONS(1127),
    [anon_sym___asm__] = ACTIONS(1127),
    [sym_number_literal] = ACTIONS(1129),
    [anon_sym_L_SQUOTE] = ACTIONS(1129),
    [anon_sym_u_SQUOTE] = ACTIONS(1129),
    [anon_sym_U_SQUOTE] = ACTIONS(1129),
    [anon_sym_u8_SQUOTE] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1129),
    [anon_sym_L_DQUOTE] = ACTIONS(1129),
    [anon_sym_u_DQUOTE] = ACTIONS(1129),
    [anon_sym_U_DQUOTE] = ACTIONS(1129),
    [anon_sym_u8_DQUOTE] = ACTIONS(1129),
    [anon_sym_DQUOTE] = ACTIONS(1129),
    [sym_true] = ACTIONS(1127),
    [sym_false] = ACTIONS(1127),
    [anon_sym_NULL] = ACTIONS(1127),
    [anon_sym_nullptr] = ACTIONS(1127),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_identifier] = ACTIONS(1223),
    [aux_sym_preproc_include_token1] = ACTIONS(1223),
    [aux_sym_preproc_def_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1223),
    [sym_preproc_directive] = ACTIONS(1223),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1223),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym___extension__] = ACTIONS(1223),
    [anon_sym_typedef] = ACTIONS(1223),
    [anon_sym_extern] = ACTIONS(1223),
    [anon_sym___attribute__] = ACTIONS(1223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1225),
    [anon_sym___declspec] = ACTIONS(1223),
    [anon_sym___cdecl] = ACTIONS(1223),
    [anon_sym___clrcall] = ACTIONS(1223),
    [anon_sym___stdcall] = ACTIONS(1223),
    [anon_sym___fastcall] = ACTIONS(1223),
    [anon_sym___thiscall] = ACTIONS(1223),
    [anon_sym___vectorcall] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_signed] = ACTIONS(1223),
    [anon_sym_unsigned] = ACTIONS(1223),
    [anon_sym_long] = ACTIONS(1223),
    [anon_sym_short] = ACTIONS(1223),
    [anon_sym_static] = ACTIONS(1223),
    [anon_sym_auto] = ACTIONS(1223),
    [anon_sym_register] = ACTIONS(1223),
    [anon_sym_inline] = ACTIONS(1223),
    [anon_sym___inline] = ACTIONS(1223),
    [anon_sym___inline__] = ACTIONS(1223),
    [anon_sym___forceinline] = ACTIONS(1223),
    [anon_sym_thread_local] = ACTIONS(1223),
    [anon_sym___thread] = ACTIONS(1223),
    [anon_sym_const] = ACTIONS(1223),
    [anon_sym_constexpr] = ACTIONS(1223),
    [anon_sym_volatile] = ACTIONS(1223),
    [anon_sym_restrict] = ACTIONS(1223),
    [anon_sym___restrict__] = ACTIONS(1223),
    [anon_sym__Atomic] = ACTIONS(1223),
    [anon_sym__Noreturn] = ACTIONS(1223),
    [anon_sym_noreturn] = ACTIONS(1223),
    [anon_sym_alignas] = ACTIONS(1223),
    [anon_sym__Alignas] = ACTIONS(1223),
    [sym_primitive_type] = ACTIONS(1223),
    [anon_sym_enum] = ACTIONS(1223),
    [anon_sym_struct] = ACTIONS(1223),
    [anon_sym_union] = ACTIONS(1223),
    [anon_sym_if] = ACTIONS(1223),
    [anon_sym_else] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(1223),
    [anon_sym_case] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1223),
    [anon_sym_while] = ACTIONS(1223),
    [anon_sym_do] = ACTIONS(1223),
    [anon_sym_for] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_continue] = ACTIONS(1223),
    [anon_sym_goto] = ACTIONS(1223),
    [anon_sym___try] = ACTIONS(1223),
    [anon_sym___leave] = ACTIONS(1223),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_sizeof] = ACTIONS(1223),
    [anon_sym___alignof__] = ACTIONS(1223),
    [anon_sym___alignof] = ACTIONS(1223),
    [anon_sym__alignof] = ACTIONS(1223),
    [anon_sym_alignof] = ACTIONS(1223),
    [anon_sym__Alignof] = ACTIONS(1223),
    [anon_sym_offsetof] = ACTIONS(1223),
    [anon_sym__Generic] = ACTIONS(1223),
    [anon_sym_asm] = ACTIONS(1223),
    [anon_sym___asm__] = ACTIONS(1223),
    [sym_number_literal] = ACTIONS(1225),
    [anon_sym_L_SQUOTE] = ACTIONS(1225),
    [anon_sym_u_SQUOTE] = ACTIONS(1225),
    [anon_sym_U_SQUOTE] = ACTIONS(1225),
    [anon_sym_u8_SQUOTE] = ACTIONS(1225),
    [anon_sym_SQUOTE] = ACTIONS(1225),
    [anon_sym_L_DQUOTE] = ACTIONS(1225),
    [anon_sym_u_DQUOTE] = ACTIONS(1225),
    [anon_sym_U_DQUOTE] = ACTIONS(1225),
    [anon_sym_u8_DQUOTE] = ACTIONS(1225),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_true] = ACTIONS(1223),
    [sym_false] = ACTIONS(1223),
    [anon_sym_NULL] = ACTIONS(1223),
    [anon_sym_nullptr] = ACTIONS(1223),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_identifier] = ACTIONS(1147),
    [aux_sym_preproc_include_token1] = ACTIONS(1147),
    [aux_sym_preproc_def_token1] = ACTIONS(1147),
    [aux_sym_preproc_if_token1] = ACTIONS(1147),
    [aux_sym_preproc_if_token2] = ACTIONS(1147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1147),
    [sym_preproc_directive] = ACTIONS(1147),
    [anon_sym_LPAREN2] = ACTIONS(1149),
    [anon_sym_BANG] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_STAR] = ACTIONS(1149),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(1149),
    [anon_sym___extension__] = ACTIONS(1147),
    [anon_sym_typedef] = ACTIONS(1147),
    [anon_sym_extern] = ACTIONS(1147),
    [anon_sym___attribute__] = ACTIONS(1147),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1149),
    [anon_sym___declspec] = ACTIONS(1147),
    [anon_sym___cdecl] = ACTIONS(1147),
    [anon_sym___clrcall] = ACTIONS(1147),
    [anon_sym___stdcall] = ACTIONS(1147),
    [anon_sym___fastcall] = ACTIONS(1147),
    [anon_sym___thiscall] = ACTIONS(1147),
    [anon_sym___vectorcall] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_signed] = ACTIONS(1147),
    [anon_sym_unsigned] = ACTIONS(1147),
    [anon_sym_long] = ACTIONS(1147),
    [anon_sym_short] = ACTIONS(1147),
    [anon_sym_static] = ACTIONS(1147),
    [anon_sym_auto] = ACTIONS(1147),
    [anon_sym_register] = ACTIONS(1147),
    [anon_sym_inline] = ACTIONS(1147),
    [anon_sym___inline] = ACTIONS(1147),
    [anon_sym___inline__] = ACTIONS(1147),
    [anon_sym___forceinline] = ACTIONS(1147),
    [anon_sym_thread_local] = ACTIONS(1147),
    [anon_sym___thread] = ACTIONS(1147),
    [anon_sym_const] = ACTIONS(1147),
    [anon_sym_constexpr] = ACTIONS(1147),
    [anon_sym_volatile] = ACTIONS(1147),
    [anon_sym_restrict] = ACTIONS(1147),
    [anon_sym___restrict__] = ACTIONS(1147),
    [anon_sym__Atomic] = ACTIONS(1147),
    [anon_sym__Noreturn] = ACTIONS(1147),
    [anon_sym_noreturn] = ACTIONS(1147),
    [anon_sym_alignas] = ACTIONS(1147),
    [anon_sym__Alignas] = ACTIONS(1147),
    [sym_primitive_type] = ACTIONS(1147),
    [anon_sym_enum] = ACTIONS(1147),
    [anon_sym_struct] = ACTIONS(1147),
    [anon_sym_union] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_else] = ACTIONS(1147),
    [anon_sym_switch] = ACTIONS(1147),
    [anon_sym_case] = ACTIONS(1147),
    [anon_sym_default] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(1147),
    [anon_sym_do] = ACTIONS(1147),
    [anon_sym_for] = ACTIONS(1147),
    [anon_sym_return] = ACTIONS(1147),
    [anon_sym_break] = ACTIONS(1147),
    [anon_sym_continue] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1147),
    [anon_sym___try] = ACTIONS(1147),
    [anon_sym___leave] = ACTIONS(1147),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_sizeof] = ACTIONS(1147),
    [anon_sym___alignof__] = ACTIONS(1147),
    [anon_sym___alignof] = ACTIONS(1147),
    [anon_sym__alignof] = ACTIONS(1147),
    [anon_sym_alignof] = ACTIONS(1147),
    [anon_sym__Alignof] = ACTIONS(1147),
    [anon_sym_offsetof] = ACTIONS(1147),
    [anon_sym__Generic] = ACTIONS(1147),
    [anon_sym_asm] = ACTIONS(1147),
    [anon_sym___asm__] = ACTIONS(1147),
    [sym_number_literal] = ACTIONS(1149),
    [anon_sym_L_SQUOTE] = ACTIONS(1149),
    [anon_sym_u_SQUOTE] = ACTIONS(1149),
    [anon_sym_U_SQUOTE] = ACTIONS(1149),
    [anon_sym_u8_SQUOTE] = ACTIONS(1149),
    [anon_sym_SQUOTE] = ACTIONS(1149),
    [anon_sym_L_DQUOTE] = ACTIONS(1149),
    [anon_sym_u_DQUOTE] = ACTIONS(1149),
    [anon_sym_U_DQUOTE] = ACTIONS(1149),
    [anon_sym_u8_DQUOTE] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [sym_true] = ACTIONS(1147),
    [sym_false] = ACTIONS(1147),
    [anon_sym_NULL] = ACTIONS(1147),
    [anon_sym_nullptr] = ACTIONS(1147),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_identifier] = ACTIONS(1151),
    [aux_sym_preproc_include_token1] = ACTIONS(1151),
    [aux_sym_preproc_def_token1] = ACTIONS(1151),
    [aux_sym_preproc_if_token1] = ACTIONS(1151),
    [aux_sym_preproc_if_token2] = ACTIONS(1151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1151),
    [sym_preproc_directive] = ACTIONS(1151),
    [anon_sym_LPAREN2] = ACTIONS(1153),
    [anon_sym_BANG] = ACTIONS(1153),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1151),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym___extension__] = ACTIONS(1151),
    [anon_sym_typedef] = ACTIONS(1151),
    [anon_sym_extern] = ACTIONS(1151),
    [anon_sym___attribute__] = ACTIONS(1151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1153),
    [anon_sym___declspec] = ACTIONS(1151),
    [anon_sym___cdecl] = ACTIONS(1151),
    [anon_sym___clrcall] = ACTIONS(1151),
    [anon_sym___stdcall] = ACTIONS(1151),
    [anon_sym___fastcall] = ACTIONS(1151),
    [anon_sym___thiscall] = ACTIONS(1151),
    [anon_sym___vectorcall] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_signed] = ACTIONS(1151),
    [anon_sym_unsigned] = ACTIONS(1151),
    [anon_sym_long] = ACTIONS(1151),
    [anon_sym_short] = ACTIONS(1151),
    [anon_sym_static] = ACTIONS(1151),
    [anon_sym_auto] = ACTIONS(1151),
    [anon_sym_register] = ACTIONS(1151),
    [anon_sym_inline] = ACTIONS(1151),
    [anon_sym___inline] = ACTIONS(1151),
    [anon_sym___inline__] = ACTIONS(1151),
    [anon_sym___forceinline] = ACTIONS(1151),
    [anon_sym_thread_local] = ACTIONS(1151),
    [anon_sym___thread] = ACTIONS(1151),
    [anon_sym_const] = ACTIONS(1151),
    [anon_sym_constexpr] = ACTIONS(1151),
    [anon_sym_volatile] = ACTIONS(1151),
    [anon_sym_restrict] = ACTIONS(1151),
    [anon_sym___restrict__] = ACTIONS(1151),
    [anon_sym__Atomic] = ACTIONS(1151),
    [anon_sym__Noreturn] = ACTIONS(1151),
    [anon_sym_noreturn] = ACTIONS(1151),
    [anon_sym_alignas] = ACTIONS(1151),
    [anon_sym__Alignas] = ACTIONS(1151),
    [sym_primitive_type] = ACTIONS(1151),
    [anon_sym_enum] = ACTIONS(1151),
    [anon_sym_struct] = ACTIONS(1151),
    [anon_sym_union] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1151),
    [anon_sym_else] = ACTIONS(1151),
    [anon_sym_switch] = ACTIONS(1151),
    [anon_sym_case] = ACTIONS(1151),
    [anon_sym_default] = ACTIONS(1151),
    [anon_sym_while] = ACTIONS(1151),
    [anon_sym_do] = ACTIONS(1151),
    [anon_sym_for] = ACTIONS(1151),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_break] = ACTIONS(1151),
    [anon_sym_continue] = ACTIONS(1151),
    [anon_sym_goto] = ACTIONS(1151),
    [anon_sym___try] = ACTIONS(1151),
    [anon_sym___leave] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1153),
    [anon_sym_PLUS_PLUS] = ACTIONS(1153),
    [anon_sym_sizeof] = ACTIONS(1151),
    [anon_sym___alignof__] = ACTIONS(1151),
    [anon_sym___alignof] = ACTIONS(1151),
    [anon_sym__alignof] = ACTIONS(1151),
    [anon_sym_alignof] = ACTIONS(1151),
    [anon_sym__Alignof] = ACTIONS(1151),
    [anon_sym_offsetof] = ACTIONS(1151),
    [anon_sym__Generic] = ACTIONS(1151),
    [anon_sym_asm] = ACTIONS(1151),
    [anon_sym___asm__] = ACTIONS(1151),
    [sym_number_literal] = ACTIONS(1153),
    [anon_sym_L_SQUOTE] = ACTIONS(1153),
    [anon_sym_u_SQUOTE] = ACTIONS(1153),
    [anon_sym_U_SQUOTE] = ACTIONS(1153),
    [anon_sym_u8_SQUOTE] = ACTIONS(1153),
    [anon_sym_SQUOTE] = ACTIONS(1153),
    [anon_sym_L_DQUOTE] = ACTIONS(1153),
    [anon_sym_u_DQUOTE] = ACTIONS(1153),
    [anon_sym_U_DQUOTE] = ACTIONS(1153),
    [anon_sym_u8_DQUOTE] = ACTIONS(1153),
    [anon_sym_DQUOTE] = ACTIONS(1153),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [anon_sym_NULL] = ACTIONS(1151),
    [anon_sym_nullptr] = ACTIONS(1151),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_identifier] = ACTIONS(1155),
    [aux_sym_preproc_include_token1] = ACTIONS(1155),
    [aux_sym_preproc_def_token1] = ACTIONS(1155),
    [aux_sym_preproc_if_token1] = ACTIONS(1155),
    [aux_sym_preproc_if_token2] = ACTIONS(1155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1155),
    [sym_preproc_directive] = ACTIONS(1155),
    [anon_sym_LPAREN2] = ACTIONS(1157),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1157),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym___extension__] = ACTIONS(1155),
    [anon_sym_typedef] = ACTIONS(1155),
    [anon_sym_extern] = ACTIONS(1155),
    [anon_sym___attribute__] = ACTIONS(1155),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1157),
    [anon_sym___declspec] = ACTIONS(1155),
    [anon_sym___cdecl] = ACTIONS(1155),
    [anon_sym___clrcall] = ACTIONS(1155),
    [anon_sym___stdcall] = ACTIONS(1155),
    [anon_sym___fastcall] = ACTIONS(1155),
    [anon_sym___thiscall] = ACTIONS(1155),
    [anon_sym___vectorcall] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_signed] = ACTIONS(1155),
    [anon_sym_unsigned] = ACTIONS(1155),
    [anon_sym_long] = ACTIONS(1155),
    [anon_sym_short] = ACTIONS(1155),
    [anon_sym_static] = ACTIONS(1155),
    [anon_sym_auto] = ACTIONS(1155),
    [anon_sym_register] = ACTIONS(1155),
    [anon_sym_inline] = ACTIONS(1155),
    [anon_sym___inline] = ACTIONS(1155),
    [anon_sym___inline__] = ACTIONS(1155),
    [anon_sym___forceinline] = ACTIONS(1155),
    [anon_sym_thread_local] = ACTIONS(1155),
    [anon_sym___thread] = ACTIONS(1155),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_constexpr] = ACTIONS(1155),
    [anon_sym_volatile] = ACTIONS(1155),
    [anon_sym_restrict] = ACTIONS(1155),
    [anon_sym___restrict__] = ACTIONS(1155),
    [anon_sym__Atomic] = ACTIONS(1155),
    [anon_sym__Noreturn] = ACTIONS(1155),
    [anon_sym_noreturn] = ACTIONS(1155),
    [anon_sym_alignas] = ACTIONS(1155),
    [anon_sym__Alignas] = ACTIONS(1155),
    [sym_primitive_type] = ACTIONS(1155),
    [anon_sym_enum] = ACTIONS(1155),
    [anon_sym_struct] = ACTIONS(1155),
    [anon_sym_union] = ACTIONS(1155),
    [anon_sym_if] = ACTIONS(1155),
    [anon_sym_else] = ACTIONS(1155),
    [anon_sym_switch] = ACTIONS(1155),
    [anon_sym_case] = ACTIONS(1155),
    [anon_sym_default] = ACTIONS(1155),
    [anon_sym_while] = ACTIONS(1155),
    [anon_sym_do] = ACTIONS(1155),
    [anon_sym_for] = ACTIONS(1155),
    [anon_sym_return] = ACTIONS(1155),
    [anon_sym_break] = ACTIONS(1155),
    [anon_sym_continue] = ACTIONS(1155),
    [anon_sym_goto] = ACTIONS(1155),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1155),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_sizeof] = ACTIONS(1155),
    [anon_sym___alignof__] = ACTIONS(1155),
    [anon_sym___alignof] = ACTIONS(1155),
    [anon_sym__alignof] = ACTIONS(1155),
    [anon_sym_alignof] = ACTIONS(1155),
    [anon_sym__Alignof] = ACTIONS(1155),
    [anon_sym_offsetof] = ACTIONS(1155),
    [anon_sym__Generic] = ACTIONS(1155),
    [anon_sym_asm] = ACTIONS(1155),
    [anon_sym___asm__] = ACTIONS(1155),
    [sym_number_literal] = ACTIONS(1157),
    [anon_sym_L_SQUOTE] = ACTIONS(1157),
    [anon_sym_u_SQUOTE] = ACTIONS(1157),
    [anon_sym_U_SQUOTE] = ACTIONS(1157),
    [anon_sym_u8_SQUOTE] = ACTIONS(1157),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [anon_sym_L_DQUOTE] = ACTIONS(1157),
    [anon_sym_u_DQUOTE] = ACTIONS(1157),
    [anon_sym_U_DQUOTE] = ACTIONS(1157),
    [anon_sym_u8_DQUOTE] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_true] = ACTIONS(1155),
    [sym_false] = ACTIONS(1155),
    [anon_sym_NULL] = ACTIONS(1155),
    [anon_sym_nullptr] = ACTIONS(1155),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_identifier] = ACTIONS(1159),
    [aux_sym_preproc_include_token1] = ACTIONS(1159),
    [aux_sym_preproc_def_token1] = ACTIONS(1159),
    [aux_sym_preproc_if_token1] = ACTIONS(1159),
    [aux_sym_preproc_if_token2] = ACTIONS(1159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1159),
    [sym_preproc_directive] = ACTIONS(1159),
    [anon_sym_LPAREN2] = ACTIONS(1161),
    [anon_sym_BANG] = ACTIONS(1161),
    [anon_sym_TILDE] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_STAR] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1161),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym___extension__] = ACTIONS(1159),
    [anon_sym_typedef] = ACTIONS(1159),
    [anon_sym_extern] = ACTIONS(1159),
    [anon_sym___attribute__] = ACTIONS(1159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1161),
    [anon_sym___declspec] = ACTIONS(1159),
    [anon_sym___cdecl] = ACTIONS(1159),
    [anon_sym___clrcall] = ACTIONS(1159),
    [anon_sym___stdcall] = ACTIONS(1159),
    [anon_sym___fastcall] = ACTIONS(1159),
    [anon_sym___thiscall] = ACTIONS(1159),
    [anon_sym___vectorcall] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_signed] = ACTIONS(1159),
    [anon_sym_unsigned] = ACTIONS(1159),
    [anon_sym_long] = ACTIONS(1159),
    [anon_sym_short] = ACTIONS(1159),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_auto] = ACTIONS(1159),
    [anon_sym_register] = ACTIONS(1159),
    [anon_sym_inline] = ACTIONS(1159),
    [anon_sym___inline] = ACTIONS(1159),
    [anon_sym___inline__] = ACTIONS(1159),
    [anon_sym___forceinline] = ACTIONS(1159),
    [anon_sym_thread_local] = ACTIONS(1159),
    [anon_sym___thread] = ACTIONS(1159),
    [anon_sym_const] = ACTIONS(1159),
    [anon_sym_constexpr] = ACTIONS(1159),
    [anon_sym_volatile] = ACTIONS(1159),
    [anon_sym_restrict] = ACTIONS(1159),
    [anon_sym___restrict__] = ACTIONS(1159),
    [anon_sym__Atomic] = ACTIONS(1159),
    [anon_sym__Noreturn] = ACTIONS(1159),
    [anon_sym_noreturn] = ACTIONS(1159),
    [anon_sym_alignas] = ACTIONS(1159),
    [anon_sym__Alignas] = ACTIONS(1159),
    [sym_primitive_type] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_struct] = ACTIONS(1159),
    [anon_sym_union] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_else] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_case] = ACTIONS(1159),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_goto] = ACTIONS(1159),
    [anon_sym___try] = ACTIONS(1159),
    [anon_sym___leave] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1161),
    [anon_sym_PLUS_PLUS] = ACTIONS(1161),
    [anon_sym_sizeof] = ACTIONS(1159),
    [anon_sym___alignof__] = ACTIONS(1159),
    [anon_sym___alignof] = ACTIONS(1159),
    [anon_sym__alignof] = ACTIONS(1159),
    [anon_sym_alignof] = ACTIONS(1159),
    [anon_sym__Alignof] = ACTIONS(1159),
    [anon_sym_offsetof] = ACTIONS(1159),
    [anon_sym__Generic] = ACTIONS(1159),
    [anon_sym_asm] = ACTIONS(1159),
    [anon_sym___asm__] = ACTIONS(1159),
    [sym_number_literal] = ACTIONS(1161),
    [anon_sym_L_SQUOTE] = ACTIONS(1161),
    [anon_sym_u_SQUOTE] = ACTIONS(1161),
    [anon_sym_U_SQUOTE] = ACTIONS(1161),
    [anon_sym_u8_SQUOTE] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_L_DQUOTE] = ACTIONS(1161),
    [anon_sym_u_DQUOTE] = ACTIONS(1161),
    [anon_sym_U_DQUOTE] = ACTIONS(1161),
    [anon_sym_u8_DQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [anon_sym_NULL] = ACTIONS(1159),
    [anon_sym_nullptr] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_identifier] = ACTIONS(1167),
    [aux_sym_preproc_include_token1] = ACTIONS(1167),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token2] = ACTIONS(1167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1167),
    [sym_preproc_directive] = ACTIONS(1167),
    [anon_sym_LPAREN2] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1169),
    [anon_sym_TILDE] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1167),
    [anon_sym_PLUS] = ACTIONS(1167),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym___extension__] = ACTIONS(1167),
    [anon_sym_typedef] = ACTIONS(1167),
    [anon_sym_extern] = ACTIONS(1167),
    [anon_sym___attribute__] = ACTIONS(1167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1169),
    [anon_sym___declspec] = ACTIONS(1167),
    [anon_sym___cdecl] = ACTIONS(1167),
    [anon_sym___clrcall] = ACTIONS(1167),
    [anon_sym___stdcall] = ACTIONS(1167),
    [anon_sym___fastcall] = ACTIONS(1167),
    [anon_sym___thiscall] = ACTIONS(1167),
    [anon_sym___vectorcall] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_signed] = ACTIONS(1167),
    [anon_sym_unsigned] = ACTIONS(1167),
    [anon_sym_long] = ACTIONS(1167),
    [anon_sym_short] = ACTIONS(1167),
    [anon_sym_static] = ACTIONS(1167),
    [anon_sym_auto] = ACTIONS(1167),
    [anon_sym_register] = ACTIONS(1167),
    [anon_sym_inline] = ACTIONS(1167),
    [anon_sym___inline] = ACTIONS(1167),
    [anon_sym___inline__] = ACTIONS(1167),
    [anon_sym___forceinline] = ACTIONS(1167),
    [anon_sym_thread_local] = ACTIONS(1167),
    [anon_sym___thread] = ACTIONS(1167),
    [anon_sym_const] = ACTIONS(1167),
    [anon_sym_constexpr] = ACTIONS(1167),
    [anon_sym_volatile] = ACTIONS(1167),
    [anon_sym_restrict] = ACTIONS(1167),
    [anon_sym___restrict__] = ACTIONS(1167),
    [anon_sym__Atomic] = ACTIONS(1167),
    [anon_sym__Noreturn] = ACTIONS(1167),
    [anon_sym_noreturn] = ACTIONS(1167),
    [anon_sym_alignas] = ACTIONS(1167),
    [anon_sym__Alignas] = ACTIONS(1167),
    [sym_primitive_type] = ACTIONS(1167),
    [anon_sym_enum] = ACTIONS(1167),
    [anon_sym_struct] = ACTIONS(1167),
    [anon_sym_union] = ACTIONS(1167),
    [anon_sym_if] = ACTIONS(1167),
    [anon_sym_else] = ACTIONS(1167),
    [anon_sym_switch] = ACTIONS(1167),
    [anon_sym_case] = ACTIONS(1167),
    [anon_sym_default] = ACTIONS(1167),
    [anon_sym_while] = ACTIONS(1167),
    [anon_sym_do] = ACTIONS(1167),
    [anon_sym_for] = ACTIONS(1167),
    [anon_sym_return] = ACTIONS(1167),
    [anon_sym_break] = ACTIONS(1167),
    [anon_sym_continue] = ACTIONS(1167),
    [anon_sym_goto] = ACTIONS(1167),
    [anon_sym___try] = ACTIONS(1167),
    [anon_sym___leave] = ACTIONS(1167),
    [anon_sym_DASH_DASH] = ACTIONS(1169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1167),
    [anon_sym___alignof__] = ACTIONS(1167),
    [anon_sym___alignof] = ACTIONS(1167),
    [anon_sym__alignof] = ACTIONS(1167),
    [anon_sym_alignof] = ACTIONS(1167),
    [anon_sym__Alignof] = ACTIONS(1167),
    [anon_sym_offsetof] = ACTIONS(1167),
    [anon_sym__Generic] = ACTIONS(1167),
    [anon_sym_asm] = ACTIONS(1167),
    [anon_sym___asm__] = ACTIONS(1167),
    [sym_number_literal] = ACTIONS(1169),
    [anon_sym_L_SQUOTE] = ACTIONS(1169),
    [anon_sym_u_SQUOTE] = ACTIONS(1169),
    [anon_sym_U_SQUOTE] = ACTIONS(1169),
    [anon_sym_u8_SQUOTE] = ACTIONS(1169),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_L_DQUOTE] = ACTIONS(1169),
    [anon_sym_u_DQUOTE] = ACTIONS(1169),
    [anon_sym_U_DQUOTE] = ACTIONS(1169),
    [anon_sym_u8_DQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [sym_true] = ACTIONS(1167),
    [sym_false] = ACTIONS(1167),
    [anon_sym_NULL] = ACTIONS(1167),
    [anon_sym_nullptr] = ACTIONS(1167),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_identifier] = ACTIONS(1171),
    [aux_sym_preproc_include_token1] = ACTIONS(1171),
    [aux_sym_preproc_def_token1] = ACTIONS(1171),
    [aux_sym_preproc_if_token1] = ACTIONS(1171),
    [aux_sym_preproc_if_token2] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1171),
    [anon_sym_LPAREN2] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1173),
    [anon_sym_TILDE] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_PLUS] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(1173),
    [anon_sym___extension__] = ACTIONS(1171),
    [anon_sym_typedef] = ACTIONS(1171),
    [anon_sym_extern] = ACTIONS(1171),
    [anon_sym___attribute__] = ACTIONS(1171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1173),
    [anon_sym___declspec] = ACTIONS(1171),
    [anon_sym___cdecl] = ACTIONS(1171),
    [anon_sym___clrcall] = ACTIONS(1171),
    [anon_sym___stdcall] = ACTIONS(1171),
    [anon_sym___fastcall] = ACTIONS(1171),
    [anon_sym___thiscall] = ACTIONS(1171),
    [anon_sym___vectorcall] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1173),
    [anon_sym_signed] = ACTIONS(1171),
    [anon_sym_unsigned] = ACTIONS(1171),
    [anon_sym_long] = ACTIONS(1171),
    [anon_sym_short] = ACTIONS(1171),
    [anon_sym_static] = ACTIONS(1171),
    [anon_sym_auto] = ACTIONS(1171),
    [anon_sym_register] = ACTIONS(1171),
    [anon_sym_inline] = ACTIONS(1171),
    [anon_sym___inline] = ACTIONS(1171),
    [anon_sym___inline__] = ACTIONS(1171),
    [anon_sym___forceinline] = ACTIONS(1171),
    [anon_sym_thread_local] = ACTIONS(1171),
    [anon_sym___thread] = ACTIONS(1171),
    [anon_sym_const] = ACTIONS(1171),
    [anon_sym_constexpr] = ACTIONS(1171),
    [anon_sym_volatile] = ACTIONS(1171),
    [anon_sym_restrict] = ACTIONS(1171),
    [anon_sym___restrict__] = ACTIONS(1171),
    [anon_sym__Atomic] = ACTIONS(1171),
    [anon_sym__Noreturn] = ACTIONS(1171),
    [anon_sym_noreturn] = ACTIONS(1171),
    [anon_sym_alignas] = ACTIONS(1171),
    [anon_sym__Alignas] = ACTIONS(1171),
    [sym_primitive_type] = ACTIONS(1171),
    [anon_sym_enum] = ACTIONS(1171),
    [anon_sym_struct] = ACTIONS(1171),
    [anon_sym_union] = ACTIONS(1171),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_else] = ACTIONS(1171),
    [anon_sym_switch] = ACTIONS(1171),
    [anon_sym_case] = ACTIONS(1171),
    [anon_sym_default] = ACTIONS(1171),
    [anon_sym_while] = ACTIONS(1171),
    [anon_sym_do] = ACTIONS(1171),
    [anon_sym_for] = ACTIONS(1171),
    [anon_sym_return] = ACTIONS(1171),
    [anon_sym_break] = ACTIONS(1171),
    [anon_sym_continue] = ACTIONS(1171),
    [anon_sym_goto] = ACTIONS(1171),
    [anon_sym___try] = ACTIONS(1171),
    [anon_sym___leave] = ACTIONS(1171),
    [anon_sym_DASH_DASH] = ACTIONS(1173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1173),
    [anon_sym_sizeof] = ACTIONS(1171),
    [anon_sym___alignof__] = ACTIONS(1171),
    [anon_sym___alignof] = ACTIONS(1171),
    [anon_sym__alignof] = ACTIONS(1171),
    [anon_sym_alignof] = ACTIONS(1171),
    [anon_sym__Alignof] = ACTIONS(1171),
    [anon_sym_offsetof] = ACTIONS(1171),
    [anon_sym__Generic] = ACTIONS(1171),
    [anon_sym_asm] = ACTIONS(1171),
    [anon_sym___asm__] = ACTIONS(1171),
    [sym_number_literal] = ACTIONS(1173),
    [anon_sym_L_SQUOTE] = ACTIONS(1173),
    [anon_sym_u_SQUOTE] = ACTIONS(1173),
    [anon_sym_U_SQUOTE] = ACTIONS(1173),
    [anon_sym_u8_SQUOTE] = ACTIONS(1173),
    [anon_sym_SQUOTE] = ACTIONS(1173),
    [anon_sym_L_DQUOTE] = ACTIONS(1173),
    [anon_sym_u_DQUOTE] = ACTIONS(1173),
    [anon_sym_U_DQUOTE] = ACTIONS(1173),
    [anon_sym_u8_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_true] = ACTIONS(1171),
    [sym_false] = ACTIONS(1171),
    [anon_sym_NULL] = ACTIONS(1171),
    [anon_sym_nullptr] = ACTIONS(1171),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_identifier] = ACTIONS(1175),
    [aux_sym_preproc_include_token1] = ACTIONS(1175),
    [aux_sym_preproc_def_token1] = ACTIONS(1175),
    [aux_sym_preproc_if_token1] = ACTIONS(1175),
    [aux_sym_preproc_if_token2] = ACTIONS(1175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1175),
    [sym_preproc_directive] = ACTIONS(1175),
    [anon_sym_LPAREN2] = ACTIONS(1177),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(1177),
    [anon_sym___extension__] = ACTIONS(1175),
    [anon_sym_typedef] = ACTIONS(1175),
    [anon_sym_extern] = ACTIONS(1175),
    [anon_sym___attribute__] = ACTIONS(1175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1177),
    [anon_sym___declspec] = ACTIONS(1175),
    [anon_sym___cdecl] = ACTIONS(1175),
    [anon_sym___clrcall] = ACTIONS(1175),
    [anon_sym___stdcall] = ACTIONS(1175),
    [anon_sym___fastcall] = ACTIONS(1175),
    [anon_sym___thiscall] = ACTIONS(1175),
    [anon_sym___vectorcall] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_signed] = ACTIONS(1175),
    [anon_sym_unsigned] = ACTIONS(1175),
    [anon_sym_long] = ACTIONS(1175),
    [anon_sym_short] = ACTIONS(1175),
    [anon_sym_static] = ACTIONS(1175),
    [anon_sym_auto] = ACTIONS(1175),
    [anon_sym_register] = ACTIONS(1175),
    [anon_sym_inline] = ACTIONS(1175),
    [anon_sym___inline] = ACTIONS(1175),
    [anon_sym___inline__] = ACTIONS(1175),
    [anon_sym___forceinline] = ACTIONS(1175),
    [anon_sym_thread_local] = ACTIONS(1175),
    [anon_sym___thread] = ACTIONS(1175),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_constexpr] = ACTIONS(1175),
    [anon_sym_volatile] = ACTIONS(1175),
    [anon_sym_restrict] = ACTIONS(1175),
    [anon_sym___restrict__] = ACTIONS(1175),
    [anon_sym__Atomic] = ACTIONS(1175),
    [anon_sym__Noreturn] = ACTIONS(1175),
    [anon_sym_noreturn] = ACTIONS(1175),
    [anon_sym_alignas] = ACTIONS(1175),
    [anon_sym__Alignas] = ACTIONS(1175),
    [sym_primitive_type] = ACTIONS(1175),
    [anon_sym_enum] = ACTIONS(1175),
    [anon_sym_struct] = ACTIONS(1175),
    [anon_sym_union] = ACTIONS(1175),
    [anon_sym_if] = ACTIONS(1175),
    [anon_sym_else] = ACTIONS(1175),
    [anon_sym_switch] = ACTIONS(1175),
    [anon_sym_case] = ACTIONS(1175),
    [anon_sym_default] = ACTIONS(1175),
    [anon_sym_while] = ACTIONS(1175),
    [anon_sym_do] = ACTIONS(1175),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_return] = ACTIONS(1175),
    [anon_sym_break] = ACTIONS(1175),
    [anon_sym_continue] = ACTIONS(1175),
    [anon_sym_goto] = ACTIONS(1175),
    [anon_sym___try] = ACTIONS(1175),
    [anon_sym___leave] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1177),
    [anon_sym_PLUS_PLUS] = ACTIONS(1177),
    [anon_sym_sizeof] = ACTIONS(1175),
    [anon_sym___alignof__] = ACTIONS(1175),
    [anon_sym___alignof] = ACTIONS(1175),
    [anon_sym__alignof] = ACTIONS(1175),
    [anon_sym_alignof] = ACTIONS(1175),
    [anon_sym__Alignof] = ACTIONS(1175),
    [anon_sym_offsetof] = ACTIONS(1175),
    [anon_sym__Generic] = ACTIONS(1175),
    [anon_sym_asm] = ACTIONS(1175),
    [anon_sym___asm__] = ACTIONS(1175),
    [sym_number_literal] = ACTIONS(1177),
    [anon_sym_L_SQUOTE] = ACTIONS(1177),
    [anon_sym_u_SQUOTE] = ACTIONS(1177),
    [anon_sym_U_SQUOTE] = ACTIONS(1177),
    [anon_sym_u8_SQUOTE] = ACTIONS(1177),
    [anon_sym_SQUOTE] = ACTIONS(1177),
    [anon_sym_L_DQUOTE] = ACTIONS(1177),
    [anon_sym_u_DQUOTE] = ACTIONS(1177),
    [anon_sym_U_DQUOTE] = ACTIONS(1177),
    [anon_sym_u8_DQUOTE] = ACTIONS(1177),
    [anon_sym_DQUOTE] = ACTIONS(1177),
    [sym_true] = ACTIONS(1175),
    [sym_false] = ACTIONS(1175),
    [anon_sym_NULL] = ACTIONS(1175),
    [anon_sym_nullptr] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [ts_builtin_sym_end] = ACTIONS(1169),
    [sym_identifier] = ACTIONS(1167),
    [aux_sym_preproc_include_token1] = ACTIONS(1167),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1167),
    [sym_preproc_directive] = ACTIONS(1167),
    [anon_sym_LPAREN2] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1169),
    [anon_sym_TILDE] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1167),
    [anon_sym_PLUS] = ACTIONS(1167),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym___extension__] = ACTIONS(1167),
    [anon_sym_typedef] = ACTIONS(1167),
    [anon_sym_extern] = ACTIONS(1167),
    [anon_sym___attribute__] = ACTIONS(1167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1169),
    [anon_sym___declspec] = ACTIONS(1167),
    [anon_sym___cdecl] = ACTIONS(1167),
    [anon_sym___clrcall] = ACTIONS(1167),
    [anon_sym___stdcall] = ACTIONS(1167),
    [anon_sym___fastcall] = ACTIONS(1167),
    [anon_sym___thiscall] = ACTIONS(1167),
    [anon_sym___vectorcall] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_signed] = ACTIONS(1167),
    [anon_sym_unsigned] = ACTIONS(1167),
    [anon_sym_long] = ACTIONS(1167),
    [anon_sym_short] = ACTIONS(1167),
    [anon_sym_static] = ACTIONS(1167),
    [anon_sym_auto] = ACTIONS(1167),
    [anon_sym_register] = ACTIONS(1167),
    [anon_sym_inline] = ACTIONS(1167),
    [anon_sym___inline] = ACTIONS(1167),
    [anon_sym___inline__] = ACTIONS(1167),
    [anon_sym___forceinline] = ACTIONS(1167),
    [anon_sym_thread_local] = ACTIONS(1167),
    [anon_sym___thread] = ACTIONS(1167),
    [anon_sym_const] = ACTIONS(1167),
    [anon_sym_constexpr] = ACTIONS(1167),
    [anon_sym_volatile] = ACTIONS(1167),
    [anon_sym_restrict] = ACTIONS(1167),
    [anon_sym___restrict__] = ACTIONS(1167),
    [anon_sym__Atomic] = ACTIONS(1167),
    [anon_sym__Noreturn] = ACTIONS(1167),
    [anon_sym_noreturn] = ACTIONS(1167),
    [anon_sym_alignas] = ACTIONS(1167),
    [anon_sym__Alignas] = ACTIONS(1167),
    [sym_primitive_type] = ACTIONS(1167),
    [anon_sym_enum] = ACTIONS(1167),
    [anon_sym_struct] = ACTIONS(1167),
    [anon_sym_union] = ACTIONS(1167),
    [anon_sym_if] = ACTIONS(1167),
    [anon_sym_else] = ACTIONS(1167),
    [anon_sym_switch] = ACTIONS(1167),
    [anon_sym_case] = ACTIONS(1167),
    [anon_sym_default] = ACTIONS(1167),
    [anon_sym_while] = ACTIONS(1167),
    [anon_sym_do] = ACTIONS(1167),
    [anon_sym_for] = ACTIONS(1167),
    [anon_sym_return] = ACTIONS(1167),
    [anon_sym_break] = ACTIONS(1167),
    [anon_sym_continue] = ACTIONS(1167),
    [anon_sym_goto] = ACTIONS(1167),
    [anon_sym___try] = ACTIONS(1167),
    [anon_sym___leave] = ACTIONS(1167),
    [anon_sym_DASH_DASH] = ACTIONS(1169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1167),
    [anon_sym___alignof__] = ACTIONS(1167),
    [anon_sym___alignof] = ACTIONS(1167),
    [anon_sym__alignof] = ACTIONS(1167),
    [anon_sym_alignof] = ACTIONS(1167),
    [anon_sym__Alignof] = ACTIONS(1167),
    [anon_sym_offsetof] = ACTIONS(1167),
    [anon_sym__Generic] = ACTIONS(1167),
    [anon_sym_asm] = ACTIONS(1167),
    [anon_sym___asm__] = ACTIONS(1167),
    [sym_number_literal] = ACTIONS(1169),
    [anon_sym_L_SQUOTE] = ACTIONS(1169),
    [anon_sym_u_SQUOTE] = ACTIONS(1169),
    [anon_sym_U_SQUOTE] = ACTIONS(1169),
    [anon_sym_u8_SQUOTE] = ACTIONS(1169),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_L_DQUOTE] = ACTIONS(1169),
    [anon_sym_u_DQUOTE] = ACTIONS(1169),
    [anon_sym_U_DQUOTE] = ACTIONS(1169),
    [anon_sym_u8_DQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [sym_true] = ACTIONS(1167),
    [sym_false] = ACTIONS(1167),
    [anon_sym_NULL] = ACTIONS(1167),
    [anon_sym_nullptr] = ACTIONS(1167),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_identifier] = ACTIONS(1191),
    [aux_sym_preproc_include_token1] = ACTIONS(1191),
    [aux_sym_preproc_def_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token2] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1191),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym___extension__] = ACTIONS(1191),
    [anon_sym_typedef] = ACTIONS(1191),
    [anon_sym_extern] = ACTIONS(1191),
    [anon_sym___attribute__] = ACTIONS(1191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1193),
    [anon_sym___declspec] = ACTIONS(1191),
    [anon_sym___cdecl] = ACTIONS(1191),
    [anon_sym___clrcall] = ACTIONS(1191),
    [anon_sym___stdcall] = ACTIONS(1191),
    [anon_sym___fastcall] = ACTIONS(1191),
    [anon_sym___thiscall] = ACTIONS(1191),
    [anon_sym___vectorcall] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_signed] = ACTIONS(1191),
    [anon_sym_unsigned] = ACTIONS(1191),
    [anon_sym_long] = ACTIONS(1191),
    [anon_sym_short] = ACTIONS(1191),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_auto] = ACTIONS(1191),
    [anon_sym_register] = ACTIONS(1191),
    [anon_sym_inline] = ACTIONS(1191),
    [anon_sym___inline] = ACTIONS(1191),
    [anon_sym___inline__] = ACTIONS(1191),
    [anon_sym___forceinline] = ACTIONS(1191),
    [anon_sym_thread_local] = ACTIONS(1191),
    [anon_sym___thread] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_constexpr] = ACTIONS(1191),
    [anon_sym_volatile] = ACTIONS(1191),
    [anon_sym_restrict] = ACTIONS(1191),
    [anon_sym___restrict__] = ACTIONS(1191),
    [anon_sym__Atomic] = ACTIONS(1191),
    [anon_sym__Noreturn] = ACTIONS(1191),
    [anon_sym_noreturn] = ACTIONS(1191),
    [anon_sym_alignas] = ACTIONS(1191),
    [anon_sym__Alignas] = ACTIONS(1191),
    [sym_primitive_type] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [anon_sym_struct] = ACTIONS(1191),
    [anon_sym_union] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_goto] = ACTIONS(1191),
    [anon_sym___try] = ACTIONS(1191),
    [anon_sym___leave] = ACTIONS(1191),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_sizeof] = ACTIONS(1191),
    [anon_sym___alignof__] = ACTIONS(1191),
    [anon_sym___alignof] = ACTIONS(1191),
    [anon_sym__alignof] = ACTIONS(1191),
    [anon_sym_alignof] = ACTIONS(1191),
    [anon_sym__Alignof] = ACTIONS(1191),
    [anon_sym_offsetof] = ACTIONS(1191),
    [anon_sym__Generic] = ACTIONS(1191),
    [anon_sym_asm] = ACTIONS(1191),
    [anon_sym___asm__] = ACTIONS(1191),
    [sym_number_literal] = ACTIONS(1193),
    [anon_sym_L_SQUOTE] = ACTIONS(1193),
    [anon_sym_u_SQUOTE] = ACTIONS(1193),
    [anon_sym_U_SQUOTE] = ACTIONS(1193),
    [anon_sym_u8_SQUOTE] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1193),
    [anon_sym_L_DQUOTE] = ACTIONS(1193),
    [anon_sym_u_DQUOTE] = ACTIONS(1193),
    [anon_sym_U_DQUOTE] = ACTIONS(1193),
    [anon_sym_u8_DQUOTE] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [anon_sym_NULL] = ACTIONS(1191),
    [anon_sym_nullptr] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_identifier] = ACTIONS(1195),
    [aux_sym_preproc_include_token1] = ACTIONS(1195),
    [aux_sym_preproc_def_token1] = ACTIONS(1195),
    [aux_sym_preproc_if_token1] = ACTIONS(1195),
    [aux_sym_preproc_if_token2] = ACTIONS(1195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1195),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1195),
    [sym_preproc_directive] = ACTIONS(1195),
    [anon_sym_LPAREN2] = ACTIONS(1197),
    [anon_sym_BANG] = ACTIONS(1197),
    [anon_sym_TILDE] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym_STAR] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_SEMI] = ACTIONS(1197),
    [anon_sym___extension__] = ACTIONS(1195),
    [anon_sym_typedef] = ACTIONS(1195),
    [anon_sym_extern] = ACTIONS(1195),
    [anon_sym___attribute__] = ACTIONS(1195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1197),
    [anon_sym___declspec] = ACTIONS(1195),
    [anon_sym___cdecl] = ACTIONS(1195),
    [anon_sym___clrcall] = ACTIONS(1195),
    [anon_sym___stdcall] = ACTIONS(1195),
    [anon_sym___fastcall] = ACTIONS(1195),
    [anon_sym___thiscall] = ACTIONS(1195),
    [anon_sym___vectorcall] = ACTIONS(1195),
    [anon_sym_LBRACE] = ACTIONS(1197),
    [anon_sym_signed] = ACTIONS(1195),
    [anon_sym_unsigned] = ACTIONS(1195),
    [anon_sym_long] = ACTIONS(1195),
    [anon_sym_short] = ACTIONS(1195),
    [anon_sym_static] = ACTIONS(1195),
    [anon_sym_auto] = ACTIONS(1195),
    [anon_sym_register] = ACTIONS(1195),
    [anon_sym_inline] = ACTIONS(1195),
    [anon_sym___inline] = ACTIONS(1195),
    [anon_sym___inline__] = ACTIONS(1195),
    [anon_sym___forceinline] = ACTIONS(1195),
    [anon_sym_thread_local] = ACTIONS(1195),
    [anon_sym___thread] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1195),
    [anon_sym_constexpr] = ACTIONS(1195),
    [anon_sym_volatile] = ACTIONS(1195),
    [anon_sym_restrict] = ACTIONS(1195),
    [anon_sym___restrict__] = ACTIONS(1195),
    [anon_sym__Atomic] = ACTIONS(1195),
    [anon_sym__Noreturn] = ACTIONS(1195),
    [anon_sym_noreturn] = ACTIONS(1195),
    [anon_sym_alignas] = ACTIONS(1195),
    [anon_sym__Alignas] = ACTIONS(1195),
    [sym_primitive_type] = ACTIONS(1195),
    [anon_sym_enum] = ACTIONS(1195),
    [anon_sym_struct] = ACTIONS(1195),
    [anon_sym_union] = ACTIONS(1195),
    [anon_sym_if] = ACTIONS(1195),
    [anon_sym_else] = ACTIONS(1195),
    [anon_sym_switch] = ACTIONS(1195),
    [anon_sym_case] = ACTIONS(1195),
    [anon_sym_default] = ACTIONS(1195),
    [anon_sym_while] = ACTIONS(1195),
    [anon_sym_do] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1195),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_break] = ACTIONS(1195),
    [anon_sym_continue] = ACTIONS(1195),
    [anon_sym_goto] = ACTIONS(1195),
    [anon_sym___try] = ACTIONS(1195),
    [anon_sym___leave] = ACTIONS(1195),
    [anon_sym_DASH_DASH] = ACTIONS(1197),
    [anon_sym_PLUS_PLUS] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1195),
    [anon_sym___alignof__] = ACTIONS(1195),
    [anon_sym___alignof] = ACTIONS(1195),
    [anon_sym__alignof] = ACTIONS(1195),
    [anon_sym_alignof] = ACTIONS(1195),
    [anon_sym__Alignof] = ACTIONS(1195),
    [anon_sym_offsetof] = ACTIONS(1195),
    [anon_sym__Generic] = ACTIONS(1195),
    [anon_sym_asm] = ACTIONS(1195),
    [anon_sym___asm__] = ACTIONS(1195),
    [sym_number_literal] = ACTIONS(1197),
    [anon_sym_L_SQUOTE] = ACTIONS(1197),
    [anon_sym_u_SQUOTE] = ACTIONS(1197),
    [anon_sym_U_SQUOTE] = ACTIONS(1197),
    [anon_sym_u8_SQUOTE] = ACTIONS(1197),
    [anon_sym_SQUOTE] = ACTIONS(1197),
    [anon_sym_L_DQUOTE] = ACTIONS(1197),
    [anon_sym_u_DQUOTE] = ACTIONS(1197),
    [anon_sym_U_DQUOTE] = ACTIONS(1197),
    [anon_sym_u8_DQUOTE] = ACTIONS(1197),
    [anon_sym_DQUOTE] = ACTIONS(1197),
    [sym_true] = ACTIONS(1195),
    [sym_false] = ACTIONS(1195),
    [anon_sym_NULL] = ACTIONS(1195),
    [anon_sym_nullptr] = ACTIONS(1195),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_identifier] = ACTIONS(1199),
    [aux_sym_preproc_include_token1] = ACTIONS(1199),
    [aux_sym_preproc_def_token1] = ACTIONS(1199),
    [aux_sym_preproc_if_token1] = ACTIONS(1199),
    [aux_sym_preproc_if_token2] = ACTIONS(1199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1199),
    [sym_preproc_directive] = ACTIONS(1199),
    [anon_sym_LPAREN2] = ACTIONS(1201),
    [anon_sym_BANG] = ACTIONS(1201),
    [anon_sym_TILDE] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_PLUS] = ACTIONS(1199),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1201),
    [anon_sym___extension__] = ACTIONS(1199),
    [anon_sym_typedef] = ACTIONS(1199),
    [anon_sym_extern] = ACTIONS(1199),
    [anon_sym___attribute__] = ACTIONS(1199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1201),
    [anon_sym___declspec] = ACTIONS(1199),
    [anon_sym___cdecl] = ACTIONS(1199),
    [anon_sym___clrcall] = ACTIONS(1199),
    [anon_sym___stdcall] = ACTIONS(1199),
    [anon_sym___fastcall] = ACTIONS(1199),
    [anon_sym___thiscall] = ACTIONS(1199),
    [anon_sym___vectorcall] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(1201),
    [anon_sym_signed] = ACTIONS(1199),
    [anon_sym_unsigned] = ACTIONS(1199),
    [anon_sym_long] = ACTIONS(1199),
    [anon_sym_short] = ACTIONS(1199),
    [anon_sym_static] = ACTIONS(1199),
    [anon_sym_auto] = ACTIONS(1199),
    [anon_sym_register] = ACTIONS(1199),
    [anon_sym_inline] = ACTIONS(1199),
    [anon_sym___inline] = ACTIONS(1199),
    [anon_sym___inline__] = ACTIONS(1199),
    [anon_sym___forceinline] = ACTIONS(1199),
    [anon_sym_thread_local] = ACTIONS(1199),
    [anon_sym___thread] = ACTIONS(1199),
    [anon_sym_const] = ACTIONS(1199),
    [anon_sym_constexpr] = ACTIONS(1199),
    [anon_sym_volatile] = ACTIONS(1199),
    [anon_sym_restrict] = ACTIONS(1199),
    [anon_sym___restrict__] = ACTIONS(1199),
    [anon_sym__Atomic] = ACTIONS(1199),
    [anon_sym__Noreturn] = ACTIONS(1199),
    [anon_sym_noreturn] = ACTIONS(1199),
    [anon_sym_alignas] = ACTIONS(1199),
    [anon_sym__Alignas] = ACTIONS(1199),
    [sym_primitive_type] = ACTIONS(1199),
    [anon_sym_enum] = ACTIONS(1199),
    [anon_sym_struct] = ACTIONS(1199),
    [anon_sym_union] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_else] = ACTIONS(1199),
    [anon_sym_switch] = ACTIONS(1199),
    [anon_sym_case] = ACTIONS(1199),
    [anon_sym_default] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(1199),
    [anon_sym_do] = ACTIONS(1199),
    [anon_sym_for] = ACTIONS(1199),
    [anon_sym_return] = ACTIONS(1199),
    [anon_sym_break] = ACTIONS(1199),
    [anon_sym_continue] = ACTIONS(1199),
    [anon_sym_goto] = ACTIONS(1199),
    [anon_sym___try] = ACTIONS(1199),
    [anon_sym___leave] = ACTIONS(1199),
    [anon_sym_DASH_DASH] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(1201),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym___alignof__] = ACTIONS(1199),
    [anon_sym___alignof] = ACTIONS(1199),
    [anon_sym__alignof] = ACTIONS(1199),
    [anon_sym_alignof] = ACTIONS(1199),
    [anon_sym__Alignof] = ACTIONS(1199),
    [anon_sym_offsetof] = ACTIONS(1199),
    [anon_sym__Generic] = ACTIONS(1199),
    [anon_sym_asm] = ACTIONS(1199),
    [anon_sym___asm__] = ACTIONS(1199),
    [sym_number_literal] = ACTIONS(1201),
    [anon_sym_L_SQUOTE] = ACTIONS(1201),
    [anon_sym_u_SQUOTE] = ACTIONS(1201),
    [anon_sym_U_SQUOTE] = ACTIONS(1201),
    [anon_sym_u8_SQUOTE] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1201),
    [anon_sym_L_DQUOTE] = ACTIONS(1201),
    [anon_sym_u_DQUOTE] = ACTIONS(1201),
    [anon_sym_U_DQUOTE] = ACTIONS(1201),
    [anon_sym_u8_DQUOTE] = ACTIONS(1201),
    [anon_sym_DQUOTE] = ACTIONS(1201),
    [sym_true] = ACTIONS(1199),
    [sym_false] = ACTIONS(1199),
    [anon_sym_NULL] = ACTIONS(1199),
    [anon_sym_nullptr] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_identifier] = ACTIONS(1203),
    [aux_sym_preproc_include_token1] = ACTIONS(1203),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token2] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1203),
    [sym_preproc_directive] = ACTIONS(1203),
    [anon_sym_LPAREN2] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym___extension__] = ACTIONS(1203),
    [anon_sym_typedef] = ACTIONS(1203),
    [anon_sym_extern] = ACTIONS(1203),
    [anon_sym___attribute__] = ACTIONS(1203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1205),
    [anon_sym___declspec] = ACTIONS(1203),
    [anon_sym___cdecl] = ACTIONS(1203),
    [anon_sym___clrcall] = ACTIONS(1203),
    [anon_sym___stdcall] = ACTIONS(1203),
    [anon_sym___fastcall] = ACTIONS(1203),
    [anon_sym___thiscall] = ACTIONS(1203),
    [anon_sym___vectorcall] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_signed] = ACTIONS(1203),
    [anon_sym_unsigned] = ACTIONS(1203),
    [anon_sym_long] = ACTIONS(1203),
    [anon_sym_short] = ACTIONS(1203),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_auto] = ACTIONS(1203),
    [anon_sym_register] = ACTIONS(1203),
    [anon_sym_inline] = ACTIONS(1203),
    [anon_sym___inline] = ACTIONS(1203),
    [anon_sym___inline__] = ACTIONS(1203),
    [anon_sym___forceinline] = ACTIONS(1203),
    [anon_sym_thread_local] = ACTIONS(1203),
    [anon_sym___thread] = ACTIONS(1203),
    [anon_sym_const] = ACTIONS(1203),
    [anon_sym_constexpr] = ACTIONS(1203),
    [anon_sym_volatile] = ACTIONS(1203),
    [anon_sym_restrict] = ACTIONS(1203),
    [anon_sym___restrict__] = ACTIONS(1203),
    [anon_sym__Atomic] = ACTIONS(1203),
    [anon_sym__Noreturn] = ACTIONS(1203),
    [anon_sym_noreturn] = ACTIONS(1203),
    [anon_sym_alignas] = ACTIONS(1203),
    [anon_sym__Alignas] = ACTIONS(1203),
    [sym_primitive_type] = ACTIONS(1203),
    [anon_sym_enum] = ACTIONS(1203),
    [anon_sym_struct] = ACTIONS(1203),
    [anon_sym_union] = ACTIONS(1203),
    [anon_sym_if] = ACTIONS(1203),
    [anon_sym_else] = ACTIONS(1203),
    [anon_sym_switch] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1203),
    [anon_sym_default] = ACTIONS(1203),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(1203),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_break] = ACTIONS(1203),
    [anon_sym_continue] = ACTIONS(1203),
    [anon_sym_goto] = ACTIONS(1203),
    [anon_sym___try] = ACTIONS(1203),
    [anon_sym___leave] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_sizeof] = ACTIONS(1203),
    [anon_sym___alignof__] = ACTIONS(1203),
    [anon_sym___alignof] = ACTIONS(1203),
    [anon_sym__alignof] = ACTIONS(1203),
    [anon_sym_alignof] = ACTIONS(1203),
    [anon_sym__Alignof] = ACTIONS(1203),
    [anon_sym_offsetof] = ACTIONS(1203),
    [anon_sym__Generic] = ACTIONS(1203),
    [anon_sym_asm] = ACTIONS(1203),
    [anon_sym___asm__] = ACTIONS(1203),
    [sym_number_literal] = ACTIONS(1205),
    [anon_sym_L_SQUOTE] = ACTIONS(1205),
    [anon_sym_u_SQUOTE] = ACTIONS(1205),
    [anon_sym_U_SQUOTE] = ACTIONS(1205),
    [anon_sym_u8_SQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1205),
    [anon_sym_L_DQUOTE] = ACTIONS(1205),
    [anon_sym_u_DQUOTE] = ACTIONS(1205),
    [anon_sym_U_DQUOTE] = ACTIONS(1205),
    [anon_sym_u8_DQUOTE] = ACTIONS(1205),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [sym_true] = ACTIONS(1203),
    [sym_false] = ACTIONS(1203),
    [anon_sym_NULL] = ACTIONS(1203),
    [anon_sym_nullptr] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_identifier] = ACTIONS(1207),
    [aux_sym_preproc_include_token1] = ACTIONS(1207),
    [aux_sym_preproc_def_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token2] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1207),
    [anon_sym_LPAREN2] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym___extension__] = ACTIONS(1207),
    [anon_sym_typedef] = ACTIONS(1207),
    [anon_sym_extern] = ACTIONS(1207),
    [anon_sym___attribute__] = ACTIONS(1207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1209),
    [anon_sym___declspec] = ACTIONS(1207),
    [anon_sym___cdecl] = ACTIONS(1207),
    [anon_sym___clrcall] = ACTIONS(1207),
    [anon_sym___stdcall] = ACTIONS(1207),
    [anon_sym___fastcall] = ACTIONS(1207),
    [anon_sym___thiscall] = ACTIONS(1207),
    [anon_sym___vectorcall] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_signed] = ACTIONS(1207),
    [anon_sym_unsigned] = ACTIONS(1207),
    [anon_sym_long] = ACTIONS(1207),
    [anon_sym_short] = ACTIONS(1207),
    [anon_sym_static] = ACTIONS(1207),
    [anon_sym_auto] = ACTIONS(1207),
    [anon_sym_register] = ACTIONS(1207),
    [anon_sym_inline] = ACTIONS(1207),
    [anon_sym___inline] = ACTIONS(1207),
    [anon_sym___inline__] = ACTIONS(1207),
    [anon_sym___forceinline] = ACTIONS(1207),
    [anon_sym_thread_local] = ACTIONS(1207),
    [anon_sym___thread] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_constexpr] = ACTIONS(1207),
    [anon_sym_volatile] = ACTIONS(1207),
    [anon_sym_restrict] = ACTIONS(1207),
    [anon_sym___restrict__] = ACTIONS(1207),
    [anon_sym__Atomic] = ACTIONS(1207),
    [anon_sym__Noreturn] = ACTIONS(1207),
    [anon_sym_noreturn] = ACTIONS(1207),
    [anon_sym_alignas] = ACTIONS(1207),
    [anon_sym__Alignas] = ACTIONS(1207),
    [sym_primitive_type] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_struct] = ACTIONS(1207),
    [anon_sym_union] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_else] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_goto] = ACTIONS(1207),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_sizeof] = ACTIONS(1207),
    [anon_sym___alignof__] = ACTIONS(1207),
    [anon_sym___alignof] = ACTIONS(1207),
    [anon_sym__alignof] = ACTIONS(1207),
    [anon_sym_alignof] = ACTIONS(1207),
    [anon_sym__Alignof] = ACTIONS(1207),
    [anon_sym_offsetof] = ACTIONS(1207),
    [anon_sym__Generic] = ACTIONS(1207),
    [anon_sym_asm] = ACTIONS(1207),
    [anon_sym___asm__] = ACTIONS(1207),
    [sym_number_literal] = ACTIONS(1209),
    [anon_sym_L_SQUOTE] = ACTIONS(1209),
    [anon_sym_u_SQUOTE] = ACTIONS(1209),
    [anon_sym_U_SQUOTE] = ACTIONS(1209),
    [anon_sym_u8_SQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [anon_sym_L_DQUOTE] = ACTIONS(1209),
    [anon_sym_u_DQUOTE] = ACTIONS(1209),
    [anon_sym_U_DQUOTE] = ACTIONS(1209),
    [anon_sym_u8_DQUOTE] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [anon_sym_NULL] = ACTIONS(1207),
    [anon_sym_nullptr] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_identifier] = ACTIONS(1211),
    [aux_sym_preproc_include_token1] = ACTIONS(1211),
    [aux_sym_preproc_def_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token2] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1211),
    [sym_preproc_directive] = ACTIONS(1211),
    [anon_sym_LPAREN2] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym___extension__] = ACTIONS(1211),
    [anon_sym_typedef] = ACTIONS(1211),
    [anon_sym_extern] = ACTIONS(1211),
    [anon_sym___attribute__] = ACTIONS(1211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1213),
    [anon_sym___declspec] = ACTIONS(1211),
    [anon_sym___cdecl] = ACTIONS(1211),
    [anon_sym___clrcall] = ACTIONS(1211),
    [anon_sym___stdcall] = ACTIONS(1211),
    [anon_sym___fastcall] = ACTIONS(1211),
    [anon_sym___thiscall] = ACTIONS(1211),
    [anon_sym___vectorcall] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_signed] = ACTIONS(1211),
    [anon_sym_unsigned] = ACTIONS(1211),
    [anon_sym_long] = ACTIONS(1211),
    [anon_sym_short] = ACTIONS(1211),
    [anon_sym_static] = ACTIONS(1211),
    [anon_sym_auto] = ACTIONS(1211),
    [anon_sym_register] = ACTIONS(1211),
    [anon_sym_inline] = ACTIONS(1211),
    [anon_sym___inline] = ACTIONS(1211),
    [anon_sym___inline__] = ACTIONS(1211),
    [anon_sym___forceinline] = ACTIONS(1211),
    [anon_sym_thread_local] = ACTIONS(1211),
    [anon_sym___thread] = ACTIONS(1211),
    [anon_sym_const] = ACTIONS(1211),
    [anon_sym_constexpr] = ACTIONS(1211),
    [anon_sym_volatile] = ACTIONS(1211),
    [anon_sym_restrict] = ACTIONS(1211),
    [anon_sym___restrict__] = ACTIONS(1211),
    [anon_sym__Atomic] = ACTIONS(1211),
    [anon_sym__Noreturn] = ACTIONS(1211),
    [anon_sym_noreturn] = ACTIONS(1211),
    [anon_sym_alignas] = ACTIONS(1211),
    [anon_sym__Alignas] = ACTIONS(1211),
    [sym_primitive_type] = ACTIONS(1211),
    [anon_sym_enum] = ACTIONS(1211),
    [anon_sym_struct] = ACTIONS(1211),
    [anon_sym_union] = ACTIONS(1211),
    [anon_sym_if] = ACTIONS(1211),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1211),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1211),
    [anon_sym_do] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1211),
    [anon_sym_break] = ACTIONS(1211),
    [anon_sym_continue] = ACTIONS(1211),
    [anon_sym_goto] = ACTIONS(1211),
    [anon_sym___try] = ACTIONS(1211),
    [anon_sym___leave] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1213),
    [anon_sym_PLUS_PLUS] = ACTIONS(1213),
    [anon_sym_sizeof] = ACTIONS(1211),
    [anon_sym___alignof__] = ACTIONS(1211),
    [anon_sym___alignof] = ACTIONS(1211),
    [anon_sym__alignof] = ACTIONS(1211),
    [anon_sym_alignof] = ACTIONS(1211),
    [anon_sym__Alignof] = ACTIONS(1211),
    [anon_sym_offsetof] = ACTIONS(1211),
    [anon_sym__Generic] = ACTIONS(1211),
    [anon_sym_asm] = ACTIONS(1211),
    [anon_sym___asm__] = ACTIONS(1211),
    [sym_number_literal] = ACTIONS(1213),
    [anon_sym_L_SQUOTE] = ACTIONS(1213),
    [anon_sym_u_SQUOTE] = ACTIONS(1213),
    [anon_sym_U_SQUOTE] = ACTIONS(1213),
    [anon_sym_u8_SQUOTE] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_L_DQUOTE] = ACTIONS(1213),
    [anon_sym_u_DQUOTE] = ACTIONS(1213),
    [anon_sym_U_DQUOTE] = ACTIONS(1213),
    [anon_sym_u8_DQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_true] = ACTIONS(1211),
    [sym_false] = ACTIONS(1211),
    [anon_sym_NULL] = ACTIONS(1211),
    [anon_sym_nullptr] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_identifier] = ACTIONS(1227),
    [aux_sym_preproc_include_token1] = ACTIONS(1227),
    [aux_sym_preproc_def_token1] = ACTIONS(1227),
    [aux_sym_preproc_if_token1] = ACTIONS(1227),
    [aux_sym_preproc_if_token2] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1227),
    [sym_preproc_directive] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1229),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym___extension__] = ACTIONS(1227),
    [anon_sym_typedef] = ACTIONS(1227),
    [anon_sym_extern] = ACTIONS(1227),
    [anon_sym___attribute__] = ACTIONS(1227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1229),
    [anon_sym___declspec] = ACTIONS(1227),
    [anon_sym___cdecl] = ACTIONS(1227),
    [anon_sym___clrcall] = ACTIONS(1227),
    [anon_sym___stdcall] = ACTIONS(1227),
    [anon_sym___fastcall] = ACTIONS(1227),
    [anon_sym___thiscall] = ACTIONS(1227),
    [anon_sym___vectorcall] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1229),
    [anon_sym_signed] = ACTIONS(1227),
    [anon_sym_unsigned] = ACTIONS(1227),
    [anon_sym_long] = ACTIONS(1227),
    [anon_sym_short] = ACTIONS(1227),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_auto] = ACTIONS(1227),
    [anon_sym_register] = ACTIONS(1227),
    [anon_sym_inline] = ACTIONS(1227),
    [anon_sym___inline] = ACTIONS(1227),
    [anon_sym___inline__] = ACTIONS(1227),
    [anon_sym___forceinline] = ACTIONS(1227),
    [anon_sym_thread_local] = ACTIONS(1227),
    [anon_sym___thread] = ACTIONS(1227),
    [anon_sym_const] = ACTIONS(1227),
    [anon_sym_constexpr] = ACTIONS(1227),
    [anon_sym_volatile] = ACTIONS(1227),
    [anon_sym_restrict] = ACTIONS(1227),
    [anon_sym___restrict__] = ACTIONS(1227),
    [anon_sym__Atomic] = ACTIONS(1227),
    [anon_sym__Noreturn] = ACTIONS(1227),
    [anon_sym_noreturn] = ACTIONS(1227),
    [anon_sym_alignas] = ACTIONS(1227),
    [anon_sym__Alignas] = ACTIONS(1227),
    [sym_primitive_type] = ACTIONS(1227),
    [anon_sym_enum] = ACTIONS(1227),
    [anon_sym_struct] = ACTIONS(1227),
    [anon_sym_union] = ACTIONS(1227),
    [anon_sym_if] = ACTIONS(1227),
    [anon_sym_else] = ACTIONS(1227),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_case] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1227),
    [anon_sym_while] = ACTIONS(1227),
    [anon_sym_do] = ACTIONS(1227),
    [anon_sym_for] = ACTIONS(1227),
    [anon_sym_return] = ACTIONS(1227),
    [anon_sym_break] = ACTIONS(1227),
    [anon_sym_continue] = ACTIONS(1227),
    [anon_sym_goto] = ACTIONS(1227),
    [anon_sym___try] = ACTIONS(1227),
    [anon_sym___leave] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1229),
    [anon_sym_PLUS_PLUS] = ACTIONS(1229),
    [anon_sym_sizeof] = ACTIONS(1227),
    [anon_sym___alignof__] = ACTIONS(1227),
    [anon_sym___alignof] = ACTIONS(1227),
    [anon_sym__alignof] = ACTIONS(1227),
    [anon_sym_alignof] = ACTIONS(1227),
    [anon_sym__Alignof] = ACTIONS(1227),
    [anon_sym_offsetof] = ACTIONS(1227),
    [anon_sym__Generic] = ACTIONS(1227),
    [anon_sym_asm] = ACTIONS(1227),
    [anon_sym___asm__] = ACTIONS(1227),
    [sym_number_literal] = ACTIONS(1229),
    [anon_sym_L_SQUOTE] = ACTIONS(1229),
    [anon_sym_u_SQUOTE] = ACTIONS(1229),
    [anon_sym_U_SQUOTE] = ACTIONS(1229),
    [anon_sym_u8_SQUOTE] = ACTIONS(1229),
    [anon_sym_SQUOTE] = ACTIONS(1229),
    [anon_sym_L_DQUOTE] = ACTIONS(1229),
    [anon_sym_u_DQUOTE] = ACTIONS(1229),
    [anon_sym_U_DQUOTE] = ACTIONS(1229),
    [anon_sym_u8_DQUOTE] = ACTIONS(1229),
    [anon_sym_DQUOTE] = ACTIONS(1229),
    [sym_true] = ACTIONS(1227),
    [sym_false] = ACTIONS(1227),
    [anon_sym_NULL] = ACTIONS(1227),
    [anon_sym_nullptr] = ACTIONS(1227),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_identifier] = ACTIONS(1231),
    [aux_sym_preproc_include_token1] = ACTIONS(1231),
    [aux_sym_preproc_def_token1] = ACTIONS(1231),
    [aux_sym_preproc_if_token1] = ACTIONS(1231),
    [aux_sym_preproc_if_token2] = ACTIONS(1231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1231),
    [sym_preproc_directive] = ACTIONS(1231),
    [anon_sym_LPAREN2] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1233),
    [anon_sym_TILDE] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1231),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym___extension__] = ACTIONS(1231),
    [anon_sym_typedef] = ACTIONS(1231),
    [anon_sym_extern] = ACTIONS(1231),
    [anon_sym___attribute__] = ACTIONS(1231),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1233),
    [anon_sym___declspec] = ACTIONS(1231),
    [anon_sym___cdecl] = ACTIONS(1231),
    [anon_sym___clrcall] = ACTIONS(1231),
    [anon_sym___stdcall] = ACTIONS(1231),
    [anon_sym___fastcall] = ACTIONS(1231),
    [anon_sym___thiscall] = ACTIONS(1231),
    [anon_sym___vectorcall] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_signed] = ACTIONS(1231),
    [anon_sym_unsigned] = ACTIONS(1231),
    [anon_sym_long] = ACTIONS(1231),
    [anon_sym_short] = ACTIONS(1231),
    [anon_sym_static] = ACTIONS(1231),
    [anon_sym_auto] = ACTIONS(1231),
    [anon_sym_register] = ACTIONS(1231),
    [anon_sym_inline] = ACTIONS(1231),
    [anon_sym___inline] = ACTIONS(1231),
    [anon_sym___inline__] = ACTIONS(1231),
    [anon_sym___forceinline] = ACTIONS(1231),
    [anon_sym_thread_local] = ACTIONS(1231),
    [anon_sym___thread] = ACTIONS(1231),
    [anon_sym_const] = ACTIONS(1231),
    [anon_sym_constexpr] = ACTIONS(1231),
    [anon_sym_volatile] = ACTIONS(1231),
    [anon_sym_restrict] = ACTIONS(1231),
    [anon_sym___restrict__] = ACTIONS(1231),
    [anon_sym__Atomic] = ACTIONS(1231),
    [anon_sym__Noreturn] = ACTIONS(1231),
    [anon_sym_noreturn] = ACTIONS(1231),
    [anon_sym_alignas] = ACTIONS(1231),
    [anon_sym__Alignas] = ACTIONS(1231),
    [sym_primitive_type] = ACTIONS(1231),
    [anon_sym_enum] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1231),
    [anon_sym_union] = ACTIONS(1231),
    [anon_sym_if] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1231),
    [anon_sym_switch] = ACTIONS(1231),
    [anon_sym_case] = ACTIONS(1231),
    [anon_sym_default] = ACTIONS(1231),
    [anon_sym_while] = ACTIONS(1231),
    [anon_sym_do] = ACTIONS(1231),
    [anon_sym_for] = ACTIONS(1231),
    [anon_sym_return] = ACTIONS(1231),
    [anon_sym_break] = ACTIONS(1231),
    [anon_sym_continue] = ACTIONS(1231),
    [anon_sym_goto] = ACTIONS(1231),
    [anon_sym___try] = ACTIONS(1231),
    [anon_sym___leave] = ACTIONS(1231),
    [anon_sym_DASH_DASH] = ACTIONS(1233),
    [anon_sym_PLUS_PLUS] = ACTIONS(1233),
    [anon_sym_sizeof] = ACTIONS(1231),
    [anon_sym___alignof__] = ACTIONS(1231),
    [anon_sym___alignof] = ACTIONS(1231),
    [anon_sym__alignof] = ACTIONS(1231),
    [anon_sym_alignof] = ACTIONS(1231),
    [anon_sym__Alignof] = ACTIONS(1231),
    [anon_sym_offsetof] = ACTIONS(1231),
    [anon_sym__Generic] = ACTIONS(1231),
    [anon_sym_asm] = ACTIONS(1231),
    [anon_sym___asm__] = ACTIONS(1231),
    [sym_number_literal] = ACTIONS(1233),
    [anon_sym_L_SQUOTE] = ACTIONS(1233),
    [anon_sym_u_SQUOTE] = ACTIONS(1233),
    [anon_sym_U_SQUOTE] = ACTIONS(1233),
    [anon_sym_u8_SQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1233),
    [anon_sym_L_DQUOTE] = ACTIONS(1233),
    [anon_sym_u_DQUOTE] = ACTIONS(1233),
    [anon_sym_U_DQUOTE] = ACTIONS(1233),
    [anon_sym_u8_DQUOTE] = ACTIONS(1233),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [sym_true] = ACTIONS(1231),
    [sym_false] = ACTIONS(1231),
    [anon_sym_NULL] = ACTIONS(1231),
    [anon_sym_nullptr] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1163),
    [aux_sym_preproc_def_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token2] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1163),
    [sym_preproc_directive] = ACTIONS(1163),
    [anon_sym_LPAREN2] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym___extension__] = ACTIONS(1163),
    [anon_sym_typedef] = ACTIONS(1163),
    [anon_sym_extern] = ACTIONS(1163),
    [anon_sym___attribute__] = ACTIONS(1163),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1165),
    [anon_sym___declspec] = ACTIONS(1163),
    [anon_sym___cdecl] = ACTIONS(1163),
    [anon_sym___clrcall] = ACTIONS(1163),
    [anon_sym___stdcall] = ACTIONS(1163),
    [anon_sym___fastcall] = ACTIONS(1163),
    [anon_sym___thiscall] = ACTIONS(1163),
    [anon_sym___vectorcall] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_signed] = ACTIONS(1163),
    [anon_sym_unsigned] = ACTIONS(1163),
    [anon_sym_long] = ACTIONS(1163),
    [anon_sym_short] = ACTIONS(1163),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_auto] = ACTIONS(1163),
    [anon_sym_register] = ACTIONS(1163),
    [anon_sym_inline] = ACTIONS(1163),
    [anon_sym___inline] = ACTIONS(1163),
    [anon_sym___inline__] = ACTIONS(1163),
    [anon_sym___forceinline] = ACTIONS(1163),
    [anon_sym_thread_local] = ACTIONS(1163),
    [anon_sym___thread] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_constexpr] = ACTIONS(1163),
    [anon_sym_volatile] = ACTIONS(1163),
    [anon_sym_restrict] = ACTIONS(1163),
    [anon_sym___restrict__] = ACTIONS(1163),
    [anon_sym__Atomic] = ACTIONS(1163),
    [anon_sym__Noreturn] = ACTIONS(1163),
    [anon_sym_noreturn] = ACTIONS(1163),
    [anon_sym_alignas] = ACTIONS(1163),
    [anon_sym__Alignas] = ACTIONS(1163),
    [sym_primitive_type] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_struct] = ACTIONS(1163),
    [anon_sym_union] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_goto] = ACTIONS(1163),
    [anon_sym___try] = ACTIONS(1163),
    [anon_sym___leave] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_sizeof] = ACTIONS(1163),
    [anon_sym___alignof__] = ACTIONS(1163),
    [anon_sym___alignof] = ACTIONS(1163),
    [anon_sym__alignof] = ACTIONS(1163),
    [anon_sym_alignof] = ACTIONS(1163),
    [anon_sym__Alignof] = ACTIONS(1163),
    [anon_sym_offsetof] = ACTIONS(1163),
    [anon_sym__Generic] = ACTIONS(1163),
    [anon_sym_asm] = ACTIONS(1163),
    [anon_sym___asm__] = ACTIONS(1163),
    [sym_number_literal] = ACTIONS(1165),
    [anon_sym_L_SQUOTE] = ACTIONS(1165),
    [anon_sym_u_SQUOTE] = ACTIONS(1165),
    [anon_sym_U_SQUOTE] = ACTIONS(1165),
    [anon_sym_u8_SQUOTE] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_L_DQUOTE] = ACTIONS(1165),
    [anon_sym_u_DQUOTE] = ACTIONS(1165),
    [anon_sym_U_DQUOTE] = ACTIONS(1165),
    [anon_sym_u8_DQUOTE] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [anon_sym_NULL] = ACTIONS(1163),
    [anon_sym_nullptr] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1163),
    [aux_sym_preproc_def_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token2] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1163),
    [sym_preproc_directive] = ACTIONS(1163),
    [anon_sym_LPAREN2] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym___extension__] = ACTIONS(1163),
    [anon_sym_typedef] = ACTIONS(1163),
    [anon_sym_extern] = ACTIONS(1163),
    [anon_sym___attribute__] = ACTIONS(1163),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1165),
    [anon_sym___declspec] = ACTIONS(1163),
    [anon_sym___cdecl] = ACTIONS(1163),
    [anon_sym___clrcall] = ACTIONS(1163),
    [anon_sym___stdcall] = ACTIONS(1163),
    [anon_sym___fastcall] = ACTIONS(1163),
    [anon_sym___thiscall] = ACTIONS(1163),
    [anon_sym___vectorcall] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_signed] = ACTIONS(1163),
    [anon_sym_unsigned] = ACTIONS(1163),
    [anon_sym_long] = ACTIONS(1163),
    [anon_sym_short] = ACTIONS(1163),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_auto] = ACTIONS(1163),
    [anon_sym_register] = ACTIONS(1163),
    [anon_sym_inline] = ACTIONS(1163),
    [anon_sym___inline] = ACTIONS(1163),
    [anon_sym___inline__] = ACTIONS(1163),
    [anon_sym___forceinline] = ACTIONS(1163),
    [anon_sym_thread_local] = ACTIONS(1163),
    [anon_sym___thread] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_constexpr] = ACTIONS(1163),
    [anon_sym_volatile] = ACTIONS(1163),
    [anon_sym_restrict] = ACTIONS(1163),
    [anon_sym___restrict__] = ACTIONS(1163),
    [anon_sym__Atomic] = ACTIONS(1163),
    [anon_sym__Noreturn] = ACTIONS(1163),
    [anon_sym_noreturn] = ACTIONS(1163),
    [anon_sym_alignas] = ACTIONS(1163),
    [anon_sym__Alignas] = ACTIONS(1163),
    [sym_primitive_type] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_struct] = ACTIONS(1163),
    [anon_sym_union] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_goto] = ACTIONS(1163),
    [anon_sym___try] = ACTIONS(1163),
    [anon_sym___leave] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_sizeof] = ACTIONS(1163),
    [anon_sym___alignof__] = ACTIONS(1163),
    [anon_sym___alignof] = ACTIONS(1163),
    [anon_sym__alignof] = ACTIONS(1163),
    [anon_sym_alignof] = ACTIONS(1163),
    [anon_sym__Alignof] = ACTIONS(1163),
    [anon_sym_offsetof] = ACTIONS(1163),
    [anon_sym__Generic] = ACTIONS(1163),
    [anon_sym_asm] = ACTIONS(1163),
    [anon_sym___asm__] = ACTIONS(1163),
    [sym_number_literal] = ACTIONS(1165),
    [anon_sym_L_SQUOTE] = ACTIONS(1165),
    [anon_sym_u_SQUOTE] = ACTIONS(1165),
    [anon_sym_U_SQUOTE] = ACTIONS(1165),
    [anon_sym_u8_SQUOTE] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_L_DQUOTE] = ACTIONS(1165),
    [anon_sym_u_DQUOTE] = ACTIONS(1165),
    [anon_sym_U_DQUOTE] = ACTIONS(1165),
    [anon_sym_u8_DQUOTE] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [anon_sym_NULL] = ACTIONS(1163),
    [anon_sym_nullptr] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_identifier] = ACTIONS(1183),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token2] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1183),
    [sym_preproc_directive] = ACTIONS(1183),
    [anon_sym_LPAREN2] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym___extension__] = ACTIONS(1183),
    [anon_sym_typedef] = ACTIONS(1183),
    [anon_sym_extern] = ACTIONS(1183),
    [anon_sym___attribute__] = ACTIONS(1183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1185),
    [anon_sym___declspec] = ACTIONS(1183),
    [anon_sym___cdecl] = ACTIONS(1183),
    [anon_sym___clrcall] = ACTIONS(1183),
    [anon_sym___stdcall] = ACTIONS(1183),
    [anon_sym___fastcall] = ACTIONS(1183),
    [anon_sym___thiscall] = ACTIONS(1183),
    [anon_sym___vectorcall] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_signed] = ACTIONS(1183),
    [anon_sym_unsigned] = ACTIONS(1183),
    [anon_sym_long] = ACTIONS(1183),
    [anon_sym_short] = ACTIONS(1183),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_auto] = ACTIONS(1183),
    [anon_sym_register] = ACTIONS(1183),
    [anon_sym_inline] = ACTIONS(1183),
    [anon_sym___inline] = ACTIONS(1183),
    [anon_sym___inline__] = ACTIONS(1183),
    [anon_sym___forceinline] = ACTIONS(1183),
    [anon_sym_thread_local] = ACTIONS(1183),
    [anon_sym___thread] = ACTIONS(1183),
    [anon_sym_const] = ACTIONS(1183),
    [anon_sym_constexpr] = ACTIONS(1183),
    [anon_sym_volatile] = ACTIONS(1183),
    [anon_sym_restrict] = ACTIONS(1183),
    [anon_sym___restrict__] = ACTIONS(1183),
    [anon_sym__Atomic] = ACTIONS(1183),
    [anon_sym__Noreturn] = ACTIONS(1183),
    [anon_sym_noreturn] = ACTIONS(1183),
    [anon_sym_alignas] = ACTIONS(1183),
    [anon_sym__Alignas] = ACTIONS(1183),
    [sym_primitive_type] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_struct] = ACTIONS(1183),
    [anon_sym_union] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_else] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_case] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_goto] = ACTIONS(1183),
    [anon_sym___try] = ACTIONS(1183),
    [anon_sym___leave] = ACTIONS(1183),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_sizeof] = ACTIONS(1183),
    [anon_sym___alignof__] = ACTIONS(1183),
    [anon_sym___alignof] = ACTIONS(1183),
    [anon_sym__alignof] = ACTIONS(1183),
    [anon_sym_alignof] = ACTIONS(1183),
    [anon_sym__Alignof] = ACTIONS(1183),
    [anon_sym_offsetof] = ACTIONS(1183),
    [anon_sym__Generic] = ACTIONS(1183),
    [anon_sym_asm] = ACTIONS(1183),
    [anon_sym___asm__] = ACTIONS(1183),
    [sym_number_literal] = ACTIONS(1185),
    [anon_sym_L_SQUOTE] = ACTIONS(1185),
    [anon_sym_u_SQUOTE] = ACTIONS(1185),
    [anon_sym_U_SQUOTE] = ACTIONS(1185),
    [anon_sym_u8_SQUOTE] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1185),
    [anon_sym_L_DQUOTE] = ACTIONS(1185),
    [anon_sym_u_DQUOTE] = ACTIONS(1185),
    [anon_sym_U_DQUOTE] = ACTIONS(1185),
    [anon_sym_u8_DQUOTE] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [anon_sym_NULL] = ACTIONS(1183),
    [anon_sym_nullptr] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_identifier] = ACTIONS(1183),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token2] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1183),
    [sym_preproc_directive] = ACTIONS(1183),
    [anon_sym_LPAREN2] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym___extension__] = ACTIONS(1183),
    [anon_sym_typedef] = ACTIONS(1183),
    [anon_sym_extern] = ACTIONS(1183),
    [anon_sym___attribute__] = ACTIONS(1183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1185),
    [anon_sym___declspec] = ACTIONS(1183),
    [anon_sym___cdecl] = ACTIONS(1183),
    [anon_sym___clrcall] = ACTIONS(1183),
    [anon_sym___stdcall] = ACTIONS(1183),
    [anon_sym___fastcall] = ACTIONS(1183),
    [anon_sym___thiscall] = ACTIONS(1183),
    [anon_sym___vectorcall] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_signed] = ACTIONS(1183),
    [anon_sym_unsigned] = ACTIONS(1183),
    [anon_sym_long] = ACTIONS(1183),
    [anon_sym_short] = ACTIONS(1183),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_auto] = ACTIONS(1183),
    [anon_sym_register] = ACTIONS(1183),
    [anon_sym_inline] = ACTIONS(1183),
    [anon_sym___inline] = ACTIONS(1183),
    [anon_sym___inline__] = ACTIONS(1183),
    [anon_sym___forceinline] = ACTIONS(1183),
    [anon_sym_thread_local] = ACTIONS(1183),
    [anon_sym___thread] = ACTIONS(1183),
    [anon_sym_const] = ACTIONS(1183),
    [anon_sym_constexpr] = ACTIONS(1183),
    [anon_sym_volatile] = ACTIONS(1183),
    [anon_sym_restrict] = ACTIONS(1183),
    [anon_sym___restrict__] = ACTIONS(1183),
    [anon_sym__Atomic] = ACTIONS(1183),
    [anon_sym__Noreturn] = ACTIONS(1183),
    [anon_sym_noreturn] = ACTIONS(1183),
    [anon_sym_alignas] = ACTIONS(1183),
    [anon_sym__Alignas] = ACTIONS(1183),
    [sym_primitive_type] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_struct] = ACTIONS(1183),
    [anon_sym_union] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_else] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_case] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_goto] = ACTIONS(1183),
    [anon_sym___try] = ACTIONS(1183),
    [anon_sym___leave] = ACTIONS(1183),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_sizeof] = ACTIONS(1183),
    [anon_sym___alignof__] = ACTIONS(1183),
    [anon_sym___alignof] = ACTIONS(1183),
    [anon_sym__alignof] = ACTIONS(1183),
    [anon_sym_alignof] = ACTIONS(1183),
    [anon_sym__Alignof] = ACTIONS(1183),
    [anon_sym_offsetof] = ACTIONS(1183),
    [anon_sym__Generic] = ACTIONS(1183),
    [anon_sym_asm] = ACTIONS(1183),
    [anon_sym___asm__] = ACTIONS(1183),
    [sym_number_literal] = ACTIONS(1185),
    [anon_sym_L_SQUOTE] = ACTIONS(1185),
    [anon_sym_u_SQUOTE] = ACTIONS(1185),
    [anon_sym_U_SQUOTE] = ACTIONS(1185),
    [anon_sym_u8_SQUOTE] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1185),
    [anon_sym_L_DQUOTE] = ACTIONS(1185),
    [anon_sym_u_DQUOTE] = ACTIONS(1185),
    [anon_sym_U_DQUOTE] = ACTIONS(1185),
    [anon_sym_u8_DQUOTE] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [anon_sym_NULL] = ACTIONS(1183),
    [anon_sym_nullptr] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_identifier] = ACTIONS(1187),
    [aux_sym_preproc_include_token1] = ACTIONS(1187),
    [aux_sym_preproc_def_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token2] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1187),
    [sym_preproc_directive] = ACTIONS(1187),
    [anon_sym_LPAREN2] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym___extension__] = ACTIONS(1187),
    [anon_sym_typedef] = ACTIONS(1187),
    [anon_sym_extern] = ACTIONS(1187),
    [anon_sym___attribute__] = ACTIONS(1187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1189),
    [anon_sym___declspec] = ACTIONS(1187),
    [anon_sym___cdecl] = ACTIONS(1187),
    [anon_sym___clrcall] = ACTIONS(1187),
    [anon_sym___stdcall] = ACTIONS(1187),
    [anon_sym___fastcall] = ACTIONS(1187),
    [anon_sym___thiscall] = ACTIONS(1187),
    [anon_sym___vectorcall] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_signed] = ACTIONS(1187),
    [anon_sym_unsigned] = ACTIONS(1187),
    [anon_sym_long] = ACTIONS(1187),
    [anon_sym_short] = ACTIONS(1187),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_auto] = ACTIONS(1187),
    [anon_sym_register] = ACTIONS(1187),
    [anon_sym_inline] = ACTIONS(1187),
    [anon_sym___inline] = ACTIONS(1187),
    [anon_sym___inline__] = ACTIONS(1187),
    [anon_sym___forceinline] = ACTIONS(1187),
    [anon_sym_thread_local] = ACTIONS(1187),
    [anon_sym___thread] = ACTIONS(1187),
    [anon_sym_const] = ACTIONS(1187),
    [anon_sym_constexpr] = ACTIONS(1187),
    [anon_sym_volatile] = ACTIONS(1187),
    [anon_sym_restrict] = ACTIONS(1187),
    [anon_sym___restrict__] = ACTIONS(1187),
    [anon_sym__Atomic] = ACTIONS(1187),
    [anon_sym__Noreturn] = ACTIONS(1187),
    [anon_sym_noreturn] = ACTIONS(1187),
    [anon_sym_alignas] = ACTIONS(1187),
    [anon_sym__Alignas] = ACTIONS(1187),
    [sym_primitive_type] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [anon_sym_struct] = ACTIONS(1187),
    [anon_sym_union] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_else] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_goto] = ACTIONS(1187),
    [anon_sym___try] = ACTIONS(1187),
    [anon_sym___leave] = ACTIONS(1187),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_sizeof] = ACTIONS(1187),
    [anon_sym___alignof__] = ACTIONS(1187),
    [anon_sym___alignof] = ACTIONS(1187),
    [anon_sym__alignof] = ACTIONS(1187),
    [anon_sym_alignof] = ACTIONS(1187),
    [anon_sym__Alignof] = ACTIONS(1187),
    [anon_sym_offsetof] = ACTIONS(1187),
    [anon_sym__Generic] = ACTIONS(1187),
    [anon_sym_asm] = ACTIONS(1187),
    [anon_sym___asm__] = ACTIONS(1187),
    [sym_number_literal] = ACTIONS(1189),
    [anon_sym_L_SQUOTE] = ACTIONS(1189),
    [anon_sym_u_SQUOTE] = ACTIONS(1189),
    [anon_sym_U_SQUOTE] = ACTIONS(1189),
    [anon_sym_u8_SQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1189),
    [anon_sym_L_DQUOTE] = ACTIONS(1189),
    [anon_sym_u_DQUOTE] = ACTIONS(1189),
    [anon_sym_U_DQUOTE] = ACTIONS(1189),
    [anon_sym_u8_DQUOTE] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [anon_sym_NULL] = ACTIONS(1187),
    [anon_sym_nullptr] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_identifier] = ACTIONS(1187),
    [aux_sym_preproc_include_token1] = ACTIONS(1187),
    [aux_sym_preproc_def_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token2] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1187),
    [sym_preproc_directive] = ACTIONS(1187),
    [anon_sym_LPAREN2] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym___extension__] = ACTIONS(1187),
    [anon_sym_typedef] = ACTIONS(1187),
    [anon_sym_extern] = ACTIONS(1187),
    [anon_sym___attribute__] = ACTIONS(1187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1189),
    [anon_sym___declspec] = ACTIONS(1187),
    [anon_sym___cdecl] = ACTIONS(1187),
    [anon_sym___clrcall] = ACTIONS(1187),
    [anon_sym___stdcall] = ACTIONS(1187),
    [anon_sym___fastcall] = ACTIONS(1187),
    [anon_sym___thiscall] = ACTIONS(1187),
    [anon_sym___vectorcall] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_signed] = ACTIONS(1187),
    [anon_sym_unsigned] = ACTIONS(1187),
    [anon_sym_long] = ACTIONS(1187),
    [anon_sym_short] = ACTIONS(1187),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_auto] = ACTIONS(1187),
    [anon_sym_register] = ACTIONS(1187),
    [anon_sym_inline] = ACTIONS(1187),
    [anon_sym___inline] = ACTIONS(1187),
    [anon_sym___inline__] = ACTIONS(1187),
    [anon_sym___forceinline] = ACTIONS(1187),
    [anon_sym_thread_local] = ACTIONS(1187),
    [anon_sym___thread] = ACTIONS(1187),
    [anon_sym_const] = ACTIONS(1187),
    [anon_sym_constexpr] = ACTIONS(1187),
    [anon_sym_volatile] = ACTIONS(1187),
    [anon_sym_restrict] = ACTIONS(1187),
    [anon_sym___restrict__] = ACTIONS(1187),
    [anon_sym__Atomic] = ACTIONS(1187),
    [anon_sym__Noreturn] = ACTIONS(1187),
    [anon_sym_noreturn] = ACTIONS(1187),
    [anon_sym_alignas] = ACTIONS(1187),
    [anon_sym__Alignas] = ACTIONS(1187),
    [sym_primitive_type] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [anon_sym_struct] = ACTIONS(1187),
    [anon_sym_union] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_else] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_goto] = ACTIONS(1187),
    [anon_sym___try] = ACTIONS(1187),
    [anon_sym___leave] = ACTIONS(1187),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_sizeof] = ACTIONS(1187),
    [anon_sym___alignof__] = ACTIONS(1187),
    [anon_sym___alignof] = ACTIONS(1187),
    [anon_sym__alignof] = ACTIONS(1187),
    [anon_sym_alignof] = ACTIONS(1187),
    [anon_sym__Alignof] = ACTIONS(1187),
    [anon_sym_offsetof] = ACTIONS(1187),
    [anon_sym__Generic] = ACTIONS(1187),
    [anon_sym_asm] = ACTIONS(1187),
    [anon_sym___asm__] = ACTIONS(1187),
    [sym_number_literal] = ACTIONS(1189),
    [anon_sym_L_SQUOTE] = ACTIONS(1189),
    [anon_sym_u_SQUOTE] = ACTIONS(1189),
    [anon_sym_U_SQUOTE] = ACTIONS(1189),
    [anon_sym_u8_SQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1189),
    [anon_sym_L_DQUOTE] = ACTIONS(1189),
    [anon_sym_u_DQUOTE] = ACTIONS(1189),
    [anon_sym_U_DQUOTE] = ACTIONS(1189),
    [anon_sym_u8_DQUOTE] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [anon_sym_NULL] = ACTIONS(1187),
    [anon_sym_nullptr] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_identifier] = ACTIONS(1215),
    [aux_sym_preproc_include_token1] = ACTIONS(1215),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token2] = ACTIONS(1215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1215),
    [sym_preproc_directive] = ACTIONS(1215),
    [anon_sym_LPAREN2] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym___extension__] = ACTIONS(1215),
    [anon_sym_typedef] = ACTIONS(1215),
    [anon_sym_extern] = ACTIONS(1215),
    [anon_sym___attribute__] = ACTIONS(1215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1217),
    [anon_sym___declspec] = ACTIONS(1215),
    [anon_sym___cdecl] = ACTIONS(1215),
    [anon_sym___clrcall] = ACTIONS(1215),
    [anon_sym___stdcall] = ACTIONS(1215),
    [anon_sym___fastcall] = ACTIONS(1215),
    [anon_sym___thiscall] = ACTIONS(1215),
    [anon_sym___vectorcall] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_signed] = ACTIONS(1215),
    [anon_sym_unsigned] = ACTIONS(1215),
    [anon_sym_long] = ACTIONS(1215),
    [anon_sym_short] = ACTIONS(1215),
    [anon_sym_static] = ACTIONS(1215),
    [anon_sym_auto] = ACTIONS(1215),
    [anon_sym_register] = ACTIONS(1215),
    [anon_sym_inline] = ACTIONS(1215),
    [anon_sym___inline] = ACTIONS(1215),
    [anon_sym___inline__] = ACTIONS(1215),
    [anon_sym___forceinline] = ACTIONS(1215),
    [anon_sym_thread_local] = ACTIONS(1215),
    [anon_sym___thread] = ACTIONS(1215),
    [anon_sym_const] = ACTIONS(1215),
    [anon_sym_constexpr] = ACTIONS(1215),
    [anon_sym_volatile] = ACTIONS(1215),
    [anon_sym_restrict] = ACTIONS(1215),
    [anon_sym___restrict__] = ACTIONS(1215),
    [anon_sym__Atomic] = ACTIONS(1215),
    [anon_sym__Noreturn] = ACTIONS(1215),
    [anon_sym_noreturn] = ACTIONS(1215),
    [anon_sym_alignas] = ACTIONS(1215),
    [anon_sym__Alignas] = ACTIONS(1215),
    [sym_primitive_type] = ACTIONS(1215),
    [anon_sym_enum] = ACTIONS(1215),
    [anon_sym_struct] = ACTIONS(1215),
    [anon_sym_union] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_else] = ACTIONS(1215),
    [anon_sym_switch] = ACTIONS(1215),
    [anon_sym_case] = ACTIONS(1215),
    [anon_sym_default] = ACTIONS(1215),
    [anon_sym_while] = ACTIONS(1215),
    [anon_sym_do] = ACTIONS(1215),
    [anon_sym_for] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1215),
    [anon_sym_break] = ACTIONS(1215),
    [anon_sym_continue] = ACTIONS(1215),
    [anon_sym_goto] = ACTIONS(1215),
    [anon_sym___try] = ACTIONS(1215),
    [anon_sym___leave] = ACTIONS(1215),
    [anon_sym_DASH_DASH] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1217),
    [anon_sym_sizeof] = ACTIONS(1215),
    [anon_sym___alignof__] = ACTIONS(1215),
    [anon_sym___alignof] = ACTIONS(1215),
    [anon_sym__alignof] = ACTIONS(1215),
    [anon_sym_alignof] = ACTIONS(1215),
    [anon_sym__Alignof] = ACTIONS(1215),
    [anon_sym_offsetof] = ACTIONS(1215),
    [anon_sym__Generic] = ACTIONS(1215),
    [anon_sym_asm] = ACTIONS(1215),
    [anon_sym___asm__] = ACTIONS(1215),
    [sym_number_literal] = ACTIONS(1217),
    [anon_sym_L_SQUOTE] = ACTIONS(1217),
    [anon_sym_u_SQUOTE] = ACTIONS(1217),
    [anon_sym_U_SQUOTE] = ACTIONS(1217),
    [anon_sym_u8_SQUOTE] = ACTIONS(1217),
    [anon_sym_SQUOTE] = ACTIONS(1217),
    [anon_sym_L_DQUOTE] = ACTIONS(1217),
    [anon_sym_u_DQUOTE] = ACTIONS(1217),
    [anon_sym_U_DQUOTE] = ACTIONS(1217),
    [anon_sym_u8_DQUOTE] = ACTIONS(1217),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [anon_sym_NULL] = ACTIONS(1215),
    [anon_sym_nullptr] = ACTIONS(1215),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_identifier] = ACTIONS(1219),
    [aux_sym_preproc_include_token1] = ACTIONS(1219),
    [aux_sym_preproc_def_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token2] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1219),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1219),
    [anon_sym_typedef] = ACTIONS(1219),
    [anon_sym_extern] = ACTIONS(1219),
    [anon_sym___attribute__] = ACTIONS(1219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1221),
    [anon_sym___declspec] = ACTIONS(1219),
    [anon_sym___cdecl] = ACTIONS(1219),
    [anon_sym___clrcall] = ACTIONS(1219),
    [anon_sym___stdcall] = ACTIONS(1219),
    [anon_sym___fastcall] = ACTIONS(1219),
    [anon_sym___thiscall] = ACTIONS(1219),
    [anon_sym___vectorcall] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_signed] = ACTIONS(1219),
    [anon_sym_unsigned] = ACTIONS(1219),
    [anon_sym_long] = ACTIONS(1219),
    [anon_sym_short] = ACTIONS(1219),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_auto] = ACTIONS(1219),
    [anon_sym_register] = ACTIONS(1219),
    [anon_sym_inline] = ACTIONS(1219),
    [anon_sym___inline] = ACTIONS(1219),
    [anon_sym___inline__] = ACTIONS(1219),
    [anon_sym___forceinline] = ACTIONS(1219),
    [anon_sym_thread_local] = ACTIONS(1219),
    [anon_sym___thread] = ACTIONS(1219),
    [anon_sym_const] = ACTIONS(1219),
    [anon_sym_constexpr] = ACTIONS(1219),
    [anon_sym_volatile] = ACTIONS(1219),
    [anon_sym_restrict] = ACTIONS(1219),
    [anon_sym___restrict__] = ACTIONS(1219),
    [anon_sym__Atomic] = ACTIONS(1219),
    [anon_sym__Noreturn] = ACTIONS(1219),
    [anon_sym_noreturn] = ACTIONS(1219),
    [anon_sym_alignas] = ACTIONS(1219),
    [anon_sym__Alignas] = ACTIONS(1219),
    [sym_primitive_type] = ACTIONS(1219),
    [anon_sym_enum] = ACTIONS(1219),
    [anon_sym_struct] = ACTIONS(1219),
    [anon_sym_union] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1219),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1219),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_return] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(1219),
    [anon_sym_goto] = ACTIONS(1219),
    [anon_sym___try] = ACTIONS(1219),
    [anon_sym___leave] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_sizeof] = ACTIONS(1219),
    [anon_sym___alignof__] = ACTIONS(1219),
    [anon_sym___alignof] = ACTIONS(1219),
    [anon_sym__alignof] = ACTIONS(1219),
    [anon_sym_alignof] = ACTIONS(1219),
    [anon_sym__Alignof] = ACTIONS(1219),
    [anon_sym_offsetof] = ACTIONS(1219),
    [anon_sym__Generic] = ACTIONS(1219),
    [anon_sym_asm] = ACTIONS(1219),
    [anon_sym___asm__] = ACTIONS(1219),
    [sym_number_literal] = ACTIONS(1221),
    [anon_sym_L_SQUOTE] = ACTIONS(1221),
    [anon_sym_u_SQUOTE] = ACTIONS(1221),
    [anon_sym_U_SQUOTE] = ACTIONS(1221),
    [anon_sym_u8_SQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_L_DQUOTE] = ACTIONS(1221),
    [anon_sym_u_DQUOTE] = ACTIONS(1221),
    [anon_sym_U_DQUOTE] = ACTIONS(1221),
    [anon_sym_u8_DQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [sym_true] = ACTIONS(1219),
    [sym_false] = ACTIONS(1219),
    [anon_sym_NULL] = ACTIONS(1219),
    [anon_sym_nullptr] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_identifier] = ACTIONS(1219),
    [aux_sym_preproc_include_token1] = ACTIONS(1219),
    [aux_sym_preproc_def_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token2] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1219),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1219),
    [anon_sym_typedef] = ACTIONS(1219),
    [anon_sym_extern] = ACTIONS(1219),
    [anon_sym___attribute__] = ACTIONS(1219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1221),
    [anon_sym___declspec] = ACTIONS(1219),
    [anon_sym___cdecl] = ACTIONS(1219),
    [anon_sym___clrcall] = ACTIONS(1219),
    [anon_sym___stdcall] = ACTIONS(1219),
    [anon_sym___fastcall] = ACTIONS(1219),
    [anon_sym___thiscall] = ACTIONS(1219),
    [anon_sym___vectorcall] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_signed] = ACTIONS(1219),
    [anon_sym_unsigned] = ACTIONS(1219),
    [anon_sym_long] = ACTIONS(1219),
    [anon_sym_short] = ACTIONS(1219),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_auto] = ACTIONS(1219),
    [anon_sym_register] = ACTIONS(1219),
    [anon_sym_inline] = ACTIONS(1219),
    [anon_sym___inline] = ACTIONS(1219),
    [anon_sym___inline__] = ACTIONS(1219),
    [anon_sym___forceinline] = ACTIONS(1219),
    [anon_sym_thread_local] = ACTIONS(1219),
    [anon_sym___thread] = ACTIONS(1219),
    [anon_sym_const] = ACTIONS(1219),
    [anon_sym_constexpr] = ACTIONS(1219),
    [anon_sym_volatile] = ACTIONS(1219),
    [anon_sym_restrict] = ACTIONS(1219),
    [anon_sym___restrict__] = ACTIONS(1219),
    [anon_sym__Atomic] = ACTIONS(1219),
    [anon_sym__Noreturn] = ACTIONS(1219),
    [anon_sym_noreturn] = ACTIONS(1219),
    [anon_sym_alignas] = ACTIONS(1219),
    [anon_sym__Alignas] = ACTIONS(1219),
    [sym_primitive_type] = ACTIONS(1219),
    [anon_sym_enum] = ACTIONS(1219),
    [anon_sym_struct] = ACTIONS(1219),
    [anon_sym_union] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1219),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1219),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_return] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(1219),
    [anon_sym_goto] = ACTIONS(1219),
    [anon_sym___try] = ACTIONS(1219),
    [anon_sym___leave] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_sizeof] = ACTIONS(1219),
    [anon_sym___alignof__] = ACTIONS(1219),
    [anon_sym___alignof] = ACTIONS(1219),
    [anon_sym__alignof] = ACTIONS(1219),
    [anon_sym_alignof] = ACTIONS(1219),
    [anon_sym__Alignof] = ACTIONS(1219),
    [anon_sym_offsetof] = ACTIONS(1219),
    [anon_sym__Generic] = ACTIONS(1219),
    [anon_sym_asm] = ACTIONS(1219),
    [anon_sym___asm__] = ACTIONS(1219),
    [sym_number_literal] = ACTIONS(1221),
    [anon_sym_L_SQUOTE] = ACTIONS(1221),
    [anon_sym_u_SQUOTE] = ACTIONS(1221),
    [anon_sym_U_SQUOTE] = ACTIONS(1221),
    [anon_sym_u8_SQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_L_DQUOTE] = ACTIONS(1221),
    [anon_sym_u_DQUOTE] = ACTIONS(1221),
    [anon_sym_U_DQUOTE] = ACTIONS(1221),
    [anon_sym_u8_DQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [sym_true] = ACTIONS(1219),
    [sym_false] = ACTIONS(1219),
    [anon_sym_NULL] = ACTIONS(1219),
    [anon_sym_nullptr] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_identifier] = ACTIONS(1235),
    [aux_sym_preproc_include_token1] = ACTIONS(1235),
    [aux_sym_preproc_def_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token2] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(1235),
    [anon_sym_LPAREN2] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1235),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(1237),
    [anon_sym___extension__] = ACTIONS(1235),
    [anon_sym_typedef] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(1235),
    [anon_sym___attribute__] = ACTIONS(1235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(1235),
    [anon_sym___cdecl] = ACTIONS(1235),
    [anon_sym___clrcall] = ACTIONS(1235),
    [anon_sym___stdcall] = ACTIONS(1235),
    [anon_sym___fastcall] = ACTIONS(1235),
    [anon_sym___thiscall] = ACTIONS(1235),
    [anon_sym___vectorcall] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_signed] = ACTIONS(1235),
    [anon_sym_unsigned] = ACTIONS(1235),
    [anon_sym_long] = ACTIONS(1235),
    [anon_sym_short] = ACTIONS(1235),
    [anon_sym_static] = ACTIONS(1235),
    [anon_sym_auto] = ACTIONS(1235),
    [anon_sym_register] = ACTIONS(1235),
    [anon_sym_inline] = ACTIONS(1235),
    [anon_sym___inline] = ACTIONS(1235),
    [anon_sym___inline__] = ACTIONS(1235),
    [anon_sym___forceinline] = ACTIONS(1235),
    [anon_sym_thread_local] = ACTIONS(1235),
    [anon_sym___thread] = ACTIONS(1235),
    [anon_sym_const] = ACTIONS(1235),
    [anon_sym_constexpr] = ACTIONS(1235),
    [anon_sym_volatile] = ACTIONS(1235),
    [anon_sym_restrict] = ACTIONS(1235),
    [anon_sym___restrict__] = ACTIONS(1235),
    [anon_sym__Atomic] = ACTIONS(1235),
    [anon_sym__Noreturn] = ACTIONS(1235),
    [anon_sym_noreturn] = ACTIONS(1235),
    [anon_sym_alignas] = ACTIONS(1235),
    [anon_sym__Alignas] = ACTIONS(1235),
    [sym_primitive_type] = ACTIONS(1235),
    [anon_sym_enum] = ACTIONS(1235),
    [anon_sym_struct] = ACTIONS(1235),
    [anon_sym_union] = ACTIONS(1235),
    [anon_sym_if] = ACTIONS(1235),
    [anon_sym_else] = ACTIONS(1235),
    [anon_sym_switch] = ACTIONS(1235),
    [anon_sym_case] = ACTIONS(1235),
    [anon_sym_default] = ACTIONS(1235),
    [anon_sym_while] = ACTIONS(1235),
    [anon_sym_do] = ACTIONS(1235),
    [anon_sym_for] = ACTIONS(1235),
    [anon_sym_return] = ACTIONS(1235),
    [anon_sym_break] = ACTIONS(1235),
    [anon_sym_continue] = ACTIONS(1235),
    [anon_sym_goto] = ACTIONS(1235),
    [anon_sym___try] = ACTIONS(1235),
    [anon_sym___leave] = ACTIONS(1235),
    [anon_sym_DASH_DASH] = ACTIONS(1237),
    [anon_sym_PLUS_PLUS] = ACTIONS(1237),
    [anon_sym_sizeof] = ACTIONS(1235),
    [anon_sym___alignof__] = ACTIONS(1235),
    [anon_sym___alignof] = ACTIONS(1235),
    [anon_sym__alignof] = ACTIONS(1235),
    [anon_sym_alignof] = ACTIONS(1235),
    [anon_sym__Alignof] = ACTIONS(1235),
    [anon_sym_offsetof] = ACTIONS(1235),
    [anon_sym__Generic] = ACTIONS(1235),
    [anon_sym_asm] = ACTIONS(1235),
    [anon_sym___asm__] = ACTIONS(1235),
    [sym_number_literal] = ACTIONS(1237),
    [anon_sym_L_SQUOTE] = ACTIONS(1237),
    [anon_sym_u_SQUOTE] = ACTIONS(1237),
    [anon_sym_U_SQUOTE] = ACTIONS(1237),
    [anon_sym_u8_SQUOTE] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1237),
    [anon_sym_L_DQUOTE] = ACTIONS(1237),
    [anon_sym_u_DQUOTE] = ACTIONS(1237),
    [anon_sym_U_DQUOTE] = ACTIONS(1237),
    [anon_sym_u8_DQUOTE] = ACTIONS(1237),
    [anon_sym_DQUOTE] = ACTIONS(1237),
    [sym_true] = ACTIONS(1235),
    [sym_false] = ACTIONS(1235),
    [anon_sym_NULL] = ACTIONS(1235),
    [anon_sym_nullptr] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_identifier] = ACTIONS(1171),
    [aux_sym_preproc_include_token1] = ACTIONS(1171),
    [aux_sym_preproc_def_token1] = ACTIONS(1171),
    [aux_sym_preproc_if_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1171),
    [anon_sym_LPAREN2] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1173),
    [anon_sym_TILDE] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_PLUS] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(1173),
    [anon_sym___extension__] = ACTIONS(1171),
    [anon_sym_typedef] = ACTIONS(1171),
    [anon_sym_extern] = ACTIONS(1171),
    [anon_sym___attribute__] = ACTIONS(1171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1173),
    [anon_sym___declspec] = ACTIONS(1171),
    [anon_sym___cdecl] = ACTIONS(1171),
    [anon_sym___clrcall] = ACTIONS(1171),
    [anon_sym___stdcall] = ACTIONS(1171),
    [anon_sym___fastcall] = ACTIONS(1171),
    [anon_sym___thiscall] = ACTIONS(1171),
    [anon_sym___vectorcall] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1173),
    [anon_sym_RBRACE] = ACTIONS(1173),
    [anon_sym_signed] = ACTIONS(1171),
    [anon_sym_unsigned] = ACTIONS(1171),
    [anon_sym_long] = ACTIONS(1171),
    [anon_sym_short] = ACTIONS(1171),
    [anon_sym_static] = ACTIONS(1171),
    [anon_sym_auto] = ACTIONS(1171),
    [anon_sym_register] = ACTIONS(1171),
    [anon_sym_inline] = ACTIONS(1171),
    [anon_sym___inline] = ACTIONS(1171),
    [anon_sym___inline__] = ACTIONS(1171),
    [anon_sym___forceinline] = ACTIONS(1171),
    [anon_sym_thread_local] = ACTIONS(1171),
    [anon_sym___thread] = ACTIONS(1171),
    [anon_sym_const] = ACTIONS(1171),
    [anon_sym_constexpr] = ACTIONS(1171),
    [anon_sym_volatile] = ACTIONS(1171),
    [anon_sym_restrict] = ACTIONS(1171),
    [anon_sym___restrict__] = ACTIONS(1171),
    [anon_sym__Atomic] = ACTIONS(1171),
    [anon_sym__Noreturn] = ACTIONS(1171),
    [anon_sym_noreturn] = ACTIONS(1171),
    [anon_sym_alignas] = ACTIONS(1171),
    [anon_sym__Alignas] = ACTIONS(1171),
    [sym_primitive_type] = ACTIONS(1171),
    [anon_sym_enum] = ACTIONS(1171),
    [anon_sym_struct] = ACTIONS(1171),
    [anon_sym_union] = ACTIONS(1171),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_else] = ACTIONS(1171),
    [anon_sym_switch] = ACTIONS(1171),
    [anon_sym_case] = ACTIONS(1171),
    [anon_sym_default] = ACTIONS(1171),
    [anon_sym_while] = ACTIONS(1171),
    [anon_sym_do] = ACTIONS(1171),
    [anon_sym_for] = ACTIONS(1171),
    [anon_sym_return] = ACTIONS(1171),
    [anon_sym_break] = ACTIONS(1171),
    [anon_sym_continue] = ACTIONS(1171),
    [anon_sym_goto] = ACTIONS(1171),
    [anon_sym___try] = ACTIONS(1171),
    [anon_sym___leave] = ACTIONS(1171),
    [anon_sym_DASH_DASH] = ACTIONS(1173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1173),
    [anon_sym_sizeof] = ACTIONS(1171),
    [anon_sym___alignof__] = ACTIONS(1171),
    [anon_sym___alignof] = ACTIONS(1171),
    [anon_sym__alignof] = ACTIONS(1171),
    [anon_sym_alignof] = ACTIONS(1171),
    [anon_sym__Alignof] = ACTIONS(1171),
    [anon_sym_offsetof] = ACTIONS(1171),
    [anon_sym__Generic] = ACTIONS(1171),
    [anon_sym_asm] = ACTIONS(1171),
    [anon_sym___asm__] = ACTIONS(1171),
    [sym_number_literal] = ACTIONS(1173),
    [anon_sym_L_SQUOTE] = ACTIONS(1173),
    [anon_sym_u_SQUOTE] = ACTIONS(1173),
    [anon_sym_U_SQUOTE] = ACTIONS(1173),
    [anon_sym_u8_SQUOTE] = ACTIONS(1173),
    [anon_sym_SQUOTE] = ACTIONS(1173),
    [anon_sym_L_DQUOTE] = ACTIONS(1173),
    [anon_sym_u_DQUOTE] = ACTIONS(1173),
    [anon_sym_U_DQUOTE] = ACTIONS(1173),
    [anon_sym_u8_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_true] = ACTIONS(1171),
    [sym_false] = ACTIONS(1171),
    [anon_sym_NULL] = ACTIONS(1171),
    [anon_sym_nullptr] = ACTIONS(1171),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [ts_builtin_sym_end] = ACTIONS(1177),
    [sym_identifier] = ACTIONS(1175),
    [aux_sym_preproc_include_token1] = ACTIONS(1175),
    [aux_sym_preproc_def_token1] = ACTIONS(1175),
    [aux_sym_preproc_if_token1] = ACTIONS(1175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1175),
    [sym_preproc_directive] = ACTIONS(1175),
    [anon_sym_LPAREN2] = ACTIONS(1177),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(1177),
    [anon_sym___extension__] = ACTIONS(1175),
    [anon_sym_typedef] = ACTIONS(1175),
    [anon_sym_extern] = ACTIONS(1175),
    [anon_sym___attribute__] = ACTIONS(1175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1177),
    [anon_sym___declspec] = ACTIONS(1175),
    [anon_sym___cdecl] = ACTIONS(1175),
    [anon_sym___clrcall] = ACTIONS(1175),
    [anon_sym___stdcall] = ACTIONS(1175),
    [anon_sym___fastcall] = ACTIONS(1175),
    [anon_sym___thiscall] = ACTIONS(1175),
    [anon_sym___vectorcall] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_signed] = ACTIONS(1175),
    [anon_sym_unsigned] = ACTIONS(1175),
    [anon_sym_long] = ACTIONS(1175),
    [anon_sym_short] = ACTIONS(1175),
    [anon_sym_static] = ACTIONS(1175),
    [anon_sym_auto] = ACTIONS(1175),
    [anon_sym_register] = ACTIONS(1175),
    [anon_sym_inline] = ACTIONS(1175),
    [anon_sym___inline] = ACTIONS(1175),
    [anon_sym___inline__] = ACTIONS(1175),
    [anon_sym___forceinline] = ACTIONS(1175),
    [anon_sym_thread_local] = ACTIONS(1175),
    [anon_sym___thread] = ACTIONS(1175),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_constexpr] = ACTIONS(1175),
    [anon_sym_volatile] = ACTIONS(1175),
    [anon_sym_restrict] = ACTIONS(1175),
    [anon_sym___restrict__] = ACTIONS(1175),
    [anon_sym__Atomic] = ACTIONS(1175),
    [anon_sym__Noreturn] = ACTIONS(1175),
    [anon_sym_noreturn] = ACTIONS(1175),
    [anon_sym_alignas] = ACTIONS(1175),
    [anon_sym__Alignas] = ACTIONS(1175),
    [sym_primitive_type] = ACTIONS(1175),
    [anon_sym_enum] = ACTIONS(1175),
    [anon_sym_struct] = ACTIONS(1175),
    [anon_sym_union] = ACTIONS(1175),
    [anon_sym_if] = ACTIONS(1175),
    [anon_sym_else] = ACTIONS(1175),
    [anon_sym_switch] = ACTIONS(1175),
    [anon_sym_case] = ACTIONS(1175),
    [anon_sym_default] = ACTIONS(1175),
    [anon_sym_while] = ACTIONS(1175),
    [anon_sym_do] = ACTIONS(1175),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_return] = ACTIONS(1175),
    [anon_sym_break] = ACTIONS(1175),
    [anon_sym_continue] = ACTIONS(1175),
    [anon_sym_goto] = ACTIONS(1175),
    [anon_sym___try] = ACTIONS(1175),
    [anon_sym___leave] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1177),
    [anon_sym_PLUS_PLUS] = ACTIONS(1177),
    [anon_sym_sizeof] = ACTIONS(1175),
    [anon_sym___alignof__] = ACTIONS(1175),
    [anon_sym___alignof] = ACTIONS(1175),
    [anon_sym__alignof] = ACTIONS(1175),
    [anon_sym_alignof] = ACTIONS(1175),
    [anon_sym__Alignof] = ACTIONS(1175),
    [anon_sym_offsetof] = ACTIONS(1175),
    [anon_sym__Generic] = ACTIONS(1175),
    [anon_sym_asm] = ACTIONS(1175),
    [anon_sym___asm__] = ACTIONS(1175),
    [sym_number_literal] = ACTIONS(1177),
    [anon_sym_L_SQUOTE] = ACTIONS(1177),
    [anon_sym_u_SQUOTE] = ACTIONS(1177),
    [anon_sym_U_SQUOTE] = ACTIONS(1177),
    [anon_sym_u8_SQUOTE] = ACTIONS(1177),
    [anon_sym_SQUOTE] = ACTIONS(1177),
    [anon_sym_L_DQUOTE] = ACTIONS(1177),
    [anon_sym_u_DQUOTE] = ACTIONS(1177),
    [anon_sym_U_DQUOTE] = ACTIONS(1177),
    [anon_sym_u8_DQUOTE] = ACTIONS(1177),
    [anon_sym_DQUOTE] = ACTIONS(1177),
    [sym_true] = ACTIONS(1175),
    [sym_false] = ACTIONS(1175),
    [anon_sym_NULL] = ACTIONS(1175),
    [anon_sym_nullptr] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_identifier] = ACTIONS(1179),
    [aux_sym_preproc_include_token1] = ACTIONS(1179),
    [aux_sym_preproc_def_token1] = ACTIONS(1179),
    [aux_sym_preproc_if_token1] = ACTIONS(1179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1179),
    [sym_preproc_directive] = ACTIONS(1179),
    [anon_sym_LPAREN2] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(1181),
    [anon_sym_TILDE] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1179),
    [anon_sym_STAR] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(1181),
    [anon_sym___extension__] = ACTIONS(1179),
    [anon_sym_typedef] = ACTIONS(1179),
    [anon_sym_extern] = ACTIONS(1179),
    [anon_sym___attribute__] = ACTIONS(1179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1181),
    [anon_sym___declspec] = ACTIONS(1179),
    [anon_sym___cdecl] = ACTIONS(1179),
    [anon_sym___clrcall] = ACTIONS(1179),
    [anon_sym___stdcall] = ACTIONS(1179),
    [anon_sym___fastcall] = ACTIONS(1179),
    [anon_sym___thiscall] = ACTIONS(1179),
    [anon_sym___vectorcall] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_RBRACE] = ACTIONS(1181),
    [anon_sym_signed] = ACTIONS(1179),
    [anon_sym_unsigned] = ACTIONS(1179),
    [anon_sym_long] = ACTIONS(1179),
    [anon_sym_short] = ACTIONS(1179),
    [anon_sym_static] = ACTIONS(1179),
    [anon_sym_auto] = ACTIONS(1179),
    [anon_sym_register] = ACTIONS(1179),
    [anon_sym_inline] = ACTIONS(1179),
    [anon_sym___inline] = ACTIONS(1179),
    [anon_sym___inline__] = ACTIONS(1179),
    [anon_sym___forceinline] = ACTIONS(1179),
    [anon_sym_thread_local] = ACTIONS(1179),
    [anon_sym___thread] = ACTIONS(1179),
    [anon_sym_const] = ACTIONS(1179),
    [anon_sym_constexpr] = ACTIONS(1179),
    [anon_sym_volatile] = ACTIONS(1179),
    [anon_sym_restrict] = ACTIONS(1179),
    [anon_sym___restrict__] = ACTIONS(1179),
    [anon_sym__Atomic] = ACTIONS(1179),
    [anon_sym__Noreturn] = ACTIONS(1179),
    [anon_sym_noreturn] = ACTIONS(1179),
    [anon_sym_alignas] = ACTIONS(1179),
    [anon_sym__Alignas] = ACTIONS(1179),
    [sym_primitive_type] = ACTIONS(1179),
    [anon_sym_enum] = ACTIONS(1179),
    [anon_sym_struct] = ACTIONS(1179),
    [anon_sym_union] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1179),
    [anon_sym_else] = ACTIONS(1179),
    [anon_sym_switch] = ACTIONS(1179),
    [anon_sym_case] = ACTIONS(1179),
    [anon_sym_default] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1179),
    [anon_sym_do] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_continue] = ACTIONS(1179),
    [anon_sym_goto] = ACTIONS(1179),
    [anon_sym___try] = ACTIONS(1179),
    [anon_sym___leave] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [anon_sym_PLUS_PLUS] = ACTIONS(1181),
    [anon_sym_sizeof] = ACTIONS(1179),
    [anon_sym___alignof__] = ACTIONS(1179),
    [anon_sym___alignof] = ACTIONS(1179),
    [anon_sym__alignof] = ACTIONS(1179),
    [anon_sym_alignof] = ACTIONS(1179),
    [anon_sym__Alignof] = ACTIONS(1179),
    [anon_sym_offsetof] = ACTIONS(1179),
    [anon_sym__Generic] = ACTIONS(1179),
    [anon_sym_asm] = ACTIONS(1179),
    [anon_sym___asm__] = ACTIONS(1179),
    [sym_number_literal] = ACTIONS(1181),
    [anon_sym_L_SQUOTE] = ACTIONS(1181),
    [anon_sym_u_SQUOTE] = ACTIONS(1181),
    [anon_sym_U_SQUOTE] = ACTIONS(1181),
    [anon_sym_u8_SQUOTE] = ACTIONS(1181),
    [anon_sym_SQUOTE] = ACTIONS(1181),
    [anon_sym_L_DQUOTE] = ACTIONS(1181),
    [anon_sym_u_DQUOTE] = ACTIONS(1181),
    [anon_sym_U_DQUOTE] = ACTIONS(1181),
    [anon_sym_u8_DQUOTE] = ACTIONS(1181),
    [anon_sym_DQUOTE] = ACTIONS(1181),
    [sym_true] = ACTIONS(1179),
    [sym_false] = ACTIONS(1179),
    [anon_sym_NULL] = ACTIONS(1179),
    [anon_sym_nullptr] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [ts_builtin_sym_end] = ACTIONS(1185),
    [sym_identifier] = ACTIONS(1183),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1183),
    [sym_preproc_directive] = ACTIONS(1183),
    [anon_sym_LPAREN2] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym___extension__] = ACTIONS(1183),
    [anon_sym_typedef] = ACTIONS(1183),
    [anon_sym_extern] = ACTIONS(1183),
    [anon_sym___attribute__] = ACTIONS(1183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1185),
    [anon_sym___declspec] = ACTIONS(1183),
    [anon_sym___cdecl] = ACTIONS(1183),
    [anon_sym___clrcall] = ACTIONS(1183),
    [anon_sym___stdcall] = ACTIONS(1183),
    [anon_sym___fastcall] = ACTIONS(1183),
    [anon_sym___thiscall] = ACTIONS(1183),
    [anon_sym___vectorcall] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_signed] = ACTIONS(1183),
    [anon_sym_unsigned] = ACTIONS(1183),
    [anon_sym_long] = ACTIONS(1183),
    [anon_sym_short] = ACTIONS(1183),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_auto] = ACTIONS(1183),
    [anon_sym_register] = ACTIONS(1183),
    [anon_sym_inline] = ACTIONS(1183),
    [anon_sym___inline] = ACTIONS(1183),
    [anon_sym___inline__] = ACTIONS(1183),
    [anon_sym___forceinline] = ACTIONS(1183),
    [anon_sym_thread_local] = ACTIONS(1183),
    [anon_sym___thread] = ACTIONS(1183),
    [anon_sym_const] = ACTIONS(1183),
    [anon_sym_constexpr] = ACTIONS(1183),
    [anon_sym_volatile] = ACTIONS(1183),
    [anon_sym_restrict] = ACTIONS(1183),
    [anon_sym___restrict__] = ACTIONS(1183),
    [anon_sym__Atomic] = ACTIONS(1183),
    [anon_sym__Noreturn] = ACTIONS(1183),
    [anon_sym_noreturn] = ACTIONS(1183),
    [anon_sym_alignas] = ACTIONS(1183),
    [anon_sym__Alignas] = ACTIONS(1183),
    [sym_primitive_type] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_struct] = ACTIONS(1183),
    [anon_sym_union] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_else] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_case] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_goto] = ACTIONS(1183),
    [anon_sym___try] = ACTIONS(1183),
    [anon_sym___leave] = ACTIONS(1183),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_sizeof] = ACTIONS(1183),
    [anon_sym___alignof__] = ACTIONS(1183),
    [anon_sym___alignof] = ACTIONS(1183),
    [anon_sym__alignof] = ACTIONS(1183),
    [anon_sym_alignof] = ACTIONS(1183),
    [anon_sym__Alignof] = ACTIONS(1183),
    [anon_sym_offsetof] = ACTIONS(1183),
    [anon_sym__Generic] = ACTIONS(1183),
    [anon_sym_asm] = ACTIONS(1183),
    [anon_sym___asm__] = ACTIONS(1183),
    [sym_number_literal] = ACTIONS(1185),
    [anon_sym_L_SQUOTE] = ACTIONS(1185),
    [anon_sym_u_SQUOTE] = ACTIONS(1185),
    [anon_sym_U_SQUOTE] = ACTIONS(1185),
    [anon_sym_u8_SQUOTE] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1185),
    [anon_sym_L_DQUOTE] = ACTIONS(1185),
    [anon_sym_u_DQUOTE] = ACTIONS(1185),
    [anon_sym_U_DQUOTE] = ACTIONS(1185),
    [anon_sym_u8_DQUOTE] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [anon_sym_NULL] = ACTIONS(1183),
    [anon_sym_nullptr] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [ts_builtin_sym_end] = ACTIONS(1185),
    [sym_identifier] = ACTIONS(1183),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1183),
    [sym_preproc_directive] = ACTIONS(1183),
    [anon_sym_LPAREN2] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym___extension__] = ACTIONS(1183),
    [anon_sym_typedef] = ACTIONS(1183),
    [anon_sym_extern] = ACTIONS(1183),
    [anon_sym___attribute__] = ACTIONS(1183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1185),
    [anon_sym___declspec] = ACTIONS(1183),
    [anon_sym___cdecl] = ACTIONS(1183),
    [anon_sym___clrcall] = ACTIONS(1183),
    [anon_sym___stdcall] = ACTIONS(1183),
    [anon_sym___fastcall] = ACTIONS(1183),
    [anon_sym___thiscall] = ACTIONS(1183),
    [anon_sym___vectorcall] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_signed] = ACTIONS(1183),
    [anon_sym_unsigned] = ACTIONS(1183),
    [anon_sym_long] = ACTIONS(1183),
    [anon_sym_short] = ACTIONS(1183),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_auto] = ACTIONS(1183),
    [anon_sym_register] = ACTIONS(1183),
    [anon_sym_inline] = ACTIONS(1183),
    [anon_sym___inline] = ACTIONS(1183),
    [anon_sym___inline__] = ACTIONS(1183),
    [anon_sym___forceinline] = ACTIONS(1183),
    [anon_sym_thread_local] = ACTIONS(1183),
    [anon_sym___thread] = ACTIONS(1183),
    [anon_sym_const] = ACTIONS(1183),
    [anon_sym_constexpr] = ACTIONS(1183),
    [anon_sym_volatile] = ACTIONS(1183),
    [anon_sym_restrict] = ACTIONS(1183),
    [anon_sym___restrict__] = ACTIONS(1183),
    [anon_sym__Atomic] = ACTIONS(1183),
    [anon_sym__Noreturn] = ACTIONS(1183),
    [anon_sym_noreturn] = ACTIONS(1183),
    [anon_sym_alignas] = ACTIONS(1183),
    [anon_sym__Alignas] = ACTIONS(1183),
    [sym_primitive_type] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_struct] = ACTIONS(1183),
    [anon_sym_union] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_else] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_case] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_goto] = ACTIONS(1183),
    [anon_sym___try] = ACTIONS(1183),
    [anon_sym___leave] = ACTIONS(1183),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_sizeof] = ACTIONS(1183),
    [anon_sym___alignof__] = ACTIONS(1183),
    [anon_sym___alignof] = ACTIONS(1183),
    [anon_sym__alignof] = ACTIONS(1183),
    [anon_sym_alignof] = ACTIONS(1183),
    [anon_sym__Alignof] = ACTIONS(1183),
    [anon_sym_offsetof] = ACTIONS(1183),
    [anon_sym__Generic] = ACTIONS(1183),
    [anon_sym_asm] = ACTIONS(1183),
    [anon_sym___asm__] = ACTIONS(1183),
    [sym_number_literal] = ACTIONS(1185),
    [anon_sym_L_SQUOTE] = ACTIONS(1185),
    [anon_sym_u_SQUOTE] = ACTIONS(1185),
    [anon_sym_U_SQUOTE] = ACTIONS(1185),
    [anon_sym_u8_SQUOTE] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1185),
    [anon_sym_L_DQUOTE] = ACTIONS(1185),
    [anon_sym_u_DQUOTE] = ACTIONS(1185),
    [anon_sym_U_DQUOTE] = ACTIONS(1185),
    [anon_sym_u8_DQUOTE] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [anon_sym_NULL] = ACTIONS(1183),
    [anon_sym_nullptr] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [ts_builtin_sym_end] = ACTIONS(1189),
    [sym_identifier] = ACTIONS(1187),
    [aux_sym_preproc_include_token1] = ACTIONS(1187),
    [aux_sym_preproc_def_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1187),
    [sym_preproc_directive] = ACTIONS(1187),
    [anon_sym_LPAREN2] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym___extension__] = ACTIONS(1187),
    [anon_sym_typedef] = ACTIONS(1187),
    [anon_sym_extern] = ACTIONS(1187),
    [anon_sym___attribute__] = ACTIONS(1187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1189),
    [anon_sym___declspec] = ACTIONS(1187),
    [anon_sym___cdecl] = ACTIONS(1187),
    [anon_sym___clrcall] = ACTIONS(1187),
    [anon_sym___stdcall] = ACTIONS(1187),
    [anon_sym___fastcall] = ACTIONS(1187),
    [anon_sym___thiscall] = ACTIONS(1187),
    [anon_sym___vectorcall] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_signed] = ACTIONS(1187),
    [anon_sym_unsigned] = ACTIONS(1187),
    [anon_sym_long] = ACTIONS(1187),
    [anon_sym_short] = ACTIONS(1187),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_auto] = ACTIONS(1187),
    [anon_sym_register] = ACTIONS(1187),
    [anon_sym_inline] = ACTIONS(1187),
    [anon_sym___inline] = ACTIONS(1187),
    [anon_sym___inline__] = ACTIONS(1187),
    [anon_sym___forceinline] = ACTIONS(1187),
    [anon_sym_thread_local] = ACTIONS(1187),
    [anon_sym___thread] = ACTIONS(1187),
    [anon_sym_const] = ACTIONS(1187),
    [anon_sym_constexpr] = ACTIONS(1187),
    [anon_sym_volatile] = ACTIONS(1187),
    [anon_sym_restrict] = ACTIONS(1187),
    [anon_sym___restrict__] = ACTIONS(1187),
    [anon_sym__Atomic] = ACTIONS(1187),
    [anon_sym__Noreturn] = ACTIONS(1187),
    [anon_sym_noreturn] = ACTIONS(1187),
    [anon_sym_alignas] = ACTIONS(1187),
    [anon_sym__Alignas] = ACTIONS(1187),
    [sym_primitive_type] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [anon_sym_struct] = ACTIONS(1187),
    [anon_sym_union] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_else] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_goto] = ACTIONS(1187),
    [anon_sym___try] = ACTIONS(1187),
    [anon_sym___leave] = ACTIONS(1187),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_sizeof] = ACTIONS(1187),
    [anon_sym___alignof__] = ACTIONS(1187),
    [anon_sym___alignof] = ACTIONS(1187),
    [anon_sym__alignof] = ACTIONS(1187),
    [anon_sym_alignof] = ACTIONS(1187),
    [anon_sym__Alignof] = ACTIONS(1187),
    [anon_sym_offsetof] = ACTIONS(1187),
    [anon_sym__Generic] = ACTIONS(1187),
    [anon_sym_asm] = ACTIONS(1187),
    [anon_sym___asm__] = ACTIONS(1187),
    [sym_number_literal] = ACTIONS(1189),
    [anon_sym_L_SQUOTE] = ACTIONS(1189),
    [anon_sym_u_SQUOTE] = ACTIONS(1189),
    [anon_sym_U_SQUOTE] = ACTIONS(1189),
    [anon_sym_u8_SQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1189),
    [anon_sym_L_DQUOTE] = ACTIONS(1189),
    [anon_sym_u_DQUOTE] = ACTIONS(1189),
    [anon_sym_U_DQUOTE] = ACTIONS(1189),
    [anon_sym_u8_DQUOTE] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [anon_sym_NULL] = ACTIONS(1187),
    [anon_sym_nullptr] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [ts_builtin_sym_end] = ACTIONS(1189),
    [sym_identifier] = ACTIONS(1187),
    [aux_sym_preproc_include_token1] = ACTIONS(1187),
    [aux_sym_preproc_def_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1187),
    [sym_preproc_directive] = ACTIONS(1187),
    [anon_sym_LPAREN2] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym___extension__] = ACTIONS(1187),
    [anon_sym_typedef] = ACTIONS(1187),
    [anon_sym_extern] = ACTIONS(1187),
    [anon_sym___attribute__] = ACTIONS(1187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1189),
    [anon_sym___declspec] = ACTIONS(1187),
    [anon_sym___cdecl] = ACTIONS(1187),
    [anon_sym___clrcall] = ACTIONS(1187),
    [anon_sym___stdcall] = ACTIONS(1187),
    [anon_sym___fastcall] = ACTIONS(1187),
    [anon_sym___thiscall] = ACTIONS(1187),
    [anon_sym___vectorcall] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_signed] = ACTIONS(1187),
    [anon_sym_unsigned] = ACTIONS(1187),
    [anon_sym_long] = ACTIONS(1187),
    [anon_sym_short] = ACTIONS(1187),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_auto] = ACTIONS(1187),
    [anon_sym_register] = ACTIONS(1187),
    [anon_sym_inline] = ACTIONS(1187),
    [anon_sym___inline] = ACTIONS(1187),
    [anon_sym___inline__] = ACTIONS(1187),
    [anon_sym___forceinline] = ACTIONS(1187),
    [anon_sym_thread_local] = ACTIONS(1187),
    [anon_sym___thread] = ACTIONS(1187),
    [anon_sym_const] = ACTIONS(1187),
    [anon_sym_constexpr] = ACTIONS(1187),
    [anon_sym_volatile] = ACTIONS(1187),
    [anon_sym_restrict] = ACTIONS(1187),
    [anon_sym___restrict__] = ACTIONS(1187),
    [anon_sym__Atomic] = ACTIONS(1187),
    [anon_sym__Noreturn] = ACTIONS(1187),
    [anon_sym_noreturn] = ACTIONS(1187),
    [anon_sym_alignas] = ACTIONS(1187),
    [anon_sym__Alignas] = ACTIONS(1187),
    [sym_primitive_type] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [anon_sym_struct] = ACTIONS(1187),
    [anon_sym_union] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_else] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_goto] = ACTIONS(1187),
    [anon_sym___try] = ACTIONS(1187),
    [anon_sym___leave] = ACTIONS(1187),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_sizeof] = ACTIONS(1187),
    [anon_sym___alignof__] = ACTIONS(1187),
    [anon_sym___alignof] = ACTIONS(1187),
    [anon_sym__alignof] = ACTIONS(1187),
    [anon_sym_alignof] = ACTIONS(1187),
    [anon_sym__Alignof] = ACTIONS(1187),
    [anon_sym_offsetof] = ACTIONS(1187),
    [anon_sym__Generic] = ACTIONS(1187),
    [anon_sym_asm] = ACTIONS(1187),
    [anon_sym___asm__] = ACTIONS(1187),
    [sym_number_literal] = ACTIONS(1189),
    [anon_sym_L_SQUOTE] = ACTIONS(1189),
    [anon_sym_u_SQUOTE] = ACTIONS(1189),
    [anon_sym_U_SQUOTE] = ACTIONS(1189),
    [anon_sym_u8_SQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1189),
    [anon_sym_L_DQUOTE] = ACTIONS(1189),
    [anon_sym_u_DQUOTE] = ACTIONS(1189),
    [anon_sym_U_DQUOTE] = ACTIONS(1189),
    [anon_sym_u8_DQUOTE] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [anon_sym_NULL] = ACTIONS(1187),
    [anon_sym_nullptr] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_identifier] = ACTIONS(1239),
    [aux_sym_preproc_include_token1] = ACTIONS(1239),
    [aux_sym_preproc_def_token1] = ACTIONS(1239),
    [aux_sym_preproc_if_token1] = ACTIONS(1239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1239),
    [sym_preproc_directive] = ACTIONS(1239),
    [anon_sym_LPAREN2] = ACTIONS(1241),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_TILDE] = ACTIONS(1241),
    [anon_sym_DASH] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_AMP] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1241),
    [anon_sym___extension__] = ACTIONS(1239),
    [anon_sym_typedef] = ACTIONS(1239),
    [anon_sym_extern] = ACTIONS(1239),
    [anon_sym___attribute__] = ACTIONS(1239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1241),
    [anon_sym___declspec] = ACTIONS(1239),
    [anon_sym___cdecl] = ACTIONS(1239),
    [anon_sym___clrcall] = ACTIONS(1239),
    [anon_sym___stdcall] = ACTIONS(1239),
    [anon_sym___fastcall] = ACTIONS(1239),
    [anon_sym___thiscall] = ACTIONS(1239),
    [anon_sym___vectorcall] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_RBRACE] = ACTIONS(1241),
    [anon_sym_signed] = ACTIONS(1239),
    [anon_sym_unsigned] = ACTIONS(1239),
    [anon_sym_long] = ACTIONS(1239),
    [anon_sym_short] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_auto] = ACTIONS(1239),
    [anon_sym_register] = ACTIONS(1239),
    [anon_sym_inline] = ACTIONS(1239),
    [anon_sym___inline] = ACTIONS(1239),
    [anon_sym___inline__] = ACTIONS(1239),
    [anon_sym___forceinline] = ACTIONS(1239),
    [anon_sym_thread_local] = ACTIONS(1239),
    [anon_sym___thread] = ACTIONS(1239),
    [anon_sym_const] = ACTIONS(1239),
    [anon_sym_constexpr] = ACTIONS(1239),
    [anon_sym_volatile] = ACTIONS(1239),
    [anon_sym_restrict] = ACTIONS(1239),
    [anon_sym___restrict__] = ACTIONS(1239),
    [anon_sym__Atomic] = ACTIONS(1239),
    [anon_sym__Noreturn] = ACTIONS(1239),
    [anon_sym_noreturn] = ACTIONS(1239),
    [anon_sym_alignas] = ACTIONS(1239),
    [anon_sym__Alignas] = ACTIONS(1239),
    [sym_primitive_type] = ACTIONS(1239),
    [anon_sym_enum] = ACTIONS(1239),
    [anon_sym_struct] = ACTIONS(1239),
    [anon_sym_union] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1239),
    [anon_sym_else] = ACTIONS(1239),
    [anon_sym_switch] = ACTIONS(1239),
    [anon_sym_case] = ACTIONS(1239),
    [anon_sym_default] = ACTIONS(1239),
    [anon_sym_while] = ACTIONS(1239),
    [anon_sym_do] = ACTIONS(1239),
    [anon_sym_for] = ACTIONS(1239),
    [anon_sym_return] = ACTIONS(1239),
    [anon_sym_break] = ACTIONS(1239),
    [anon_sym_continue] = ACTIONS(1239),
    [anon_sym_goto] = ACTIONS(1239),
    [anon_sym___try] = ACTIONS(1239),
    [anon_sym___leave] = ACTIONS(1239),
    [anon_sym_DASH_DASH] = ACTIONS(1241),
    [anon_sym_PLUS_PLUS] = ACTIONS(1241),
    [anon_sym_sizeof] = ACTIONS(1239),
    [anon_sym___alignof__] = ACTIONS(1239),
    [anon_sym___alignof] = ACTIONS(1239),
    [anon_sym__alignof] = ACTIONS(1239),
    [anon_sym_alignof] = ACTIONS(1239),
    [anon_sym__Alignof] = ACTIONS(1239),
    [anon_sym_offsetof] = ACTIONS(1239),
    [anon_sym__Generic] = ACTIONS(1239),
    [anon_sym_asm] = ACTIONS(1239),
    [anon_sym___asm__] = ACTIONS(1239),
    [sym_number_literal] = ACTIONS(1241),
    [anon_sym_L_SQUOTE] = ACTIONS(1241),
    [anon_sym_u_SQUOTE] = ACTIONS(1241),
    [anon_sym_U_SQUOTE] = ACTIONS(1241),
    [anon_sym_u8_SQUOTE] = ACTIONS(1241),
    [anon_sym_SQUOTE] = ACTIONS(1241),
    [anon_sym_L_DQUOTE] = ACTIONS(1241),
    [anon_sym_u_DQUOTE] = ACTIONS(1241),
    [anon_sym_U_DQUOTE] = ACTIONS(1241),
    [anon_sym_u8_DQUOTE] = ACTIONS(1241),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [sym_true] = ACTIONS(1239),
    [sym_false] = ACTIONS(1239),
    [anon_sym_NULL] = ACTIONS(1239),
    [anon_sym_nullptr] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(1193),
    [sym_identifier] = ACTIONS(1191),
    [aux_sym_preproc_include_token1] = ACTIONS(1191),
    [aux_sym_preproc_def_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1191),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym___extension__] = ACTIONS(1191),
    [anon_sym_typedef] = ACTIONS(1191),
    [anon_sym_extern] = ACTIONS(1191),
    [anon_sym___attribute__] = ACTIONS(1191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1193),
    [anon_sym___declspec] = ACTIONS(1191),
    [anon_sym___cdecl] = ACTIONS(1191),
    [anon_sym___clrcall] = ACTIONS(1191),
    [anon_sym___stdcall] = ACTIONS(1191),
    [anon_sym___fastcall] = ACTIONS(1191),
    [anon_sym___thiscall] = ACTIONS(1191),
    [anon_sym___vectorcall] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_signed] = ACTIONS(1191),
    [anon_sym_unsigned] = ACTIONS(1191),
    [anon_sym_long] = ACTIONS(1191),
    [anon_sym_short] = ACTIONS(1191),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_auto] = ACTIONS(1191),
    [anon_sym_register] = ACTIONS(1191),
    [anon_sym_inline] = ACTIONS(1191),
    [anon_sym___inline] = ACTIONS(1191),
    [anon_sym___inline__] = ACTIONS(1191),
    [anon_sym___forceinline] = ACTIONS(1191),
    [anon_sym_thread_local] = ACTIONS(1191),
    [anon_sym___thread] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_constexpr] = ACTIONS(1191),
    [anon_sym_volatile] = ACTIONS(1191),
    [anon_sym_restrict] = ACTIONS(1191),
    [anon_sym___restrict__] = ACTIONS(1191),
    [anon_sym__Atomic] = ACTIONS(1191),
    [anon_sym__Noreturn] = ACTIONS(1191),
    [anon_sym_noreturn] = ACTIONS(1191),
    [anon_sym_alignas] = ACTIONS(1191),
    [anon_sym__Alignas] = ACTIONS(1191),
    [sym_primitive_type] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [anon_sym_struct] = ACTIONS(1191),
    [anon_sym_union] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_goto] = ACTIONS(1191),
    [anon_sym___try] = ACTIONS(1191),
    [anon_sym___leave] = ACTIONS(1191),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_sizeof] = ACTIONS(1191),
    [anon_sym___alignof__] = ACTIONS(1191),
    [anon_sym___alignof] = ACTIONS(1191),
    [anon_sym__alignof] = ACTIONS(1191),
    [anon_sym_alignof] = ACTIONS(1191),
    [anon_sym__Alignof] = ACTIONS(1191),
    [anon_sym_offsetof] = ACTIONS(1191),
    [anon_sym__Generic] = ACTIONS(1191),
    [anon_sym_asm] = ACTIONS(1191),
    [anon_sym___asm__] = ACTIONS(1191),
    [sym_number_literal] = ACTIONS(1193),
    [anon_sym_L_SQUOTE] = ACTIONS(1193),
    [anon_sym_u_SQUOTE] = ACTIONS(1193),
    [anon_sym_U_SQUOTE] = ACTIONS(1193),
    [anon_sym_u8_SQUOTE] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1193),
    [anon_sym_L_DQUOTE] = ACTIONS(1193),
    [anon_sym_u_DQUOTE] = ACTIONS(1193),
    [anon_sym_U_DQUOTE] = ACTIONS(1193),
    [anon_sym_u8_DQUOTE] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [anon_sym_NULL] = ACTIONS(1191),
    [anon_sym_nullptr] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [ts_builtin_sym_end] = ACTIONS(1197),
    [sym_identifier] = ACTIONS(1195),
    [aux_sym_preproc_include_token1] = ACTIONS(1195),
    [aux_sym_preproc_def_token1] = ACTIONS(1195),
    [aux_sym_preproc_if_token1] = ACTIONS(1195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1195),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1195),
    [sym_preproc_directive] = ACTIONS(1195),
    [anon_sym_LPAREN2] = ACTIONS(1197),
    [anon_sym_BANG] = ACTIONS(1197),
    [anon_sym_TILDE] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym_STAR] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_SEMI] = ACTIONS(1197),
    [anon_sym___extension__] = ACTIONS(1195),
    [anon_sym_typedef] = ACTIONS(1195),
    [anon_sym_extern] = ACTIONS(1195),
    [anon_sym___attribute__] = ACTIONS(1195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1197),
    [anon_sym___declspec] = ACTIONS(1195),
    [anon_sym___cdecl] = ACTIONS(1195),
    [anon_sym___clrcall] = ACTIONS(1195),
    [anon_sym___stdcall] = ACTIONS(1195),
    [anon_sym___fastcall] = ACTIONS(1195),
    [anon_sym___thiscall] = ACTIONS(1195),
    [anon_sym___vectorcall] = ACTIONS(1195),
    [anon_sym_LBRACE] = ACTIONS(1197),
    [anon_sym_signed] = ACTIONS(1195),
    [anon_sym_unsigned] = ACTIONS(1195),
    [anon_sym_long] = ACTIONS(1195),
    [anon_sym_short] = ACTIONS(1195),
    [anon_sym_static] = ACTIONS(1195),
    [anon_sym_auto] = ACTIONS(1195),
    [anon_sym_register] = ACTIONS(1195),
    [anon_sym_inline] = ACTIONS(1195),
    [anon_sym___inline] = ACTIONS(1195),
    [anon_sym___inline__] = ACTIONS(1195),
    [anon_sym___forceinline] = ACTIONS(1195),
    [anon_sym_thread_local] = ACTIONS(1195),
    [anon_sym___thread] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1195),
    [anon_sym_constexpr] = ACTIONS(1195),
    [anon_sym_volatile] = ACTIONS(1195),
    [anon_sym_restrict] = ACTIONS(1195),
    [anon_sym___restrict__] = ACTIONS(1195),
    [anon_sym__Atomic] = ACTIONS(1195),
    [anon_sym__Noreturn] = ACTIONS(1195),
    [anon_sym_noreturn] = ACTIONS(1195),
    [anon_sym_alignas] = ACTIONS(1195),
    [anon_sym__Alignas] = ACTIONS(1195),
    [sym_primitive_type] = ACTIONS(1195),
    [anon_sym_enum] = ACTIONS(1195),
    [anon_sym_struct] = ACTIONS(1195),
    [anon_sym_union] = ACTIONS(1195),
    [anon_sym_if] = ACTIONS(1195),
    [anon_sym_else] = ACTIONS(1195),
    [anon_sym_switch] = ACTIONS(1195),
    [anon_sym_case] = ACTIONS(1195),
    [anon_sym_default] = ACTIONS(1195),
    [anon_sym_while] = ACTIONS(1195),
    [anon_sym_do] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1195),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_break] = ACTIONS(1195),
    [anon_sym_continue] = ACTIONS(1195),
    [anon_sym_goto] = ACTIONS(1195),
    [anon_sym___try] = ACTIONS(1195),
    [anon_sym___leave] = ACTIONS(1195),
    [anon_sym_DASH_DASH] = ACTIONS(1197),
    [anon_sym_PLUS_PLUS] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1195),
    [anon_sym___alignof__] = ACTIONS(1195),
    [anon_sym___alignof] = ACTIONS(1195),
    [anon_sym__alignof] = ACTIONS(1195),
    [anon_sym_alignof] = ACTIONS(1195),
    [anon_sym__Alignof] = ACTIONS(1195),
    [anon_sym_offsetof] = ACTIONS(1195),
    [anon_sym__Generic] = ACTIONS(1195),
    [anon_sym_asm] = ACTIONS(1195),
    [anon_sym___asm__] = ACTIONS(1195),
    [sym_number_literal] = ACTIONS(1197),
    [anon_sym_L_SQUOTE] = ACTIONS(1197),
    [anon_sym_u_SQUOTE] = ACTIONS(1197),
    [anon_sym_U_SQUOTE] = ACTIONS(1197),
    [anon_sym_u8_SQUOTE] = ACTIONS(1197),
    [anon_sym_SQUOTE] = ACTIONS(1197),
    [anon_sym_L_DQUOTE] = ACTIONS(1197),
    [anon_sym_u_DQUOTE] = ACTIONS(1197),
    [anon_sym_U_DQUOTE] = ACTIONS(1197),
    [anon_sym_u8_DQUOTE] = ACTIONS(1197),
    [anon_sym_DQUOTE] = ACTIONS(1197),
    [sym_true] = ACTIONS(1195),
    [sym_false] = ACTIONS(1195),
    [anon_sym_NULL] = ACTIONS(1195),
    [anon_sym_nullptr] = ACTIONS(1195),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_identifier] = ACTIONS(1199),
    [aux_sym_preproc_include_token1] = ACTIONS(1199),
    [aux_sym_preproc_def_token1] = ACTIONS(1199),
    [aux_sym_preproc_if_token1] = ACTIONS(1199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1199),
    [sym_preproc_directive] = ACTIONS(1199),
    [anon_sym_LPAREN2] = ACTIONS(1201),
    [anon_sym_BANG] = ACTIONS(1201),
    [anon_sym_TILDE] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_PLUS] = ACTIONS(1199),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1201),
    [anon_sym___extension__] = ACTIONS(1199),
    [anon_sym_typedef] = ACTIONS(1199),
    [anon_sym_extern] = ACTIONS(1199),
    [anon_sym___attribute__] = ACTIONS(1199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1201),
    [anon_sym___declspec] = ACTIONS(1199),
    [anon_sym___cdecl] = ACTIONS(1199),
    [anon_sym___clrcall] = ACTIONS(1199),
    [anon_sym___stdcall] = ACTIONS(1199),
    [anon_sym___fastcall] = ACTIONS(1199),
    [anon_sym___thiscall] = ACTIONS(1199),
    [anon_sym___vectorcall] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(1201),
    [anon_sym_RBRACE] = ACTIONS(1201),
    [anon_sym_signed] = ACTIONS(1199),
    [anon_sym_unsigned] = ACTIONS(1199),
    [anon_sym_long] = ACTIONS(1199),
    [anon_sym_short] = ACTIONS(1199),
    [anon_sym_static] = ACTIONS(1199),
    [anon_sym_auto] = ACTIONS(1199),
    [anon_sym_register] = ACTIONS(1199),
    [anon_sym_inline] = ACTIONS(1199),
    [anon_sym___inline] = ACTIONS(1199),
    [anon_sym___inline__] = ACTIONS(1199),
    [anon_sym___forceinline] = ACTIONS(1199),
    [anon_sym_thread_local] = ACTIONS(1199),
    [anon_sym___thread] = ACTIONS(1199),
    [anon_sym_const] = ACTIONS(1199),
    [anon_sym_constexpr] = ACTIONS(1199),
    [anon_sym_volatile] = ACTIONS(1199),
    [anon_sym_restrict] = ACTIONS(1199),
    [anon_sym___restrict__] = ACTIONS(1199),
    [anon_sym__Atomic] = ACTIONS(1199),
    [anon_sym__Noreturn] = ACTIONS(1199),
    [anon_sym_noreturn] = ACTIONS(1199),
    [anon_sym_alignas] = ACTIONS(1199),
    [anon_sym__Alignas] = ACTIONS(1199),
    [sym_primitive_type] = ACTIONS(1199),
    [anon_sym_enum] = ACTIONS(1199),
    [anon_sym_struct] = ACTIONS(1199),
    [anon_sym_union] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_else] = ACTIONS(1199),
    [anon_sym_switch] = ACTIONS(1199),
    [anon_sym_case] = ACTIONS(1199),
    [anon_sym_default] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(1199),
    [anon_sym_do] = ACTIONS(1199),
    [anon_sym_for] = ACTIONS(1199),
    [anon_sym_return] = ACTIONS(1199),
    [anon_sym_break] = ACTIONS(1199),
    [anon_sym_continue] = ACTIONS(1199),
    [anon_sym_goto] = ACTIONS(1199),
    [anon_sym___try] = ACTIONS(1199),
    [anon_sym___leave] = ACTIONS(1199),
    [anon_sym_DASH_DASH] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(1201),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym___alignof__] = ACTIONS(1199),
    [anon_sym___alignof] = ACTIONS(1199),
    [anon_sym__alignof] = ACTIONS(1199),
    [anon_sym_alignof] = ACTIONS(1199),
    [anon_sym__Alignof] = ACTIONS(1199),
    [anon_sym_offsetof] = ACTIONS(1199),
    [anon_sym__Generic] = ACTIONS(1199),
    [anon_sym_asm] = ACTIONS(1199),
    [anon_sym___asm__] = ACTIONS(1199),
    [sym_number_literal] = ACTIONS(1201),
    [anon_sym_L_SQUOTE] = ACTIONS(1201),
    [anon_sym_u_SQUOTE] = ACTIONS(1201),
    [anon_sym_U_SQUOTE] = ACTIONS(1201),
    [anon_sym_u8_SQUOTE] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1201),
    [anon_sym_L_DQUOTE] = ACTIONS(1201),
    [anon_sym_u_DQUOTE] = ACTIONS(1201),
    [anon_sym_U_DQUOTE] = ACTIONS(1201),
    [anon_sym_u8_DQUOTE] = ACTIONS(1201),
    [anon_sym_DQUOTE] = ACTIONS(1201),
    [sym_true] = ACTIONS(1199),
    [sym_false] = ACTIONS(1199),
    [anon_sym_NULL] = ACTIONS(1199),
    [anon_sym_nullptr] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(1205),
    [sym_identifier] = ACTIONS(1203),
    [aux_sym_preproc_include_token1] = ACTIONS(1203),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1203),
    [sym_preproc_directive] = ACTIONS(1203),
    [anon_sym_LPAREN2] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym___extension__] = ACTIONS(1203),
    [anon_sym_typedef] = ACTIONS(1203),
    [anon_sym_extern] = ACTIONS(1203),
    [anon_sym___attribute__] = ACTIONS(1203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1205),
    [anon_sym___declspec] = ACTIONS(1203),
    [anon_sym___cdecl] = ACTIONS(1203),
    [anon_sym___clrcall] = ACTIONS(1203),
    [anon_sym___stdcall] = ACTIONS(1203),
    [anon_sym___fastcall] = ACTIONS(1203),
    [anon_sym___thiscall] = ACTIONS(1203),
    [anon_sym___vectorcall] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_signed] = ACTIONS(1203),
    [anon_sym_unsigned] = ACTIONS(1203),
    [anon_sym_long] = ACTIONS(1203),
    [anon_sym_short] = ACTIONS(1203),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_auto] = ACTIONS(1203),
    [anon_sym_register] = ACTIONS(1203),
    [anon_sym_inline] = ACTIONS(1203),
    [anon_sym___inline] = ACTIONS(1203),
    [anon_sym___inline__] = ACTIONS(1203),
    [anon_sym___forceinline] = ACTIONS(1203),
    [anon_sym_thread_local] = ACTIONS(1203),
    [anon_sym___thread] = ACTIONS(1203),
    [anon_sym_const] = ACTIONS(1203),
    [anon_sym_constexpr] = ACTIONS(1203),
    [anon_sym_volatile] = ACTIONS(1203),
    [anon_sym_restrict] = ACTIONS(1203),
    [anon_sym___restrict__] = ACTIONS(1203),
    [anon_sym__Atomic] = ACTIONS(1203),
    [anon_sym__Noreturn] = ACTIONS(1203),
    [anon_sym_noreturn] = ACTIONS(1203),
    [anon_sym_alignas] = ACTIONS(1203),
    [anon_sym__Alignas] = ACTIONS(1203),
    [sym_primitive_type] = ACTIONS(1203),
    [anon_sym_enum] = ACTIONS(1203),
    [anon_sym_struct] = ACTIONS(1203),
    [anon_sym_union] = ACTIONS(1203),
    [anon_sym_if] = ACTIONS(1203),
    [anon_sym_else] = ACTIONS(1203),
    [anon_sym_switch] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1203),
    [anon_sym_default] = ACTIONS(1203),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(1203),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_break] = ACTIONS(1203),
    [anon_sym_continue] = ACTIONS(1203),
    [anon_sym_goto] = ACTIONS(1203),
    [anon_sym___try] = ACTIONS(1203),
    [anon_sym___leave] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_sizeof] = ACTIONS(1203),
    [anon_sym___alignof__] = ACTIONS(1203),
    [anon_sym___alignof] = ACTIONS(1203),
    [anon_sym__alignof] = ACTIONS(1203),
    [anon_sym_alignof] = ACTIONS(1203),
    [anon_sym__Alignof] = ACTIONS(1203),
    [anon_sym_offsetof] = ACTIONS(1203),
    [anon_sym__Generic] = ACTIONS(1203),
    [anon_sym_asm] = ACTIONS(1203),
    [anon_sym___asm__] = ACTIONS(1203),
    [sym_number_literal] = ACTIONS(1205),
    [anon_sym_L_SQUOTE] = ACTIONS(1205),
    [anon_sym_u_SQUOTE] = ACTIONS(1205),
    [anon_sym_U_SQUOTE] = ACTIONS(1205),
    [anon_sym_u8_SQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1205),
    [anon_sym_L_DQUOTE] = ACTIONS(1205),
    [anon_sym_u_DQUOTE] = ACTIONS(1205),
    [anon_sym_U_DQUOTE] = ACTIONS(1205),
    [anon_sym_u8_DQUOTE] = ACTIONS(1205),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [sym_true] = ACTIONS(1203),
    [sym_false] = ACTIONS(1203),
    [anon_sym_NULL] = ACTIONS(1203),
    [anon_sym_nullptr] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(1209),
    [sym_identifier] = ACTIONS(1207),
    [aux_sym_preproc_include_token1] = ACTIONS(1207),
    [aux_sym_preproc_def_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1207),
    [anon_sym_LPAREN2] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym___extension__] = ACTIONS(1207),
    [anon_sym_typedef] = ACTIONS(1207),
    [anon_sym_extern] = ACTIONS(1207),
    [anon_sym___attribute__] = ACTIONS(1207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1209),
    [anon_sym___declspec] = ACTIONS(1207),
    [anon_sym___cdecl] = ACTIONS(1207),
    [anon_sym___clrcall] = ACTIONS(1207),
    [anon_sym___stdcall] = ACTIONS(1207),
    [anon_sym___fastcall] = ACTIONS(1207),
    [anon_sym___thiscall] = ACTIONS(1207),
    [anon_sym___vectorcall] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_signed] = ACTIONS(1207),
    [anon_sym_unsigned] = ACTIONS(1207),
    [anon_sym_long] = ACTIONS(1207),
    [anon_sym_short] = ACTIONS(1207),
    [anon_sym_static] = ACTIONS(1207),
    [anon_sym_auto] = ACTIONS(1207),
    [anon_sym_register] = ACTIONS(1207),
    [anon_sym_inline] = ACTIONS(1207),
    [anon_sym___inline] = ACTIONS(1207),
    [anon_sym___inline__] = ACTIONS(1207),
    [anon_sym___forceinline] = ACTIONS(1207),
    [anon_sym_thread_local] = ACTIONS(1207),
    [anon_sym___thread] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_constexpr] = ACTIONS(1207),
    [anon_sym_volatile] = ACTIONS(1207),
    [anon_sym_restrict] = ACTIONS(1207),
    [anon_sym___restrict__] = ACTIONS(1207),
    [anon_sym__Atomic] = ACTIONS(1207),
    [anon_sym__Noreturn] = ACTIONS(1207),
    [anon_sym_noreturn] = ACTIONS(1207),
    [anon_sym_alignas] = ACTIONS(1207),
    [anon_sym__Alignas] = ACTIONS(1207),
    [sym_primitive_type] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_struct] = ACTIONS(1207),
    [anon_sym_union] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_else] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_goto] = ACTIONS(1207),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_sizeof] = ACTIONS(1207),
    [anon_sym___alignof__] = ACTIONS(1207),
    [anon_sym___alignof] = ACTIONS(1207),
    [anon_sym__alignof] = ACTIONS(1207),
    [anon_sym_alignof] = ACTIONS(1207),
    [anon_sym__Alignof] = ACTIONS(1207),
    [anon_sym_offsetof] = ACTIONS(1207),
    [anon_sym__Generic] = ACTIONS(1207),
    [anon_sym_asm] = ACTIONS(1207),
    [anon_sym___asm__] = ACTIONS(1207),
    [sym_number_literal] = ACTIONS(1209),
    [anon_sym_L_SQUOTE] = ACTIONS(1209),
    [anon_sym_u_SQUOTE] = ACTIONS(1209),
    [anon_sym_U_SQUOTE] = ACTIONS(1209),
    [anon_sym_u8_SQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [anon_sym_L_DQUOTE] = ACTIONS(1209),
    [anon_sym_u_DQUOTE] = ACTIONS(1209),
    [anon_sym_U_DQUOTE] = ACTIONS(1209),
    [anon_sym_u8_DQUOTE] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [anon_sym_NULL] = ACTIONS(1207),
    [anon_sym_nullptr] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [ts_builtin_sym_end] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(1211),
    [aux_sym_preproc_include_token1] = ACTIONS(1211),
    [aux_sym_preproc_def_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1211),
    [sym_preproc_directive] = ACTIONS(1211),
    [anon_sym_LPAREN2] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym___extension__] = ACTIONS(1211),
    [anon_sym_typedef] = ACTIONS(1211),
    [anon_sym_extern] = ACTIONS(1211),
    [anon_sym___attribute__] = ACTIONS(1211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1213),
    [anon_sym___declspec] = ACTIONS(1211),
    [anon_sym___cdecl] = ACTIONS(1211),
    [anon_sym___clrcall] = ACTIONS(1211),
    [anon_sym___stdcall] = ACTIONS(1211),
    [anon_sym___fastcall] = ACTIONS(1211),
    [anon_sym___thiscall] = ACTIONS(1211),
    [anon_sym___vectorcall] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_signed] = ACTIONS(1211),
    [anon_sym_unsigned] = ACTIONS(1211),
    [anon_sym_long] = ACTIONS(1211),
    [anon_sym_short] = ACTIONS(1211),
    [anon_sym_static] = ACTIONS(1211),
    [anon_sym_auto] = ACTIONS(1211),
    [anon_sym_register] = ACTIONS(1211),
    [anon_sym_inline] = ACTIONS(1211),
    [anon_sym___inline] = ACTIONS(1211),
    [anon_sym___inline__] = ACTIONS(1211),
    [anon_sym___forceinline] = ACTIONS(1211),
    [anon_sym_thread_local] = ACTIONS(1211),
    [anon_sym___thread] = ACTIONS(1211),
    [anon_sym_const] = ACTIONS(1211),
    [anon_sym_constexpr] = ACTIONS(1211),
    [anon_sym_volatile] = ACTIONS(1211),
    [anon_sym_restrict] = ACTIONS(1211),
    [anon_sym___restrict__] = ACTIONS(1211),
    [anon_sym__Atomic] = ACTIONS(1211),
    [anon_sym__Noreturn] = ACTIONS(1211),
    [anon_sym_noreturn] = ACTIONS(1211),
    [anon_sym_alignas] = ACTIONS(1211),
    [anon_sym__Alignas] = ACTIONS(1211),
    [sym_primitive_type] = ACTIONS(1211),
    [anon_sym_enum] = ACTIONS(1211),
    [anon_sym_struct] = ACTIONS(1211),
    [anon_sym_union] = ACTIONS(1211),
    [anon_sym_if] = ACTIONS(1211),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1211),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1211),
    [anon_sym_do] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1211),
    [anon_sym_break] = ACTIONS(1211),
    [anon_sym_continue] = ACTIONS(1211),
    [anon_sym_goto] = ACTIONS(1211),
    [anon_sym___try] = ACTIONS(1211),
    [anon_sym___leave] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1213),
    [anon_sym_PLUS_PLUS] = ACTIONS(1213),
    [anon_sym_sizeof] = ACTIONS(1211),
    [anon_sym___alignof__] = ACTIONS(1211),
    [anon_sym___alignof] = ACTIONS(1211),
    [anon_sym__alignof] = ACTIONS(1211),
    [anon_sym_alignof] = ACTIONS(1211),
    [anon_sym__Alignof] = ACTIONS(1211),
    [anon_sym_offsetof] = ACTIONS(1211),
    [anon_sym__Generic] = ACTIONS(1211),
    [anon_sym_asm] = ACTIONS(1211),
    [anon_sym___asm__] = ACTIONS(1211),
    [sym_number_literal] = ACTIONS(1213),
    [anon_sym_L_SQUOTE] = ACTIONS(1213),
    [anon_sym_u_SQUOTE] = ACTIONS(1213),
    [anon_sym_U_SQUOTE] = ACTIONS(1213),
    [anon_sym_u8_SQUOTE] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_L_DQUOTE] = ACTIONS(1213),
    [anon_sym_u_DQUOTE] = ACTIONS(1213),
    [anon_sym_U_DQUOTE] = ACTIONS(1213),
    [anon_sym_u8_DQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_true] = ACTIONS(1211),
    [sym_false] = ACTIONS(1211),
    [anon_sym_NULL] = ACTIONS(1211),
    [anon_sym_nullptr] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(1217),
    [sym_identifier] = ACTIONS(1215),
    [aux_sym_preproc_include_token1] = ACTIONS(1215),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1215),
    [sym_preproc_directive] = ACTIONS(1215),
    [anon_sym_LPAREN2] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym___extension__] = ACTIONS(1215),
    [anon_sym_typedef] = ACTIONS(1215),
    [anon_sym_extern] = ACTIONS(1215),
    [anon_sym___attribute__] = ACTIONS(1215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1217),
    [anon_sym___declspec] = ACTIONS(1215),
    [anon_sym___cdecl] = ACTIONS(1215),
    [anon_sym___clrcall] = ACTIONS(1215),
    [anon_sym___stdcall] = ACTIONS(1215),
    [anon_sym___fastcall] = ACTIONS(1215),
    [anon_sym___thiscall] = ACTIONS(1215),
    [anon_sym___vectorcall] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_signed] = ACTIONS(1215),
    [anon_sym_unsigned] = ACTIONS(1215),
    [anon_sym_long] = ACTIONS(1215),
    [anon_sym_short] = ACTIONS(1215),
    [anon_sym_static] = ACTIONS(1215),
    [anon_sym_auto] = ACTIONS(1215),
    [anon_sym_register] = ACTIONS(1215),
    [anon_sym_inline] = ACTIONS(1215),
    [anon_sym___inline] = ACTIONS(1215),
    [anon_sym___inline__] = ACTIONS(1215),
    [anon_sym___forceinline] = ACTIONS(1215),
    [anon_sym_thread_local] = ACTIONS(1215),
    [anon_sym___thread] = ACTIONS(1215),
    [anon_sym_const] = ACTIONS(1215),
    [anon_sym_constexpr] = ACTIONS(1215),
    [anon_sym_volatile] = ACTIONS(1215),
    [anon_sym_restrict] = ACTIONS(1215),
    [anon_sym___restrict__] = ACTIONS(1215),
    [anon_sym__Atomic] = ACTIONS(1215),
    [anon_sym__Noreturn] = ACTIONS(1215),
    [anon_sym_noreturn] = ACTIONS(1215),
    [anon_sym_alignas] = ACTIONS(1215),
    [anon_sym__Alignas] = ACTIONS(1215),
    [sym_primitive_type] = ACTIONS(1215),
    [anon_sym_enum] = ACTIONS(1215),
    [anon_sym_struct] = ACTIONS(1215),
    [anon_sym_union] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_else] = ACTIONS(1215),
    [anon_sym_switch] = ACTIONS(1215),
    [anon_sym_case] = ACTIONS(1215),
    [anon_sym_default] = ACTIONS(1215),
    [anon_sym_while] = ACTIONS(1215),
    [anon_sym_do] = ACTIONS(1215),
    [anon_sym_for] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1215),
    [anon_sym_break] = ACTIONS(1215),
    [anon_sym_continue] = ACTIONS(1215),
    [anon_sym_goto] = ACTIONS(1215),
    [anon_sym___try] = ACTIONS(1215),
    [anon_sym___leave] = ACTIONS(1215),
    [anon_sym_DASH_DASH] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1217),
    [anon_sym_sizeof] = ACTIONS(1215),
    [anon_sym___alignof__] = ACTIONS(1215),
    [anon_sym___alignof] = ACTIONS(1215),
    [anon_sym__alignof] = ACTIONS(1215),
    [anon_sym_alignof] = ACTIONS(1215),
    [anon_sym__Alignof] = ACTIONS(1215),
    [anon_sym_offsetof] = ACTIONS(1215),
    [anon_sym__Generic] = ACTIONS(1215),
    [anon_sym_asm] = ACTIONS(1215),
    [anon_sym___asm__] = ACTIONS(1215),
    [sym_number_literal] = ACTIONS(1217),
    [anon_sym_L_SQUOTE] = ACTIONS(1217),
    [anon_sym_u_SQUOTE] = ACTIONS(1217),
    [anon_sym_U_SQUOTE] = ACTIONS(1217),
    [anon_sym_u8_SQUOTE] = ACTIONS(1217),
    [anon_sym_SQUOTE] = ACTIONS(1217),
    [anon_sym_L_DQUOTE] = ACTIONS(1217),
    [anon_sym_u_DQUOTE] = ACTIONS(1217),
    [anon_sym_U_DQUOTE] = ACTIONS(1217),
    [anon_sym_u8_DQUOTE] = ACTIONS(1217),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [anon_sym_NULL] = ACTIONS(1215),
    [anon_sym_nullptr] = ACTIONS(1215),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(1221),
    [sym_identifier] = ACTIONS(1219),
    [aux_sym_preproc_include_token1] = ACTIONS(1219),
    [aux_sym_preproc_def_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1219),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1219),
    [anon_sym_typedef] = ACTIONS(1219),
    [anon_sym_extern] = ACTIONS(1219),
    [anon_sym___attribute__] = ACTIONS(1219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1221),
    [anon_sym___declspec] = ACTIONS(1219),
    [anon_sym___cdecl] = ACTIONS(1219),
    [anon_sym___clrcall] = ACTIONS(1219),
    [anon_sym___stdcall] = ACTIONS(1219),
    [anon_sym___fastcall] = ACTIONS(1219),
    [anon_sym___thiscall] = ACTIONS(1219),
    [anon_sym___vectorcall] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_signed] = ACTIONS(1219),
    [anon_sym_unsigned] = ACTIONS(1219),
    [anon_sym_long] = ACTIONS(1219),
    [anon_sym_short] = ACTIONS(1219),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_auto] = ACTIONS(1219),
    [anon_sym_register] = ACTIONS(1219),
    [anon_sym_inline] = ACTIONS(1219),
    [anon_sym___inline] = ACTIONS(1219),
    [anon_sym___inline__] = ACTIONS(1219),
    [anon_sym___forceinline] = ACTIONS(1219),
    [anon_sym_thread_local] = ACTIONS(1219),
    [anon_sym___thread] = ACTIONS(1219),
    [anon_sym_const] = ACTIONS(1219),
    [anon_sym_constexpr] = ACTIONS(1219),
    [anon_sym_volatile] = ACTIONS(1219),
    [anon_sym_restrict] = ACTIONS(1219),
    [anon_sym___restrict__] = ACTIONS(1219),
    [anon_sym__Atomic] = ACTIONS(1219),
    [anon_sym__Noreturn] = ACTIONS(1219),
    [anon_sym_noreturn] = ACTIONS(1219),
    [anon_sym_alignas] = ACTIONS(1219),
    [anon_sym__Alignas] = ACTIONS(1219),
    [sym_primitive_type] = ACTIONS(1219),
    [anon_sym_enum] = ACTIONS(1219),
    [anon_sym_struct] = ACTIONS(1219),
    [anon_sym_union] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1219),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1219),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_return] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(1219),
    [anon_sym_goto] = ACTIONS(1219),
    [anon_sym___try] = ACTIONS(1219),
    [anon_sym___leave] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_sizeof] = ACTIONS(1219),
    [anon_sym___alignof__] = ACTIONS(1219),
    [anon_sym___alignof] = ACTIONS(1219),
    [anon_sym__alignof] = ACTIONS(1219),
    [anon_sym_alignof] = ACTIONS(1219),
    [anon_sym__Alignof] = ACTIONS(1219),
    [anon_sym_offsetof] = ACTIONS(1219),
    [anon_sym__Generic] = ACTIONS(1219),
    [anon_sym_asm] = ACTIONS(1219),
    [anon_sym___asm__] = ACTIONS(1219),
    [sym_number_literal] = ACTIONS(1221),
    [anon_sym_L_SQUOTE] = ACTIONS(1221),
    [anon_sym_u_SQUOTE] = ACTIONS(1221),
    [anon_sym_U_SQUOTE] = ACTIONS(1221),
    [anon_sym_u8_SQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_L_DQUOTE] = ACTIONS(1221),
    [anon_sym_u_DQUOTE] = ACTIONS(1221),
    [anon_sym_U_DQUOTE] = ACTIONS(1221),
    [anon_sym_u8_DQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [sym_true] = ACTIONS(1219),
    [sym_false] = ACTIONS(1219),
    [anon_sym_NULL] = ACTIONS(1219),
    [anon_sym_nullptr] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(1221),
    [sym_identifier] = ACTIONS(1219),
    [aux_sym_preproc_include_token1] = ACTIONS(1219),
    [aux_sym_preproc_def_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1219),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1219),
    [anon_sym_typedef] = ACTIONS(1219),
    [anon_sym_extern] = ACTIONS(1219),
    [anon_sym___attribute__] = ACTIONS(1219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1221),
    [anon_sym___declspec] = ACTIONS(1219),
    [anon_sym___cdecl] = ACTIONS(1219),
    [anon_sym___clrcall] = ACTIONS(1219),
    [anon_sym___stdcall] = ACTIONS(1219),
    [anon_sym___fastcall] = ACTIONS(1219),
    [anon_sym___thiscall] = ACTIONS(1219),
    [anon_sym___vectorcall] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_signed] = ACTIONS(1219),
    [anon_sym_unsigned] = ACTIONS(1219),
    [anon_sym_long] = ACTIONS(1219),
    [anon_sym_short] = ACTIONS(1219),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_auto] = ACTIONS(1219),
    [anon_sym_register] = ACTIONS(1219),
    [anon_sym_inline] = ACTIONS(1219),
    [anon_sym___inline] = ACTIONS(1219),
    [anon_sym___inline__] = ACTIONS(1219),
    [anon_sym___forceinline] = ACTIONS(1219),
    [anon_sym_thread_local] = ACTIONS(1219),
    [anon_sym___thread] = ACTIONS(1219),
    [anon_sym_const] = ACTIONS(1219),
    [anon_sym_constexpr] = ACTIONS(1219),
    [anon_sym_volatile] = ACTIONS(1219),
    [anon_sym_restrict] = ACTIONS(1219),
    [anon_sym___restrict__] = ACTIONS(1219),
    [anon_sym__Atomic] = ACTIONS(1219),
    [anon_sym__Noreturn] = ACTIONS(1219),
    [anon_sym_noreturn] = ACTIONS(1219),
    [anon_sym_alignas] = ACTIONS(1219),
    [anon_sym__Alignas] = ACTIONS(1219),
    [sym_primitive_type] = ACTIONS(1219),
    [anon_sym_enum] = ACTIONS(1219),
    [anon_sym_struct] = ACTIONS(1219),
    [anon_sym_union] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1219),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1219),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_return] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(1219),
    [anon_sym_goto] = ACTIONS(1219),
    [anon_sym___try] = ACTIONS(1219),
    [anon_sym___leave] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_sizeof] = ACTIONS(1219),
    [anon_sym___alignof__] = ACTIONS(1219),
    [anon_sym___alignof] = ACTIONS(1219),
    [anon_sym__alignof] = ACTIONS(1219),
    [anon_sym_alignof] = ACTIONS(1219),
    [anon_sym__Alignof] = ACTIONS(1219),
    [anon_sym_offsetof] = ACTIONS(1219),
    [anon_sym__Generic] = ACTIONS(1219),
    [anon_sym_asm] = ACTIONS(1219),
    [anon_sym___asm__] = ACTIONS(1219),
    [sym_number_literal] = ACTIONS(1221),
    [anon_sym_L_SQUOTE] = ACTIONS(1221),
    [anon_sym_u_SQUOTE] = ACTIONS(1221),
    [anon_sym_U_SQUOTE] = ACTIONS(1221),
    [anon_sym_u8_SQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_L_DQUOTE] = ACTIONS(1221),
    [anon_sym_u_DQUOTE] = ACTIONS(1221),
    [anon_sym_U_DQUOTE] = ACTIONS(1221),
    [anon_sym_u8_DQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [sym_true] = ACTIONS(1219),
    [sym_false] = ACTIONS(1219),
    [anon_sym_NULL] = ACTIONS(1219),
    [anon_sym_nullptr] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_identifier] = ACTIONS(1135),
    [aux_sym_preproc_include_token1] = ACTIONS(1135),
    [aux_sym_preproc_def_token1] = ACTIONS(1135),
    [aux_sym_preproc_if_token1] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1135),
    [sym_preproc_directive] = ACTIONS(1135),
    [anon_sym_LPAREN2] = ACTIONS(1137),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1135),
    [anon_sym_PLUS] = ACTIONS(1135),
    [anon_sym_STAR] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym___extension__] = ACTIONS(1135),
    [anon_sym_typedef] = ACTIONS(1135),
    [anon_sym_extern] = ACTIONS(1135),
    [anon_sym___attribute__] = ACTIONS(1135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1137),
    [anon_sym___declspec] = ACTIONS(1135),
    [anon_sym___cdecl] = ACTIONS(1135),
    [anon_sym___clrcall] = ACTIONS(1135),
    [anon_sym___stdcall] = ACTIONS(1135),
    [anon_sym___fastcall] = ACTIONS(1135),
    [anon_sym___thiscall] = ACTIONS(1135),
    [anon_sym___vectorcall] = ACTIONS(1135),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [anon_sym_RBRACE] = ACTIONS(1137),
    [anon_sym_signed] = ACTIONS(1135),
    [anon_sym_unsigned] = ACTIONS(1135),
    [anon_sym_long] = ACTIONS(1135),
    [anon_sym_short] = ACTIONS(1135),
    [anon_sym_static] = ACTIONS(1135),
    [anon_sym_auto] = ACTIONS(1135),
    [anon_sym_register] = ACTIONS(1135),
    [anon_sym_inline] = ACTIONS(1135),
    [anon_sym___inline] = ACTIONS(1135),
    [anon_sym___inline__] = ACTIONS(1135),
    [anon_sym___forceinline] = ACTIONS(1135),
    [anon_sym_thread_local] = ACTIONS(1135),
    [anon_sym___thread] = ACTIONS(1135),
    [anon_sym_const] = ACTIONS(1135),
    [anon_sym_constexpr] = ACTIONS(1135),
    [anon_sym_volatile] = ACTIONS(1135),
    [anon_sym_restrict] = ACTIONS(1135),
    [anon_sym___restrict__] = ACTIONS(1135),
    [anon_sym__Atomic] = ACTIONS(1135),
    [anon_sym__Noreturn] = ACTIONS(1135),
    [anon_sym_noreturn] = ACTIONS(1135),
    [anon_sym_alignas] = ACTIONS(1135),
    [anon_sym__Alignas] = ACTIONS(1135),
    [sym_primitive_type] = ACTIONS(1135),
    [anon_sym_enum] = ACTIONS(1135),
    [anon_sym_struct] = ACTIONS(1135),
    [anon_sym_union] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1135),
    [anon_sym_else] = ACTIONS(1135),
    [anon_sym_switch] = ACTIONS(1135),
    [anon_sym_case] = ACTIONS(1135),
    [anon_sym_default] = ACTIONS(1135),
    [anon_sym_while] = ACTIONS(1135),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_for] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [anon_sym_goto] = ACTIONS(1135),
    [anon_sym___try] = ACTIONS(1135),
    [anon_sym___leave] = ACTIONS(1135),
    [anon_sym_DASH_DASH] = ACTIONS(1137),
    [anon_sym_PLUS_PLUS] = ACTIONS(1137),
    [anon_sym_sizeof] = ACTIONS(1135),
    [anon_sym___alignof__] = ACTIONS(1135),
    [anon_sym___alignof] = ACTIONS(1135),
    [anon_sym__alignof] = ACTIONS(1135),
    [anon_sym_alignof] = ACTIONS(1135),
    [anon_sym__Alignof] = ACTIONS(1135),
    [anon_sym_offsetof] = ACTIONS(1135),
    [anon_sym__Generic] = ACTIONS(1135),
    [anon_sym_asm] = ACTIONS(1135),
    [anon_sym___asm__] = ACTIONS(1135),
    [sym_number_literal] = ACTIONS(1137),
    [anon_sym_L_SQUOTE] = ACTIONS(1137),
    [anon_sym_u_SQUOTE] = ACTIONS(1137),
    [anon_sym_U_SQUOTE] = ACTIONS(1137),
    [anon_sym_u8_SQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1137),
    [anon_sym_L_DQUOTE] = ACTIONS(1137),
    [anon_sym_u_DQUOTE] = ACTIONS(1137),
    [anon_sym_U_DQUOTE] = ACTIONS(1137),
    [anon_sym_u8_DQUOTE] = ACTIONS(1137),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [sym_true] = ACTIONS(1135),
    [sym_false] = ACTIONS(1135),
    [anon_sym_NULL] = ACTIONS(1135),
    [anon_sym_nullptr] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [ts_builtin_sym_end] = ACTIONS(1229),
    [sym_identifier] = ACTIONS(1227),
    [aux_sym_preproc_include_token1] = ACTIONS(1227),
    [aux_sym_preproc_def_token1] = ACTIONS(1227),
    [aux_sym_preproc_if_token1] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1227),
    [sym_preproc_directive] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1229),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym___extension__] = ACTIONS(1227),
    [anon_sym_typedef] = ACTIONS(1227),
    [anon_sym_extern] = ACTIONS(1227),
    [anon_sym___attribute__] = ACTIONS(1227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1229),
    [anon_sym___declspec] = ACTIONS(1227),
    [anon_sym___cdecl] = ACTIONS(1227),
    [anon_sym___clrcall] = ACTIONS(1227),
    [anon_sym___stdcall] = ACTIONS(1227),
    [anon_sym___fastcall] = ACTIONS(1227),
    [anon_sym___thiscall] = ACTIONS(1227),
    [anon_sym___vectorcall] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1229),
    [anon_sym_signed] = ACTIONS(1227),
    [anon_sym_unsigned] = ACTIONS(1227),
    [anon_sym_long] = ACTIONS(1227),
    [anon_sym_short] = ACTIONS(1227),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_auto] = ACTIONS(1227),
    [anon_sym_register] = ACTIONS(1227),
    [anon_sym_inline] = ACTIONS(1227),
    [anon_sym___inline] = ACTIONS(1227),
    [anon_sym___inline__] = ACTIONS(1227),
    [anon_sym___forceinline] = ACTIONS(1227),
    [anon_sym_thread_local] = ACTIONS(1227),
    [anon_sym___thread] = ACTIONS(1227),
    [anon_sym_const] = ACTIONS(1227),
    [anon_sym_constexpr] = ACTIONS(1227),
    [anon_sym_volatile] = ACTIONS(1227),
    [anon_sym_restrict] = ACTIONS(1227),
    [anon_sym___restrict__] = ACTIONS(1227),
    [anon_sym__Atomic] = ACTIONS(1227),
    [anon_sym__Noreturn] = ACTIONS(1227),
    [anon_sym_noreturn] = ACTIONS(1227),
    [anon_sym_alignas] = ACTIONS(1227),
    [anon_sym__Alignas] = ACTIONS(1227),
    [sym_primitive_type] = ACTIONS(1227),
    [anon_sym_enum] = ACTIONS(1227),
    [anon_sym_struct] = ACTIONS(1227),
    [anon_sym_union] = ACTIONS(1227),
    [anon_sym_if] = ACTIONS(1227),
    [anon_sym_else] = ACTIONS(1227),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_case] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1227),
    [anon_sym_while] = ACTIONS(1227),
    [anon_sym_do] = ACTIONS(1227),
    [anon_sym_for] = ACTIONS(1227),
    [anon_sym_return] = ACTIONS(1227),
    [anon_sym_break] = ACTIONS(1227),
    [anon_sym_continue] = ACTIONS(1227),
    [anon_sym_goto] = ACTIONS(1227),
    [anon_sym___try] = ACTIONS(1227),
    [anon_sym___leave] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1229),
    [anon_sym_PLUS_PLUS] = ACTIONS(1229),
    [anon_sym_sizeof] = ACTIONS(1227),
    [anon_sym___alignof__] = ACTIONS(1227),
    [anon_sym___alignof] = ACTIONS(1227),
    [anon_sym__alignof] = ACTIONS(1227),
    [anon_sym_alignof] = ACTIONS(1227),
    [anon_sym__Alignof] = ACTIONS(1227),
    [anon_sym_offsetof] = ACTIONS(1227),
    [anon_sym__Generic] = ACTIONS(1227),
    [anon_sym_asm] = ACTIONS(1227),
    [anon_sym___asm__] = ACTIONS(1227),
    [sym_number_literal] = ACTIONS(1229),
    [anon_sym_L_SQUOTE] = ACTIONS(1229),
    [anon_sym_u_SQUOTE] = ACTIONS(1229),
    [anon_sym_U_SQUOTE] = ACTIONS(1229),
    [anon_sym_u8_SQUOTE] = ACTIONS(1229),
    [anon_sym_SQUOTE] = ACTIONS(1229),
    [anon_sym_L_DQUOTE] = ACTIONS(1229),
    [anon_sym_u_DQUOTE] = ACTIONS(1229),
    [anon_sym_U_DQUOTE] = ACTIONS(1229),
    [anon_sym_u8_DQUOTE] = ACTIONS(1229),
    [anon_sym_DQUOTE] = ACTIONS(1229),
    [sym_true] = ACTIONS(1227),
    [sym_false] = ACTIONS(1227),
    [anon_sym_NULL] = ACTIONS(1227),
    [anon_sym_nullptr] = ACTIONS(1227),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_identifier] = ACTIONS(1231),
    [aux_sym_preproc_include_token1] = ACTIONS(1231),
    [aux_sym_preproc_def_token1] = ACTIONS(1231),
    [aux_sym_preproc_if_token1] = ACTIONS(1231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1231),
    [sym_preproc_directive] = ACTIONS(1231),
    [anon_sym_LPAREN2] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1233),
    [anon_sym_TILDE] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1231),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym___extension__] = ACTIONS(1231),
    [anon_sym_typedef] = ACTIONS(1231),
    [anon_sym_extern] = ACTIONS(1231),
    [anon_sym___attribute__] = ACTIONS(1231),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1233),
    [anon_sym___declspec] = ACTIONS(1231),
    [anon_sym___cdecl] = ACTIONS(1231),
    [anon_sym___clrcall] = ACTIONS(1231),
    [anon_sym___stdcall] = ACTIONS(1231),
    [anon_sym___fastcall] = ACTIONS(1231),
    [anon_sym___thiscall] = ACTIONS(1231),
    [anon_sym___vectorcall] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_RBRACE] = ACTIONS(1233),
    [anon_sym_signed] = ACTIONS(1231),
    [anon_sym_unsigned] = ACTIONS(1231),
    [anon_sym_long] = ACTIONS(1231),
    [anon_sym_short] = ACTIONS(1231),
    [anon_sym_static] = ACTIONS(1231),
    [anon_sym_auto] = ACTIONS(1231),
    [anon_sym_register] = ACTIONS(1231),
    [anon_sym_inline] = ACTIONS(1231),
    [anon_sym___inline] = ACTIONS(1231),
    [anon_sym___inline__] = ACTIONS(1231),
    [anon_sym___forceinline] = ACTIONS(1231),
    [anon_sym_thread_local] = ACTIONS(1231),
    [anon_sym___thread] = ACTIONS(1231),
    [anon_sym_const] = ACTIONS(1231),
    [anon_sym_constexpr] = ACTIONS(1231),
    [anon_sym_volatile] = ACTIONS(1231),
    [anon_sym_restrict] = ACTIONS(1231),
    [anon_sym___restrict__] = ACTIONS(1231),
    [anon_sym__Atomic] = ACTIONS(1231),
    [anon_sym__Noreturn] = ACTIONS(1231),
    [anon_sym_noreturn] = ACTIONS(1231),
    [anon_sym_alignas] = ACTIONS(1231),
    [anon_sym__Alignas] = ACTIONS(1231),
    [sym_primitive_type] = ACTIONS(1231),
    [anon_sym_enum] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1231),
    [anon_sym_union] = ACTIONS(1231),
    [anon_sym_if] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1231),
    [anon_sym_switch] = ACTIONS(1231),
    [anon_sym_case] = ACTIONS(1231),
    [anon_sym_default] = ACTIONS(1231),
    [anon_sym_while] = ACTIONS(1231),
    [anon_sym_do] = ACTIONS(1231),
    [anon_sym_for] = ACTIONS(1231),
    [anon_sym_return] = ACTIONS(1231),
    [anon_sym_break] = ACTIONS(1231),
    [anon_sym_continue] = ACTIONS(1231),
    [anon_sym_goto] = ACTIONS(1231),
    [anon_sym___try] = ACTIONS(1231),
    [anon_sym___leave] = ACTIONS(1231),
    [anon_sym_DASH_DASH] = ACTIONS(1233),
    [anon_sym_PLUS_PLUS] = ACTIONS(1233),
    [anon_sym_sizeof] = ACTIONS(1231),
    [anon_sym___alignof__] = ACTIONS(1231),
    [anon_sym___alignof] = ACTIONS(1231),
    [anon_sym__alignof] = ACTIONS(1231),
    [anon_sym_alignof] = ACTIONS(1231),
    [anon_sym__Alignof] = ACTIONS(1231),
    [anon_sym_offsetof] = ACTIONS(1231),
    [anon_sym__Generic] = ACTIONS(1231),
    [anon_sym_asm] = ACTIONS(1231),
    [anon_sym___asm__] = ACTIONS(1231),
    [sym_number_literal] = ACTIONS(1233),
    [anon_sym_L_SQUOTE] = ACTIONS(1233),
    [anon_sym_u_SQUOTE] = ACTIONS(1233),
    [anon_sym_U_SQUOTE] = ACTIONS(1233),
    [anon_sym_u8_SQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1233),
    [anon_sym_L_DQUOTE] = ACTIONS(1233),
    [anon_sym_u_DQUOTE] = ACTIONS(1233),
    [anon_sym_U_DQUOTE] = ACTIONS(1233),
    [anon_sym_u8_DQUOTE] = ACTIONS(1233),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [sym_true] = ACTIONS(1231),
    [sym_false] = ACTIONS(1231),
    [anon_sym_NULL] = ACTIONS(1231),
    [anon_sym_nullptr] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [ts_builtin_sym_end] = ACTIONS(1237),
    [sym_identifier] = ACTIONS(1235),
    [aux_sym_preproc_include_token1] = ACTIONS(1235),
    [aux_sym_preproc_def_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(1235),
    [anon_sym_LPAREN2] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1235),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(1237),
    [anon_sym___extension__] = ACTIONS(1235),
    [anon_sym_typedef] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(1235),
    [anon_sym___attribute__] = ACTIONS(1235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(1235),
    [anon_sym___cdecl] = ACTIONS(1235),
    [anon_sym___clrcall] = ACTIONS(1235),
    [anon_sym___stdcall] = ACTIONS(1235),
    [anon_sym___fastcall] = ACTIONS(1235),
    [anon_sym___thiscall] = ACTIONS(1235),
    [anon_sym___vectorcall] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_signed] = ACTIONS(1235),
    [anon_sym_unsigned] = ACTIONS(1235),
    [anon_sym_long] = ACTIONS(1235),
    [anon_sym_short] = ACTIONS(1235),
    [anon_sym_static] = ACTIONS(1235),
    [anon_sym_auto] = ACTIONS(1235),
    [anon_sym_register] = ACTIONS(1235),
    [anon_sym_inline] = ACTIONS(1235),
    [anon_sym___inline] = ACTIONS(1235),
    [anon_sym___inline__] = ACTIONS(1235),
    [anon_sym___forceinline] = ACTIONS(1235),
    [anon_sym_thread_local] = ACTIONS(1235),
    [anon_sym___thread] = ACTIONS(1235),
    [anon_sym_const] = ACTIONS(1235),
    [anon_sym_constexpr] = ACTIONS(1235),
    [anon_sym_volatile] = ACTIONS(1235),
    [anon_sym_restrict] = ACTIONS(1235),
    [anon_sym___restrict__] = ACTIONS(1235),
    [anon_sym__Atomic] = ACTIONS(1235),
    [anon_sym__Noreturn] = ACTIONS(1235),
    [anon_sym_noreturn] = ACTIONS(1235),
    [anon_sym_alignas] = ACTIONS(1235),
    [anon_sym__Alignas] = ACTIONS(1235),
    [sym_primitive_type] = ACTIONS(1235),
    [anon_sym_enum] = ACTIONS(1235),
    [anon_sym_struct] = ACTIONS(1235),
    [anon_sym_union] = ACTIONS(1235),
    [anon_sym_if] = ACTIONS(1235),
    [anon_sym_else] = ACTIONS(1235),
    [anon_sym_switch] = ACTIONS(1235),
    [anon_sym_case] = ACTIONS(1235),
    [anon_sym_default] = ACTIONS(1235),
    [anon_sym_while] = ACTIONS(1235),
    [anon_sym_do] = ACTIONS(1235),
    [anon_sym_for] = ACTIONS(1235),
    [anon_sym_return] = ACTIONS(1235),
    [anon_sym_break] = ACTIONS(1235),
    [anon_sym_continue] = ACTIONS(1235),
    [anon_sym_goto] = ACTIONS(1235),
    [anon_sym___try] = ACTIONS(1235),
    [anon_sym___leave] = ACTIONS(1235),
    [anon_sym_DASH_DASH] = ACTIONS(1237),
    [anon_sym_PLUS_PLUS] = ACTIONS(1237),
    [anon_sym_sizeof] = ACTIONS(1235),
    [anon_sym___alignof__] = ACTIONS(1235),
    [anon_sym___alignof] = ACTIONS(1235),
    [anon_sym__alignof] = ACTIONS(1235),
    [anon_sym_alignof] = ACTIONS(1235),
    [anon_sym__Alignof] = ACTIONS(1235),
    [anon_sym_offsetof] = ACTIONS(1235),
    [anon_sym__Generic] = ACTIONS(1235),
    [anon_sym_asm] = ACTIONS(1235),
    [anon_sym___asm__] = ACTIONS(1235),
    [sym_number_literal] = ACTIONS(1237),
    [anon_sym_L_SQUOTE] = ACTIONS(1237),
    [anon_sym_u_SQUOTE] = ACTIONS(1237),
    [anon_sym_U_SQUOTE] = ACTIONS(1237),
    [anon_sym_u8_SQUOTE] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1237),
    [anon_sym_L_DQUOTE] = ACTIONS(1237),
    [anon_sym_u_DQUOTE] = ACTIONS(1237),
    [anon_sym_U_DQUOTE] = ACTIONS(1237),
    [anon_sym_u8_DQUOTE] = ACTIONS(1237),
    [anon_sym_DQUOTE] = ACTIONS(1237),
    [sym_true] = ACTIONS(1235),
    [sym_false] = ACTIONS(1235),
    [anon_sym_NULL] = ACTIONS(1235),
    [anon_sym_nullptr] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(1181),
    [sym_identifier] = ACTIONS(1179),
    [aux_sym_preproc_include_token1] = ACTIONS(1179),
    [aux_sym_preproc_def_token1] = ACTIONS(1179),
    [aux_sym_preproc_if_token1] = ACTIONS(1179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1179),
    [sym_preproc_directive] = ACTIONS(1179),
    [anon_sym_LPAREN2] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(1181),
    [anon_sym_TILDE] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1179),
    [anon_sym_STAR] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(1181),
    [anon_sym___extension__] = ACTIONS(1179),
    [anon_sym_typedef] = ACTIONS(1179),
    [anon_sym_extern] = ACTIONS(1179),
    [anon_sym___attribute__] = ACTIONS(1179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1181),
    [anon_sym___declspec] = ACTIONS(1179),
    [anon_sym___cdecl] = ACTIONS(1179),
    [anon_sym___clrcall] = ACTIONS(1179),
    [anon_sym___stdcall] = ACTIONS(1179),
    [anon_sym___fastcall] = ACTIONS(1179),
    [anon_sym___thiscall] = ACTIONS(1179),
    [anon_sym___vectorcall] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_signed] = ACTIONS(1179),
    [anon_sym_unsigned] = ACTIONS(1179),
    [anon_sym_long] = ACTIONS(1179),
    [anon_sym_short] = ACTIONS(1179),
    [anon_sym_static] = ACTIONS(1179),
    [anon_sym_auto] = ACTIONS(1179),
    [anon_sym_register] = ACTIONS(1179),
    [anon_sym_inline] = ACTIONS(1179),
    [anon_sym___inline] = ACTIONS(1179),
    [anon_sym___inline__] = ACTIONS(1179),
    [anon_sym___forceinline] = ACTIONS(1179),
    [anon_sym_thread_local] = ACTIONS(1179),
    [anon_sym___thread] = ACTIONS(1179),
    [anon_sym_const] = ACTIONS(1179),
    [anon_sym_constexpr] = ACTIONS(1179),
    [anon_sym_volatile] = ACTIONS(1179),
    [anon_sym_restrict] = ACTIONS(1179),
    [anon_sym___restrict__] = ACTIONS(1179),
    [anon_sym__Atomic] = ACTIONS(1179),
    [anon_sym__Noreturn] = ACTIONS(1179),
    [anon_sym_noreturn] = ACTIONS(1179),
    [anon_sym_alignas] = ACTIONS(1179),
    [anon_sym__Alignas] = ACTIONS(1179),
    [sym_primitive_type] = ACTIONS(1179),
    [anon_sym_enum] = ACTIONS(1179),
    [anon_sym_struct] = ACTIONS(1179),
    [anon_sym_union] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1179),
    [anon_sym_else] = ACTIONS(1179),
    [anon_sym_switch] = ACTIONS(1179),
    [anon_sym_case] = ACTIONS(1179),
    [anon_sym_default] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1179),
    [anon_sym_do] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_continue] = ACTIONS(1179),
    [anon_sym_goto] = ACTIONS(1179),
    [anon_sym___try] = ACTIONS(1179),
    [anon_sym___leave] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [anon_sym_PLUS_PLUS] = ACTIONS(1181),
    [anon_sym_sizeof] = ACTIONS(1179),
    [anon_sym___alignof__] = ACTIONS(1179),
    [anon_sym___alignof] = ACTIONS(1179),
    [anon_sym__alignof] = ACTIONS(1179),
    [anon_sym_alignof] = ACTIONS(1179),
    [anon_sym__Alignof] = ACTIONS(1179),
    [anon_sym_offsetof] = ACTIONS(1179),
    [anon_sym__Generic] = ACTIONS(1179),
    [anon_sym_asm] = ACTIONS(1179),
    [anon_sym___asm__] = ACTIONS(1179),
    [sym_number_literal] = ACTIONS(1181),
    [anon_sym_L_SQUOTE] = ACTIONS(1181),
    [anon_sym_u_SQUOTE] = ACTIONS(1181),
    [anon_sym_U_SQUOTE] = ACTIONS(1181),
    [anon_sym_u8_SQUOTE] = ACTIONS(1181),
    [anon_sym_SQUOTE] = ACTIONS(1181),
    [anon_sym_L_DQUOTE] = ACTIONS(1181),
    [anon_sym_u_DQUOTE] = ACTIONS(1181),
    [anon_sym_U_DQUOTE] = ACTIONS(1181),
    [anon_sym_u8_DQUOTE] = ACTIONS(1181),
    [anon_sym_DQUOTE] = ACTIONS(1181),
    [sym_true] = ACTIONS(1179),
    [sym_false] = ACTIONS(1179),
    [anon_sym_NULL] = ACTIONS(1179),
    [anon_sym_nullptr] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_identifier] = ACTIONS(1139),
    [aux_sym_preproc_include_token1] = ACTIONS(1139),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1139),
    [sym_preproc_directive] = ACTIONS(1139),
    [anon_sym_LPAREN2] = ACTIONS(1141),
    [anon_sym_BANG] = ACTIONS(1141),
    [anon_sym_TILDE] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1139),
    [anon_sym_PLUS] = ACTIONS(1139),
    [anon_sym_STAR] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym___extension__] = ACTIONS(1139),
    [anon_sym_typedef] = ACTIONS(1139),
    [anon_sym_extern] = ACTIONS(1139),
    [anon_sym___attribute__] = ACTIONS(1139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1141),
    [anon_sym___declspec] = ACTIONS(1139),
    [anon_sym___cdecl] = ACTIONS(1139),
    [anon_sym___clrcall] = ACTIONS(1139),
    [anon_sym___stdcall] = ACTIONS(1139),
    [anon_sym___fastcall] = ACTIONS(1139),
    [anon_sym___thiscall] = ACTIONS(1139),
    [anon_sym___vectorcall] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(1141),
    [anon_sym_signed] = ACTIONS(1139),
    [anon_sym_unsigned] = ACTIONS(1139),
    [anon_sym_long] = ACTIONS(1139),
    [anon_sym_short] = ACTIONS(1139),
    [anon_sym_static] = ACTIONS(1139),
    [anon_sym_auto] = ACTIONS(1139),
    [anon_sym_register] = ACTIONS(1139),
    [anon_sym_inline] = ACTIONS(1139),
    [anon_sym___inline] = ACTIONS(1139),
    [anon_sym___inline__] = ACTIONS(1139),
    [anon_sym___forceinline] = ACTIONS(1139),
    [anon_sym_thread_local] = ACTIONS(1139),
    [anon_sym___thread] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1139),
    [anon_sym_constexpr] = ACTIONS(1139),
    [anon_sym_volatile] = ACTIONS(1139),
    [anon_sym_restrict] = ACTIONS(1139),
    [anon_sym___restrict__] = ACTIONS(1139),
    [anon_sym__Atomic] = ACTIONS(1139),
    [anon_sym__Noreturn] = ACTIONS(1139),
    [anon_sym_noreturn] = ACTIONS(1139),
    [anon_sym_alignas] = ACTIONS(1139),
    [anon_sym__Alignas] = ACTIONS(1139),
    [sym_primitive_type] = ACTIONS(1139),
    [anon_sym_enum] = ACTIONS(1139),
    [anon_sym_struct] = ACTIONS(1139),
    [anon_sym_union] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_else] = ACTIONS(1139),
    [anon_sym_switch] = ACTIONS(1139),
    [anon_sym_case] = ACTIONS(1139),
    [anon_sym_default] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(1139),
    [anon_sym_do] = ACTIONS(1139),
    [anon_sym_for] = ACTIONS(1139),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_break] = ACTIONS(1139),
    [anon_sym_continue] = ACTIONS(1139),
    [anon_sym_goto] = ACTIONS(1139),
    [anon_sym___try] = ACTIONS(1139),
    [anon_sym___leave] = ACTIONS(1139),
    [anon_sym_DASH_DASH] = ACTIONS(1141),
    [anon_sym_PLUS_PLUS] = ACTIONS(1141),
    [anon_sym_sizeof] = ACTIONS(1139),
    [anon_sym___alignof__] = ACTIONS(1139),
    [anon_sym___alignof] = ACTIONS(1139),
    [anon_sym__alignof] = ACTIONS(1139),
    [anon_sym_alignof] = ACTIONS(1139),
    [anon_sym__Alignof] = ACTIONS(1139),
    [anon_sym_offsetof] = ACTIONS(1139),
    [anon_sym__Generic] = ACTIONS(1139),
    [anon_sym_asm] = ACTIONS(1139),
    [anon_sym___asm__] = ACTIONS(1139),
    [sym_number_literal] = ACTIONS(1141),
    [anon_sym_L_SQUOTE] = ACTIONS(1141),
    [anon_sym_u_SQUOTE] = ACTIONS(1141),
    [anon_sym_U_SQUOTE] = ACTIONS(1141),
    [anon_sym_u8_SQUOTE] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1141),
    [anon_sym_L_DQUOTE] = ACTIONS(1141),
    [anon_sym_u_DQUOTE] = ACTIONS(1141),
    [anon_sym_U_DQUOTE] = ACTIONS(1141),
    [anon_sym_u8_DQUOTE] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [sym_true] = ACTIONS(1139),
    [sym_false] = ACTIONS(1139),
    [anon_sym_NULL] = ACTIONS(1139),
    [anon_sym_nullptr] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [ts_builtin_sym_end] = ACTIONS(1149),
    [sym_identifier] = ACTIONS(1147),
    [aux_sym_preproc_include_token1] = ACTIONS(1147),
    [aux_sym_preproc_def_token1] = ACTIONS(1147),
    [aux_sym_preproc_if_token1] = ACTIONS(1147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1147),
    [sym_preproc_directive] = ACTIONS(1147),
    [anon_sym_LPAREN2] = ACTIONS(1149),
    [anon_sym_BANG] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_STAR] = ACTIONS(1149),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(1149),
    [anon_sym___extension__] = ACTIONS(1147),
    [anon_sym_typedef] = ACTIONS(1147),
    [anon_sym_extern] = ACTIONS(1147),
    [anon_sym___attribute__] = ACTIONS(1147),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1149),
    [anon_sym___declspec] = ACTIONS(1147),
    [anon_sym___cdecl] = ACTIONS(1147),
    [anon_sym___clrcall] = ACTIONS(1147),
    [anon_sym___stdcall] = ACTIONS(1147),
    [anon_sym___fastcall] = ACTIONS(1147),
    [anon_sym___thiscall] = ACTIONS(1147),
    [anon_sym___vectorcall] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_signed] = ACTIONS(1147),
    [anon_sym_unsigned] = ACTIONS(1147),
    [anon_sym_long] = ACTIONS(1147),
    [anon_sym_short] = ACTIONS(1147),
    [anon_sym_static] = ACTIONS(1147),
    [anon_sym_auto] = ACTIONS(1147),
    [anon_sym_register] = ACTIONS(1147),
    [anon_sym_inline] = ACTIONS(1147),
    [anon_sym___inline] = ACTIONS(1147),
    [anon_sym___inline__] = ACTIONS(1147),
    [anon_sym___forceinline] = ACTIONS(1147),
    [anon_sym_thread_local] = ACTIONS(1147),
    [anon_sym___thread] = ACTIONS(1147),
    [anon_sym_const] = ACTIONS(1147),
    [anon_sym_constexpr] = ACTIONS(1147),
    [anon_sym_volatile] = ACTIONS(1147),
    [anon_sym_restrict] = ACTIONS(1147),
    [anon_sym___restrict__] = ACTIONS(1147),
    [anon_sym__Atomic] = ACTIONS(1147),
    [anon_sym__Noreturn] = ACTIONS(1147),
    [anon_sym_noreturn] = ACTIONS(1147),
    [anon_sym_alignas] = ACTIONS(1147),
    [anon_sym__Alignas] = ACTIONS(1147),
    [sym_primitive_type] = ACTIONS(1147),
    [anon_sym_enum] = ACTIONS(1147),
    [anon_sym_struct] = ACTIONS(1147),
    [anon_sym_union] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_else] = ACTIONS(1147),
    [anon_sym_switch] = ACTIONS(1147),
    [anon_sym_case] = ACTIONS(1147),
    [anon_sym_default] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(1147),
    [anon_sym_do] = ACTIONS(1147),
    [anon_sym_for] = ACTIONS(1147),
    [anon_sym_return] = ACTIONS(1147),
    [anon_sym_break] = ACTIONS(1147),
    [anon_sym_continue] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1147),
    [anon_sym___try] = ACTIONS(1147),
    [anon_sym___leave] = ACTIONS(1147),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_sizeof] = ACTIONS(1147),
    [anon_sym___alignof__] = ACTIONS(1147),
    [anon_sym___alignof] = ACTIONS(1147),
    [anon_sym__alignof] = ACTIONS(1147),
    [anon_sym_alignof] = ACTIONS(1147),
    [anon_sym__Alignof] = ACTIONS(1147),
    [anon_sym_offsetof] = ACTIONS(1147),
    [anon_sym__Generic] = ACTIONS(1147),
    [anon_sym_asm] = ACTIONS(1147),
    [anon_sym___asm__] = ACTIONS(1147),
    [sym_number_literal] = ACTIONS(1149),
    [anon_sym_L_SQUOTE] = ACTIONS(1149),
    [anon_sym_u_SQUOTE] = ACTIONS(1149),
    [anon_sym_U_SQUOTE] = ACTIONS(1149),
    [anon_sym_u8_SQUOTE] = ACTIONS(1149),
    [anon_sym_SQUOTE] = ACTIONS(1149),
    [anon_sym_L_DQUOTE] = ACTIONS(1149),
    [anon_sym_u_DQUOTE] = ACTIONS(1149),
    [anon_sym_U_DQUOTE] = ACTIONS(1149),
    [anon_sym_u8_DQUOTE] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [sym_true] = ACTIONS(1147),
    [sym_false] = ACTIONS(1147),
    [anon_sym_NULL] = ACTIONS(1147),
    [anon_sym_nullptr] = ACTIONS(1147),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [ts_builtin_sym_end] = ACTIONS(1225),
    [sym_identifier] = ACTIONS(1223),
    [aux_sym_preproc_include_token1] = ACTIONS(1223),
    [aux_sym_preproc_def_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1223),
    [sym_preproc_directive] = ACTIONS(1223),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1223),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym___extension__] = ACTIONS(1223),
    [anon_sym_typedef] = ACTIONS(1223),
    [anon_sym_extern] = ACTIONS(1223),
    [anon_sym___attribute__] = ACTIONS(1223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1225),
    [anon_sym___declspec] = ACTIONS(1223),
    [anon_sym___cdecl] = ACTIONS(1223),
    [anon_sym___clrcall] = ACTIONS(1223),
    [anon_sym___stdcall] = ACTIONS(1223),
    [anon_sym___fastcall] = ACTIONS(1223),
    [anon_sym___thiscall] = ACTIONS(1223),
    [anon_sym___vectorcall] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_signed] = ACTIONS(1223),
    [anon_sym_unsigned] = ACTIONS(1223),
    [anon_sym_long] = ACTIONS(1223),
    [anon_sym_short] = ACTIONS(1223),
    [anon_sym_static] = ACTIONS(1223),
    [anon_sym_auto] = ACTIONS(1223),
    [anon_sym_register] = ACTIONS(1223),
    [anon_sym_inline] = ACTIONS(1223),
    [anon_sym___inline] = ACTIONS(1223),
    [anon_sym___inline__] = ACTIONS(1223),
    [anon_sym___forceinline] = ACTIONS(1223),
    [anon_sym_thread_local] = ACTIONS(1223),
    [anon_sym___thread] = ACTIONS(1223),
    [anon_sym_const] = ACTIONS(1223),
    [anon_sym_constexpr] = ACTIONS(1223),
    [anon_sym_volatile] = ACTIONS(1223),
    [anon_sym_restrict] = ACTIONS(1223),
    [anon_sym___restrict__] = ACTIONS(1223),
    [anon_sym__Atomic] = ACTIONS(1223),
    [anon_sym__Noreturn] = ACTIONS(1223),
    [anon_sym_noreturn] = ACTIONS(1223),
    [anon_sym_alignas] = ACTIONS(1223),
    [anon_sym__Alignas] = ACTIONS(1223),
    [sym_primitive_type] = ACTIONS(1223),
    [anon_sym_enum] = ACTIONS(1223),
    [anon_sym_struct] = ACTIONS(1223),
    [anon_sym_union] = ACTIONS(1223),
    [anon_sym_if] = ACTIONS(1223),
    [anon_sym_else] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(1223),
    [anon_sym_case] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1223),
    [anon_sym_while] = ACTIONS(1223),
    [anon_sym_do] = ACTIONS(1223),
    [anon_sym_for] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_continue] = ACTIONS(1223),
    [anon_sym_goto] = ACTIONS(1223),
    [anon_sym___try] = ACTIONS(1223),
    [anon_sym___leave] = ACTIONS(1223),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_sizeof] = ACTIONS(1223),
    [anon_sym___alignof__] = ACTIONS(1223),
    [anon_sym___alignof] = ACTIONS(1223),
    [anon_sym__alignof] = ACTIONS(1223),
    [anon_sym_alignof] = ACTIONS(1223),
    [anon_sym__Alignof] = ACTIONS(1223),
    [anon_sym_offsetof] = ACTIONS(1223),
    [anon_sym__Generic] = ACTIONS(1223),
    [anon_sym_asm] = ACTIONS(1223),
    [anon_sym___asm__] = ACTIONS(1223),
    [sym_number_literal] = ACTIONS(1225),
    [anon_sym_L_SQUOTE] = ACTIONS(1225),
    [anon_sym_u_SQUOTE] = ACTIONS(1225),
    [anon_sym_U_SQUOTE] = ACTIONS(1225),
    [anon_sym_u8_SQUOTE] = ACTIONS(1225),
    [anon_sym_SQUOTE] = ACTIONS(1225),
    [anon_sym_L_DQUOTE] = ACTIONS(1225),
    [anon_sym_u_DQUOTE] = ACTIONS(1225),
    [anon_sym_U_DQUOTE] = ACTIONS(1225),
    [anon_sym_u8_DQUOTE] = ACTIONS(1225),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_true] = ACTIONS(1223),
    [sym_false] = ACTIONS(1223),
    [anon_sym_NULL] = ACTIONS(1223),
    [anon_sym_nullptr] = ACTIONS(1223),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [ts_builtin_sym_end] = ACTIONS(1133),
    [sym_identifier] = ACTIONS(1131),
    [aux_sym_preproc_include_token1] = ACTIONS(1131),
    [aux_sym_preproc_def_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1131),
    [sym_preproc_directive] = ACTIONS(1131),
    [anon_sym_LPAREN2] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym___extension__] = ACTIONS(1131),
    [anon_sym_typedef] = ACTIONS(1131),
    [anon_sym_extern] = ACTIONS(1131),
    [anon_sym___attribute__] = ACTIONS(1131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1133),
    [anon_sym___declspec] = ACTIONS(1131),
    [anon_sym___cdecl] = ACTIONS(1131),
    [anon_sym___clrcall] = ACTIONS(1131),
    [anon_sym___stdcall] = ACTIONS(1131),
    [anon_sym___fastcall] = ACTIONS(1131),
    [anon_sym___thiscall] = ACTIONS(1131),
    [anon_sym___vectorcall] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_signed] = ACTIONS(1131),
    [anon_sym_unsigned] = ACTIONS(1131),
    [anon_sym_long] = ACTIONS(1131),
    [anon_sym_short] = ACTIONS(1131),
    [anon_sym_static] = ACTIONS(1131),
    [anon_sym_auto] = ACTIONS(1131),
    [anon_sym_register] = ACTIONS(1131),
    [anon_sym_inline] = ACTIONS(1131),
    [anon_sym___inline] = ACTIONS(1131),
    [anon_sym___inline__] = ACTIONS(1131),
    [anon_sym___forceinline] = ACTIONS(1131),
    [anon_sym_thread_local] = ACTIONS(1131),
    [anon_sym___thread] = ACTIONS(1131),
    [anon_sym_const] = ACTIONS(1131),
    [anon_sym_constexpr] = ACTIONS(1131),
    [anon_sym_volatile] = ACTIONS(1131),
    [anon_sym_restrict] = ACTIONS(1131),
    [anon_sym___restrict__] = ACTIONS(1131),
    [anon_sym__Atomic] = ACTIONS(1131),
    [anon_sym__Noreturn] = ACTIONS(1131),
    [anon_sym_noreturn] = ACTIONS(1131),
    [anon_sym_alignas] = ACTIONS(1131),
    [anon_sym__Alignas] = ACTIONS(1131),
    [sym_primitive_type] = ACTIONS(1131),
    [anon_sym_enum] = ACTIONS(1131),
    [anon_sym_struct] = ACTIONS(1131),
    [anon_sym_union] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1131),
    [anon_sym_else] = ACTIONS(1131),
    [anon_sym_switch] = ACTIONS(1131),
    [anon_sym_case] = ACTIONS(1131),
    [anon_sym_default] = ACTIONS(1131),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_do] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1131),
    [anon_sym_break] = ACTIONS(1131),
    [anon_sym_continue] = ACTIONS(1131),
    [anon_sym_goto] = ACTIONS(1131),
    [anon_sym___try] = ACTIONS(1131),
    [anon_sym___leave] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [anon_sym_sizeof] = ACTIONS(1131),
    [anon_sym___alignof__] = ACTIONS(1131),
    [anon_sym___alignof] = ACTIONS(1131),
    [anon_sym__alignof] = ACTIONS(1131),
    [anon_sym_alignof] = ACTIONS(1131),
    [anon_sym__Alignof] = ACTIONS(1131),
    [anon_sym_offsetof] = ACTIONS(1131),
    [anon_sym__Generic] = ACTIONS(1131),
    [anon_sym_asm] = ACTIONS(1131),
    [anon_sym___asm__] = ACTIONS(1131),
    [sym_number_literal] = ACTIONS(1133),
    [anon_sym_L_SQUOTE] = ACTIONS(1133),
    [anon_sym_u_SQUOTE] = ACTIONS(1133),
    [anon_sym_U_SQUOTE] = ACTIONS(1133),
    [anon_sym_u8_SQUOTE] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_L_DQUOTE] = ACTIONS(1133),
    [anon_sym_u_DQUOTE] = ACTIONS(1133),
    [anon_sym_U_DQUOTE] = ACTIONS(1133),
    [anon_sym_u8_DQUOTE] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [sym_true] = ACTIONS(1131),
    [sym_false] = ACTIONS(1131),
    [anon_sym_NULL] = ACTIONS(1131),
    [anon_sym_nullptr] = ACTIONS(1131),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [ts_builtin_sym_end] = ACTIONS(1137),
    [sym_identifier] = ACTIONS(1135),
    [aux_sym_preproc_include_token1] = ACTIONS(1135),
    [aux_sym_preproc_def_token1] = ACTIONS(1135),
    [aux_sym_preproc_if_token1] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1135),
    [sym_preproc_directive] = ACTIONS(1135),
    [anon_sym_LPAREN2] = ACTIONS(1137),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1135),
    [anon_sym_PLUS] = ACTIONS(1135),
    [anon_sym_STAR] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym___extension__] = ACTIONS(1135),
    [anon_sym_typedef] = ACTIONS(1135),
    [anon_sym_extern] = ACTIONS(1135),
    [anon_sym___attribute__] = ACTIONS(1135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1137),
    [anon_sym___declspec] = ACTIONS(1135),
    [anon_sym___cdecl] = ACTIONS(1135),
    [anon_sym___clrcall] = ACTIONS(1135),
    [anon_sym___stdcall] = ACTIONS(1135),
    [anon_sym___fastcall] = ACTIONS(1135),
    [anon_sym___thiscall] = ACTIONS(1135),
    [anon_sym___vectorcall] = ACTIONS(1135),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [anon_sym_signed] = ACTIONS(1135),
    [anon_sym_unsigned] = ACTIONS(1135),
    [anon_sym_long] = ACTIONS(1135),
    [anon_sym_short] = ACTIONS(1135),
    [anon_sym_static] = ACTIONS(1135),
    [anon_sym_auto] = ACTIONS(1135),
    [anon_sym_register] = ACTIONS(1135),
    [anon_sym_inline] = ACTIONS(1135),
    [anon_sym___inline] = ACTIONS(1135),
    [anon_sym___inline__] = ACTIONS(1135),
    [anon_sym___forceinline] = ACTIONS(1135),
    [anon_sym_thread_local] = ACTIONS(1135),
    [anon_sym___thread] = ACTIONS(1135),
    [anon_sym_const] = ACTIONS(1135),
    [anon_sym_constexpr] = ACTIONS(1135),
    [anon_sym_volatile] = ACTIONS(1135),
    [anon_sym_restrict] = ACTIONS(1135),
    [anon_sym___restrict__] = ACTIONS(1135),
    [anon_sym__Atomic] = ACTIONS(1135),
    [anon_sym__Noreturn] = ACTIONS(1135),
    [anon_sym_noreturn] = ACTIONS(1135),
    [anon_sym_alignas] = ACTIONS(1135),
    [anon_sym__Alignas] = ACTIONS(1135),
    [sym_primitive_type] = ACTIONS(1135),
    [anon_sym_enum] = ACTIONS(1135),
    [anon_sym_struct] = ACTIONS(1135),
    [anon_sym_union] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1135),
    [anon_sym_else] = ACTIONS(1135),
    [anon_sym_switch] = ACTIONS(1135),
    [anon_sym_case] = ACTIONS(1135),
    [anon_sym_default] = ACTIONS(1135),
    [anon_sym_while] = ACTIONS(1135),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_for] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [anon_sym_goto] = ACTIONS(1135),
    [anon_sym___try] = ACTIONS(1135),
    [anon_sym___leave] = ACTIONS(1135),
    [anon_sym_DASH_DASH] = ACTIONS(1137),
    [anon_sym_PLUS_PLUS] = ACTIONS(1137),
    [anon_sym_sizeof] = ACTIONS(1135),
    [anon_sym___alignof__] = ACTIONS(1135),
    [anon_sym___alignof] = ACTIONS(1135),
    [anon_sym__alignof] = ACTIONS(1135),
    [anon_sym_alignof] = ACTIONS(1135),
    [anon_sym__Alignof] = ACTIONS(1135),
    [anon_sym_offsetof] = ACTIONS(1135),
    [anon_sym__Generic] = ACTIONS(1135),
    [anon_sym_asm] = ACTIONS(1135),
    [anon_sym___asm__] = ACTIONS(1135),
    [sym_number_literal] = ACTIONS(1137),
    [anon_sym_L_SQUOTE] = ACTIONS(1137),
    [anon_sym_u_SQUOTE] = ACTIONS(1137),
    [anon_sym_U_SQUOTE] = ACTIONS(1137),
    [anon_sym_u8_SQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1137),
    [anon_sym_L_DQUOTE] = ACTIONS(1137),
    [anon_sym_u_DQUOTE] = ACTIONS(1137),
    [anon_sym_U_DQUOTE] = ACTIONS(1137),
    [anon_sym_u8_DQUOTE] = ACTIONS(1137),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [sym_true] = ACTIONS(1135),
    [sym_false] = ACTIONS(1135),
    [anon_sym_NULL] = ACTIONS(1135),
    [anon_sym_nullptr] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_identifier] = ACTIONS(1125),
    [aux_sym_preproc_include_token1] = ACTIONS(1125),
    [aux_sym_preproc_def_token1] = ACTIONS(1125),
    [aux_sym_preproc_if_token1] = ACTIONS(1125),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1125),
    [sym_preproc_directive] = ACTIONS(1125),
    [anon_sym_LPAREN2] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_STAR] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1123),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym___extension__] = ACTIONS(1125),
    [anon_sym_typedef] = ACTIONS(1125),
    [anon_sym_extern] = ACTIONS(1125),
    [anon_sym___attribute__] = ACTIONS(1125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1123),
    [anon_sym___declspec] = ACTIONS(1125),
    [anon_sym___cdecl] = ACTIONS(1125),
    [anon_sym___clrcall] = ACTIONS(1125),
    [anon_sym___stdcall] = ACTIONS(1125),
    [anon_sym___fastcall] = ACTIONS(1125),
    [anon_sym___thiscall] = ACTIONS(1125),
    [anon_sym___vectorcall] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_signed] = ACTIONS(1125),
    [anon_sym_unsigned] = ACTIONS(1125),
    [anon_sym_long] = ACTIONS(1125),
    [anon_sym_short] = ACTIONS(1125),
    [anon_sym_static] = ACTIONS(1125),
    [anon_sym_auto] = ACTIONS(1125),
    [anon_sym_register] = ACTIONS(1125),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym___inline] = ACTIONS(1125),
    [anon_sym___inline__] = ACTIONS(1125),
    [anon_sym___forceinline] = ACTIONS(1125),
    [anon_sym_thread_local] = ACTIONS(1125),
    [anon_sym___thread] = ACTIONS(1125),
    [anon_sym_const] = ACTIONS(1125),
    [anon_sym_constexpr] = ACTIONS(1125),
    [anon_sym_volatile] = ACTIONS(1125),
    [anon_sym_restrict] = ACTIONS(1125),
    [anon_sym___restrict__] = ACTIONS(1125),
    [anon_sym__Atomic] = ACTIONS(1125),
    [anon_sym__Noreturn] = ACTIONS(1125),
    [anon_sym_noreturn] = ACTIONS(1125),
    [anon_sym_alignas] = ACTIONS(1125),
    [anon_sym__Alignas] = ACTIONS(1125),
    [sym_primitive_type] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_struct] = ACTIONS(1125),
    [anon_sym_union] = ACTIONS(1125),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_goto] = ACTIONS(1125),
    [anon_sym___try] = ACTIONS(1125),
    [anon_sym___leave] = ACTIONS(1125),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_sizeof] = ACTIONS(1125),
    [anon_sym___alignof__] = ACTIONS(1125),
    [anon_sym___alignof] = ACTIONS(1125),
    [anon_sym__alignof] = ACTIONS(1125),
    [anon_sym_alignof] = ACTIONS(1125),
    [anon_sym__Alignof] = ACTIONS(1125),
    [anon_sym_offsetof] = ACTIONS(1125),
    [anon_sym__Generic] = ACTIONS(1125),
    [anon_sym_asm] = ACTIONS(1125),
    [anon_sym___asm__] = ACTIONS(1125),
    [sym_number_literal] = ACTIONS(1123),
    [anon_sym_L_SQUOTE] = ACTIONS(1123),
    [anon_sym_u_SQUOTE] = ACTIONS(1123),
    [anon_sym_U_SQUOTE] = ACTIONS(1123),
    [anon_sym_u8_SQUOTE] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1123),
    [anon_sym_L_DQUOTE] = ACTIONS(1123),
    [anon_sym_u_DQUOTE] = ACTIONS(1123),
    [anon_sym_U_DQUOTE] = ACTIONS(1123),
    [anon_sym_u8_DQUOTE] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [sym_true] = ACTIONS(1125),
    [sym_false] = ACTIONS(1125),
    [anon_sym_NULL] = ACTIONS(1125),
    [anon_sym_nullptr] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_identifier] = ACTIONS(1155),
    [aux_sym_preproc_include_token1] = ACTIONS(1155),
    [aux_sym_preproc_def_token1] = ACTIONS(1155),
    [aux_sym_preproc_if_token1] = ACTIONS(1155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1155),
    [sym_preproc_directive] = ACTIONS(1155),
    [anon_sym_LPAREN2] = ACTIONS(1157),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1157),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym___extension__] = ACTIONS(1155),
    [anon_sym_typedef] = ACTIONS(1155),
    [anon_sym_extern] = ACTIONS(1155),
    [anon_sym___attribute__] = ACTIONS(1155),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1157),
    [anon_sym___declspec] = ACTIONS(1155),
    [anon_sym___cdecl] = ACTIONS(1155),
    [anon_sym___clrcall] = ACTIONS(1155),
    [anon_sym___stdcall] = ACTIONS(1155),
    [anon_sym___fastcall] = ACTIONS(1155),
    [anon_sym___thiscall] = ACTIONS(1155),
    [anon_sym___vectorcall] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_signed] = ACTIONS(1155),
    [anon_sym_unsigned] = ACTIONS(1155),
    [anon_sym_long] = ACTIONS(1155),
    [anon_sym_short] = ACTIONS(1155),
    [anon_sym_static] = ACTIONS(1155),
    [anon_sym_auto] = ACTIONS(1155),
    [anon_sym_register] = ACTIONS(1155),
    [anon_sym_inline] = ACTIONS(1155),
    [anon_sym___inline] = ACTIONS(1155),
    [anon_sym___inline__] = ACTIONS(1155),
    [anon_sym___forceinline] = ACTIONS(1155),
    [anon_sym_thread_local] = ACTIONS(1155),
    [anon_sym___thread] = ACTIONS(1155),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_constexpr] = ACTIONS(1155),
    [anon_sym_volatile] = ACTIONS(1155),
    [anon_sym_restrict] = ACTIONS(1155),
    [anon_sym___restrict__] = ACTIONS(1155),
    [anon_sym__Atomic] = ACTIONS(1155),
    [anon_sym__Noreturn] = ACTIONS(1155),
    [anon_sym_noreturn] = ACTIONS(1155),
    [anon_sym_alignas] = ACTIONS(1155),
    [anon_sym__Alignas] = ACTIONS(1155),
    [sym_primitive_type] = ACTIONS(1155),
    [anon_sym_enum] = ACTIONS(1155),
    [anon_sym_struct] = ACTIONS(1155),
    [anon_sym_union] = ACTIONS(1155),
    [anon_sym_if] = ACTIONS(1155),
    [anon_sym_else] = ACTIONS(1155),
    [anon_sym_switch] = ACTIONS(1155),
    [anon_sym_case] = ACTIONS(1155),
    [anon_sym_default] = ACTIONS(1155),
    [anon_sym_while] = ACTIONS(1155),
    [anon_sym_do] = ACTIONS(1155),
    [anon_sym_for] = ACTIONS(1155),
    [anon_sym_return] = ACTIONS(1155),
    [anon_sym_break] = ACTIONS(1155),
    [anon_sym_continue] = ACTIONS(1155),
    [anon_sym_goto] = ACTIONS(1155),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1155),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_sizeof] = ACTIONS(1155),
    [anon_sym___alignof__] = ACTIONS(1155),
    [anon_sym___alignof] = ACTIONS(1155),
    [anon_sym__alignof] = ACTIONS(1155),
    [anon_sym_alignof] = ACTIONS(1155),
    [anon_sym__Alignof] = ACTIONS(1155),
    [anon_sym_offsetof] = ACTIONS(1155),
    [anon_sym__Generic] = ACTIONS(1155),
    [anon_sym_asm] = ACTIONS(1155),
    [anon_sym___asm__] = ACTIONS(1155),
    [sym_number_literal] = ACTIONS(1157),
    [anon_sym_L_SQUOTE] = ACTIONS(1157),
    [anon_sym_u_SQUOTE] = ACTIONS(1157),
    [anon_sym_U_SQUOTE] = ACTIONS(1157),
    [anon_sym_u8_SQUOTE] = ACTIONS(1157),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [anon_sym_L_DQUOTE] = ACTIONS(1157),
    [anon_sym_u_DQUOTE] = ACTIONS(1157),
    [anon_sym_U_DQUOTE] = ACTIONS(1157),
    [anon_sym_u8_DQUOTE] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_true] = ACTIONS(1155),
    [sym_false] = ACTIONS(1155),
    [anon_sym_NULL] = ACTIONS(1155),
    [anon_sym_nullptr] = ACTIONS(1155),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_identifier] = ACTIONS(1331),
    [aux_sym_preproc_include_token1] = ACTIONS(1331),
    [aux_sym_preproc_def_token1] = ACTIONS(1331),
    [aux_sym_preproc_if_token1] = ACTIONS(1331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1331),
    [sym_preproc_directive] = ACTIONS(1331),
    [anon_sym_LPAREN2] = ACTIONS(1333),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_TILDE] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_SEMI] = ACTIONS(1333),
    [anon_sym___extension__] = ACTIONS(1331),
    [anon_sym_typedef] = ACTIONS(1331),
    [anon_sym_extern] = ACTIONS(1331),
    [anon_sym___attribute__] = ACTIONS(1331),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1333),
    [anon_sym___declspec] = ACTIONS(1331),
    [anon_sym___cdecl] = ACTIONS(1331),
    [anon_sym___clrcall] = ACTIONS(1331),
    [anon_sym___stdcall] = ACTIONS(1331),
    [anon_sym___fastcall] = ACTIONS(1331),
    [anon_sym___thiscall] = ACTIONS(1331),
    [anon_sym___vectorcall] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1333),
    [anon_sym_RBRACE] = ACTIONS(1333),
    [anon_sym_signed] = ACTIONS(1331),
    [anon_sym_unsigned] = ACTIONS(1331),
    [anon_sym_long] = ACTIONS(1331),
    [anon_sym_short] = ACTIONS(1331),
    [anon_sym_static] = ACTIONS(1331),
    [anon_sym_auto] = ACTIONS(1331),
    [anon_sym_register] = ACTIONS(1331),
    [anon_sym_inline] = ACTIONS(1331),
    [anon_sym___inline] = ACTIONS(1331),
    [anon_sym___inline__] = ACTIONS(1331),
    [anon_sym___forceinline] = ACTIONS(1331),
    [anon_sym_thread_local] = ACTIONS(1331),
    [anon_sym___thread] = ACTIONS(1331),
    [anon_sym_const] = ACTIONS(1331),
    [anon_sym_constexpr] = ACTIONS(1331),
    [anon_sym_volatile] = ACTIONS(1331),
    [anon_sym_restrict] = ACTIONS(1331),
    [anon_sym___restrict__] = ACTIONS(1331),
    [anon_sym__Atomic] = ACTIONS(1331),
    [anon_sym__Noreturn] = ACTIONS(1331),
    [anon_sym_noreturn] = ACTIONS(1331),
    [anon_sym_alignas] = ACTIONS(1331),
    [anon_sym__Alignas] = ACTIONS(1331),
    [sym_primitive_type] = ACTIONS(1331),
    [anon_sym_enum] = ACTIONS(1331),
    [anon_sym_struct] = ACTIONS(1331),
    [anon_sym_union] = ACTIONS(1331),
    [anon_sym_if] = ACTIONS(1331),
    [anon_sym_switch] = ACTIONS(1331),
    [anon_sym_case] = ACTIONS(1331),
    [anon_sym_default] = ACTIONS(1331),
    [anon_sym_while] = ACTIONS(1331),
    [anon_sym_do] = ACTIONS(1331),
    [anon_sym_for] = ACTIONS(1331),
    [anon_sym_return] = ACTIONS(1331),
    [anon_sym_break] = ACTIONS(1331),
    [anon_sym_continue] = ACTIONS(1331),
    [anon_sym_goto] = ACTIONS(1331),
    [anon_sym___try] = ACTIONS(1331),
    [anon_sym___leave] = ACTIONS(1331),
    [anon_sym_DASH_DASH] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(1333),
    [anon_sym_sizeof] = ACTIONS(1331),
    [anon_sym___alignof__] = ACTIONS(1331),
    [anon_sym___alignof] = ACTIONS(1331),
    [anon_sym__alignof] = ACTIONS(1331),
    [anon_sym_alignof] = ACTIONS(1331),
    [anon_sym__Alignof] = ACTIONS(1331),
    [anon_sym_offsetof] = ACTIONS(1331),
    [anon_sym__Generic] = ACTIONS(1331),
    [anon_sym_asm] = ACTIONS(1331),
    [anon_sym___asm__] = ACTIONS(1331),
    [sym_number_literal] = ACTIONS(1333),
    [anon_sym_L_SQUOTE] = ACTIONS(1333),
    [anon_sym_u_SQUOTE] = ACTIONS(1333),
    [anon_sym_U_SQUOTE] = ACTIONS(1333),
    [anon_sym_u8_SQUOTE] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1333),
    [anon_sym_L_DQUOTE] = ACTIONS(1333),
    [anon_sym_u_DQUOTE] = ACTIONS(1333),
    [anon_sym_U_DQUOTE] = ACTIONS(1333),
    [anon_sym_u8_DQUOTE] = ACTIONS(1333),
    [anon_sym_DQUOTE] = ACTIONS(1333),
    [sym_true] = ACTIONS(1331),
    [sym_false] = ACTIONS(1331),
    [anon_sym_NULL] = ACTIONS(1331),
    [anon_sym_nullptr] = ACTIONS(1331),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_identifier] = ACTIONS(1275),
    [aux_sym_preproc_include_token1] = ACTIONS(1275),
    [aux_sym_preproc_def_token1] = ACTIONS(1275),
    [aux_sym_preproc_if_token1] = ACTIONS(1275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1275),
    [sym_preproc_directive] = ACTIONS(1275),
    [anon_sym_LPAREN2] = ACTIONS(1277),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_STAR] = ACTIONS(1277),
    [anon_sym_AMP] = ACTIONS(1277),
    [anon_sym_SEMI] = ACTIONS(1277),
    [anon_sym___extension__] = ACTIONS(1275),
    [anon_sym_typedef] = ACTIONS(1275),
    [anon_sym_extern] = ACTIONS(1275),
    [anon_sym___attribute__] = ACTIONS(1275),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1277),
    [anon_sym___declspec] = ACTIONS(1275),
    [anon_sym___cdecl] = ACTIONS(1275),
    [anon_sym___clrcall] = ACTIONS(1275),
    [anon_sym___stdcall] = ACTIONS(1275),
    [anon_sym___fastcall] = ACTIONS(1275),
    [anon_sym___thiscall] = ACTIONS(1275),
    [anon_sym___vectorcall] = ACTIONS(1275),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_RBRACE] = ACTIONS(1277),
    [anon_sym_signed] = ACTIONS(1275),
    [anon_sym_unsigned] = ACTIONS(1275),
    [anon_sym_long] = ACTIONS(1275),
    [anon_sym_short] = ACTIONS(1275),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_auto] = ACTIONS(1275),
    [anon_sym_register] = ACTIONS(1275),
    [anon_sym_inline] = ACTIONS(1275),
    [anon_sym___inline] = ACTIONS(1275),
    [anon_sym___inline__] = ACTIONS(1275),
    [anon_sym___forceinline] = ACTIONS(1275),
    [anon_sym_thread_local] = ACTIONS(1275),
    [anon_sym___thread] = ACTIONS(1275),
    [anon_sym_const] = ACTIONS(1275),
    [anon_sym_constexpr] = ACTIONS(1275),
    [anon_sym_volatile] = ACTIONS(1275),
    [anon_sym_restrict] = ACTIONS(1275),
    [anon_sym___restrict__] = ACTIONS(1275),
    [anon_sym__Atomic] = ACTIONS(1275),
    [anon_sym__Noreturn] = ACTIONS(1275),
    [anon_sym_noreturn] = ACTIONS(1275),
    [anon_sym_alignas] = ACTIONS(1275),
    [anon_sym__Alignas] = ACTIONS(1275),
    [sym_primitive_type] = ACTIONS(1275),
    [anon_sym_enum] = ACTIONS(1275),
    [anon_sym_struct] = ACTIONS(1275),
    [anon_sym_union] = ACTIONS(1275),
    [anon_sym_if] = ACTIONS(1275),
    [anon_sym_switch] = ACTIONS(1275),
    [anon_sym_case] = ACTIONS(1275),
    [anon_sym_default] = ACTIONS(1275),
    [anon_sym_while] = ACTIONS(1275),
    [anon_sym_do] = ACTIONS(1275),
    [anon_sym_for] = ACTIONS(1275),
    [anon_sym_return] = ACTIONS(1275),
    [anon_sym_break] = ACTIONS(1275),
    [anon_sym_continue] = ACTIONS(1275),
    [anon_sym_goto] = ACTIONS(1275),
    [anon_sym___try] = ACTIONS(1275),
    [anon_sym___leave] = ACTIONS(1275),
    [anon_sym_DASH_DASH] = ACTIONS(1277),
    [anon_sym_PLUS_PLUS] = ACTIONS(1277),
    [anon_sym_sizeof] = ACTIONS(1275),
    [anon_sym___alignof__] = ACTIONS(1275),
    [anon_sym___alignof] = ACTIONS(1275),
    [anon_sym__alignof] = ACTIONS(1275),
    [anon_sym_alignof] = ACTIONS(1275),
    [anon_sym__Alignof] = ACTIONS(1275),
    [anon_sym_offsetof] = ACTIONS(1275),
    [anon_sym__Generic] = ACTIONS(1275),
    [anon_sym_asm] = ACTIONS(1275),
    [anon_sym___asm__] = ACTIONS(1275),
    [sym_number_literal] = ACTIONS(1277),
    [anon_sym_L_SQUOTE] = ACTIONS(1277),
    [anon_sym_u_SQUOTE] = ACTIONS(1277),
    [anon_sym_U_SQUOTE] = ACTIONS(1277),
    [anon_sym_u8_SQUOTE] = ACTIONS(1277),
    [anon_sym_SQUOTE] = ACTIONS(1277),
    [anon_sym_L_DQUOTE] = ACTIONS(1277),
    [anon_sym_u_DQUOTE] = ACTIONS(1277),
    [anon_sym_U_DQUOTE] = ACTIONS(1277),
    [anon_sym_u8_DQUOTE] = ACTIONS(1277),
    [anon_sym_DQUOTE] = ACTIONS(1277),
    [sym_true] = ACTIONS(1275),
    [sym_false] = ACTIONS(1275),
    [anon_sym_NULL] = ACTIONS(1275),
    [anon_sym_nullptr] = ACTIONS(1275),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_identifier] = ACTIONS(1353),
    [aux_sym_preproc_include_token1] = ACTIONS(1353),
    [aux_sym_preproc_def_token1] = ACTIONS(1353),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1353),
    [sym_preproc_directive] = ACTIONS(1353),
    [anon_sym_LPAREN2] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1355),
    [anon_sym_TILDE] = ACTIONS(1355),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1355),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_SEMI] = ACTIONS(1355),
    [anon_sym___extension__] = ACTIONS(1353),
    [anon_sym_typedef] = ACTIONS(1353),
    [anon_sym_extern] = ACTIONS(1353),
    [anon_sym___attribute__] = ACTIONS(1353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1355),
    [anon_sym___declspec] = ACTIONS(1353),
    [anon_sym___cdecl] = ACTIONS(1353),
    [anon_sym___clrcall] = ACTIONS(1353),
    [anon_sym___stdcall] = ACTIONS(1353),
    [anon_sym___fastcall] = ACTIONS(1353),
    [anon_sym___thiscall] = ACTIONS(1353),
    [anon_sym___vectorcall] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_RBRACE] = ACTIONS(1355),
    [anon_sym_signed] = ACTIONS(1353),
    [anon_sym_unsigned] = ACTIONS(1353),
    [anon_sym_long] = ACTIONS(1353),
    [anon_sym_short] = ACTIONS(1353),
    [anon_sym_static] = ACTIONS(1353),
    [anon_sym_auto] = ACTIONS(1353),
    [anon_sym_register] = ACTIONS(1353),
    [anon_sym_inline] = ACTIONS(1353),
    [anon_sym___inline] = ACTIONS(1353),
    [anon_sym___inline__] = ACTIONS(1353),
    [anon_sym___forceinline] = ACTIONS(1353),
    [anon_sym_thread_local] = ACTIONS(1353),
    [anon_sym___thread] = ACTIONS(1353),
    [anon_sym_const] = ACTIONS(1353),
    [anon_sym_constexpr] = ACTIONS(1353),
    [anon_sym_volatile] = ACTIONS(1353),
    [anon_sym_restrict] = ACTIONS(1353),
    [anon_sym___restrict__] = ACTIONS(1353),
    [anon_sym__Atomic] = ACTIONS(1353),
    [anon_sym__Noreturn] = ACTIONS(1353),
    [anon_sym_noreturn] = ACTIONS(1353),
    [anon_sym_alignas] = ACTIONS(1353),
    [anon_sym__Alignas] = ACTIONS(1353),
    [sym_primitive_type] = ACTIONS(1353),
    [anon_sym_enum] = ACTIONS(1353),
    [anon_sym_struct] = ACTIONS(1353),
    [anon_sym_union] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1353),
    [anon_sym_switch] = ACTIONS(1353),
    [anon_sym_case] = ACTIONS(1353),
    [anon_sym_default] = ACTIONS(1353),
    [anon_sym_while] = ACTIONS(1353),
    [anon_sym_do] = ACTIONS(1353),
    [anon_sym_for] = ACTIONS(1353),
    [anon_sym_return] = ACTIONS(1353),
    [anon_sym_break] = ACTIONS(1353),
    [anon_sym_continue] = ACTIONS(1353),
    [anon_sym_goto] = ACTIONS(1353),
    [anon_sym___try] = ACTIONS(1353),
    [anon_sym___leave] = ACTIONS(1353),
    [anon_sym_DASH_DASH] = ACTIONS(1355),
    [anon_sym_PLUS_PLUS] = ACTIONS(1355),
    [anon_sym_sizeof] = ACTIONS(1353),
    [anon_sym___alignof__] = ACTIONS(1353),
    [anon_sym___alignof] = ACTIONS(1353),
    [anon_sym__alignof] = ACTIONS(1353),
    [anon_sym_alignof] = ACTIONS(1353),
    [anon_sym__Alignof] = ACTIONS(1353),
    [anon_sym_offsetof] = ACTIONS(1353),
    [anon_sym__Generic] = ACTIONS(1353),
    [anon_sym_asm] = ACTIONS(1353),
    [anon_sym___asm__] = ACTIONS(1353),
    [sym_number_literal] = ACTIONS(1355),
    [anon_sym_L_SQUOTE] = ACTIONS(1355),
    [anon_sym_u_SQUOTE] = ACTIONS(1355),
    [anon_sym_U_SQUOTE] = ACTIONS(1355),
    [anon_sym_u8_SQUOTE] = ACTIONS(1355),
    [anon_sym_SQUOTE] = ACTIONS(1355),
    [anon_sym_L_DQUOTE] = ACTIONS(1355),
    [anon_sym_u_DQUOTE] = ACTIONS(1355),
    [anon_sym_U_DQUOTE] = ACTIONS(1355),
    [anon_sym_u8_DQUOTE] = ACTIONS(1355),
    [anon_sym_DQUOTE] = ACTIONS(1355),
    [sym_true] = ACTIONS(1353),
    [sym_false] = ACTIONS(1353),
    [anon_sym_NULL] = ACTIONS(1353),
    [anon_sym_nullptr] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_identifier] = ACTIONS(1315),
    [aux_sym_preproc_include_token1] = ACTIONS(1315),
    [aux_sym_preproc_def_token1] = ACTIONS(1315),
    [aux_sym_preproc_if_token1] = ACTIONS(1315),
    [aux_sym_preproc_if_token2] = ACTIONS(1315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1315),
    [sym_preproc_directive] = ACTIONS(1315),
    [anon_sym_LPAREN2] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_TILDE] = ACTIONS(1317),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_SEMI] = ACTIONS(1317),
    [anon_sym___extension__] = ACTIONS(1315),
    [anon_sym_typedef] = ACTIONS(1315),
    [anon_sym_extern] = ACTIONS(1315),
    [anon_sym___attribute__] = ACTIONS(1315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1317),
    [anon_sym___declspec] = ACTIONS(1315),
    [anon_sym___cdecl] = ACTIONS(1315),
    [anon_sym___clrcall] = ACTIONS(1315),
    [anon_sym___stdcall] = ACTIONS(1315),
    [anon_sym___fastcall] = ACTIONS(1315),
    [anon_sym___thiscall] = ACTIONS(1315),
    [anon_sym___vectorcall] = ACTIONS(1315),
    [anon_sym_LBRACE] = ACTIONS(1317),
    [anon_sym_signed] = ACTIONS(1315),
    [anon_sym_unsigned] = ACTIONS(1315),
    [anon_sym_long] = ACTIONS(1315),
    [anon_sym_short] = ACTIONS(1315),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_auto] = ACTIONS(1315),
    [anon_sym_register] = ACTIONS(1315),
    [anon_sym_inline] = ACTIONS(1315),
    [anon_sym___inline] = ACTIONS(1315),
    [anon_sym___inline__] = ACTIONS(1315),
    [anon_sym___forceinline] = ACTIONS(1315),
    [anon_sym_thread_local] = ACTIONS(1315),
    [anon_sym___thread] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1315),
    [anon_sym_constexpr] = ACTIONS(1315),
    [anon_sym_volatile] = ACTIONS(1315),
    [anon_sym_restrict] = ACTIONS(1315),
    [anon_sym___restrict__] = ACTIONS(1315),
    [anon_sym__Atomic] = ACTIONS(1315),
    [anon_sym__Noreturn] = ACTIONS(1315),
    [anon_sym_noreturn] = ACTIONS(1315),
    [anon_sym_alignas] = ACTIONS(1315),
    [anon_sym__Alignas] = ACTIONS(1315),
    [sym_primitive_type] = ACTIONS(1315),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1315),
    [anon_sym_union] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1315),
    [anon_sym_switch] = ACTIONS(1315),
    [anon_sym_case] = ACTIONS(1315),
    [anon_sym_default] = ACTIONS(1315),
    [anon_sym_while] = ACTIONS(1315),
    [anon_sym_do] = ACTIONS(1315),
    [anon_sym_for] = ACTIONS(1315),
    [anon_sym_return] = ACTIONS(1315),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_continue] = ACTIONS(1315),
    [anon_sym_goto] = ACTIONS(1315),
    [anon_sym___try] = ACTIONS(1315),
    [anon_sym___leave] = ACTIONS(1315),
    [anon_sym_DASH_DASH] = ACTIONS(1317),
    [anon_sym_PLUS_PLUS] = ACTIONS(1317),
    [anon_sym_sizeof] = ACTIONS(1315),
    [anon_sym___alignof__] = ACTIONS(1315),
    [anon_sym___alignof] = ACTIONS(1315),
    [anon_sym__alignof] = ACTIONS(1315),
    [anon_sym_alignof] = ACTIONS(1315),
    [anon_sym__Alignof] = ACTIONS(1315),
    [anon_sym_offsetof] = ACTIONS(1315),
    [anon_sym__Generic] = ACTIONS(1315),
    [anon_sym_asm] = ACTIONS(1315),
    [anon_sym___asm__] = ACTIONS(1315),
    [sym_number_literal] = ACTIONS(1317),
    [anon_sym_L_SQUOTE] = ACTIONS(1317),
    [anon_sym_u_SQUOTE] = ACTIONS(1317),
    [anon_sym_U_SQUOTE] = ACTIONS(1317),
    [anon_sym_u8_SQUOTE] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1317),
    [anon_sym_L_DQUOTE] = ACTIONS(1317),
    [anon_sym_u_DQUOTE] = ACTIONS(1317),
    [anon_sym_U_DQUOTE] = ACTIONS(1317),
    [anon_sym_u8_DQUOTE] = ACTIONS(1317),
    [anon_sym_DQUOTE] = ACTIONS(1317),
    [sym_true] = ACTIONS(1315),
    [sym_false] = ACTIONS(1315),
    [anon_sym_NULL] = ACTIONS(1315),
    [anon_sym_nullptr] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_identifier] = ACTIONS(1319),
    [aux_sym_preproc_include_token1] = ACTIONS(1319),
    [aux_sym_preproc_def_token1] = ACTIONS(1319),
    [aux_sym_preproc_if_token1] = ACTIONS(1319),
    [aux_sym_preproc_if_token2] = ACTIONS(1319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1319),
    [sym_preproc_directive] = ACTIONS(1319),
    [anon_sym_LPAREN2] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1319),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(1321),
    [anon_sym_SEMI] = ACTIONS(1321),
    [anon_sym___extension__] = ACTIONS(1319),
    [anon_sym_typedef] = ACTIONS(1319),
    [anon_sym_extern] = ACTIONS(1319),
    [anon_sym___attribute__] = ACTIONS(1319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1321),
    [anon_sym___declspec] = ACTIONS(1319),
    [anon_sym___cdecl] = ACTIONS(1319),
    [anon_sym___clrcall] = ACTIONS(1319),
    [anon_sym___stdcall] = ACTIONS(1319),
    [anon_sym___fastcall] = ACTIONS(1319),
    [anon_sym___thiscall] = ACTIONS(1319),
    [anon_sym___vectorcall] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_signed] = ACTIONS(1319),
    [anon_sym_unsigned] = ACTIONS(1319),
    [anon_sym_long] = ACTIONS(1319),
    [anon_sym_short] = ACTIONS(1319),
    [anon_sym_static] = ACTIONS(1319),
    [anon_sym_auto] = ACTIONS(1319),
    [anon_sym_register] = ACTIONS(1319),
    [anon_sym_inline] = ACTIONS(1319),
    [anon_sym___inline] = ACTIONS(1319),
    [anon_sym___inline__] = ACTIONS(1319),
    [anon_sym___forceinline] = ACTIONS(1319),
    [anon_sym_thread_local] = ACTIONS(1319),
    [anon_sym___thread] = ACTIONS(1319),
    [anon_sym_const] = ACTIONS(1319),
    [anon_sym_constexpr] = ACTIONS(1319),
    [anon_sym_volatile] = ACTIONS(1319),
    [anon_sym_restrict] = ACTIONS(1319),
    [anon_sym___restrict__] = ACTIONS(1319),
    [anon_sym__Atomic] = ACTIONS(1319),
    [anon_sym__Noreturn] = ACTIONS(1319),
    [anon_sym_noreturn] = ACTIONS(1319),
    [anon_sym_alignas] = ACTIONS(1319),
    [anon_sym__Alignas] = ACTIONS(1319),
    [sym_primitive_type] = ACTIONS(1319),
    [anon_sym_enum] = ACTIONS(1319),
    [anon_sym_struct] = ACTIONS(1319),
    [anon_sym_union] = ACTIONS(1319),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_switch] = ACTIONS(1319),
    [anon_sym_case] = ACTIONS(1319),
    [anon_sym_default] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1319),
    [anon_sym_do] = ACTIONS(1319),
    [anon_sym_for] = ACTIONS(1319),
    [anon_sym_return] = ACTIONS(1319),
    [anon_sym_break] = ACTIONS(1319),
    [anon_sym_continue] = ACTIONS(1319),
    [anon_sym_goto] = ACTIONS(1319),
    [anon_sym___try] = ACTIONS(1319),
    [anon_sym___leave] = ACTIONS(1319),
    [anon_sym_DASH_DASH] = ACTIONS(1321),
    [anon_sym_PLUS_PLUS] = ACTIONS(1321),
    [anon_sym_sizeof] = ACTIONS(1319),
    [anon_sym___alignof__] = ACTIONS(1319),
    [anon_sym___alignof] = ACTIONS(1319),
    [anon_sym__alignof] = ACTIONS(1319),
    [anon_sym_alignof] = ACTIONS(1319),
    [anon_sym__Alignof] = ACTIONS(1319),
    [anon_sym_offsetof] = ACTIONS(1319),
    [anon_sym__Generic] = ACTIONS(1319),
    [anon_sym_asm] = ACTIONS(1319),
    [anon_sym___asm__] = ACTIONS(1319),
    [sym_number_literal] = ACTIONS(1321),
    [anon_sym_L_SQUOTE] = ACTIONS(1321),
    [anon_sym_u_SQUOTE] = ACTIONS(1321),
    [anon_sym_U_SQUOTE] = ACTIONS(1321),
    [anon_sym_u8_SQUOTE] = ACTIONS(1321),
    [anon_sym_SQUOTE] = ACTIONS(1321),
    [anon_sym_L_DQUOTE] = ACTIONS(1321),
    [anon_sym_u_DQUOTE] = ACTIONS(1321),
    [anon_sym_U_DQUOTE] = ACTIONS(1321),
    [anon_sym_u8_DQUOTE] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1321),
    [sym_true] = ACTIONS(1319),
    [sym_false] = ACTIONS(1319),
    [anon_sym_NULL] = ACTIONS(1319),
    [anon_sym_nullptr] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_identifier] = ACTIONS(1251),
    [aux_sym_preproc_include_token1] = ACTIONS(1251),
    [aux_sym_preproc_def_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token2] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1251),
    [sym_preproc_directive] = ACTIONS(1251),
    [anon_sym_LPAREN2] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1251),
    [anon_sym_PLUS] = ACTIONS(1251),
    [anon_sym_STAR] = ACTIONS(1253),
    [anon_sym_AMP] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1253),
    [anon_sym___extension__] = ACTIONS(1251),
    [anon_sym_typedef] = ACTIONS(1251),
    [anon_sym_extern] = ACTIONS(1251),
    [anon_sym___attribute__] = ACTIONS(1251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1253),
    [anon_sym___declspec] = ACTIONS(1251),
    [anon_sym___cdecl] = ACTIONS(1251),
    [anon_sym___clrcall] = ACTIONS(1251),
    [anon_sym___stdcall] = ACTIONS(1251),
    [anon_sym___fastcall] = ACTIONS(1251),
    [anon_sym___thiscall] = ACTIONS(1251),
    [anon_sym___vectorcall] = ACTIONS(1251),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [anon_sym_signed] = ACTIONS(1251),
    [anon_sym_unsigned] = ACTIONS(1251),
    [anon_sym_long] = ACTIONS(1251),
    [anon_sym_short] = ACTIONS(1251),
    [anon_sym_static] = ACTIONS(1251),
    [anon_sym_auto] = ACTIONS(1251),
    [anon_sym_register] = ACTIONS(1251),
    [anon_sym_inline] = ACTIONS(1251),
    [anon_sym___inline] = ACTIONS(1251),
    [anon_sym___inline__] = ACTIONS(1251),
    [anon_sym___forceinline] = ACTIONS(1251),
    [anon_sym_thread_local] = ACTIONS(1251),
    [anon_sym___thread] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1251),
    [anon_sym_constexpr] = ACTIONS(1251),
    [anon_sym_volatile] = ACTIONS(1251),
    [anon_sym_restrict] = ACTIONS(1251),
    [anon_sym___restrict__] = ACTIONS(1251),
    [anon_sym__Atomic] = ACTIONS(1251),
    [anon_sym__Noreturn] = ACTIONS(1251),
    [anon_sym_noreturn] = ACTIONS(1251),
    [anon_sym_alignas] = ACTIONS(1251),
    [anon_sym__Alignas] = ACTIONS(1251),
    [sym_primitive_type] = ACTIONS(1251),
    [anon_sym_enum] = ACTIONS(1251),
    [anon_sym_struct] = ACTIONS(1251),
    [anon_sym_union] = ACTIONS(1251),
    [anon_sym_if] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1251),
    [anon_sym_case] = ACTIONS(1251),
    [anon_sym_default] = ACTIONS(1251),
    [anon_sym_while] = ACTIONS(1251),
    [anon_sym_do] = ACTIONS(1251),
    [anon_sym_for] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1251),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_continue] = ACTIONS(1251),
    [anon_sym_goto] = ACTIONS(1251),
    [anon_sym___try] = ACTIONS(1251),
    [anon_sym___leave] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1253),
    [anon_sym_sizeof] = ACTIONS(1251),
    [anon_sym___alignof__] = ACTIONS(1251),
    [anon_sym___alignof] = ACTIONS(1251),
    [anon_sym__alignof] = ACTIONS(1251),
    [anon_sym_alignof] = ACTIONS(1251),
    [anon_sym__Alignof] = ACTIONS(1251),
    [anon_sym_offsetof] = ACTIONS(1251),
    [anon_sym__Generic] = ACTIONS(1251),
    [anon_sym_asm] = ACTIONS(1251),
    [anon_sym___asm__] = ACTIONS(1251),
    [sym_number_literal] = ACTIONS(1253),
    [anon_sym_L_SQUOTE] = ACTIONS(1253),
    [anon_sym_u_SQUOTE] = ACTIONS(1253),
    [anon_sym_U_SQUOTE] = ACTIONS(1253),
    [anon_sym_u8_SQUOTE] = ACTIONS(1253),
    [anon_sym_SQUOTE] = ACTIONS(1253),
    [anon_sym_L_DQUOTE] = ACTIONS(1253),
    [anon_sym_u_DQUOTE] = ACTIONS(1253),
    [anon_sym_U_DQUOTE] = ACTIONS(1253),
    [anon_sym_u8_DQUOTE] = ACTIONS(1253),
    [anon_sym_DQUOTE] = ACTIONS(1253),
    [sym_true] = ACTIONS(1251),
    [sym_false] = ACTIONS(1251),
    [anon_sym_NULL] = ACTIONS(1251),
    [anon_sym_nullptr] = ACTIONS(1251),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_identifier] = ACTIONS(1279),
    [aux_sym_preproc_include_token1] = ACTIONS(1279),
    [aux_sym_preproc_def_token1] = ACTIONS(1279),
    [aux_sym_preproc_if_token1] = ACTIONS(1279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1279),
    [sym_preproc_directive] = ACTIONS(1279),
    [anon_sym_LPAREN2] = ACTIONS(1281),
    [anon_sym_BANG] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(1281),
    [anon_sym_DASH] = ACTIONS(1279),
    [anon_sym_PLUS] = ACTIONS(1279),
    [anon_sym_STAR] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(1281),
    [anon_sym_SEMI] = ACTIONS(1281),
    [anon_sym___extension__] = ACTIONS(1279),
    [anon_sym_typedef] = ACTIONS(1279),
    [anon_sym_extern] = ACTIONS(1279),
    [anon_sym___attribute__] = ACTIONS(1279),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1281),
    [anon_sym___declspec] = ACTIONS(1279),
    [anon_sym___cdecl] = ACTIONS(1279),
    [anon_sym___clrcall] = ACTIONS(1279),
    [anon_sym___stdcall] = ACTIONS(1279),
    [anon_sym___fastcall] = ACTIONS(1279),
    [anon_sym___thiscall] = ACTIONS(1279),
    [anon_sym___vectorcall] = ACTIONS(1279),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_RBRACE] = ACTIONS(1281),
    [anon_sym_signed] = ACTIONS(1279),
    [anon_sym_unsigned] = ACTIONS(1279),
    [anon_sym_long] = ACTIONS(1279),
    [anon_sym_short] = ACTIONS(1279),
    [anon_sym_static] = ACTIONS(1279),
    [anon_sym_auto] = ACTIONS(1279),
    [anon_sym_register] = ACTIONS(1279),
    [anon_sym_inline] = ACTIONS(1279),
    [anon_sym___inline] = ACTIONS(1279),
    [anon_sym___inline__] = ACTIONS(1279),
    [anon_sym___forceinline] = ACTIONS(1279),
    [anon_sym_thread_local] = ACTIONS(1279),
    [anon_sym___thread] = ACTIONS(1279),
    [anon_sym_const] = ACTIONS(1279),
    [anon_sym_constexpr] = ACTIONS(1279),
    [anon_sym_volatile] = ACTIONS(1279),
    [anon_sym_restrict] = ACTIONS(1279),
    [anon_sym___restrict__] = ACTIONS(1279),
    [anon_sym__Atomic] = ACTIONS(1279),
    [anon_sym__Noreturn] = ACTIONS(1279),
    [anon_sym_noreturn] = ACTIONS(1279),
    [anon_sym_alignas] = ACTIONS(1279),
    [anon_sym__Alignas] = ACTIONS(1279),
    [sym_primitive_type] = ACTIONS(1279),
    [anon_sym_enum] = ACTIONS(1279),
    [anon_sym_struct] = ACTIONS(1279),
    [anon_sym_union] = ACTIONS(1279),
    [anon_sym_if] = ACTIONS(1279),
    [anon_sym_switch] = ACTIONS(1279),
    [anon_sym_case] = ACTIONS(1279),
    [anon_sym_default] = ACTIONS(1279),
    [anon_sym_while] = ACTIONS(1279),
    [anon_sym_do] = ACTIONS(1279),
    [anon_sym_for] = ACTIONS(1279),
    [anon_sym_return] = ACTIONS(1279),
    [anon_sym_break] = ACTIONS(1279),
    [anon_sym_continue] = ACTIONS(1279),
    [anon_sym_goto] = ACTIONS(1279),
    [anon_sym___try] = ACTIONS(1279),
    [anon_sym___leave] = ACTIONS(1279),
    [anon_sym_DASH_DASH] = ACTIONS(1281),
    [anon_sym_PLUS_PLUS] = ACTIONS(1281),
    [anon_sym_sizeof] = ACTIONS(1279),
    [anon_sym___alignof__] = ACTIONS(1279),
    [anon_sym___alignof] = ACTIONS(1279),
    [anon_sym__alignof] = ACTIONS(1279),
    [anon_sym_alignof] = ACTIONS(1279),
    [anon_sym__Alignof] = ACTIONS(1279),
    [anon_sym_offsetof] = ACTIONS(1279),
    [anon_sym__Generic] = ACTIONS(1279),
    [anon_sym_asm] = ACTIONS(1279),
    [anon_sym___asm__] = ACTIONS(1279),
    [sym_number_literal] = ACTIONS(1281),
    [anon_sym_L_SQUOTE] = ACTIONS(1281),
    [anon_sym_u_SQUOTE] = ACTIONS(1281),
    [anon_sym_U_SQUOTE] = ACTIONS(1281),
    [anon_sym_u8_SQUOTE] = ACTIONS(1281),
    [anon_sym_SQUOTE] = ACTIONS(1281),
    [anon_sym_L_DQUOTE] = ACTIONS(1281),
    [anon_sym_u_DQUOTE] = ACTIONS(1281),
    [anon_sym_U_DQUOTE] = ACTIONS(1281),
    [anon_sym_u8_DQUOTE] = ACTIONS(1281),
    [anon_sym_DQUOTE] = ACTIONS(1281),
    [sym_true] = ACTIONS(1279),
    [sym_false] = ACTIONS(1279),
    [anon_sym_NULL] = ACTIONS(1279),
    [anon_sym_nullptr] = ACTIONS(1279),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_identifier] = ACTIONS(1365),
    [aux_sym_preproc_include_token1] = ACTIONS(1365),
    [aux_sym_preproc_def_token1] = ACTIONS(1365),
    [aux_sym_preproc_if_token1] = ACTIONS(1365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1365),
    [sym_preproc_directive] = ACTIONS(1365),
    [anon_sym_LPAREN2] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [anon_sym___extension__] = ACTIONS(1365),
    [anon_sym_typedef] = ACTIONS(1365),
    [anon_sym_extern] = ACTIONS(1365),
    [anon_sym___attribute__] = ACTIONS(1365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1367),
    [anon_sym___declspec] = ACTIONS(1365),
    [anon_sym___cdecl] = ACTIONS(1365),
    [anon_sym___clrcall] = ACTIONS(1365),
    [anon_sym___stdcall] = ACTIONS(1365),
    [anon_sym___fastcall] = ACTIONS(1365),
    [anon_sym___thiscall] = ACTIONS(1365),
    [anon_sym___vectorcall] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_RBRACE] = ACTIONS(1367),
    [anon_sym_signed] = ACTIONS(1365),
    [anon_sym_unsigned] = ACTIONS(1365),
    [anon_sym_long] = ACTIONS(1365),
    [anon_sym_short] = ACTIONS(1365),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_auto] = ACTIONS(1365),
    [anon_sym_register] = ACTIONS(1365),
    [anon_sym_inline] = ACTIONS(1365),
    [anon_sym___inline] = ACTIONS(1365),
    [anon_sym___inline__] = ACTIONS(1365),
    [anon_sym___forceinline] = ACTIONS(1365),
    [anon_sym_thread_local] = ACTIONS(1365),
    [anon_sym___thread] = ACTIONS(1365),
    [anon_sym_const] = ACTIONS(1365),
    [anon_sym_constexpr] = ACTIONS(1365),
    [anon_sym_volatile] = ACTIONS(1365),
    [anon_sym_restrict] = ACTIONS(1365),
    [anon_sym___restrict__] = ACTIONS(1365),
    [anon_sym__Atomic] = ACTIONS(1365),
    [anon_sym__Noreturn] = ACTIONS(1365),
    [anon_sym_noreturn] = ACTIONS(1365),
    [anon_sym_alignas] = ACTIONS(1365),
    [anon_sym__Alignas] = ACTIONS(1365),
    [sym_primitive_type] = ACTIONS(1365),
    [anon_sym_enum] = ACTIONS(1365),
    [anon_sym_struct] = ACTIONS(1365),
    [anon_sym_union] = ACTIONS(1365),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_switch] = ACTIONS(1365),
    [anon_sym_case] = ACTIONS(1365),
    [anon_sym_default] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1365),
    [anon_sym_do] = ACTIONS(1365),
    [anon_sym_for] = ACTIONS(1365),
    [anon_sym_return] = ACTIONS(1365),
    [anon_sym_break] = ACTIONS(1365),
    [anon_sym_continue] = ACTIONS(1365),
    [anon_sym_goto] = ACTIONS(1365),
    [anon_sym___try] = ACTIONS(1365),
    [anon_sym___leave] = ACTIONS(1365),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_sizeof] = ACTIONS(1365),
    [anon_sym___alignof__] = ACTIONS(1365),
    [anon_sym___alignof] = ACTIONS(1365),
    [anon_sym__alignof] = ACTIONS(1365),
    [anon_sym_alignof] = ACTIONS(1365),
    [anon_sym__Alignof] = ACTIONS(1365),
    [anon_sym_offsetof] = ACTIONS(1365),
    [anon_sym__Generic] = ACTIONS(1365),
    [anon_sym_asm] = ACTIONS(1365),
    [anon_sym___asm__] = ACTIONS(1365),
    [sym_number_literal] = ACTIONS(1367),
    [anon_sym_L_SQUOTE] = ACTIONS(1367),
    [anon_sym_u_SQUOTE] = ACTIONS(1367),
    [anon_sym_U_SQUOTE] = ACTIONS(1367),
    [anon_sym_u8_SQUOTE] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1367),
    [anon_sym_L_DQUOTE] = ACTIONS(1367),
    [anon_sym_u_DQUOTE] = ACTIONS(1367),
    [anon_sym_U_DQUOTE] = ACTIONS(1367),
    [anon_sym_u8_DQUOTE] = ACTIONS(1367),
    [anon_sym_DQUOTE] = ACTIONS(1367),
    [sym_true] = ACTIONS(1365),
    [sym_false] = ACTIONS(1365),
    [anon_sym_NULL] = ACTIONS(1365),
    [anon_sym_nullptr] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_identifier] = ACTIONS(1357),
    [aux_sym_preproc_include_token1] = ACTIONS(1357),
    [aux_sym_preproc_def_token1] = ACTIONS(1357),
    [aux_sym_preproc_if_token1] = ACTIONS(1357),
    [aux_sym_preproc_if_token2] = ACTIONS(1357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1357),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1357),
    [sym_preproc_directive] = ACTIONS(1357),
    [anon_sym_LPAREN2] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1357),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_SEMI] = ACTIONS(1359),
    [anon_sym___extension__] = ACTIONS(1357),
    [anon_sym_typedef] = ACTIONS(1357),
    [anon_sym_extern] = ACTIONS(1357),
    [anon_sym___attribute__] = ACTIONS(1357),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1359),
    [anon_sym___declspec] = ACTIONS(1357),
    [anon_sym___cdecl] = ACTIONS(1357),
    [anon_sym___clrcall] = ACTIONS(1357),
    [anon_sym___stdcall] = ACTIONS(1357),
    [anon_sym___fastcall] = ACTIONS(1357),
    [anon_sym___thiscall] = ACTIONS(1357),
    [anon_sym___vectorcall] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1359),
    [anon_sym_signed] = ACTIONS(1357),
    [anon_sym_unsigned] = ACTIONS(1357),
    [anon_sym_long] = ACTIONS(1357),
    [anon_sym_short] = ACTIONS(1357),
    [anon_sym_static] = ACTIONS(1357),
    [anon_sym_auto] = ACTIONS(1357),
    [anon_sym_register] = ACTIONS(1357),
    [anon_sym_inline] = ACTIONS(1357),
    [anon_sym___inline] = ACTIONS(1357),
    [anon_sym___inline__] = ACTIONS(1357),
    [anon_sym___forceinline] = ACTIONS(1357),
    [anon_sym_thread_local] = ACTIONS(1357),
    [anon_sym___thread] = ACTIONS(1357),
    [anon_sym_const] = ACTIONS(1357),
    [anon_sym_constexpr] = ACTIONS(1357),
    [anon_sym_volatile] = ACTIONS(1357),
    [anon_sym_restrict] = ACTIONS(1357),
    [anon_sym___restrict__] = ACTIONS(1357),
    [anon_sym__Atomic] = ACTIONS(1357),
    [anon_sym__Noreturn] = ACTIONS(1357),
    [anon_sym_noreturn] = ACTIONS(1357),
    [anon_sym_alignas] = ACTIONS(1357),
    [anon_sym__Alignas] = ACTIONS(1357),
    [sym_primitive_type] = ACTIONS(1357),
    [anon_sym_enum] = ACTIONS(1357),
    [anon_sym_struct] = ACTIONS(1357),
    [anon_sym_union] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_switch] = ACTIONS(1357),
    [anon_sym_case] = ACTIONS(1357),
    [anon_sym_default] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_do] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_break] = ACTIONS(1357),
    [anon_sym_continue] = ACTIONS(1357),
    [anon_sym_goto] = ACTIONS(1357),
    [anon_sym___try] = ACTIONS(1357),
    [anon_sym___leave] = ACTIONS(1357),
    [anon_sym_DASH_DASH] = ACTIONS(1359),
    [anon_sym_PLUS_PLUS] = ACTIONS(1359),
    [anon_sym_sizeof] = ACTIONS(1357),
    [anon_sym___alignof__] = ACTIONS(1357),
    [anon_sym___alignof] = ACTIONS(1357),
    [anon_sym__alignof] = ACTIONS(1357),
    [anon_sym_alignof] = ACTIONS(1357),
    [anon_sym__Alignof] = ACTIONS(1357),
    [anon_sym_offsetof] = ACTIONS(1357),
    [anon_sym__Generic] = ACTIONS(1357),
    [anon_sym_asm] = ACTIONS(1357),
    [anon_sym___asm__] = ACTIONS(1357),
    [sym_number_literal] = ACTIONS(1359),
    [anon_sym_L_SQUOTE] = ACTIONS(1359),
    [anon_sym_u_SQUOTE] = ACTIONS(1359),
    [anon_sym_U_SQUOTE] = ACTIONS(1359),
    [anon_sym_u8_SQUOTE] = ACTIONS(1359),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_L_DQUOTE] = ACTIONS(1359),
    [anon_sym_u_DQUOTE] = ACTIONS(1359),
    [anon_sym_U_DQUOTE] = ACTIONS(1359),
    [anon_sym_u8_DQUOTE] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [anon_sym_NULL] = ACTIONS(1357),
    [anon_sym_nullptr] = ACTIONS(1357),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_identifier] = ACTIONS(1327),
    [aux_sym_preproc_include_token1] = ACTIONS(1327),
    [aux_sym_preproc_def_token1] = ACTIONS(1327),
    [aux_sym_preproc_if_token1] = ACTIONS(1327),
    [aux_sym_preproc_if_token2] = ACTIONS(1327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1327),
    [sym_preproc_directive] = ACTIONS(1327),
    [anon_sym_LPAREN2] = ACTIONS(1329),
    [anon_sym_BANG] = ACTIONS(1329),
    [anon_sym_TILDE] = ACTIONS(1329),
    [anon_sym_DASH] = ACTIONS(1327),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1329),
    [anon_sym_AMP] = ACTIONS(1329),
    [anon_sym_SEMI] = ACTIONS(1329),
    [anon_sym___extension__] = ACTIONS(1327),
    [anon_sym_typedef] = ACTIONS(1327),
    [anon_sym_extern] = ACTIONS(1327),
    [anon_sym___attribute__] = ACTIONS(1327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1329),
    [anon_sym___declspec] = ACTIONS(1327),
    [anon_sym___cdecl] = ACTIONS(1327),
    [anon_sym___clrcall] = ACTIONS(1327),
    [anon_sym___stdcall] = ACTIONS(1327),
    [anon_sym___fastcall] = ACTIONS(1327),
    [anon_sym___thiscall] = ACTIONS(1327),
    [anon_sym___vectorcall] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1329),
    [anon_sym_signed] = ACTIONS(1327),
    [anon_sym_unsigned] = ACTIONS(1327),
    [anon_sym_long] = ACTIONS(1327),
    [anon_sym_short] = ACTIONS(1327),
    [anon_sym_static] = ACTIONS(1327),
    [anon_sym_auto] = ACTIONS(1327),
    [anon_sym_register] = ACTIONS(1327),
    [anon_sym_inline] = ACTIONS(1327),
    [anon_sym___inline] = ACTIONS(1327),
    [anon_sym___inline__] = ACTIONS(1327),
    [anon_sym___forceinline] = ACTIONS(1327),
    [anon_sym_thread_local] = ACTIONS(1327),
    [anon_sym___thread] = ACTIONS(1327),
    [anon_sym_const] = ACTIONS(1327),
    [anon_sym_constexpr] = ACTIONS(1327),
    [anon_sym_volatile] = ACTIONS(1327),
    [anon_sym_restrict] = ACTIONS(1327),
    [anon_sym___restrict__] = ACTIONS(1327),
    [anon_sym__Atomic] = ACTIONS(1327),
    [anon_sym__Noreturn] = ACTIONS(1327),
    [anon_sym_noreturn] = ACTIONS(1327),
    [anon_sym_alignas] = ACTIONS(1327),
    [anon_sym__Alignas] = ACTIONS(1327),
    [sym_primitive_type] = ACTIONS(1327),
    [anon_sym_enum] = ACTIONS(1327),
    [anon_sym_struct] = ACTIONS(1327),
    [anon_sym_union] = ACTIONS(1327),
    [anon_sym_if] = ACTIONS(1327),
    [anon_sym_switch] = ACTIONS(1327),
    [anon_sym_case] = ACTIONS(1327),
    [anon_sym_default] = ACTIONS(1327),
    [anon_sym_while] = ACTIONS(1327),
    [anon_sym_do] = ACTIONS(1327),
    [anon_sym_for] = ACTIONS(1327),
    [anon_sym_return] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(1327),
    [anon_sym_continue] = ACTIONS(1327),
    [anon_sym_goto] = ACTIONS(1327),
    [anon_sym___try] = ACTIONS(1327),
    [anon_sym___leave] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1329),
    [anon_sym_PLUS_PLUS] = ACTIONS(1329),
    [anon_sym_sizeof] = ACTIONS(1327),
    [anon_sym___alignof__] = ACTIONS(1327),
    [anon_sym___alignof] = ACTIONS(1327),
    [anon_sym__alignof] = ACTIONS(1327),
    [anon_sym_alignof] = ACTIONS(1327),
    [anon_sym__Alignof] = ACTIONS(1327),
    [anon_sym_offsetof] = ACTIONS(1327),
    [anon_sym__Generic] = ACTIONS(1327),
    [anon_sym_asm] = ACTIONS(1327),
    [anon_sym___asm__] = ACTIONS(1327),
    [sym_number_literal] = ACTIONS(1329),
    [anon_sym_L_SQUOTE] = ACTIONS(1329),
    [anon_sym_u_SQUOTE] = ACTIONS(1329),
    [anon_sym_U_SQUOTE] = ACTIONS(1329),
    [anon_sym_u8_SQUOTE] = ACTIONS(1329),
    [anon_sym_SQUOTE] = ACTIONS(1329),
    [anon_sym_L_DQUOTE] = ACTIONS(1329),
    [anon_sym_u_DQUOTE] = ACTIONS(1329),
    [anon_sym_U_DQUOTE] = ACTIONS(1329),
    [anon_sym_u8_DQUOTE] = ACTIONS(1329),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_true] = ACTIONS(1327),
    [sym_false] = ACTIONS(1327),
    [anon_sym_NULL] = ACTIONS(1327),
    [anon_sym_nullptr] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_identifier] = ACTIONS(1343),
    [aux_sym_preproc_include_token1] = ACTIONS(1343),
    [aux_sym_preproc_def_token1] = ACTIONS(1343),
    [aux_sym_preproc_if_token1] = ACTIONS(1343),
    [aux_sym_preproc_if_token2] = ACTIONS(1343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1343),
    [sym_preproc_directive] = ACTIONS(1343),
    [anon_sym_LPAREN2] = ACTIONS(1345),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_TILDE] = ACTIONS(1345),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_SEMI] = ACTIONS(1345),
    [anon_sym___extension__] = ACTIONS(1343),
    [anon_sym_typedef] = ACTIONS(1343),
    [anon_sym_extern] = ACTIONS(1343),
    [anon_sym___attribute__] = ACTIONS(1343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1345),
    [anon_sym___declspec] = ACTIONS(1343),
    [anon_sym___cdecl] = ACTIONS(1343),
    [anon_sym___clrcall] = ACTIONS(1343),
    [anon_sym___stdcall] = ACTIONS(1343),
    [anon_sym___fastcall] = ACTIONS(1343),
    [anon_sym___thiscall] = ACTIONS(1343),
    [anon_sym___vectorcall] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_signed] = ACTIONS(1343),
    [anon_sym_unsigned] = ACTIONS(1343),
    [anon_sym_long] = ACTIONS(1343),
    [anon_sym_short] = ACTIONS(1343),
    [anon_sym_static] = ACTIONS(1343),
    [anon_sym_auto] = ACTIONS(1343),
    [anon_sym_register] = ACTIONS(1343),
    [anon_sym_inline] = ACTIONS(1343),
    [anon_sym___inline] = ACTIONS(1343),
    [anon_sym___inline__] = ACTIONS(1343),
    [anon_sym___forceinline] = ACTIONS(1343),
    [anon_sym_thread_local] = ACTIONS(1343),
    [anon_sym___thread] = ACTIONS(1343),
    [anon_sym_const] = ACTIONS(1343),
    [anon_sym_constexpr] = ACTIONS(1343),
    [anon_sym_volatile] = ACTIONS(1343),
    [anon_sym_restrict] = ACTIONS(1343),
    [anon_sym___restrict__] = ACTIONS(1343),
    [anon_sym__Atomic] = ACTIONS(1343),
    [anon_sym__Noreturn] = ACTIONS(1343),
    [anon_sym_noreturn] = ACTIONS(1343),
    [anon_sym_alignas] = ACTIONS(1343),
    [anon_sym__Alignas] = ACTIONS(1343),
    [sym_primitive_type] = ACTIONS(1343),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_struct] = ACTIONS(1343),
    [anon_sym_union] = ACTIONS(1343),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_case] = ACTIONS(1343),
    [anon_sym_default] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1343),
    [anon_sym_do] = ACTIONS(1343),
    [anon_sym_for] = ACTIONS(1343),
    [anon_sym_return] = ACTIONS(1343),
    [anon_sym_break] = ACTIONS(1343),
    [anon_sym_continue] = ACTIONS(1343),
    [anon_sym_goto] = ACTIONS(1343),
    [anon_sym___try] = ACTIONS(1343),
    [anon_sym___leave] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1345),
    [anon_sym_PLUS_PLUS] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(1343),
    [anon_sym___alignof__] = ACTIONS(1343),
    [anon_sym___alignof] = ACTIONS(1343),
    [anon_sym__alignof] = ACTIONS(1343),
    [anon_sym_alignof] = ACTIONS(1343),
    [anon_sym__Alignof] = ACTIONS(1343),
    [anon_sym_offsetof] = ACTIONS(1343),
    [anon_sym__Generic] = ACTIONS(1343),
    [anon_sym_asm] = ACTIONS(1343),
    [anon_sym___asm__] = ACTIONS(1343),
    [sym_number_literal] = ACTIONS(1345),
    [anon_sym_L_SQUOTE] = ACTIONS(1345),
    [anon_sym_u_SQUOTE] = ACTIONS(1345),
    [anon_sym_U_SQUOTE] = ACTIONS(1345),
    [anon_sym_u8_SQUOTE] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1345),
    [anon_sym_L_DQUOTE] = ACTIONS(1345),
    [anon_sym_u_DQUOTE] = ACTIONS(1345),
    [anon_sym_U_DQUOTE] = ACTIONS(1345),
    [anon_sym_u8_DQUOTE] = ACTIONS(1345),
    [anon_sym_DQUOTE] = ACTIONS(1345),
    [sym_true] = ACTIONS(1343),
    [sym_false] = ACTIONS(1343),
    [anon_sym_NULL] = ACTIONS(1343),
    [anon_sym_nullptr] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_identifier] = ACTIONS(1295),
    [aux_sym_preproc_include_token1] = ACTIONS(1295),
    [aux_sym_preproc_def_token1] = ACTIONS(1295),
    [aux_sym_preproc_if_token1] = ACTIONS(1295),
    [aux_sym_preproc_if_token2] = ACTIONS(1295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1295),
    [sym_preproc_directive] = ACTIONS(1295),
    [anon_sym_LPAREN2] = ACTIONS(1297),
    [anon_sym_BANG] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1295),
    [anon_sym_PLUS] = ACTIONS(1295),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1297),
    [anon_sym___extension__] = ACTIONS(1295),
    [anon_sym_typedef] = ACTIONS(1295),
    [anon_sym_extern] = ACTIONS(1295),
    [anon_sym___attribute__] = ACTIONS(1295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1297),
    [anon_sym___declspec] = ACTIONS(1295),
    [anon_sym___cdecl] = ACTIONS(1295),
    [anon_sym___clrcall] = ACTIONS(1295),
    [anon_sym___stdcall] = ACTIONS(1295),
    [anon_sym___fastcall] = ACTIONS(1295),
    [anon_sym___thiscall] = ACTIONS(1295),
    [anon_sym___vectorcall] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_signed] = ACTIONS(1295),
    [anon_sym_unsigned] = ACTIONS(1295),
    [anon_sym_long] = ACTIONS(1295),
    [anon_sym_short] = ACTIONS(1295),
    [anon_sym_static] = ACTIONS(1295),
    [anon_sym_auto] = ACTIONS(1295),
    [anon_sym_register] = ACTIONS(1295),
    [anon_sym_inline] = ACTIONS(1295),
    [anon_sym___inline] = ACTIONS(1295),
    [anon_sym___inline__] = ACTIONS(1295),
    [anon_sym___forceinline] = ACTIONS(1295),
    [anon_sym_thread_local] = ACTIONS(1295),
    [anon_sym___thread] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1295),
    [anon_sym_constexpr] = ACTIONS(1295),
    [anon_sym_volatile] = ACTIONS(1295),
    [anon_sym_restrict] = ACTIONS(1295),
    [anon_sym___restrict__] = ACTIONS(1295),
    [anon_sym__Atomic] = ACTIONS(1295),
    [anon_sym__Noreturn] = ACTIONS(1295),
    [anon_sym_noreturn] = ACTIONS(1295),
    [anon_sym_alignas] = ACTIONS(1295),
    [anon_sym__Alignas] = ACTIONS(1295),
    [sym_primitive_type] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1295),
    [anon_sym_struct] = ACTIONS(1295),
    [anon_sym_union] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_switch] = ACTIONS(1295),
    [anon_sym_case] = ACTIONS(1295),
    [anon_sym_default] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1295),
    [anon_sym_return] = ACTIONS(1295),
    [anon_sym_break] = ACTIONS(1295),
    [anon_sym_continue] = ACTIONS(1295),
    [anon_sym_goto] = ACTIONS(1295),
    [anon_sym___try] = ACTIONS(1295),
    [anon_sym___leave] = ACTIONS(1295),
    [anon_sym_DASH_DASH] = ACTIONS(1297),
    [anon_sym_PLUS_PLUS] = ACTIONS(1297),
    [anon_sym_sizeof] = ACTIONS(1295),
    [anon_sym___alignof__] = ACTIONS(1295),
    [anon_sym___alignof] = ACTIONS(1295),
    [anon_sym__alignof] = ACTIONS(1295),
    [anon_sym_alignof] = ACTIONS(1295),
    [anon_sym__Alignof] = ACTIONS(1295),
    [anon_sym_offsetof] = ACTIONS(1295),
    [anon_sym__Generic] = ACTIONS(1295),
    [anon_sym_asm] = ACTIONS(1295),
    [anon_sym___asm__] = ACTIONS(1295),
    [sym_number_literal] = ACTIONS(1297),
    [anon_sym_L_SQUOTE] = ACTIONS(1297),
    [anon_sym_u_SQUOTE] = ACTIONS(1297),
    [anon_sym_U_SQUOTE] = ACTIONS(1297),
    [anon_sym_u8_SQUOTE] = ACTIONS(1297),
    [anon_sym_SQUOTE] = ACTIONS(1297),
    [anon_sym_L_DQUOTE] = ACTIONS(1297),
    [anon_sym_u_DQUOTE] = ACTIONS(1297),
    [anon_sym_U_DQUOTE] = ACTIONS(1297),
    [anon_sym_u8_DQUOTE] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [sym_true] = ACTIONS(1295),
    [sym_false] = ACTIONS(1295),
    [anon_sym_NULL] = ACTIONS(1295),
    [anon_sym_nullptr] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_identifier] = ACTIONS(1255),
    [aux_sym_preproc_include_token1] = ACTIONS(1255),
    [aux_sym_preproc_def_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token2] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1255),
    [sym_preproc_directive] = ACTIONS(1255),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1257),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_SEMI] = ACTIONS(1257),
    [anon_sym___extension__] = ACTIONS(1255),
    [anon_sym_typedef] = ACTIONS(1255),
    [anon_sym_extern] = ACTIONS(1255),
    [anon_sym___attribute__] = ACTIONS(1255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1257),
    [anon_sym___declspec] = ACTIONS(1255),
    [anon_sym___cdecl] = ACTIONS(1255),
    [anon_sym___clrcall] = ACTIONS(1255),
    [anon_sym___stdcall] = ACTIONS(1255),
    [anon_sym___fastcall] = ACTIONS(1255),
    [anon_sym___thiscall] = ACTIONS(1255),
    [anon_sym___vectorcall] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1257),
    [anon_sym_signed] = ACTIONS(1255),
    [anon_sym_unsigned] = ACTIONS(1255),
    [anon_sym_long] = ACTIONS(1255),
    [anon_sym_short] = ACTIONS(1255),
    [anon_sym_static] = ACTIONS(1255),
    [anon_sym_auto] = ACTIONS(1255),
    [anon_sym_register] = ACTIONS(1255),
    [anon_sym_inline] = ACTIONS(1255),
    [anon_sym___inline] = ACTIONS(1255),
    [anon_sym___inline__] = ACTIONS(1255),
    [anon_sym___forceinline] = ACTIONS(1255),
    [anon_sym_thread_local] = ACTIONS(1255),
    [anon_sym___thread] = ACTIONS(1255),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_constexpr] = ACTIONS(1255),
    [anon_sym_volatile] = ACTIONS(1255),
    [anon_sym_restrict] = ACTIONS(1255),
    [anon_sym___restrict__] = ACTIONS(1255),
    [anon_sym__Atomic] = ACTIONS(1255),
    [anon_sym__Noreturn] = ACTIONS(1255),
    [anon_sym_noreturn] = ACTIONS(1255),
    [anon_sym_alignas] = ACTIONS(1255),
    [anon_sym__Alignas] = ACTIONS(1255),
    [sym_primitive_type] = ACTIONS(1255),
    [anon_sym_enum] = ACTIONS(1255),
    [anon_sym_struct] = ACTIONS(1255),
    [anon_sym_union] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(1255),
    [anon_sym_case] = ACTIONS(1255),
    [anon_sym_default] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(1255),
    [anon_sym_do] = ACTIONS(1255),
    [anon_sym_for] = ACTIONS(1255),
    [anon_sym_return] = ACTIONS(1255),
    [anon_sym_break] = ACTIONS(1255),
    [anon_sym_continue] = ACTIONS(1255),
    [anon_sym_goto] = ACTIONS(1255),
    [anon_sym___try] = ACTIONS(1255),
    [anon_sym___leave] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_sizeof] = ACTIONS(1255),
    [anon_sym___alignof__] = ACTIONS(1255),
    [anon_sym___alignof] = ACTIONS(1255),
    [anon_sym__alignof] = ACTIONS(1255),
    [anon_sym_alignof] = ACTIONS(1255),
    [anon_sym__Alignof] = ACTIONS(1255),
    [anon_sym_offsetof] = ACTIONS(1255),
    [anon_sym__Generic] = ACTIONS(1255),
    [anon_sym_asm] = ACTIONS(1255),
    [anon_sym___asm__] = ACTIONS(1255),
    [sym_number_literal] = ACTIONS(1257),
    [anon_sym_L_SQUOTE] = ACTIONS(1257),
    [anon_sym_u_SQUOTE] = ACTIONS(1257),
    [anon_sym_U_SQUOTE] = ACTIONS(1257),
    [anon_sym_u8_SQUOTE] = ACTIONS(1257),
    [anon_sym_SQUOTE] = ACTIONS(1257),
    [anon_sym_L_DQUOTE] = ACTIONS(1257),
    [anon_sym_u_DQUOTE] = ACTIONS(1257),
    [anon_sym_U_DQUOTE] = ACTIONS(1257),
    [anon_sym_u8_DQUOTE] = ACTIONS(1257),
    [anon_sym_DQUOTE] = ACTIONS(1257),
    [sym_true] = ACTIONS(1255),
    [sym_false] = ACTIONS(1255),
    [anon_sym_NULL] = ACTIONS(1255),
    [anon_sym_nullptr] = ACTIONS(1255),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_identifier] = ACTIONS(1267),
    [aux_sym_preproc_include_token1] = ACTIONS(1267),
    [aux_sym_preproc_def_token1] = ACTIONS(1267),
    [aux_sym_preproc_if_token1] = ACTIONS(1267),
    [aux_sym_preproc_if_token2] = ACTIONS(1267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1267),
    [sym_preproc_directive] = ACTIONS(1267),
    [anon_sym_LPAREN2] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1269),
    [anon_sym___extension__] = ACTIONS(1267),
    [anon_sym_typedef] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(1267),
    [anon_sym___attribute__] = ACTIONS(1267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(1267),
    [anon_sym___cdecl] = ACTIONS(1267),
    [anon_sym___clrcall] = ACTIONS(1267),
    [anon_sym___stdcall] = ACTIONS(1267),
    [anon_sym___fastcall] = ACTIONS(1267),
    [anon_sym___thiscall] = ACTIONS(1267),
    [anon_sym___vectorcall] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_signed] = ACTIONS(1267),
    [anon_sym_unsigned] = ACTIONS(1267),
    [anon_sym_long] = ACTIONS(1267),
    [anon_sym_short] = ACTIONS(1267),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_auto] = ACTIONS(1267),
    [anon_sym_register] = ACTIONS(1267),
    [anon_sym_inline] = ACTIONS(1267),
    [anon_sym___inline] = ACTIONS(1267),
    [anon_sym___inline__] = ACTIONS(1267),
    [anon_sym___forceinline] = ACTIONS(1267),
    [anon_sym_thread_local] = ACTIONS(1267),
    [anon_sym___thread] = ACTIONS(1267),
    [anon_sym_const] = ACTIONS(1267),
    [anon_sym_constexpr] = ACTIONS(1267),
    [anon_sym_volatile] = ACTIONS(1267),
    [anon_sym_restrict] = ACTIONS(1267),
    [anon_sym___restrict__] = ACTIONS(1267),
    [anon_sym__Atomic] = ACTIONS(1267),
    [anon_sym__Noreturn] = ACTIONS(1267),
    [anon_sym_noreturn] = ACTIONS(1267),
    [anon_sym_alignas] = ACTIONS(1267),
    [anon_sym__Alignas] = ACTIONS(1267),
    [sym_primitive_type] = ACTIONS(1267),
    [anon_sym_enum] = ACTIONS(1267),
    [anon_sym_struct] = ACTIONS(1267),
    [anon_sym_union] = ACTIONS(1267),
    [anon_sym_if] = ACTIONS(1267),
    [anon_sym_switch] = ACTIONS(1267),
    [anon_sym_case] = ACTIONS(1267),
    [anon_sym_default] = ACTIONS(1267),
    [anon_sym_while] = ACTIONS(1267),
    [anon_sym_do] = ACTIONS(1267),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_continue] = ACTIONS(1267),
    [anon_sym_goto] = ACTIONS(1267),
    [anon_sym___try] = ACTIONS(1267),
    [anon_sym___leave] = ACTIONS(1267),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_sizeof] = ACTIONS(1267),
    [anon_sym___alignof__] = ACTIONS(1267),
    [anon_sym___alignof] = ACTIONS(1267),
    [anon_sym__alignof] = ACTIONS(1267),
    [anon_sym_alignof] = ACTIONS(1267),
    [anon_sym__Alignof] = ACTIONS(1267),
    [anon_sym_offsetof] = ACTIONS(1267),
    [anon_sym__Generic] = ACTIONS(1267),
    [anon_sym_asm] = ACTIONS(1267),
    [anon_sym___asm__] = ACTIONS(1267),
    [sym_number_literal] = ACTIONS(1269),
    [anon_sym_L_SQUOTE] = ACTIONS(1269),
    [anon_sym_u_SQUOTE] = ACTIONS(1269),
    [anon_sym_U_SQUOTE] = ACTIONS(1269),
    [anon_sym_u8_SQUOTE] = ACTIONS(1269),
    [anon_sym_SQUOTE] = ACTIONS(1269),
    [anon_sym_L_DQUOTE] = ACTIONS(1269),
    [anon_sym_u_DQUOTE] = ACTIONS(1269),
    [anon_sym_U_DQUOTE] = ACTIONS(1269),
    [anon_sym_u8_DQUOTE] = ACTIONS(1269),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_true] = ACTIONS(1267),
    [sym_false] = ACTIONS(1267),
    [anon_sym_NULL] = ACTIONS(1267),
    [anon_sym_nullptr] = ACTIONS(1267),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_identifier] = ACTIONS(1295),
    [aux_sym_preproc_include_token1] = ACTIONS(1295),
    [aux_sym_preproc_def_token1] = ACTIONS(1295),
    [aux_sym_preproc_if_token1] = ACTIONS(1295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1295),
    [sym_preproc_directive] = ACTIONS(1295),
    [anon_sym_LPAREN2] = ACTIONS(1297),
    [anon_sym_BANG] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1295),
    [anon_sym_PLUS] = ACTIONS(1295),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1297),
    [anon_sym___extension__] = ACTIONS(1295),
    [anon_sym_typedef] = ACTIONS(1295),
    [anon_sym_extern] = ACTIONS(1295),
    [anon_sym___attribute__] = ACTIONS(1295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1297),
    [anon_sym___declspec] = ACTIONS(1295),
    [anon_sym___cdecl] = ACTIONS(1295),
    [anon_sym___clrcall] = ACTIONS(1295),
    [anon_sym___stdcall] = ACTIONS(1295),
    [anon_sym___fastcall] = ACTIONS(1295),
    [anon_sym___thiscall] = ACTIONS(1295),
    [anon_sym___vectorcall] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_RBRACE] = ACTIONS(1297),
    [anon_sym_signed] = ACTIONS(1295),
    [anon_sym_unsigned] = ACTIONS(1295),
    [anon_sym_long] = ACTIONS(1295),
    [anon_sym_short] = ACTIONS(1295),
    [anon_sym_static] = ACTIONS(1295),
    [anon_sym_auto] = ACTIONS(1295),
    [anon_sym_register] = ACTIONS(1295),
    [anon_sym_inline] = ACTIONS(1295),
    [anon_sym___inline] = ACTIONS(1295),
    [anon_sym___inline__] = ACTIONS(1295),
    [anon_sym___forceinline] = ACTIONS(1295),
    [anon_sym_thread_local] = ACTIONS(1295),
    [anon_sym___thread] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1295),
    [anon_sym_constexpr] = ACTIONS(1295),
    [anon_sym_volatile] = ACTIONS(1295),
    [anon_sym_restrict] = ACTIONS(1295),
    [anon_sym___restrict__] = ACTIONS(1295),
    [anon_sym__Atomic] = ACTIONS(1295),
    [anon_sym__Noreturn] = ACTIONS(1295),
    [anon_sym_noreturn] = ACTIONS(1295),
    [anon_sym_alignas] = ACTIONS(1295),
    [anon_sym__Alignas] = ACTIONS(1295),
    [sym_primitive_type] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1295),
    [anon_sym_struct] = ACTIONS(1295),
    [anon_sym_union] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_switch] = ACTIONS(1295),
    [anon_sym_case] = ACTIONS(1295),
    [anon_sym_default] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1295),
    [anon_sym_return] = ACTIONS(1295),
    [anon_sym_break] = ACTIONS(1295),
    [anon_sym_continue] = ACTIONS(1295),
    [anon_sym_goto] = ACTIONS(1295),
    [anon_sym___try] = ACTIONS(1295),
    [anon_sym___leave] = ACTIONS(1295),
    [anon_sym_DASH_DASH] = ACTIONS(1297),
    [anon_sym_PLUS_PLUS] = ACTIONS(1297),
    [anon_sym_sizeof] = ACTIONS(1295),
    [anon_sym___alignof__] = ACTIONS(1295),
    [anon_sym___alignof] = ACTIONS(1295),
    [anon_sym__alignof] = ACTIONS(1295),
    [anon_sym_alignof] = ACTIONS(1295),
    [anon_sym__Alignof] = ACTIONS(1295),
    [anon_sym_offsetof] = ACTIONS(1295),
    [anon_sym__Generic] = ACTIONS(1295),
    [anon_sym_asm] = ACTIONS(1295),
    [anon_sym___asm__] = ACTIONS(1295),
    [sym_number_literal] = ACTIONS(1297),
    [anon_sym_L_SQUOTE] = ACTIONS(1297),
    [anon_sym_u_SQUOTE] = ACTIONS(1297),
    [anon_sym_U_SQUOTE] = ACTIONS(1297),
    [anon_sym_u8_SQUOTE] = ACTIONS(1297),
    [anon_sym_SQUOTE] = ACTIONS(1297),
    [anon_sym_L_DQUOTE] = ACTIONS(1297),
    [anon_sym_u_DQUOTE] = ACTIONS(1297),
    [anon_sym_U_DQUOTE] = ACTIONS(1297),
    [anon_sym_u8_DQUOTE] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [sym_true] = ACTIONS(1295),
    [sym_false] = ACTIONS(1295),
    [anon_sym_NULL] = ACTIONS(1295),
    [anon_sym_nullptr] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_identifier] = ACTIONS(1283),
    [aux_sym_preproc_include_token1] = ACTIONS(1283),
    [aux_sym_preproc_def_token1] = ACTIONS(1283),
    [aux_sym_preproc_if_token1] = ACTIONS(1283),
    [aux_sym_preproc_if_token2] = ACTIONS(1283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1283),
    [sym_preproc_directive] = ACTIONS(1283),
    [anon_sym_LPAREN2] = ACTIONS(1285),
    [anon_sym_BANG] = ACTIONS(1285),
    [anon_sym_TILDE] = ACTIONS(1285),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(1285),
    [anon_sym___extension__] = ACTIONS(1283),
    [anon_sym_typedef] = ACTIONS(1283),
    [anon_sym_extern] = ACTIONS(1283),
    [anon_sym___attribute__] = ACTIONS(1283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1285),
    [anon_sym___declspec] = ACTIONS(1283),
    [anon_sym___cdecl] = ACTIONS(1283),
    [anon_sym___clrcall] = ACTIONS(1283),
    [anon_sym___stdcall] = ACTIONS(1283),
    [anon_sym___fastcall] = ACTIONS(1283),
    [anon_sym___thiscall] = ACTIONS(1283),
    [anon_sym___vectorcall] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_signed] = ACTIONS(1283),
    [anon_sym_unsigned] = ACTIONS(1283),
    [anon_sym_long] = ACTIONS(1283),
    [anon_sym_short] = ACTIONS(1283),
    [anon_sym_static] = ACTIONS(1283),
    [anon_sym_auto] = ACTIONS(1283),
    [anon_sym_register] = ACTIONS(1283),
    [anon_sym_inline] = ACTIONS(1283),
    [anon_sym___inline] = ACTIONS(1283),
    [anon_sym___inline__] = ACTIONS(1283),
    [anon_sym___forceinline] = ACTIONS(1283),
    [anon_sym_thread_local] = ACTIONS(1283),
    [anon_sym___thread] = ACTIONS(1283),
    [anon_sym_const] = ACTIONS(1283),
    [anon_sym_constexpr] = ACTIONS(1283),
    [anon_sym_volatile] = ACTIONS(1283),
    [anon_sym_restrict] = ACTIONS(1283),
    [anon_sym___restrict__] = ACTIONS(1283),
    [anon_sym__Atomic] = ACTIONS(1283),
    [anon_sym__Noreturn] = ACTIONS(1283),
    [anon_sym_noreturn] = ACTIONS(1283),
    [anon_sym_alignas] = ACTIONS(1283),
    [anon_sym__Alignas] = ACTIONS(1283),
    [sym_primitive_type] = ACTIONS(1283),
    [anon_sym_enum] = ACTIONS(1283),
    [anon_sym_struct] = ACTIONS(1283),
    [anon_sym_union] = ACTIONS(1283),
    [anon_sym_if] = ACTIONS(1283),
    [anon_sym_switch] = ACTIONS(1283),
    [anon_sym_case] = ACTIONS(1283),
    [anon_sym_default] = ACTIONS(1283),
    [anon_sym_while] = ACTIONS(1283),
    [anon_sym_do] = ACTIONS(1283),
    [anon_sym_for] = ACTIONS(1283),
    [anon_sym_return] = ACTIONS(1283),
    [anon_sym_break] = ACTIONS(1283),
    [anon_sym_continue] = ACTIONS(1283),
    [anon_sym_goto] = ACTIONS(1283),
    [anon_sym___try] = ACTIONS(1283),
    [anon_sym___leave] = ACTIONS(1283),
    [anon_sym_DASH_DASH] = ACTIONS(1285),
    [anon_sym_PLUS_PLUS] = ACTIONS(1285),
    [anon_sym_sizeof] = ACTIONS(1283),
    [anon_sym___alignof__] = ACTIONS(1283),
    [anon_sym___alignof] = ACTIONS(1283),
    [anon_sym__alignof] = ACTIONS(1283),
    [anon_sym_alignof] = ACTIONS(1283),
    [anon_sym__Alignof] = ACTIONS(1283),
    [anon_sym_offsetof] = ACTIONS(1283),
    [anon_sym__Generic] = ACTIONS(1283),
    [anon_sym_asm] = ACTIONS(1283),
    [anon_sym___asm__] = ACTIONS(1283),
    [sym_number_literal] = ACTIONS(1285),
    [anon_sym_L_SQUOTE] = ACTIONS(1285),
    [anon_sym_u_SQUOTE] = ACTIONS(1285),
    [anon_sym_U_SQUOTE] = ACTIONS(1285),
    [anon_sym_u8_SQUOTE] = ACTIONS(1285),
    [anon_sym_SQUOTE] = ACTIONS(1285),
    [anon_sym_L_DQUOTE] = ACTIONS(1285),
    [anon_sym_u_DQUOTE] = ACTIONS(1285),
    [anon_sym_U_DQUOTE] = ACTIONS(1285),
    [anon_sym_u8_DQUOTE] = ACTIONS(1285),
    [anon_sym_DQUOTE] = ACTIONS(1285),
    [sym_true] = ACTIONS(1283),
    [sym_false] = ACTIONS(1283),
    [anon_sym_NULL] = ACTIONS(1283),
    [anon_sym_nullptr] = ACTIONS(1283),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_identifier] = ACTIONS(1291),
    [aux_sym_preproc_include_token1] = ACTIONS(1291),
    [aux_sym_preproc_def_token1] = ACTIONS(1291),
    [aux_sym_preproc_if_token1] = ACTIONS(1291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1291),
    [sym_preproc_directive] = ACTIONS(1291),
    [anon_sym_LPAREN2] = ACTIONS(1293),
    [anon_sym_BANG] = ACTIONS(1293),
    [anon_sym_TILDE] = ACTIONS(1293),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1291),
    [anon_sym_STAR] = ACTIONS(1293),
    [anon_sym_AMP] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym___extension__] = ACTIONS(1291),
    [anon_sym_typedef] = ACTIONS(1291),
    [anon_sym_extern] = ACTIONS(1291),
    [anon_sym___attribute__] = ACTIONS(1291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1293),
    [anon_sym___declspec] = ACTIONS(1291),
    [anon_sym___cdecl] = ACTIONS(1291),
    [anon_sym___clrcall] = ACTIONS(1291),
    [anon_sym___stdcall] = ACTIONS(1291),
    [anon_sym___fastcall] = ACTIONS(1291),
    [anon_sym___thiscall] = ACTIONS(1291),
    [anon_sym___vectorcall] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1293),
    [anon_sym_RBRACE] = ACTIONS(1293),
    [anon_sym_signed] = ACTIONS(1291),
    [anon_sym_unsigned] = ACTIONS(1291),
    [anon_sym_long] = ACTIONS(1291),
    [anon_sym_short] = ACTIONS(1291),
    [anon_sym_static] = ACTIONS(1291),
    [anon_sym_auto] = ACTIONS(1291),
    [anon_sym_register] = ACTIONS(1291),
    [anon_sym_inline] = ACTIONS(1291),
    [anon_sym___inline] = ACTIONS(1291),
    [anon_sym___inline__] = ACTIONS(1291),
    [anon_sym___forceinline] = ACTIONS(1291),
    [anon_sym_thread_local] = ACTIONS(1291),
    [anon_sym___thread] = ACTIONS(1291),
    [anon_sym_const] = ACTIONS(1291),
    [anon_sym_constexpr] = ACTIONS(1291),
    [anon_sym_volatile] = ACTIONS(1291),
    [anon_sym_restrict] = ACTIONS(1291),
    [anon_sym___restrict__] = ACTIONS(1291),
    [anon_sym__Atomic] = ACTIONS(1291),
    [anon_sym__Noreturn] = ACTIONS(1291),
    [anon_sym_noreturn] = ACTIONS(1291),
    [anon_sym_alignas] = ACTIONS(1291),
    [anon_sym__Alignas] = ACTIONS(1291),
    [sym_primitive_type] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1291),
    [anon_sym_union] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1291),
    [anon_sym_switch] = ACTIONS(1291),
    [anon_sym_case] = ACTIONS(1291),
    [anon_sym_default] = ACTIONS(1291),
    [anon_sym_while] = ACTIONS(1291),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_for] = ACTIONS(1291),
    [anon_sym_return] = ACTIONS(1291),
    [anon_sym_break] = ACTIONS(1291),
    [anon_sym_continue] = ACTIONS(1291),
    [anon_sym_goto] = ACTIONS(1291),
    [anon_sym___try] = ACTIONS(1291),
    [anon_sym___leave] = ACTIONS(1291),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_sizeof] = ACTIONS(1291),
    [anon_sym___alignof__] = ACTIONS(1291),
    [anon_sym___alignof] = ACTIONS(1291),
    [anon_sym__alignof] = ACTIONS(1291),
    [anon_sym_alignof] = ACTIONS(1291),
    [anon_sym__Alignof] = ACTIONS(1291),
    [anon_sym_offsetof] = ACTIONS(1291),
    [anon_sym__Generic] = ACTIONS(1291),
    [anon_sym_asm] = ACTIONS(1291),
    [anon_sym___asm__] = ACTIONS(1291),
    [sym_number_literal] = ACTIONS(1293),
    [anon_sym_L_SQUOTE] = ACTIONS(1293),
    [anon_sym_u_SQUOTE] = ACTIONS(1293),
    [anon_sym_U_SQUOTE] = ACTIONS(1293),
    [anon_sym_u8_SQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1293),
    [anon_sym_L_DQUOTE] = ACTIONS(1293),
    [anon_sym_u_DQUOTE] = ACTIONS(1293),
    [anon_sym_U_DQUOTE] = ACTIONS(1293),
    [anon_sym_u8_DQUOTE] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [sym_true] = ACTIONS(1291),
    [sym_false] = ACTIONS(1291),
    [anon_sym_NULL] = ACTIONS(1291),
    [anon_sym_nullptr] = ACTIONS(1291),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_identifier] = ACTIONS(1311),
    [aux_sym_preproc_include_token1] = ACTIONS(1311),
    [aux_sym_preproc_def_token1] = ACTIONS(1311),
    [aux_sym_preproc_if_token1] = ACTIONS(1311),
    [aux_sym_preproc_if_token2] = ACTIONS(1311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1311),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1311),
    [sym_preproc_directive] = ACTIONS(1311),
    [anon_sym_LPAREN2] = ACTIONS(1313),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_TILDE] = ACTIONS(1313),
    [anon_sym_DASH] = ACTIONS(1311),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(1313),
    [anon_sym___extension__] = ACTIONS(1311),
    [anon_sym_typedef] = ACTIONS(1311),
    [anon_sym_extern] = ACTIONS(1311),
    [anon_sym___attribute__] = ACTIONS(1311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1313),
    [anon_sym___declspec] = ACTIONS(1311),
    [anon_sym___cdecl] = ACTIONS(1311),
    [anon_sym___clrcall] = ACTIONS(1311),
    [anon_sym___stdcall] = ACTIONS(1311),
    [anon_sym___fastcall] = ACTIONS(1311),
    [anon_sym___thiscall] = ACTIONS(1311),
    [anon_sym___vectorcall] = ACTIONS(1311),
    [anon_sym_LBRACE] = ACTIONS(1313),
    [anon_sym_signed] = ACTIONS(1311),
    [anon_sym_unsigned] = ACTIONS(1311),
    [anon_sym_long] = ACTIONS(1311),
    [anon_sym_short] = ACTIONS(1311),
    [anon_sym_static] = ACTIONS(1311),
    [anon_sym_auto] = ACTIONS(1311),
    [anon_sym_register] = ACTIONS(1311),
    [anon_sym_inline] = ACTIONS(1311),
    [anon_sym___inline] = ACTIONS(1311),
    [anon_sym___inline__] = ACTIONS(1311),
    [anon_sym___forceinline] = ACTIONS(1311),
    [anon_sym_thread_local] = ACTIONS(1311),
    [anon_sym___thread] = ACTIONS(1311),
    [anon_sym_const] = ACTIONS(1311),
    [anon_sym_constexpr] = ACTIONS(1311),
    [anon_sym_volatile] = ACTIONS(1311),
    [anon_sym_restrict] = ACTIONS(1311),
    [anon_sym___restrict__] = ACTIONS(1311),
    [anon_sym__Atomic] = ACTIONS(1311),
    [anon_sym__Noreturn] = ACTIONS(1311),
    [anon_sym_noreturn] = ACTIONS(1311),
    [anon_sym_alignas] = ACTIONS(1311),
    [anon_sym__Alignas] = ACTIONS(1311),
    [sym_primitive_type] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_struct] = ACTIONS(1311),
    [anon_sym_union] = ACTIONS(1311),
    [anon_sym_if] = ACTIONS(1311),
    [anon_sym_switch] = ACTIONS(1311),
    [anon_sym_case] = ACTIONS(1311),
    [anon_sym_default] = ACTIONS(1311),
    [anon_sym_while] = ACTIONS(1311),
    [anon_sym_do] = ACTIONS(1311),
    [anon_sym_for] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_continue] = ACTIONS(1311),
    [anon_sym_goto] = ACTIONS(1311),
    [anon_sym___try] = ACTIONS(1311),
    [anon_sym___leave] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_PLUS_PLUS] = ACTIONS(1313),
    [anon_sym_sizeof] = ACTIONS(1311),
    [anon_sym___alignof__] = ACTIONS(1311),
    [anon_sym___alignof] = ACTIONS(1311),
    [anon_sym__alignof] = ACTIONS(1311),
    [anon_sym_alignof] = ACTIONS(1311),
    [anon_sym__Alignof] = ACTIONS(1311),
    [anon_sym_offsetof] = ACTIONS(1311),
    [anon_sym__Generic] = ACTIONS(1311),
    [anon_sym_asm] = ACTIONS(1311),
    [anon_sym___asm__] = ACTIONS(1311),
    [sym_number_literal] = ACTIONS(1313),
    [anon_sym_L_SQUOTE] = ACTIONS(1313),
    [anon_sym_u_SQUOTE] = ACTIONS(1313),
    [anon_sym_U_SQUOTE] = ACTIONS(1313),
    [anon_sym_u8_SQUOTE] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1313),
    [anon_sym_L_DQUOTE] = ACTIONS(1313),
    [anon_sym_u_DQUOTE] = ACTIONS(1313),
    [anon_sym_U_DQUOTE] = ACTIONS(1313),
    [anon_sym_u8_DQUOTE] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(1313),
    [sym_true] = ACTIONS(1311),
    [sym_false] = ACTIONS(1311),
    [anon_sym_NULL] = ACTIONS(1311),
    [anon_sym_nullptr] = ACTIONS(1311),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_identifier] = ACTIONS(1331),
    [aux_sym_preproc_include_token1] = ACTIONS(1331),
    [aux_sym_preproc_def_token1] = ACTIONS(1331),
    [aux_sym_preproc_if_token1] = ACTIONS(1331),
    [aux_sym_preproc_if_token2] = ACTIONS(1331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1331),
    [sym_preproc_directive] = ACTIONS(1331),
    [anon_sym_LPAREN2] = ACTIONS(1333),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_TILDE] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_SEMI] = ACTIONS(1333),
    [anon_sym___extension__] = ACTIONS(1331),
    [anon_sym_typedef] = ACTIONS(1331),
    [anon_sym_extern] = ACTIONS(1331),
    [anon_sym___attribute__] = ACTIONS(1331),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1333),
    [anon_sym___declspec] = ACTIONS(1331),
    [anon_sym___cdecl] = ACTIONS(1331),
    [anon_sym___clrcall] = ACTIONS(1331),
    [anon_sym___stdcall] = ACTIONS(1331),
    [anon_sym___fastcall] = ACTIONS(1331),
    [anon_sym___thiscall] = ACTIONS(1331),
    [anon_sym___vectorcall] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1333),
    [anon_sym_signed] = ACTIONS(1331),
    [anon_sym_unsigned] = ACTIONS(1331),
    [anon_sym_long] = ACTIONS(1331),
    [anon_sym_short] = ACTIONS(1331),
    [anon_sym_static] = ACTIONS(1331),
    [anon_sym_auto] = ACTIONS(1331),
    [anon_sym_register] = ACTIONS(1331),
    [anon_sym_inline] = ACTIONS(1331),
    [anon_sym___inline] = ACTIONS(1331),
    [anon_sym___inline__] = ACTIONS(1331),
    [anon_sym___forceinline] = ACTIONS(1331),
    [anon_sym_thread_local] = ACTIONS(1331),
    [anon_sym___thread] = ACTIONS(1331),
    [anon_sym_const] = ACTIONS(1331),
    [anon_sym_constexpr] = ACTIONS(1331),
    [anon_sym_volatile] = ACTIONS(1331),
    [anon_sym_restrict] = ACTIONS(1331),
    [anon_sym___restrict__] = ACTIONS(1331),
    [anon_sym__Atomic] = ACTIONS(1331),
    [anon_sym__Noreturn] = ACTIONS(1331),
    [anon_sym_noreturn] = ACTIONS(1331),
    [anon_sym_alignas] = ACTIONS(1331),
    [anon_sym__Alignas] = ACTIONS(1331),
    [sym_primitive_type] = ACTIONS(1331),
    [anon_sym_enum] = ACTIONS(1331),
    [anon_sym_struct] = ACTIONS(1331),
    [anon_sym_union] = ACTIONS(1331),
    [anon_sym_if] = ACTIONS(1331),
    [anon_sym_switch] = ACTIONS(1331),
    [anon_sym_case] = ACTIONS(1331),
    [anon_sym_default] = ACTIONS(1331),
    [anon_sym_while] = ACTIONS(1331),
    [anon_sym_do] = ACTIONS(1331),
    [anon_sym_for] = ACTIONS(1331),
    [anon_sym_return] = ACTIONS(1331),
    [anon_sym_break] = ACTIONS(1331),
    [anon_sym_continue] = ACTIONS(1331),
    [anon_sym_goto] = ACTIONS(1331),
    [anon_sym___try] = ACTIONS(1331),
    [anon_sym___leave] = ACTIONS(1331),
    [anon_sym_DASH_DASH] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(1333),
    [anon_sym_sizeof] = ACTIONS(1331),
    [anon_sym___alignof__] = ACTIONS(1331),
    [anon_sym___alignof] = ACTIONS(1331),
    [anon_sym__alignof] = ACTIONS(1331),
    [anon_sym_alignof] = ACTIONS(1331),
    [anon_sym__Alignof] = ACTIONS(1331),
    [anon_sym_offsetof] = ACTIONS(1331),
    [anon_sym__Generic] = ACTIONS(1331),
    [anon_sym_asm] = ACTIONS(1331),
    [anon_sym___asm__] = ACTIONS(1331),
    [sym_number_literal] = ACTIONS(1333),
    [anon_sym_L_SQUOTE] = ACTIONS(1333),
    [anon_sym_u_SQUOTE] = ACTIONS(1333),
    [anon_sym_U_SQUOTE] = ACTIONS(1333),
    [anon_sym_u8_SQUOTE] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1333),
    [anon_sym_L_DQUOTE] = ACTIONS(1333),
    [anon_sym_u_DQUOTE] = ACTIONS(1333),
    [anon_sym_U_DQUOTE] = ACTIONS(1333),
    [anon_sym_u8_DQUOTE] = ACTIONS(1333),
    [anon_sym_DQUOTE] = ACTIONS(1333),
    [sym_true] = ACTIONS(1331),
    [sym_false] = ACTIONS(1331),
    [anon_sym_NULL] = ACTIONS(1331),
    [anon_sym_nullptr] = ACTIONS(1331),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_identifier] = ACTIONS(1339),
    [aux_sym_preproc_include_token1] = ACTIONS(1339),
    [aux_sym_preproc_def_token1] = ACTIONS(1339),
    [aux_sym_preproc_if_token1] = ACTIONS(1339),
    [aux_sym_preproc_if_token2] = ACTIONS(1339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1339),
    [sym_preproc_directive] = ACTIONS(1339),
    [anon_sym_LPAREN2] = ACTIONS(1341),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_SEMI] = ACTIONS(1341),
    [anon_sym___extension__] = ACTIONS(1339),
    [anon_sym_typedef] = ACTIONS(1339),
    [anon_sym_extern] = ACTIONS(1339),
    [anon_sym___attribute__] = ACTIONS(1339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1341),
    [anon_sym___declspec] = ACTIONS(1339),
    [anon_sym___cdecl] = ACTIONS(1339),
    [anon_sym___clrcall] = ACTIONS(1339),
    [anon_sym___stdcall] = ACTIONS(1339),
    [anon_sym___fastcall] = ACTIONS(1339),
    [anon_sym___thiscall] = ACTIONS(1339),
    [anon_sym___vectorcall] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_signed] = ACTIONS(1339),
    [anon_sym_unsigned] = ACTIONS(1339),
    [anon_sym_long] = ACTIONS(1339),
    [anon_sym_short] = ACTIONS(1339),
    [anon_sym_static] = ACTIONS(1339),
    [anon_sym_auto] = ACTIONS(1339),
    [anon_sym_register] = ACTIONS(1339),
    [anon_sym_inline] = ACTIONS(1339),
    [anon_sym___inline] = ACTIONS(1339),
    [anon_sym___inline__] = ACTIONS(1339),
    [anon_sym___forceinline] = ACTIONS(1339),
    [anon_sym_thread_local] = ACTIONS(1339),
    [anon_sym___thread] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1339),
    [anon_sym_constexpr] = ACTIONS(1339),
    [anon_sym_volatile] = ACTIONS(1339),
    [anon_sym_restrict] = ACTIONS(1339),
    [anon_sym___restrict__] = ACTIONS(1339),
    [anon_sym__Atomic] = ACTIONS(1339),
    [anon_sym__Noreturn] = ACTIONS(1339),
    [anon_sym_noreturn] = ACTIONS(1339),
    [anon_sym_alignas] = ACTIONS(1339),
    [anon_sym__Alignas] = ACTIONS(1339),
    [sym_primitive_type] = ACTIONS(1339),
    [anon_sym_enum] = ACTIONS(1339),
    [anon_sym_struct] = ACTIONS(1339),
    [anon_sym_union] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_switch] = ACTIONS(1339),
    [anon_sym_case] = ACTIONS(1339),
    [anon_sym_default] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1339),
    [anon_sym_do] = ACTIONS(1339),
    [anon_sym_for] = ACTIONS(1339),
    [anon_sym_return] = ACTIONS(1339),
    [anon_sym_break] = ACTIONS(1339),
    [anon_sym_continue] = ACTIONS(1339),
    [anon_sym_goto] = ACTIONS(1339),
    [anon_sym___try] = ACTIONS(1339),
    [anon_sym___leave] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1341),
    [anon_sym_sizeof] = ACTIONS(1339),
    [anon_sym___alignof__] = ACTIONS(1339),
    [anon_sym___alignof] = ACTIONS(1339),
    [anon_sym__alignof] = ACTIONS(1339),
    [anon_sym_alignof] = ACTIONS(1339),
    [anon_sym__Alignof] = ACTIONS(1339),
    [anon_sym_offsetof] = ACTIONS(1339),
    [anon_sym__Generic] = ACTIONS(1339),
    [anon_sym_asm] = ACTIONS(1339),
    [anon_sym___asm__] = ACTIONS(1339),
    [sym_number_literal] = ACTIONS(1341),
    [anon_sym_L_SQUOTE] = ACTIONS(1341),
    [anon_sym_u_SQUOTE] = ACTIONS(1341),
    [anon_sym_U_SQUOTE] = ACTIONS(1341),
    [anon_sym_u8_SQUOTE] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_L_DQUOTE] = ACTIONS(1341),
    [anon_sym_u_DQUOTE] = ACTIONS(1341),
    [anon_sym_U_DQUOTE] = ACTIONS(1341),
    [anon_sym_u8_DQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_true] = ACTIONS(1339),
    [sym_false] = ACTIONS(1339),
    [anon_sym_NULL] = ACTIONS(1339),
    [anon_sym_nullptr] = ACTIONS(1339),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_identifier] = ACTIONS(1255),
    [aux_sym_preproc_include_token1] = ACTIONS(1255),
    [aux_sym_preproc_def_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1255),
    [sym_preproc_directive] = ACTIONS(1255),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1257),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_SEMI] = ACTIONS(1257),
    [anon_sym___extension__] = ACTIONS(1255),
    [anon_sym_typedef] = ACTIONS(1255),
    [anon_sym_extern] = ACTIONS(1255),
    [anon_sym___attribute__] = ACTIONS(1255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1257),
    [anon_sym___declspec] = ACTIONS(1255),
    [anon_sym___cdecl] = ACTIONS(1255),
    [anon_sym___clrcall] = ACTIONS(1255),
    [anon_sym___stdcall] = ACTIONS(1255),
    [anon_sym___fastcall] = ACTIONS(1255),
    [anon_sym___thiscall] = ACTIONS(1255),
    [anon_sym___vectorcall] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1257),
    [anon_sym_RBRACE] = ACTIONS(1257),
    [anon_sym_signed] = ACTIONS(1255),
    [anon_sym_unsigned] = ACTIONS(1255),
    [anon_sym_long] = ACTIONS(1255),
    [anon_sym_short] = ACTIONS(1255),
    [anon_sym_static] = ACTIONS(1255),
    [anon_sym_auto] = ACTIONS(1255),
    [anon_sym_register] = ACTIONS(1255),
    [anon_sym_inline] = ACTIONS(1255),
    [anon_sym___inline] = ACTIONS(1255),
    [anon_sym___inline__] = ACTIONS(1255),
    [anon_sym___forceinline] = ACTIONS(1255),
    [anon_sym_thread_local] = ACTIONS(1255),
    [anon_sym___thread] = ACTIONS(1255),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_constexpr] = ACTIONS(1255),
    [anon_sym_volatile] = ACTIONS(1255),
    [anon_sym_restrict] = ACTIONS(1255),
    [anon_sym___restrict__] = ACTIONS(1255),
    [anon_sym__Atomic] = ACTIONS(1255),
    [anon_sym__Noreturn] = ACTIONS(1255),
    [anon_sym_noreturn] = ACTIONS(1255),
    [anon_sym_alignas] = ACTIONS(1255),
    [anon_sym__Alignas] = ACTIONS(1255),
    [sym_primitive_type] = ACTIONS(1255),
    [anon_sym_enum] = ACTIONS(1255),
    [anon_sym_struct] = ACTIONS(1255),
    [anon_sym_union] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(1255),
    [anon_sym_case] = ACTIONS(1255),
    [anon_sym_default] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(1255),
    [anon_sym_do] = ACTIONS(1255),
    [anon_sym_for] = ACTIONS(1255),
    [anon_sym_return] = ACTIONS(1255),
    [anon_sym_break] = ACTIONS(1255),
    [anon_sym_continue] = ACTIONS(1255),
    [anon_sym_goto] = ACTIONS(1255),
    [anon_sym___try] = ACTIONS(1255),
    [anon_sym___leave] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_sizeof] = ACTIONS(1255),
    [anon_sym___alignof__] = ACTIONS(1255),
    [anon_sym___alignof] = ACTIONS(1255),
    [anon_sym__alignof] = ACTIONS(1255),
    [anon_sym_alignof] = ACTIONS(1255),
    [anon_sym__Alignof] = ACTIONS(1255),
    [anon_sym_offsetof] = ACTIONS(1255),
    [anon_sym__Generic] = ACTIONS(1255),
    [anon_sym_asm] = ACTIONS(1255),
    [anon_sym___asm__] = ACTIONS(1255),
    [sym_number_literal] = ACTIONS(1257),
    [anon_sym_L_SQUOTE] = ACTIONS(1257),
    [anon_sym_u_SQUOTE] = ACTIONS(1257),
    [anon_sym_U_SQUOTE] = ACTIONS(1257),
    [anon_sym_u8_SQUOTE] = ACTIONS(1257),
    [anon_sym_SQUOTE] = ACTIONS(1257),
    [anon_sym_L_DQUOTE] = ACTIONS(1257),
    [anon_sym_u_DQUOTE] = ACTIONS(1257),
    [anon_sym_U_DQUOTE] = ACTIONS(1257),
    [anon_sym_u8_DQUOTE] = ACTIONS(1257),
    [anon_sym_DQUOTE] = ACTIONS(1257),
    [sym_true] = ACTIONS(1255),
    [sym_false] = ACTIONS(1255),
    [anon_sym_NULL] = ACTIONS(1255),
    [anon_sym_nullptr] = ACTIONS(1255),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_identifier] = ACTIONS(1335),
    [aux_sym_preproc_include_token1] = ACTIONS(1335),
    [aux_sym_preproc_def_token1] = ACTIONS(1335),
    [aux_sym_preproc_if_token1] = ACTIONS(1335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1335),
    [sym_preproc_directive] = ACTIONS(1335),
    [anon_sym_LPAREN2] = ACTIONS(1337),
    [anon_sym_BANG] = ACTIONS(1337),
    [anon_sym_TILDE] = ACTIONS(1337),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1337),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym___extension__] = ACTIONS(1335),
    [anon_sym_typedef] = ACTIONS(1335),
    [anon_sym_extern] = ACTIONS(1335),
    [anon_sym___attribute__] = ACTIONS(1335),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1337),
    [anon_sym___declspec] = ACTIONS(1335),
    [anon_sym___cdecl] = ACTIONS(1335),
    [anon_sym___clrcall] = ACTIONS(1335),
    [anon_sym___stdcall] = ACTIONS(1335),
    [anon_sym___fastcall] = ACTIONS(1335),
    [anon_sym___thiscall] = ACTIONS(1335),
    [anon_sym___vectorcall] = ACTIONS(1335),
    [anon_sym_LBRACE] = ACTIONS(1337),
    [anon_sym_RBRACE] = ACTIONS(1337),
    [anon_sym_signed] = ACTIONS(1335),
    [anon_sym_unsigned] = ACTIONS(1335),
    [anon_sym_long] = ACTIONS(1335),
    [anon_sym_short] = ACTIONS(1335),
    [anon_sym_static] = ACTIONS(1335),
    [anon_sym_auto] = ACTIONS(1335),
    [anon_sym_register] = ACTIONS(1335),
    [anon_sym_inline] = ACTIONS(1335),
    [anon_sym___inline] = ACTIONS(1335),
    [anon_sym___inline__] = ACTIONS(1335),
    [anon_sym___forceinline] = ACTIONS(1335),
    [anon_sym_thread_local] = ACTIONS(1335),
    [anon_sym___thread] = ACTIONS(1335),
    [anon_sym_const] = ACTIONS(1335),
    [anon_sym_constexpr] = ACTIONS(1335),
    [anon_sym_volatile] = ACTIONS(1335),
    [anon_sym_restrict] = ACTIONS(1335),
    [anon_sym___restrict__] = ACTIONS(1335),
    [anon_sym__Atomic] = ACTIONS(1335),
    [anon_sym__Noreturn] = ACTIONS(1335),
    [anon_sym_noreturn] = ACTIONS(1335),
    [anon_sym_alignas] = ACTIONS(1335),
    [anon_sym__Alignas] = ACTIONS(1335),
    [sym_primitive_type] = ACTIONS(1335),
    [anon_sym_enum] = ACTIONS(1335),
    [anon_sym_struct] = ACTIONS(1335),
    [anon_sym_union] = ACTIONS(1335),
    [anon_sym_if] = ACTIONS(1335),
    [anon_sym_switch] = ACTIONS(1335),
    [anon_sym_case] = ACTIONS(1335),
    [anon_sym_default] = ACTIONS(1335),
    [anon_sym_while] = ACTIONS(1335),
    [anon_sym_do] = ACTIONS(1335),
    [anon_sym_for] = ACTIONS(1335),
    [anon_sym_return] = ACTIONS(1335),
    [anon_sym_break] = ACTIONS(1335),
    [anon_sym_continue] = ACTIONS(1335),
    [anon_sym_goto] = ACTIONS(1335),
    [anon_sym___try] = ACTIONS(1335),
    [anon_sym___leave] = ACTIONS(1335),
    [anon_sym_DASH_DASH] = ACTIONS(1337),
    [anon_sym_PLUS_PLUS] = ACTIONS(1337),
    [anon_sym_sizeof] = ACTIONS(1335),
    [anon_sym___alignof__] = ACTIONS(1335),
    [anon_sym___alignof] = ACTIONS(1335),
    [anon_sym__alignof] = ACTIONS(1335),
    [anon_sym_alignof] = ACTIONS(1335),
    [anon_sym__Alignof] = ACTIONS(1335),
    [anon_sym_offsetof] = ACTIONS(1335),
    [anon_sym__Generic] = ACTIONS(1335),
    [anon_sym_asm] = ACTIONS(1335),
    [anon_sym___asm__] = ACTIONS(1335),
    [sym_number_literal] = ACTIONS(1337),
    [anon_sym_L_SQUOTE] = ACTIONS(1337),
    [anon_sym_u_SQUOTE] = ACTIONS(1337),
    [anon_sym_U_SQUOTE] = ACTIONS(1337),
    [anon_sym_u8_SQUOTE] = ACTIONS(1337),
    [anon_sym_SQUOTE] = ACTIONS(1337),
    [anon_sym_L_DQUOTE] = ACTIONS(1337),
    [anon_sym_u_DQUOTE] = ACTIONS(1337),
    [anon_sym_U_DQUOTE] = ACTIONS(1337),
    [anon_sym_u8_DQUOTE] = ACTIONS(1337),
    [anon_sym_DQUOTE] = ACTIONS(1337),
    [sym_true] = ACTIONS(1335),
    [sym_false] = ACTIONS(1335),
    [anon_sym_NULL] = ACTIONS(1335),
    [anon_sym_nullptr] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_identifier] = ACTIONS(1299),
    [aux_sym_preproc_include_token1] = ACTIONS(1299),
    [aux_sym_preproc_def_token1] = ACTIONS(1299),
    [aux_sym_preproc_if_token1] = ACTIONS(1299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1299),
    [sym_preproc_directive] = ACTIONS(1299),
    [anon_sym_LPAREN2] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(1301),
    [anon_sym_TILDE] = ACTIONS(1301),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_AMP] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(1301),
    [anon_sym___extension__] = ACTIONS(1299),
    [anon_sym_typedef] = ACTIONS(1299),
    [anon_sym_extern] = ACTIONS(1299),
    [anon_sym___attribute__] = ACTIONS(1299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1301),
    [anon_sym___declspec] = ACTIONS(1299),
    [anon_sym___cdecl] = ACTIONS(1299),
    [anon_sym___clrcall] = ACTIONS(1299),
    [anon_sym___stdcall] = ACTIONS(1299),
    [anon_sym___fastcall] = ACTIONS(1299),
    [anon_sym___thiscall] = ACTIONS(1299),
    [anon_sym___vectorcall] = ACTIONS(1299),
    [anon_sym_LBRACE] = ACTIONS(1301),
    [anon_sym_RBRACE] = ACTIONS(1301),
    [anon_sym_signed] = ACTIONS(1299),
    [anon_sym_unsigned] = ACTIONS(1299),
    [anon_sym_long] = ACTIONS(1299),
    [anon_sym_short] = ACTIONS(1299),
    [anon_sym_static] = ACTIONS(1299),
    [anon_sym_auto] = ACTIONS(1299),
    [anon_sym_register] = ACTIONS(1299),
    [anon_sym_inline] = ACTIONS(1299),
    [anon_sym___inline] = ACTIONS(1299),
    [anon_sym___inline__] = ACTIONS(1299),
    [anon_sym___forceinline] = ACTIONS(1299),
    [anon_sym_thread_local] = ACTIONS(1299),
    [anon_sym___thread] = ACTIONS(1299),
    [anon_sym_const] = ACTIONS(1299),
    [anon_sym_constexpr] = ACTIONS(1299),
    [anon_sym_volatile] = ACTIONS(1299),
    [anon_sym_restrict] = ACTIONS(1299),
    [anon_sym___restrict__] = ACTIONS(1299),
    [anon_sym__Atomic] = ACTIONS(1299),
    [anon_sym__Noreturn] = ACTIONS(1299),
    [anon_sym_noreturn] = ACTIONS(1299),
    [anon_sym_alignas] = ACTIONS(1299),
    [anon_sym__Alignas] = ACTIONS(1299),
    [sym_primitive_type] = ACTIONS(1299),
    [anon_sym_enum] = ACTIONS(1299),
    [anon_sym_struct] = ACTIONS(1299),
    [anon_sym_union] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1299),
    [anon_sym_switch] = ACTIONS(1299),
    [anon_sym_case] = ACTIONS(1299),
    [anon_sym_default] = ACTIONS(1299),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_do] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_return] = ACTIONS(1299),
    [anon_sym_break] = ACTIONS(1299),
    [anon_sym_continue] = ACTIONS(1299),
    [anon_sym_goto] = ACTIONS(1299),
    [anon_sym___try] = ACTIONS(1299),
    [anon_sym___leave] = ACTIONS(1299),
    [anon_sym_DASH_DASH] = ACTIONS(1301),
    [anon_sym_PLUS_PLUS] = ACTIONS(1301),
    [anon_sym_sizeof] = ACTIONS(1299),
    [anon_sym___alignof__] = ACTIONS(1299),
    [anon_sym___alignof] = ACTIONS(1299),
    [anon_sym__alignof] = ACTIONS(1299),
    [anon_sym_alignof] = ACTIONS(1299),
    [anon_sym__Alignof] = ACTIONS(1299),
    [anon_sym_offsetof] = ACTIONS(1299),
    [anon_sym__Generic] = ACTIONS(1299),
    [anon_sym_asm] = ACTIONS(1299),
    [anon_sym___asm__] = ACTIONS(1299),
    [sym_number_literal] = ACTIONS(1301),
    [anon_sym_L_SQUOTE] = ACTIONS(1301),
    [anon_sym_u_SQUOTE] = ACTIONS(1301),
    [anon_sym_U_SQUOTE] = ACTIONS(1301),
    [anon_sym_u8_SQUOTE] = ACTIONS(1301),
    [anon_sym_SQUOTE] = ACTIONS(1301),
    [anon_sym_L_DQUOTE] = ACTIONS(1301),
    [anon_sym_u_DQUOTE] = ACTIONS(1301),
    [anon_sym_U_DQUOTE] = ACTIONS(1301),
    [anon_sym_u8_DQUOTE] = ACTIONS(1301),
    [anon_sym_DQUOTE] = ACTIONS(1301),
    [sym_true] = ACTIONS(1299),
    [sym_false] = ACTIONS(1299),
    [anon_sym_NULL] = ACTIONS(1299),
    [anon_sym_nullptr] = ACTIONS(1299),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_identifier] = ACTIONS(1353),
    [aux_sym_preproc_include_token1] = ACTIONS(1353),
    [aux_sym_preproc_def_token1] = ACTIONS(1353),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_if_token2] = ACTIONS(1353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1353),
    [sym_preproc_directive] = ACTIONS(1353),
    [anon_sym_LPAREN2] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1355),
    [anon_sym_TILDE] = ACTIONS(1355),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1355),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_SEMI] = ACTIONS(1355),
    [anon_sym___extension__] = ACTIONS(1353),
    [anon_sym_typedef] = ACTIONS(1353),
    [anon_sym_extern] = ACTIONS(1353),
    [anon_sym___attribute__] = ACTIONS(1353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1355),
    [anon_sym___declspec] = ACTIONS(1353),
    [anon_sym___cdecl] = ACTIONS(1353),
    [anon_sym___clrcall] = ACTIONS(1353),
    [anon_sym___stdcall] = ACTIONS(1353),
    [anon_sym___fastcall] = ACTIONS(1353),
    [anon_sym___thiscall] = ACTIONS(1353),
    [anon_sym___vectorcall] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_signed] = ACTIONS(1353),
    [anon_sym_unsigned] = ACTIONS(1353),
    [anon_sym_long] = ACTIONS(1353),
    [anon_sym_short] = ACTIONS(1353),
    [anon_sym_static] = ACTIONS(1353),
    [anon_sym_auto] = ACTIONS(1353),
    [anon_sym_register] = ACTIONS(1353),
    [anon_sym_inline] = ACTIONS(1353),
    [anon_sym___inline] = ACTIONS(1353),
    [anon_sym___inline__] = ACTIONS(1353),
    [anon_sym___forceinline] = ACTIONS(1353),
    [anon_sym_thread_local] = ACTIONS(1353),
    [anon_sym___thread] = ACTIONS(1353),
    [anon_sym_const] = ACTIONS(1353),
    [anon_sym_constexpr] = ACTIONS(1353),
    [anon_sym_volatile] = ACTIONS(1353),
    [anon_sym_restrict] = ACTIONS(1353),
    [anon_sym___restrict__] = ACTIONS(1353),
    [anon_sym__Atomic] = ACTIONS(1353),
    [anon_sym__Noreturn] = ACTIONS(1353),
    [anon_sym_noreturn] = ACTIONS(1353),
    [anon_sym_alignas] = ACTIONS(1353),
    [anon_sym__Alignas] = ACTIONS(1353),
    [sym_primitive_type] = ACTIONS(1353),
    [anon_sym_enum] = ACTIONS(1353),
    [anon_sym_struct] = ACTIONS(1353),
    [anon_sym_union] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1353),
    [anon_sym_switch] = ACTIONS(1353),
    [anon_sym_case] = ACTIONS(1353),
    [anon_sym_default] = ACTIONS(1353),
    [anon_sym_while] = ACTIONS(1353),
    [anon_sym_do] = ACTIONS(1353),
    [anon_sym_for] = ACTIONS(1353),
    [anon_sym_return] = ACTIONS(1353),
    [anon_sym_break] = ACTIONS(1353),
    [anon_sym_continue] = ACTIONS(1353),
    [anon_sym_goto] = ACTIONS(1353),
    [anon_sym___try] = ACTIONS(1353),
    [anon_sym___leave] = ACTIONS(1353),
    [anon_sym_DASH_DASH] = ACTIONS(1355),
    [anon_sym_PLUS_PLUS] = ACTIONS(1355),
    [anon_sym_sizeof] = ACTIONS(1353),
    [anon_sym___alignof__] = ACTIONS(1353),
    [anon_sym___alignof] = ACTIONS(1353),
    [anon_sym__alignof] = ACTIONS(1353),
    [anon_sym_alignof] = ACTIONS(1353),
    [anon_sym__Alignof] = ACTIONS(1353),
    [anon_sym_offsetof] = ACTIONS(1353),
    [anon_sym__Generic] = ACTIONS(1353),
    [anon_sym_asm] = ACTIONS(1353),
    [anon_sym___asm__] = ACTIONS(1353),
    [sym_number_literal] = ACTIONS(1355),
    [anon_sym_L_SQUOTE] = ACTIONS(1355),
    [anon_sym_u_SQUOTE] = ACTIONS(1355),
    [anon_sym_U_SQUOTE] = ACTIONS(1355),
    [anon_sym_u8_SQUOTE] = ACTIONS(1355),
    [anon_sym_SQUOTE] = ACTIONS(1355),
    [anon_sym_L_DQUOTE] = ACTIONS(1355),
    [anon_sym_u_DQUOTE] = ACTIONS(1355),
    [anon_sym_U_DQUOTE] = ACTIONS(1355),
    [anon_sym_u8_DQUOTE] = ACTIONS(1355),
    [anon_sym_DQUOTE] = ACTIONS(1355),
    [sym_true] = ACTIONS(1353),
    [sym_false] = ACTIONS(1353),
    [anon_sym_NULL] = ACTIONS(1353),
    [anon_sym_nullptr] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_identifier] = ACTIONS(1303),
    [aux_sym_preproc_include_token1] = ACTIONS(1303),
    [aux_sym_preproc_def_token1] = ACTIONS(1303),
    [aux_sym_preproc_if_token1] = ACTIONS(1303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1303),
    [sym_preproc_directive] = ACTIONS(1303),
    [anon_sym_LPAREN2] = ACTIONS(1305),
    [anon_sym_BANG] = ACTIONS(1305),
    [anon_sym_TILDE] = ACTIONS(1305),
    [anon_sym_DASH] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym___extension__] = ACTIONS(1303),
    [anon_sym_typedef] = ACTIONS(1303),
    [anon_sym_extern] = ACTIONS(1303),
    [anon_sym___attribute__] = ACTIONS(1303),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1305),
    [anon_sym___declspec] = ACTIONS(1303),
    [anon_sym___cdecl] = ACTIONS(1303),
    [anon_sym___clrcall] = ACTIONS(1303),
    [anon_sym___stdcall] = ACTIONS(1303),
    [anon_sym___fastcall] = ACTIONS(1303),
    [anon_sym___thiscall] = ACTIONS(1303),
    [anon_sym___vectorcall] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_RBRACE] = ACTIONS(1305),
    [anon_sym_signed] = ACTIONS(1303),
    [anon_sym_unsigned] = ACTIONS(1303),
    [anon_sym_long] = ACTIONS(1303),
    [anon_sym_short] = ACTIONS(1303),
    [anon_sym_static] = ACTIONS(1303),
    [anon_sym_auto] = ACTIONS(1303),
    [anon_sym_register] = ACTIONS(1303),
    [anon_sym_inline] = ACTIONS(1303),
    [anon_sym___inline] = ACTIONS(1303),
    [anon_sym___inline__] = ACTIONS(1303),
    [anon_sym___forceinline] = ACTIONS(1303),
    [anon_sym_thread_local] = ACTIONS(1303),
    [anon_sym___thread] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_constexpr] = ACTIONS(1303),
    [anon_sym_volatile] = ACTIONS(1303),
    [anon_sym_restrict] = ACTIONS(1303),
    [anon_sym___restrict__] = ACTIONS(1303),
    [anon_sym__Atomic] = ACTIONS(1303),
    [anon_sym__Noreturn] = ACTIONS(1303),
    [anon_sym_noreturn] = ACTIONS(1303),
    [anon_sym_alignas] = ACTIONS(1303),
    [anon_sym__Alignas] = ACTIONS(1303),
    [sym_primitive_type] = ACTIONS(1303),
    [anon_sym_enum] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_union] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_switch] = ACTIONS(1303),
    [anon_sym_case] = ACTIONS(1303),
    [anon_sym_default] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [anon_sym_do] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_break] = ACTIONS(1303),
    [anon_sym_continue] = ACTIONS(1303),
    [anon_sym_goto] = ACTIONS(1303),
    [anon_sym___try] = ACTIONS(1303),
    [anon_sym___leave] = ACTIONS(1303),
    [anon_sym_DASH_DASH] = ACTIONS(1305),
    [anon_sym_PLUS_PLUS] = ACTIONS(1305),
    [anon_sym_sizeof] = ACTIONS(1303),
    [anon_sym___alignof__] = ACTIONS(1303),
    [anon_sym___alignof] = ACTIONS(1303),
    [anon_sym__alignof] = ACTIONS(1303),
    [anon_sym_alignof] = ACTIONS(1303),
    [anon_sym__Alignof] = ACTIONS(1303),
    [anon_sym_offsetof] = ACTIONS(1303),
    [anon_sym__Generic] = ACTIONS(1303),
    [anon_sym_asm] = ACTIONS(1303),
    [anon_sym___asm__] = ACTIONS(1303),
    [sym_number_literal] = ACTIONS(1305),
    [anon_sym_L_SQUOTE] = ACTIONS(1305),
    [anon_sym_u_SQUOTE] = ACTIONS(1305),
    [anon_sym_U_SQUOTE] = ACTIONS(1305),
    [anon_sym_u8_SQUOTE] = ACTIONS(1305),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [anon_sym_L_DQUOTE] = ACTIONS(1305),
    [anon_sym_u_DQUOTE] = ACTIONS(1305),
    [anon_sym_U_DQUOTE] = ACTIONS(1305),
    [anon_sym_u8_DQUOTE] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(1305),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [anon_sym_NULL] = ACTIONS(1303),
    [anon_sym_nullptr] = ACTIONS(1303),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_identifier] = ACTIONS(1307),
    [aux_sym_preproc_include_token1] = ACTIONS(1307),
    [aux_sym_preproc_def_token1] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1307),
    [sym_preproc_directive] = ACTIONS(1307),
    [anon_sym_LPAREN2] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1307),
    [anon_sym_PLUS] = ACTIONS(1307),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(1309),
    [anon_sym___extension__] = ACTIONS(1307),
    [anon_sym_typedef] = ACTIONS(1307),
    [anon_sym_extern] = ACTIONS(1307),
    [anon_sym___attribute__] = ACTIONS(1307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1309),
    [anon_sym___declspec] = ACTIONS(1307),
    [anon_sym___cdecl] = ACTIONS(1307),
    [anon_sym___clrcall] = ACTIONS(1307),
    [anon_sym___stdcall] = ACTIONS(1307),
    [anon_sym___fastcall] = ACTIONS(1307),
    [anon_sym___thiscall] = ACTIONS(1307),
    [anon_sym___vectorcall] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_RBRACE] = ACTIONS(1309),
    [anon_sym_signed] = ACTIONS(1307),
    [anon_sym_unsigned] = ACTIONS(1307),
    [anon_sym_long] = ACTIONS(1307),
    [anon_sym_short] = ACTIONS(1307),
    [anon_sym_static] = ACTIONS(1307),
    [anon_sym_auto] = ACTIONS(1307),
    [anon_sym_register] = ACTIONS(1307),
    [anon_sym_inline] = ACTIONS(1307),
    [anon_sym___inline] = ACTIONS(1307),
    [anon_sym___inline__] = ACTIONS(1307),
    [anon_sym___forceinline] = ACTIONS(1307),
    [anon_sym_thread_local] = ACTIONS(1307),
    [anon_sym___thread] = ACTIONS(1307),
    [anon_sym_const] = ACTIONS(1307),
    [anon_sym_constexpr] = ACTIONS(1307),
    [anon_sym_volatile] = ACTIONS(1307),
    [anon_sym_restrict] = ACTIONS(1307),
    [anon_sym___restrict__] = ACTIONS(1307),
    [anon_sym__Atomic] = ACTIONS(1307),
    [anon_sym__Noreturn] = ACTIONS(1307),
    [anon_sym_noreturn] = ACTIONS(1307),
    [anon_sym_alignas] = ACTIONS(1307),
    [anon_sym__Alignas] = ACTIONS(1307),
    [sym_primitive_type] = ACTIONS(1307),
    [anon_sym_enum] = ACTIONS(1307),
    [anon_sym_struct] = ACTIONS(1307),
    [anon_sym_union] = ACTIONS(1307),
    [anon_sym_if] = ACTIONS(1307),
    [anon_sym_switch] = ACTIONS(1307),
    [anon_sym_case] = ACTIONS(1307),
    [anon_sym_default] = ACTIONS(1307),
    [anon_sym_while] = ACTIONS(1307),
    [anon_sym_do] = ACTIONS(1307),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_return] = ACTIONS(1307),
    [anon_sym_break] = ACTIONS(1307),
    [anon_sym_continue] = ACTIONS(1307),
    [anon_sym_goto] = ACTIONS(1307),
    [anon_sym___try] = ACTIONS(1307),
    [anon_sym___leave] = ACTIONS(1307),
    [anon_sym_DASH_DASH] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1309),
    [anon_sym_sizeof] = ACTIONS(1307),
    [anon_sym___alignof__] = ACTIONS(1307),
    [anon_sym___alignof] = ACTIONS(1307),
    [anon_sym__alignof] = ACTIONS(1307),
    [anon_sym_alignof] = ACTIONS(1307),
    [anon_sym__Alignof] = ACTIONS(1307),
    [anon_sym_offsetof] = ACTIONS(1307),
    [anon_sym__Generic] = ACTIONS(1307),
    [anon_sym_asm] = ACTIONS(1307),
    [anon_sym___asm__] = ACTIONS(1307),
    [sym_number_literal] = ACTIONS(1309),
    [anon_sym_L_SQUOTE] = ACTIONS(1309),
    [anon_sym_u_SQUOTE] = ACTIONS(1309),
    [anon_sym_U_SQUOTE] = ACTIONS(1309),
    [anon_sym_u8_SQUOTE] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1309),
    [anon_sym_L_DQUOTE] = ACTIONS(1309),
    [anon_sym_u_DQUOTE] = ACTIONS(1309),
    [anon_sym_U_DQUOTE] = ACTIONS(1309),
    [anon_sym_u8_DQUOTE] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(1309),
    [sym_true] = ACTIONS(1307),
    [sym_false] = ACTIONS(1307),
    [anon_sym_NULL] = ACTIONS(1307),
    [anon_sym_nullptr] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_identifier] = ACTIONS(1283),
    [aux_sym_preproc_include_token1] = ACTIONS(1283),
    [aux_sym_preproc_def_token1] = ACTIONS(1283),
    [aux_sym_preproc_if_token1] = ACTIONS(1283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1283),
    [sym_preproc_directive] = ACTIONS(1283),
    [anon_sym_LPAREN2] = ACTIONS(1285),
    [anon_sym_BANG] = ACTIONS(1285),
    [anon_sym_TILDE] = ACTIONS(1285),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(1285),
    [anon_sym___extension__] = ACTIONS(1283),
    [anon_sym_typedef] = ACTIONS(1283),
    [anon_sym_extern] = ACTIONS(1283),
    [anon_sym___attribute__] = ACTIONS(1283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1285),
    [anon_sym___declspec] = ACTIONS(1283),
    [anon_sym___cdecl] = ACTIONS(1283),
    [anon_sym___clrcall] = ACTIONS(1283),
    [anon_sym___stdcall] = ACTIONS(1283),
    [anon_sym___fastcall] = ACTIONS(1283),
    [anon_sym___thiscall] = ACTIONS(1283),
    [anon_sym___vectorcall] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_RBRACE] = ACTIONS(1285),
    [anon_sym_signed] = ACTIONS(1283),
    [anon_sym_unsigned] = ACTIONS(1283),
    [anon_sym_long] = ACTIONS(1283),
    [anon_sym_short] = ACTIONS(1283),
    [anon_sym_static] = ACTIONS(1283),
    [anon_sym_auto] = ACTIONS(1283),
    [anon_sym_register] = ACTIONS(1283),
    [anon_sym_inline] = ACTIONS(1283),
    [anon_sym___inline] = ACTIONS(1283),
    [anon_sym___inline__] = ACTIONS(1283),
    [anon_sym___forceinline] = ACTIONS(1283),
    [anon_sym_thread_local] = ACTIONS(1283),
    [anon_sym___thread] = ACTIONS(1283),
    [anon_sym_const] = ACTIONS(1283),
    [anon_sym_constexpr] = ACTIONS(1283),
    [anon_sym_volatile] = ACTIONS(1283),
    [anon_sym_restrict] = ACTIONS(1283),
    [anon_sym___restrict__] = ACTIONS(1283),
    [anon_sym__Atomic] = ACTIONS(1283),
    [anon_sym__Noreturn] = ACTIONS(1283),
    [anon_sym_noreturn] = ACTIONS(1283),
    [anon_sym_alignas] = ACTIONS(1283),
    [anon_sym__Alignas] = ACTIONS(1283),
    [sym_primitive_type] = ACTIONS(1283),
    [anon_sym_enum] = ACTIONS(1283),
    [anon_sym_struct] = ACTIONS(1283),
    [anon_sym_union] = ACTIONS(1283),
    [anon_sym_if] = ACTIONS(1283),
    [anon_sym_switch] = ACTIONS(1283),
    [anon_sym_case] = ACTIONS(1283),
    [anon_sym_default] = ACTIONS(1283),
    [anon_sym_while] = ACTIONS(1283),
    [anon_sym_do] = ACTIONS(1283),
    [anon_sym_for] = ACTIONS(1283),
    [anon_sym_return] = ACTIONS(1283),
    [anon_sym_break] = ACTIONS(1283),
    [anon_sym_continue] = ACTIONS(1283),
    [anon_sym_goto] = ACTIONS(1283),
    [anon_sym___try] = ACTIONS(1283),
    [anon_sym___leave] = ACTIONS(1283),
    [anon_sym_DASH_DASH] = ACTIONS(1285),
    [anon_sym_PLUS_PLUS] = ACTIONS(1285),
    [anon_sym_sizeof] = ACTIONS(1283),
    [anon_sym___alignof__] = ACTIONS(1283),
    [anon_sym___alignof] = ACTIONS(1283),
    [anon_sym__alignof] = ACTIONS(1283),
    [anon_sym_alignof] = ACTIONS(1283),
    [anon_sym__Alignof] = ACTIONS(1283),
    [anon_sym_offsetof] = ACTIONS(1283),
    [anon_sym__Generic] = ACTIONS(1283),
    [anon_sym_asm] = ACTIONS(1283),
    [anon_sym___asm__] = ACTIONS(1283),
    [sym_number_literal] = ACTIONS(1285),
    [anon_sym_L_SQUOTE] = ACTIONS(1285),
    [anon_sym_u_SQUOTE] = ACTIONS(1285),
    [anon_sym_U_SQUOTE] = ACTIONS(1285),
    [anon_sym_u8_SQUOTE] = ACTIONS(1285),
    [anon_sym_SQUOTE] = ACTIONS(1285),
    [anon_sym_L_DQUOTE] = ACTIONS(1285),
    [anon_sym_u_DQUOTE] = ACTIONS(1285),
    [anon_sym_U_DQUOTE] = ACTIONS(1285),
    [anon_sym_u8_DQUOTE] = ACTIONS(1285),
    [anon_sym_DQUOTE] = ACTIONS(1285),
    [sym_true] = ACTIONS(1283),
    [sym_false] = ACTIONS(1283),
    [anon_sym_NULL] = ACTIONS(1283),
    [anon_sym_nullptr] = ACTIONS(1283),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_identifier] = ACTIONS(1267),
    [aux_sym_preproc_include_token1] = ACTIONS(1267),
    [aux_sym_preproc_def_token1] = ACTIONS(1267),
    [aux_sym_preproc_if_token1] = ACTIONS(1267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1267),
    [sym_preproc_directive] = ACTIONS(1267),
    [anon_sym_LPAREN2] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1269),
    [anon_sym___extension__] = ACTIONS(1267),
    [anon_sym_typedef] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(1267),
    [anon_sym___attribute__] = ACTIONS(1267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(1267),
    [anon_sym___cdecl] = ACTIONS(1267),
    [anon_sym___clrcall] = ACTIONS(1267),
    [anon_sym___stdcall] = ACTIONS(1267),
    [anon_sym___fastcall] = ACTIONS(1267),
    [anon_sym___thiscall] = ACTIONS(1267),
    [anon_sym___vectorcall] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_RBRACE] = ACTIONS(1269),
    [anon_sym_signed] = ACTIONS(1267),
    [anon_sym_unsigned] = ACTIONS(1267),
    [anon_sym_long] = ACTIONS(1267),
    [anon_sym_short] = ACTIONS(1267),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_auto] = ACTIONS(1267),
    [anon_sym_register] = ACTIONS(1267),
    [anon_sym_inline] = ACTIONS(1267),
    [anon_sym___inline] = ACTIONS(1267),
    [anon_sym___inline__] = ACTIONS(1267),
    [anon_sym___forceinline] = ACTIONS(1267),
    [anon_sym_thread_local] = ACTIONS(1267),
    [anon_sym___thread] = ACTIONS(1267),
    [anon_sym_const] = ACTIONS(1267),
    [anon_sym_constexpr] = ACTIONS(1267),
    [anon_sym_volatile] = ACTIONS(1267),
    [anon_sym_restrict] = ACTIONS(1267),
    [anon_sym___restrict__] = ACTIONS(1267),
    [anon_sym__Atomic] = ACTIONS(1267),
    [anon_sym__Noreturn] = ACTIONS(1267),
    [anon_sym_noreturn] = ACTIONS(1267),
    [anon_sym_alignas] = ACTIONS(1267),
    [anon_sym__Alignas] = ACTIONS(1267),
    [sym_primitive_type] = ACTIONS(1267),
    [anon_sym_enum] = ACTIONS(1267),
    [anon_sym_struct] = ACTIONS(1267),
    [anon_sym_union] = ACTIONS(1267),
    [anon_sym_if] = ACTIONS(1267),
    [anon_sym_switch] = ACTIONS(1267),
    [anon_sym_case] = ACTIONS(1267),
    [anon_sym_default] = ACTIONS(1267),
    [anon_sym_while] = ACTIONS(1267),
    [anon_sym_do] = ACTIONS(1267),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_continue] = ACTIONS(1267),
    [anon_sym_goto] = ACTIONS(1267),
    [anon_sym___try] = ACTIONS(1267),
    [anon_sym___leave] = ACTIONS(1267),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_sizeof] = ACTIONS(1267),
    [anon_sym___alignof__] = ACTIONS(1267),
    [anon_sym___alignof] = ACTIONS(1267),
    [anon_sym__alignof] = ACTIONS(1267),
    [anon_sym_alignof] = ACTIONS(1267),
    [anon_sym__Alignof] = ACTIONS(1267),
    [anon_sym_offsetof] = ACTIONS(1267),
    [anon_sym__Generic] = ACTIONS(1267),
    [anon_sym_asm] = ACTIONS(1267),
    [anon_sym___asm__] = ACTIONS(1267),
    [sym_number_literal] = ACTIONS(1269),
    [anon_sym_L_SQUOTE] = ACTIONS(1269),
    [anon_sym_u_SQUOTE] = ACTIONS(1269),
    [anon_sym_U_SQUOTE] = ACTIONS(1269),
    [anon_sym_u8_SQUOTE] = ACTIONS(1269),
    [anon_sym_SQUOTE] = ACTIONS(1269),
    [anon_sym_L_DQUOTE] = ACTIONS(1269),
    [anon_sym_u_DQUOTE] = ACTIONS(1269),
    [anon_sym_U_DQUOTE] = ACTIONS(1269),
    [anon_sym_u8_DQUOTE] = ACTIONS(1269),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_true] = ACTIONS(1267),
    [sym_false] = ACTIONS(1267),
    [anon_sym_NULL] = ACTIONS(1267),
    [anon_sym_nullptr] = ACTIONS(1267),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_identifier] = ACTIONS(1271),
    [aux_sym_preproc_include_token1] = ACTIONS(1271),
    [aux_sym_preproc_def_token1] = ACTIONS(1271),
    [aux_sym_preproc_if_token1] = ACTIONS(1271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1271),
    [sym_preproc_directive] = ACTIONS(1271),
    [anon_sym_LPAREN2] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_AMP] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1273),
    [anon_sym___extension__] = ACTIONS(1271),
    [anon_sym_typedef] = ACTIONS(1271),
    [anon_sym_extern] = ACTIONS(1271),
    [anon_sym___attribute__] = ACTIONS(1271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1273),
    [anon_sym___declspec] = ACTIONS(1271),
    [anon_sym___cdecl] = ACTIONS(1271),
    [anon_sym___clrcall] = ACTIONS(1271),
    [anon_sym___stdcall] = ACTIONS(1271),
    [anon_sym___fastcall] = ACTIONS(1271),
    [anon_sym___thiscall] = ACTIONS(1271),
    [anon_sym___vectorcall] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_RBRACE] = ACTIONS(1273),
    [anon_sym_signed] = ACTIONS(1271),
    [anon_sym_unsigned] = ACTIONS(1271),
    [anon_sym_long] = ACTIONS(1271),
    [anon_sym_short] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1271),
    [anon_sym_auto] = ACTIONS(1271),
    [anon_sym_register] = ACTIONS(1271),
    [anon_sym_inline] = ACTIONS(1271),
    [anon_sym___inline] = ACTIONS(1271),
    [anon_sym___inline__] = ACTIONS(1271),
    [anon_sym___forceinline] = ACTIONS(1271),
    [anon_sym_thread_local] = ACTIONS(1271),
    [anon_sym___thread] = ACTIONS(1271),
    [anon_sym_const] = ACTIONS(1271),
    [anon_sym_constexpr] = ACTIONS(1271),
    [anon_sym_volatile] = ACTIONS(1271),
    [anon_sym_restrict] = ACTIONS(1271),
    [anon_sym___restrict__] = ACTIONS(1271),
    [anon_sym__Atomic] = ACTIONS(1271),
    [anon_sym__Noreturn] = ACTIONS(1271),
    [anon_sym_noreturn] = ACTIONS(1271),
    [anon_sym_alignas] = ACTIONS(1271),
    [anon_sym__Alignas] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(1271),
    [anon_sym_enum] = ACTIONS(1271),
    [anon_sym_struct] = ACTIONS(1271),
    [anon_sym_union] = ACTIONS(1271),
    [anon_sym_if] = ACTIONS(1271),
    [anon_sym_switch] = ACTIONS(1271),
    [anon_sym_case] = ACTIONS(1271),
    [anon_sym_default] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1271),
    [anon_sym_do] = ACTIONS(1271),
    [anon_sym_for] = ACTIONS(1271),
    [anon_sym_return] = ACTIONS(1271),
    [anon_sym_break] = ACTIONS(1271),
    [anon_sym_continue] = ACTIONS(1271),
    [anon_sym_goto] = ACTIONS(1271),
    [anon_sym___try] = ACTIONS(1271),
    [anon_sym___leave] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1273),
    [anon_sym_sizeof] = ACTIONS(1271),
    [anon_sym___alignof__] = ACTIONS(1271),
    [anon_sym___alignof] = ACTIONS(1271),
    [anon_sym__alignof] = ACTIONS(1271),
    [anon_sym_alignof] = ACTIONS(1271),
    [anon_sym__Alignof] = ACTIONS(1271),
    [anon_sym_offsetof] = ACTIONS(1271),
    [anon_sym__Generic] = ACTIONS(1271),
    [anon_sym_asm] = ACTIONS(1271),
    [anon_sym___asm__] = ACTIONS(1271),
    [sym_number_literal] = ACTIONS(1273),
    [anon_sym_L_SQUOTE] = ACTIONS(1273),
    [anon_sym_u_SQUOTE] = ACTIONS(1273),
    [anon_sym_U_SQUOTE] = ACTIONS(1273),
    [anon_sym_u8_SQUOTE] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1273),
    [anon_sym_L_DQUOTE] = ACTIONS(1273),
    [anon_sym_u_DQUOTE] = ACTIONS(1273),
    [anon_sym_U_DQUOTE] = ACTIONS(1273),
    [anon_sym_u8_DQUOTE] = ACTIONS(1273),
    [anon_sym_DQUOTE] = ACTIONS(1273),
    [sym_true] = ACTIONS(1271),
    [sym_false] = ACTIONS(1271),
    [anon_sym_NULL] = ACTIONS(1271),
    [anon_sym_nullptr] = ACTIONS(1271),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_identifier] = ACTIONS(1315),
    [aux_sym_preproc_include_token1] = ACTIONS(1315),
    [aux_sym_preproc_def_token1] = ACTIONS(1315),
    [aux_sym_preproc_if_token1] = ACTIONS(1315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1315),
    [sym_preproc_directive] = ACTIONS(1315),
    [anon_sym_LPAREN2] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_TILDE] = ACTIONS(1317),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_SEMI] = ACTIONS(1317),
    [anon_sym___extension__] = ACTIONS(1315),
    [anon_sym_typedef] = ACTIONS(1315),
    [anon_sym_extern] = ACTIONS(1315),
    [anon_sym___attribute__] = ACTIONS(1315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1317),
    [anon_sym___declspec] = ACTIONS(1315),
    [anon_sym___cdecl] = ACTIONS(1315),
    [anon_sym___clrcall] = ACTIONS(1315),
    [anon_sym___stdcall] = ACTIONS(1315),
    [anon_sym___fastcall] = ACTIONS(1315),
    [anon_sym___thiscall] = ACTIONS(1315),
    [anon_sym___vectorcall] = ACTIONS(1315),
    [anon_sym_LBRACE] = ACTIONS(1317),
    [anon_sym_RBRACE] = ACTIONS(1317),
    [anon_sym_signed] = ACTIONS(1315),
    [anon_sym_unsigned] = ACTIONS(1315),
    [anon_sym_long] = ACTIONS(1315),
    [anon_sym_short] = ACTIONS(1315),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_auto] = ACTIONS(1315),
    [anon_sym_register] = ACTIONS(1315),
    [anon_sym_inline] = ACTIONS(1315),
    [anon_sym___inline] = ACTIONS(1315),
    [anon_sym___inline__] = ACTIONS(1315),
    [anon_sym___forceinline] = ACTIONS(1315),
    [anon_sym_thread_local] = ACTIONS(1315),
    [anon_sym___thread] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1315),
    [anon_sym_constexpr] = ACTIONS(1315),
    [anon_sym_volatile] = ACTIONS(1315),
    [anon_sym_restrict] = ACTIONS(1315),
    [anon_sym___restrict__] = ACTIONS(1315),
    [anon_sym__Atomic] = ACTIONS(1315),
    [anon_sym__Noreturn] = ACTIONS(1315),
    [anon_sym_noreturn] = ACTIONS(1315),
    [anon_sym_alignas] = ACTIONS(1315),
    [anon_sym__Alignas] = ACTIONS(1315),
    [sym_primitive_type] = ACTIONS(1315),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1315),
    [anon_sym_union] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1315),
    [anon_sym_switch] = ACTIONS(1315),
    [anon_sym_case] = ACTIONS(1315),
    [anon_sym_default] = ACTIONS(1315),
    [anon_sym_while] = ACTIONS(1315),
    [anon_sym_do] = ACTIONS(1315),
    [anon_sym_for] = ACTIONS(1315),
    [anon_sym_return] = ACTIONS(1315),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_continue] = ACTIONS(1315),
    [anon_sym_goto] = ACTIONS(1315),
    [anon_sym___try] = ACTIONS(1315),
    [anon_sym___leave] = ACTIONS(1315),
    [anon_sym_DASH_DASH] = ACTIONS(1317),
    [anon_sym_PLUS_PLUS] = ACTIONS(1317),
    [anon_sym_sizeof] = ACTIONS(1315),
    [anon_sym___alignof__] = ACTIONS(1315),
    [anon_sym___alignof] = ACTIONS(1315),
    [anon_sym__alignof] = ACTIONS(1315),
    [anon_sym_alignof] = ACTIONS(1315),
    [anon_sym__Alignof] = ACTIONS(1315),
    [anon_sym_offsetof] = ACTIONS(1315),
    [anon_sym__Generic] = ACTIONS(1315),
    [anon_sym_asm] = ACTIONS(1315),
    [anon_sym___asm__] = ACTIONS(1315),
    [sym_number_literal] = ACTIONS(1317),
    [anon_sym_L_SQUOTE] = ACTIONS(1317),
    [anon_sym_u_SQUOTE] = ACTIONS(1317),
    [anon_sym_U_SQUOTE] = ACTIONS(1317),
    [anon_sym_u8_SQUOTE] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1317),
    [anon_sym_L_DQUOTE] = ACTIONS(1317),
    [anon_sym_u_DQUOTE] = ACTIONS(1317),
    [anon_sym_U_DQUOTE] = ACTIONS(1317),
    [anon_sym_u8_DQUOTE] = ACTIONS(1317),
    [anon_sym_DQUOTE] = ACTIONS(1317),
    [sym_true] = ACTIONS(1315),
    [sym_false] = ACTIONS(1315),
    [anon_sym_NULL] = ACTIONS(1315),
    [anon_sym_nullptr] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_identifier] = ACTIONS(1319),
    [aux_sym_preproc_include_token1] = ACTIONS(1319),
    [aux_sym_preproc_def_token1] = ACTIONS(1319),
    [aux_sym_preproc_if_token1] = ACTIONS(1319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1319),
    [sym_preproc_directive] = ACTIONS(1319),
    [anon_sym_LPAREN2] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1319),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(1321),
    [anon_sym_SEMI] = ACTIONS(1321),
    [anon_sym___extension__] = ACTIONS(1319),
    [anon_sym_typedef] = ACTIONS(1319),
    [anon_sym_extern] = ACTIONS(1319),
    [anon_sym___attribute__] = ACTIONS(1319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1321),
    [anon_sym___declspec] = ACTIONS(1319),
    [anon_sym___cdecl] = ACTIONS(1319),
    [anon_sym___clrcall] = ACTIONS(1319),
    [anon_sym___stdcall] = ACTIONS(1319),
    [anon_sym___fastcall] = ACTIONS(1319),
    [anon_sym___thiscall] = ACTIONS(1319),
    [anon_sym___vectorcall] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_RBRACE] = ACTIONS(1321),
    [anon_sym_signed] = ACTIONS(1319),
    [anon_sym_unsigned] = ACTIONS(1319),
    [anon_sym_long] = ACTIONS(1319),
    [anon_sym_short] = ACTIONS(1319),
    [anon_sym_static] = ACTIONS(1319),
    [anon_sym_auto] = ACTIONS(1319),
    [anon_sym_register] = ACTIONS(1319),
    [anon_sym_inline] = ACTIONS(1319),
    [anon_sym___inline] = ACTIONS(1319),
    [anon_sym___inline__] = ACTIONS(1319),
    [anon_sym___forceinline] = ACTIONS(1319),
    [anon_sym_thread_local] = ACTIONS(1319),
    [anon_sym___thread] = ACTIONS(1319),
    [anon_sym_const] = ACTIONS(1319),
    [anon_sym_constexpr] = ACTIONS(1319),
    [anon_sym_volatile] = ACTIONS(1319),
    [anon_sym_restrict] = ACTIONS(1319),
    [anon_sym___restrict__] = ACTIONS(1319),
    [anon_sym__Atomic] = ACTIONS(1319),
    [anon_sym__Noreturn] = ACTIONS(1319),
    [anon_sym_noreturn] = ACTIONS(1319),
    [anon_sym_alignas] = ACTIONS(1319),
    [anon_sym__Alignas] = ACTIONS(1319),
    [sym_primitive_type] = ACTIONS(1319),
    [anon_sym_enum] = ACTIONS(1319),
    [anon_sym_struct] = ACTIONS(1319),
    [anon_sym_union] = ACTIONS(1319),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_switch] = ACTIONS(1319),
    [anon_sym_case] = ACTIONS(1319),
    [anon_sym_default] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1319),
    [anon_sym_do] = ACTIONS(1319),
    [anon_sym_for] = ACTIONS(1319),
    [anon_sym_return] = ACTIONS(1319),
    [anon_sym_break] = ACTIONS(1319),
    [anon_sym_continue] = ACTIONS(1319),
    [anon_sym_goto] = ACTIONS(1319),
    [anon_sym___try] = ACTIONS(1319),
    [anon_sym___leave] = ACTIONS(1319),
    [anon_sym_DASH_DASH] = ACTIONS(1321),
    [anon_sym_PLUS_PLUS] = ACTIONS(1321),
    [anon_sym_sizeof] = ACTIONS(1319),
    [anon_sym___alignof__] = ACTIONS(1319),
    [anon_sym___alignof] = ACTIONS(1319),
    [anon_sym__alignof] = ACTIONS(1319),
    [anon_sym_alignof] = ACTIONS(1319),
    [anon_sym__Alignof] = ACTIONS(1319),
    [anon_sym_offsetof] = ACTIONS(1319),
    [anon_sym__Generic] = ACTIONS(1319),
    [anon_sym_asm] = ACTIONS(1319),
    [anon_sym___asm__] = ACTIONS(1319),
    [sym_number_literal] = ACTIONS(1321),
    [anon_sym_L_SQUOTE] = ACTIONS(1321),
    [anon_sym_u_SQUOTE] = ACTIONS(1321),
    [anon_sym_U_SQUOTE] = ACTIONS(1321),
    [anon_sym_u8_SQUOTE] = ACTIONS(1321),
    [anon_sym_SQUOTE] = ACTIONS(1321),
    [anon_sym_L_DQUOTE] = ACTIONS(1321),
    [anon_sym_u_DQUOTE] = ACTIONS(1321),
    [anon_sym_U_DQUOTE] = ACTIONS(1321),
    [anon_sym_u8_DQUOTE] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1321),
    [sym_true] = ACTIONS(1319),
    [sym_false] = ACTIONS(1319),
    [anon_sym_NULL] = ACTIONS(1319),
    [anon_sym_nullptr] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_identifier] = ACTIONS(1251),
    [aux_sym_preproc_include_token1] = ACTIONS(1251),
    [aux_sym_preproc_def_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1251),
    [sym_preproc_directive] = ACTIONS(1251),
    [anon_sym_LPAREN2] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1251),
    [anon_sym_PLUS] = ACTIONS(1251),
    [anon_sym_STAR] = ACTIONS(1253),
    [anon_sym_AMP] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1253),
    [anon_sym___extension__] = ACTIONS(1251),
    [anon_sym_typedef] = ACTIONS(1251),
    [anon_sym_extern] = ACTIONS(1251),
    [anon_sym___attribute__] = ACTIONS(1251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1253),
    [anon_sym___declspec] = ACTIONS(1251),
    [anon_sym___cdecl] = ACTIONS(1251),
    [anon_sym___clrcall] = ACTIONS(1251),
    [anon_sym___stdcall] = ACTIONS(1251),
    [anon_sym___fastcall] = ACTIONS(1251),
    [anon_sym___thiscall] = ACTIONS(1251),
    [anon_sym___vectorcall] = ACTIONS(1251),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_signed] = ACTIONS(1251),
    [anon_sym_unsigned] = ACTIONS(1251),
    [anon_sym_long] = ACTIONS(1251),
    [anon_sym_short] = ACTIONS(1251),
    [anon_sym_static] = ACTIONS(1251),
    [anon_sym_auto] = ACTIONS(1251),
    [anon_sym_register] = ACTIONS(1251),
    [anon_sym_inline] = ACTIONS(1251),
    [anon_sym___inline] = ACTIONS(1251),
    [anon_sym___inline__] = ACTIONS(1251),
    [anon_sym___forceinline] = ACTIONS(1251),
    [anon_sym_thread_local] = ACTIONS(1251),
    [anon_sym___thread] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1251),
    [anon_sym_constexpr] = ACTIONS(1251),
    [anon_sym_volatile] = ACTIONS(1251),
    [anon_sym_restrict] = ACTIONS(1251),
    [anon_sym___restrict__] = ACTIONS(1251),
    [anon_sym__Atomic] = ACTIONS(1251),
    [anon_sym__Noreturn] = ACTIONS(1251),
    [anon_sym_noreturn] = ACTIONS(1251),
    [anon_sym_alignas] = ACTIONS(1251),
    [anon_sym__Alignas] = ACTIONS(1251),
    [sym_primitive_type] = ACTIONS(1251),
    [anon_sym_enum] = ACTIONS(1251),
    [anon_sym_struct] = ACTIONS(1251),
    [anon_sym_union] = ACTIONS(1251),
    [anon_sym_if] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1251),
    [anon_sym_case] = ACTIONS(1251),
    [anon_sym_default] = ACTIONS(1251),
    [anon_sym_while] = ACTIONS(1251),
    [anon_sym_do] = ACTIONS(1251),
    [anon_sym_for] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1251),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_continue] = ACTIONS(1251),
    [anon_sym_goto] = ACTIONS(1251),
    [anon_sym___try] = ACTIONS(1251),
    [anon_sym___leave] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1253),
    [anon_sym_sizeof] = ACTIONS(1251),
    [anon_sym___alignof__] = ACTIONS(1251),
    [anon_sym___alignof] = ACTIONS(1251),
    [anon_sym__alignof] = ACTIONS(1251),
    [anon_sym_alignof] = ACTIONS(1251),
    [anon_sym__Alignof] = ACTIONS(1251),
    [anon_sym_offsetof] = ACTIONS(1251),
    [anon_sym__Generic] = ACTIONS(1251),
    [anon_sym_asm] = ACTIONS(1251),
    [anon_sym___asm__] = ACTIONS(1251),
    [sym_number_literal] = ACTIONS(1253),
    [anon_sym_L_SQUOTE] = ACTIONS(1253),
    [anon_sym_u_SQUOTE] = ACTIONS(1253),
    [anon_sym_U_SQUOTE] = ACTIONS(1253),
    [anon_sym_u8_SQUOTE] = ACTIONS(1253),
    [anon_sym_SQUOTE] = ACTIONS(1253),
    [anon_sym_L_DQUOTE] = ACTIONS(1253),
    [anon_sym_u_DQUOTE] = ACTIONS(1253),
    [anon_sym_U_DQUOTE] = ACTIONS(1253),
    [anon_sym_u8_DQUOTE] = ACTIONS(1253),
    [anon_sym_DQUOTE] = ACTIONS(1253),
    [sym_true] = ACTIONS(1251),
    [sym_false] = ACTIONS(1251),
    [anon_sym_NULL] = ACTIONS(1251),
    [anon_sym_nullptr] = ACTIONS(1251),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_identifier] = ACTIONS(1347),
    [aux_sym_preproc_include_token1] = ACTIONS(1347),
    [aux_sym_preproc_def_token1] = ACTIONS(1347),
    [aux_sym_preproc_if_token1] = ACTIONS(1347),
    [aux_sym_preproc_if_token2] = ACTIONS(1347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1347),
    [sym_preproc_directive] = ACTIONS(1347),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym___extension__] = ACTIONS(1347),
    [anon_sym_typedef] = ACTIONS(1347),
    [anon_sym_extern] = ACTIONS(1347),
    [anon_sym___attribute__] = ACTIONS(1347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1347),
    [anon_sym___cdecl] = ACTIONS(1347),
    [anon_sym___clrcall] = ACTIONS(1347),
    [anon_sym___stdcall] = ACTIONS(1347),
    [anon_sym___fastcall] = ACTIONS(1347),
    [anon_sym___thiscall] = ACTIONS(1347),
    [anon_sym___vectorcall] = ACTIONS(1347),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1347),
    [anon_sym_unsigned] = ACTIONS(1347),
    [anon_sym_long] = ACTIONS(1347),
    [anon_sym_short] = ACTIONS(1347),
    [anon_sym_static] = ACTIONS(1347),
    [anon_sym_auto] = ACTIONS(1347),
    [anon_sym_register] = ACTIONS(1347),
    [anon_sym_inline] = ACTIONS(1347),
    [anon_sym___inline] = ACTIONS(1347),
    [anon_sym___inline__] = ACTIONS(1347),
    [anon_sym___forceinline] = ACTIONS(1347),
    [anon_sym_thread_local] = ACTIONS(1347),
    [anon_sym___thread] = ACTIONS(1347),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_constexpr] = ACTIONS(1347),
    [anon_sym_volatile] = ACTIONS(1347),
    [anon_sym_restrict] = ACTIONS(1347),
    [anon_sym___restrict__] = ACTIONS(1347),
    [anon_sym__Atomic] = ACTIONS(1347),
    [anon_sym__Noreturn] = ACTIONS(1347),
    [anon_sym_noreturn] = ACTIONS(1347),
    [anon_sym_alignas] = ACTIONS(1347),
    [anon_sym__Alignas] = ACTIONS(1347),
    [sym_primitive_type] = ACTIONS(1347),
    [anon_sym_enum] = ACTIONS(1347),
    [anon_sym_struct] = ACTIONS(1347),
    [anon_sym_union] = ACTIONS(1347),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_switch] = ACTIONS(1347),
    [anon_sym_case] = ACTIONS(1347),
    [anon_sym_default] = ACTIONS(1347),
    [anon_sym_while] = ACTIONS(1347),
    [anon_sym_do] = ACTIONS(1347),
    [anon_sym_for] = ACTIONS(1347),
    [anon_sym_return] = ACTIONS(1347),
    [anon_sym_break] = ACTIONS(1347),
    [anon_sym_continue] = ACTIONS(1347),
    [anon_sym_goto] = ACTIONS(1347),
    [anon_sym___try] = ACTIONS(1347),
    [anon_sym___leave] = ACTIONS(1347),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1347),
    [anon_sym___alignof__] = ACTIONS(1347),
    [anon_sym___alignof] = ACTIONS(1347),
    [anon_sym__alignof] = ACTIONS(1347),
    [anon_sym_alignof] = ACTIONS(1347),
    [anon_sym__Alignof] = ACTIONS(1347),
    [anon_sym_offsetof] = ACTIONS(1347),
    [anon_sym__Generic] = ACTIONS(1347),
    [anon_sym_asm] = ACTIONS(1347),
    [anon_sym___asm__] = ACTIONS(1347),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1347),
    [sym_false] = ACTIONS(1347),
    [anon_sym_NULL] = ACTIONS(1347),
    [anon_sym_nullptr] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_identifier] = ACTIONS(1365),
    [aux_sym_preproc_include_token1] = ACTIONS(1365),
    [aux_sym_preproc_def_token1] = ACTIONS(1365),
    [aux_sym_preproc_if_token1] = ACTIONS(1365),
    [aux_sym_preproc_if_token2] = ACTIONS(1365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1365),
    [sym_preproc_directive] = ACTIONS(1365),
    [anon_sym_LPAREN2] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [anon_sym___extension__] = ACTIONS(1365),
    [anon_sym_typedef] = ACTIONS(1365),
    [anon_sym_extern] = ACTIONS(1365),
    [anon_sym___attribute__] = ACTIONS(1365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1367),
    [anon_sym___declspec] = ACTIONS(1365),
    [anon_sym___cdecl] = ACTIONS(1365),
    [anon_sym___clrcall] = ACTIONS(1365),
    [anon_sym___stdcall] = ACTIONS(1365),
    [anon_sym___fastcall] = ACTIONS(1365),
    [anon_sym___thiscall] = ACTIONS(1365),
    [anon_sym___vectorcall] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_signed] = ACTIONS(1365),
    [anon_sym_unsigned] = ACTIONS(1365),
    [anon_sym_long] = ACTIONS(1365),
    [anon_sym_short] = ACTIONS(1365),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_auto] = ACTIONS(1365),
    [anon_sym_register] = ACTIONS(1365),
    [anon_sym_inline] = ACTIONS(1365),
    [anon_sym___inline] = ACTIONS(1365),
    [anon_sym___inline__] = ACTIONS(1365),
    [anon_sym___forceinline] = ACTIONS(1365),
    [anon_sym_thread_local] = ACTIONS(1365),
    [anon_sym___thread] = ACTIONS(1365),
    [anon_sym_const] = ACTIONS(1365),
    [anon_sym_constexpr] = ACTIONS(1365),
    [anon_sym_volatile] = ACTIONS(1365),
    [anon_sym_restrict] = ACTIONS(1365),
    [anon_sym___restrict__] = ACTIONS(1365),
    [anon_sym__Atomic] = ACTIONS(1365),
    [anon_sym__Noreturn] = ACTIONS(1365),
    [anon_sym_noreturn] = ACTIONS(1365),
    [anon_sym_alignas] = ACTIONS(1365),
    [anon_sym__Alignas] = ACTIONS(1365),
    [sym_primitive_type] = ACTIONS(1365),
    [anon_sym_enum] = ACTIONS(1365),
    [anon_sym_struct] = ACTIONS(1365),
    [anon_sym_union] = ACTIONS(1365),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_switch] = ACTIONS(1365),
    [anon_sym_case] = ACTIONS(1365),
    [anon_sym_default] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1365),
    [anon_sym_do] = ACTIONS(1365),
    [anon_sym_for] = ACTIONS(1365),
    [anon_sym_return] = ACTIONS(1365),
    [anon_sym_break] = ACTIONS(1365),
    [anon_sym_continue] = ACTIONS(1365),
    [anon_sym_goto] = ACTIONS(1365),
    [anon_sym___try] = ACTIONS(1365),
    [anon_sym___leave] = ACTIONS(1365),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_sizeof] = ACTIONS(1365),
    [anon_sym___alignof__] = ACTIONS(1365),
    [anon_sym___alignof] = ACTIONS(1365),
    [anon_sym__alignof] = ACTIONS(1365),
    [anon_sym_alignof] = ACTIONS(1365),
    [anon_sym__Alignof] = ACTIONS(1365),
    [anon_sym_offsetof] = ACTIONS(1365),
    [anon_sym__Generic] = ACTIONS(1365),
    [anon_sym_asm] = ACTIONS(1365),
    [anon_sym___asm__] = ACTIONS(1365),
    [sym_number_literal] = ACTIONS(1367),
    [anon_sym_L_SQUOTE] = ACTIONS(1367),
    [anon_sym_u_SQUOTE] = ACTIONS(1367),
    [anon_sym_U_SQUOTE] = ACTIONS(1367),
    [anon_sym_u8_SQUOTE] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1367),
    [anon_sym_L_DQUOTE] = ACTIONS(1367),
    [anon_sym_u_DQUOTE] = ACTIONS(1367),
    [anon_sym_U_DQUOTE] = ACTIONS(1367),
    [anon_sym_u8_DQUOTE] = ACTIONS(1367),
    [anon_sym_DQUOTE] = ACTIONS(1367),
    [sym_true] = ACTIONS(1365),
    [sym_false] = ACTIONS(1365),
    [anon_sym_NULL] = ACTIONS(1365),
    [anon_sym_nullptr] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_identifier] = ACTIONS(1287),
    [aux_sym_preproc_include_token1] = ACTIONS(1287),
    [aux_sym_preproc_def_token1] = ACTIONS(1287),
    [aux_sym_preproc_if_token1] = ACTIONS(1287),
    [aux_sym_preproc_if_token2] = ACTIONS(1287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1287),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1287),
    [sym_preproc_directive] = ACTIONS(1287),
    [anon_sym_LPAREN2] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1289),
    [anon_sym_TILDE] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(1289),
    [anon_sym___extension__] = ACTIONS(1287),
    [anon_sym_typedef] = ACTIONS(1287),
    [anon_sym_extern] = ACTIONS(1287),
    [anon_sym___attribute__] = ACTIONS(1287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1289),
    [anon_sym___declspec] = ACTIONS(1287),
    [anon_sym___cdecl] = ACTIONS(1287),
    [anon_sym___clrcall] = ACTIONS(1287),
    [anon_sym___stdcall] = ACTIONS(1287),
    [anon_sym___fastcall] = ACTIONS(1287),
    [anon_sym___thiscall] = ACTIONS(1287),
    [anon_sym___vectorcall] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_signed] = ACTIONS(1287),
    [anon_sym_unsigned] = ACTIONS(1287),
    [anon_sym_long] = ACTIONS(1287),
    [anon_sym_short] = ACTIONS(1287),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_auto] = ACTIONS(1287),
    [anon_sym_register] = ACTIONS(1287),
    [anon_sym_inline] = ACTIONS(1287),
    [anon_sym___inline] = ACTIONS(1287),
    [anon_sym___inline__] = ACTIONS(1287),
    [anon_sym___forceinline] = ACTIONS(1287),
    [anon_sym_thread_local] = ACTIONS(1287),
    [anon_sym___thread] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_constexpr] = ACTIONS(1287),
    [anon_sym_volatile] = ACTIONS(1287),
    [anon_sym_restrict] = ACTIONS(1287),
    [anon_sym___restrict__] = ACTIONS(1287),
    [anon_sym__Atomic] = ACTIONS(1287),
    [anon_sym__Noreturn] = ACTIONS(1287),
    [anon_sym_noreturn] = ACTIONS(1287),
    [anon_sym_alignas] = ACTIONS(1287),
    [anon_sym__Alignas] = ACTIONS(1287),
    [sym_primitive_type] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [anon_sym_struct] = ACTIONS(1287),
    [anon_sym_union] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1287),
    [anon_sym_switch] = ACTIONS(1287),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1287),
    [anon_sym_while] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1287),
    [anon_sym_for] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1287),
    [anon_sym_break] = ACTIONS(1287),
    [anon_sym_continue] = ACTIONS(1287),
    [anon_sym_goto] = ACTIONS(1287),
    [anon_sym___try] = ACTIONS(1287),
    [anon_sym___leave] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1289),
    [anon_sym_sizeof] = ACTIONS(1287),
    [anon_sym___alignof__] = ACTIONS(1287),
    [anon_sym___alignof] = ACTIONS(1287),
    [anon_sym__alignof] = ACTIONS(1287),
    [anon_sym_alignof] = ACTIONS(1287),
    [anon_sym__Alignof] = ACTIONS(1287),
    [anon_sym_offsetof] = ACTIONS(1287),
    [anon_sym__Generic] = ACTIONS(1287),
    [anon_sym_asm] = ACTIONS(1287),
    [anon_sym___asm__] = ACTIONS(1287),
    [sym_number_literal] = ACTIONS(1289),
    [anon_sym_L_SQUOTE] = ACTIONS(1289),
    [anon_sym_u_SQUOTE] = ACTIONS(1289),
    [anon_sym_U_SQUOTE] = ACTIONS(1289),
    [anon_sym_u8_SQUOTE] = ACTIONS(1289),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_L_DQUOTE] = ACTIONS(1289),
    [anon_sym_u_DQUOTE] = ACTIONS(1289),
    [anon_sym_U_DQUOTE] = ACTIONS(1289),
    [anon_sym_u8_DQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [anon_sym_NULL] = ACTIONS(1287),
    [anon_sym_nullptr] = ACTIONS(1287),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_identifier] = ACTIONS(1299),
    [aux_sym_preproc_include_token1] = ACTIONS(1299),
    [aux_sym_preproc_def_token1] = ACTIONS(1299),
    [aux_sym_preproc_if_token1] = ACTIONS(1299),
    [aux_sym_preproc_if_token2] = ACTIONS(1299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1299),
    [sym_preproc_directive] = ACTIONS(1299),
    [anon_sym_LPAREN2] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(1301),
    [anon_sym_TILDE] = ACTIONS(1301),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_AMP] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(1301),
    [anon_sym___extension__] = ACTIONS(1299),
    [anon_sym_typedef] = ACTIONS(1299),
    [anon_sym_extern] = ACTIONS(1299),
    [anon_sym___attribute__] = ACTIONS(1299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1301),
    [anon_sym___declspec] = ACTIONS(1299),
    [anon_sym___cdecl] = ACTIONS(1299),
    [anon_sym___clrcall] = ACTIONS(1299),
    [anon_sym___stdcall] = ACTIONS(1299),
    [anon_sym___fastcall] = ACTIONS(1299),
    [anon_sym___thiscall] = ACTIONS(1299),
    [anon_sym___vectorcall] = ACTIONS(1299),
    [anon_sym_LBRACE] = ACTIONS(1301),
    [anon_sym_signed] = ACTIONS(1299),
    [anon_sym_unsigned] = ACTIONS(1299),
    [anon_sym_long] = ACTIONS(1299),
    [anon_sym_short] = ACTIONS(1299),
    [anon_sym_static] = ACTIONS(1299),
    [anon_sym_auto] = ACTIONS(1299),
    [anon_sym_register] = ACTIONS(1299),
    [anon_sym_inline] = ACTIONS(1299),
    [anon_sym___inline] = ACTIONS(1299),
    [anon_sym___inline__] = ACTIONS(1299),
    [anon_sym___forceinline] = ACTIONS(1299),
    [anon_sym_thread_local] = ACTIONS(1299),
    [anon_sym___thread] = ACTIONS(1299),
    [anon_sym_const] = ACTIONS(1299),
    [anon_sym_constexpr] = ACTIONS(1299),
    [anon_sym_volatile] = ACTIONS(1299),
    [anon_sym_restrict] = ACTIONS(1299),
    [anon_sym___restrict__] = ACTIONS(1299),
    [anon_sym__Atomic] = ACTIONS(1299),
    [anon_sym__Noreturn] = ACTIONS(1299),
    [anon_sym_noreturn] = ACTIONS(1299),
    [anon_sym_alignas] = ACTIONS(1299),
    [anon_sym__Alignas] = ACTIONS(1299),
    [sym_primitive_type] = ACTIONS(1299),
    [anon_sym_enum] = ACTIONS(1299),
    [anon_sym_struct] = ACTIONS(1299),
    [anon_sym_union] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1299),
    [anon_sym_switch] = ACTIONS(1299),
    [anon_sym_case] = ACTIONS(1299),
    [anon_sym_default] = ACTIONS(1299),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_do] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_return] = ACTIONS(1299),
    [anon_sym_break] = ACTIONS(1299),
    [anon_sym_continue] = ACTIONS(1299),
    [anon_sym_goto] = ACTIONS(1299),
    [anon_sym___try] = ACTIONS(1299),
    [anon_sym___leave] = ACTIONS(1299),
    [anon_sym_DASH_DASH] = ACTIONS(1301),
    [anon_sym_PLUS_PLUS] = ACTIONS(1301),
    [anon_sym_sizeof] = ACTIONS(1299),
    [anon_sym___alignof__] = ACTIONS(1299),
    [anon_sym___alignof] = ACTIONS(1299),
    [anon_sym__alignof] = ACTIONS(1299),
    [anon_sym_alignof] = ACTIONS(1299),
    [anon_sym__Alignof] = ACTIONS(1299),
    [anon_sym_offsetof] = ACTIONS(1299),
    [anon_sym__Generic] = ACTIONS(1299),
    [anon_sym_asm] = ACTIONS(1299),
    [anon_sym___asm__] = ACTIONS(1299),
    [sym_number_literal] = ACTIONS(1301),
    [anon_sym_L_SQUOTE] = ACTIONS(1301),
    [anon_sym_u_SQUOTE] = ACTIONS(1301),
    [anon_sym_U_SQUOTE] = ACTIONS(1301),
    [anon_sym_u8_SQUOTE] = ACTIONS(1301),
    [anon_sym_SQUOTE] = ACTIONS(1301),
    [anon_sym_L_DQUOTE] = ACTIONS(1301),
    [anon_sym_u_DQUOTE] = ACTIONS(1301),
    [anon_sym_U_DQUOTE] = ACTIONS(1301),
    [anon_sym_u8_DQUOTE] = ACTIONS(1301),
    [anon_sym_DQUOTE] = ACTIONS(1301),
    [sym_true] = ACTIONS(1299),
    [sym_false] = ACTIONS(1299),
    [anon_sym_NULL] = ACTIONS(1299),
    [anon_sym_nullptr] = ACTIONS(1299),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_identifier] = ACTIONS(1303),
    [aux_sym_preproc_include_token1] = ACTIONS(1303),
    [aux_sym_preproc_def_token1] = ACTIONS(1303),
    [aux_sym_preproc_if_token1] = ACTIONS(1303),
    [aux_sym_preproc_if_token2] = ACTIONS(1303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1303),
    [sym_preproc_directive] = ACTIONS(1303),
    [anon_sym_LPAREN2] = ACTIONS(1305),
    [anon_sym_BANG] = ACTIONS(1305),
    [anon_sym_TILDE] = ACTIONS(1305),
    [anon_sym_DASH] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym___extension__] = ACTIONS(1303),
    [anon_sym_typedef] = ACTIONS(1303),
    [anon_sym_extern] = ACTIONS(1303),
    [anon_sym___attribute__] = ACTIONS(1303),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1305),
    [anon_sym___declspec] = ACTIONS(1303),
    [anon_sym___cdecl] = ACTIONS(1303),
    [anon_sym___clrcall] = ACTIONS(1303),
    [anon_sym___stdcall] = ACTIONS(1303),
    [anon_sym___fastcall] = ACTIONS(1303),
    [anon_sym___thiscall] = ACTIONS(1303),
    [anon_sym___vectorcall] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_signed] = ACTIONS(1303),
    [anon_sym_unsigned] = ACTIONS(1303),
    [anon_sym_long] = ACTIONS(1303),
    [anon_sym_short] = ACTIONS(1303),
    [anon_sym_static] = ACTIONS(1303),
    [anon_sym_auto] = ACTIONS(1303),
    [anon_sym_register] = ACTIONS(1303),
    [anon_sym_inline] = ACTIONS(1303),
    [anon_sym___inline] = ACTIONS(1303),
    [anon_sym___inline__] = ACTIONS(1303),
    [anon_sym___forceinline] = ACTIONS(1303),
    [anon_sym_thread_local] = ACTIONS(1303),
    [anon_sym___thread] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_constexpr] = ACTIONS(1303),
    [anon_sym_volatile] = ACTIONS(1303),
    [anon_sym_restrict] = ACTIONS(1303),
    [anon_sym___restrict__] = ACTIONS(1303),
    [anon_sym__Atomic] = ACTIONS(1303),
    [anon_sym__Noreturn] = ACTIONS(1303),
    [anon_sym_noreturn] = ACTIONS(1303),
    [anon_sym_alignas] = ACTIONS(1303),
    [anon_sym__Alignas] = ACTIONS(1303),
    [sym_primitive_type] = ACTIONS(1303),
    [anon_sym_enum] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_union] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_switch] = ACTIONS(1303),
    [anon_sym_case] = ACTIONS(1303),
    [anon_sym_default] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [anon_sym_do] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_break] = ACTIONS(1303),
    [anon_sym_continue] = ACTIONS(1303),
    [anon_sym_goto] = ACTIONS(1303),
    [anon_sym___try] = ACTIONS(1303),
    [anon_sym___leave] = ACTIONS(1303),
    [anon_sym_DASH_DASH] = ACTIONS(1305),
    [anon_sym_PLUS_PLUS] = ACTIONS(1305),
    [anon_sym_sizeof] = ACTIONS(1303),
    [anon_sym___alignof__] = ACTIONS(1303),
    [anon_sym___alignof] = ACTIONS(1303),
    [anon_sym__alignof] = ACTIONS(1303),
    [anon_sym_alignof] = ACTIONS(1303),
    [anon_sym__Alignof] = ACTIONS(1303),
    [anon_sym_offsetof] = ACTIONS(1303),
    [anon_sym__Generic] = ACTIONS(1303),
    [anon_sym_asm] = ACTIONS(1303),
    [anon_sym___asm__] = ACTIONS(1303),
    [sym_number_literal] = ACTIONS(1305),
    [anon_sym_L_SQUOTE] = ACTIONS(1305),
    [anon_sym_u_SQUOTE] = ACTIONS(1305),
    [anon_sym_U_SQUOTE] = ACTIONS(1305),
    [anon_sym_u8_SQUOTE] = ACTIONS(1305),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [anon_sym_L_DQUOTE] = ACTIONS(1305),
    [anon_sym_u_DQUOTE] = ACTIONS(1305),
    [anon_sym_U_DQUOTE] = ACTIONS(1305),
    [anon_sym_u8_DQUOTE] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(1305),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [anon_sym_NULL] = ACTIONS(1303),
    [anon_sym_nullptr] = ACTIONS(1303),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_identifier] = ACTIONS(1307),
    [aux_sym_preproc_include_token1] = ACTIONS(1307),
    [aux_sym_preproc_def_token1] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1307),
    [aux_sym_preproc_if_token2] = ACTIONS(1307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1307),
    [sym_preproc_directive] = ACTIONS(1307),
    [anon_sym_LPAREN2] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1307),
    [anon_sym_PLUS] = ACTIONS(1307),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(1309),
    [anon_sym___extension__] = ACTIONS(1307),
    [anon_sym_typedef] = ACTIONS(1307),
    [anon_sym_extern] = ACTIONS(1307),
    [anon_sym___attribute__] = ACTIONS(1307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1309),
    [anon_sym___declspec] = ACTIONS(1307),
    [anon_sym___cdecl] = ACTIONS(1307),
    [anon_sym___clrcall] = ACTIONS(1307),
    [anon_sym___stdcall] = ACTIONS(1307),
    [anon_sym___fastcall] = ACTIONS(1307),
    [anon_sym___thiscall] = ACTIONS(1307),
    [anon_sym___vectorcall] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_signed] = ACTIONS(1307),
    [anon_sym_unsigned] = ACTIONS(1307),
    [anon_sym_long] = ACTIONS(1307),
    [anon_sym_short] = ACTIONS(1307),
    [anon_sym_static] = ACTIONS(1307),
    [anon_sym_auto] = ACTIONS(1307),
    [anon_sym_register] = ACTIONS(1307),
    [anon_sym_inline] = ACTIONS(1307),
    [anon_sym___inline] = ACTIONS(1307),
    [anon_sym___inline__] = ACTIONS(1307),
    [anon_sym___forceinline] = ACTIONS(1307),
    [anon_sym_thread_local] = ACTIONS(1307),
    [anon_sym___thread] = ACTIONS(1307),
    [anon_sym_const] = ACTIONS(1307),
    [anon_sym_constexpr] = ACTIONS(1307),
    [anon_sym_volatile] = ACTIONS(1307),
    [anon_sym_restrict] = ACTIONS(1307),
    [anon_sym___restrict__] = ACTIONS(1307),
    [anon_sym__Atomic] = ACTIONS(1307),
    [anon_sym__Noreturn] = ACTIONS(1307),
    [anon_sym_noreturn] = ACTIONS(1307),
    [anon_sym_alignas] = ACTIONS(1307),
    [anon_sym__Alignas] = ACTIONS(1307),
    [sym_primitive_type] = ACTIONS(1307),
    [anon_sym_enum] = ACTIONS(1307),
    [anon_sym_struct] = ACTIONS(1307),
    [anon_sym_union] = ACTIONS(1307),
    [anon_sym_if] = ACTIONS(1307),
    [anon_sym_switch] = ACTIONS(1307),
    [anon_sym_case] = ACTIONS(1307),
    [anon_sym_default] = ACTIONS(1307),
    [anon_sym_while] = ACTIONS(1307),
    [anon_sym_do] = ACTIONS(1307),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_return] = ACTIONS(1307),
    [anon_sym_break] = ACTIONS(1307),
    [anon_sym_continue] = ACTIONS(1307),
    [anon_sym_goto] = ACTIONS(1307),
    [anon_sym___try] = ACTIONS(1307),
    [anon_sym___leave] = ACTIONS(1307),
    [anon_sym_DASH_DASH] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1309),
    [anon_sym_sizeof] = ACTIONS(1307),
    [anon_sym___alignof__] = ACTIONS(1307),
    [anon_sym___alignof] = ACTIONS(1307),
    [anon_sym__alignof] = ACTIONS(1307),
    [anon_sym_alignof] = ACTIONS(1307),
    [anon_sym__Alignof] = ACTIONS(1307),
    [anon_sym_offsetof] = ACTIONS(1307),
    [anon_sym__Generic] = ACTIONS(1307),
    [anon_sym_asm] = ACTIONS(1307),
    [anon_sym___asm__] = ACTIONS(1307),
    [sym_number_literal] = ACTIONS(1309),
    [anon_sym_L_SQUOTE] = ACTIONS(1309),
    [anon_sym_u_SQUOTE] = ACTIONS(1309),
    [anon_sym_U_SQUOTE] = ACTIONS(1309),
    [anon_sym_u8_SQUOTE] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1309),
    [anon_sym_L_DQUOTE] = ACTIONS(1309),
    [anon_sym_u_DQUOTE] = ACTIONS(1309),
    [anon_sym_U_DQUOTE] = ACTIONS(1309),
    [anon_sym_u8_DQUOTE] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(1309),
    [sym_true] = ACTIONS(1307),
    [sym_false] = ACTIONS(1307),
    [anon_sym_NULL] = ACTIONS(1307),
    [anon_sym_nullptr] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_identifier] = ACTIONS(1361),
    [aux_sym_preproc_include_token1] = ACTIONS(1361),
    [aux_sym_preproc_def_token1] = ACTIONS(1361),
    [aux_sym_preproc_if_token1] = ACTIONS(1361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1361),
    [sym_preproc_directive] = ACTIONS(1361),
    [anon_sym_LPAREN2] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_TILDE] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1363),
    [anon_sym___extension__] = ACTIONS(1361),
    [anon_sym_typedef] = ACTIONS(1361),
    [anon_sym_extern] = ACTIONS(1361),
    [anon_sym___attribute__] = ACTIONS(1361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1363),
    [anon_sym___declspec] = ACTIONS(1361),
    [anon_sym___cdecl] = ACTIONS(1361),
    [anon_sym___clrcall] = ACTIONS(1361),
    [anon_sym___stdcall] = ACTIONS(1361),
    [anon_sym___fastcall] = ACTIONS(1361),
    [anon_sym___thiscall] = ACTIONS(1361),
    [anon_sym___vectorcall] = ACTIONS(1361),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_RBRACE] = ACTIONS(1363),
    [anon_sym_signed] = ACTIONS(1361),
    [anon_sym_unsigned] = ACTIONS(1361),
    [anon_sym_long] = ACTIONS(1361),
    [anon_sym_short] = ACTIONS(1361),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_auto] = ACTIONS(1361),
    [anon_sym_register] = ACTIONS(1361),
    [anon_sym_inline] = ACTIONS(1361),
    [anon_sym___inline] = ACTIONS(1361),
    [anon_sym___inline__] = ACTIONS(1361),
    [anon_sym___forceinline] = ACTIONS(1361),
    [anon_sym_thread_local] = ACTIONS(1361),
    [anon_sym___thread] = ACTIONS(1361),
    [anon_sym_const] = ACTIONS(1361),
    [anon_sym_constexpr] = ACTIONS(1361),
    [anon_sym_volatile] = ACTIONS(1361),
    [anon_sym_restrict] = ACTIONS(1361),
    [anon_sym___restrict__] = ACTIONS(1361),
    [anon_sym__Atomic] = ACTIONS(1361),
    [anon_sym__Noreturn] = ACTIONS(1361),
    [anon_sym_noreturn] = ACTIONS(1361),
    [anon_sym_alignas] = ACTIONS(1361),
    [anon_sym__Alignas] = ACTIONS(1361),
    [sym_primitive_type] = ACTIONS(1361),
    [anon_sym_enum] = ACTIONS(1361),
    [anon_sym_struct] = ACTIONS(1361),
    [anon_sym_union] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_switch] = ACTIONS(1361),
    [anon_sym_case] = ACTIONS(1361),
    [anon_sym_default] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1361),
    [anon_sym_do] = ACTIONS(1361),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_return] = ACTIONS(1361),
    [anon_sym_break] = ACTIONS(1361),
    [anon_sym_continue] = ACTIONS(1361),
    [anon_sym_goto] = ACTIONS(1361),
    [anon_sym___try] = ACTIONS(1361),
    [anon_sym___leave] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1363),
    [anon_sym_PLUS_PLUS] = ACTIONS(1363),
    [anon_sym_sizeof] = ACTIONS(1361),
    [anon_sym___alignof__] = ACTIONS(1361),
    [anon_sym___alignof] = ACTIONS(1361),
    [anon_sym__alignof] = ACTIONS(1361),
    [anon_sym_alignof] = ACTIONS(1361),
    [anon_sym__Alignof] = ACTIONS(1361),
    [anon_sym_offsetof] = ACTIONS(1361),
    [anon_sym__Generic] = ACTIONS(1361),
    [anon_sym_asm] = ACTIONS(1361),
    [anon_sym___asm__] = ACTIONS(1361),
    [sym_number_literal] = ACTIONS(1363),
    [anon_sym_L_SQUOTE] = ACTIONS(1363),
    [anon_sym_u_SQUOTE] = ACTIONS(1363),
    [anon_sym_U_SQUOTE] = ACTIONS(1363),
    [anon_sym_u8_SQUOTE] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1363),
    [anon_sym_L_DQUOTE] = ACTIONS(1363),
    [anon_sym_u_DQUOTE] = ACTIONS(1363),
    [anon_sym_U_DQUOTE] = ACTIONS(1363),
    [anon_sym_u8_DQUOTE] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_true] = ACTIONS(1361),
    [sym_false] = ACTIONS(1361),
    [anon_sym_NULL] = ACTIONS(1361),
    [anon_sym_nullptr] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_identifier] = ACTIONS(1323),
    [aux_sym_preproc_include_token1] = ACTIONS(1323),
    [aux_sym_preproc_def_token1] = ACTIONS(1323),
    [aux_sym_preproc_if_token1] = ACTIONS(1323),
    [aux_sym_preproc_if_token2] = ACTIONS(1323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1323),
    [sym_preproc_directive] = ACTIONS(1323),
    [anon_sym_LPAREN2] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_DASH] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1323),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_SEMI] = ACTIONS(1325),
    [anon_sym___extension__] = ACTIONS(1323),
    [anon_sym_typedef] = ACTIONS(1323),
    [anon_sym_extern] = ACTIONS(1323),
    [anon_sym___attribute__] = ACTIONS(1323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1325),
    [anon_sym___declspec] = ACTIONS(1323),
    [anon_sym___cdecl] = ACTIONS(1323),
    [anon_sym___clrcall] = ACTIONS(1323),
    [anon_sym___stdcall] = ACTIONS(1323),
    [anon_sym___fastcall] = ACTIONS(1323),
    [anon_sym___thiscall] = ACTIONS(1323),
    [anon_sym___vectorcall] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_signed] = ACTIONS(1323),
    [anon_sym_unsigned] = ACTIONS(1323),
    [anon_sym_long] = ACTIONS(1323),
    [anon_sym_short] = ACTIONS(1323),
    [anon_sym_static] = ACTIONS(1323),
    [anon_sym_auto] = ACTIONS(1323),
    [anon_sym_register] = ACTIONS(1323),
    [anon_sym_inline] = ACTIONS(1323),
    [anon_sym___inline] = ACTIONS(1323),
    [anon_sym___inline__] = ACTIONS(1323),
    [anon_sym___forceinline] = ACTIONS(1323),
    [anon_sym_thread_local] = ACTIONS(1323),
    [anon_sym___thread] = ACTIONS(1323),
    [anon_sym_const] = ACTIONS(1323),
    [anon_sym_constexpr] = ACTIONS(1323),
    [anon_sym_volatile] = ACTIONS(1323),
    [anon_sym_restrict] = ACTIONS(1323),
    [anon_sym___restrict__] = ACTIONS(1323),
    [anon_sym__Atomic] = ACTIONS(1323),
    [anon_sym__Noreturn] = ACTIONS(1323),
    [anon_sym_noreturn] = ACTIONS(1323),
    [anon_sym_alignas] = ACTIONS(1323),
    [anon_sym__Alignas] = ACTIONS(1323),
    [sym_primitive_type] = ACTIONS(1323),
    [anon_sym_enum] = ACTIONS(1323),
    [anon_sym_struct] = ACTIONS(1323),
    [anon_sym_union] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_switch] = ACTIONS(1323),
    [anon_sym_case] = ACTIONS(1323),
    [anon_sym_default] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_do] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_break] = ACTIONS(1323),
    [anon_sym_continue] = ACTIONS(1323),
    [anon_sym_goto] = ACTIONS(1323),
    [anon_sym___try] = ACTIONS(1323),
    [anon_sym___leave] = ACTIONS(1323),
    [anon_sym_DASH_DASH] = ACTIONS(1325),
    [anon_sym_PLUS_PLUS] = ACTIONS(1325),
    [anon_sym_sizeof] = ACTIONS(1323),
    [anon_sym___alignof__] = ACTIONS(1323),
    [anon_sym___alignof] = ACTIONS(1323),
    [anon_sym__alignof] = ACTIONS(1323),
    [anon_sym_alignof] = ACTIONS(1323),
    [anon_sym__Alignof] = ACTIONS(1323),
    [anon_sym_offsetof] = ACTIONS(1323),
    [anon_sym__Generic] = ACTIONS(1323),
    [anon_sym_asm] = ACTIONS(1323),
    [anon_sym___asm__] = ACTIONS(1323),
    [sym_number_literal] = ACTIONS(1325),
    [anon_sym_L_SQUOTE] = ACTIONS(1325),
    [anon_sym_u_SQUOTE] = ACTIONS(1325),
    [anon_sym_U_SQUOTE] = ACTIONS(1325),
    [anon_sym_u8_SQUOTE] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_L_DQUOTE] = ACTIONS(1325),
    [anon_sym_u_DQUOTE] = ACTIONS(1325),
    [anon_sym_U_DQUOTE] = ACTIONS(1325),
    [anon_sym_u8_DQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [anon_sym_NULL] = ACTIONS(1323),
    [anon_sym_nullptr] = ACTIONS(1323),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_identifier] = ACTIONS(1287),
    [aux_sym_preproc_include_token1] = ACTIONS(1287),
    [aux_sym_preproc_def_token1] = ACTIONS(1287),
    [aux_sym_preproc_if_token1] = ACTIONS(1287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1287),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1287),
    [sym_preproc_directive] = ACTIONS(1287),
    [anon_sym_LPAREN2] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1289),
    [anon_sym_TILDE] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(1289),
    [anon_sym___extension__] = ACTIONS(1287),
    [anon_sym_typedef] = ACTIONS(1287),
    [anon_sym_extern] = ACTIONS(1287),
    [anon_sym___attribute__] = ACTIONS(1287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1289),
    [anon_sym___declspec] = ACTIONS(1287),
    [anon_sym___cdecl] = ACTIONS(1287),
    [anon_sym___clrcall] = ACTIONS(1287),
    [anon_sym___stdcall] = ACTIONS(1287),
    [anon_sym___fastcall] = ACTIONS(1287),
    [anon_sym___thiscall] = ACTIONS(1287),
    [anon_sym___vectorcall] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_RBRACE] = ACTIONS(1289),
    [anon_sym_signed] = ACTIONS(1287),
    [anon_sym_unsigned] = ACTIONS(1287),
    [anon_sym_long] = ACTIONS(1287),
    [anon_sym_short] = ACTIONS(1287),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_auto] = ACTIONS(1287),
    [anon_sym_register] = ACTIONS(1287),
    [anon_sym_inline] = ACTIONS(1287),
    [anon_sym___inline] = ACTIONS(1287),
    [anon_sym___inline__] = ACTIONS(1287),
    [anon_sym___forceinline] = ACTIONS(1287),
    [anon_sym_thread_local] = ACTIONS(1287),
    [anon_sym___thread] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_constexpr] = ACTIONS(1287),
    [anon_sym_volatile] = ACTIONS(1287),
    [anon_sym_restrict] = ACTIONS(1287),
    [anon_sym___restrict__] = ACTIONS(1287),
    [anon_sym__Atomic] = ACTIONS(1287),
    [anon_sym__Noreturn] = ACTIONS(1287),
    [anon_sym_noreturn] = ACTIONS(1287),
    [anon_sym_alignas] = ACTIONS(1287),
    [anon_sym__Alignas] = ACTIONS(1287),
    [sym_primitive_type] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [anon_sym_struct] = ACTIONS(1287),
    [anon_sym_union] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1287),
    [anon_sym_switch] = ACTIONS(1287),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1287),
    [anon_sym_while] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1287),
    [anon_sym_for] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1287),
    [anon_sym_break] = ACTIONS(1287),
    [anon_sym_continue] = ACTIONS(1287),
    [anon_sym_goto] = ACTIONS(1287),
    [anon_sym___try] = ACTIONS(1287),
    [anon_sym___leave] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1289),
    [anon_sym_sizeof] = ACTIONS(1287),
    [anon_sym___alignof__] = ACTIONS(1287),
    [anon_sym___alignof] = ACTIONS(1287),
    [anon_sym__alignof] = ACTIONS(1287),
    [anon_sym_alignof] = ACTIONS(1287),
    [anon_sym__Alignof] = ACTIONS(1287),
    [anon_sym_offsetof] = ACTIONS(1287),
    [anon_sym__Generic] = ACTIONS(1287),
    [anon_sym_asm] = ACTIONS(1287),
    [anon_sym___asm__] = ACTIONS(1287),
    [sym_number_literal] = ACTIONS(1289),
    [anon_sym_L_SQUOTE] = ACTIONS(1289),
    [anon_sym_u_SQUOTE] = ACTIONS(1289),
    [anon_sym_U_SQUOTE] = ACTIONS(1289),
    [anon_sym_u8_SQUOTE] = ACTIONS(1289),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_L_DQUOTE] = ACTIONS(1289),
    [anon_sym_u_DQUOTE] = ACTIONS(1289),
    [anon_sym_U_DQUOTE] = ACTIONS(1289),
    [anon_sym_u8_DQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [anon_sym_NULL] = ACTIONS(1287),
    [anon_sym_nullptr] = ACTIONS(1287),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_identifier] = ACTIONS(1259),
    [aux_sym_preproc_include_token1] = ACTIONS(1259),
    [aux_sym_preproc_def_token1] = ACTIONS(1259),
    [aux_sym_preproc_if_token1] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1259),
    [sym_preproc_directive] = ACTIONS(1259),
    [anon_sym_LPAREN2] = ACTIONS(1261),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1259),
    [anon_sym_STAR] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1261),
    [anon_sym_SEMI] = ACTIONS(1261),
    [anon_sym___extension__] = ACTIONS(1259),
    [anon_sym_typedef] = ACTIONS(1259),
    [anon_sym_extern] = ACTIONS(1259),
    [anon_sym___attribute__] = ACTIONS(1259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1261),
    [anon_sym___declspec] = ACTIONS(1259),
    [anon_sym___cdecl] = ACTIONS(1259),
    [anon_sym___clrcall] = ACTIONS(1259),
    [anon_sym___stdcall] = ACTIONS(1259),
    [anon_sym___fastcall] = ACTIONS(1259),
    [anon_sym___thiscall] = ACTIONS(1259),
    [anon_sym___vectorcall] = ACTIONS(1259),
    [anon_sym_LBRACE] = ACTIONS(1261),
    [anon_sym_RBRACE] = ACTIONS(1261),
    [anon_sym_signed] = ACTIONS(1259),
    [anon_sym_unsigned] = ACTIONS(1259),
    [anon_sym_long] = ACTIONS(1259),
    [anon_sym_short] = ACTIONS(1259),
    [anon_sym_static] = ACTIONS(1259),
    [anon_sym_auto] = ACTIONS(1259),
    [anon_sym_register] = ACTIONS(1259),
    [anon_sym_inline] = ACTIONS(1259),
    [anon_sym___inline] = ACTIONS(1259),
    [anon_sym___inline__] = ACTIONS(1259),
    [anon_sym___forceinline] = ACTIONS(1259),
    [anon_sym_thread_local] = ACTIONS(1259),
    [anon_sym___thread] = ACTIONS(1259),
    [anon_sym_const] = ACTIONS(1259),
    [anon_sym_constexpr] = ACTIONS(1259),
    [anon_sym_volatile] = ACTIONS(1259),
    [anon_sym_restrict] = ACTIONS(1259),
    [anon_sym___restrict__] = ACTIONS(1259),
    [anon_sym__Atomic] = ACTIONS(1259),
    [anon_sym__Noreturn] = ACTIONS(1259),
    [anon_sym_noreturn] = ACTIONS(1259),
    [anon_sym_alignas] = ACTIONS(1259),
    [anon_sym__Alignas] = ACTIONS(1259),
    [sym_primitive_type] = ACTIONS(1259),
    [anon_sym_enum] = ACTIONS(1259),
    [anon_sym_struct] = ACTIONS(1259),
    [anon_sym_union] = ACTIONS(1259),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1259),
    [anon_sym_case] = ACTIONS(1259),
    [anon_sym_default] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_do] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1259),
    [anon_sym_return] = ACTIONS(1259),
    [anon_sym_break] = ACTIONS(1259),
    [anon_sym_continue] = ACTIONS(1259),
    [anon_sym_goto] = ACTIONS(1259),
    [anon_sym___try] = ACTIONS(1259),
    [anon_sym___leave] = ACTIONS(1259),
    [anon_sym_DASH_DASH] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1261),
    [anon_sym_sizeof] = ACTIONS(1259),
    [anon_sym___alignof__] = ACTIONS(1259),
    [anon_sym___alignof] = ACTIONS(1259),
    [anon_sym__alignof] = ACTIONS(1259),
    [anon_sym_alignof] = ACTIONS(1259),
    [anon_sym__Alignof] = ACTIONS(1259),
    [anon_sym_offsetof] = ACTIONS(1259),
    [anon_sym__Generic] = ACTIONS(1259),
    [anon_sym_asm] = ACTIONS(1259),
    [anon_sym___asm__] = ACTIONS(1259),
    [sym_number_literal] = ACTIONS(1261),
    [anon_sym_L_SQUOTE] = ACTIONS(1261),
    [anon_sym_u_SQUOTE] = ACTIONS(1261),
    [anon_sym_U_SQUOTE] = ACTIONS(1261),
    [anon_sym_u8_SQUOTE] = ACTIONS(1261),
    [anon_sym_SQUOTE] = ACTIONS(1261),
    [anon_sym_L_DQUOTE] = ACTIONS(1261),
    [anon_sym_u_DQUOTE] = ACTIONS(1261),
    [anon_sym_U_DQUOTE] = ACTIONS(1261),
    [anon_sym_u8_DQUOTE] = ACTIONS(1261),
    [anon_sym_DQUOTE] = ACTIONS(1261),
    [sym_true] = ACTIONS(1259),
    [sym_false] = ACTIONS(1259),
    [anon_sym_NULL] = ACTIONS(1259),
    [anon_sym_nullptr] = ACTIONS(1259),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_identifier] = ACTIONS(1263),
    [aux_sym_preproc_include_token1] = ACTIONS(1263),
    [aux_sym_preproc_def_token1] = ACTIONS(1263),
    [aux_sym_preproc_if_token1] = ACTIONS(1263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1263),
    [sym_preproc_directive] = ACTIONS(1263),
    [anon_sym_LPAREN2] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1265),
    [anon_sym_TILDE] = ACTIONS(1265),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_STAR] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1265),
    [anon_sym_SEMI] = ACTIONS(1265),
    [anon_sym___extension__] = ACTIONS(1263),
    [anon_sym_typedef] = ACTIONS(1263),
    [anon_sym_extern] = ACTIONS(1263),
    [anon_sym___attribute__] = ACTIONS(1263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1265),
    [anon_sym___declspec] = ACTIONS(1263),
    [anon_sym___cdecl] = ACTIONS(1263),
    [anon_sym___clrcall] = ACTIONS(1263),
    [anon_sym___stdcall] = ACTIONS(1263),
    [anon_sym___fastcall] = ACTIONS(1263),
    [anon_sym___thiscall] = ACTIONS(1263),
    [anon_sym___vectorcall] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(1265),
    [anon_sym_RBRACE] = ACTIONS(1265),
    [anon_sym_signed] = ACTIONS(1263),
    [anon_sym_unsigned] = ACTIONS(1263),
    [anon_sym_long] = ACTIONS(1263),
    [anon_sym_short] = ACTIONS(1263),
    [anon_sym_static] = ACTIONS(1263),
    [anon_sym_auto] = ACTIONS(1263),
    [anon_sym_register] = ACTIONS(1263),
    [anon_sym_inline] = ACTIONS(1263),
    [anon_sym___inline] = ACTIONS(1263),
    [anon_sym___inline__] = ACTIONS(1263),
    [anon_sym___forceinline] = ACTIONS(1263),
    [anon_sym_thread_local] = ACTIONS(1263),
    [anon_sym___thread] = ACTIONS(1263),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_constexpr] = ACTIONS(1263),
    [anon_sym_volatile] = ACTIONS(1263),
    [anon_sym_restrict] = ACTIONS(1263),
    [anon_sym___restrict__] = ACTIONS(1263),
    [anon_sym__Atomic] = ACTIONS(1263),
    [anon_sym__Noreturn] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_alignas] = ACTIONS(1263),
    [anon_sym__Alignas] = ACTIONS(1263),
    [sym_primitive_type] = ACTIONS(1263),
    [anon_sym_enum] = ACTIONS(1263),
    [anon_sym_struct] = ACTIONS(1263),
    [anon_sym_union] = ACTIONS(1263),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(1263),
    [anon_sym_case] = ACTIONS(1263),
    [anon_sym_default] = ACTIONS(1263),
    [anon_sym_while] = ACTIONS(1263),
    [anon_sym_do] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_return] = ACTIONS(1263),
    [anon_sym_break] = ACTIONS(1263),
    [anon_sym_continue] = ACTIONS(1263),
    [anon_sym_goto] = ACTIONS(1263),
    [anon_sym___try] = ACTIONS(1263),
    [anon_sym___leave] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1265),
    [anon_sym_PLUS_PLUS] = ACTIONS(1265),
    [anon_sym_sizeof] = ACTIONS(1263),
    [anon_sym___alignof__] = ACTIONS(1263),
    [anon_sym___alignof] = ACTIONS(1263),
    [anon_sym__alignof] = ACTIONS(1263),
    [anon_sym_alignof] = ACTIONS(1263),
    [anon_sym__Alignof] = ACTIONS(1263),
    [anon_sym_offsetof] = ACTIONS(1263),
    [anon_sym__Generic] = ACTIONS(1263),
    [anon_sym_asm] = ACTIONS(1263),
    [anon_sym___asm__] = ACTIONS(1263),
    [sym_number_literal] = ACTIONS(1265),
    [anon_sym_L_SQUOTE] = ACTIONS(1265),
    [anon_sym_u_SQUOTE] = ACTIONS(1265),
    [anon_sym_U_SQUOTE] = ACTIONS(1265),
    [anon_sym_u8_SQUOTE] = ACTIONS(1265),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_L_DQUOTE] = ACTIONS(1265),
    [anon_sym_u_DQUOTE] = ACTIONS(1265),
    [anon_sym_U_DQUOTE] = ACTIONS(1265),
    [anon_sym_u8_DQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_true] = ACTIONS(1263),
    [sym_false] = ACTIONS(1263),
    [anon_sym_NULL] = ACTIONS(1263),
    [anon_sym_nullptr] = ACTIONS(1263),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_identifier] = ACTIONS(1347),
    [aux_sym_preproc_include_token1] = ACTIONS(1347),
    [aux_sym_preproc_def_token1] = ACTIONS(1347),
    [aux_sym_preproc_if_token1] = ACTIONS(1347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1347),
    [sym_preproc_directive] = ACTIONS(1347),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym___extension__] = ACTIONS(1347),
    [anon_sym_typedef] = ACTIONS(1347),
    [anon_sym_extern] = ACTIONS(1347),
    [anon_sym___attribute__] = ACTIONS(1347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1347),
    [anon_sym___cdecl] = ACTIONS(1347),
    [anon_sym___clrcall] = ACTIONS(1347),
    [anon_sym___stdcall] = ACTIONS(1347),
    [anon_sym___fastcall] = ACTIONS(1347),
    [anon_sym___thiscall] = ACTIONS(1347),
    [anon_sym___vectorcall] = ACTIONS(1347),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1347),
    [anon_sym_unsigned] = ACTIONS(1347),
    [anon_sym_long] = ACTIONS(1347),
    [anon_sym_short] = ACTIONS(1347),
    [anon_sym_static] = ACTIONS(1347),
    [anon_sym_auto] = ACTIONS(1347),
    [anon_sym_register] = ACTIONS(1347),
    [anon_sym_inline] = ACTIONS(1347),
    [anon_sym___inline] = ACTIONS(1347),
    [anon_sym___inline__] = ACTIONS(1347),
    [anon_sym___forceinline] = ACTIONS(1347),
    [anon_sym_thread_local] = ACTIONS(1347),
    [anon_sym___thread] = ACTIONS(1347),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_constexpr] = ACTIONS(1347),
    [anon_sym_volatile] = ACTIONS(1347),
    [anon_sym_restrict] = ACTIONS(1347),
    [anon_sym___restrict__] = ACTIONS(1347),
    [anon_sym__Atomic] = ACTIONS(1347),
    [anon_sym__Noreturn] = ACTIONS(1347),
    [anon_sym_noreturn] = ACTIONS(1347),
    [anon_sym_alignas] = ACTIONS(1347),
    [anon_sym__Alignas] = ACTIONS(1347),
    [sym_primitive_type] = ACTIONS(1347),
    [anon_sym_enum] = ACTIONS(1347),
    [anon_sym_struct] = ACTIONS(1347),
    [anon_sym_union] = ACTIONS(1347),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_switch] = ACTIONS(1347),
    [anon_sym_case] = ACTIONS(1347),
    [anon_sym_default] = ACTIONS(1347),
    [anon_sym_while] = ACTIONS(1347),
    [anon_sym_do] = ACTIONS(1347),
    [anon_sym_for] = ACTIONS(1347),
    [anon_sym_return] = ACTIONS(1347),
    [anon_sym_break] = ACTIONS(1347),
    [anon_sym_continue] = ACTIONS(1347),
    [anon_sym_goto] = ACTIONS(1347),
    [anon_sym___try] = ACTIONS(1347),
    [anon_sym___leave] = ACTIONS(1347),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1347),
    [anon_sym___alignof__] = ACTIONS(1347),
    [anon_sym___alignof] = ACTIONS(1347),
    [anon_sym__alignof] = ACTIONS(1347),
    [anon_sym_alignof] = ACTIONS(1347),
    [anon_sym__Alignof] = ACTIONS(1347),
    [anon_sym_offsetof] = ACTIONS(1347),
    [anon_sym__Generic] = ACTIONS(1347),
    [anon_sym_asm] = ACTIONS(1347),
    [anon_sym___asm__] = ACTIONS(1347),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1347),
    [sym_false] = ACTIONS(1347),
    [anon_sym_NULL] = ACTIONS(1347),
    [anon_sym_nullptr] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_identifier] = ACTIONS(1335),
    [aux_sym_preproc_include_token1] = ACTIONS(1335),
    [aux_sym_preproc_def_token1] = ACTIONS(1335),
    [aux_sym_preproc_if_token1] = ACTIONS(1335),
    [aux_sym_preproc_if_token2] = ACTIONS(1335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1335),
    [sym_preproc_directive] = ACTIONS(1335),
    [anon_sym_LPAREN2] = ACTIONS(1337),
    [anon_sym_BANG] = ACTIONS(1337),
    [anon_sym_TILDE] = ACTIONS(1337),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1337),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym___extension__] = ACTIONS(1335),
    [anon_sym_typedef] = ACTIONS(1335),
    [anon_sym_extern] = ACTIONS(1335),
    [anon_sym___attribute__] = ACTIONS(1335),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1337),
    [anon_sym___declspec] = ACTIONS(1335),
    [anon_sym___cdecl] = ACTIONS(1335),
    [anon_sym___clrcall] = ACTIONS(1335),
    [anon_sym___stdcall] = ACTIONS(1335),
    [anon_sym___fastcall] = ACTIONS(1335),
    [anon_sym___thiscall] = ACTIONS(1335),
    [anon_sym___vectorcall] = ACTIONS(1335),
    [anon_sym_LBRACE] = ACTIONS(1337),
    [anon_sym_signed] = ACTIONS(1335),
    [anon_sym_unsigned] = ACTIONS(1335),
    [anon_sym_long] = ACTIONS(1335),
    [anon_sym_short] = ACTIONS(1335),
    [anon_sym_static] = ACTIONS(1335),
    [anon_sym_auto] = ACTIONS(1335),
    [anon_sym_register] = ACTIONS(1335),
    [anon_sym_inline] = ACTIONS(1335),
    [anon_sym___inline] = ACTIONS(1335),
    [anon_sym___inline__] = ACTIONS(1335),
    [anon_sym___forceinline] = ACTIONS(1335),
    [anon_sym_thread_local] = ACTIONS(1335),
    [anon_sym___thread] = ACTIONS(1335),
    [anon_sym_const] = ACTIONS(1335),
    [anon_sym_constexpr] = ACTIONS(1335),
    [anon_sym_volatile] = ACTIONS(1335),
    [anon_sym_restrict] = ACTIONS(1335),
    [anon_sym___restrict__] = ACTIONS(1335),
    [anon_sym__Atomic] = ACTIONS(1335),
    [anon_sym__Noreturn] = ACTIONS(1335),
    [anon_sym_noreturn] = ACTIONS(1335),
    [anon_sym_alignas] = ACTIONS(1335),
    [anon_sym__Alignas] = ACTIONS(1335),
    [sym_primitive_type] = ACTIONS(1335),
    [anon_sym_enum] = ACTIONS(1335),
    [anon_sym_struct] = ACTIONS(1335),
    [anon_sym_union] = ACTIONS(1335),
    [anon_sym_if] = ACTIONS(1335),
    [anon_sym_switch] = ACTIONS(1335),
    [anon_sym_case] = ACTIONS(1335),
    [anon_sym_default] = ACTIONS(1335),
    [anon_sym_while] = ACTIONS(1335),
    [anon_sym_do] = ACTIONS(1335),
    [anon_sym_for] = ACTIONS(1335),
    [anon_sym_return] = ACTIONS(1335),
    [anon_sym_break] = ACTIONS(1335),
    [anon_sym_continue] = ACTIONS(1335),
    [anon_sym_goto] = ACTIONS(1335),
    [anon_sym___try] = ACTIONS(1335),
    [anon_sym___leave] = ACTIONS(1335),
    [anon_sym_DASH_DASH] = ACTIONS(1337),
    [anon_sym_PLUS_PLUS] = ACTIONS(1337),
    [anon_sym_sizeof] = ACTIONS(1335),
    [anon_sym___alignof__] = ACTIONS(1335),
    [anon_sym___alignof] = ACTIONS(1335),
    [anon_sym__alignof] = ACTIONS(1335),
    [anon_sym_alignof] = ACTIONS(1335),
    [anon_sym__Alignof] = ACTIONS(1335),
    [anon_sym_offsetof] = ACTIONS(1335),
    [anon_sym__Generic] = ACTIONS(1335),
    [anon_sym_asm] = ACTIONS(1335),
    [anon_sym___asm__] = ACTIONS(1335),
    [sym_number_literal] = ACTIONS(1337),
    [anon_sym_L_SQUOTE] = ACTIONS(1337),
    [anon_sym_u_SQUOTE] = ACTIONS(1337),
    [anon_sym_U_SQUOTE] = ACTIONS(1337),
    [anon_sym_u8_SQUOTE] = ACTIONS(1337),
    [anon_sym_SQUOTE] = ACTIONS(1337),
    [anon_sym_L_DQUOTE] = ACTIONS(1337),
    [anon_sym_u_DQUOTE] = ACTIONS(1337),
    [anon_sym_U_DQUOTE] = ACTIONS(1337),
    [anon_sym_u8_DQUOTE] = ACTIONS(1337),
    [anon_sym_DQUOTE] = ACTIONS(1337),
    [sym_true] = ACTIONS(1335),
    [sym_false] = ACTIONS(1335),
    [anon_sym_NULL] = ACTIONS(1335),
    [anon_sym_nullptr] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_identifier] = ACTIONS(1361),
    [aux_sym_preproc_include_token1] = ACTIONS(1361),
    [aux_sym_preproc_def_token1] = ACTIONS(1361),
    [aux_sym_preproc_if_token1] = ACTIONS(1361),
    [aux_sym_preproc_if_token2] = ACTIONS(1361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1361),
    [sym_preproc_directive] = ACTIONS(1361),
    [anon_sym_LPAREN2] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_TILDE] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1363),
    [anon_sym___extension__] = ACTIONS(1361),
    [anon_sym_typedef] = ACTIONS(1361),
    [anon_sym_extern] = ACTIONS(1361),
    [anon_sym___attribute__] = ACTIONS(1361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1363),
    [anon_sym___declspec] = ACTIONS(1361),
    [anon_sym___cdecl] = ACTIONS(1361),
    [anon_sym___clrcall] = ACTIONS(1361),
    [anon_sym___stdcall] = ACTIONS(1361),
    [anon_sym___fastcall] = ACTIONS(1361),
    [anon_sym___thiscall] = ACTIONS(1361),
    [anon_sym___vectorcall] = ACTIONS(1361),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_signed] = ACTIONS(1361),
    [anon_sym_unsigned] = ACTIONS(1361),
    [anon_sym_long] = ACTIONS(1361),
    [anon_sym_short] = ACTIONS(1361),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_auto] = ACTIONS(1361),
    [anon_sym_register] = ACTIONS(1361),
    [anon_sym_inline] = ACTIONS(1361),
    [anon_sym___inline] = ACTIONS(1361),
    [anon_sym___inline__] = ACTIONS(1361),
    [anon_sym___forceinline] = ACTIONS(1361),
    [anon_sym_thread_local] = ACTIONS(1361),
    [anon_sym___thread] = ACTIONS(1361),
    [anon_sym_const] = ACTIONS(1361),
    [anon_sym_constexpr] = ACTIONS(1361),
    [anon_sym_volatile] = ACTIONS(1361),
    [anon_sym_restrict] = ACTIONS(1361),
    [anon_sym___restrict__] = ACTIONS(1361),
    [anon_sym__Atomic] = ACTIONS(1361),
    [anon_sym__Noreturn] = ACTIONS(1361),
    [anon_sym_noreturn] = ACTIONS(1361),
    [anon_sym_alignas] = ACTIONS(1361),
    [anon_sym__Alignas] = ACTIONS(1361),
    [sym_primitive_type] = ACTIONS(1361),
    [anon_sym_enum] = ACTIONS(1361),
    [anon_sym_struct] = ACTIONS(1361),
    [anon_sym_union] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_switch] = ACTIONS(1361),
    [anon_sym_case] = ACTIONS(1361),
    [anon_sym_default] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1361),
    [anon_sym_do] = ACTIONS(1361),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_return] = ACTIONS(1361),
    [anon_sym_break] = ACTIONS(1361),
    [anon_sym_continue] = ACTIONS(1361),
    [anon_sym_goto] = ACTIONS(1361),
    [anon_sym___try] = ACTIONS(1361),
    [anon_sym___leave] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1363),
    [anon_sym_PLUS_PLUS] = ACTIONS(1363),
    [anon_sym_sizeof] = ACTIONS(1361),
    [anon_sym___alignof__] = ACTIONS(1361),
    [anon_sym___alignof] = ACTIONS(1361),
    [anon_sym__alignof] = ACTIONS(1361),
    [anon_sym_alignof] = ACTIONS(1361),
    [anon_sym__Alignof] = ACTIONS(1361),
    [anon_sym_offsetof] = ACTIONS(1361),
    [anon_sym__Generic] = ACTIONS(1361),
    [anon_sym_asm] = ACTIONS(1361),
    [anon_sym___asm__] = ACTIONS(1361),
    [sym_number_literal] = ACTIONS(1363),
    [anon_sym_L_SQUOTE] = ACTIONS(1363),
    [anon_sym_u_SQUOTE] = ACTIONS(1363),
    [anon_sym_U_SQUOTE] = ACTIONS(1363),
    [anon_sym_u8_SQUOTE] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1363),
    [anon_sym_L_DQUOTE] = ACTIONS(1363),
    [anon_sym_u_DQUOTE] = ACTIONS(1363),
    [anon_sym_U_DQUOTE] = ACTIONS(1363),
    [anon_sym_u8_DQUOTE] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_true] = ACTIONS(1361),
    [sym_false] = ACTIONS(1361),
    [anon_sym_NULL] = ACTIONS(1361),
    [anon_sym_nullptr] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_identifier] = ACTIONS(1259),
    [aux_sym_preproc_include_token1] = ACTIONS(1259),
    [aux_sym_preproc_def_token1] = ACTIONS(1259),
    [aux_sym_preproc_if_token1] = ACTIONS(1259),
    [aux_sym_preproc_if_token2] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1259),
    [sym_preproc_directive] = ACTIONS(1259),
    [anon_sym_LPAREN2] = ACTIONS(1261),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1259),
    [anon_sym_STAR] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1261),
    [anon_sym_SEMI] = ACTIONS(1261),
    [anon_sym___extension__] = ACTIONS(1259),
    [anon_sym_typedef] = ACTIONS(1259),
    [anon_sym_extern] = ACTIONS(1259),
    [anon_sym___attribute__] = ACTIONS(1259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1261),
    [anon_sym___declspec] = ACTIONS(1259),
    [anon_sym___cdecl] = ACTIONS(1259),
    [anon_sym___clrcall] = ACTIONS(1259),
    [anon_sym___stdcall] = ACTIONS(1259),
    [anon_sym___fastcall] = ACTIONS(1259),
    [anon_sym___thiscall] = ACTIONS(1259),
    [anon_sym___vectorcall] = ACTIONS(1259),
    [anon_sym_LBRACE] = ACTIONS(1261),
    [anon_sym_signed] = ACTIONS(1259),
    [anon_sym_unsigned] = ACTIONS(1259),
    [anon_sym_long] = ACTIONS(1259),
    [anon_sym_short] = ACTIONS(1259),
    [anon_sym_static] = ACTIONS(1259),
    [anon_sym_auto] = ACTIONS(1259),
    [anon_sym_register] = ACTIONS(1259),
    [anon_sym_inline] = ACTIONS(1259),
    [anon_sym___inline] = ACTIONS(1259),
    [anon_sym___inline__] = ACTIONS(1259),
    [anon_sym___forceinline] = ACTIONS(1259),
    [anon_sym_thread_local] = ACTIONS(1259),
    [anon_sym___thread] = ACTIONS(1259),
    [anon_sym_const] = ACTIONS(1259),
    [anon_sym_constexpr] = ACTIONS(1259),
    [anon_sym_volatile] = ACTIONS(1259),
    [anon_sym_restrict] = ACTIONS(1259),
    [anon_sym___restrict__] = ACTIONS(1259),
    [anon_sym__Atomic] = ACTIONS(1259),
    [anon_sym__Noreturn] = ACTIONS(1259),
    [anon_sym_noreturn] = ACTIONS(1259),
    [anon_sym_alignas] = ACTIONS(1259),
    [anon_sym__Alignas] = ACTIONS(1259),
    [sym_primitive_type] = ACTIONS(1259),
    [anon_sym_enum] = ACTIONS(1259),
    [anon_sym_struct] = ACTIONS(1259),
    [anon_sym_union] = ACTIONS(1259),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1259),
    [anon_sym_case] = ACTIONS(1259),
    [anon_sym_default] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_do] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1259),
    [anon_sym_return] = ACTIONS(1259),
    [anon_sym_break] = ACTIONS(1259),
    [anon_sym_continue] = ACTIONS(1259),
    [anon_sym_goto] = ACTIONS(1259),
    [anon_sym___try] = ACTIONS(1259),
    [anon_sym___leave] = ACTIONS(1259),
    [anon_sym_DASH_DASH] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1261),
    [anon_sym_sizeof] = ACTIONS(1259),
    [anon_sym___alignof__] = ACTIONS(1259),
    [anon_sym___alignof] = ACTIONS(1259),
    [anon_sym__alignof] = ACTIONS(1259),
    [anon_sym_alignof] = ACTIONS(1259),
    [anon_sym__Alignof] = ACTIONS(1259),
    [anon_sym_offsetof] = ACTIONS(1259),
    [anon_sym__Generic] = ACTIONS(1259),
    [anon_sym_asm] = ACTIONS(1259),
    [anon_sym___asm__] = ACTIONS(1259),
    [sym_number_literal] = ACTIONS(1261),
    [anon_sym_L_SQUOTE] = ACTIONS(1261),
    [anon_sym_u_SQUOTE] = ACTIONS(1261),
    [anon_sym_U_SQUOTE] = ACTIONS(1261),
    [anon_sym_u8_SQUOTE] = ACTIONS(1261),
    [anon_sym_SQUOTE] = ACTIONS(1261),
    [anon_sym_L_DQUOTE] = ACTIONS(1261),
    [anon_sym_u_DQUOTE] = ACTIONS(1261),
    [anon_sym_U_DQUOTE] = ACTIONS(1261),
    [anon_sym_u8_DQUOTE] = ACTIONS(1261),
    [anon_sym_DQUOTE] = ACTIONS(1261),
    [sym_true] = ACTIONS(1259),
    [sym_false] = ACTIONS(1259),
    [anon_sym_NULL] = ACTIONS(1259),
    [anon_sym_nullptr] = ACTIONS(1259),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_identifier] = ACTIONS(1357),
    [aux_sym_preproc_include_token1] = ACTIONS(1357),
    [aux_sym_preproc_def_token1] = ACTIONS(1357),
    [aux_sym_preproc_if_token1] = ACTIONS(1357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1357),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1357),
    [sym_preproc_directive] = ACTIONS(1357),
    [anon_sym_LPAREN2] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1357),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_SEMI] = ACTIONS(1359),
    [anon_sym___extension__] = ACTIONS(1357),
    [anon_sym_typedef] = ACTIONS(1357),
    [anon_sym_extern] = ACTIONS(1357),
    [anon_sym___attribute__] = ACTIONS(1357),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1359),
    [anon_sym___declspec] = ACTIONS(1357),
    [anon_sym___cdecl] = ACTIONS(1357),
    [anon_sym___clrcall] = ACTIONS(1357),
    [anon_sym___stdcall] = ACTIONS(1357),
    [anon_sym___fastcall] = ACTIONS(1357),
    [anon_sym___thiscall] = ACTIONS(1357),
    [anon_sym___vectorcall] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1359),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [anon_sym_signed] = ACTIONS(1357),
    [anon_sym_unsigned] = ACTIONS(1357),
    [anon_sym_long] = ACTIONS(1357),
    [anon_sym_short] = ACTIONS(1357),
    [anon_sym_static] = ACTIONS(1357),
    [anon_sym_auto] = ACTIONS(1357),
    [anon_sym_register] = ACTIONS(1357),
    [anon_sym_inline] = ACTIONS(1357),
    [anon_sym___inline] = ACTIONS(1357),
    [anon_sym___inline__] = ACTIONS(1357),
    [anon_sym___forceinline] = ACTIONS(1357),
    [anon_sym_thread_local] = ACTIONS(1357),
    [anon_sym___thread] = ACTIONS(1357),
    [anon_sym_const] = ACTIONS(1357),
    [anon_sym_constexpr] = ACTIONS(1357),
    [anon_sym_volatile] = ACTIONS(1357),
    [anon_sym_restrict] = ACTIONS(1357),
    [anon_sym___restrict__] = ACTIONS(1357),
    [anon_sym__Atomic] = ACTIONS(1357),
    [anon_sym__Noreturn] = ACTIONS(1357),
    [anon_sym_noreturn] = ACTIONS(1357),
    [anon_sym_alignas] = ACTIONS(1357),
    [anon_sym__Alignas] = ACTIONS(1357),
    [sym_primitive_type] = ACTIONS(1357),
    [anon_sym_enum] = ACTIONS(1357),
    [anon_sym_struct] = ACTIONS(1357),
    [anon_sym_union] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_switch] = ACTIONS(1357),
    [anon_sym_case] = ACTIONS(1357),
    [anon_sym_default] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_do] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_break] = ACTIONS(1357),
    [anon_sym_continue] = ACTIONS(1357),
    [anon_sym_goto] = ACTIONS(1357),
    [anon_sym___try] = ACTIONS(1357),
    [anon_sym___leave] = ACTIONS(1357),
    [anon_sym_DASH_DASH] = ACTIONS(1359),
    [anon_sym_PLUS_PLUS] = ACTIONS(1359),
    [anon_sym_sizeof] = ACTIONS(1357),
    [anon_sym___alignof__] = ACTIONS(1357),
    [anon_sym___alignof] = ACTIONS(1357),
    [anon_sym__alignof] = ACTIONS(1357),
    [anon_sym_alignof] = ACTIONS(1357),
    [anon_sym__Alignof] = ACTIONS(1357),
    [anon_sym_offsetof] = ACTIONS(1357),
    [anon_sym__Generic] = ACTIONS(1357),
    [anon_sym_asm] = ACTIONS(1357),
    [anon_sym___asm__] = ACTIONS(1357),
    [sym_number_literal] = ACTIONS(1359),
    [anon_sym_L_SQUOTE] = ACTIONS(1359),
    [anon_sym_u_SQUOTE] = ACTIONS(1359),
    [anon_sym_U_SQUOTE] = ACTIONS(1359),
    [anon_sym_u8_SQUOTE] = ACTIONS(1359),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_L_DQUOTE] = ACTIONS(1359),
    [anon_sym_u_DQUOTE] = ACTIONS(1359),
    [anon_sym_U_DQUOTE] = ACTIONS(1359),
    [anon_sym_u8_DQUOTE] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [anon_sym_NULL] = ACTIONS(1357),
    [anon_sym_nullptr] = ACTIONS(1357),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_identifier] = ACTIONS(1263),
    [aux_sym_preproc_include_token1] = ACTIONS(1263),
    [aux_sym_preproc_def_token1] = ACTIONS(1263),
    [aux_sym_preproc_if_token1] = ACTIONS(1263),
    [aux_sym_preproc_if_token2] = ACTIONS(1263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1263),
    [sym_preproc_directive] = ACTIONS(1263),
    [anon_sym_LPAREN2] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1265),
    [anon_sym_TILDE] = ACTIONS(1265),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_STAR] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1265),
    [anon_sym_SEMI] = ACTIONS(1265),
    [anon_sym___extension__] = ACTIONS(1263),
    [anon_sym_typedef] = ACTIONS(1263),
    [anon_sym_extern] = ACTIONS(1263),
    [anon_sym___attribute__] = ACTIONS(1263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1265),
    [anon_sym___declspec] = ACTIONS(1263),
    [anon_sym___cdecl] = ACTIONS(1263),
    [anon_sym___clrcall] = ACTIONS(1263),
    [anon_sym___stdcall] = ACTIONS(1263),
    [anon_sym___fastcall] = ACTIONS(1263),
    [anon_sym___thiscall] = ACTIONS(1263),
    [anon_sym___vectorcall] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(1265),
    [anon_sym_signed] = ACTIONS(1263),
    [anon_sym_unsigned] = ACTIONS(1263),
    [anon_sym_long] = ACTIONS(1263),
    [anon_sym_short] = ACTIONS(1263),
    [anon_sym_static] = ACTIONS(1263),
    [anon_sym_auto] = ACTIONS(1263),
    [anon_sym_register] = ACTIONS(1263),
    [anon_sym_inline] = ACTIONS(1263),
    [anon_sym___inline] = ACTIONS(1263),
    [anon_sym___inline__] = ACTIONS(1263),
    [anon_sym___forceinline] = ACTIONS(1263),
    [anon_sym_thread_local] = ACTIONS(1263),
    [anon_sym___thread] = ACTIONS(1263),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_constexpr] = ACTIONS(1263),
    [anon_sym_volatile] = ACTIONS(1263),
    [anon_sym_restrict] = ACTIONS(1263),
    [anon_sym___restrict__] = ACTIONS(1263),
    [anon_sym__Atomic] = ACTIONS(1263),
    [anon_sym__Noreturn] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_alignas] = ACTIONS(1263),
    [anon_sym__Alignas] = ACTIONS(1263),
    [sym_primitive_type] = ACTIONS(1263),
    [anon_sym_enum] = ACTIONS(1263),
    [anon_sym_struct] = ACTIONS(1263),
    [anon_sym_union] = ACTIONS(1263),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(1263),
    [anon_sym_case] = ACTIONS(1263),
    [anon_sym_default] = ACTIONS(1263),
    [anon_sym_while] = ACTIONS(1263),
    [anon_sym_do] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_return] = ACTIONS(1263),
    [anon_sym_break] = ACTIONS(1263),
    [anon_sym_continue] = ACTIONS(1263),
    [anon_sym_goto] = ACTIONS(1263),
    [anon_sym___try] = ACTIONS(1263),
    [anon_sym___leave] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1265),
    [anon_sym_PLUS_PLUS] = ACTIONS(1265),
    [anon_sym_sizeof] = ACTIONS(1263),
    [anon_sym___alignof__] = ACTIONS(1263),
    [anon_sym___alignof] = ACTIONS(1263),
    [anon_sym__alignof] = ACTIONS(1263),
    [anon_sym_alignof] = ACTIONS(1263),
    [anon_sym__Alignof] = ACTIONS(1263),
    [anon_sym_offsetof] = ACTIONS(1263),
    [anon_sym__Generic] = ACTIONS(1263),
    [anon_sym_asm] = ACTIONS(1263),
    [anon_sym___asm__] = ACTIONS(1263),
    [sym_number_literal] = ACTIONS(1265),
    [anon_sym_L_SQUOTE] = ACTIONS(1265),
    [anon_sym_u_SQUOTE] = ACTIONS(1265),
    [anon_sym_U_SQUOTE] = ACTIONS(1265),
    [anon_sym_u8_SQUOTE] = ACTIONS(1265),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_L_DQUOTE] = ACTIONS(1265),
    [anon_sym_u_DQUOTE] = ACTIONS(1265),
    [anon_sym_U_DQUOTE] = ACTIONS(1265),
    [anon_sym_u8_DQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_true] = ACTIONS(1263),
    [sym_false] = ACTIONS(1263),
    [anon_sym_NULL] = ACTIONS(1263),
    [anon_sym_nullptr] = ACTIONS(1263),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_identifier] = ACTIONS(1271),
    [aux_sym_preproc_include_token1] = ACTIONS(1271),
    [aux_sym_preproc_def_token1] = ACTIONS(1271),
    [aux_sym_preproc_if_token1] = ACTIONS(1271),
    [aux_sym_preproc_if_token2] = ACTIONS(1271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1271),
    [sym_preproc_directive] = ACTIONS(1271),
    [anon_sym_LPAREN2] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_AMP] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1273),
    [anon_sym___extension__] = ACTIONS(1271),
    [anon_sym_typedef] = ACTIONS(1271),
    [anon_sym_extern] = ACTIONS(1271),
    [anon_sym___attribute__] = ACTIONS(1271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1273),
    [anon_sym___declspec] = ACTIONS(1271),
    [anon_sym___cdecl] = ACTIONS(1271),
    [anon_sym___clrcall] = ACTIONS(1271),
    [anon_sym___stdcall] = ACTIONS(1271),
    [anon_sym___fastcall] = ACTIONS(1271),
    [anon_sym___thiscall] = ACTIONS(1271),
    [anon_sym___vectorcall] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_signed] = ACTIONS(1271),
    [anon_sym_unsigned] = ACTIONS(1271),
    [anon_sym_long] = ACTIONS(1271),
    [anon_sym_short] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1271),
    [anon_sym_auto] = ACTIONS(1271),
    [anon_sym_register] = ACTIONS(1271),
    [anon_sym_inline] = ACTIONS(1271),
    [anon_sym___inline] = ACTIONS(1271),
    [anon_sym___inline__] = ACTIONS(1271),
    [anon_sym___forceinline] = ACTIONS(1271),
    [anon_sym_thread_local] = ACTIONS(1271),
    [anon_sym___thread] = ACTIONS(1271),
    [anon_sym_const] = ACTIONS(1271),
    [anon_sym_constexpr] = ACTIONS(1271),
    [anon_sym_volatile] = ACTIONS(1271),
    [anon_sym_restrict] = ACTIONS(1271),
    [anon_sym___restrict__] = ACTIONS(1271),
    [anon_sym__Atomic] = ACTIONS(1271),
    [anon_sym__Noreturn] = ACTIONS(1271),
    [anon_sym_noreturn] = ACTIONS(1271),
    [anon_sym_alignas] = ACTIONS(1271),
    [anon_sym__Alignas] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(1271),
    [anon_sym_enum] = ACTIONS(1271),
    [anon_sym_struct] = ACTIONS(1271),
    [anon_sym_union] = ACTIONS(1271),
    [anon_sym_if] = ACTIONS(1271),
    [anon_sym_switch] = ACTIONS(1271),
    [anon_sym_case] = ACTIONS(1271),
    [anon_sym_default] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1271),
    [anon_sym_do] = ACTIONS(1271),
    [anon_sym_for] = ACTIONS(1271),
    [anon_sym_return] = ACTIONS(1271),
    [anon_sym_break] = ACTIONS(1271),
    [anon_sym_continue] = ACTIONS(1271),
    [anon_sym_goto] = ACTIONS(1271),
    [anon_sym___try] = ACTIONS(1271),
    [anon_sym___leave] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1273),
    [anon_sym_sizeof] = ACTIONS(1271),
    [anon_sym___alignof__] = ACTIONS(1271),
    [anon_sym___alignof] = ACTIONS(1271),
    [anon_sym__alignof] = ACTIONS(1271),
    [anon_sym_alignof] = ACTIONS(1271),
    [anon_sym__Alignof] = ACTIONS(1271),
    [anon_sym_offsetof] = ACTIONS(1271),
    [anon_sym__Generic] = ACTIONS(1271),
    [anon_sym_asm] = ACTIONS(1271),
    [anon_sym___asm__] = ACTIONS(1271),
    [sym_number_literal] = ACTIONS(1273),
    [anon_sym_L_SQUOTE] = ACTIONS(1273),
    [anon_sym_u_SQUOTE] = ACTIONS(1273),
    [anon_sym_U_SQUOTE] = ACTIONS(1273),
    [anon_sym_u8_SQUOTE] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1273),
    [anon_sym_L_DQUOTE] = ACTIONS(1273),
    [anon_sym_u_DQUOTE] = ACTIONS(1273),
    [anon_sym_U_DQUOTE] = ACTIONS(1273),
    [anon_sym_u8_DQUOTE] = ACTIONS(1273),
    [anon_sym_DQUOTE] = ACTIONS(1273),
    [sym_true] = ACTIONS(1271),
    [sym_false] = ACTIONS(1271),
    [anon_sym_NULL] = ACTIONS(1271),
    [anon_sym_nullptr] = ACTIONS(1271),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_identifier] = ACTIONS(1275),
    [aux_sym_preproc_include_token1] = ACTIONS(1275),
    [aux_sym_preproc_def_token1] = ACTIONS(1275),
    [aux_sym_preproc_if_token1] = ACTIONS(1275),
    [aux_sym_preproc_if_token2] = ACTIONS(1275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1275),
    [sym_preproc_directive] = ACTIONS(1275),
    [anon_sym_LPAREN2] = ACTIONS(1277),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_STAR] = ACTIONS(1277),
    [anon_sym_AMP] = ACTIONS(1277),
    [anon_sym_SEMI] = ACTIONS(1277),
    [anon_sym___extension__] = ACTIONS(1275),
    [anon_sym_typedef] = ACTIONS(1275),
    [anon_sym_extern] = ACTIONS(1275),
    [anon_sym___attribute__] = ACTIONS(1275),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1277),
    [anon_sym___declspec] = ACTIONS(1275),
    [anon_sym___cdecl] = ACTIONS(1275),
    [anon_sym___clrcall] = ACTIONS(1275),
    [anon_sym___stdcall] = ACTIONS(1275),
    [anon_sym___fastcall] = ACTIONS(1275),
    [anon_sym___thiscall] = ACTIONS(1275),
    [anon_sym___vectorcall] = ACTIONS(1275),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_signed] = ACTIONS(1275),
    [anon_sym_unsigned] = ACTIONS(1275),
    [anon_sym_long] = ACTIONS(1275),
    [anon_sym_short] = ACTIONS(1275),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_auto] = ACTIONS(1275),
    [anon_sym_register] = ACTIONS(1275),
    [anon_sym_inline] = ACTIONS(1275),
    [anon_sym___inline] = ACTIONS(1275),
    [anon_sym___inline__] = ACTIONS(1275),
    [anon_sym___forceinline] = ACTIONS(1275),
    [anon_sym_thread_local] = ACTIONS(1275),
    [anon_sym___thread] = ACTIONS(1275),
    [anon_sym_const] = ACTIONS(1275),
    [anon_sym_constexpr] = ACTIONS(1275),
    [anon_sym_volatile] = ACTIONS(1275),
    [anon_sym_restrict] = ACTIONS(1275),
    [anon_sym___restrict__] = ACTIONS(1275),
    [anon_sym__Atomic] = ACTIONS(1275),
    [anon_sym__Noreturn] = ACTIONS(1275),
    [anon_sym_noreturn] = ACTIONS(1275),
    [anon_sym_alignas] = ACTIONS(1275),
    [anon_sym__Alignas] = ACTIONS(1275),
    [sym_primitive_type] = ACTIONS(1275),
    [anon_sym_enum] = ACTIONS(1275),
    [anon_sym_struct] = ACTIONS(1275),
    [anon_sym_union] = ACTIONS(1275),
    [anon_sym_if] = ACTIONS(1275),
    [anon_sym_switch] = ACTIONS(1275),
    [anon_sym_case] = ACTIONS(1275),
    [anon_sym_default] = ACTIONS(1275),
    [anon_sym_while] = ACTIONS(1275),
    [anon_sym_do] = ACTIONS(1275),
    [anon_sym_for] = ACTIONS(1275),
    [anon_sym_return] = ACTIONS(1275),
    [anon_sym_break] = ACTIONS(1275),
    [anon_sym_continue] = ACTIONS(1275),
    [anon_sym_goto] = ACTIONS(1275),
    [anon_sym___try] = ACTIONS(1275),
    [anon_sym___leave] = ACTIONS(1275),
    [anon_sym_DASH_DASH] = ACTIONS(1277),
    [anon_sym_PLUS_PLUS] = ACTIONS(1277),
    [anon_sym_sizeof] = ACTIONS(1275),
    [anon_sym___alignof__] = ACTIONS(1275),
    [anon_sym___alignof] = ACTIONS(1275),
    [anon_sym__alignof] = ACTIONS(1275),
    [anon_sym_alignof] = ACTIONS(1275),
    [anon_sym__Alignof] = ACTIONS(1275),
    [anon_sym_offsetof] = ACTIONS(1275),
    [anon_sym__Generic] = ACTIONS(1275),
    [anon_sym_asm] = ACTIONS(1275),
    [anon_sym___asm__] = ACTIONS(1275),
    [sym_number_literal] = ACTIONS(1277),
    [anon_sym_L_SQUOTE] = ACTIONS(1277),
    [anon_sym_u_SQUOTE] = ACTIONS(1277),
    [anon_sym_U_SQUOTE] = ACTIONS(1277),
    [anon_sym_u8_SQUOTE] = ACTIONS(1277),
    [anon_sym_SQUOTE] = ACTIONS(1277),
    [anon_sym_L_DQUOTE] = ACTIONS(1277),
    [anon_sym_u_DQUOTE] = ACTIONS(1277),
    [anon_sym_U_DQUOTE] = ACTIONS(1277),
    [anon_sym_u8_DQUOTE] = ACTIONS(1277),
    [anon_sym_DQUOTE] = ACTIONS(1277),
    [sym_true] = ACTIONS(1275),
    [sym_false] = ACTIONS(1275),
    [anon_sym_NULL] = ACTIONS(1275),
    [anon_sym_nullptr] = ACTIONS(1275),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_identifier] = ACTIONS(1279),
    [aux_sym_preproc_include_token1] = ACTIONS(1279),
    [aux_sym_preproc_def_token1] = ACTIONS(1279),
    [aux_sym_preproc_if_token1] = ACTIONS(1279),
    [aux_sym_preproc_if_token2] = ACTIONS(1279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1279),
    [sym_preproc_directive] = ACTIONS(1279),
    [anon_sym_LPAREN2] = ACTIONS(1281),
    [anon_sym_BANG] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(1281),
    [anon_sym_DASH] = ACTIONS(1279),
    [anon_sym_PLUS] = ACTIONS(1279),
    [anon_sym_STAR] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(1281),
    [anon_sym_SEMI] = ACTIONS(1281),
    [anon_sym___extension__] = ACTIONS(1279),
    [anon_sym_typedef] = ACTIONS(1279),
    [anon_sym_extern] = ACTIONS(1279),
    [anon_sym___attribute__] = ACTIONS(1279),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1281),
    [anon_sym___declspec] = ACTIONS(1279),
    [anon_sym___cdecl] = ACTIONS(1279),
    [anon_sym___clrcall] = ACTIONS(1279),
    [anon_sym___stdcall] = ACTIONS(1279),
    [anon_sym___fastcall] = ACTIONS(1279),
    [anon_sym___thiscall] = ACTIONS(1279),
    [anon_sym___vectorcall] = ACTIONS(1279),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_signed] = ACTIONS(1279),
    [anon_sym_unsigned] = ACTIONS(1279),
    [anon_sym_long] = ACTIONS(1279),
    [anon_sym_short] = ACTIONS(1279),
    [anon_sym_static] = ACTIONS(1279),
    [anon_sym_auto] = ACTIONS(1279),
    [anon_sym_register] = ACTIONS(1279),
    [anon_sym_inline] = ACTIONS(1279),
    [anon_sym___inline] = ACTIONS(1279),
    [anon_sym___inline__] = ACTIONS(1279),
    [anon_sym___forceinline] = ACTIONS(1279),
    [anon_sym_thread_local] = ACTIONS(1279),
    [anon_sym___thread] = ACTIONS(1279),
    [anon_sym_const] = ACTIONS(1279),
    [anon_sym_constexpr] = ACTIONS(1279),
    [anon_sym_volatile] = ACTIONS(1279),
    [anon_sym_restrict] = ACTIONS(1279),
    [anon_sym___restrict__] = ACTIONS(1279),
    [anon_sym__Atomic] = ACTIONS(1279),
    [anon_sym__Noreturn] = ACTIONS(1279),
    [anon_sym_noreturn] = ACTIONS(1279),
    [anon_sym_alignas] = ACTIONS(1279),
    [anon_sym__Alignas] = ACTIONS(1279),
    [sym_primitive_type] = ACTIONS(1279),
    [anon_sym_enum] = ACTIONS(1279),
    [anon_sym_struct] = ACTIONS(1279),
    [anon_sym_union] = ACTIONS(1279),
    [anon_sym_if] = ACTIONS(1279),
    [anon_sym_switch] = ACTIONS(1279),
    [anon_sym_case] = ACTIONS(1279),
    [anon_sym_default] = ACTIONS(1279),
    [anon_sym_while] = ACTIONS(1279),
    [anon_sym_do] = ACTIONS(1279),
    [anon_sym_for] = ACTIONS(1279),
    [anon_sym_return] = ACTIONS(1279),
    [anon_sym_break] = ACTIONS(1279),
    [anon_sym_continue] = ACTIONS(1279),
    [anon_sym_goto] = ACTIONS(1279),
    [anon_sym___try] = ACTIONS(1279),
    [anon_sym___leave] = ACTIONS(1279),
    [anon_sym_DASH_DASH] = ACTIONS(1281),
    [anon_sym_PLUS_PLUS] = ACTIONS(1281),
    [anon_sym_sizeof] = ACTIONS(1279),
    [anon_sym___alignof__] = ACTIONS(1279),
    [anon_sym___alignof] = ACTIONS(1279),
    [anon_sym__alignof] = ACTIONS(1279),
    [anon_sym_alignof] = ACTIONS(1279),
    [anon_sym__Alignof] = ACTIONS(1279),
    [anon_sym_offsetof] = ACTIONS(1279),
    [anon_sym__Generic] = ACTIONS(1279),
    [anon_sym_asm] = ACTIONS(1279),
    [anon_sym___asm__] = ACTIONS(1279),
    [sym_number_literal] = ACTIONS(1281),
    [anon_sym_L_SQUOTE] = ACTIONS(1281),
    [anon_sym_u_SQUOTE] = ACTIONS(1281),
    [anon_sym_U_SQUOTE] = ACTIONS(1281),
    [anon_sym_u8_SQUOTE] = ACTIONS(1281),
    [anon_sym_SQUOTE] = ACTIONS(1281),
    [anon_sym_L_DQUOTE] = ACTIONS(1281),
    [anon_sym_u_DQUOTE] = ACTIONS(1281),
    [anon_sym_U_DQUOTE] = ACTIONS(1281),
    [anon_sym_u8_DQUOTE] = ACTIONS(1281),
    [anon_sym_DQUOTE] = ACTIONS(1281),
    [sym_true] = ACTIONS(1279),
    [sym_false] = ACTIONS(1279),
    [anon_sym_NULL] = ACTIONS(1279),
    [anon_sym_nullptr] = ACTIONS(1279),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_identifier] = ACTIONS(1343),
    [aux_sym_preproc_include_token1] = ACTIONS(1343),
    [aux_sym_preproc_def_token1] = ACTIONS(1343),
    [aux_sym_preproc_if_token1] = ACTIONS(1343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1343),
    [sym_preproc_directive] = ACTIONS(1343),
    [anon_sym_LPAREN2] = ACTIONS(1345),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_TILDE] = ACTIONS(1345),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_SEMI] = ACTIONS(1345),
    [anon_sym___extension__] = ACTIONS(1343),
    [anon_sym_typedef] = ACTIONS(1343),
    [anon_sym_extern] = ACTIONS(1343),
    [anon_sym___attribute__] = ACTIONS(1343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1345),
    [anon_sym___declspec] = ACTIONS(1343),
    [anon_sym___cdecl] = ACTIONS(1343),
    [anon_sym___clrcall] = ACTIONS(1343),
    [anon_sym___stdcall] = ACTIONS(1343),
    [anon_sym___fastcall] = ACTIONS(1343),
    [anon_sym___thiscall] = ACTIONS(1343),
    [anon_sym___vectorcall] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_RBRACE] = ACTIONS(1345),
    [anon_sym_signed] = ACTIONS(1343),
    [anon_sym_unsigned] = ACTIONS(1343),
    [anon_sym_long] = ACTIONS(1343),
    [anon_sym_short] = ACTIONS(1343),
    [anon_sym_static] = ACTIONS(1343),
    [anon_sym_auto] = ACTIONS(1343),
    [anon_sym_register] = ACTIONS(1343),
    [anon_sym_inline] = ACTIONS(1343),
    [anon_sym___inline] = ACTIONS(1343),
    [anon_sym___inline__] = ACTIONS(1343),
    [anon_sym___forceinline] = ACTIONS(1343),
    [anon_sym_thread_local] = ACTIONS(1343),
    [anon_sym___thread] = ACTIONS(1343),
    [anon_sym_const] = ACTIONS(1343),
    [anon_sym_constexpr] = ACTIONS(1343),
    [anon_sym_volatile] = ACTIONS(1343),
    [anon_sym_restrict] = ACTIONS(1343),
    [anon_sym___restrict__] = ACTIONS(1343),
    [anon_sym__Atomic] = ACTIONS(1343),
    [anon_sym__Noreturn] = ACTIONS(1343),
    [anon_sym_noreturn] = ACTIONS(1343),
    [anon_sym_alignas] = ACTIONS(1343),
    [anon_sym__Alignas] = ACTIONS(1343),
    [sym_primitive_type] = ACTIONS(1343),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_struct] = ACTIONS(1343),
    [anon_sym_union] = ACTIONS(1343),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_case] = ACTIONS(1343),
    [anon_sym_default] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1343),
    [anon_sym_do] = ACTIONS(1343),
    [anon_sym_for] = ACTIONS(1343),
    [anon_sym_return] = ACTIONS(1343),
    [anon_sym_break] = ACTIONS(1343),
    [anon_sym_continue] = ACTIONS(1343),
    [anon_sym_goto] = ACTIONS(1343),
    [anon_sym___try] = ACTIONS(1343),
    [anon_sym___leave] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1345),
    [anon_sym_PLUS_PLUS] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(1343),
    [anon_sym___alignof__] = ACTIONS(1343),
    [anon_sym___alignof] = ACTIONS(1343),
    [anon_sym__alignof] = ACTIONS(1343),
    [anon_sym_alignof] = ACTIONS(1343),
    [anon_sym__Alignof] = ACTIONS(1343),
    [anon_sym_offsetof] = ACTIONS(1343),
    [anon_sym__Generic] = ACTIONS(1343),
    [anon_sym_asm] = ACTIONS(1343),
    [anon_sym___asm__] = ACTIONS(1343),
    [sym_number_literal] = ACTIONS(1345),
    [anon_sym_L_SQUOTE] = ACTIONS(1345),
    [anon_sym_u_SQUOTE] = ACTIONS(1345),
    [anon_sym_U_SQUOTE] = ACTIONS(1345),
    [anon_sym_u8_SQUOTE] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1345),
    [anon_sym_L_DQUOTE] = ACTIONS(1345),
    [anon_sym_u_DQUOTE] = ACTIONS(1345),
    [anon_sym_U_DQUOTE] = ACTIONS(1345),
    [anon_sym_u8_DQUOTE] = ACTIONS(1345),
    [anon_sym_DQUOTE] = ACTIONS(1345),
    [sym_true] = ACTIONS(1343),
    [sym_false] = ACTIONS(1343),
    [anon_sym_NULL] = ACTIONS(1343),
    [anon_sym_nullptr] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_identifier] = ACTIONS(1339),
    [aux_sym_preproc_include_token1] = ACTIONS(1339),
    [aux_sym_preproc_def_token1] = ACTIONS(1339),
    [aux_sym_preproc_if_token1] = ACTIONS(1339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1339),
    [sym_preproc_directive] = ACTIONS(1339),
    [anon_sym_LPAREN2] = ACTIONS(1341),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_SEMI] = ACTIONS(1341),
    [anon_sym___extension__] = ACTIONS(1339),
    [anon_sym_typedef] = ACTIONS(1339),
    [anon_sym_extern] = ACTIONS(1339),
    [anon_sym___attribute__] = ACTIONS(1339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1341),
    [anon_sym___declspec] = ACTIONS(1339),
    [anon_sym___cdecl] = ACTIONS(1339),
    [anon_sym___clrcall] = ACTIONS(1339),
    [anon_sym___stdcall] = ACTIONS(1339),
    [anon_sym___fastcall] = ACTIONS(1339),
    [anon_sym___thiscall] = ACTIONS(1339),
    [anon_sym___vectorcall] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_RBRACE] = ACTIONS(1341),
    [anon_sym_signed] = ACTIONS(1339),
    [anon_sym_unsigned] = ACTIONS(1339),
    [anon_sym_long] = ACTIONS(1339),
    [anon_sym_short] = ACTIONS(1339),
    [anon_sym_static] = ACTIONS(1339),
    [anon_sym_auto] = ACTIONS(1339),
    [anon_sym_register] = ACTIONS(1339),
    [anon_sym_inline] = ACTIONS(1339),
    [anon_sym___inline] = ACTIONS(1339),
    [anon_sym___inline__] = ACTIONS(1339),
    [anon_sym___forceinline] = ACTIONS(1339),
    [anon_sym_thread_local] = ACTIONS(1339),
    [anon_sym___thread] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1339),
    [anon_sym_constexpr] = ACTIONS(1339),
    [anon_sym_volatile] = ACTIONS(1339),
    [anon_sym_restrict] = ACTIONS(1339),
    [anon_sym___restrict__] = ACTIONS(1339),
    [anon_sym__Atomic] = ACTIONS(1339),
    [anon_sym__Noreturn] = ACTIONS(1339),
    [anon_sym_noreturn] = ACTIONS(1339),
    [anon_sym_alignas] = ACTIONS(1339),
    [anon_sym__Alignas] = ACTIONS(1339),
    [sym_primitive_type] = ACTIONS(1339),
    [anon_sym_enum] = ACTIONS(1339),
    [anon_sym_struct] = ACTIONS(1339),
    [anon_sym_union] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_switch] = ACTIONS(1339),
    [anon_sym_case] = ACTIONS(1339),
    [anon_sym_default] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1339),
    [anon_sym_do] = ACTIONS(1339),
    [anon_sym_for] = ACTIONS(1339),
    [anon_sym_return] = ACTIONS(1339),
    [anon_sym_break] = ACTIONS(1339),
    [anon_sym_continue] = ACTIONS(1339),
    [anon_sym_goto] = ACTIONS(1339),
    [anon_sym___try] = ACTIONS(1339),
    [anon_sym___leave] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1341),
    [anon_sym_sizeof] = ACTIONS(1339),
    [anon_sym___alignof__] = ACTIONS(1339),
    [anon_sym___alignof] = ACTIONS(1339),
    [anon_sym__alignof] = ACTIONS(1339),
    [anon_sym_alignof] = ACTIONS(1339),
    [anon_sym__Alignof] = ACTIONS(1339),
    [anon_sym_offsetof] = ACTIONS(1339),
    [anon_sym__Generic] = ACTIONS(1339),
    [anon_sym_asm] = ACTIONS(1339),
    [anon_sym___asm__] = ACTIONS(1339),
    [sym_number_literal] = ACTIONS(1341),
    [anon_sym_L_SQUOTE] = ACTIONS(1341),
    [anon_sym_u_SQUOTE] = ACTIONS(1341),
    [anon_sym_U_SQUOTE] = ACTIONS(1341),
    [anon_sym_u8_SQUOTE] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_L_DQUOTE] = ACTIONS(1341),
    [anon_sym_u_DQUOTE] = ACTIONS(1341),
    [anon_sym_U_DQUOTE] = ACTIONS(1341),
    [anon_sym_u8_DQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_true] = ACTIONS(1339),
    [sym_false] = ACTIONS(1339),
    [anon_sym_NULL] = ACTIONS(1339),
    [anon_sym_nullptr] = ACTIONS(1339),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_identifier] = ACTIONS(1311),
    [aux_sym_preproc_include_token1] = ACTIONS(1311),
    [aux_sym_preproc_def_token1] = ACTIONS(1311),
    [aux_sym_preproc_if_token1] = ACTIONS(1311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1311),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1311),
    [sym_preproc_directive] = ACTIONS(1311),
    [anon_sym_LPAREN2] = ACTIONS(1313),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_TILDE] = ACTIONS(1313),
    [anon_sym_DASH] = ACTIONS(1311),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(1313),
    [anon_sym___extension__] = ACTIONS(1311),
    [anon_sym_typedef] = ACTIONS(1311),
    [anon_sym_extern] = ACTIONS(1311),
    [anon_sym___attribute__] = ACTIONS(1311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1313),
    [anon_sym___declspec] = ACTIONS(1311),
    [anon_sym___cdecl] = ACTIONS(1311),
    [anon_sym___clrcall] = ACTIONS(1311),
    [anon_sym___stdcall] = ACTIONS(1311),
    [anon_sym___fastcall] = ACTIONS(1311),
    [anon_sym___thiscall] = ACTIONS(1311),
    [anon_sym___vectorcall] = ACTIONS(1311),
    [anon_sym_LBRACE] = ACTIONS(1313),
    [anon_sym_RBRACE] = ACTIONS(1313),
    [anon_sym_signed] = ACTIONS(1311),
    [anon_sym_unsigned] = ACTIONS(1311),
    [anon_sym_long] = ACTIONS(1311),
    [anon_sym_short] = ACTIONS(1311),
    [anon_sym_static] = ACTIONS(1311),
    [anon_sym_auto] = ACTIONS(1311),
    [anon_sym_register] = ACTIONS(1311),
    [anon_sym_inline] = ACTIONS(1311),
    [anon_sym___inline] = ACTIONS(1311),
    [anon_sym___inline__] = ACTIONS(1311),
    [anon_sym___forceinline] = ACTIONS(1311),
    [anon_sym_thread_local] = ACTIONS(1311),
    [anon_sym___thread] = ACTIONS(1311),
    [anon_sym_const] = ACTIONS(1311),
    [anon_sym_constexpr] = ACTIONS(1311),
    [anon_sym_volatile] = ACTIONS(1311),
    [anon_sym_restrict] = ACTIONS(1311),
    [anon_sym___restrict__] = ACTIONS(1311),
    [anon_sym__Atomic] = ACTIONS(1311),
    [anon_sym__Noreturn] = ACTIONS(1311),
    [anon_sym_noreturn] = ACTIONS(1311),
    [anon_sym_alignas] = ACTIONS(1311),
    [anon_sym__Alignas] = ACTIONS(1311),
    [sym_primitive_type] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_struct] = ACTIONS(1311),
    [anon_sym_union] = ACTIONS(1311),
    [anon_sym_if] = ACTIONS(1311),
    [anon_sym_switch] = ACTIONS(1311),
    [anon_sym_case] = ACTIONS(1311),
    [anon_sym_default] = ACTIONS(1311),
    [anon_sym_while] = ACTIONS(1311),
    [anon_sym_do] = ACTIONS(1311),
    [anon_sym_for] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_continue] = ACTIONS(1311),
    [anon_sym_goto] = ACTIONS(1311),
    [anon_sym___try] = ACTIONS(1311),
    [anon_sym___leave] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_PLUS_PLUS] = ACTIONS(1313),
    [anon_sym_sizeof] = ACTIONS(1311),
    [anon_sym___alignof__] = ACTIONS(1311),
    [anon_sym___alignof] = ACTIONS(1311),
    [anon_sym__alignof] = ACTIONS(1311),
    [anon_sym_alignof] = ACTIONS(1311),
    [anon_sym__Alignof] = ACTIONS(1311),
    [anon_sym_offsetof] = ACTIONS(1311),
    [anon_sym__Generic] = ACTIONS(1311),
    [anon_sym_asm] = ACTIONS(1311),
    [anon_sym___asm__] = ACTIONS(1311),
    [sym_number_literal] = ACTIONS(1313),
    [anon_sym_L_SQUOTE] = ACTIONS(1313),
    [anon_sym_u_SQUOTE] = ACTIONS(1313),
    [anon_sym_U_SQUOTE] = ACTIONS(1313),
    [anon_sym_u8_SQUOTE] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1313),
    [anon_sym_L_DQUOTE] = ACTIONS(1313),
    [anon_sym_u_DQUOTE] = ACTIONS(1313),
    [anon_sym_U_DQUOTE] = ACTIONS(1313),
    [anon_sym_u8_DQUOTE] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(1313),
    [sym_true] = ACTIONS(1311),
    [sym_false] = ACTIONS(1311),
    [anon_sym_NULL] = ACTIONS(1311),
    [anon_sym_nullptr] = ACTIONS(1311),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_identifier] = ACTIONS(1327),
    [aux_sym_preproc_include_token1] = ACTIONS(1327),
    [aux_sym_preproc_def_token1] = ACTIONS(1327),
    [aux_sym_preproc_if_token1] = ACTIONS(1327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1327),
    [sym_preproc_directive] = ACTIONS(1327),
    [anon_sym_LPAREN2] = ACTIONS(1329),
    [anon_sym_BANG] = ACTIONS(1329),
    [anon_sym_TILDE] = ACTIONS(1329),
    [anon_sym_DASH] = ACTIONS(1327),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1329),
    [anon_sym_AMP] = ACTIONS(1329),
    [anon_sym_SEMI] = ACTIONS(1329),
    [anon_sym___extension__] = ACTIONS(1327),
    [anon_sym_typedef] = ACTIONS(1327),
    [anon_sym_extern] = ACTIONS(1327),
    [anon_sym___attribute__] = ACTIONS(1327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1329),
    [anon_sym___declspec] = ACTIONS(1327),
    [anon_sym___cdecl] = ACTIONS(1327),
    [anon_sym___clrcall] = ACTIONS(1327),
    [anon_sym___stdcall] = ACTIONS(1327),
    [anon_sym___fastcall] = ACTIONS(1327),
    [anon_sym___thiscall] = ACTIONS(1327),
    [anon_sym___vectorcall] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1329),
    [anon_sym_RBRACE] = ACTIONS(1329),
    [anon_sym_signed] = ACTIONS(1327),
    [anon_sym_unsigned] = ACTIONS(1327),
    [anon_sym_long] = ACTIONS(1327),
    [anon_sym_short] = ACTIONS(1327),
    [anon_sym_static] = ACTIONS(1327),
    [anon_sym_auto] = ACTIONS(1327),
    [anon_sym_register] = ACTIONS(1327),
    [anon_sym_inline] = ACTIONS(1327),
    [anon_sym___inline] = ACTIONS(1327),
    [anon_sym___inline__] = ACTIONS(1327),
    [anon_sym___forceinline] = ACTIONS(1327),
    [anon_sym_thread_local] = ACTIONS(1327),
    [anon_sym___thread] = ACTIONS(1327),
    [anon_sym_const] = ACTIONS(1327),
    [anon_sym_constexpr] = ACTIONS(1327),
    [anon_sym_volatile] = ACTIONS(1327),
    [anon_sym_restrict] = ACTIONS(1327),
    [anon_sym___restrict__] = ACTIONS(1327),
    [anon_sym__Atomic] = ACTIONS(1327),
    [anon_sym__Noreturn] = ACTIONS(1327),
    [anon_sym_noreturn] = ACTIONS(1327),
    [anon_sym_alignas] = ACTIONS(1327),
    [anon_sym__Alignas] = ACTIONS(1327),
    [sym_primitive_type] = ACTIONS(1327),
    [anon_sym_enum] = ACTIONS(1327),
    [anon_sym_struct] = ACTIONS(1327),
    [anon_sym_union] = ACTIONS(1327),
    [anon_sym_if] = ACTIONS(1327),
    [anon_sym_switch] = ACTIONS(1327),
    [anon_sym_case] = ACTIONS(1327),
    [anon_sym_default] = ACTIONS(1327),
    [anon_sym_while] = ACTIONS(1327),
    [anon_sym_do] = ACTIONS(1327),
    [anon_sym_for] = ACTIONS(1327),
    [anon_sym_return] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(1327),
    [anon_sym_continue] = ACTIONS(1327),
    [anon_sym_goto] = ACTIONS(1327),
    [anon_sym___try] = ACTIONS(1327),
    [anon_sym___leave] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1329),
    [anon_sym_PLUS_PLUS] = ACTIONS(1329),
    [anon_sym_sizeof] = ACTIONS(1327),
    [anon_sym___alignof__] = ACTIONS(1327),
    [anon_sym___alignof] = ACTIONS(1327),
    [anon_sym__alignof] = ACTIONS(1327),
    [anon_sym_alignof] = ACTIONS(1327),
    [anon_sym__Alignof] = ACTIONS(1327),
    [anon_sym_offsetof] = ACTIONS(1327),
    [anon_sym__Generic] = ACTIONS(1327),
    [anon_sym_asm] = ACTIONS(1327),
    [anon_sym___asm__] = ACTIONS(1327),
    [sym_number_literal] = ACTIONS(1329),
    [anon_sym_L_SQUOTE] = ACTIONS(1329),
    [anon_sym_u_SQUOTE] = ACTIONS(1329),
    [anon_sym_U_SQUOTE] = ACTIONS(1329),
    [anon_sym_u8_SQUOTE] = ACTIONS(1329),
    [anon_sym_SQUOTE] = ACTIONS(1329),
    [anon_sym_L_DQUOTE] = ACTIONS(1329),
    [anon_sym_u_DQUOTE] = ACTIONS(1329),
    [anon_sym_U_DQUOTE] = ACTIONS(1329),
    [anon_sym_u8_DQUOTE] = ACTIONS(1329),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_true] = ACTIONS(1327),
    [sym_false] = ACTIONS(1327),
    [anon_sym_NULL] = ACTIONS(1327),
    [anon_sym_nullptr] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_identifier] = ACTIONS(1291),
    [aux_sym_preproc_include_token1] = ACTIONS(1291),
    [aux_sym_preproc_def_token1] = ACTIONS(1291),
    [aux_sym_preproc_if_token1] = ACTIONS(1291),
    [aux_sym_preproc_if_token2] = ACTIONS(1291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1291),
    [sym_preproc_directive] = ACTIONS(1291),
    [anon_sym_LPAREN2] = ACTIONS(1293),
    [anon_sym_BANG] = ACTIONS(1293),
    [anon_sym_TILDE] = ACTIONS(1293),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1291),
    [anon_sym_STAR] = ACTIONS(1293),
    [anon_sym_AMP] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym___extension__] = ACTIONS(1291),
    [anon_sym_typedef] = ACTIONS(1291),
    [anon_sym_extern] = ACTIONS(1291),
    [anon_sym___attribute__] = ACTIONS(1291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1293),
    [anon_sym___declspec] = ACTIONS(1291),
    [anon_sym___cdecl] = ACTIONS(1291),
    [anon_sym___clrcall] = ACTIONS(1291),
    [anon_sym___stdcall] = ACTIONS(1291),
    [anon_sym___fastcall] = ACTIONS(1291),
    [anon_sym___thiscall] = ACTIONS(1291),
    [anon_sym___vectorcall] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1293),
    [anon_sym_signed] = ACTIONS(1291),
    [anon_sym_unsigned] = ACTIONS(1291),
    [anon_sym_long] = ACTIONS(1291),
    [anon_sym_short] = ACTIONS(1291),
    [anon_sym_static] = ACTIONS(1291),
    [anon_sym_auto] = ACTIONS(1291),
    [anon_sym_register] = ACTIONS(1291),
    [anon_sym_inline] = ACTIONS(1291),
    [anon_sym___inline] = ACTIONS(1291),
    [anon_sym___inline__] = ACTIONS(1291),
    [anon_sym___forceinline] = ACTIONS(1291),
    [anon_sym_thread_local] = ACTIONS(1291),
    [anon_sym___thread] = ACTIONS(1291),
    [anon_sym_const] = ACTIONS(1291),
    [anon_sym_constexpr] = ACTIONS(1291),
    [anon_sym_volatile] = ACTIONS(1291),
    [anon_sym_restrict] = ACTIONS(1291),
    [anon_sym___restrict__] = ACTIONS(1291),
    [anon_sym__Atomic] = ACTIONS(1291),
    [anon_sym__Noreturn] = ACTIONS(1291),
    [anon_sym_noreturn] = ACTIONS(1291),
    [anon_sym_alignas] = ACTIONS(1291),
    [anon_sym__Alignas] = ACTIONS(1291),
    [sym_primitive_type] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1291),
    [anon_sym_union] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1291),
    [anon_sym_switch] = ACTIONS(1291),
    [anon_sym_case] = ACTIONS(1291),
    [anon_sym_default] = ACTIONS(1291),
    [anon_sym_while] = ACTIONS(1291),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_for] = ACTIONS(1291),
    [anon_sym_return] = ACTIONS(1291),
    [anon_sym_break] = ACTIONS(1291),
    [anon_sym_continue] = ACTIONS(1291),
    [anon_sym_goto] = ACTIONS(1291),
    [anon_sym___try] = ACTIONS(1291),
    [anon_sym___leave] = ACTIONS(1291),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_sizeof] = ACTIONS(1291),
    [anon_sym___alignof__] = ACTIONS(1291),
    [anon_sym___alignof] = ACTIONS(1291),
    [anon_sym__alignof] = ACTIONS(1291),
    [anon_sym_alignof] = ACTIONS(1291),
    [anon_sym__Alignof] = ACTIONS(1291),
    [anon_sym_offsetof] = ACTIONS(1291),
    [anon_sym__Generic] = ACTIONS(1291),
    [anon_sym_asm] = ACTIONS(1291),
    [anon_sym___asm__] = ACTIONS(1291),
    [sym_number_literal] = ACTIONS(1293),
    [anon_sym_L_SQUOTE] = ACTIONS(1293),
    [anon_sym_u_SQUOTE] = ACTIONS(1293),
    [anon_sym_U_SQUOTE] = ACTIONS(1293),
    [anon_sym_u8_SQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1293),
    [anon_sym_L_DQUOTE] = ACTIONS(1293),
    [anon_sym_u_DQUOTE] = ACTIONS(1293),
    [anon_sym_U_DQUOTE] = ACTIONS(1293),
    [anon_sym_u8_DQUOTE] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [sym_true] = ACTIONS(1291),
    [sym_false] = ACTIONS(1291),
    [anon_sym_NULL] = ACTIONS(1291),
    [anon_sym_nullptr] = ACTIONS(1291),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_identifier] = ACTIONS(1323),
    [aux_sym_preproc_include_token1] = ACTIONS(1323),
    [aux_sym_preproc_def_token1] = ACTIONS(1323),
    [aux_sym_preproc_if_token1] = ACTIONS(1323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1323),
    [sym_preproc_directive] = ACTIONS(1323),
    [anon_sym_LPAREN2] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_DASH] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1323),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_SEMI] = ACTIONS(1325),
    [anon_sym___extension__] = ACTIONS(1323),
    [anon_sym_typedef] = ACTIONS(1323),
    [anon_sym_extern] = ACTIONS(1323),
    [anon_sym___attribute__] = ACTIONS(1323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1325),
    [anon_sym___declspec] = ACTIONS(1323),
    [anon_sym___cdecl] = ACTIONS(1323),
    [anon_sym___clrcall] = ACTIONS(1323),
    [anon_sym___stdcall] = ACTIONS(1323),
    [anon_sym___fastcall] = ACTIONS(1323),
    [anon_sym___thiscall] = ACTIONS(1323),
    [anon_sym___vectorcall] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(1325),
    [anon_sym_signed] = ACTIONS(1323),
    [anon_sym_unsigned] = ACTIONS(1323),
    [anon_sym_long] = ACTIONS(1323),
    [anon_sym_short] = ACTIONS(1323),
    [anon_sym_static] = ACTIONS(1323),
    [anon_sym_auto] = ACTIONS(1323),
    [anon_sym_register] = ACTIONS(1323),
    [anon_sym_inline] = ACTIONS(1323),
    [anon_sym___inline] = ACTIONS(1323),
    [anon_sym___inline__] = ACTIONS(1323),
    [anon_sym___forceinline] = ACTIONS(1323),
    [anon_sym_thread_local] = ACTIONS(1323),
    [anon_sym___thread] = ACTIONS(1323),
    [anon_sym_const] = ACTIONS(1323),
    [anon_sym_constexpr] = ACTIONS(1323),
    [anon_sym_volatile] = ACTIONS(1323),
    [anon_sym_restrict] = ACTIONS(1323),
    [anon_sym___restrict__] = ACTIONS(1323),
    [anon_sym__Atomic] = ACTIONS(1323),
    [anon_sym__Noreturn] = ACTIONS(1323),
    [anon_sym_noreturn] = ACTIONS(1323),
    [anon_sym_alignas] = ACTIONS(1323),
    [anon_sym__Alignas] = ACTIONS(1323),
    [sym_primitive_type] = ACTIONS(1323),
    [anon_sym_enum] = ACTIONS(1323),
    [anon_sym_struct] = ACTIONS(1323),
    [anon_sym_union] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_switch] = ACTIONS(1323),
    [anon_sym_case] = ACTIONS(1323),
    [anon_sym_default] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_do] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_break] = ACTIONS(1323),
    [anon_sym_continue] = ACTIONS(1323),
    [anon_sym_goto] = ACTIONS(1323),
    [anon_sym___try] = ACTIONS(1323),
    [anon_sym___leave] = ACTIONS(1323),
    [anon_sym_DASH_DASH] = ACTIONS(1325),
    [anon_sym_PLUS_PLUS] = ACTIONS(1325),
    [anon_sym_sizeof] = ACTIONS(1323),
    [anon_sym___alignof__] = ACTIONS(1323),
    [anon_sym___alignof] = ACTIONS(1323),
    [anon_sym__alignof] = ACTIONS(1323),
    [anon_sym_alignof] = ACTIONS(1323),
    [anon_sym__Alignof] = ACTIONS(1323),
    [anon_sym_offsetof] = ACTIONS(1323),
    [anon_sym__Generic] = ACTIONS(1323),
    [anon_sym_asm] = ACTIONS(1323),
    [anon_sym___asm__] = ACTIONS(1323),
    [sym_number_literal] = ACTIONS(1325),
    [anon_sym_L_SQUOTE] = ACTIONS(1325),
    [anon_sym_u_SQUOTE] = ACTIONS(1325),
    [anon_sym_U_SQUOTE] = ACTIONS(1325),
    [anon_sym_u8_SQUOTE] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_L_DQUOTE] = ACTIONS(1325),
    [anon_sym_u_DQUOTE] = ACTIONS(1325),
    [anon_sym_U_DQUOTE] = ACTIONS(1325),
    [anon_sym_u8_DQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [anon_sym_NULL] = ACTIONS(1323),
    [anon_sym_nullptr] = ACTIONS(1323),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [ts_builtin_sym_end] = ACTIONS(1345),
    [sym_identifier] = ACTIONS(1343),
    [aux_sym_preproc_include_token1] = ACTIONS(1343),
    [aux_sym_preproc_def_token1] = ACTIONS(1343),
    [anon_sym_COMMA] = ACTIONS(1345),
    [aux_sym_preproc_if_token1] = ACTIONS(1343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1343),
    [sym_preproc_directive] = ACTIONS(1343),
    [anon_sym_LPAREN2] = ACTIONS(1345),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_TILDE] = ACTIONS(1345),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym___extension__] = ACTIONS(1343),
    [anon_sym_typedef] = ACTIONS(1343),
    [anon_sym_extern] = ACTIONS(1343),
    [anon_sym___attribute__] = ACTIONS(1343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1345),
    [anon_sym___declspec] = ACTIONS(1343),
    [anon_sym___cdecl] = ACTIONS(1343),
    [anon_sym___clrcall] = ACTIONS(1343),
    [anon_sym___stdcall] = ACTIONS(1343),
    [anon_sym___fastcall] = ACTIONS(1343),
    [anon_sym___thiscall] = ACTIONS(1343),
    [anon_sym___vectorcall] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_RBRACE] = ACTIONS(1345),
    [anon_sym_signed] = ACTIONS(1343),
    [anon_sym_unsigned] = ACTIONS(1343),
    [anon_sym_long] = ACTIONS(1343),
    [anon_sym_short] = ACTIONS(1343),
    [anon_sym_static] = ACTIONS(1343),
    [anon_sym_auto] = ACTIONS(1343),
    [anon_sym_register] = ACTIONS(1343),
    [anon_sym_inline] = ACTIONS(1343),
    [anon_sym___inline] = ACTIONS(1343),
    [anon_sym___inline__] = ACTIONS(1343),
    [anon_sym___forceinline] = ACTIONS(1343),
    [anon_sym_thread_local] = ACTIONS(1343),
    [anon_sym___thread] = ACTIONS(1343),
    [anon_sym_const] = ACTIONS(1343),
    [anon_sym_constexpr] = ACTIONS(1343),
    [anon_sym_volatile] = ACTIONS(1343),
    [anon_sym_restrict] = ACTIONS(1343),
    [anon_sym___restrict__] = ACTIONS(1343),
    [anon_sym__Atomic] = ACTIONS(1343),
    [anon_sym__Noreturn] = ACTIONS(1343),
    [anon_sym_noreturn] = ACTIONS(1343),
    [anon_sym_alignas] = ACTIONS(1343),
    [anon_sym__Alignas] = ACTIONS(1343),
    [sym_primitive_type] = ACTIONS(1343),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_struct] = ACTIONS(1343),
    [anon_sym_union] = ACTIONS(1343),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_case] = ACTIONS(1343),
    [anon_sym_default] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1343),
    [anon_sym_do] = ACTIONS(1343),
    [anon_sym_for] = ACTIONS(1343),
    [anon_sym_return] = ACTIONS(1343),
    [anon_sym_break] = ACTIONS(1343),
    [anon_sym_continue] = ACTIONS(1343),
    [anon_sym_goto] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1345),
    [anon_sym_PLUS_PLUS] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(1343),
    [anon_sym___alignof__] = ACTIONS(1343),
    [anon_sym___alignof] = ACTIONS(1343),
    [anon_sym__alignof] = ACTIONS(1343),
    [anon_sym_alignof] = ACTIONS(1343),
    [anon_sym__Alignof] = ACTIONS(1343),
    [anon_sym_offsetof] = ACTIONS(1343),
    [anon_sym__Generic] = ACTIONS(1343),
    [anon_sym_asm] = ACTIONS(1343),
    [anon_sym___asm__] = ACTIONS(1343),
    [sym_number_literal] = ACTIONS(1345),
    [anon_sym_L_SQUOTE] = ACTIONS(1345),
    [anon_sym_u_SQUOTE] = ACTIONS(1345),
    [anon_sym_U_SQUOTE] = ACTIONS(1345),
    [anon_sym_u8_SQUOTE] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1345),
    [anon_sym_L_DQUOTE] = ACTIONS(1345),
    [anon_sym_u_DQUOTE] = ACTIONS(1345),
    [anon_sym_U_DQUOTE] = ACTIONS(1345),
    [anon_sym_u8_DQUOTE] = ACTIONS(1345),
    [anon_sym_DQUOTE] = ACTIONS(1345),
    [sym_true] = ACTIONS(1343),
    [sym_false] = ACTIONS(1343),
    [anon_sym_NULL] = ACTIONS(1343),
    [anon_sym_nullptr] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_expression] = STATE(687),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(674),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(674),
    [sym_call_expression] = STATE(674),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(674),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(674),
    [sym_initializer_list] = STATE(671),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(684),
    [sym_null] = STATE(661),
    [sym_identifier] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1377),
    [aux_sym_preproc_if_token2] = ACTIONS(1377),
    [aux_sym_preproc_else_token1] = ACTIONS(1377),
    [aux_sym_preproc_elif_token1] = ACTIONS(1375),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1377),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1377),
    [anon_sym_LPAREN2] = ACTIONS(1377),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1375),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1377),
    [anon_sym_AMP_AMP] = ACTIONS(1377),
    [anon_sym_PIPE] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1377),
    [anon_sym_BANG_EQ] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [anon_sym_QMARK] = ACTIONS(1377),
    [anon_sym_STAR_EQ] = ACTIONS(1377),
    [anon_sym_SLASH_EQ] = ACTIONS(1377),
    [anon_sym_PERCENT_EQ] = ACTIONS(1377),
    [anon_sym_PLUS_EQ] = ACTIONS(1377),
    [anon_sym_DASH_EQ] = ACTIONS(1377),
    [anon_sym_LT_LT_EQ] = ACTIONS(1377),
    [anon_sym_GT_GT_EQ] = ACTIONS(1377),
    [anon_sym_AMP_EQ] = ACTIONS(1377),
    [anon_sym_CARET_EQ] = ACTIONS(1377),
    [anon_sym_PIPE_EQ] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_sizeof] = ACTIONS(1385),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_DASH_GT] = ACTIONS(1377),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_expression] = STATE(687),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(674),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(674),
    [sym_call_expression] = STATE(674),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(674),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(674),
    [sym_initializer_list] = STATE(671),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_COMMA] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1377),
    [anon_sym_LPAREN2] = ACTIONS(1377),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1375),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1377),
    [anon_sym_AMP_AMP] = ACTIONS(1377),
    [anon_sym_PIPE] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1377),
    [anon_sym_BANG_EQ] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1377),
    [anon_sym___attribute__] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1383),
    [anon_sym_RBRACE] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [anon_sym_COLON] = ACTIONS(1377),
    [anon_sym_QMARK] = ACTIONS(1377),
    [anon_sym_STAR_EQ] = ACTIONS(1377),
    [anon_sym_SLASH_EQ] = ACTIONS(1377),
    [anon_sym_PERCENT_EQ] = ACTIONS(1377),
    [anon_sym_PLUS_EQ] = ACTIONS(1377),
    [anon_sym_DASH_EQ] = ACTIONS(1377),
    [anon_sym_LT_LT_EQ] = ACTIONS(1377),
    [anon_sym_GT_GT_EQ] = ACTIONS(1377),
    [anon_sym_AMP_EQ] = ACTIONS(1377),
    [anon_sym_CARET_EQ] = ACTIONS(1377),
    [anon_sym_PIPE_EQ] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_sizeof] = ACTIONS(1393),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_DASH_GT] = ACTIONS(1377),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [ts_builtin_sym_end] = ACTIONS(1359),
    [sym_identifier] = ACTIONS(1357),
    [aux_sym_preproc_include_token1] = ACTIONS(1357),
    [aux_sym_preproc_def_token1] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1359),
    [aux_sym_preproc_if_token1] = ACTIONS(1357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1357),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1357),
    [sym_preproc_directive] = ACTIONS(1357),
    [anon_sym_LPAREN2] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1357),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym___extension__] = ACTIONS(1357),
    [anon_sym_typedef] = ACTIONS(1357),
    [anon_sym_extern] = ACTIONS(1357),
    [anon_sym___attribute__] = ACTIONS(1357),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1359),
    [anon_sym___declspec] = ACTIONS(1357),
    [anon_sym___cdecl] = ACTIONS(1357),
    [anon_sym___clrcall] = ACTIONS(1357),
    [anon_sym___stdcall] = ACTIONS(1357),
    [anon_sym___fastcall] = ACTIONS(1357),
    [anon_sym___thiscall] = ACTIONS(1357),
    [anon_sym___vectorcall] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1359),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [anon_sym_signed] = ACTIONS(1357),
    [anon_sym_unsigned] = ACTIONS(1357),
    [anon_sym_long] = ACTIONS(1357),
    [anon_sym_short] = ACTIONS(1357),
    [anon_sym_static] = ACTIONS(1357),
    [anon_sym_auto] = ACTIONS(1357),
    [anon_sym_register] = ACTIONS(1357),
    [anon_sym_inline] = ACTIONS(1357),
    [anon_sym___inline] = ACTIONS(1357),
    [anon_sym___inline__] = ACTIONS(1357),
    [anon_sym___forceinline] = ACTIONS(1357),
    [anon_sym_thread_local] = ACTIONS(1357),
    [anon_sym___thread] = ACTIONS(1357),
    [anon_sym_const] = ACTIONS(1357),
    [anon_sym_constexpr] = ACTIONS(1357),
    [anon_sym_volatile] = ACTIONS(1357),
    [anon_sym_restrict] = ACTIONS(1357),
    [anon_sym___restrict__] = ACTIONS(1357),
    [anon_sym__Atomic] = ACTIONS(1357),
    [anon_sym__Noreturn] = ACTIONS(1357),
    [anon_sym_noreturn] = ACTIONS(1357),
    [anon_sym_alignas] = ACTIONS(1357),
    [anon_sym__Alignas] = ACTIONS(1357),
    [sym_primitive_type] = ACTIONS(1357),
    [anon_sym_enum] = ACTIONS(1357),
    [anon_sym_struct] = ACTIONS(1357),
    [anon_sym_union] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_switch] = ACTIONS(1357),
    [anon_sym_case] = ACTIONS(1357),
    [anon_sym_default] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_do] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_break] = ACTIONS(1357),
    [anon_sym_continue] = ACTIONS(1357),
    [anon_sym_goto] = ACTIONS(1357),
    [anon_sym_DASH_DASH] = ACTIONS(1359),
    [anon_sym_PLUS_PLUS] = ACTIONS(1359),
    [anon_sym_sizeof] = ACTIONS(1357),
    [anon_sym___alignof__] = ACTIONS(1357),
    [anon_sym___alignof] = ACTIONS(1357),
    [anon_sym__alignof] = ACTIONS(1357),
    [anon_sym_alignof] = ACTIONS(1357),
    [anon_sym__Alignof] = ACTIONS(1357),
    [anon_sym_offsetof] = ACTIONS(1357),
    [anon_sym__Generic] = ACTIONS(1357),
    [anon_sym_asm] = ACTIONS(1357),
    [anon_sym___asm__] = ACTIONS(1357),
    [sym_number_literal] = ACTIONS(1359),
    [anon_sym_L_SQUOTE] = ACTIONS(1359),
    [anon_sym_u_SQUOTE] = ACTIONS(1359),
    [anon_sym_U_SQUOTE] = ACTIONS(1359),
    [anon_sym_u8_SQUOTE] = ACTIONS(1359),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_L_DQUOTE] = ACTIONS(1359),
    [anon_sym_u_DQUOTE] = ACTIONS(1359),
    [anon_sym_U_DQUOTE] = ACTIONS(1359),
    [anon_sym_u8_DQUOTE] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [anon_sym_NULL] = ACTIONS(1357),
    [anon_sym_nullptr] = ACTIONS(1357),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_attribute_declaration] = STATE(347),
    [sym_compound_statement] = STATE(105),
    [sym_attributed_statement] = STATE(105),
    [sym_statement] = STATE(99),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_attribute_declaration] = STATE(318),
    [sym_compound_statement] = STATE(247),
    [sym_attributed_statement] = STATE(247),
    [sym_statement] = STATE(157),
    [sym_labeled_statement] = STATE(247),
    [sym_expression_statement] = STATE(247),
    [sym_if_statement] = STATE(247),
    [sym_switch_statement] = STATE(247),
    [sym_case_statement] = STATE(247),
    [sym_while_statement] = STATE(247),
    [sym_do_statement] = STATE(247),
    [sym_for_statement] = STATE(247),
    [sym_return_statement] = STATE(247),
    [sym_break_statement] = STATE(247),
    [sym_continue_statement] = STATE(247),
    [sym_goto_statement] = STATE(247),
    [sym_seh_try_statement] = STATE(247),
    [sym_seh_leave_statement] = STATE(247),
    [sym_expression] = STATE(1027),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1913),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(318),
    [sym_identifier] = ACTIONS(1399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1032),
    [anon_sym___leave] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_attribute_declaration] = STATE(318),
    [sym_compound_statement] = STATE(247),
    [sym_attributed_statement] = STATE(247),
    [sym_statement] = STATE(236),
    [sym_labeled_statement] = STATE(247),
    [sym_expression_statement] = STATE(247),
    [sym_if_statement] = STATE(247),
    [sym_switch_statement] = STATE(247),
    [sym_case_statement] = STATE(247),
    [sym_while_statement] = STATE(247),
    [sym_do_statement] = STATE(247),
    [sym_for_statement] = STATE(247),
    [sym_return_statement] = STATE(247),
    [sym_break_statement] = STATE(247),
    [sym_continue_statement] = STATE(247),
    [sym_goto_statement] = STATE(247),
    [sym_seh_try_statement] = STATE(247),
    [sym_seh_leave_statement] = STATE(247),
    [sym_expression] = STATE(1027),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1913),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(318),
    [sym_identifier] = ACTIONS(1399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1032),
    [anon_sym___leave] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_attribute_declaration] = STATE(317),
    [sym_compound_statement] = STATE(247),
    [sym_attributed_statement] = STATE(247),
    [sym_statement] = STATE(195),
    [sym_labeled_statement] = STATE(247),
    [sym_expression_statement] = STATE(247),
    [sym_if_statement] = STATE(247),
    [sym_switch_statement] = STATE(247),
    [sym_case_statement] = STATE(247),
    [sym_while_statement] = STATE(247),
    [sym_do_statement] = STATE(247),
    [sym_for_statement] = STATE(247),
    [sym_return_statement] = STATE(247),
    [sym_break_statement] = STATE(247),
    [sym_continue_statement] = STATE(247),
    [sym_goto_statement] = STATE(247),
    [sym_seh_try_statement] = STATE(247),
    [sym_seh_leave_statement] = STATE(247),
    [sym_expression] = STATE(1027),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1913),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(317),
    [sym_identifier] = ACTIONS(1401),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1425),
    [anon_sym_switch] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(1431),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1437),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1443),
    [anon_sym_return] = ACTIONS(1446),
    [anon_sym_break] = ACTIONS(1449),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1455),
    [anon_sym___try] = ACTIONS(1458),
    [anon_sym___leave] = ACTIONS(1461),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_sizeof] = ACTIONS(1467),
    [anon_sym___alignof__] = ACTIONS(1470),
    [anon_sym___alignof] = ACTIONS(1470),
    [anon_sym__alignof] = ACTIONS(1470),
    [anon_sym_alignof] = ACTIONS(1470),
    [anon_sym__Alignof] = ACTIONS(1470),
    [anon_sym_offsetof] = ACTIONS(1473),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1479),
    [anon_sym___asm__] = ACTIONS(1479),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1485),
    [anon_sym_u_SQUOTE] = ACTIONS(1485),
    [anon_sym_U_SQUOTE] = ACTIONS(1485),
    [anon_sym_u8_SQUOTE] = ACTIONS(1485),
    [anon_sym_SQUOTE] = ACTIONS(1485),
    [anon_sym_L_DQUOTE] = ACTIONS(1488),
    [anon_sym_u_DQUOTE] = ACTIONS(1488),
    [anon_sym_U_DQUOTE] = ACTIONS(1488),
    [anon_sym_u8_DQUOTE] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [sym_true] = ACTIONS(1491),
    [sym_false] = ACTIONS(1491),
    [anon_sym_NULL] = ACTIONS(1494),
    [anon_sym_nullptr] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_attribute_declaration] = STATE(317),
    [sym_compound_statement] = STATE(247),
    [sym_attributed_statement] = STATE(247),
    [sym_statement] = STATE(195),
    [sym_labeled_statement] = STATE(247),
    [sym_expression_statement] = STATE(247),
    [sym_if_statement] = STATE(247),
    [sym_switch_statement] = STATE(247),
    [sym_case_statement] = STATE(247),
    [sym_while_statement] = STATE(247),
    [sym_do_statement] = STATE(247),
    [sym_for_statement] = STATE(247),
    [sym_return_statement] = STATE(247),
    [sym_break_statement] = STATE(247),
    [sym_continue_statement] = STATE(247),
    [sym_goto_statement] = STATE(247),
    [sym_seh_try_statement] = STATE(247),
    [sym_seh_leave_statement] = STATE(247),
    [sym_expression] = STATE(1027),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1913),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(317),
    [sym_identifier] = ACTIONS(1399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1032),
    [anon_sym___leave] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_attribute_declaration] = STATE(324),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(144),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_attribute_declaration] = STATE(324),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(151),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_attribute_declaration] = STATE(339),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(1731),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1501),
    [anon_sym_default] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_attribute_declaration] = STATE(324),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(155),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_attribute_declaration] = STATE(323),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(183),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(323),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1514),
    [anon_sym_switch] = ACTIONS(1517),
    [anon_sym_case] = ACTIONS(1520),
    [anon_sym_default] = ACTIONS(1523),
    [anon_sym_while] = ACTIONS(1526),
    [anon_sym_do] = ACTIONS(1529),
    [anon_sym_for] = ACTIONS(1532),
    [anon_sym_return] = ACTIONS(1535),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_continue] = ACTIONS(1541),
    [anon_sym_goto] = ACTIONS(1544),
    [anon_sym___try] = ACTIONS(1547),
    [anon_sym___leave] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_sizeof] = ACTIONS(1467),
    [anon_sym___alignof__] = ACTIONS(1470),
    [anon_sym___alignof] = ACTIONS(1470),
    [anon_sym__alignof] = ACTIONS(1470),
    [anon_sym_alignof] = ACTIONS(1470),
    [anon_sym__Alignof] = ACTIONS(1470),
    [anon_sym_offsetof] = ACTIONS(1473),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1479),
    [anon_sym___asm__] = ACTIONS(1479),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1485),
    [anon_sym_u_SQUOTE] = ACTIONS(1485),
    [anon_sym_U_SQUOTE] = ACTIONS(1485),
    [anon_sym_u8_SQUOTE] = ACTIONS(1485),
    [anon_sym_SQUOTE] = ACTIONS(1485),
    [anon_sym_L_DQUOTE] = ACTIONS(1488),
    [anon_sym_u_DQUOTE] = ACTIONS(1488),
    [anon_sym_U_DQUOTE] = ACTIONS(1488),
    [anon_sym_u8_DQUOTE] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [sym_true] = ACTIONS(1491),
    [sym_false] = ACTIONS(1491),
    [anon_sym_NULL] = ACTIONS(1494),
    [anon_sym_nullptr] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_attribute_declaration] = STATE(323),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(183),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(323),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_attribute_declaration] = STATE(347),
    [sym_compound_statement] = STATE(105),
    [sym_attributed_statement] = STATE(105),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_attribute_declaration] = STATE(347),
    [sym_compound_statement] = STATE(105),
    [sym_attributed_statement] = STATE(105),
    [sym_statement] = STATE(83),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_attribute_declaration] = STATE(347),
    [sym_compound_statement] = STATE(105),
    [sym_attributed_statement] = STATE(105),
    [sym_statement] = STATE(86),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_attribute_declaration] = STATE(328),
    [sym_compound_statement] = STATE(105),
    [sym_attributed_statement] = STATE(105),
    [sym_statement] = STATE(77),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(328),
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1568),
    [anon_sym_default] = ACTIONS(1571),
    [anon_sym_while] = ACTIONS(1574),
    [anon_sym_do] = ACTIONS(1577),
    [anon_sym_for] = ACTIONS(1580),
    [anon_sym_return] = ACTIONS(1583),
    [anon_sym_break] = ACTIONS(1586),
    [anon_sym_continue] = ACTIONS(1589),
    [anon_sym_goto] = ACTIONS(1592),
    [anon_sym___try] = ACTIONS(1595),
    [anon_sym___leave] = ACTIONS(1598),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_sizeof] = ACTIONS(1467),
    [anon_sym___alignof__] = ACTIONS(1470),
    [anon_sym___alignof] = ACTIONS(1470),
    [anon_sym__alignof] = ACTIONS(1470),
    [anon_sym_alignof] = ACTIONS(1470),
    [anon_sym__Alignof] = ACTIONS(1470),
    [anon_sym_offsetof] = ACTIONS(1473),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1479),
    [anon_sym___asm__] = ACTIONS(1479),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1485),
    [anon_sym_u_SQUOTE] = ACTIONS(1485),
    [anon_sym_U_SQUOTE] = ACTIONS(1485),
    [anon_sym_u8_SQUOTE] = ACTIONS(1485),
    [anon_sym_SQUOTE] = ACTIONS(1485),
    [anon_sym_L_DQUOTE] = ACTIONS(1488),
    [anon_sym_u_DQUOTE] = ACTIONS(1488),
    [anon_sym_U_DQUOTE] = ACTIONS(1488),
    [anon_sym_u8_DQUOTE] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [sym_true] = ACTIONS(1491),
    [sym_false] = ACTIONS(1491),
    [anon_sym_NULL] = ACTIONS(1494),
    [anon_sym_nullptr] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_attribute_declaration] = STATE(339),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(1952),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1501),
    [anon_sym_default] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_attribute_declaration] = STATE(324),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(176),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_attribute_declaration] = STATE(347),
    [sym_compound_statement] = STATE(105),
    [sym_attributed_statement] = STATE(105),
    [sym_statement] = STATE(101),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_attribute_declaration] = STATE(339),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(400),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1501),
    [anon_sym_default] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_attribute_declaration] = STATE(339),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(246),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1501),
    [anon_sym_default] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_attribute_declaration] = STATE(339),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(157),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1501),
    [anon_sym_default] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_attribute_declaration] = STATE(335),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(195),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(335),
    [sym_identifier] = ACTIONS(1601),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1604),
    [anon_sym_switch] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(1607),
    [anon_sym_default] = ACTIONS(1610),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1616),
    [anon_sym_return] = ACTIONS(1446),
    [anon_sym_break] = ACTIONS(1449),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1455),
    [anon_sym___try] = ACTIONS(1619),
    [anon_sym___leave] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_sizeof] = ACTIONS(1467),
    [anon_sym___alignof__] = ACTIONS(1470),
    [anon_sym___alignof] = ACTIONS(1470),
    [anon_sym__alignof] = ACTIONS(1470),
    [anon_sym_alignof] = ACTIONS(1470),
    [anon_sym__Alignof] = ACTIONS(1470),
    [anon_sym_offsetof] = ACTIONS(1473),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1479),
    [anon_sym___asm__] = ACTIONS(1479),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1485),
    [anon_sym_u_SQUOTE] = ACTIONS(1485),
    [anon_sym_U_SQUOTE] = ACTIONS(1485),
    [anon_sym_u8_SQUOTE] = ACTIONS(1485),
    [anon_sym_SQUOTE] = ACTIONS(1485),
    [anon_sym_L_DQUOTE] = ACTIONS(1488),
    [anon_sym_u_DQUOTE] = ACTIONS(1488),
    [anon_sym_U_DQUOTE] = ACTIONS(1488),
    [anon_sym_u8_DQUOTE] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [sym_true] = ACTIONS(1491),
    [sym_false] = ACTIONS(1491),
    [anon_sym_NULL] = ACTIONS(1494),
    [anon_sym_nullptr] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_attribute_declaration] = STATE(339),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(234),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1501),
    [anon_sym_default] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_attribute_declaration] = STATE(339),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(236),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1501),
    [anon_sym_default] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_attribute_declaration] = STATE(318),
    [sym_compound_statement] = STATE(247),
    [sym_attributed_statement] = STATE(247),
    [sym_statement] = STATE(234),
    [sym_labeled_statement] = STATE(247),
    [sym_expression_statement] = STATE(247),
    [sym_if_statement] = STATE(247),
    [sym_switch_statement] = STATE(247),
    [sym_case_statement] = STATE(247),
    [sym_while_statement] = STATE(247),
    [sym_do_statement] = STATE(247),
    [sym_for_statement] = STATE(247),
    [sym_return_statement] = STATE(247),
    [sym_break_statement] = STATE(247),
    [sym_continue_statement] = STATE(247),
    [sym_goto_statement] = STATE(247),
    [sym_seh_try_statement] = STATE(247),
    [sym_seh_leave_statement] = STATE(247),
    [sym_expression] = STATE(1027),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1913),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(318),
    [sym_identifier] = ACTIONS(1399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1032),
    [anon_sym___leave] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_attribute_declaration] = STATE(335),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(195),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(335),
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1501),
    [anon_sym_default] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_attribute_declaration] = STATE(348),
    [sym_compound_statement] = STATE(186),
    [sym_attributed_statement] = STATE(186),
    [sym_statement] = STATE(145),
    [sym_labeled_statement] = STATE(186),
    [sym_expression_statement] = STATE(186),
    [sym_if_statement] = STATE(186),
    [sym_switch_statement] = STATE(186),
    [sym_case_statement] = STATE(186),
    [sym_while_statement] = STATE(186),
    [sym_do_statement] = STATE(186),
    [sym_for_statement] = STATE(186),
    [sym_return_statement] = STATE(186),
    [sym_break_statement] = STATE(186),
    [sym_continue_statement] = STATE(186),
    [sym_goto_statement] = STATE(186),
    [sym_seh_try_statement] = STATE(186),
    [sym_seh_leave_statement] = STATE(186),
    [sym_expression] = STATE(1028),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1897),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(348),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_case] = ACTIONS(588),
    [anon_sym_default] = ACTIONS(590),
    [anon_sym_while] = ACTIONS(592),
    [anon_sym_do] = ACTIONS(594),
    [anon_sym_for] = ACTIONS(596),
    [anon_sym_return] = ACTIONS(598),
    [anon_sym_break] = ACTIONS(600),
    [anon_sym_continue] = ACTIONS(602),
    [anon_sym_goto] = ACTIONS(604),
    [anon_sym___try] = ACTIONS(606),
    [anon_sym___leave] = ACTIONS(608),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_attribute_declaration] = STATE(348),
    [sym_compound_statement] = STATE(186),
    [sym_attributed_statement] = STATE(186),
    [sym_statement] = STATE(197),
    [sym_labeled_statement] = STATE(186),
    [sym_expression_statement] = STATE(186),
    [sym_if_statement] = STATE(186),
    [sym_switch_statement] = STATE(186),
    [sym_case_statement] = STATE(186),
    [sym_while_statement] = STATE(186),
    [sym_do_statement] = STATE(186),
    [sym_for_statement] = STATE(186),
    [sym_return_statement] = STATE(186),
    [sym_break_statement] = STATE(186),
    [sym_continue_statement] = STATE(186),
    [sym_goto_statement] = STATE(186),
    [sym_seh_try_statement] = STATE(186),
    [sym_seh_leave_statement] = STATE(186),
    [sym_expression] = STATE(1028),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1897),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(348),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_case] = ACTIONS(588),
    [anon_sym_default] = ACTIONS(590),
    [anon_sym_while] = ACTIONS(592),
    [anon_sym_do] = ACTIONS(594),
    [anon_sym_for] = ACTIONS(596),
    [anon_sym_return] = ACTIONS(598),
    [anon_sym_break] = ACTIONS(600),
    [anon_sym_continue] = ACTIONS(602),
    [anon_sym_goto] = ACTIONS(604),
    [anon_sym___try] = ACTIONS(606),
    [anon_sym___leave] = ACTIONS(608),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_attribute_declaration] = STATE(348),
    [sym_compound_statement] = STATE(186),
    [sym_attributed_statement] = STATE(186),
    [sym_statement] = STATE(200),
    [sym_labeled_statement] = STATE(186),
    [sym_expression_statement] = STATE(186),
    [sym_if_statement] = STATE(186),
    [sym_switch_statement] = STATE(186),
    [sym_case_statement] = STATE(186),
    [sym_while_statement] = STATE(186),
    [sym_do_statement] = STATE(186),
    [sym_for_statement] = STATE(186),
    [sym_return_statement] = STATE(186),
    [sym_break_statement] = STATE(186),
    [sym_continue_statement] = STATE(186),
    [sym_goto_statement] = STATE(186),
    [sym_seh_try_statement] = STATE(186),
    [sym_seh_leave_statement] = STATE(186),
    [sym_expression] = STATE(1028),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1897),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(348),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_case] = ACTIONS(588),
    [anon_sym_default] = ACTIONS(590),
    [anon_sym_while] = ACTIONS(592),
    [anon_sym_do] = ACTIONS(594),
    [anon_sym_for] = ACTIONS(596),
    [anon_sym_return] = ACTIONS(598),
    [anon_sym_break] = ACTIONS(600),
    [anon_sym_continue] = ACTIONS(602),
    [anon_sym_goto] = ACTIONS(604),
    [anon_sym___try] = ACTIONS(606),
    [anon_sym___leave] = ACTIONS(608),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_attribute_declaration] = STATE(343),
    [sym_compound_statement] = STATE(186),
    [sym_attributed_statement] = STATE(186),
    [sym_statement] = STATE(190),
    [sym_labeled_statement] = STATE(186),
    [sym_expression_statement] = STATE(186),
    [sym_if_statement] = STATE(186),
    [sym_switch_statement] = STATE(186),
    [sym_case_statement] = STATE(186),
    [sym_while_statement] = STATE(186),
    [sym_do_statement] = STATE(186),
    [sym_for_statement] = STATE(186),
    [sym_return_statement] = STATE(186),
    [sym_break_statement] = STATE(186),
    [sym_continue_statement] = STATE(186),
    [sym_goto_statement] = STATE(186),
    [sym_seh_try_statement] = STATE(186),
    [sym_seh_leave_statement] = STATE(186),
    [sym_expression] = STATE(1028),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1897),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(343),
    [sym_identifier] = ACTIONS(1624),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1630),
    [anon_sym_if] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(1636),
    [anon_sym_case] = ACTIONS(1639),
    [anon_sym_default] = ACTIONS(1642),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_do] = ACTIONS(1648),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1654),
    [anon_sym_break] = ACTIONS(1657),
    [anon_sym_continue] = ACTIONS(1660),
    [anon_sym_goto] = ACTIONS(1663),
    [anon_sym___try] = ACTIONS(1666),
    [anon_sym___leave] = ACTIONS(1669),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_sizeof] = ACTIONS(1467),
    [anon_sym___alignof__] = ACTIONS(1470),
    [anon_sym___alignof] = ACTIONS(1470),
    [anon_sym__alignof] = ACTIONS(1470),
    [anon_sym_alignof] = ACTIONS(1470),
    [anon_sym__Alignof] = ACTIONS(1470),
    [anon_sym_offsetof] = ACTIONS(1473),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1479),
    [anon_sym___asm__] = ACTIONS(1479),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1485),
    [anon_sym_u_SQUOTE] = ACTIONS(1485),
    [anon_sym_U_SQUOTE] = ACTIONS(1485),
    [anon_sym_u8_SQUOTE] = ACTIONS(1485),
    [anon_sym_SQUOTE] = ACTIONS(1485),
    [anon_sym_L_DQUOTE] = ACTIONS(1488),
    [anon_sym_u_DQUOTE] = ACTIONS(1488),
    [anon_sym_U_DQUOTE] = ACTIONS(1488),
    [anon_sym_u8_DQUOTE] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [sym_true] = ACTIONS(1491),
    [sym_false] = ACTIONS(1491),
    [anon_sym_NULL] = ACTIONS(1494),
    [anon_sym_nullptr] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_attribute_declaration] = STATE(318),
    [sym_compound_statement] = STATE(247),
    [sym_attributed_statement] = STATE(247),
    [sym_statement] = STATE(143),
    [sym_labeled_statement] = STATE(247),
    [sym_expression_statement] = STATE(247),
    [sym_if_statement] = STATE(247),
    [sym_switch_statement] = STATE(247),
    [sym_case_statement] = STATE(247),
    [sym_while_statement] = STATE(247),
    [sym_do_statement] = STATE(247),
    [sym_for_statement] = STATE(247),
    [sym_return_statement] = STATE(247),
    [sym_break_statement] = STATE(247),
    [sym_continue_statement] = STATE(247),
    [sym_goto_statement] = STATE(247),
    [sym_seh_try_statement] = STATE(247),
    [sym_seh_leave_statement] = STATE(247),
    [sym_expression] = STATE(1027),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1913),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(318),
    [sym_identifier] = ACTIONS(1399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1032),
    [anon_sym___leave] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_attribute_declaration] = STATE(348),
    [sym_compound_statement] = STATE(186),
    [sym_attributed_statement] = STATE(186),
    [sym_statement] = STATE(208),
    [sym_labeled_statement] = STATE(186),
    [sym_expression_statement] = STATE(186),
    [sym_if_statement] = STATE(186),
    [sym_switch_statement] = STATE(186),
    [sym_case_statement] = STATE(186),
    [sym_while_statement] = STATE(186),
    [sym_do_statement] = STATE(186),
    [sym_for_statement] = STATE(186),
    [sym_return_statement] = STATE(186),
    [sym_break_statement] = STATE(186),
    [sym_continue_statement] = STATE(186),
    [sym_goto_statement] = STATE(186),
    [sym_seh_try_statement] = STATE(186),
    [sym_seh_leave_statement] = STATE(186),
    [sym_expression] = STATE(1028),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1897),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(348),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_case] = ACTIONS(588),
    [anon_sym_default] = ACTIONS(590),
    [anon_sym_while] = ACTIONS(592),
    [anon_sym_do] = ACTIONS(594),
    [anon_sym_for] = ACTIONS(596),
    [anon_sym_return] = ACTIONS(598),
    [anon_sym_break] = ACTIONS(600),
    [anon_sym_continue] = ACTIONS(602),
    [anon_sym_goto] = ACTIONS(604),
    [anon_sym___try] = ACTIONS(606),
    [anon_sym___leave] = ACTIONS(608),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_attribute_declaration] = STATE(348),
    [sym_compound_statement] = STATE(186),
    [sym_attributed_statement] = STATE(186),
    [sym_statement] = STATE(210),
    [sym_labeled_statement] = STATE(186),
    [sym_expression_statement] = STATE(186),
    [sym_if_statement] = STATE(186),
    [sym_switch_statement] = STATE(186),
    [sym_case_statement] = STATE(186),
    [sym_while_statement] = STATE(186),
    [sym_do_statement] = STATE(186),
    [sym_for_statement] = STATE(186),
    [sym_return_statement] = STATE(186),
    [sym_break_statement] = STATE(186),
    [sym_continue_statement] = STATE(186),
    [sym_goto_statement] = STATE(186),
    [sym_seh_try_statement] = STATE(186),
    [sym_seh_leave_statement] = STATE(186),
    [sym_expression] = STATE(1028),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1897),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(348),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_case] = ACTIONS(588),
    [anon_sym_default] = ACTIONS(590),
    [anon_sym_while] = ACTIONS(592),
    [anon_sym_do] = ACTIONS(594),
    [anon_sym_for] = ACTIONS(596),
    [anon_sym_return] = ACTIONS(598),
    [anon_sym_break] = ACTIONS(600),
    [anon_sym_continue] = ACTIONS(602),
    [anon_sym_goto] = ACTIONS(604),
    [anon_sym___try] = ACTIONS(606),
    [anon_sym___leave] = ACTIONS(608),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_attribute_declaration] = STATE(328),
    [sym_compound_statement] = STATE(105),
    [sym_attributed_statement] = STATE(105),
    [sym_statement] = STATE(77),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_case_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(1018),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1780),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(328),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_attribute_declaration] = STATE(343),
    [sym_compound_statement] = STATE(186),
    [sym_attributed_statement] = STATE(186),
    [sym_statement] = STATE(190),
    [sym_labeled_statement] = STATE(186),
    [sym_expression_statement] = STATE(186),
    [sym_if_statement] = STATE(186),
    [sym_switch_statement] = STATE(186),
    [sym_case_statement] = STATE(186),
    [sym_while_statement] = STATE(186),
    [sym_do_statement] = STATE(186),
    [sym_for_statement] = STATE(186),
    [sym_return_statement] = STATE(186),
    [sym_break_statement] = STATE(186),
    [sym_continue_statement] = STATE(186),
    [sym_goto_statement] = STATE(186),
    [sym_seh_try_statement] = STATE(186),
    [sym_seh_leave_statement] = STATE(186),
    [sym_expression] = STATE(1028),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1897),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(343),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_case] = ACTIONS(588),
    [anon_sym_default] = ACTIONS(590),
    [anon_sym_while] = ACTIONS(592),
    [anon_sym_do] = ACTIONS(594),
    [anon_sym_for] = ACTIONS(596),
    [anon_sym_return] = ACTIONS(598),
    [anon_sym_break] = ACTIONS(600),
    [anon_sym_continue] = ACTIONS(602),
    [anon_sym_goto] = ACTIONS(604),
    [anon_sym___try] = ACTIONS(606),
    [anon_sym___leave] = ACTIONS(608),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_attribute_declaration] = STATE(318),
    [sym_compound_statement] = STATE(247),
    [sym_attributed_statement] = STATE(247),
    [sym_statement] = STATE(246),
    [sym_labeled_statement] = STATE(247),
    [sym_expression_statement] = STATE(247),
    [sym_if_statement] = STATE(247),
    [sym_switch_statement] = STATE(247),
    [sym_case_statement] = STATE(247),
    [sym_while_statement] = STATE(247),
    [sym_do_statement] = STATE(247),
    [sym_for_statement] = STATE(247),
    [sym_return_statement] = STATE(247),
    [sym_break_statement] = STATE(247),
    [sym_continue_statement] = STATE(247),
    [sym_goto_statement] = STATE(247),
    [sym_seh_try_statement] = STATE(247),
    [sym_seh_leave_statement] = STATE(247),
    [sym_expression] = STATE(1027),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1913),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(318),
    [sym_identifier] = ACTIONS(1399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1032),
    [anon_sym___leave] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_attribute_declaration] = STATE(324),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(174),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(324),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_attribute_declaration] = STATE(339),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(1948),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1501),
    [anon_sym_default] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_attribute_declaration] = STATE(339),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(196),
    [sym_statement] = STATE(1961),
    [sym_labeled_statement] = STATE(196),
    [sym_expression_statement] = STATE(196),
    [sym_if_statement] = STATE(196),
    [sym_switch_statement] = STATE(196),
    [sym_case_statement] = STATE(196),
    [sym_while_statement] = STATE(196),
    [sym_do_statement] = STATE(196),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(196),
    [sym_break_statement] = STATE(196),
    [sym_continue_statement] = STATE(196),
    [sym_goto_statement] = STATE(196),
    [sym_seh_try_statement] = STATE(196),
    [sym_seh_leave_statement] = STATE(196),
    [sym_expression] = STATE(1017),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_attributed_declarator_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1499),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1501),
    [anon_sym_default] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [ts_builtin_sym_end] = ACTIONS(1672),
    [sym_identifier] = ACTIONS(1675),
    [aux_sym_preproc_include_token1] = ACTIONS(1675),
    [aux_sym_preproc_def_token1] = ACTIONS(1675),
    [aux_sym_preproc_if_token1] = ACTIONS(1675),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1675),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1675),
    [sym_preproc_directive] = ACTIONS(1675),
    [anon_sym_LPAREN2] = ACTIONS(1672),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_AMP] = ACTIONS(1672),
    [anon_sym___extension__] = ACTIONS(1675),
    [anon_sym_typedef] = ACTIONS(1675),
    [anon_sym_extern] = ACTIONS(1675),
    [anon_sym___attribute__] = ACTIONS(1675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1672),
    [anon_sym___declspec] = ACTIONS(1675),
    [anon_sym___cdecl] = ACTIONS(1675),
    [anon_sym___clrcall] = ACTIONS(1675),
    [anon_sym___stdcall] = ACTIONS(1675),
    [anon_sym___fastcall] = ACTIONS(1675),
    [anon_sym___thiscall] = ACTIONS(1675),
    [anon_sym___vectorcall] = ACTIONS(1675),
    [anon_sym_LBRACE] = ACTIONS(1672),
    [anon_sym_signed] = ACTIONS(1675),
    [anon_sym_unsigned] = ACTIONS(1675),
    [anon_sym_long] = ACTIONS(1675),
    [anon_sym_short] = ACTIONS(1675),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_auto] = ACTIONS(1675),
    [anon_sym_register] = ACTIONS(1675),
    [anon_sym_inline] = ACTIONS(1675),
    [anon_sym___inline] = ACTIONS(1675),
    [anon_sym___inline__] = ACTIONS(1675),
    [anon_sym___forceinline] = ACTIONS(1675),
    [anon_sym_thread_local] = ACTIONS(1675),
    [anon_sym___thread] = ACTIONS(1675),
    [anon_sym_const] = ACTIONS(1675),
    [anon_sym_constexpr] = ACTIONS(1675),
    [anon_sym_volatile] = ACTIONS(1675),
    [anon_sym_restrict] = ACTIONS(1675),
    [anon_sym___restrict__] = ACTIONS(1675),
    [anon_sym__Atomic] = ACTIONS(1675),
    [anon_sym__Noreturn] = ACTIONS(1675),
    [anon_sym_noreturn] = ACTIONS(1675),
    [anon_sym_alignas] = ACTIONS(1675),
    [anon_sym__Alignas] = ACTIONS(1675),
    [sym_primitive_type] = ACTIONS(1675),
    [anon_sym_enum] = ACTIONS(1675),
    [anon_sym_struct] = ACTIONS(1675),
    [anon_sym_union] = ACTIONS(1675),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(1675),
    [anon_sym_case] = ACTIONS(1675),
    [anon_sym_default] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1675),
    [anon_sym_do] = ACTIONS(1675),
    [anon_sym_for] = ACTIONS(1675),
    [anon_sym_return] = ACTIONS(1675),
    [anon_sym_break] = ACTIONS(1675),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1672),
    [anon_sym_PLUS_PLUS] = ACTIONS(1672),
    [anon_sym_sizeof] = ACTIONS(1675),
    [anon_sym___alignof__] = ACTIONS(1675),
    [anon_sym___alignof] = ACTIONS(1675),
    [anon_sym__alignof] = ACTIONS(1675),
    [anon_sym_alignof] = ACTIONS(1675),
    [anon_sym__Alignof] = ACTIONS(1675),
    [anon_sym_offsetof] = ACTIONS(1675),
    [anon_sym__Generic] = ACTIONS(1675),
    [anon_sym_asm] = ACTIONS(1675),
    [anon_sym___asm__] = ACTIONS(1675),
    [sym_number_literal] = ACTIONS(1672),
    [anon_sym_L_SQUOTE] = ACTIONS(1672),
    [anon_sym_u_SQUOTE] = ACTIONS(1672),
    [anon_sym_U_SQUOTE] = ACTIONS(1672),
    [anon_sym_u8_SQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [anon_sym_L_DQUOTE] = ACTIONS(1672),
    [anon_sym_u_DQUOTE] = ACTIONS(1672),
    [anon_sym_U_DQUOTE] = ACTIONS(1672),
    [anon_sym_u8_DQUOTE] = ACTIONS(1672),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [sym_true] = ACTIONS(1675),
    [sym_false] = ACTIONS(1675),
    [anon_sym_NULL] = ACTIONS(1675),
    [anon_sym_nullptr] = ACTIONS(1675),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [ts_builtin_sym_end] = ACTIONS(1281),
    [sym_identifier] = ACTIONS(1279),
    [aux_sym_preproc_include_token1] = ACTIONS(1279),
    [aux_sym_preproc_def_token1] = ACTIONS(1279),
    [aux_sym_preproc_if_token1] = ACTIONS(1279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1279),
    [sym_preproc_directive] = ACTIONS(1279),
    [anon_sym_LPAREN2] = ACTIONS(1281),
    [anon_sym_BANG] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(1281),
    [anon_sym_DASH] = ACTIONS(1279),
    [anon_sym_PLUS] = ACTIONS(1279),
    [anon_sym_STAR] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(1281),
    [anon_sym___extension__] = ACTIONS(1279),
    [anon_sym_typedef] = ACTIONS(1279),
    [anon_sym_extern] = ACTIONS(1279),
    [anon_sym___attribute__] = ACTIONS(1279),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1281),
    [anon_sym___declspec] = ACTIONS(1279),
    [anon_sym___cdecl] = ACTIONS(1279),
    [anon_sym___clrcall] = ACTIONS(1279),
    [anon_sym___stdcall] = ACTIONS(1279),
    [anon_sym___fastcall] = ACTIONS(1279),
    [anon_sym___thiscall] = ACTIONS(1279),
    [anon_sym___vectorcall] = ACTIONS(1279),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_signed] = ACTIONS(1279),
    [anon_sym_unsigned] = ACTIONS(1279),
    [anon_sym_long] = ACTIONS(1279),
    [anon_sym_short] = ACTIONS(1279),
    [anon_sym_static] = ACTIONS(1279),
    [anon_sym_auto] = ACTIONS(1279),
    [anon_sym_register] = ACTIONS(1279),
    [anon_sym_inline] = ACTIONS(1279),
    [anon_sym___inline] = ACTIONS(1279),
    [anon_sym___inline__] = ACTIONS(1279),
    [anon_sym___forceinline] = ACTIONS(1279),
    [anon_sym_thread_local] = ACTIONS(1279),
    [anon_sym___thread] = ACTIONS(1279),
    [anon_sym_const] = ACTIONS(1279),
    [anon_sym_constexpr] = ACTIONS(1279),
    [anon_sym_volatile] = ACTIONS(1279),
    [anon_sym_restrict] = ACTIONS(1279),
    [anon_sym___restrict__] = ACTIONS(1279),
    [anon_sym__Atomic] = ACTIONS(1279),
    [anon_sym__Noreturn] = ACTIONS(1279),
    [anon_sym_noreturn] = ACTIONS(1279),
    [anon_sym_alignas] = ACTIONS(1279),
    [anon_sym__Alignas] = ACTIONS(1279),
    [sym_primitive_type] = ACTIONS(1279),
    [anon_sym_enum] = ACTIONS(1279),
    [anon_sym_struct] = ACTIONS(1279),
    [anon_sym_union] = ACTIONS(1279),
    [anon_sym_if] = ACTIONS(1279),
    [anon_sym_switch] = ACTIONS(1279),
    [anon_sym_case] = ACTIONS(1279),
    [anon_sym_default] = ACTIONS(1279),
    [anon_sym_while] = ACTIONS(1279),
    [anon_sym_do] = ACTIONS(1279),
    [anon_sym_for] = ACTIONS(1279),
    [anon_sym_return] = ACTIONS(1279),
    [anon_sym_break] = ACTIONS(1279),
    [anon_sym_continue] = ACTIONS(1279),
    [anon_sym_goto] = ACTIONS(1279),
    [anon_sym_DASH_DASH] = ACTIONS(1281),
    [anon_sym_PLUS_PLUS] = ACTIONS(1281),
    [anon_sym_sizeof] = ACTIONS(1279),
    [anon_sym___alignof__] = ACTIONS(1279),
    [anon_sym___alignof] = ACTIONS(1279),
    [anon_sym__alignof] = ACTIONS(1279),
    [anon_sym_alignof] = ACTIONS(1279),
    [anon_sym__Alignof] = ACTIONS(1279),
    [anon_sym_offsetof] = ACTIONS(1279),
    [anon_sym__Generic] = ACTIONS(1279),
    [anon_sym_asm] = ACTIONS(1279),
    [anon_sym___asm__] = ACTIONS(1279),
    [sym_number_literal] = ACTIONS(1281),
    [anon_sym_L_SQUOTE] = ACTIONS(1281),
    [anon_sym_u_SQUOTE] = ACTIONS(1281),
    [anon_sym_U_SQUOTE] = ACTIONS(1281),
    [anon_sym_u8_SQUOTE] = ACTIONS(1281),
    [anon_sym_SQUOTE] = ACTIONS(1281),
    [anon_sym_L_DQUOTE] = ACTIONS(1281),
    [anon_sym_u_DQUOTE] = ACTIONS(1281),
    [anon_sym_U_DQUOTE] = ACTIONS(1281),
    [anon_sym_u8_DQUOTE] = ACTIONS(1281),
    [anon_sym_DQUOTE] = ACTIONS(1281),
    [sym_true] = ACTIONS(1279),
    [sym_false] = ACTIONS(1279),
    [anon_sym_NULL] = ACTIONS(1279),
    [anon_sym_nullptr] = ACTIONS(1279),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [ts_builtin_sym_end] = ACTIONS(1293),
    [sym_identifier] = ACTIONS(1291),
    [aux_sym_preproc_include_token1] = ACTIONS(1291),
    [aux_sym_preproc_def_token1] = ACTIONS(1291),
    [aux_sym_preproc_if_token1] = ACTIONS(1291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1291),
    [sym_preproc_directive] = ACTIONS(1291),
    [anon_sym_LPAREN2] = ACTIONS(1293),
    [anon_sym_BANG] = ACTIONS(1293),
    [anon_sym_TILDE] = ACTIONS(1293),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1291),
    [anon_sym_STAR] = ACTIONS(1293),
    [anon_sym_AMP] = ACTIONS(1293),
    [anon_sym___extension__] = ACTIONS(1291),
    [anon_sym_typedef] = ACTIONS(1291),
    [anon_sym_extern] = ACTIONS(1291),
    [anon_sym___attribute__] = ACTIONS(1291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1293),
    [anon_sym___declspec] = ACTIONS(1291),
    [anon_sym___cdecl] = ACTIONS(1291),
    [anon_sym___clrcall] = ACTIONS(1291),
    [anon_sym___stdcall] = ACTIONS(1291),
    [anon_sym___fastcall] = ACTIONS(1291),
    [anon_sym___thiscall] = ACTIONS(1291),
    [anon_sym___vectorcall] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1293),
    [anon_sym_signed] = ACTIONS(1291),
    [anon_sym_unsigned] = ACTIONS(1291),
    [anon_sym_long] = ACTIONS(1291),
    [anon_sym_short] = ACTIONS(1291),
    [anon_sym_static] = ACTIONS(1291),
    [anon_sym_auto] = ACTIONS(1291),
    [anon_sym_register] = ACTIONS(1291),
    [anon_sym_inline] = ACTIONS(1291),
    [anon_sym___inline] = ACTIONS(1291),
    [anon_sym___inline__] = ACTIONS(1291),
    [anon_sym___forceinline] = ACTIONS(1291),
    [anon_sym_thread_local] = ACTIONS(1291),
    [anon_sym___thread] = ACTIONS(1291),
    [anon_sym_const] = ACTIONS(1291),
    [anon_sym_constexpr] = ACTIONS(1291),
    [anon_sym_volatile] = ACTIONS(1291),
    [anon_sym_restrict] = ACTIONS(1291),
    [anon_sym___restrict__] = ACTIONS(1291),
    [anon_sym__Atomic] = ACTIONS(1291),
    [anon_sym__Noreturn] = ACTIONS(1291),
    [anon_sym_noreturn] = ACTIONS(1291),
    [anon_sym_alignas] = ACTIONS(1291),
    [anon_sym__Alignas] = ACTIONS(1291),
    [sym_primitive_type] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1291),
    [anon_sym_union] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1291),
    [anon_sym_switch] = ACTIONS(1291),
    [anon_sym_case] = ACTIONS(1291),
    [anon_sym_default] = ACTIONS(1291),
    [anon_sym_while] = ACTIONS(1291),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_for] = ACTIONS(1291),
    [anon_sym_return] = ACTIONS(1291),
    [anon_sym_break] = ACTIONS(1291),
    [anon_sym_continue] = ACTIONS(1291),
    [anon_sym_goto] = ACTIONS(1291),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_sizeof] = ACTIONS(1291),
    [anon_sym___alignof__] = ACTIONS(1291),
    [anon_sym___alignof] = ACTIONS(1291),
    [anon_sym__alignof] = ACTIONS(1291),
    [anon_sym_alignof] = ACTIONS(1291),
    [anon_sym__Alignof] = ACTIONS(1291),
    [anon_sym_offsetof] = ACTIONS(1291),
    [anon_sym__Generic] = ACTIONS(1291),
    [anon_sym_asm] = ACTIONS(1291),
    [anon_sym___asm__] = ACTIONS(1291),
    [sym_number_literal] = ACTIONS(1293),
    [anon_sym_L_SQUOTE] = ACTIONS(1293),
    [anon_sym_u_SQUOTE] = ACTIONS(1293),
    [anon_sym_U_SQUOTE] = ACTIONS(1293),
    [anon_sym_u8_SQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1293),
    [anon_sym_L_DQUOTE] = ACTIONS(1293),
    [anon_sym_u_DQUOTE] = ACTIONS(1293),
    [anon_sym_U_DQUOTE] = ACTIONS(1293),
    [anon_sym_u8_DQUOTE] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [sym_true] = ACTIONS(1291),
    [sym_false] = ACTIONS(1291),
    [anon_sym_NULL] = ACTIONS(1291),
    [anon_sym_nullptr] = ACTIONS(1291),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [ts_builtin_sym_end] = ACTIONS(1317),
    [sym_identifier] = ACTIONS(1315),
    [aux_sym_preproc_include_token1] = ACTIONS(1315),
    [aux_sym_preproc_def_token1] = ACTIONS(1315),
    [aux_sym_preproc_if_token1] = ACTIONS(1315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1315),
    [sym_preproc_directive] = ACTIONS(1315),
    [anon_sym_LPAREN2] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_TILDE] = ACTIONS(1317),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym___extension__] = ACTIONS(1315),
    [anon_sym_typedef] = ACTIONS(1315),
    [anon_sym_extern] = ACTIONS(1315),
    [anon_sym___attribute__] = ACTIONS(1315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1317),
    [anon_sym___declspec] = ACTIONS(1315),
    [anon_sym___cdecl] = ACTIONS(1315),
    [anon_sym___clrcall] = ACTIONS(1315),
    [anon_sym___stdcall] = ACTIONS(1315),
    [anon_sym___fastcall] = ACTIONS(1315),
    [anon_sym___thiscall] = ACTIONS(1315),
    [anon_sym___vectorcall] = ACTIONS(1315),
    [anon_sym_LBRACE] = ACTIONS(1317),
    [anon_sym_signed] = ACTIONS(1315),
    [anon_sym_unsigned] = ACTIONS(1315),
    [anon_sym_long] = ACTIONS(1315),
    [anon_sym_short] = ACTIONS(1315),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_auto] = ACTIONS(1315),
    [anon_sym_register] = ACTIONS(1315),
    [anon_sym_inline] = ACTIONS(1315),
    [anon_sym___inline] = ACTIONS(1315),
    [anon_sym___inline__] = ACTIONS(1315),
    [anon_sym___forceinline] = ACTIONS(1315),
    [anon_sym_thread_local] = ACTIONS(1315),
    [anon_sym___thread] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1315),
    [anon_sym_constexpr] = ACTIONS(1315),
    [anon_sym_volatile] = ACTIONS(1315),
    [anon_sym_restrict] = ACTIONS(1315),
    [anon_sym___restrict__] = ACTIONS(1315),
    [anon_sym__Atomic] = ACTIONS(1315),
    [anon_sym__Noreturn] = ACTIONS(1315),
    [anon_sym_noreturn] = ACTIONS(1315),
    [anon_sym_alignas] = ACTIONS(1315),
    [anon_sym__Alignas] = ACTIONS(1315),
    [sym_primitive_type] = ACTIONS(1315),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1315),
    [anon_sym_union] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1315),
    [anon_sym_switch] = ACTIONS(1315),
    [anon_sym_case] = ACTIONS(1315),
    [anon_sym_default] = ACTIONS(1315),
    [anon_sym_while] = ACTIONS(1315),
    [anon_sym_do] = ACTIONS(1315),
    [anon_sym_for] = ACTIONS(1315),
    [anon_sym_return] = ACTIONS(1315),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_continue] = ACTIONS(1315),
    [anon_sym_goto] = ACTIONS(1315),
    [anon_sym_DASH_DASH] = ACTIONS(1317),
    [anon_sym_PLUS_PLUS] = ACTIONS(1317),
    [anon_sym_sizeof] = ACTIONS(1315),
    [anon_sym___alignof__] = ACTIONS(1315),
    [anon_sym___alignof] = ACTIONS(1315),
    [anon_sym__alignof] = ACTIONS(1315),
    [anon_sym_alignof] = ACTIONS(1315),
    [anon_sym__Alignof] = ACTIONS(1315),
    [anon_sym_offsetof] = ACTIONS(1315),
    [anon_sym__Generic] = ACTIONS(1315),
    [anon_sym_asm] = ACTIONS(1315),
    [anon_sym___asm__] = ACTIONS(1315),
    [sym_number_literal] = ACTIONS(1317),
    [anon_sym_L_SQUOTE] = ACTIONS(1317),
    [anon_sym_u_SQUOTE] = ACTIONS(1317),
    [anon_sym_U_SQUOTE] = ACTIONS(1317),
    [anon_sym_u8_SQUOTE] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1317),
    [anon_sym_L_DQUOTE] = ACTIONS(1317),
    [anon_sym_u_DQUOTE] = ACTIONS(1317),
    [anon_sym_U_DQUOTE] = ACTIONS(1317),
    [anon_sym_u8_DQUOTE] = ACTIONS(1317),
    [anon_sym_DQUOTE] = ACTIONS(1317),
    [sym_true] = ACTIONS(1315),
    [sym_false] = ACTIONS(1315),
    [anon_sym_NULL] = ACTIONS(1315),
    [anon_sym_nullptr] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [ts_builtin_sym_end] = ACTIONS(1321),
    [sym_identifier] = ACTIONS(1319),
    [aux_sym_preproc_include_token1] = ACTIONS(1319),
    [aux_sym_preproc_def_token1] = ACTIONS(1319),
    [aux_sym_preproc_if_token1] = ACTIONS(1319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1319),
    [sym_preproc_directive] = ACTIONS(1319),
    [anon_sym_LPAREN2] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1319),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(1321),
    [anon_sym___extension__] = ACTIONS(1319),
    [anon_sym_typedef] = ACTIONS(1319),
    [anon_sym_extern] = ACTIONS(1319),
    [anon_sym___attribute__] = ACTIONS(1319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1321),
    [anon_sym___declspec] = ACTIONS(1319),
    [anon_sym___cdecl] = ACTIONS(1319),
    [anon_sym___clrcall] = ACTIONS(1319),
    [anon_sym___stdcall] = ACTIONS(1319),
    [anon_sym___fastcall] = ACTIONS(1319),
    [anon_sym___thiscall] = ACTIONS(1319),
    [anon_sym___vectorcall] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_signed] = ACTIONS(1319),
    [anon_sym_unsigned] = ACTIONS(1319),
    [anon_sym_long] = ACTIONS(1319),
    [anon_sym_short] = ACTIONS(1319),
    [anon_sym_static] = ACTIONS(1319),
    [anon_sym_auto] = ACTIONS(1319),
    [anon_sym_register] = ACTIONS(1319),
    [anon_sym_inline] = ACTIONS(1319),
    [anon_sym___inline] = ACTIONS(1319),
    [anon_sym___inline__] = ACTIONS(1319),
    [anon_sym___forceinline] = ACTIONS(1319),
    [anon_sym_thread_local] = ACTIONS(1319),
    [anon_sym___thread] = ACTIONS(1319),
    [anon_sym_const] = ACTIONS(1319),
    [anon_sym_constexpr] = ACTIONS(1319),
    [anon_sym_volatile] = ACTIONS(1319),
    [anon_sym_restrict] = ACTIONS(1319),
    [anon_sym___restrict__] = ACTIONS(1319),
    [anon_sym__Atomic] = ACTIONS(1319),
    [anon_sym__Noreturn] = ACTIONS(1319),
    [anon_sym_noreturn] = ACTIONS(1319),
    [anon_sym_alignas] = ACTIONS(1319),
    [anon_sym__Alignas] = ACTIONS(1319),
    [sym_primitive_type] = ACTIONS(1319),
    [anon_sym_enum] = ACTIONS(1319),
    [anon_sym_struct] = ACTIONS(1319),
    [anon_sym_union] = ACTIONS(1319),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_switch] = ACTIONS(1319),
    [anon_sym_case] = ACTIONS(1319),
    [anon_sym_default] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1319),
    [anon_sym_do] = ACTIONS(1319),
    [anon_sym_for] = ACTIONS(1319),
    [anon_sym_return] = ACTIONS(1319),
    [anon_sym_break] = ACTIONS(1319),
    [anon_sym_continue] = ACTIONS(1319),
    [anon_sym_goto] = ACTIONS(1319),
    [anon_sym_DASH_DASH] = ACTIONS(1321),
    [anon_sym_PLUS_PLUS] = ACTIONS(1321),
    [anon_sym_sizeof] = ACTIONS(1319),
    [anon_sym___alignof__] = ACTIONS(1319),
    [anon_sym___alignof] = ACTIONS(1319),
    [anon_sym__alignof] = ACTIONS(1319),
    [anon_sym_alignof] = ACTIONS(1319),
    [anon_sym__Alignof] = ACTIONS(1319),
    [anon_sym_offsetof] = ACTIONS(1319),
    [anon_sym__Generic] = ACTIONS(1319),
    [anon_sym_asm] = ACTIONS(1319),
    [anon_sym___asm__] = ACTIONS(1319),
    [sym_number_literal] = ACTIONS(1321),
    [anon_sym_L_SQUOTE] = ACTIONS(1321),
    [anon_sym_u_SQUOTE] = ACTIONS(1321),
    [anon_sym_U_SQUOTE] = ACTIONS(1321),
    [anon_sym_u8_SQUOTE] = ACTIONS(1321),
    [anon_sym_SQUOTE] = ACTIONS(1321),
    [anon_sym_L_DQUOTE] = ACTIONS(1321),
    [anon_sym_u_DQUOTE] = ACTIONS(1321),
    [anon_sym_U_DQUOTE] = ACTIONS(1321),
    [anon_sym_u8_DQUOTE] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1321),
    [sym_true] = ACTIONS(1319),
    [sym_false] = ACTIONS(1319),
    [anon_sym_NULL] = ACTIONS(1319),
    [anon_sym_nullptr] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [ts_builtin_sym_end] = ACTIONS(1253),
    [sym_identifier] = ACTIONS(1251),
    [aux_sym_preproc_include_token1] = ACTIONS(1251),
    [aux_sym_preproc_def_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1251),
    [sym_preproc_directive] = ACTIONS(1251),
    [anon_sym_LPAREN2] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1251),
    [anon_sym_PLUS] = ACTIONS(1251),
    [anon_sym_STAR] = ACTIONS(1253),
    [anon_sym_AMP] = ACTIONS(1253),
    [anon_sym___extension__] = ACTIONS(1251),
    [anon_sym_typedef] = ACTIONS(1251),
    [anon_sym_extern] = ACTIONS(1251),
    [anon_sym___attribute__] = ACTIONS(1251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1253),
    [anon_sym___declspec] = ACTIONS(1251),
    [anon_sym___cdecl] = ACTIONS(1251),
    [anon_sym___clrcall] = ACTIONS(1251),
    [anon_sym___stdcall] = ACTIONS(1251),
    [anon_sym___fastcall] = ACTIONS(1251),
    [anon_sym___thiscall] = ACTIONS(1251),
    [anon_sym___vectorcall] = ACTIONS(1251),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [anon_sym_signed] = ACTIONS(1251),
    [anon_sym_unsigned] = ACTIONS(1251),
    [anon_sym_long] = ACTIONS(1251),
    [anon_sym_short] = ACTIONS(1251),
    [anon_sym_static] = ACTIONS(1251),
    [anon_sym_auto] = ACTIONS(1251),
    [anon_sym_register] = ACTIONS(1251),
    [anon_sym_inline] = ACTIONS(1251),
    [anon_sym___inline] = ACTIONS(1251),
    [anon_sym___inline__] = ACTIONS(1251),
    [anon_sym___forceinline] = ACTIONS(1251),
    [anon_sym_thread_local] = ACTIONS(1251),
    [anon_sym___thread] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1251),
    [anon_sym_constexpr] = ACTIONS(1251),
    [anon_sym_volatile] = ACTIONS(1251),
    [anon_sym_restrict] = ACTIONS(1251),
    [anon_sym___restrict__] = ACTIONS(1251),
    [anon_sym__Atomic] = ACTIONS(1251),
    [anon_sym__Noreturn] = ACTIONS(1251),
    [anon_sym_noreturn] = ACTIONS(1251),
    [anon_sym_alignas] = ACTIONS(1251),
    [anon_sym__Alignas] = ACTIONS(1251),
    [sym_primitive_type] = ACTIONS(1251),
    [anon_sym_enum] = ACTIONS(1251),
    [anon_sym_struct] = ACTIONS(1251),
    [anon_sym_union] = ACTIONS(1251),
    [anon_sym_if] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1251),
    [anon_sym_case] = ACTIONS(1251),
    [anon_sym_default] = ACTIONS(1251),
    [anon_sym_while] = ACTIONS(1251),
    [anon_sym_do] = ACTIONS(1251),
    [anon_sym_for] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1251),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_continue] = ACTIONS(1251),
    [anon_sym_goto] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1253),
    [anon_sym_sizeof] = ACTIONS(1251),
    [anon_sym___alignof__] = ACTIONS(1251),
    [anon_sym___alignof] = ACTIONS(1251),
    [anon_sym__alignof] = ACTIONS(1251),
    [anon_sym_alignof] = ACTIONS(1251),
    [anon_sym__Alignof] = ACTIONS(1251),
    [anon_sym_offsetof] = ACTIONS(1251),
    [anon_sym__Generic] = ACTIONS(1251),
    [anon_sym_asm] = ACTIONS(1251),
    [anon_sym___asm__] = ACTIONS(1251),
    [sym_number_literal] = ACTIONS(1253),
    [anon_sym_L_SQUOTE] = ACTIONS(1253),
    [anon_sym_u_SQUOTE] = ACTIONS(1253),
    [anon_sym_U_SQUOTE] = ACTIONS(1253),
    [anon_sym_u8_SQUOTE] = ACTIONS(1253),
    [anon_sym_SQUOTE] = ACTIONS(1253),
    [anon_sym_L_DQUOTE] = ACTIONS(1253),
    [anon_sym_u_DQUOTE] = ACTIONS(1253),
    [anon_sym_U_DQUOTE] = ACTIONS(1253),
    [anon_sym_u8_DQUOTE] = ACTIONS(1253),
    [anon_sym_DQUOTE] = ACTIONS(1253),
    [sym_true] = ACTIONS(1251),
    [sym_false] = ACTIONS(1251),
    [anon_sym_NULL] = ACTIONS(1251),
    [anon_sym_nullptr] = ACTIONS(1251),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(1297),
    [sym_identifier] = ACTIONS(1295),
    [aux_sym_preproc_include_token1] = ACTIONS(1295),
    [aux_sym_preproc_def_token1] = ACTIONS(1295),
    [aux_sym_preproc_if_token1] = ACTIONS(1295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1295),
    [sym_preproc_directive] = ACTIONS(1295),
    [anon_sym_LPAREN2] = ACTIONS(1297),
    [anon_sym_BANG] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1295),
    [anon_sym_PLUS] = ACTIONS(1295),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym___extension__] = ACTIONS(1295),
    [anon_sym_typedef] = ACTIONS(1295),
    [anon_sym_extern] = ACTIONS(1295),
    [anon_sym___attribute__] = ACTIONS(1295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1297),
    [anon_sym___declspec] = ACTIONS(1295),
    [anon_sym___cdecl] = ACTIONS(1295),
    [anon_sym___clrcall] = ACTIONS(1295),
    [anon_sym___stdcall] = ACTIONS(1295),
    [anon_sym___fastcall] = ACTIONS(1295),
    [anon_sym___thiscall] = ACTIONS(1295),
    [anon_sym___vectorcall] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_signed] = ACTIONS(1295),
    [anon_sym_unsigned] = ACTIONS(1295),
    [anon_sym_long] = ACTIONS(1295),
    [anon_sym_short] = ACTIONS(1295),
    [anon_sym_static] = ACTIONS(1295),
    [anon_sym_auto] = ACTIONS(1295),
    [anon_sym_register] = ACTIONS(1295),
    [anon_sym_inline] = ACTIONS(1295),
    [anon_sym___inline] = ACTIONS(1295),
    [anon_sym___inline__] = ACTIONS(1295),
    [anon_sym___forceinline] = ACTIONS(1295),
    [anon_sym_thread_local] = ACTIONS(1295),
    [anon_sym___thread] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1295),
    [anon_sym_constexpr] = ACTIONS(1295),
    [anon_sym_volatile] = ACTIONS(1295),
    [anon_sym_restrict] = ACTIONS(1295),
    [anon_sym___restrict__] = ACTIONS(1295),
    [anon_sym__Atomic] = ACTIONS(1295),
    [anon_sym__Noreturn] = ACTIONS(1295),
    [anon_sym_noreturn] = ACTIONS(1295),
    [anon_sym_alignas] = ACTIONS(1295),
    [anon_sym__Alignas] = ACTIONS(1295),
    [sym_primitive_type] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1295),
    [anon_sym_struct] = ACTIONS(1295),
    [anon_sym_union] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_switch] = ACTIONS(1295),
    [anon_sym_case] = ACTIONS(1295),
    [anon_sym_default] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1295),
    [anon_sym_return] = ACTIONS(1295),
    [anon_sym_break] = ACTIONS(1295),
    [anon_sym_continue] = ACTIONS(1295),
    [anon_sym_goto] = ACTIONS(1295),
    [anon_sym_DASH_DASH] = ACTIONS(1297),
    [anon_sym_PLUS_PLUS] = ACTIONS(1297),
    [anon_sym_sizeof] = ACTIONS(1295),
    [anon_sym___alignof__] = ACTIONS(1295),
    [anon_sym___alignof] = ACTIONS(1295),
    [anon_sym__alignof] = ACTIONS(1295),
    [anon_sym_alignof] = ACTIONS(1295),
    [anon_sym__Alignof] = ACTIONS(1295),
    [anon_sym_offsetof] = ACTIONS(1295),
    [anon_sym__Generic] = ACTIONS(1295),
    [anon_sym_asm] = ACTIONS(1295),
    [anon_sym___asm__] = ACTIONS(1295),
    [sym_number_literal] = ACTIONS(1297),
    [anon_sym_L_SQUOTE] = ACTIONS(1297),
    [anon_sym_u_SQUOTE] = ACTIONS(1297),
    [anon_sym_U_SQUOTE] = ACTIONS(1297),
    [anon_sym_u8_SQUOTE] = ACTIONS(1297),
    [anon_sym_SQUOTE] = ACTIONS(1297),
    [anon_sym_L_DQUOTE] = ACTIONS(1297),
    [anon_sym_u_DQUOTE] = ACTIONS(1297),
    [anon_sym_U_DQUOTE] = ACTIONS(1297),
    [anon_sym_u8_DQUOTE] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [sym_true] = ACTIONS(1295),
    [sym_false] = ACTIONS(1295),
    [anon_sym_NULL] = ACTIONS(1295),
    [anon_sym_nullptr] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(1313),
    [sym_identifier] = ACTIONS(1311),
    [aux_sym_preproc_include_token1] = ACTIONS(1311),
    [aux_sym_preproc_def_token1] = ACTIONS(1311),
    [aux_sym_preproc_if_token1] = ACTIONS(1311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1311),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1311),
    [sym_preproc_directive] = ACTIONS(1311),
    [anon_sym_LPAREN2] = ACTIONS(1313),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_TILDE] = ACTIONS(1313),
    [anon_sym_DASH] = ACTIONS(1311),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym___extension__] = ACTIONS(1311),
    [anon_sym_typedef] = ACTIONS(1311),
    [anon_sym_extern] = ACTIONS(1311),
    [anon_sym___attribute__] = ACTIONS(1311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1313),
    [anon_sym___declspec] = ACTIONS(1311),
    [anon_sym___cdecl] = ACTIONS(1311),
    [anon_sym___clrcall] = ACTIONS(1311),
    [anon_sym___stdcall] = ACTIONS(1311),
    [anon_sym___fastcall] = ACTIONS(1311),
    [anon_sym___thiscall] = ACTIONS(1311),
    [anon_sym___vectorcall] = ACTIONS(1311),
    [anon_sym_LBRACE] = ACTIONS(1313),
    [anon_sym_signed] = ACTIONS(1311),
    [anon_sym_unsigned] = ACTIONS(1311),
    [anon_sym_long] = ACTIONS(1311),
    [anon_sym_short] = ACTIONS(1311),
    [anon_sym_static] = ACTIONS(1311),
    [anon_sym_auto] = ACTIONS(1311),
    [anon_sym_register] = ACTIONS(1311),
    [anon_sym_inline] = ACTIONS(1311),
    [anon_sym___inline] = ACTIONS(1311),
    [anon_sym___inline__] = ACTIONS(1311),
    [anon_sym___forceinline] = ACTIONS(1311),
    [anon_sym_thread_local] = ACTIONS(1311),
    [anon_sym___thread] = ACTIONS(1311),
    [anon_sym_const] = ACTIONS(1311),
    [anon_sym_constexpr] = ACTIONS(1311),
    [anon_sym_volatile] = ACTIONS(1311),
    [anon_sym_restrict] = ACTIONS(1311),
    [anon_sym___restrict__] = ACTIONS(1311),
    [anon_sym__Atomic] = ACTIONS(1311),
    [anon_sym__Noreturn] = ACTIONS(1311),
    [anon_sym_noreturn] = ACTIONS(1311),
    [anon_sym_alignas] = ACTIONS(1311),
    [anon_sym__Alignas] = ACTIONS(1311),
    [sym_primitive_type] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_struct] = ACTIONS(1311),
    [anon_sym_union] = ACTIONS(1311),
    [anon_sym_if] = ACTIONS(1311),
    [anon_sym_switch] = ACTIONS(1311),
    [anon_sym_case] = ACTIONS(1311),
    [anon_sym_default] = ACTIONS(1311),
    [anon_sym_while] = ACTIONS(1311),
    [anon_sym_do] = ACTIONS(1311),
    [anon_sym_for] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_continue] = ACTIONS(1311),
    [anon_sym_goto] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_PLUS_PLUS] = ACTIONS(1313),
    [anon_sym_sizeof] = ACTIONS(1311),
    [anon_sym___alignof__] = ACTIONS(1311),
    [anon_sym___alignof] = ACTIONS(1311),
    [anon_sym__alignof] = ACTIONS(1311),
    [anon_sym_alignof] = ACTIONS(1311),
    [anon_sym__Alignof] = ACTIONS(1311),
    [anon_sym_offsetof] = ACTIONS(1311),
    [anon_sym__Generic] = ACTIONS(1311),
    [anon_sym_asm] = ACTIONS(1311),
    [anon_sym___asm__] = ACTIONS(1311),
    [sym_number_literal] = ACTIONS(1313),
    [anon_sym_L_SQUOTE] = ACTIONS(1313),
    [anon_sym_u_SQUOTE] = ACTIONS(1313),
    [anon_sym_U_SQUOTE] = ACTIONS(1313),
    [anon_sym_u8_SQUOTE] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1313),
    [anon_sym_L_DQUOTE] = ACTIONS(1313),
    [anon_sym_u_DQUOTE] = ACTIONS(1313),
    [anon_sym_U_DQUOTE] = ACTIONS(1313),
    [anon_sym_u8_DQUOTE] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(1313),
    [sym_true] = ACTIONS(1311),
    [sym_false] = ACTIONS(1311),
    [anon_sym_NULL] = ACTIONS(1311),
    [anon_sym_nullptr] = ACTIONS(1311),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [ts_builtin_sym_end] = ACTIONS(1329),
    [sym_identifier] = ACTIONS(1327),
    [aux_sym_preproc_include_token1] = ACTIONS(1327),
    [aux_sym_preproc_def_token1] = ACTIONS(1327),
    [aux_sym_preproc_if_token1] = ACTIONS(1327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1327),
    [sym_preproc_directive] = ACTIONS(1327),
    [anon_sym_LPAREN2] = ACTIONS(1329),
    [anon_sym_BANG] = ACTIONS(1329),
    [anon_sym_TILDE] = ACTIONS(1329),
    [anon_sym_DASH] = ACTIONS(1327),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1329),
    [anon_sym_AMP] = ACTIONS(1329),
    [anon_sym___extension__] = ACTIONS(1327),
    [anon_sym_typedef] = ACTIONS(1327),
    [anon_sym_extern] = ACTIONS(1327),
    [anon_sym___attribute__] = ACTIONS(1327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1329),
    [anon_sym___declspec] = ACTIONS(1327),
    [anon_sym___cdecl] = ACTIONS(1327),
    [anon_sym___clrcall] = ACTIONS(1327),
    [anon_sym___stdcall] = ACTIONS(1327),
    [anon_sym___fastcall] = ACTIONS(1327),
    [anon_sym___thiscall] = ACTIONS(1327),
    [anon_sym___vectorcall] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1329),
    [anon_sym_signed] = ACTIONS(1327),
    [anon_sym_unsigned] = ACTIONS(1327),
    [anon_sym_long] = ACTIONS(1327),
    [anon_sym_short] = ACTIONS(1327),
    [anon_sym_static] = ACTIONS(1327),
    [anon_sym_auto] = ACTIONS(1327),
    [anon_sym_register] = ACTIONS(1327),
    [anon_sym_inline] = ACTIONS(1327),
    [anon_sym___inline] = ACTIONS(1327),
    [anon_sym___inline__] = ACTIONS(1327),
    [anon_sym___forceinline] = ACTIONS(1327),
    [anon_sym_thread_local] = ACTIONS(1327),
    [anon_sym___thread] = ACTIONS(1327),
    [anon_sym_const] = ACTIONS(1327),
    [anon_sym_constexpr] = ACTIONS(1327),
    [anon_sym_volatile] = ACTIONS(1327),
    [anon_sym_restrict] = ACTIONS(1327),
    [anon_sym___restrict__] = ACTIONS(1327),
    [anon_sym__Atomic] = ACTIONS(1327),
    [anon_sym__Noreturn] = ACTIONS(1327),
    [anon_sym_noreturn] = ACTIONS(1327),
    [anon_sym_alignas] = ACTIONS(1327),
    [anon_sym__Alignas] = ACTIONS(1327),
    [sym_primitive_type] = ACTIONS(1327),
    [anon_sym_enum] = ACTIONS(1327),
    [anon_sym_struct] = ACTIONS(1327),
    [anon_sym_union] = ACTIONS(1327),
    [anon_sym_if] = ACTIONS(1327),
    [anon_sym_switch] = ACTIONS(1327),
    [anon_sym_case] = ACTIONS(1327),
    [anon_sym_default] = ACTIONS(1327),
    [anon_sym_while] = ACTIONS(1327),
    [anon_sym_do] = ACTIONS(1327),
    [anon_sym_for] = ACTIONS(1327),
    [anon_sym_return] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(1327),
    [anon_sym_continue] = ACTIONS(1327),
    [anon_sym_goto] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1329),
    [anon_sym_PLUS_PLUS] = ACTIONS(1329),
    [anon_sym_sizeof] = ACTIONS(1327),
    [anon_sym___alignof__] = ACTIONS(1327),
    [anon_sym___alignof] = ACTIONS(1327),
    [anon_sym__alignof] = ACTIONS(1327),
    [anon_sym_alignof] = ACTIONS(1327),
    [anon_sym__Alignof] = ACTIONS(1327),
    [anon_sym_offsetof] = ACTIONS(1327),
    [anon_sym__Generic] = ACTIONS(1327),
    [anon_sym_asm] = ACTIONS(1327),
    [anon_sym___asm__] = ACTIONS(1327),
    [sym_number_literal] = ACTIONS(1329),
    [anon_sym_L_SQUOTE] = ACTIONS(1329),
    [anon_sym_u_SQUOTE] = ACTIONS(1329),
    [anon_sym_U_SQUOTE] = ACTIONS(1329),
    [anon_sym_u8_SQUOTE] = ACTIONS(1329),
    [anon_sym_SQUOTE] = ACTIONS(1329),
    [anon_sym_L_DQUOTE] = ACTIONS(1329),
    [anon_sym_u_DQUOTE] = ACTIONS(1329),
    [anon_sym_U_DQUOTE] = ACTIONS(1329),
    [anon_sym_u8_DQUOTE] = ACTIONS(1329),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_true] = ACTIONS(1327),
    [sym_false] = ACTIONS(1327),
    [anon_sym_NULL] = ACTIONS(1327),
    [anon_sym_nullptr] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(1305),
    [sym_identifier] = ACTIONS(1303),
    [aux_sym_preproc_include_token1] = ACTIONS(1303),
    [aux_sym_preproc_def_token1] = ACTIONS(1303),
    [aux_sym_preproc_if_token1] = ACTIONS(1303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1303),
    [sym_preproc_directive] = ACTIONS(1303),
    [anon_sym_LPAREN2] = ACTIONS(1305),
    [anon_sym_BANG] = ACTIONS(1305),
    [anon_sym_TILDE] = ACTIONS(1305),
    [anon_sym_DASH] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym___extension__] = ACTIONS(1303),
    [anon_sym_typedef] = ACTIONS(1303),
    [anon_sym_extern] = ACTIONS(1303),
    [anon_sym___attribute__] = ACTIONS(1303),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1305),
    [anon_sym___declspec] = ACTIONS(1303),
    [anon_sym___cdecl] = ACTIONS(1303),
    [anon_sym___clrcall] = ACTIONS(1303),
    [anon_sym___stdcall] = ACTIONS(1303),
    [anon_sym___fastcall] = ACTIONS(1303),
    [anon_sym___thiscall] = ACTIONS(1303),
    [anon_sym___vectorcall] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_signed] = ACTIONS(1303),
    [anon_sym_unsigned] = ACTIONS(1303),
    [anon_sym_long] = ACTIONS(1303),
    [anon_sym_short] = ACTIONS(1303),
    [anon_sym_static] = ACTIONS(1303),
    [anon_sym_auto] = ACTIONS(1303),
    [anon_sym_register] = ACTIONS(1303),
    [anon_sym_inline] = ACTIONS(1303),
    [anon_sym___inline] = ACTIONS(1303),
    [anon_sym___inline__] = ACTIONS(1303),
    [anon_sym___forceinline] = ACTIONS(1303),
    [anon_sym_thread_local] = ACTIONS(1303),
    [anon_sym___thread] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_constexpr] = ACTIONS(1303),
    [anon_sym_volatile] = ACTIONS(1303),
    [anon_sym_restrict] = ACTIONS(1303),
    [anon_sym___restrict__] = ACTIONS(1303),
    [anon_sym__Atomic] = ACTIONS(1303),
    [anon_sym__Noreturn] = ACTIONS(1303),
    [anon_sym_noreturn] = ACTIONS(1303),
    [anon_sym_alignas] = ACTIONS(1303),
    [anon_sym__Alignas] = ACTIONS(1303),
    [sym_primitive_type] = ACTIONS(1303),
    [anon_sym_enum] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_union] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_switch] = ACTIONS(1303),
    [anon_sym_case] = ACTIONS(1303),
    [anon_sym_default] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [anon_sym_do] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_break] = ACTIONS(1303),
    [anon_sym_continue] = ACTIONS(1303),
    [anon_sym_goto] = ACTIONS(1303),
    [anon_sym_DASH_DASH] = ACTIONS(1305),
    [anon_sym_PLUS_PLUS] = ACTIONS(1305),
    [anon_sym_sizeof] = ACTIONS(1303),
    [anon_sym___alignof__] = ACTIONS(1303),
    [anon_sym___alignof] = ACTIONS(1303),
    [anon_sym__alignof] = ACTIONS(1303),
    [anon_sym_alignof] = ACTIONS(1303),
    [anon_sym__Alignof] = ACTIONS(1303),
    [anon_sym_offsetof] = ACTIONS(1303),
    [anon_sym__Generic] = ACTIONS(1303),
    [anon_sym_asm] = ACTIONS(1303),
    [anon_sym___asm__] = ACTIONS(1303),
    [sym_number_literal] = ACTIONS(1305),
    [anon_sym_L_SQUOTE] = ACTIONS(1305),
    [anon_sym_u_SQUOTE] = ACTIONS(1305),
    [anon_sym_U_SQUOTE] = ACTIONS(1305),
    [anon_sym_u8_SQUOTE] = ACTIONS(1305),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [anon_sym_L_DQUOTE] = ACTIONS(1305),
    [anon_sym_u_DQUOTE] = ACTIONS(1305),
    [anon_sym_U_DQUOTE] = ACTIONS(1305),
    [anon_sym_u8_DQUOTE] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(1305),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [anon_sym_NULL] = ACTIONS(1303),
    [anon_sym_nullptr] = ACTIONS(1303),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [ts_builtin_sym_end] = ACTIONS(1309),
    [sym_identifier] = ACTIONS(1307),
    [aux_sym_preproc_include_token1] = ACTIONS(1307),
    [aux_sym_preproc_def_token1] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1307),
    [sym_preproc_directive] = ACTIONS(1307),
    [anon_sym_LPAREN2] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1307),
    [anon_sym_PLUS] = ACTIONS(1307),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym___extension__] = ACTIONS(1307),
    [anon_sym_typedef] = ACTIONS(1307),
    [anon_sym_extern] = ACTIONS(1307),
    [anon_sym___attribute__] = ACTIONS(1307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1309),
    [anon_sym___declspec] = ACTIONS(1307),
    [anon_sym___cdecl] = ACTIONS(1307),
    [anon_sym___clrcall] = ACTIONS(1307),
    [anon_sym___stdcall] = ACTIONS(1307),
    [anon_sym___fastcall] = ACTIONS(1307),
    [anon_sym___thiscall] = ACTIONS(1307),
    [anon_sym___vectorcall] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_signed] = ACTIONS(1307),
    [anon_sym_unsigned] = ACTIONS(1307),
    [anon_sym_long] = ACTIONS(1307),
    [anon_sym_short] = ACTIONS(1307),
    [anon_sym_static] = ACTIONS(1307),
    [anon_sym_auto] = ACTIONS(1307),
    [anon_sym_register] = ACTIONS(1307),
    [anon_sym_inline] = ACTIONS(1307),
    [anon_sym___inline] = ACTIONS(1307),
    [anon_sym___inline__] = ACTIONS(1307),
    [anon_sym___forceinline] = ACTIONS(1307),
    [anon_sym_thread_local] = ACTIONS(1307),
    [anon_sym___thread] = ACTIONS(1307),
    [anon_sym_const] = ACTIONS(1307),
    [anon_sym_constexpr] = ACTIONS(1307),
    [anon_sym_volatile] = ACTIONS(1307),
    [anon_sym_restrict] = ACTIONS(1307),
    [anon_sym___restrict__] = ACTIONS(1307),
    [anon_sym__Atomic] = ACTIONS(1307),
    [anon_sym__Noreturn] = ACTIONS(1307),
    [anon_sym_noreturn] = ACTIONS(1307),
    [anon_sym_alignas] = ACTIONS(1307),
    [anon_sym__Alignas] = ACTIONS(1307),
    [sym_primitive_type] = ACTIONS(1307),
    [anon_sym_enum] = ACTIONS(1307),
    [anon_sym_struct] = ACTIONS(1307),
    [anon_sym_union] = ACTIONS(1307),
    [anon_sym_if] = ACTIONS(1307),
    [anon_sym_switch] = ACTIONS(1307),
    [anon_sym_case] = ACTIONS(1307),
    [anon_sym_default] = ACTIONS(1307),
    [anon_sym_while] = ACTIONS(1307),
    [anon_sym_do] = ACTIONS(1307),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_return] = ACTIONS(1307),
    [anon_sym_break] = ACTIONS(1307),
    [anon_sym_continue] = ACTIONS(1307),
    [anon_sym_goto] = ACTIONS(1307),
    [anon_sym_DASH_DASH] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1309),
    [anon_sym_sizeof] = ACTIONS(1307),
    [anon_sym___alignof__] = ACTIONS(1307),
    [anon_sym___alignof] = ACTIONS(1307),
    [anon_sym__alignof] = ACTIONS(1307),
    [anon_sym_alignof] = ACTIONS(1307),
    [anon_sym__Alignof] = ACTIONS(1307),
    [anon_sym_offsetof] = ACTIONS(1307),
    [anon_sym__Generic] = ACTIONS(1307),
    [anon_sym_asm] = ACTIONS(1307),
    [anon_sym___asm__] = ACTIONS(1307),
    [sym_number_literal] = ACTIONS(1309),
    [anon_sym_L_SQUOTE] = ACTIONS(1309),
    [anon_sym_u_SQUOTE] = ACTIONS(1309),
    [anon_sym_U_SQUOTE] = ACTIONS(1309),
    [anon_sym_u8_SQUOTE] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1309),
    [anon_sym_L_DQUOTE] = ACTIONS(1309),
    [anon_sym_u_DQUOTE] = ACTIONS(1309),
    [anon_sym_U_DQUOTE] = ACTIONS(1309),
    [anon_sym_u8_DQUOTE] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(1309),
    [sym_true] = ACTIONS(1307),
    [sym_false] = ACTIONS(1307),
    [anon_sym_NULL] = ACTIONS(1307),
    [anon_sym_nullptr] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [ts_builtin_sym_end] = ACTIONS(1333),
    [sym_identifier] = ACTIONS(1331),
    [aux_sym_preproc_include_token1] = ACTIONS(1331),
    [aux_sym_preproc_def_token1] = ACTIONS(1331),
    [aux_sym_preproc_if_token1] = ACTIONS(1331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1331),
    [sym_preproc_directive] = ACTIONS(1331),
    [anon_sym_LPAREN2] = ACTIONS(1333),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_TILDE] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym___extension__] = ACTIONS(1331),
    [anon_sym_typedef] = ACTIONS(1331),
    [anon_sym_extern] = ACTIONS(1331),
    [anon_sym___attribute__] = ACTIONS(1331),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1333),
    [anon_sym___declspec] = ACTIONS(1331),
    [anon_sym___cdecl] = ACTIONS(1331),
    [anon_sym___clrcall] = ACTIONS(1331),
    [anon_sym___stdcall] = ACTIONS(1331),
    [anon_sym___fastcall] = ACTIONS(1331),
    [anon_sym___thiscall] = ACTIONS(1331),
    [anon_sym___vectorcall] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1333),
    [anon_sym_signed] = ACTIONS(1331),
    [anon_sym_unsigned] = ACTIONS(1331),
    [anon_sym_long] = ACTIONS(1331),
    [anon_sym_short] = ACTIONS(1331),
    [anon_sym_static] = ACTIONS(1331),
    [anon_sym_auto] = ACTIONS(1331),
    [anon_sym_register] = ACTIONS(1331),
    [anon_sym_inline] = ACTIONS(1331),
    [anon_sym___inline] = ACTIONS(1331),
    [anon_sym___inline__] = ACTIONS(1331),
    [anon_sym___forceinline] = ACTIONS(1331),
    [anon_sym_thread_local] = ACTIONS(1331),
    [anon_sym___thread] = ACTIONS(1331),
    [anon_sym_const] = ACTIONS(1331),
    [anon_sym_constexpr] = ACTIONS(1331),
    [anon_sym_volatile] = ACTIONS(1331),
    [anon_sym_restrict] = ACTIONS(1331),
    [anon_sym___restrict__] = ACTIONS(1331),
    [anon_sym__Atomic] = ACTIONS(1331),
    [anon_sym__Noreturn] = ACTIONS(1331),
    [anon_sym_noreturn] = ACTIONS(1331),
    [anon_sym_alignas] = ACTIONS(1331),
    [anon_sym__Alignas] = ACTIONS(1331),
    [sym_primitive_type] = ACTIONS(1331),
    [anon_sym_enum] = ACTIONS(1331),
    [anon_sym_struct] = ACTIONS(1331),
    [anon_sym_union] = ACTIONS(1331),
    [anon_sym_if] = ACTIONS(1331),
    [anon_sym_switch] = ACTIONS(1331),
    [anon_sym_case] = ACTIONS(1331),
    [anon_sym_default] = ACTIONS(1331),
    [anon_sym_while] = ACTIONS(1331),
    [anon_sym_do] = ACTIONS(1331),
    [anon_sym_for] = ACTIONS(1331),
    [anon_sym_return] = ACTIONS(1331),
    [anon_sym_break] = ACTIONS(1331),
    [anon_sym_continue] = ACTIONS(1331),
    [anon_sym_goto] = ACTIONS(1331),
    [anon_sym_DASH_DASH] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(1333),
    [anon_sym_sizeof] = ACTIONS(1331),
    [anon_sym___alignof__] = ACTIONS(1331),
    [anon_sym___alignof] = ACTIONS(1331),
    [anon_sym__alignof] = ACTIONS(1331),
    [anon_sym_alignof] = ACTIONS(1331),
    [anon_sym__Alignof] = ACTIONS(1331),
    [anon_sym_offsetof] = ACTIONS(1331),
    [anon_sym__Generic] = ACTIONS(1331),
    [anon_sym_asm] = ACTIONS(1331),
    [anon_sym___asm__] = ACTIONS(1331),
    [sym_number_literal] = ACTIONS(1333),
    [anon_sym_L_SQUOTE] = ACTIONS(1333),
    [anon_sym_u_SQUOTE] = ACTIONS(1333),
    [anon_sym_U_SQUOTE] = ACTIONS(1333),
    [anon_sym_u8_SQUOTE] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1333),
    [anon_sym_L_DQUOTE] = ACTIONS(1333),
    [anon_sym_u_DQUOTE] = ACTIONS(1333),
    [anon_sym_U_DQUOTE] = ACTIONS(1333),
    [anon_sym_u8_DQUOTE] = ACTIONS(1333),
    [anon_sym_DQUOTE] = ACTIONS(1333),
    [sym_true] = ACTIONS(1331),
    [sym_false] = ACTIONS(1331),
    [anon_sym_NULL] = ACTIONS(1331),
    [anon_sym_nullptr] = ACTIONS(1331),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [ts_builtin_sym_end] = ACTIONS(1325),
    [sym_identifier] = ACTIONS(1323),
    [aux_sym_preproc_include_token1] = ACTIONS(1323),
    [aux_sym_preproc_def_token1] = ACTIONS(1323),
    [aux_sym_preproc_if_token1] = ACTIONS(1323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1323),
    [sym_preproc_directive] = ACTIONS(1323),
    [anon_sym_LPAREN2] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_DASH] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1323),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym___extension__] = ACTIONS(1323),
    [anon_sym_typedef] = ACTIONS(1323),
    [anon_sym_extern] = ACTIONS(1323),
    [anon_sym___attribute__] = ACTIONS(1323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1325),
    [anon_sym___declspec] = ACTIONS(1323),
    [anon_sym___cdecl] = ACTIONS(1323),
    [anon_sym___clrcall] = ACTIONS(1323),
    [anon_sym___stdcall] = ACTIONS(1323),
    [anon_sym___fastcall] = ACTIONS(1323),
    [anon_sym___thiscall] = ACTIONS(1323),
    [anon_sym___vectorcall] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_signed] = ACTIONS(1323),
    [anon_sym_unsigned] = ACTIONS(1323),
    [anon_sym_long] = ACTIONS(1323),
    [anon_sym_short] = ACTIONS(1323),
    [anon_sym_static] = ACTIONS(1323),
    [anon_sym_auto] = ACTIONS(1323),
    [anon_sym_register] = ACTIONS(1323),
    [anon_sym_inline] = ACTIONS(1323),
    [anon_sym___inline] = ACTIONS(1323),
    [anon_sym___inline__] = ACTIONS(1323),
    [anon_sym___forceinline] = ACTIONS(1323),
    [anon_sym_thread_local] = ACTIONS(1323),
    [anon_sym___thread] = ACTIONS(1323),
    [anon_sym_const] = ACTIONS(1323),
    [anon_sym_constexpr] = ACTIONS(1323),
    [anon_sym_volatile] = ACTIONS(1323),
    [anon_sym_restrict] = ACTIONS(1323),
    [anon_sym___restrict__] = ACTIONS(1323),
    [anon_sym__Atomic] = ACTIONS(1323),
    [anon_sym__Noreturn] = ACTIONS(1323),
    [anon_sym_noreturn] = ACTIONS(1323),
    [anon_sym_alignas] = ACTIONS(1323),
    [anon_sym__Alignas] = ACTIONS(1323),
    [sym_primitive_type] = ACTIONS(1323),
    [anon_sym_enum] = ACTIONS(1323),
    [anon_sym_struct] = ACTIONS(1323),
    [anon_sym_union] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_switch] = ACTIONS(1323),
    [anon_sym_case] = ACTIONS(1323),
    [anon_sym_default] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_do] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_break] = ACTIONS(1323),
    [anon_sym_continue] = ACTIONS(1323),
    [anon_sym_goto] = ACTIONS(1323),
    [anon_sym_DASH_DASH] = ACTIONS(1325),
    [anon_sym_PLUS_PLUS] = ACTIONS(1325),
    [anon_sym_sizeof] = ACTIONS(1323),
    [anon_sym___alignof__] = ACTIONS(1323),
    [anon_sym___alignof] = ACTIONS(1323),
    [anon_sym__alignof] = ACTIONS(1323),
    [anon_sym_alignof] = ACTIONS(1323),
    [anon_sym__Alignof] = ACTIONS(1323),
    [anon_sym_offsetof] = ACTIONS(1323),
    [anon_sym__Generic] = ACTIONS(1323),
    [anon_sym_asm] = ACTIONS(1323),
    [anon_sym___asm__] = ACTIONS(1323),
    [sym_number_literal] = ACTIONS(1325),
    [anon_sym_L_SQUOTE] = ACTIONS(1325),
    [anon_sym_u_SQUOTE] = ACTIONS(1325),
    [anon_sym_U_SQUOTE] = ACTIONS(1325),
    [anon_sym_u8_SQUOTE] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_L_DQUOTE] = ACTIONS(1325),
    [anon_sym_u_DQUOTE] = ACTIONS(1325),
    [anon_sym_U_DQUOTE] = ACTIONS(1325),
    [anon_sym_u8_DQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [anon_sym_NULL] = ACTIONS(1323),
    [anon_sym_nullptr] = ACTIONS(1323),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [sym_identifier] = ACTIONS(1680),
    [aux_sym_preproc_include_token1] = ACTIONS(1680),
    [aux_sym_preproc_def_token1] = ACTIONS(1680),
    [aux_sym_preproc_if_token1] = ACTIONS(1680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1680),
    [sym_preproc_directive] = ACTIONS(1680),
    [anon_sym_LPAREN2] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(1678),
    [anon_sym_AMP] = ACTIONS(1678),
    [anon_sym___extension__] = ACTIONS(1680),
    [anon_sym_typedef] = ACTIONS(1680),
    [anon_sym_extern] = ACTIONS(1680),
    [anon_sym___attribute__] = ACTIONS(1680),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1678),
    [anon_sym___declspec] = ACTIONS(1680),
    [anon_sym___cdecl] = ACTIONS(1680),
    [anon_sym___clrcall] = ACTIONS(1680),
    [anon_sym___stdcall] = ACTIONS(1680),
    [anon_sym___fastcall] = ACTIONS(1680),
    [anon_sym___thiscall] = ACTIONS(1680),
    [anon_sym___vectorcall] = ACTIONS(1680),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_signed] = ACTIONS(1680),
    [anon_sym_unsigned] = ACTIONS(1680),
    [anon_sym_long] = ACTIONS(1680),
    [anon_sym_short] = ACTIONS(1680),
    [anon_sym_static] = ACTIONS(1680),
    [anon_sym_auto] = ACTIONS(1680),
    [anon_sym_register] = ACTIONS(1680),
    [anon_sym_inline] = ACTIONS(1680),
    [anon_sym___inline] = ACTIONS(1680),
    [anon_sym___inline__] = ACTIONS(1680),
    [anon_sym___forceinline] = ACTIONS(1680),
    [anon_sym_thread_local] = ACTIONS(1680),
    [anon_sym___thread] = ACTIONS(1680),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_constexpr] = ACTIONS(1680),
    [anon_sym_volatile] = ACTIONS(1680),
    [anon_sym_restrict] = ACTIONS(1680),
    [anon_sym___restrict__] = ACTIONS(1680),
    [anon_sym__Atomic] = ACTIONS(1680),
    [anon_sym__Noreturn] = ACTIONS(1680),
    [anon_sym_noreturn] = ACTIONS(1680),
    [anon_sym_alignas] = ACTIONS(1680),
    [anon_sym__Alignas] = ACTIONS(1680),
    [sym_primitive_type] = ACTIONS(1680),
    [anon_sym_enum] = ACTIONS(1680),
    [anon_sym_struct] = ACTIONS(1680),
    [anon_sym_union] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_switch] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_do] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_continue] = ACTIONS(1680),
    [anon_sym_goto] = ACTIONS(1680),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [anon_sym_sizeof] = ACTIONS(1680),
    [anon_sym___alignof__] = ACTIONS(1680),
    [anon_sym___alignof] = ACTIONS(1680),
    [anon_sym__alignof] = ACTIONS(1680),
    [anon_sym_alignof] = ACTIONS(1680),
    [anon_sym__Alignof] = ACTIONS(1680),
    [anon_sym_offsetof] = ACTIONS(1680),
    [anon_sym__Generic] = ACTIONS(1680),
    [anon_sym_asm] = ACTIONS(1680),
    [anon_sym___asm__] = ACTIONS(1680),
    [sym_number_literal] = ACTIONS(1678),
    [anon_sym_L_SQUOTE] = ACTIONS(1678),
    [anon_sym_u_SQUOTE] = ACTIONS(1678),
    [anon_sym_U_SQUOTE] = ACTIONS(1678),
    [anon_sym_u8_SQUOTE] = ACTIONS(1678),
    [anon_sym_SQUOTE] = ACTIONS(1678),
    [anon_sym_L_DQUOTE] = ACTIONS(1678),
    [anon_sym_u_DQUOTE] = ACTIONS(1678),
    [anon_sym_U_DQUOTE] = ACTIONS(1678),
    [anon_sym_u8_DQUOTE] = ACTIONS(1678),
    [anon_sym_DQUOTE] = ACTIONS(1678),
    [sym_true] = ACTIONS(1680),
    [sym_false] = ACTIONS(1680),
    [anon_sym_NULL] = ACTIONS(1680),
    [anon_sym_nullptr] = ACTIONS(1680),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [ts_builtin_sym_end] = ACTIONS(1341),
    [sym_identifier] = ACTIONS(1339),
    [aux_sym_preproc_include_token1] = ACTIONS(1339),
    [aux_sym_preproc_def_token1] = ACTIONS(1339),
    [aux_sym_preproc_if_token1] = ACTIONS(1339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1339),
    [sym_preproc_directive] = ACTIONS(1339),
    [anon_sym_LPAREN2] = ACTIONS(1341),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym___extension__] = ACTIONS(1339),
    [anon_sym_typedef] = ACTIONS(1339),
    [anon_sym_extern] = ACTIONS(1339),
    [anon_sym___attribute__] = ACTIONS(1339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1341),
    [anon_sym___declspec] = ACTIONS(1339),
    [anon_sym___cdecl] = ACTIONS(1339),
    [anon_sym___clrcall] = ACTIONS(1339),
    [anon_sym___stdcall] = ACTIONS(1339),
    [anon_sym___fastcall] = ACTIONS(1339),
    [anon_sym___thiscall] = ACTIONS(1339),
    [anon_sym___vectorcall] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_signed] = ACTIONS(1339),
    [anon_sym_unsigned] = ACTIONS(1339),
    [anon_sym_long] = ACTIONS(1339),
    [anon_sym_short] = ACTIONS(1339),
    [anon_sym_static] = ACTIONS(1339),
    [anon_sym_auto] = ACTIONS(1339),
    [anon_sym_register] = ACTIONS(1339),
    [anon_sym_inline] = ACTIONS(1339),
    [anon_sym___inline] = ACTIONS(1339),
    [anon_sym___inline__] = ACTIONS(1339),
    [anon_sym___forceinline] = ACTIONS(1339),
    [anon_sym_thread_local] = ACTIONS(1339),
    [anon_sym___thread] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1339),
    [anon_sym_constexpr] = ACTIONS(1339),
    [anon_sym_volatile] = ACTIONS(1339),
    [anon_sym_restrict] = ACTIONS(1339),
    [anon_sym___restrict__] = ACTIONS(1339),
    [anon_sym__Atomic] = ACTIONS(1339),
    [anon_sym__Noreturn] = ACTIONS(1339),
    [anon_sym_noreturn] = ACTIONS(1339),
    [anon_sym_alignas] = ACTIONS(1339),
    [anon_sym__Alignas] = ACTIONS(1339),
    [sym_primitive_type] = ACTIONS(1339),
    [anon_sym_enum] = ACTIONS(1339),
    [anon_sym_struct] = ACTIONS(1339),
    [anon_sym_union] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_switch] = ACTIONS(1339),
    [anon_sym_case] = ACTIONS(1339),
    [anon_sym_default] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1339),
    [anon_sym_do] = ACTIONS(1339),
    [anon_sym_for] = ACTIONS(1339),
    [anon_sym_return] = ACTIONS(1339),
    [anon_sym_break] = ACTIONS(1339),
    [anon_sym_continue] = ACTIONS(1339),
    [anon_sym_goto] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1341),
    [anon_sym_sizeof] = ACTIONS(1339),
    [anon_sym___alignof__] = ACTIONS(1339),
    [anon_sym___alignof] = ACTIONS(1339),
    [anon_sym__alignof] = ACTIONS(1339),
    [anon_sym_alignof] = ACTIONS(1339),
    [anon_sym__Alignof] = ACTIONS(1339),
    [anon_sym_offsetof] = ACTIONS(1339),
    [anon_sym__Generic] = ACTIONS(1339),
    [anon_sym_asm] = ACTIONS(1339),
    [anon_sym___asm__] = ACTIONS(1339),
    [sym_number_literal] = ACTIONS(1341),
    [anon_sym_L_SQUOTE] = ACTIONS(1341),
    [anon_sym_u_SQUOTE] = ACTIONS(1341),
    [anon_sym_U_SQUOTE] = ACTIONS(1341),
    [anon_sym_u8_SQUOTE] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_L_DQUOTE] = ACTIONS(1341),
    [anon_sym_u_DQUOTE] = ACTIONS(1341),
    [anon_sym_U_DQUOTE] = ACTIONS(1341),
    [anon_sym_u8_DQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_true] = ACTIONS(1339),
    [sym_false] = ACTIONS(1339),
    [anon_sym_NULL] = ACTIONS(1339),
    [anon_sym_nullptr] = ACTIONS(1339),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [ts_builtin_sym_end] = ACTIONS(1257),
    [sym_identifier] = ACTIONS(1255),
    [aux_sym_preproc_include_token1] = ACTIONS(1255),
    [aux_sym_preproc_def_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1255),
    [sym_preproc_directive] = ACTIONS(1255),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1257),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym___extension__] = ACTIONS(1255),
    [anon_sym_typedef] = ACTIONS(1255),
    [anon_sym_extern] = ACTIONS(1255),
    [anon_sym___attribute__] = ACTIONS(1255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1257),
    [anon_sym___declspec] = ACTIONS(1255),
    [anon_sym___cdecl] = ACTIONS(1255),
    [anon_sym___clrcall] = ACTIONS(1255),
    [anon_sym___stdcall] = ACTIONS(1255),
    [anon_sym___fastcall] = ACTIONS(1255),
    [anon_sym___thiscall] = ACTIONS(1255),
    [anon_sym___vectorcall] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1257),
    [anon_sym_signed] = ACTIONS(1255),
    [anon_sym_unsigned] = ACTIONS(1255),
    [anon_sym_long] = ACTIONS(1255),
    [anon_sym_short] = ACTIONS(1255),
    [anon_sym_static] = ACTIONS(1255),
    [anon_sym_auto] = ACTIONS(1255),
    [anon_sym_register] = ACTIONS(1255),
    [anon_sym_inline] = ACTIONS(1255),
    [anon_sym___inline] = ACTIONS(1255),
    [anon_sym___inline__] = ACTIONS(1255),
    [anon_sym___forceinline] = ACTIONS(1255),
    [anon_sym_thread_local] = ACTIONS(1255),
    [anon_sym___thread] = ACTIONS(1255),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_constexpr] = ACTIONS(1255),
    [anon_sym_volatile] = ACTIONS(1255),
    [anon_sym_restrict] = ACTIONS(1255),
    [anon_sym___restrict__] = ACTIONS(1255),
    [anon_sym__Atomic] = ACTIONS(1255),
    [anon_sym__Noreturn] = ACTIONS(1255),
    [anon_sym_noreturn] = ACTIONS(1255),
    [anon_sym_alignas] = ACTIONS(1255),
    [anon_sym__Alignas] = ACTIONS(1255),
    [sym_primitive_type] = ACTIONS(1255),
    [anon_sym_enum] = ACTIONS(1255),
    [anon_sym_struct] = ACTIONS(1255),
    [anon_sym_union] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(1255),
    [anon_sym_case] = ACTIONS(1255),
    [anon_sym_default] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(1255),
    [anon_sym_do] = ACTIONS(1255),
    [anon_sym_for] = ACTIONS(1255),
    [anon_sym_return] = ACTIONS(1255),
    [anon_sym_break] = ACTIONS(1255),
    [anon_sym_continue] = ACTIONS(1255),
    [anon_sym_goto] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_sizeof] = ACTIONS(1255),
    [anon_sym___alignof__] = ACTIONS(1255),
    [anon_sym___alignof] = ACTIONS(1255),
    [anon_sym__alignof] = ACTIONS(1255),
    [anon_sym_alignof] = ACTIONS(1255),
    [anon_sym__Alignof] = ACTIONS(1255),
    [anon_sym_offsetof] = ACTIONS(1255),
    [anon_sym__Generic] = ACTIONS(1255),
    [anon_sym_asm] = ACTIONS(1255),
    [anon_sym___asm__] = ACTIONS(1255),
    [sym_number_literal] = ACTIONS(1257),
    [anon_sym_L_SQUOTE] = ACTIONS(1257),
    [anon_sym_u_SQUOTE] = ACTIONS(1257),
    [anon_sym_U_SQUOTE] = ACTIONS(1257),
    [anon_sym_u8_SQUOTE] = ACTIONS(1257),
    [anon_sym_SQUOTE] = ACTIONS(1257),
    [anon_sym_L_DQUOTE] = ACTIONS(1257),
    [anon_sym_u_DQUOTE] = ACTIONS(1257),
    [anon_sym_U_DQUOTE] = ACTIONS(1257),
    [anon_sym_u8_DQUOTE] = ACTIONS(1257),
    [anon_sym_DQUOTE] = ACTIONS(1257),
    [sym_true] = ACTIONS(1255),
    [sym_false] = ACTIONS(1255),
    [anon_sym_NULL] = ACTIONS(1255),
    [anon_sym_nullptr] = ACTIONS(1255),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(1301),
    [sym_identifier] = ACTIONS(1299),
    [aux_sym_preproc_include_token1] = ACTIONS(1299),
    [aux_sym_preproc_def_token1] = ACTIONS(1299),
    [aux_sym_preproc_if_token1] = ACTIONS(1299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1299),
    [sym_preproc_directive] = ACTIONS(1299),
    [anon_sym_LPAREN2] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(1301),
    [anon_sym_TILDE] = ACTIONS(1301),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_AMP] = ACTIONS(1301),
    [anon_sym___extension__] = ACTIONS(1299),
    [anon_sym_typedef] = ACTIONS(1299),
    [anon_sym_extern] = ACTIONS(1299),
    [anon_sym___attribute__] = ACTIONS(1299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1301),
    [anon_sym___declspec] = ACTIONS(1299),
    [anon_sym___cdecl] = ACTIONS(1299),
    [anon_sym___clrcall] = ACTIONS(1299),
    [anon_sym___stdcall] = ACTIONS(1299),
    [anon_sym___fastcall] = ACTIONS(1299),
    [anon_sym___thiscall] = ACTIONS(1299),
    [anon_sym___vectorcall] = ACTIONS(1299),
    [anon_sym_LBRACE] = ACTIONS(1301),
    [anon_sym_signed] = ACTIONS(1299),
    [anon_sym_unsigned] = ACTIONS(1299),
    [anon_sym_long] = ACTIONS(1299),
    [anon_sym_short] = ACTIONS(1299),
    [anon_sym_static] = ACTIONS(1299),
    [anon_sym_auto] = ACTIONS(1299),
    [anon_sym_register] = ACTIONS(1299),
    [anon_sym_inline] = ACTIONS(1299),
    [anon_sym___inline] = ACTIONS(1299),
    [anon_sym___inline__] = ACTIONS(1299),
    [anon_sym___forceinline] = ACTIONS(1299),
    [anon_sym_thread_local] = ACTIONS(1299),
    [anon_sym___thread] = ACTIONS(1299),
    [anon_sym_const] = ACTIONS(1299),
    [anon_sym_constexpr] = ACTIONS(1299),
    [anon_sym_volatile] = ACTIONS(1299),
    [anon_sym_restrict] = ACTIONS(1299),
    [anon_sym___restrict__] = ACTIONS(1299),
    [anon_sym__Atomic] = ACTIONS(1299),
    [anon_sym__Noreturn] = ACTIONS(1299),
    [anon_sym_noreturn] = ACTIONS(1299),
    [anon_sym_alignas] = ACTIONS(1299),
    [anon_sym__Alignas] = ACTIONS(1299),
    [sym_primitive_type] = ACTIONS(1299),
    [anon_sym_enum] = ACTIONS(1299),
    [anon_sym_struct] = ACTIONS(1299),
    [anon_sym_union] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1299),
    [anon_sym_switch] = ACTIONS(1299),
    [anon_sym_case] = ACTIONS(1299),
    [anon_sym_default] = ACTIONS(1299),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_do] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_return] = ACTIONS(1299),
    [anon_sym_break] = ACTIONS(1299),
    [anon_sym_continue] = ACTIONS(1299),
    [anon_sym_goto] = ACTIONS(1299),
    [anon_sym_DASH_DASH] = ACTIONS(1301),
    [anon_sym_PLUS_PLUS] = ACTIONS(1301),
    [anon_sym_sizeof] = ACTIONS(1299),
    [anon_sym___alignof__] = ACTIONS(1299),
    [anon_sym___alignof] = ACTIONS(1299),
    [anon_sym__alignof] = ACTIONS(1299),
    [anon_sym_alignof] = ACTIONS(1299),
    [anon_sym__Alignof] = ACTIONS(1299),
    [anon_sym_offsetof] = ACTIONS(1299),
    [anon_sym__Generic] = ACTIONS(1299),
    [anon_sym_asm] = ACTIONS(1299),
    [anon_sym___asm__] = ACTIONS(1299),
    [sym_number_literal] = ACTIONS(1301),
    [anon_sym_L_SQUOTE] = ACTIONS(1301),
    [anon_sym_u_SQUOTE] = ACTIONS(1301),
    [anon_sym_U_SQUOTE] = ACTIONS(1301),
    [anon_sym_u8_SQUOTE] = ACTIONS(1301),
    [anon_sym_SQUOTE] = ACTIONS(1301),
    [anon_sym_L_DQUOTE] = ACTIONS(1301),
    [anon_sym_u_DQUOTE] = ACTIONS(1301),
    [anon_sym_U_DQUOTE] = ACTIONS(1301),
    [anon_sym_u8_DQUOTE] = ACTIONS(1301),
    [anon_sym_DQUOTE] = ACTIONS(1301),
    [sym_true] = ACTIONS(1299),
    [sym_false] = ACTIONS(1299),
    [anon_sym_NULL] = ACTIONS(1299),
    [anon_sym_nullptr] = ACTIONS(1299),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [ts_builtin_sym_end] = ACTIONS(1269),
    [sym_identifier] = ACTIONS(1267),
    [aux_sym_preproc_include_token1] = ACTIONS(1267),
    [aux_sym_preproc_def_token1] = ACTIONS(1267),
    [aux_sym_preproc_if_token1] = ACTIONS(1267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1267),
    [sym_preproc_directive] = ACTIONS(1267),
    [anon_sym_LPAREN2] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym___extension__] = ACTIONS(1267),
    [anon_sym_typedef] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(1267),
    [anon_sym___attribute__] = ACTIONS(1267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(1267),
    [anon_sym___cdecl] = ACTIONS(1267),
    [anon_sym___clrcall] = ACTIONS(1267),
    [anon_sym___stdcall] = ACTIONS(1267),
    [anon_sym___fastcall] = ACTIONS(1267),
    [anon_sym___thiscall] = ACTIONS(1267),
    [anon_sym___vectorcall] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_signed] = ACTIONS(1267),
    [anon_sym_unsigned] = ACTIONS(1267),
    [anon_sym_long] = ACTIONS(1267),
    [anon_sym_short] = ACTIONS(1267),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_auto] = ACTIONS(1267),
    [anon_sym_register] = ACTIONS(1267),
    [anon_sym_inline] = ACTIONS(1267),
    [anon_sym___inline] = ACTIONS(1267),
    [anon_sym___inline__] = ACTIONS(1267),
    [anon_sym___forceinline] = ACTIONS(1267),
    [anon_sym_thread_local] = ACTIONS(1267),
    [anon_sym___thread] = ACTIONS(1267),
    [anon_sym_const] = ACTIONS(1267),
    [anon_sym_constexpr] = ACTIONS(1267),
    [anon_sym_volatile] = ACTIONS(1267),
    [anon_sym_restrict] = ACTIONS(1267),
    [anon_sym___restrict__] = ACTIONS(1267),
    [anon_sym__Atomic] = ACTIONS(1267),
    [anon_sym__Noreturn] = ACTIONS(1267),
    [anon_sym_noreturn] = ACTIONS(1267),
    [anon_sym_alignas] = ACTIONS(1267),
    [anon_sym__Alignas] = ACTIONS(1267),
    [sym_primitive_type] = ACTIONS(1267),
    [anon_sym_enum] = ACTIONS(1267),
    [anon_sym_struct] = ACTIONS(1267),
    [anon_sym_union] = ACTIONS(1267),
    [anon_sym_if] = ACTIONS(1267),
    [anon_sym_switch] = ACTIONS(1267),
    [anon_sym_case] = ACTIONS(1267),
    [anon_sym_default] = ACTIONS(1267),
    [anon_sym_while] = ACTIONS(1267),
    [anon_sym_do] = ACTIONS(1267),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_continue] = ACTIONS(1267),
    [anon_sym_goto] = ACTIONS(1267),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_sizeof] = ACTIONS(1267),
    [anon_sym___alignof__] = ACTIONS(1267),
    [anon_sym___alignof] = ACTIONS(1267),
    [anon_sym__alignof] = ACTIONS(1267),
    [anon_sym_alignof] = ACTIONS(1267),
    [anon_sym__Alignof] = ACTIONS(1267),
    [anon_sym_offsetof] = ACTIONS(1267),
    [anon_sym__Generic] = ACTIONS(1267),
    [anon_sym_asm] = ACTIONS(1267),
    [anon_sym___asm__] = ACTIONS(1267),
    [sym_number_literal] = ACTIONS(1269),
    [anon_sym_L_SQUOTE] = ACTIONS(1269),
    [anon_sym_u_SQUOTE] = ACTIONS(1269),
    [anon_sym_U_SQUOTE] = ACTIONS(1269),
    [anon_sym_u8_SQUOTE] = ACTIONS(1269),
    [anon_sym_SQUOTE] = ACTIONS(1269),
    [anon_sym_L_DQUOTE] = ACTIONS(1269),
    [anon_sym_u_DQUOTE] = ACTIONS(1269),
    [anon_sym_U_DQUOTE] = ACTIONS(1269),
    [anon_sym_u8_DQUOTE] = ACTIONS(1269),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_true] = ACTIONS(1267),
    [sym_false] = ACTIONS(1267),
    [anon_sym_NULL] = ACTIONS(1267),
    [anon_sym_nullptr] = ACTIONS(1267),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [ts_builtin_sym_end] = ACTIONS(1337),
    [sym_identifier] = ACTIONS(1335),
    [aux_sym_preproc_include_token1] = ACTIONS(1335),
    [aux_sym_preproc_def_token1] = ACTIONS(1335),
    [aux_sym_preproc_if_token1] = ACTIONS(1335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1335),
    [sym_preproc_directive] = ACTIONS(1335),
    [anon_sym_LPAREN2] = ACTIONS(1337),
    [anon_sym_BANG] = ACTIONS(1337),
    [anon_sym_TILDE] = ACTIONS(1337),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1337),
    [anon_sym___extension__] = ACTIONS(1335),
    [anon_sym_typedef] = ACTIONS(1335),
    [anon_sym_extern] = ACTIONS(1335),
    [anon_sym___attribute__] = ACTIONS(1335),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1337),
    [anon_sym___declspec] = ACTIONS(1335),
    [anon_sym___cdecl] = ACTIONS(1335),
    [anon_sym___clrcall] = ACTIONS(1335),
    [anon_sym___stdcall] = ACTIONS(1335),
    [anon_sym___fastcall] = ACTIONS(1335),
    [anon_sym___thiscall] = ACTIONS(1335),
    [anon_sym___vectorcall] = ACTIONS(1335),
    [anon_sym_LBRACE] = ACTIONS(1337),
    [anon_sym_signed] = ACTIONS(1335),
    [anon_sym_unsigned] = ACTIONS(1335),
    [anon_sym_long] = ACTIONS(1335),
    [anon_sym_short] = ACTIONS(1335),
    [anon_sym_static] = ACTIONS(1335),
    [anon_sym_auto] = ACTIONS(1335),
    [anon_sym_register] = ACTIONS(1335),
    [anon_sym_inline] = ACTIONS(1335),
    [anon_sym___inline] = ACTIONS(1335),
    [anon_sym___inline__] = ACTIONS(1335),
    [anon_sym___forceinline] = ACTIONS(1335),
    [anon_sym_thread_local] = ACTIONS(1335),
    [anon_sym___thread] = ACTIONS(1335),
    [anon_sym_const] = ACTIONS(1335),
    [anon_sym_constexpr] = ACTIONS(1335),
    [anon_sym_volatile] = ACTIONS(1335),
    [anon_sym_restrict] = ACTIONS(1335),
    [anon_sym___restrict__] = ACTIONS(1335),
    [anon_sym__Atomic] = ACTIONS(1335),
    [anon_sym__Noreturn] = ACTIONS(1335),
    [anon_sym_noreturn] = ACTIONS(1335),
    [anon_sym_alignas] = ACTIONS(1335),
    [anon_sym__Alignas] = ACTIONS(1335),
    [sym_primitive_type] = ACTIONS(1335),
    [anon_sym_enum] = ACTIONS(1335),
    [anon_sym_struct] = ACTIONS(1335),
    [anon_sym_union] = ACTIONS(1335),
    [anon_sym_if] = ACTIONS(1335),
    [anon_sym_switch] = ACTIONS(1335),
    [anon_sym_case] = ACTIONS(1335),
    [anon_sym_default] = ACTIONS(1335),
    [anon_sym_while] = ACTIONS(1335),
    [anon_sym_do] = ACTIONS(1335),
    [anon_sym_for] = ACTIONS(1335),
    [anon_sym_return] = ACTIONS(1335),
    [anon_sym_break] = ACTIONS(1335),
    [anon_sym_continue] = ACTIONS(1335),
    [anon_sym_goto] = ACTIONS(1335),
    [anon_sym_DASH_DASH] = ACTIONS(1337),
    [anon_sym_PLUS_PLUS] = ACTIONS(1337),
    [anon_sym_sizeof] = ACTIONS(1335),
    [anon_sym___alignof__] = ACTIONS(1335),
    [anon_sym___alignof] = ACTIONS(1335),
    [anon_sym__alignof] = ACTIONS(1335),
    [anon_sym_alignof] = ACTIONS(1335),
    [anon_sym__Alignof] = ACTIONS(1335),
    [anon_sym_offsetof] = ACTIONS(1335),
    [anon_sym__Generic] = ACTIONS(1335),
    [anon_sym_asm] = ACTIONS(1335),
    [anon_sym___asm__] = ACTIONS(1335),
    [sym_number_literal] = ACTIONS(1337),
    [anon_sym_L_SQUOTE] = ACTIONS(1337),
    [anon_sym_u_SQUOTE] = ACTIONS(1337),
    [anon_sym_U_SQUOTE] = ACTIONS(1337),
    [anon_sym_u8_SQUOTE] = ACTIONS(1337),
    [anon_sym_SQUOTE] = ACTIONS(1337),
    [anon_sym_L_DQUOTE] = ACTIONS(1337),
    [anon_sym_u_DQUOTE] = ACTIONS(1337),
    [anon_sym_U_DQUOTE] = ACTIONS(1337),
    [anon_sym_u8_DQUOTE] = ACTIONS(1337),
    [anon_sym_DQUOTE] = ACTIONS(1337),
    [sym_true] = ACTIONS(1335),
    [sym_false] = ACTIONS(1335),
    [anon_sym_NULL] = ACTIONS(1335),
    [anon_sym_nullptr] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [ts_builtin_sym_end] = ACTIONS(1285),
    [sym_identifier] = ACTIONS(1283),
    [aux_sym_preproc_include_token1] = ACTIONS(1283),
    [aux_sym_preproc_def_token1] = ACTIONS(1283),
    [aux_sym_preproc_if_token1] = ACTIONS(1283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1283),
    [sym_preproc_directive] = ACTIONS(1283),
    [anon_sym_LPAREN2] = ACTIONS(1285),
    [anon_sym_BANG] = ACTIONS(1285),
    [anon_sym_TILDE] = ACTIONS(1285),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(1285),
    [anon_sym___extension__] = ACTIONS(1283),
    [anon_sym_typedef] = ACTIONS(1283),
    [anon_sym_extern] = ACTIONS(1283),
    [anon_sym___attribute__] = ACTIONS(1283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1285),
    [anon_sym___declspec] = ACTIONS(1283),
    [anon_sym___cdecl] = ACTIONS(1283),
    [anon_sym___clrcall] = ACTIONS(1283),
    [anon_sym___stdcall] = ACTIONS(1283),
    [anon_sym___fastcall] = ACTIONS(1283),
    [anon_sym___thiscall] = ACTIONS(1283),
    [anon_sym___vectorcall] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_signed] = ACTIONS(1283),
    [anon_sym_unsigned] = ACTIONS(1283),
    [anon_sym_long] = ACTIONS(1283),
    [anon_sym_short] = ACTIONS(1283),
    [anon_sym_static] = ACTIONS(1283),
    [anon_sym_auto] = ACTIONS(1283),
    [anon_sym_register] = ACTIONS(1283),
    [anon_sym_inline] = ACTIONS(1283),
    [anon_sym___inline] = ACTIONS(1283),
    [anon_sym___inline__] = ACTIONS(1283),
    [anon_sym___forceinline] = ACTIONS(1283),
    [anon_sym_thread_local] = ACTIONS(1283),
    [anon_sym___thread] = ACTIONS(1283),
    [anon_sym_const] = ACTIONS(1283),
    [anon_sym_constexpr] = ACTIONS(1283),
    [anon_sym_volatile] = ACTIONS(1283),
    [anon_sym_restrict] = ACTIONS(1283),
    [anon_sym___restrict__] = ACTIONS(1283),
    [anon_sym__Atomic] = ACTIONS(1283),
    [anon_sym__Noreturn] = ACTIONS(1283),
    [anon_sym_noreturn] = ACTIONS(1283),
    [anon_sym_alignas] = ACTIONS(1283),
    [anon_sym__Alignas] = ACTIONS(1283),
    [sym_primitive_type] = ACTIONS(1283),
    [anon_sym_enum] = ACTIONS(1283),
    [anon_sym_struct] = ACTIONS(1283),
    [anon_sym_union] = ACTIONS(1283),
    [anon_sym_if] = ACTIONS(1283),
    [anon_sym_switch] = ACTIONS(1283),
    [anon_sym_case] = ACTIONS(1283),
    [anon_sym_default] = ACTIONS(1283),
    [anon_sym_while] = ACTIONS(1283),
    [anon_sym_do] = ACTIONS(1283),
    [anon_sym_for] = ACTIONS(1283),
    [anon_sym_return] = ACTIONS(1283),
    [anon_sym_break] = ACTIONS(1283),
    [anon_sym_continue] = ACTIONS(1283),
    [anon_sym_goto] = ACTIONS(1283),
    [anon_sym_DASH_DASH] = ACTIONS(1285),
    [anon_sym_PLUS_PLUS] = ACTIONS(1285),
    [anon_sym_sizeof] = ACTIONS(1283),
    [anon_sym___alignof__] = ACTIONS(1283),
    [anon_sym___alignof] = ACTIONS(1283),
    [anon_sym__alignof] = ACTIONS(1283),
    [anon_sym_alignof] = ACTIONS(1283),
    [anon_sym__Alignof] = ACTIONS(1283),
    [anon_sym_offsetof] = ACTIONS(1283),
    [anon_sym__Generic] = ACTIONS(1283),
    [anon_sym_asm] = ACTIONS(1283),
    [anon_sym___asm__] = ACTIONS(1283),
    [sym_number_literal] = ACTIONS(1285),
    [anon_sym_L_SQUOTE] = ACTIONS(1285),
    [anon_sym_u_SQUOTE] = ACTIONS(1285),
    [anon_sym_U_SQUOTE] = ACTIONS(1285),
    [anon_sym_u8_SQUOTE] = ACTIONS(1285),
    [anon_sym_SQUOTE] = ACTIONS(1285),
    [anon_sym_L_DQUOTE] = ACTIONS(1285),
    [anon_sym_u_DQUOTE] = ACTIONS(1285),
    [anon_sym_U_DQUOTE] = ACTIONS(1285),
    [anon_sym_u8_DQUOTE] = ACTIONS(1285),
    [anon_sym_DQUOTE] = ACTIONS(1285),
    [sym_true] = ACTIONS(1283),
    [sym_false] = ACTIONS(1283),
    [anon_sym_NULL] = ACTIONS(1283),
    [anon_sym_nullptr] = ACTIONS(1283),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [ts_builtin_sym_end] = ACTIONS(1363),
    [sym_identifier] = ACTIONS(1361),
    [aux_sym_preproc_include_token1] = ACTIONS(1361),
    [aux_sym_preproc_def_token1] = ACTIONS(1361),
    [aux_sym_preproc_if_token1] = ACTIONS(1361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1361),
    [sym_preproc_directive] = ACTIONS(1361),
    [anon_sym_LPAREN2] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_TILDE] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym___extension__] = ACTIONS(1361),
    [anon_sym_typedef] = ACTIONS(1361),
    [anon_sym_extern] = ACTIONS(1361),
    [anon_sym___attribute__] = ACTIONS(1361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1363),
    [anon_sym___declspec] = ACTIONS(1361),
    [anon_sym___cdecl] = ACTIONS(1361),
    [anon_sym___clrcall] = ACTIONS(1361),
    [anon_sym___stdcall] = ACTIONS(1361),
    [anon_sym___fastcall] = ACTIONS(1361),
    [anon_sym___thiscall] = ACTIONS(1361),
    [anon_sym___vectorcall] = ACTIONS(1361),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_signed] = ACTIONS(1361),
    [anon_sym_unsigned] = ACTIONS(1361),
    [anon_sym_long] = ACTIONS(1361),
    [anon_sym_short] = ACTIONS(1361),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_auto] = ACTIONS(1361),
    [anon_sym_register] = ACTIONS(1361),
    [anon_sym_inline] = ACTIONS(1361),
    [anon_sym___inline] = ACTIONS(1361),
    [anon_sym___inline__] = ACTIONS(1361),
    [anon_sym___forceinline] = ACTIONS(1361),
    [anon_sym_thread_local] = ACTIONS(1361),
    [anon_sym___thread] = ACTIONS(1361),
    [anon_sym_const] = ACTIONS(1361),
    [anon_sym_constexpr] = ACTIONS(1361),
    [anon_sym_volatile] = ACTIONS(1361),
    [anon_sym_restrict] = ACTIONS(1361),
    [anon_sym___restrict__] = ACTIONS(1361),
    [anon_sym__Atomic] = ACTIONS(1361),
    [anon_sym__Noreturn] = ACTIONS(1361),
    [anon_sym_noreturn] = ACTIONS(1361),
    [anon_sym_alignas] = ACTIONS(1361),
    [anon_sym__Alignas] = ACTIONS(1361),
    [sym_primitive_type] = ACTIONS(1361),
    [anon_sym_enum] = ACTIONS(1361),
    [anon_sym_struct] = ACTIONS(1361),
    [anon_sym_union] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_switch] = ACTIONS(1361),
    [anon_sym_case] = ACTIONS(1361),
    [anon_sym_default] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1361),
    [anon_sym_do] = ACTIONS(1361),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_return] = ACTIONS(1361),
    [anon_sym_break] = ACTIONS(1361),
    [anon_sym_continue] = ACTIONS(1361),
    [anon_sym_goto] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1363),
    [anon_sym_PLUS_PLUS] = ACTIONS(1363),
    [anon_sym_sizeof] = ACTIONS(1361),
    [anon_sym___alignof__] = ACTIONS(1361),
    [anon_sym___alignof] = ACTIONS(1361),
    [anon_sym__alignof] = ACTIONS(1361),
    [anon_sym_alignof] = ACTIONS(1361),
    [anon_sym__Alignof] = ACTIONS(1361),
    [anon_sym_offsetof] = ACTIONS(1361),
    [anon_sym__Generic] = ACTIONS(1361),
    [anon_sym_asm] = ACTIONS(1361),
    [anon_sym___asm__] = ACTIONS(1361),
    [sym_number_literal] = ACTIONS(1363),
    [anon_sym_L_SQUOTE] = ACTIONS(1363),
    [anon_sym_u_SQUOTE] = ACTIONS(1363),
    [anon_sym_U_SQUOTE] = ACTIONS(1363),
    [anon_sym_u8_SQUOTE] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1363),
    [anon_sym_L_DQUOTE] = ACTIONS(1363),
    [anon_sym_u_DQUOTE] = ACTIONS(1363),
    [anon_sym_U_DQUOTE] = ACTIONS(1363),
    [anon_sym_u8_DQUOTE] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_true] = ACTIONS(1361),
    [sym_false] = ACTIONS(1361),
    [anon_sym_NULL] = ACTIONS(1361),
    [anon_sym_nullptr] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [ts_builtin_sym_end] = ACTIONS(1261),
    [sym_identifier] = ACTIONS(1259),
    [aux_sym_preproc_include_token1] = ACTIONS(1259),
    [aux_sym_preproc_def_token1] = ACTIONS(1259),
    [aux_sym_preproc_if_token1] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1259),
    [sym_preproc_directive] = ACTIONS(1259),
    [anon_sym_LPAREN2] = ACTIONS(1261),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1259),
    [anon_sym_STAR] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1261),
    [anon_sym___extension__] = ACTIONS(1259),
    [anon_sym_typedef] = ACTIONS(1259),
    [anon_sym_extern] = ACTIONS(1259),
    [anon_sym___attribute__] = ACTIONS(1259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1261),
    [anon_sym___declspec] = ACTIONS(1259),
    [anon_sym___cdecl] = ACTIONS(1259),
    [anon_sym___clrcall] = ACTIONS(1259),
    [anon_sym___stdcall] = ACTIONS(1259),
    [anon_sym___fastcall] = ACTIONS(1259),
    [anon_sym___thiscall] = ACTIONS(1259),
    [anon_sym___vectorcall] = ACTIONS(1259),
    [anon_sym_LBRACE] = ACTIONS(1261),
    [anon_sym_signed] = ACTIONS(1259),
    [anon_sym_unsigned] = ACTIONS(1259),
    [anon_sym_long] = ACTIONS(1259),
    [anon_sym_short] = ACTIONS(1259),
    [anon_sym_static] = ACTIONS(1259),
    [anon_sym_auto] = ACTIONS(1259),
    [anon_sym_register] = ACTIONS(1259),
    [anon_sym_inline] = ACTIONS(1259),
    [anon_sym___inline] = ACTIONS(1259),
    [anon_sym___inline__] = ACTIONS(1259),
    [anon_sym___forceinline] = ACTIONS(1259),
    [anon_sym_thread_local] = ACTIONS(1259),
    [anon_sym___thread] = ACTIONS(1259),
    [anon_sym_const] = ACTIONS(1259),
    [anon_sym_constexpr] = ACTIONS(1259),
    [anon_sym_volatile] = ACTIONS(1259),
    [anon_sym_restrict] = ACTIONS(1259),
    [anon_sym___restrict__] = ACTIONS(1259),
    [anon_sym__Atomic] = ACTIONS(1259),
    [anon_sym__Noreturn] = ACTIONS(1259),
    [anon_sym_noreturn] = ACTIONS(1259),
    [anon_sym_alignas] = ACTIONS(1259),
    [anon_sym__Alignas] = ACTIONS(1259),
    [sym_primitive_type] = ACTIONS(1259),
    [anon_sym_enum] = ACTIONS(1259),
    [anon_sym_struct] = ACTIONS(1259),
    [anon_sym_union] = ACTIONS(1259),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1259),
    [anon_sym_case] = ACTIONS(1259),
    [anon_sym_default] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_do] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1259),
    [anon_sym_return] = ACTIONS(1259),
    [anon_sym_break] = ACTIONS(1259),
    [anon_sym_continue] = ACTIONS(1259),
    [anon_sym_goto] = ACTIONS(1259),
    [anon_sym_DASH_DASH] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1261),
    [anon_sym_sizeof] = ACTIONS(1259),
    [anon_sym___alignof__] = ACTIONS(1259),
    [anon_sym___alignof] = ACTIONS(1259),
    [anon_sym__alignof] = ACTIONS(1259),
    [anon_sym_alignof] = ACTIONS(1259),
    [anon_sym__Alignof] = ACTIONS(1259),
    [anon_sym_offsetof] = ACTIONS(1259),
    [anon_sym__Generic] = ACTIONS(1259),
    [anon_sym_asm] = ACTIONS(1259),
    [anon_sym___asm__] = ACTIONS(1259),
    [sym_number_literal] = ACTIONS(1261),
    [anon_sym_L_SQUOTE] = ACTIONS(1261),
    [anon_sym_u_SQUOTE] = ACTIONS(1261),
    [anon_sym_U_SQUOTE] = ACTIONS(1261),
    [anon_sym_u8_SQUOTE] = ACTIONS(1261),
    [anon_sym_SQUOTE] = ACTIONS(1261),
    [anon_sym_L_DQUOTE] = ACTIONS(1261),
    [anon_sym_u_DQUOTE] = ACTIONS(1261),
    [anon_sym_U_DQUOTE] = ACTIONS(1261),
    [anon_sym_u8_DQUOTE] = ACTIONS(1261),
    [anon_sym_DQUOTE] = ACTIONS(1261),
    [sym_true] = ACTIONS(1259),
    [sym_false] = ACTIONS(1259),
    [anon_sym_NULL] = ACTIONS(1259),
    [anon_sym_nullptr] = ACTIONS(1259),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [ts_builtin_sym_end] = ACTIONS(1265),
    [sym_identifier] = ACTIONS(1263),
    [aux_sym_preproc_include_token1] = ACTIONS(1263),
    [aux_sym_preproc_def_token1] = ACTIONS(1263),
    [aux_sym_preproc_if_token1] = ACTIONS(1263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1263),
    [sym_preproc_directive] = ACTIONS(1263),
    [anon_sym_LPAREN2] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1265),
    [anon_sym_TILDE] = ACTIONS(1265),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_STAR] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1265),
    [anon_sym___extension__] = ACTIONS(1263),
    [anon_sym_typedef] = ACTIONS(1263),
    [anon_sym_extern] = ACTIONS(1263),
    [anon_sym___attribute__] = ACTIONS(1263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1265),
    [anon_sym___declspec] = ACTIONS(1263),
    [anon_sym___cdecl] = ACTIONS(1263),
    [anon_sym___clrcall] = ACTIONS(1263),
    [anon_sym___stdcall] = ACTIONS(1263),
    [anon_sym___fastcall] = ACTIONS(1263),
    [anon_sym___thiscall] = ACTIONS(1263),
    [anon_sym___vectorcall] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(1265),
    [anon_sym_signed] = ACTIONS(1263),
    [anon_sym_unsigned] = ACTIONS(1263),
    [anon_sym_long] = ACTIONS(1263),
    [anon_sym_short] = ACTIONS(1263),
    [anon_sym_static] = ACTIONS(1263),
    [anon_sym_auto] = ACTIONS(1263),
    [anon_sym_register] = ACTIONS(1263),
    [anon_sym_inline] = ACTIONS(1263),
    [anon_sym___inline] = ACTIONS(1263),
    [anon_sym___inline__] = ACTIONS(1263),
    [anon_sym___forceinline] = ACTIONS(1263),
    [anon_sym_thread_local] = ACTIONS(1263),
    [anon_sym___thread] = ACTIONS(1263),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_constexpr] = ACTIONS(1263),
    [anon_sym_volatile] = ACTIONS(1263),
    [anon_sym_restrict] = ACTIONS(1263),
    [anon_sym___restrict__] = ACTIONS(1263),
    [anon_sym__Atomic] = ACTIONS(1263),
    [anon_sym__Noreturn] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_alignas] = ACTIONS(1263),
    [anon_sym__Alignas] = ACTIONS(1263),
    [sym_primitive_type] = ACTIONS(1263),
    [anon_sym_enum] = ACTIONS(1263),
    [anon_sym_struct] = ACTIONS(1263),
    [anon_sym_union] = ACTIONS(1263),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(1263),
    [anon_sym_case] = ACTIONS(1263),
    [anon_sym_default] = ACTIONS(1263),
    [anon_sym_while] = ACTIONS(1263),
    [anon_sym_do] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_return] = ACTIONS(1263),
    [anon_sym_break] = ACTIONS(1263),
    [anon_sym_continue] = ACTIONS(1263),
    [anon_sym_goto] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1265),
    [anon_sym_PLUS_PLUS] = ACTIONS(1265),
    [anon_sym_sizeof] = ACTIONS(1263),
    [anon_sym___alignof__] = ACTIONS(1263),
    [anon_sym___alignof] = ACTIONS(1263),
    [anon_sym__alignof] = ACTIONS(1263),
    [anon_sym_alignof] = ACTIONS(1263),
    [anon_sym__Alignof] = ACTIONS(1263),
    [anon_sym_offsetof] = ACTIONS(1263),
    [anon_sym__Generic] = ACTIONS(1263),
    [anon_sym_asm] = ACTIONS(1263),
    [anon_sym___asm__] = ACTIONS(1263),
    [sym_number_literal] = ACTIONS(1265),
    [anon_sym_L_SQUOTE] = ACTIONS(1265),
    [anon_sym_u_SQUOTE] = ACTIONS(1265),
    [anon_sym_U_SQUOTE] = ACTIONS(1265),
    [anon_sym_u8_SQUOTE] = ACTIONS(1265),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_L_DQUOTE] = ACTIONS(1265),
    [anon_sym_u_DQUOTE] = ACTIONS(1265),
    [anon_sym_U_DQUOTE] = ACTIONS(1265),
    [anon_sym_u8_DQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_true] = ACTIONS(1263),
    [sym_false] = ACTIONS(1263),
    [anon_sym_NULL] = ACTIONS(1263),
    [anon_sym_nullptr] = ACTIONS(1263),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [ts_builtin_sym_end] = ACTIONS(1367),
    [sym_identifier] = ACTIONS(1365),
    [aux_sym_preproc_include_token1] = ACTIONS(1365),
    [aux_sym_preproc_def_token1] = ACTIONS(1365),
    [aux_sym_preproc_if_token1] = ACTIONS(1365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1365),
    [sym_preproc_directive] = ACTIONS(1365),
    [anon_sym_LPAREN2] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym___extension__] = ACTIONS(1365),
    [anon_sym_typedef] = ACTIONS(1365),
    [anon_sym_extern] = ACTIONS(1365),
    [anon_sym___attribute__] = ACTIONS(1365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1367),
    [anon_sym___declspec] = ACTIONS(1365),
    [anon_sym___cdecl] = ACTIONS(1365),
    [anon_sym___clrcall] = ACTIONS(1365),
    [anon_sym___stdcall] = ACTIONS(1365),
    [anon_sym___fastcall] = ACTIONS(1365),
    [anon_sym___thiscall] = ACTIONS(1365),
    [anon_sym___vectorcall] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_signed] = ACTIONS(1365),
    [anon_sym_unsigned] = ACTIONS(1365),
    [anon_sym_long] = ACTIONS(1365),
    [anon_sym_short] = ACTIONS(1365),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_auto] = ACTIONS(1365),
    [anon_sym_register] = ACTIONS(1365),
    [anon_sym_inline] = ACTIONS(1365),
    [anon_sym___inline] = ACTIONS(1365),
    [anon_sym___inline__] = ACTIONS(1365),
    [anon_sym___forceinline] = ACTIONS(1365),
    [anon_sym_thread_local] = ACTIONS(1365),
    [anon_sym___thread] = ACTIONS(1365),
    [anon_sym_const] = ACTIONS(1365),
    [anon_sym_constexpr] = ACTIONS(1365),
    [anon_sym_volatile] = ACTIONS(1365),
    [anon_sym_restrict] = ACTIONS(1365),
    [anon_sym___restrict__] = ACTIONS(1365),
    [anon_sym__Atomic] = ACTIONS(1365),
    [anon_sym__Noreturn] = ACTIONS(1365),
    [anon_sym_noreturn] = ACTIONS(1365),
    [anon_sym_alignas] = ACTIONS(1365),
    [anon_sym__Alignas] = ACTIONS(1365),
    [sym_primitive_type] = ACTIONS(1365),
    [anon_sym_enum] = ACTIONS(1365),
    [anon_sym_struct] = ACTIONS(1365),
    [anon_sym_union] = ACTIONS(1365),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_switch] = ACTIONS(1365),
    [anon_sym_case] = ACTIONS(1365),
    [anon_sym_default] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1365),
    [anon_sym_do] = ACTIONS(1365),
    [anon_sym_for] = ACTIONS(1365),
    [anon_sym_return] = ACTIONS(1365),
    [anon_sym_break] = ACTIONS(1365),
    [anon_sym_continue] = ACTIONS(1365),
    [anon_sym_goto] = ACTIONS(1365),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_sizeof] = ACTIONS(1365),
    [anon_sym___alignof__] = ACTIONS(1365),
    [anon_sym___alignof] = ACTIONS(1365),
    [anon_sym__alignof] = ACTIONS(1365),
    [anon_sym_alignof] = ACTIONS(1365),
    [anon_sym__Alignof] = ACTIONS(1365),
    [anon_sym_offsetof] = ACTIONS(1365),
    [anon_sym__Generic] = ACTIONS(1365),
    [anon_sym_asm] = ACTIONS(1365),
    [anon_sym___asm__] = ACTIONS(1365),
    [sym_number_literal] = ACTIONS(1367),
    [anon_sym_L_SQUOTE] = ACTIONS(1367),
    [anon_sym_u_SQUOTE] = ACTIONS(1367),
    [anon_sym_U_SQUOTE] = ACTIONS(1367),
    [anon_sym_u8_SQUOTE] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1367),
    [anon_sym_L_DQUOTE] = ACTIONS(1367),
    [anon_sym_u_DQUOTE] = ACTIONS(1367),
    [anon_sym_U_DQUOTE] = ACTIONS(1367),
    [anon_sym_u8_DQUOTE] = ACTIONS(1367),
    [anon_sym_DQUOTE] = ACTIONS(1367),
    [sym_true] = ACTIONS(1365),
    [sym_false] = ACTIONS(1365),
    [anon_sym_NULL] = ACTIONS(1365),
    [anon_sym_nullptr] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [ts_builtin_sym_end] = ACTIONS(1273),
    [sym_identifier] = ACTIONS(1271),
    [aux_sym_preproc_include_token1] = ACTIONS(1271),
    [aux_sym_preproc_def_token1] = ACTIONS(1271),
    [aux_sym_preproc_if_token1] = ACTIONS(1271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1271),
    [sym_preproc_directive] = ACTIONS(1271),
    [anon_sym_LPAREN2] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_AMP] = ACTIONS(1273),
    [anon_sym___extension__] = ACTIONS(1271),
    [anon_sym_typedef] = ACTIONS(1271),
    [anon_sym_extern] = ACTIONS(1271),
    [anon_sym___attribute__] = ACTIONS(1271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1273),
    [anon_sym___declspec] = ACTIONS(1271),
    [anon_sym___cdecl] = ACTIONS(1271),
    [anon_sym___clrcall] = ACTIONS(1271),
    [anon_sym___stdcall] = ACTIONS(1271),
    [anon_sym___fastcall] = ACTIONS(1271),
    [anon_sym___thiscall] = ACTIONS(1271),
    [anon_sym___vectorcall] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_signed] = ACTIONS(1271),
    [anon_sym_unsigned] = ACTIONS(1271),
    [anon_sym_long] = ACTIONS(1271),
    [anon_sym_short] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1271),
    [anon_sym_auto] = ACTIONS(1271),
    [anon_sym_register] = ACTIONS(1271),
    [anon_sym_inline] = ACTIONS(1271),
    [anon_sym___inline] = ACTIONS(1271),
    [anon_sym___inline__] = ACTIONS(1271),
    [anon_sym___forceinline] = ACTIONS(1271),
    [anon_sym_thread_local] = ACTIONS(1271),
    [anon_sym___thread] = ACTIONS(1271),
    [anon_sym_const] = ACTIONS(1271),
    [anon_sym_constexpr] = ACTIONS(1271),
    [anon_sym_volatile] = ACTIONS(1271),
    [anon_sym_restrict] = ACTIONS(1271),
    [anon_sym___restrict__] = ACTIONS(1271),
    [anon_sym__Atomic] = ACTIONS(1271),
    [anon_sym__Noreturn] = ACTIONS(1271),
    [anon_sym_noreturn] = ACTIONS(1271),
    [anon_sym_alignas] = ACTIONS(1271),
    [anon_sym__Alignas] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(1271),
    [anon_sym_enum] = ACTIONS(1271),
    [anon_sym_struct] = ACTIONS(1271),
    [anon_sym_union] = ACTIONS(1271),
    [anon_sym_if] = ACTIONS(1271),
    [anon_sym_switch] = ACTIONS(1271),
    [anon_sym_case] = ACTIONS(1271),
    [anon_sym_default] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1271),
    [anon_sym_do] = ACTIONS(1271),
    [anon_sym_for] = ACTIONS(1271),
    [anon_sym_return] = ACTIONS(1271),
    [anon_sym_break] = ACTIONS(1271),
    [anon_sym_continue] = ACTIONS(1271),
    [anon_sym_goto] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1273),
    [anon_sym_sizeof] = ACTIONS(1271),
    [anon_sym___alignof__] = ACTIONS(1271),
    [anon_sym___alignof] = ACTIONS(1271),
    [anon_sym__alignof] = ACTIONS(1271),
    [anon_sym_alignof] = ACTIONS(1271),
    [anon_sym__Alignof] = ACTIONS(1271),
    [anon_sym_offsetof] = ACTIONS(1271),
    [anon_sym__Generic] = ACTIONS(1271),
    [anon_sym_asm] = ACTIONS(1271),
    [anon_sym___asm__] = ACTIONS(1271),
    [sym_number_literal] = ACTIONS(1273),
    [anon_sym_L_SQUOTE] = ACTIONS(1273),
    [anon_sym_u_SQUOTE] = ACTIONS(1273),
    [anon_sym_U_SQUOTE] = ACTIONS(1273),
    [anon_sym_u8_SQUOTE] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1273),
    [anon_sym_L_DQUOTE] = ACTIONS(1273),
    [anon_sym_u_DQUOTE] = ACTIONS(1273),
    [anon_sym_U_DQUOTE] = ACTIONS(1273),
    [anon_sym_u8_DQUOTE] = ACTIONS(1273),
    [anon_sym_DQUOTE] = ACTIONS(1273),
    [sym_true] = ACTIONS(1271),
    [sym_false] = ACTIONS(1271),
    [anon_sym_NULL] = ACTIONS(1271),
    [anon_sym_nullptr] = ACTIONS(1271),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [ts_builtin_sym_end] = ACTIONS(1277),
    [sym_identifier] = ACTIONS(1275),
    [aux_sym_preproc_include_token1] = ACTIONS(1275),
    [aux_sym_preproc_def_token1] = ACTIONS(1275),
    [aux_sym_preproc_if_token1] = ACTIONS(1275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1275),
    [sym_preproc_directive] = ACTIONS(1275),
    [anon_sym_LPAREN2] = ACTIONS(1277),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_STAR] = ACTIONS(1277),
    [anon_sym_AMP] = ACTIONS(1277),
    [anon_sym___extension__] = ACTIONS(1275),
    [anon_sym_typedef] = ACTIONS(1275),
    [anon_sym_extern] = ACTIONS(1275),
    [anon_sym___attribute__] = ACTIONS(1275),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1277),
    [anon_sym___declspec] = ACTIONS(1275),
    [anon_sym___cdecl] = ACTIONS(1275),
    [anon_sym___clrcall] = ACTIONS(1275),
    [anon_sym___stdcall] = ACTIONS(1275),
    [anon_sym___fastcall] = ACTIONS(1275),
    [anon_sym___thiscall] = ACTIONS(1275),
    [anon_sym___vectorcall] = ACTIONS(1275),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_signed] = ACTIONS(1275),
    [anon_sym_unsigned] = ACTIONS(1275),
    [anon_sym_long] = ACTIONS(1275),
    [anon_sym_short] = ACTIONS(1275),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_auto] = ACTIONS(1275),
    [anon_sym_register] = ACTIONS(1275),
    [anon_sym_inline] = ACTIONS(1275),
    [anon_sym___inline] = ACTIONS(1275),
    [anon_sym___inline__] = ACTIONS(1275),
    [anon_sym___forceinline] = ACTIONS(1275),
    [anon_sym_thread_local] = ACTIONS(1275),
    [anon_sym___thread] = ACTIONS(1275),
    [anon_sym_const] = ACTIONS(1275),
    [anon_sym_constexpr] = ACTIONS(1275),
    [anon_sym_volatile] = ACTIONS(1275),
    [anon_sym_restrict] = ACTIONS(1275),
    [anon_sym___restrict__] = ACTIONS(1275),
    [anon_sym__Atomic] = ACTIONS(1275),
    [anon_sym__Noreturn] = ACTIONS(1275),
    [anon_sym_noreturn] = ACTIONS(1275),
    [anon_sym_alignas] = ACTIONS(1275),
    [anon_sym__Alignas] = ACTIONS(1275),
    [sym_primitive_type] = ACTIONS(1275),
    [anon_sym_enum] = ACTIONS(1275),
    [anon_sym_struct] = ACTIONS(1275),
    [anon_sym_union] = ACTIONS(1275),
    [anon_sym_if] = ACTIONS(1275),
    [anon_sym_switch] = ACTIONS(1275),
    [anon_sym_case] = ACTIONS(1275),
    [anon_sym_default] = ACTIONS(1275),
    [anon_sym_while] = ACTIONS(1275),
    [anon_sym_do] = ACTIONS(1275),
    [anon_sym_for] = ACTIONS(1275),
    [anon_sym_return] = ACTIONS(1275),
    [anon_sym_break] = ACTIONS(1275),
    [anon_sym_continue] = ACTIONS(1275),
    [anon_sym_goto] = ACTIONS(1275),
    [anon_sym_DASH_DASH] = ACTIONS(1277),
    [anon_sym_PLUS_PLUS] = ACTIONS(1277),
    [anon_sym_sizeof] = ACTIONS(1275),
    [anon_sym___alignof__] = ACTIONS(1275),
    [anon_sym___alignof] = ACTIONS(1275),
    [anon_sym__alignof] = ACTIONS(1275),
    [anon_sym_alignof] = ACTIONS(1275),
    [anon_sym__Alignof] = ACTIONS(1275),
    [anon_sym_offsetof] = ACTIONS(1275),
    [anon_sym__Generic] = ACTIONS(1275),
    [anon_sym_asm] = ACTIONS(1275),
    [anon_sym___asm__] = ACTIONS(1275),
    [sym_number_literal] = ACTIONS(1277),
    [anon_sym_L_SQUOTE] = ACTIONS(1277),
    [anon_sym_u_SQUOTE] = ACTIONS(1277),
    [anon_sym_U_SQUOTE] = ACTIONS(1277),
    [anon_sym_u8_SQUOTE] = ACTIONS(1277),
    [anon_sym_SQUOTE] = ACTIONS(1277),
    [anon_sym_L_DQUOTE] = ACTIONS(1277),
    [anon_sym_u_DQUOTE] = ACTIONS(1277),
    [anon_sym_U_DQUOTE] = ACTIONS(1277),
    [anon_sym_u8_DQUOTE] = ACTIONS(1277),
    [anon_sym_DQUOTE] = ACTIONS(1277),
    [sym_true] = ACTIONS(1275),
    [sym_false] = ACTIONS(1275),
    [anon_sym_NULL] = ACTIONS(1275),
    [anon_sym_nullptr] = ACTIONS(1275),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [ts_builtin_sym_end] = ACTIONS(1682),
    [sym_identifier] = ACTIONS(1684),
    [aux_sym_preproc_include_token1] = ACTIONS(1684),
    [aux_sym_preproc_def_token1] = ACTIONS(1684),
    [aux_sym_preproc_if_token1] = ACTIONS(1684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1684),
    [sym_preproc_directive] = ACTIONS(1684),
    [anon_sym_LPAREN2] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_STAR] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(1682),
    [anon_sym___extension__] = ACTIONS(1684),
    [anon_sym_typedef] = ACTIONS(1684),
    [anon_sym_extern] = ACTIONS(1684),
    [anon_sym___attribute__] = ACTIONS(1684),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1682),
    [anon_sym___declspec] = ACTIONS(1684),
    [anon_sym___cdecl] = ACTIONS(1684),
    [anon_sym___clrcall] = ACTIONS(1684),
    [anon_sym___stdcall] = ACTIONS(1684),
    [anon_sym___fastcall] = ACTIONS(1684),
    [anon_sym___thiscall] = ACTIONS(1684),
    [anon_sym___vectorcall] = ACTIONS(1684),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_signed] = ACTIONS(1684),
    [anon_sym_unsigned] = ACTIONS(1684),
    [anon_sym_long] = ACTIONS(1684),
    [anon_sym_short] = ACTIONS(1684),
    [anon_sym_static] = ACTIONS(1684),
    [anon_sym_auto] = ACTIONS(1684),
    [anon_sym_register] = ACTIONS(1684),
    [anon_sym_inline] = ACTIONS(1684),
    [anon_sym___inline] = ACTIONS(1684),
    [anon_sym___inline__] = ACTIONS(1684),
    [anon_sym___forceinline] = ACTIONS(1684),
    [anon_sym_thread_local] = ACTIONS(1684),
    [anon_sym___thread] = ACTIONS(1684),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_constexpr] = ACTIONS(1684),
    [anon_sym_volatile] = ACTIONS(1684),
    [anon_sym_restrict] = ACTIONS(1684),
    [anon_sym___restrict__] = ACTIONS(1684),
    [anon_sym__Atomic] = ACTIONS(1684),
    [anon_sym__Noreturn] = ACTIONS(1684),
    [anon_sym_noreturn] = ACTIONS(1684),
    [anon_sym_alignas] = ACTIONS(1684),
    [anon_sym__Alignas] = ACTIONS(1684),
    [sym_primitive_type] = ACTIONS(1684),
    [anon_sym_enum] = ACTIONS(1684),
    [anon_sym_struct] = ACTIONS(1684),
    [anon_sym_union] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(1684),
    [anon_sym_case] = ACTIONS(1684),
    [anon_sym_default] = ACTIONS(1684),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_do] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_continue] = ACTIONS(1684),
    [anon_sym_goto] = ACTIONS(1684),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_sizeof] = ACTIONS(1684),
    [anon_sym___alignof__] = ACTIONS(1684),
    [anon_sym___alignof] = ACTIONS(1684),
    [anon_sym__alignof] = ACTIONS(1684),
    [anon_sym_alignof] = ACTIONS(1684),
    [anon_sym__Alignof] = ACTIONS(1684),
    [anon_sym_offsetof] = ACTIONS(1684),
    [anon_sym__Generic] = ACTIONS(1684),
    [anon_sym_asm] = ACTIONS(1684),
    [anon_sym___asm__] = ACTIONS(1684),
    [sym_number_literal] = ACTIONS(1682),
    [anon_sym_L_SQUOTE] = ACTIONS(1682),
    [anon_sym_u_SQUOTE] = ACTIONS(1682),
    [anon_sym_U_SQUOTE] = ACTIONS(1682),
    [anon_sym_u8_SQUOTE] = ACTIONS(1682),
    [anon_sym_SQUOTE] = ACTIONS(1682),
    [anon_sym_L_DQUOTE] = ACTIONS(1682),
    [anon_sym_u_DQUOTE] = ACTIONS(1682),
    [anon_sym_U_DQUOTE] = ACTIONS(1682),
    [anon_sym_u8_DQUOTE] = ACTIONS(1682),
    [anon_sym_DQUOTE] = ACTIONS(1682),
    [sym_true] = ACTIONS(1684),
    [sym_false] = ACTIONS(1684),
    [anon_sym_NULL] = ACTIONS(1684),
    [anon_sym_nullptr] = ACTIONS(1684),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [ts_builtin_sym_end] = ACTIONS(1289),
    [sym_identifier] = ACTIONS(1287),
    [aux_sym_preproc_include_token1] = ACTIONS(1287),
    [aux_sym_preproc_def_token1] = ACTIONS(1287),
    [aux_sym_preproc_if_token1] = ACTIONS(1287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1287),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1287),
    [sym_preproc_directive] = ACTIONS(1287),
    [anon_sym_LPAREN2] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1289),
    [anon_sym_TILDE] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1289),
    [anon_sym___extension__] = ACTIONS(1287),
    [anon_sym_typedef] = ACTIONS(1287),
    [anon_sym_extern] = ACTIONS(1287),
    [anon_sym___attribute__] = ACTIONS(1287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1289),
    [anon_sym___declspec] = ACTIONS(1287),
    [anon_sym___cdecl] = ACTIONS(1287),
    [anon_sym___clrcall] = ACTIONS(1287),
    [anon_sym___stdcall] = ACTIONS(1287),
    [anon_sym___fastcall] = ACTIONS(1287),
    [anon_sym___thiscall] = ACTIONS(1287),
    [anon_sym___vectorcall] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_signed] = ACTIONS(1287),
    [anon_sym_unsigned] = ACTIONS(1287),
    [anon_sym_long] = ACTIONS(1287),
    [anon_sym_short] = ACTIONS(1287),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_auto] = ACTIONS(1287),
    [anon_sym_register] = ACTIONS(1287),
    [anon_sym_inline] = ACTIONS(1287),
    [anon_sym___inline] = ACTIONS(1287),
    [anon_sym___inline__] = ACTIONS(1287),
    [anon_sym___forceinline] = ACTIONS(1287),
    [anon_sym_thread_local] = ACTIONS(1287),
    [anon_sym___thread] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_constexpr] = ACTIONS(1287),
    [anon_sym_volatile] = ACTIONS(1287),
    [anon_sym_restrict] = ACTIONS(1287),
    [anon_sym___restrict__] = ACTIONS(1287),
    [anon_sym__Atomic] = ACTIONS(1287),
    [anon_sym__Noreturn] = ACTIONS(1287),
    [anon_sym_noreturn] = ACTIONS(1287),
    [anon_sym_alignas] = ACTIONS(1287),
    [anon_sym__Alignas] = ACTIONS(1287),
    [sym_primitive_type] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [anon_sym_struct] = ACTIONS(1287),
    [anon_sym_union] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1287),
    [anon_sym_switch] = ACTIONS(1287),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1287),
    [anon_sym_while] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1287),
    [anon_sym_for] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1287),
    [anon_sym_break] = ACTIONS(1287),
    [anon_sym_continue] = ACTIONS(1287),
    [anon_sym_goto] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1289),
    [anon_sym_sizeof] = ACTIONS(1287),
    [anon_sym___alignof__] = ACTIONS(1287),
    [anon_sym___alignof] = ACTIONS(1287),
    [anon_sym__alignof] = ACTIONS(1287),
    [anon_sym_alignof] = ACTIONS(1287),
    [anon_sym__Alignof] = ACTIONS(1287),
    [anon_sym_offsetof] = ACTIONS(1287),
    [anon_sym__Generic] = ACTIONS(1287),
    [anon_sym_asm] = ACTIONS(1287),
    [anon_sym___asm__] = ACTIONS(1287),
    [sym_number_literal] = ACTIONS(1289),
    [anon_sym_L_SQUOTE] = ACTIONS(1289),
    [anon_sym_u_SQUOTE] = ACTIONS(1289),
    [anon_sym_U_SQUOTE] = ACTIONS(1289),
    [anon_sym_u8_SQUOTE] = ACTIONS(1289),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_L_DQUOTE] = ACTIONS(1289),
    [anon_sym_u_DQUOTE] = ACTIONS(1289),
    [anon_sym_U_DQUOTE] = ACTIONS(1289),
    [anon_sym_u8_DQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [anon_sym_NULL] = ACTIONS(1287),
    [anon_sym_nullptr] = ACTIONS(1287),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_expression] = STATE(851),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(674),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(674),
    [sym_call_expression] = STATE(674),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(674),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(674),
    [sym_initializer_list] = STATE(671),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1377),
    [anon_sym_LPAREN2] = ACTIONS(1377),
    [anon_sym_BANG] = ACTIONS(1686),
    [anon_sym_TILDE] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1375),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1377),
    [anon_sym_AMP_AMP] = ACTIONS(1377),
    [anon_sym_PIPE] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1377),
    [anon_sym_BANG_EQ] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_RBRACK] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [anon_sym_QMARK] = ACTIONS(1377),
    [anon_sym_STAR_EQ] = ACTIONS(1377),
    [anon_sym_SLASH_EQ] = ACTIONS(1377),
    [anon_sym_PERCENT_EQ] = ACTIONS(1377),
    [anon_sym_PLUS_EQ] = ACTIONS(1377),
    [anon_sym_DASH_EQ] = ACTIONS(1377),
    [anon_sym_LT_LT_EQ] = ACTIONS(1377),
    [anon_sym_GT_GT_EQ] = ACTIONS(1377),
    [anon_sym_AMP_EQ] = ACTIONS(1377),
    [anon_sym_CARET_EQ] = ACTIONS(1377),
    [anon_sym_PIPE_EQ] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_sizeof] = ACTIONS(1690),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_DASH_GT] = ACTIONS(1377),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_type_qualifier] = STATE(982),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_expression] = STATE(1012),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1736),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_type_descriptor] = STATE(1956),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__type_definition_type_repeat1] = STATE(982),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_type_qualifier] = STATE(982),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_expression] = STATE(1012),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1736),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_type_descriptor] = STATE(1821),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__type_definition_type_repeat1] = STATE(982),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_type_qualifier] = STATE(982),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_expression] = STATE(1012),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1736),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_type_descriptor] = STATE(1734),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__type_definition_type_repeat1] = STATE(982),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_type_qualifier] = STATE(982),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_expression] = STATE(1012),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1736),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_type_descriptor] = STATE(1760),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__type_definition_type_repeat1] = STATE(982),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_type_qualifier] = STATE(982),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_expression] = STATE(1012),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1736),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_type_descriptor] = STATE(1890),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__type_definition_type_repeat1] = STATE(982),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_type_qualifier] = STATE(982),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_expression] = STATE(1012),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1736),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_type_descriptor] = STATE(1768),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__type_definition_type_repeat1] = STATE(982),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_type_qualifier] = STATE(982),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_expression] = STATE(1012),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1736),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_type_descriptor] = STATE(1950),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__type_definition_type_repeat1] = STATE(982),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_type_qualifier] = STATE(982),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_expression] = STATE(1012),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1736),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_type_descriptor] = STATE(1947),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__type_definition_type_repeat1] = STATE(982),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_type_qualifier] = STATE(982),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_expression] = STATE(1012),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1736),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_type_descriptor] = STATE(1849),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__type_definition_type_repeat1] = STATE(982),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_type_qualifier] = STATE(982),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_expression] = STATE(1012),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1736),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_type_descriptor] = STATE(1810),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__type_definition_type_repeat1] = STATE(982),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_type_qualifier] = STATE(982),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_expression] = STATE(1012),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1736),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_type_descriptor] = STATE(1845),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__type_definition_type_repeat1] = STATE(982),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_type_qualifier] = STATE(982),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_expression] = STATE(1012),
    [sym__string] = STATE(661),
    [sym_comma_expression] = STATE(1736),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_type_descriptor] = STATE(1944),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__type_definition_type_repeat1] = STATE(982),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_type_qualifier] = STATE(982),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_expression] = STATE(1072),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_type_descriptor] = STATE(1921),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__type_definition_type_repeat1] = STATE(982),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_type_qualifier] = STATE(982),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(1074),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_expression] = STATE(1060),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_type_descriptor] = STATE(1878),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__type_definition_type_repeat1] = STATE(982),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_identifier] = ACTIONS(1698),
    [anon_sym_COMMA] = ACTIONS(1700),
    [anon_sym_RPAREN] = ACTIONS(1700),
    [anon_sym_LPAREN2] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_SEMI] = ACTIONS(1700),
    [anon_sym___extension__] = ACTIONS(1698),
    [anon_sym_extern] = ACTIONS(1698),
    [anon_sym___attribute__] = ACTIONS(1698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1700),
    [anon_sym___declspec] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_signed] = ACTIONS(1698),
    [anon_sym_unsigned] = ACTIONS(1698),
    [anon_sym_long] = ACTIONS(1698),
    [anon_sym_short] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_static] = ACTIONS(1698),
    [anon_sym_EQ] = ACTIONS(1700),
    [anon_sym_auto] = ACTIONS(1698),
    [anon_sym_register] = ACTIONS(1698),
    [anon_sym_inline] = ACTIONS(1698),
    [anon_sym___inline] = ACTIONS(1698),
    [anon_sym___inline__] = ACTIONS(1698),
    [anon_sym___forceinline] = ACTIONS(1698),
    [anon_sym_thread_local] = ACTIONS(1698),
    [anon_sym___thread] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_constexpr] = ACTIONS(1698),
    [anon_sym_volatile] = ACTIONS(1698),
    [anon_sym_restrict] = ACTIONS(1698),
    [anon_sym___restrict__] = ACTIONS(1698),
    [anon_sym__Atomic] = ACTIONS(1698),
    [anon_sym__Noreturn] = ACTIONS(1698),
    [anon_sym_noreturn] = ACTIONS(1698),
    [anon_sym_alignas] = ACTIONS(1698),
    [anon_sym__Alignas] = ACTIONS(1698),
    [sym_primitive_type] = ACTIONS(1698),
    [anon_sym_enum] = ACTIONS(1698),
    [anon_sym_COLON] = ACTIONS(1700),
    [anon_sym_struct] = ACTIONS(1698),
    [anon_sym_union] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_case] = ACTIONS(1698),
    [anon_sym_default] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_do] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_continue] = ACTIONS(1698),
    [anon_sym_goto] = ACTIONS(1698),
    [anon_sym___try] = ACTIONS(1698),
    [anon_sym___leave] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1700),
    [anon_sym_PLUS_PLUS] = ACTIONS(1700),
    [anon_sym_sizeof] = ACTIONS(1698),
    [anon_sym___alignof__] = ACTIONS(1698),
    [anon_sym___alignof] = ACTIONS(1698),
    [anon_sym__alignof] = ACTIONS(1698),
    [anon_sym_alignof] = ACTIONS(1698),
    [anon_sym__Alignof] = ACTIONS(1698),
    [anon_sym_offsetof] = ACTIONS(1698),
    [anon_sym__Generic] = ACTIONS(1698),
    [anon_sym_asm] = ACTIONS(1698),
    [anon_sym___asm__] = ACTIONS(1698),
    [sym_number_literal] = ACTIONS(1700),
    [anon_sym_L_SQUOTE] = ACTIONS(1700),
    [anon_sym_u_SQUOTE] = ACTIONS(1700),
    [anon_sym_U_SQUOTE] = ACTIONS(1700),
    [anon_sym_u8_SQUOTE] = ACTIONS(1700),
    [anon_sym_SQUOTE] = ACTIONS(1700),
    [anon_sym_L_DQUOTE] = ACTIONS(1700),
    [anon_sym_u_DQUOTE] = ACTIONS(1700),
    [anon_sym_U_DQUOTE] = ACTIONS(1700),
    [anon_sym_u8_DQUOTE] = ACTIONS(1700),
    [anon_sym_DQUOTE] = ACTIONS(1700),
    [sym_true] = ACTIONS(1698),
    [sym_false] = ACTIONS(1698),
    [anon_sym_NULL] = ACTIONS(1698),
    [anon_sym_nullptr] = ACTIONS(1698),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_identifier] = ACTIONS(1702),
    [anon_sym_COMMA] = ACTIONS(1704),
    [anon_sym_RPAREN] = ACTIONS(1704),
    [anon_sym_LPAREN2] = ACTIONS(1704),
    [anon_sym_BANG] = ACTIONS(1704),
    [anon_sym_TILDE] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_PLUS] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_AMP] = ACTIONS(1704),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(1702),
    [anon_sym_extern] = ACTIONS(1702),
    [anon_sym___attribute__] = ACTIONS(1702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1704),
    [anon_sym___declspec] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1704),
    [anon_sym_signed] = ACTIONS(1702),
    [anon_sym_unsigned] = ACTIONS(1702),
    [anon_sym_long] = ACTIONS(1702),
    [anon_sym_short] = ACTIONS(1702),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_static] = ACTIONS(1702),
    [anon_sym_EQ] = ACTIONS(1704),
    [anon_sym_auto] = ACTIONS(1702),
    [anon_sym_register] = ACTIONS(1702),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym___inline] = ACTIONS(1702),
    [anon_sym___inline__] = ACTIONS(1702),
    [anon_sym___forceinline] = ACTIONS(1702),
    [anon_sym_thread_local] = ACTIONS(1702),
    [anon_sym___thread] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1702),
    [anon_sym_constexpr] = ACTIONS(1702),
    [anon_sym_volatile] = ACTIONS(1702),
    [anon_sym_restrict] = ACTIONS(1702),
    [anon_sym___restrict__] = ACTIONS(1702),
    [anon_sym__Atomic] = ACTIONS(1702),
    [anon_sym__Noreturn] = ACTIONS(1702),
    [anon_sym_noreturn] = ACTIONS(1702),
    [anon_sym_alignas] = ACTIONS(1702),
    [anon_sym__Alignas] = ACTIONS(1702),
    [sym_primitive_type] = ACTIONS(1702),
    [anon_sym_enum] = ACTIONS(1702),
    [anon_sym_COLON] = ACTIONS(1704),
    [anon_sym_struct] = ACTIONS(1702),
    [anon_sym_union] = ACTIONS(1702),
    [anon_sym_if] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1702),
    [anon_sym_case] = ACTIONS(1702),
    [anon_sym_default] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1702),
    [anon_sym_do] = ACTIONS(1702),
    [anon_sym_for] = ACTIONS(1702),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_break] = ACTIONS(1702),
    [anon_sym_continue] = ACTIONS(1702),
    [anon_sym_goto] = ACTIONS(1702),
    [anon_sym___try] = ACTIONS(1702),
    [anon_sym___leave] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1704),
    [anon_sym_PLUS_PLUS] = ACTIONS(1704),
    [anon_sym_sizeof] = ACTIONS(1702),
    [anon_sym___alignof__] = ACTIONS(1702),
    [anon_sym___alignof] = ACTIONS(1702),
    [anon_sym__alignof] = ACTIONS(1702),
    [anon_sym_alignof] = ACTIONS(1702),
    [anon_sym__Alignof] = ACTIONS(1702),
    [anon_sym_offsetof] = ACTIONS(1702),
    [anon_sym__Generic] = ACTIONS(1702),
    [anon_sym_asm] = ACTIONS(1702),
    [anon_sym___asm__] = ACTIONS(1702),
    [sym_number_literal] = ACTIONS(1704),
    [anon_sym_L_SQUOTE] = ACTIONS(1704),
    [anon_sym_u_SQUOTE] = ACTIONS(1704),
    [anon_sym_U_SQUOTE] = ACTIONS(1704),
    [anon_sym_u8_SQUOTE] = ACTIONS(1704),
    [anon_sym_SQUOTE] = ACTIONS(1704),
    [anon_sym_L_DQUOTE] = ACTIONS(1704),
    [anon_sym_u_DQUOTE] = ACTIONS(1704),
    [anon_sym_U_DQUOTE] = ACTIONS(1704),
    [anon_sym_u8_DQUOTE] = ACTIONS(1704),
    [anon_sym_DQUOTE] = ACTIONS(1704),
    [sym_true] = ACTIONS(1702),
    [sym_false] = ACTIONS(1702),
    [anon_sym_NULL] = ACTIONS(1702),
    [anon_sym_nullptr] = ACTIONS(1702),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_expression] = STATE(687),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(811),
    [sym_initializer_list] = STATE(671),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(684),
    [sym_null] = STATE(661),
    [sym_identifier] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1377),
    [aux_sym_preproc_if_token2] = ACTIONS(1377),
    [aux_sym_preproc_else_token1] = ACTIONS(1377),
    [aux_sym_preproc_elif_token1] = ACTIONS(1375),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1377),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1377),
    [anon_sym_LPAREN2] = ACTIONS(1377),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1375),
    [anon_sym_PERCENT] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1377),
    [anon_sym_AMP_AMP] = ACTIONS(1377),
    [anon_sym_PIPE] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1377),
    [anon_sym_BANG_EQ] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1377),
    [anon_sym_GT_GT] = ACTIONS(1377),
    [anon_sym_LBRACE] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_QMARK] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_sizeof] = ACTIONS(1710),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_DASH_GT] = ACTIONS(1377),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_expression] = STATE(687),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_initializer_list] = STATE(671),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_identifier] = ACTIONS(1712),
    [anon_sym_COMMA] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1377),
    [anon_sym_LPAREN2] = ACTIONS(1377),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1375),
    [anon_sym_PERCENT] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1377),
    [anon_sym_AMP_AMP] = ACTIONS(1377),
    [anon_sym_PIPE] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1377),
    [anon_sym_BANG_EQ] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1377),
    [anon_sym_GT_GT] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1377),
    [anon_sym___attribute__] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1383),
    [anon_sym_RBRACE] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_COLON] = ACTIONS(1377),
    [anon_sym_QMARK] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_DASH_GT] = ACTIONS(1377),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_else_clause] = STATE(224),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_LPAREN2] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_STAR] = ACTIONS(1119),
    [anon_sym_AMP] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym___extension__] = ACTIONS(1117),
    [anon_sym_typedef] = ACTIONS(1117),
    [anon_sym_extern] = ACTIONS(1117),
    [anon_sym___attribute__] = ACTIONS(1117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1119),
    [anon_sym___declspec] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_signed] = ACTIONS(1117),
    [anon_sym_unsigned] = ACTIONS(1117),
    [anon_sym_long] = ACTIONS(1117),
    [anon_sym_short] = ACTIONS(1117),
    [anon_sym_static] = ACTIONS(1117),
    [anon_sym_auto] = ACTIONS(1117),
    [anon_sym_register] = ACTIONS(1117),
    [anon_sym_inline] = ACTIONS(1117),
    [anon_sym___inline] = ACTIONS(1117),
    [anon_sym___inline__] = ACTIONS(1117),
    [anon_sym___forceinline] = ACTIONS(1117),
    [anon_sym_thread_local] = ACTIONS(1117),
    [anon_sym___thread] = ACTIONS(1117),
    [anon_sym_const] = ACTIONS(1117),
    [anon_sym_constexpr] = ACTIONS(1117),
    [anon_sym_volatile] = ACTIONS(1117),
    [anon_sym_restrict] = ACTIONS(1117),
    [anon_sym___restrict__] = ACTIONS(1117),
    [anon_sym__Atomic] = ACTIONS(1117),
    [anon_sym__Noreturn] = ACTIONS(1117),
    [anon_sym_noreturn] = ACTIONS(1117),
    [anon_sym_alignas] = ACTIONS(1117),
    [anon_sym__Alignas] = ACTIONS(1117),
    [sym_primitive_type] = ACTIONS(1117),
    [anon_sym_enum] = ACTIONS(1117),
    [anon_sym_struct] = ACTIONS(1117),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_else] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_do] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_return] = ACTIONS(1117),
    [anon_sym_break] = ACTIONS(1117),
    [anon_sym_continue] = ACTIONS(1117),
    [anon_sym_goto] = ACTIONS(1117),
    [anon_sym___try] = ACTIONS(1117),
    [anon_sym___leave] = ACTIONS(1117),
    [anon_sym_DASH_DASH] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1119),
    [anon_sym_sizeof] = ACTIONS(1117),
    [anon_sym___alignof__] = ACTIONS(1117),
    [anon_sym___alignof] = ACTIONS(1117),
    [anon_sym__alignof] = ACTIONS(1117),
    [anon_sym_alignof] = ACTIONS(1117),
    [anon_sym__Alignof] = ACTIONS(1117),
    [anon_sym_offsetof] = ACTIONS(1117),
    [anon_sym__Generic] = ACTIONS(1117),
    [anon_sym_asm] = ACTIONS(1117),
    [anon_sym___asm__] = ACTIONS(1117),
    [sym_number_literal] = ACTIONS(1119),
    [anon_sym_L_SQUOTE] = ACTIONS(1119),
    [anon_sym_u_SQUOTE] = ACTIONS(1119),
    [anon_sym_U_SQUOTE] = ACTIONS(1119),
    [anon_sym_u8_SQUOTE] = ACTIONS(1119),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_L_DQUOTE] = ACTIONS(1119),
    [anon_sym_u_DQUOTE] = ACTIONS(1119),
    [anon_sym_U_DQUOTE] = ACTIONS(1119),
    [anon_sym_u8_DQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [anon_sym_NULL] = ACTIONS(1117),
    [anon_sym_nullptr] = ACTIONS(1117),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_string_literal] = STATE(617),
    [aux_sym_sized_type_specifier_repeat1] = STATE(752),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1735),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_string_literal] = STATE(617),
    [aux_sym_sized_type_specifier_repeat1] = STATE(752),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1739),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1735),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_string_literal] = STATE(617),
    [aux_sym_sized_type_specifier_repeat1] = STATE(752),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_string_literal] = STATE(617),
    [aux_sym_sized_type_specifier_repeat1] = STATE(752),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1744),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_string_literal] = STATE(617),
    [aux_sym_sized_type_specifier_repeat1] = STATE(752),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1739),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_identifier] = ACTIONS(1746),
    [anon_sym_LPAREN2] = ACTIONS(1749),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_TILDE] = ACTIONS(1749),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_STAR] = ACTIONS(1749),
    [anon_sym_AMP] = ACTIONS(1749),
    [anon_sym_SEMI] = ACTIONS(1749),
    [anon_sym___extension__] = ACTIONS(1753),
    [anon_sym_extern] = ACTIONS(1753),
    [anon_sym___attribute__] = ACTIONS(1753),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(1753),
    [anon_sym_LBRACE] = ACTIONS(1749),
    [anon_sym_signed] = ACTIONS(1753),
    [anon_sym_unsigned] = ACTIONS(1753),
    [anon_sym_long] = ACTIONS(1753),
    [anon_sym_short] = ACTIONS(1753),
    [anon_sym_static] = ACTIONS(1753),
    [anon_sym_auto] = ACTIONS(1753),
    [anon_sym_register] = ACTIONS(1753),
    [anon_sym_inline] = ACTIONS(1753),
    [anon_sym___inline] = ACTIONS(1753),
    [anon_sym___inline__] = ACTIONS(1753),
    [anon_sym___forceinline] = ACTIONS(1753),
    [anon_sym_thread_local] = ACTIONS(1753),
    [anon_sym___thread] = ACTIONS(1753),
    [anon_sym_const] = ACTIONS(1753),
    [anon_sym_constexpr] = ACTIONS(1753),
    [anon_sym_volatile] = ACTIONS(1753),
    [anon_sym_restrict] = ACTIONS(1753),
    [anon_sym___restrict__] = ACTIONS(1753),
    [anon_sym__Atomic] = ACTIONS(1753),
    [anon_sym__Noreturn] = ACTIONS(1753),
    [anon_sym_noreturn] = ACTIONS(1753),
    [anon_sym_alignas] = ACTIONS(1753),
    [anon_sym__Alignas] = ACTIONS(1753),
    [sym_primitive_type] = ACTIONS(1753),
    [anon_sym_enum] = ACTIONS(1753),
    [anon_sym_struct] = ACTIONS(1753),
    [anon_sym_union] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(1751),
    [anon_sym_switch] = ACTIONS(1751),
    [anon_sym_case] = ACTIONS(1751),
    [anon_sym_default] = ACTIONS(1751),
    [anon_sym_while] = ACTIONS(1751),
    [anon_sym_do] = ACTIONS(1751),
    [anon_sym_for] = ACTIONS(1751),
    [anon_sym_return] = ACTIONS(1751),
    [anon_sym_break] = ACTIONS(1751),
    [anon_sym_continue] = ACTIONS(1751),
    [anon_sym_goto] = ACTIONS(1751),
    [anon_sym___try] = ACTIONS(1751),
    [anon_sym___leave] = ACTIONS(1751),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_sizeof] = ACTIONS(1751),
    [anon_sym___alignof__] = ACTIONS(1751),
    [anon_sym___alignof] = ACTIONS(1751),
    [anon_sym__alignof] = ACTIONS(1751),
    [anon_sym_alignof] = ACTIONS(1751),
    [anon_sym__Alignof] = ACTIONS(1751),
    [anon_sym_offsetof] = ACTIONS(1751),
    [anon_sym__Generic] = ACTIONS(1751),
    [anon_sym_asm] = ACTIONS(1751),
    [anon_sym___asm__] = ACTIONS(1751),
    [sym_number_literal] = ACTIONS(1749),
    [anon_sym_L_SQUOTE] = ACTIONS(1749),
    [anon_sym_u_SQUOTE] = ACTIONS(1749),
    [anon_sym_U_SQUOTE] = ACTIONS(1749),
    [anon_sym_u8_SQUOTE] = ACTIONS(1749),
    [anon_sym_SQUOTE] = ACTIONS(1749),
    [anon_sym_L_DQUOTE] = ACTIONS(1749),
    [anon_sym_u_DQUOTE] = ACTIONS(1749),
    [anon_sym_U_DQUOTE] = ACTIONS(1749),
    [anon_sym_u8_DQUOTE] = ACTIONS(1749),
    [anon_sym_DQUOTE] = ACTIONS(1749),
    [sym_true] = ACTIONS(1751),
    [sym_false] = ACTIONS(1751),
    [anon_sym_NULL] = ACTIONS(1751),
    [anon_sym_nullptr] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_string_literal] = STATE(617),
    [aux_sym_sized_type_specifier_repeat1] = STATE(752),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1758),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_string_literal] = STATE(617),
    [aux_sym_sized_type_specifier_repeat1] = STATE(752),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1739),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1758),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_string_literal] = STATE(617),
    [aux_sym_sized_type_specifier_repeat1] = STATE(752),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1760),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_string_literal] = STATE(617),
    [aux_sym_sized_type_specifier_repeat1] = STATE(752),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_string_literal] = STATE(617),
    [aux_sym_sized_type_specifier_repeat1] = STATE(752),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1762),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1744),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_expression] = STATE(851),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(893),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(893),
    [sym_call_expression] = STATE(893),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(893),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(893),
    [sym_initializer_list] = STATE(671),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1377),
    [anon_sym_LPAREN2] = ACTIONS(1377),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1375),
    [anon_sym_PERCENT] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1377),
    [anon_sym_AMP_AMP] = ACTIONS(1377),
    [anon_sym_PIPE] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1377),
    [anon_sym_BANG_EQ] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1377),
    [anon_sym_GT_GT] = ACTIONS(1377),
    [anon_sym_LBRACE] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_RBRACK] = ACTIONS(1377),
    [anon_sym_QMARK] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_DASH_GT] = ACTIONS(1377),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_based_modifier] = STATE(1926),
    [sym_ms_call_modifier] = STATE(1229),
    [sym__declarator] = STATE(1380),
    [sym__abstract_declarator] = STATE(1508),
    [sym_parenthesized_declarator] = STATE(1310),
    [sym_abstract_parenthesized_declarator] = STATE(1445),
    [sym_attributed_declarator] = STATE(1310),
    [sym_pointer_declarator] = STATE(1310),
    [sym_abstract_pointer_declarator] = STATE(1445),
    [sym_function_declarator] = STATE(1310),
    [sym_abstract_function_declarator] = STATE(1445),
    [sym_array_declarator] = STATE(1310),
    [sym_abstract_array_declarator] = STATE(1445),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_variadic_parameter] = STATE(1630),
    [sym_parameter_list] = STATE(1447),
    [sym_parameter_declaration] = STATE(1630),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1775),
    [anon_sym_RPAREN] = ACTIONS(1777),
    [anon_sym_LPAREN2] = ACTIONS(1779),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___based] = ACTIONS(1783),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_type_qualifier] = STATE(658),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1069),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(893),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(893),
    [sym_call_expression] = STATE(893),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(893),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(893),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_array_declarator_repeat1] = STATE(658),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1795),
    [anon_sym_RBRACK] = ACTIONS(1797),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_type_qualifier] = STATE(414),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1052),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(893),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(893),
    [sym_call_expression] = STATE(893),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(893),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(893),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_array_declarator_repeat1] = STATE(414),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1803),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1805),
    [anon_sym_RBRACK] = ACTIONS(1807),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_type_qualifier] = STATE(658),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1061),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(893),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(893),
    [sym_call_expression] = STATE(893),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(893),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(893),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_array_declarator_repeat1] = STATE(658),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1795),
    [anon_sym_RBRACK] = ACTIONS(1811),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_type_qualifier] = STATE(658),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1058),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(893),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(893),
    [sym_call_expression] = STATE(893),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(893),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(893),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_array_declarator_repeat1] = STATE(658),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1795),
    [anon_sym_RBRACK] = ACTIONS(1815),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_type_qualifier] = STATE(421),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(893),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(893),
    [sym_call_expression] = STATE(893),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(893),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(893),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_array_declarator_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1819),
    [anon_sym_RBRACK] = ACTIONS(1821),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_type_qualifier] = STATE(416),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1055),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(893),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(893),
    [sym_call_expression] = STATE(893),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(893),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(893),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_array_declarator_repeat1] = STATE(416),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1823),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1825),
    [anon_sym_RBRACK] = ACTIONS(1827),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_type_qualifier] = STATE(417),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1059),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(893),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(893),
    [sym_call_expression] = STATE(893),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(893),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(893),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_array_declarator_repeat1] = STATE(417),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1831),
    [anon_sym_RBRACK] = ACTIONS(1833),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_type_qualifier] = STATE(658),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1067),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(893),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(893),
    [sym_call_expression] = STATE(893),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(893),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(893),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_array_declarator_repeat1] = STATE(658),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1835),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1795),
    [anon_sym_RBRACK] = ACTIONS(1837),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_type_qualifier] = STATE(658),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1056),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(893),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(893),
    [sym_call_expression] = STATE(893),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(893),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(893),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_array_declarator_repeat1] = STATE(658),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1839),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1795),
    [anon_sym_RBRACK] = ACTIONS(1841),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_type_qualifier] = STATE(422),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1068),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(893),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(893),
    [sym_call_expression] = STATE(893),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(893),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(893),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_array_declarator_repeat1] = STATE(422),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_RBRACK] = ACTIONS(1847),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_preproc_def] = STATE(425),
    [sym_preproc_function_def] = STATE(425),
    [sym_preproc_call] = STATE(425),
    [sym_preproc_if_in_field_declaration_list] = STATE(425),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(425),
    [sym_preproc_else_in_field_declaration_list] = STATE(1894),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1894),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1894),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(425),
    [sym_field_declaration] = STATE(425),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(425),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1855),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_preproc_def] = STATE(445),
    [sym_preproc_function_def] = STATE(445),
    [sym_preproc_call] = STATE(445),
    [sym_preproc_if_in_field_declaration_list] = STATE(445),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(445),
    [sym_preproc_else_in_field_declaration_list] = STATE(1967),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1967),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1967),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(445),
    [sym_field_declaration] = STATE(445),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(445),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_preproc_def] = STATE(445),
    [sym_preproc_function_def] = STATE(445),
    [sym_preproc_call] = STATE(445),
    [sym_preproc_if_in_field_declaration_list] = STATE(445),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(445),
    [sym_preproc_else_in_field_declaration_list] = STATE(1816),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1816),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1816),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(445),
    [sym_field_declaration] = STATE(445),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(445),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_preproc_def] = STATE(429),
    [sym_preproc_function_def] = STATE(429),
    [sym_preproc_call] = STATE(429),
    [sym_preproc_if_in_field_declaration_list] = STATE(429),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(429),
    [sym_preproc_else_in_field_declaration_list] = STATE(1800),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1800),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1800),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(429),
    [sym_field_declaration] = STATE(429),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(429),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_preproc_def] = STATE(426),
    [sym_preproc_function_def] = STATE(426),
    [sym_preproc_call] = STATE(426),
    [sym_preproc_if_in_field_declaration_list] = STATE(426),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(426),
    [sym_preproc_else_in_field_declaration_list] = STATE(1806),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1806),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1806),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(426),
    [sym_field_declaration] = STATE(426),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(426),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_preproc_def] = STATE(445),
    [sym_preproc_function_def] = STATE(445),
    [sym_preproc_call] = STATE(445),
    [sym_preproc_if_in_field_declaration_list] = STATE(445),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(445),
    [sym_preproc_else_in_field_declaration_list] = STATE(1813),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1813),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1813),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(445),
    [sym_field_declaration] = STATE(445),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(445),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_preproc_def] = STATE(445),
    [sym_preproc_function_def] = STATE(445),
    [sym_preproc_call] = STATE(445),
    [sym_preproc_if_in_field_declaration_list] = STATE(445),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(445),
    [sym_preproc_else_in_field_declaration_list] = STATE(1900),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1900),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1900),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(445),
    [sym_field_declaration] = STATE(445),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(445),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_preproc_def] = STATE(434),
    [sym_preproc_function_def] = STATE(434),
    [sym_preproc_call] = STATE(434),
    [sym_preproc_if_in_field_declaration_list] = STATE(434),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(434),
    [sym_preproc_else_in_field_declaration_list] = STATE(1755),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1755),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1755),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(434),
    [sym_field_declaration] = STATE(434),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(434),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_preproc_def] = STATE(435),
    [sym_preproc_function_def] = STATE(435),
    [sym_preproc_call] = STATE(435),
    [sym_preproc_if_in_field_declaration_list] = STATE(435),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(435),
    [sym_preproc_else_in_field_declaration_list] = STATE(1857),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1857),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1857),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(435),
    [sym_field_declaration] = STATE(435),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(435),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_preproc_def] = STATE(430),
    [sym_preproc_function_def] = STATE(430),
    [sym_preproc_call] = STATE(430),
    [sym_preproc_if_in_field_declaration_list] = STATE(430),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(430),
    [sym_preproc_else_in_field_declaration_list] = STATE(1852),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1852),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1852),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(430),
    [sym_field_declaration] = STATE(430),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_preproc_def] = STATE(445),
    [sym_preproc_function_def] = STATE(445),
    [sym_preproc_call] = STATE(445),
    [sym_preproc_if_in_field_declaration_list] = STATE(445),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(445),
    [sym_preproc_else_in_field_declaration_list] = STATE(1848),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1848),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1848),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(445),
    [sym_field_declaration] = STATE(445),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(445),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_preproc_def] = STATE(445),
    [sym_preproc_function_def] = STATE(445),
    [sym_preproc_call] = STATE(445),
    [sym_preproc_if_in_field_declaration_list] = STATE(445),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(445),
    [sym_preproc_else_in_field_declaration_list] = STATE(1839),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1839),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1839),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(445),
    [sym_field_declaration] = STATE(445),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(445),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_preproc_def] = STATE(438),
    [sym_preproc_function_def] = STATE(438),
    [sym_preproc_call] = STATE(438),
    [sym_preproc_if_in_field_declaration_list] = STATE(438),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(438),
    [sym_preproc_else_in_field_declaration_list] = STATE(1918),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1918),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1918),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(438),
    [sym_field_declaration] = STATE(438),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(438),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_preproc_def] = STATE(445),
    [sym_preproc_function_def] = STATE(445),
    [sym_preproc_call] = STATE(445),
    [sym_preproc_if_in_field_declaration_list] = STATE(445),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(445),
    [sym_preproc_else_in_field_declaration_list] = STATE(1922),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1922),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1922),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(445),
    [sym_field_declaration] = STATE(445),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(445),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_preproc_def] = STATE(445),
    [sym_preproc_function_def] = STATE(445),
    [sym_preproc_call] = STATE(445),
    [sym_preproc_if_in_field_declaration_list] = STATE(445),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(445),
    [sym_preproc_else_in_field_declaration_list] = STATE(1925),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1925),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1925),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(445),
    [sym_field_declaration] = STATE(445),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(445),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_preproc_def] = STATE(437),
    [sym_preproc_function_def] = STATE(437),
    [sym_preproc_call] = STATE(437),
    [sym_preproc_if_in_field_declaration_list] = STATE(437),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(437),
    [sym_preproc_else_in_field_declaration_list] = STATE(1899),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1899),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1899),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(437),
    [sym_field_declaration] = STATE(437),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(437),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_expression] = STATE(997),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_initializer_list] = STATE(1560),
    [sym_initializer_pair] = STATE(1560),
    [sym_subscript_designator] = STATE(1381),
    [sym_subscript_range_designator] = STATE(1381),
    [sym_field_designator] = STATE(1381),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_initializer_pair_repeat1] = STATE(1381),
    [sym_identifier] = ACTIONS(1897),
    [anon_sym_COMMA] = ACTIONS(1899),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1383),
    [anon_sym_RBRACE] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1903),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1905),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(1347),
    [sym__abstract_declarator] = STATE(1508),
    [sym_abstract_parenthesized_declarator] = STATE(1445),
    [sym_abstract_pointer_declarator] = STATE(1445),
    [sym_abstract_function_declarator] = STATE(1445),
    [sym_abstract_array_declarator] = STATE(1445),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym_variadic_parameter] = STATE(1630),
    [sym_parameter_list] = STATE(1447),
    [sym_parameter_declaration] = STATE(1630),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1775),
    [anon_sym_RPAREN] = ACTIONS(1777),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_expression] = STATE(1034),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_initializer_list] = STATE(1685),
    [sym_initializer_pair] = STATE(1685),
    [sym_subscript_designator] = STATE(1381),
    [sym_subscript_range_designator] = STATE(1381),
    [sym_field_designator] = STATE(1381),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_initializer_pair_repeat1] = STATE(1381),
    [sym_identifier] = ACTIONS(1897),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1383),
    [anon_sym_RBRACE] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1903),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1905),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_expression] = STATE(1034),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_initializer_list] = STATE(1685),
    [sym_initializer_pair] = STATE(1685),
    [sym_subscript_designator] = STATE(1381),
    [sym_subscript_range_designator] = STATE(1381),
    [sym_field_designator] = STATE(1381),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_initializer_pair_repeat1] = STATE(1381),
    [sym_identifier] = ACTIONS(1897),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1383),
    [anon_sym_RBRACE] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1903),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1905),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_expression] = STATE(1034),
    [sym__string] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_assignment_expression] = STATE(661),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_cast_expression] = STATE(661),
    [sym_sizeof_expression] = STATE(661),
    [sym_alignof_expression] = STATE(661),
    [sym_offsetof_expression] = STATE(661),
    [sym_generic_expression] = STATE(661),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(661),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(820),
    [sym_initializer_list] = STATE(1685),
    [sym_initializer_pair] = STATE(1685),
    [sym_subscript_designator] = STATE(1381),
    [sym_subscript_range_designator] = STATE(1381),
    [sym_field_designator] = STATE(1381),
    [sym_char_literal] = STATE(661),
    [sym_concatenated_string] = STATE(661),
    [sym_string_literal] = STATE(654),
    [sym_null] = STATE(661),
    [aux_sym_initializer_pair_repeat1] = STATE(1381),
    [sym_identifier] = ACTIONS(1897),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1903),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1905),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_preproc_def] = STATE(445),
    [sym_preproc_function_def] = STATE(445),
    [sym_preproc_call] = STATE(445),
    [sym_preproc_if_in_field_declaration_list] = STATE(445),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(445),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1250),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(707),
    [sym_type_specifier] = STATE(713),
    [sym_sized_type_specifier] = STATE(756),
    [sym_enum_specifier] = STATE(756),
    [sym_struct_specifier] = STATE(756),
    [sym_union_specifier] = STATE(756),
    [sym__field_declaration_list_item] = STATE(445),
    [sym_field_declaration] = STATE(445),
    [sym_macro_type_specifier] = STATE(756),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(445),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(771),
    [sym_identifier] = ACTIONS(1915),
    [aux_sym_preproc_def_token1] = ACTIONS(1918),
    [aux_sym_preproc_if_token1] = ACTIONS(1921),
    [aux_sym_preproc_if_token2] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1926),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1926),
    [aux_sym_preproc_else_token1] = ACTIONS(1924),
    [aux_sym_preproc_elif_token1] = ACTIONS(1924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1924),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1924),
    [sym_preproc_directive] = ACTIONS(1929),
    [anon_sym___extension__] = ACTIONS(1932),
    [anon_sym_extern] = ACTIONS(1935),
    [anon_sym___attribute__] = ACTIONS(1938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1941),
    [anon_sym___declspec] = ACTIONS(1944),
    [anon_sym_signed] = ACTIONS(1947),
    [anon_sym_unsigned] = ACTIONS(1947),
    [anon_sym_long] = ACTIONS(1947),
    [anon_sym_short] = ACTIONS(1947),
    [anon_sym_static] = ACTIONS(1935),
    [anon_sym_auto] = ACTIONS(1935),
    [anon_sym_register] = ACTIONS(1935),
    [anon_sym_inline] = ACTIONS(1935),
    [anon_sym___inline] = ACTIONS(1935),
    [anon_sym___inline__] = ACTIONS(1935),
    [anon_sym___forceinline] = ACTIONS(1935),
    [anon_sym_thread_local] = ACTIONS(1935),
    [anon_sym___thread] = ACTIONS(1935),
    [anon_sym_const] = ACTIONS(1932),
    [anon_sym_constexpr] = ACTIONS(1932),
    [anon_sym_volatile] = ACTIONS(1932),
    [anon_sym_restrict] = ACTIONS(1932),
    [anon_sym___restrict__] = ACTIONS(1932),
    [anon_sym__Atomic] = ACTIONS(1932),
    [anon_sym__Noreturn] = ACTIONS(1932),
    [anon_sym_noreturn] = ACTIONS(1932),
    [anon_sym_alignas] = ACTIONS(1950),
    [anon_sym__Alignas] = ACTIONS(1950),
    [sym_primitive_type] = ACTIONS(1953),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1959),
    [anon_sym_union] = ACTIONS(1962),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(1938), 1,
      anon_sym___attribute__,
    ACTIONS(1941), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1944), 1,
      anon_sym___declspec,
    ACTIONS(1953), 1,
      sym_primitive_type,
    ACTIONS(1956), 1,
      anon_sym_enum,
    ACTIONS(1959), 1,
      anon_sym_struct,
    ACTIONS(1962), 1,
      anon_sym_union,
    ACTIONS(1965), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1968), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1974), 1,
      sym_preproc_directive,
    ACTIONS(1977), 1,
      anon_sym_RBRACE,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1249), 1,
      sym__declaration_specifiers,
    ACTIONS(1950), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(1971), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(1947), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(446), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(1932), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(1935), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [115] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(1979), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1981), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1985), 1,
      sym_preproc_directive,
    ACTIONS(1987), 1,
      anon_sym_RBRACE,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1249), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(1983), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(446), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [230] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(1979), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1981), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1985), 1,
      sym_preproc_directive,
    ACTIONS(1989), 1,
      anon_sym_RBRACE,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1249), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(1983), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(447), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [345] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(1924), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(1938), 1,
      anon_sym___attribute__,
    ACTIONS(1941), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1944), 1,
      anon_sym___declspec,
    ACTIONS(1953), 1,
      sym_primitive_type,
    ACTIONS(1956), 1,
      anon_sym_enum,
    ACTIONS(1959), 1,
      anon_sym_struct,
    ACTIONS(1962), 1,
      anon_sym_union,
    ACTIONS(1991), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1994), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2000), 1,
      sym_preproc_directive,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1253), 1,
      sym__declaration_specifiers,
    ACTIONS(1950), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(1997), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(1947), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(449), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(1932), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(1935), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [460] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(2003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2007), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(2011), 1,
      sym_preproc_directive,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1253), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(451), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [575] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(2003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2011), 1,
      sym_preproc_directive,
    ACTIONS(2013), 1,
      aux_sym_preproc_if_token2,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1253), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(449), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [690] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2015), 1,
      anon_sym_RPAREN,
    ACTIONS(2017), 1,
      anon_sym___extension__,
    STATE(654), 1,
      sym_string_literal,
    STATE(993), 1,
      sym_expression,
    STATE(1570), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [804] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      anon_sym_RPAREN,
    ACTIONS(2021), 1,
      anon_sym___extension__,
    STATE(654), 1,
      sym_string_literal,
    STATE(995), 1,
      sym_expression,
    STATE(1585), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [918] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2023), 1,
      anon_sym___extension__,
    STATE(654), 1,
      sym_string_literal,
    STATE(1032), 1,
      sym_expression,
    STATE(1721), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1029] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(2025), 1,
      anon_sym_LBRACE,
    STATE(694), 1,
      sym_ms_call_modifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1104), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(271), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [1137] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2027), 1,
      anon_sym_COLON,
    STATE(654), 1,
      sym_string_literal,
    STATE(1024), 1,
      sym_expression,
    STATE(1752), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1245] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_COLON,
    STATE(654), 1,
      sym_string_literal,
    STATE(1023), 1,
      sym_expression,
    STATE(1825), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1353] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2031), 1,
      anon_sym_SEMI,
    STATE(654), 1,
      sym_string_literal,
    STATE(1020), 1,
      sym_expression,
    STATE(1778), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1461] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2033), 1,
      anon_sym_SEMI,
    STATE(654), 1,
      sym_string_literal,
    STATE(1021), 1,
      sym_expression,
    STATE(1769), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1569] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2035), 1,
      anon_sym_COLON,
    STATE(654), 1,
      sym_string_literal,
    STATE(1009), 1,
      sym_expression,
    STATE(1809), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1677] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1383), 1,
      anon_sym_LBRACE,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(671), 1,
      sym_initializer_list,
    STATE(684), 1,
      sym_string_literal,
    STATE(687), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1785] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1383), 1,
      anon_sym_LBRACE,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1031), 1,
      sym_expression,
    STATE(1722), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1893] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_RPAREN,
    STATE(654), 1,
      sym_string_literal,
    STATE(1014), 1,
      sym_expression,
    STATE(1808), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2001] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2047), 1,
      anon_sym_RPAREN,
    STATE(654), 1,
      sym_string_literal,
    STATE(1037), 1,
      sym_expression,
    STATE(1798), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2109] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1383), 1,
      anon_sym_LBRACE,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(671), 1,
      sym_initializer_list,
    STATE(687), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2217] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1383), 1,
      anon_sym_LBRACE,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2049), 1,
      anon_sym_LPAREN2,
    STATE(671), 1,
      sym_initializer_list,
    STATE(684), 1,
      sym_string_literal,
    STATE(687), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2325] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2053), 1,
      anon_sym_SEMI,
    STATE(654), 1,
      sym_string_literal,
    STATE(1029), 1,
      sym_expression,
    STATE(1916), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2433] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(2055), 1,
      anon_sym_LBRACE,
    STATE(696), 1,
      sym_ms_call_modifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1116), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(136), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [2541] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2057), 1,
      anon_sym_SEMI,
    STATE(654), 1,
      sym_string_literal,
    STATE(1049), 1,
      sym_expression,
    STATE(1976), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2649] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(2059), 1,
      anon_sym_LBRACE,
    STATE(682), 1,
      sym_ms_call_modifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1122), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(367), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [2757] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2061), 1,
      anon_sym_SEMI,
    STATE(654), 1,
      sym_string_literal,
    STATE(1019), 1,
      sym_expression,
    STATE(1803), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2865] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2063), 1,
      anon_sym_RPAREN,
    STATE(654), 1,
      sym_string_literal,
    STATE(1039), 1,
      sym_expression,
    STATE(1963), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2973] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1383), 1,
      anon_sym_LBRACE,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1010), 1,
      sym_expression,
    STATE(1646), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3081] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2065), 1,
      anon_sym_SEMI,
    STATE(654), 1,
      sym_string_literal,
    STATE(1035), 1,
      sym_expression,
    STATE(1749), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3189] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(2067), 1,
      anon_sym_LBRACE,
    STATE(695), 1,
      sym_ms_call_modifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1120), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(305), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [3297] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2069), 1,
      anon_sym_COLON,
    STATE(654), 1,
      sym_string_literal,
    STATE(1036), 1,
      sym_expression,
    STATE(1850), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3405] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1383), 1,
      anon_sym_LBRACE,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(671), 1,
      sym_initializer_list,
    STATE(851), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3513] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2071), 1,
      anon_sym_COLON,
    STATE(654), 1,
      sym_string_literal,
    STATE(1038), 1,
      sym_expression,
    STATE(1873), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3621] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1383), 1,
      anon_sym_LBRACE,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2073), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(671), 1,
      sym_initializer_list,
    STATE(687), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3729] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_const,
    ACTIONS(1720), 1,
      anon_sym_LPAREN2,
    ACTIONS(1726), 1,
      anon_sym_STAR,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    STATE(617), 1,
      sym_string_literal,
    STATE(752), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1739), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(2077), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1729), 10,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [3819] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2079), 1,
      anon_sym_RPAREN,
    STATE(654), 1,
      sym_string_literal,
    STATE(1042), 1,
      sym_expression,
    STATE(1941), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3927] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2081), 1,
      anon_sym_RPAREN,
    STATE(654), 1,
      sym_string_literal,
    STATE(1043), 1,
      sym_expression,
    STATE(1951), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4035] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1383), 1,
      anon_sym_LBRACE,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(671), 1,
      sym_initializer_list,
    STATE(851), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4143] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2087), 1,
      anon_sym_COLON,
    STATE(654), 1,
      sym_string_literal,
    STATE(1044), 1,
      sym_expression,
    STATE(1955), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4251] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2089), 1,
      anon_sym_RPAREN,
    STATE(654), 1,
      sym_string_literal,
    STATE(1030), 1,
      sym_expression,
    STATE(1905), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4359] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2091), 1,
      anon_sym_SEMI,
    STATE(654), 1,
      sym_string_literal,
    STATE(1040), 1,
      sym_expression,
    STATE(1901), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4467] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1383), 1,
      anon_sym_LBRACE,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1008), 1,
      sym_expression,
    STATE(1664), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4575] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1012), 1,
      sym_expression,
    STATE(1736), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4680] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    ACTIONS(2093), 1,
      anon_sym_RBRACK,
    STATE(654), 1,
      sym_string_literal,
    STATE(874), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4785] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    ACTIONS(2095), 1,
      anon_sym_RBRACK,
    STATE(654), 1,
      sym_string_literal,
    STATE(874), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4890] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1025), 1,
      sym_expression,
    STATE(1836), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4995] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(987), 1,
      sym_expression,
    STATE(1637), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5100] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    ACTIONS(2097), 1,
      anon_sym_RBRACK,
    STATE(654), 1,
      sym_string_literal,
    STATE(874), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5205] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    ACTIONS(2099), 1,
      anon_sym_RBRACK,
    STATE(654), 1,
      sym_string_literal,
    STATE(874), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5310] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    ACTIONS(2101), 1,
      anon_sym_RBRACK,
    STATE(654), 1,
      sym_string_literal,
    STATE(874), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5415] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    ACTIONS(2103), 1,
      anon_sym_RBRACK,
    STATE(654), 1,
      sym_string_literal,
    STATE(874), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5520] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    ACTIONS(2105), 1,
      anon_sym_RBRACK,
    STATE(654), 1,
      sym_string_literal,
    STATE(874), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5625] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    ACTIONS(2107), 1,
      anon_sym_RBRACK,
    STATE(654), 1,
      sym_string_literal,
    STATE(874), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5730] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    ACTIONS(2109), 1,
      anon_sym_RBRACK,
    STATE(654), 1,
      sym_string_literal,
    STATE(874), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5835] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    ACTIONS(2111), 1,
      anon_sym_RBRACK,
    STATE(654), 1,
      sym_string_literal,
    STATE(874), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5940] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(953), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6042] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(945), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6144] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(686), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6246] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(949), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6348] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(686), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6450] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(954), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6552] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(939), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6654] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(942), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6756] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(944), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6858] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(946), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6960] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(934), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7062] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(950), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7164] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1063), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7266] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(936), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7368] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1033), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7470] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(1015), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7572] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(952), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7674] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(994), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7776] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(1070), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7878] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(957), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7980] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2049), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(760), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8082] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(850), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8184] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2049), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(761), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8286] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2049), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(762), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8388] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2049), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(763), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8490] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2049), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(764), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8592] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2049), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(765), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8694] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2049), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(766), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8796] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2049), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(767), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8898] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2049), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(768), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9000] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(958), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9102] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1071), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9204] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2049), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(769), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9306] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(688), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9408] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    ACTIONS(2113), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(691), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9510] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2049), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(770), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9612] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(681), 1,
      sym_expression,
    STATE(684), 1,
      sym_string_literal,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9714] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(688), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9816] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2115), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(691), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9918] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1016), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10020] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1051), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10122] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2073), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(685), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10224] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(960), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10326] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(962), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10428] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(998), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10530] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1001), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10632] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(965), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10734] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(959), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10836] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(681), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10938] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(963), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11040] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2049), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(686), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11142] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2049), 1,
      anon_sym_LPAREN2,
    STATE(681), 1,
      sym_expression,
    STATE(684), 1,
      sym_string_literal,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11244] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2073), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(787), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11346] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(967), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11448] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2049), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(688), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11550] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2117), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(691), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11652] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2073), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(815), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11754] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2073), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(686), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11856] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2073), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(816), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11958] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2073), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(817), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12060] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2073), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(785), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12162] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2073), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(818), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12264] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2073), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(800), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12366] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1062), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12468] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2073), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(796), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12570] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2073), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(813), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12672] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(1041), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12774] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(1046), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12876] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(850), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12978] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(1047), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13080] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(1048), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13182] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(1026), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13284] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(1003), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13386] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(1004), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13488] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(1005), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13590] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(1006), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13692] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(1007), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13794] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2073), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(814), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13896] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(996), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13998] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(1011), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14100] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(1002), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14202] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(854), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14304] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(828), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14406] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(855), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14508] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(856), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14610] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(857), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14712] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(858), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14814] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(859), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14916] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(860), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15018] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(861), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15120] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(863), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15222] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(864), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15324] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(873), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15426] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(875), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15528] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2119), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(876), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15630] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(966), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15732] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1054), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15834] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(956), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15936] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2073), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(681), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16038] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_sizeof,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(2049), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(685), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2051), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16140] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1064), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16242] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1066), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16344] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2073), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(688), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16446] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(873), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16548] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2083), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(874), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2085), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16650] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(875), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16752] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(2121), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(876), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16854] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2123), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(691), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16956] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(1057), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(893), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17058] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(961), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17160] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1053), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17262] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1050), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17364] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1387), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2073), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_string_literal,
    STATE(798), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2075), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(674), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17466] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(955), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17568] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1710), 1,
      anon_sym_sizeof,
    ACTIONS(2037), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_LPAREN2,
    STATE(684), 1,
      sym_string_literal,
    STATE(937), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2041), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2043), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(661), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 1,
      sym_identifier,
    STATE(618), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2129), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2127), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17741] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 1,
      sym_identifier,
    STATE(616), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2135), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2133), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17812] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 1,
      sym_identifier,
    STATE(618), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2144), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2142), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2140), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(617), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1724), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1718), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2149), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [18014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2151), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2153), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [18077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2155), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2157), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2161), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2163), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2165), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18263] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 1,
      anon_sym___attribute__,
    ACTIONS(2180), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2183), 1,
      anon_sym___declspec,
    STATE(707), 1,
      sym_alignas_qualifier,
    ACTIONS(2186), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2169), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(625), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2171), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2174), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(2167), 17,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [18341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2189), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2191), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2195), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2199), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2203), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2207), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2211), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2215), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18775] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(582), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(256), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [18874] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(582), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(300), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(633), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [18973] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(141), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19072] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(117), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(639), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19171] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(290), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19270] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(294), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(645), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19369] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(131), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19468] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(380), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(650), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19567] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(292), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(637), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19666] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(357), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19765] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1775), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1777), 1,
      anon_sym_RPAREN,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1135), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1630), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19864] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(375), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(642), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19963] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(282), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20062] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(582), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(286), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(649), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20161] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(123), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(635), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20260] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1775), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      sym_identifier,
    ACTIONS(2219), 1,
      anon_sym_RPAREN,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1135), 1,
      sym__declaration_specifiers,
    STATE(1475), 1,
      sym_variadic_parameter,
    STATE(1630), 1,
      sym_parameter_declaration,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20361] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(582), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(297), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20460] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(373), 1,
      sym_compound_statement,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20559] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 1,
      sym_identifier,
    ACTIONS(2230), 1,
      anon_sym___attribute__,
    ACTIONS(2233), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2236), 1,
      anon_sym___declspec,
    ACTIONS(2239), 1,
      anon_sym_LBRACE,
    ACTIONS(2247), 1,
      sym_primitive_type,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2253), 1,
      anon_sym_struct,
    ACTIONS(2256), 1,
      anon_sym_union,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(2244), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(2241), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2224), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2227), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20655] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1775), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2259), 1,
      sym_identifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1135), 1,
      sym__declaration_specifiers,
    STATE(1651), 1,
      sym_parameter_declaration,
    STATE(1662), 1,
      sym_variadic_parameter,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20753] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1775), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1135), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1651), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20849] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 1,
      sym_identifier,
    STATE(617), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2265), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2263), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [20914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2267), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2269), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [20973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1704), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1702), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [21032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2271), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
  [21091] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_static,
    STATE(700), 1,
      sym_alignas_qualifier,
    ACTIONS(2285), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(658), 2,
      sym_type_qualifier,
      aux_sym_array_declarator_repeat1,
    ACTIONS(2279), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2275), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(2277), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [21160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2267), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [21219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1698), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [21278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1718), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2290), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2294), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2298), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2300), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2302), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2304), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2306), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2310), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2314), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2316), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2318), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2322), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2324), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2326), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2328), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2330), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2334), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1718), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2336), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2338), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2340), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2342), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2344), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2346), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22264] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1195), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2348), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2350), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2354), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22467] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2356), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2358), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [22532] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1226), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2366), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2368), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(617), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2265), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2263), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22739] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2370), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2372), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22806] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2376), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2378), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22873] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2380), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2382), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22940] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2384), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2386), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23007] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1217), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2388), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2390), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23153] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2392), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2394), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23220] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    STATE(617), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2398), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1718), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23285] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1211), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23374] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1232), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23463] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1231), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23552] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1228), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23641] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(713), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1225), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23730] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    STATE(617), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2400), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_static,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2404), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_static,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23906] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(715), 1,
      sym_type_specifier,
    STATE(771), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(625), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23992] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    STATE(717), 1,
      sym_field_declaration_list,
    STATE(748), 1,
      sym_attribute_specifier,
    ACTIONS(2410), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2408), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24055] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    STATE(721), 1,
      sym_field_declaration_list,
    STATE(743), 1,
      sym_attribute_specifier,
    ACTIONS(2416), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2414), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24118] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    STATE(733), 1,
      sym_field_declaration_list,
    STATE(755), 1,
      sym_attribute_specifier,
    ACTIONS(2420), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2418), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24181] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    STATE(732), 1,
      sym_field_declaration_list,
    STATE(783), 1,
      sym_attribute_specifier,
    ACTIONS(2424), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2422), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2426), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2404), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2400), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    STATE(730), 1,
      sym_field_declaration_list,
    STATE(779), 1,
      sym_attribute_specifier,
    ACTIONS(2432), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2430), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2434), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24526] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(707), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2440), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(625), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2438), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24596] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(707), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2444), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(625), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2442), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24666] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(707), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2448), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(711), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2446), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1698), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24790] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(707), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2452), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(712), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2450), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1704), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1702), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(781), 1,
      sym_attribute_specifier,
    ACTIONS(2456), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2454), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(780), 1,
      sym_attribute_specifier,
    ACTIONS(2460), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2458), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25028] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(1744), 1,
      anon_sym_COLON,
    STATE(617), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(757), 1,
      sym_attribute_specifier,
    ACTIONS(2464), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2462), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(778), 1,
      sym_attribute_specifier,
    ACTIONS(2468), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2466), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(750), 1,
      sym_attribute_specifier,
    ACTIONS(2472), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2470), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25262] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(1735), 1,
      anon_sym_COLON,
    STATE(617), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(773), 1,
      sym_attribute_specifier,
    ACTIONS(2476), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2474), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25382] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(1760), 1,
      anon_sym_COLON,
    STATE(617), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25445] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(1758), 1,
      anon_sym_COLON,
    STATE(617), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25508] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_COLON,
    STATE(617), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(728), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2484), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2482), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2480), 33,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25628] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(1742), 1,
      anon_sym_COLON,
    STATE(617), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(772), 1,
      sym_attribute_specifier,
    ACTIONS(2489), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2487), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(746), 1,
      sym_attribute_specifier,
    ACTIONS(2493), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2491), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(747), 1,
      sym_attribute_specifier,
    ACTIONS(2497), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2495), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(742), 1,
      sym_attribute_specifier,
    ACTIONS(2501), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2499), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2505), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2503), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(728), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2511), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2509), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2507), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(728), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2511), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2515), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2513), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(728), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2511), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2519), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2517), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(735), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2525), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2523), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2521), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26195] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LPAREN2,
    STATE(752), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1731), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1729), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(1716), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2532), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2530), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2536), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2534), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2540), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2538), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2544), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2542), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2548), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2546), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2552), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2550), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2556), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2554), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2558), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2564), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2562), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2568), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2566), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2570), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2576), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2574), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(728), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2511), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2580), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2578), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2582), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2586), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2590), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2523), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2521), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2594), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27193] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2598), 1,
      anon_sym_EQ,
    STATE(617), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2600), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1718), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [27253] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2614), 1,
      anon_sym_PIPE,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2618), 1,
      anon_sym_AMP,
    ACTIONS(2628), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2604), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2606), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2622), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2624), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2608), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2602), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [27339] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2608), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2378), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [27403] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2614), 1,
      anon_sym_PIPE,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2618), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2376), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2606), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2622), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2624), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2608), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [27485] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2614), 1,
      anon_sym_PIPE,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2618), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2376), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2606), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2622), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2624), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2608), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [27565] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2618), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2606), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2622), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2624), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2376), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2608), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [27643] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2606), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2622), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2624), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2608), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2378), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [27719] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2606), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2622), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2624), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2608), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2378), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [27793] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2606), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2622), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2624), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2608), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2378), 21,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [27865] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2606), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2608), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2378), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [27933] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2606), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2608), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2378), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [27999] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2614), 1,
      anon_sym_PIPE,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2618), 1,
      anon_sym_AMP,
    ACTIONS(2628), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2606), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2622), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2624), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2632), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2608), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2630), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [28085] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2614), 1,
      anon_sym_PIPE,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2618), 1,
      anon_sym_AMP,
    ACTIONS(2628), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2606), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2622), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2624), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2636), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2608), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2634), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [28171] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 1,
      sym_identifier,
    ACTIONS(2647), 1,
      sym_primitive_type,
    STATE(782), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2645), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2641), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2643), 31,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
  [28231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2651), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2649), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2655), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2653), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2659), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2657), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2663), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2661), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(736), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2669), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2667), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2665), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [28495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(737), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2675), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2673), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2671), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [28551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2679), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2677), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2683), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2681), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2687), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2685), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2691), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2689), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2480), 1,
      sym_primitive_type,
    STATE(728), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2484), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2696), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2693), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [28817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2699), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28869] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2703), 1,
      anon_sym_SEMI,
    STATE(707), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2448), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(711), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2446), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28938] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2709), 1,
      anon_sym_CARET,
    ACTIONS(2711), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2376), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2705), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2713), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2715), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2717), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2707), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2721), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29066] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2632), 1,
      anon_sym_EQ,
    ACTIONS(2709), 1,
      anon_sym_CARET,
    ACTIONS(2711), 1,
      anon_sym_AMP,
    ACTIONS(2725), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2727), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2729), 1,
      anon_sym_PIPE,
    ACTIONS(2731), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2705), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2713), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2715), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2717), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2707), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2630), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2733), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2739), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1357), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1327), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1343), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2741), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1295), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1255), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29559] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2705), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2715), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2717), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2707), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2378), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1267), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29681] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2636), 1,
      anon_sym_EQ,
    ACTIONS(2709), 1,
      anon_sym_CARET,
    ACTIONS(2711), 1,
      anon_sym_AMP,
    ACTIONS(2725), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2727), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2729), 1,
      anon_sym_PIPE,
    ACTIONS(2731), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2705), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2713), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2715), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2717), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2707), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2634), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2745), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29817] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2705), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2713), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2715), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2717), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2707), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2378), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2751), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2749), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29941] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2753), 1,
      anon_sym_SEMI,
    STATE(707), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2448), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(711), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2446), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [30010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2755), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30061] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2759), 1,
      anon_sym_SEMI,
    STATE(707), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2448), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(711), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2446), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [30130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2763), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2761), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2765), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2769), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2775), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2773), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2779), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2777), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30385] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2781), 1,
      anon_sym_SEMI,
    STATE(707), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2448), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(711), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2446), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [30454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 1,
      anon_sym_EQ,
    ACTIONS(2398), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [30509] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2604), 1,
      anon_sym_EQ,
    ACTIONS(2709), 1,
      anon_sym_CARET,
    ACTIONS(2711), 1,
      anon_sym_AMP,
    ACTIONS(2725), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2727), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2729), 1,
      anon_sym_PIPE,
    ACTIONS(2731), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2705), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2713), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2715), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2717), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2707), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2602), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30594] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2705), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2707), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2378), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30661] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2705), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2707), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2378), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30726] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2707), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2378), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30789] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      anon_sym_EQ,
    ACTIONS(2709), 1,
      anon_sym_CARET,
    ACTIONS(2711), 1,
      anon_sym_AMP,
    ACTIONS(2727), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2729), 1,
      anon_sym_PIPE,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2705), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2713), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2715), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2717), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2707), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30870] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      anon_sym_EQ,
    ACTIONS(2709), 1,
      anon_sym_CARET,
    ACTIONS(2711), 1,
      anon_sym_AMP,
    ACTIONS(2729), 1,
      anon_sym_PIPE,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2705), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2713), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2715), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2717), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2707), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30949] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2705), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2713), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2715), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2717), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2376), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2707), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31024] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_LPAREN2,
    ACTIONS(1781), 1,
      anon_sym_STAR,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1262), 1,
      sym__declarator,
    STATE(1423), 1,
      sym__abstract_declarator,
    STATE(1447), 1,
      sym_parameter_list,
    STATE(1926), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2785), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2789), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(918), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(964), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2787), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1445), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [31164] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym___attribute__,
    ACTIONS(2800), 1,
      anon_sym_LBRACE,
    ACTIONS(2802), 1,
      anon_sym_COLON,
    STATE(749), 1,
      sym_attribute_specifier,
    STATE(846), 1,
      sym_enumerator_list,
    ACTIONS(2795), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2793), 31,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [31224] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_LPAREN2,
    ACTIONS(1781), 1,
      anon_sym_STAR,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1270), 1,
      sym__declarator,
    STATE(1431), 1,
      sym__abstract_declarator,
    STATE(1447), 1,
      sym_parameter_list,
    STATE(1926), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2789), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2804), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(917), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2787), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1445), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31310] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2800), 1,
      anon_sym_LBRACE,
    ACTIONS(2810), 1,
      anon_sym___attribute__,
    STATE(775), 1,
      sym_attribute_specifier,
    STATE(877), 1,
      sym_enumerator_list,
    ACTIONS(2808), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2806), 31,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [31367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2813), 2,
      anon_sym___attribute__,
      sym_identifier,
    ACTIONS(2820), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2823), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2816), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2818), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
  [31422] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2825), 2,
      anon_sym___attribute__,
      sym_identifier,
    ACTIONS(2832), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2835), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2828), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2830), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
  [31477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2147), 38,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2151), 38,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31573] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2376), 1,
      anon_sym_EQ,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_PIPE,
    ACTIONS(2847), 1,
      anon_sym_CARET,
    ACTIONS(2849), 1,
      anon_sym_AMP,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2839), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2851), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2853), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2855), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2857), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2841), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2721), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2739), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2737), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2745), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2741), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2745), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2751), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2749), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2755), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2763), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2761), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2765), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2769), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1357), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1327), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1343), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1295), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1255), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1267), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(470), 1,
      sym_string_literal,
    ACTIONS(2861), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2434), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2867), 1,
      anon_sym___attribute__,
    STATE(734), 1,
      sym_attribute_specifier,
    ACTIONS(2865), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2863), 31,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [32506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2775), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2773), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2779), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2777), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1357), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32647] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2376), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2378), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32706] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2380), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2382), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2874), 1,
      anon_sym___attribute__,
    STATE(753), 1,
      sym_attribute_specifier,
    ACTIONS(2872), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2870), 31,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [32816] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2604), 1,
      anon_sym_EQ,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_PIPE,
    ACTIONS(2847), 1,
      anon_sym_CARET,
    ACTIONS(2849), 1,
      anon_sym_AMP,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    ACTIONS(2877), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2879), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2839), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2851), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2853), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2855), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2857), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2841), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2602), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32899] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2841), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2378), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32960] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2376), 1,
      anon_sym_EQ,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2845), 1,
      anon_sym_PIPE,
    ACTIONS(2847), 1,
      anon_sym_CARET,
    ACTIONS(2849), 1,
      anon_sym_AMP,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2839), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2851), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2853), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2855), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2857), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2841), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33037] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2847), 1,
      anon_sym_CARET,
    ACTIONS(2849), 1,
      anon_sym_AMP,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2376), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2839), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2851), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2853), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2855), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2857), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2841), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33112] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2849), 1,
      anon_sym_AMP,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2839), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2851), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2853), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2855), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2857), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2376), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2841), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33185] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2839), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2851), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2853), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2855), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2857), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2841), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2378), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33256] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2839), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2853), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2855), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2857), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2841), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2378), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33325] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2839), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2857), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2841), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2378), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33390] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2839), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2841), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2378), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1327), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33500] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2632), 1,
      anon_sym_EQ,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_PIPE,
    ACTIONS(2847), 1,
      anon_sym_CARET,
    ACTIONS(2849), 1,
      anon_sym_AMP,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    ACTIONS(2877), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2879), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2839), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2851), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2853), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2855), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2857), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2841), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2630), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33583] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2636), 1,
      anon_sym_EQ,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_PIPE,
    ACTIONS(2847), 1,
      anon_sym_CARET,
    ACTIONS(2849), 1,
      anon_sym_AMP,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    ACTIONS(2877), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2879), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2839), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2851), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2853), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2855), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2857), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2841), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2634), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2751), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2749), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1343), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2779), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2777), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1295), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2763), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2761), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1255), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2721), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33995] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(475), 1,
      sym_string_literal,
    ACTIONS(2861), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2434), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34046] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2356), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2358), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [34103] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2370), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2372), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34162] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2384), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2386), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34221] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2392), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2394), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym___attribute__,
    STATE(744), 1,
      sym_attribute_specifier,
    ACTIONS(2883), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2881), 31,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [34331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2735), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2733), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2739), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2737), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1267), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2767), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2765), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(468), 1,
      sym_string_literal,
    ACTIONS(2861), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2434), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2741), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2733), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(455), 1,
      sym_string_literal,
    ACTIONS(2861), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2434), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2769), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2775), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2773), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2755), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2388), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2390), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [34902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2354), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [34948] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1320), 1,
      sym__type_declarator,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2789), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(964), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(983), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2787), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2348), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2350), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [35070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2598), 1,
      anon_sym_EQ,
    ACTIONS(2600), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1718), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [35120] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1315), 1,
      sym__type_declarator,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2789), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(964), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(986), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2787), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35196] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1326), 1,
      sym__type_declarator,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2789), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(894), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(990), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2787), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35272] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1315), 1,
      sym__type_declarator,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2789), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(891), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(986), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2787), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2366), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2368), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [35394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2900), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2898), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35439] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(2902), 1,
      anon_sym_SEMI,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 13,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [35490] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LPAREN2,
    ACTIONS(2904), 1,
      anon_sym_COMMA,
    ACTIONS(2907), 1,
      anon_sym_RPAREN,
    STATE(752), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1530), 1,
      aux_sym__old_style_parameter_list_repeat1,
    ACTIONS(1729), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1731), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1716), 26,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [35547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1165), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1165), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35635] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2913), 1,
      anon_sym_LPAREN2,
    ACTIONS(2917), 1,
      anon_sym_LBRACK,
    STATE(752), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1729), 2,
      anon_sym_COMMA,
      anon_sym_STAR,
    ACTIONS(2910), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1731), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1716), 25,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [35689] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LPAREN2,
    STATE(752), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1729), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2920), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1731), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1716), 26,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [35741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1185), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1185), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1237), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1189), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1189), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1217), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [36005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1221), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [36049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1221), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [36093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1219), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2923), 1,
      anon_sym_typedef,
    ACTIONS(2404), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2927), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2925), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36221] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2787), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1423), 1,
      sym__abstract_declarator,
    STATE(1447), 1,
      sym_parameter_list,
    ACTIONS(2931), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2933), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2935), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(964), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1076), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2785), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1445), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2929), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36293] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_LPAREN2,
    ACTIONS(1781), 1,
      anon_sym_STAR,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1262), 1,
      sym__declarator,
    STATE(1423), 1,
      sym__abstract_declarator,
    STATE(1447), 1,
      sym_parameter_list,
    STATE(1926), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2785), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1445), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36363] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_LPAREN2,
    ACTIONS(1781), 1,
      anon_sym_STAR,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1267), 1,
      sym__declarator,
    STATE(1404), 1,
      sym__abstract_declarator,
    STATE(1447), 1,
      sym_parameter_list,
    STATE(1926), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2937), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1445), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2939), 1,
      anon_sym_typedef,
    ACTIONS(2404), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36477] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2787), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1431), 1,
      sym__abstract_declarator,
    STATE(1447), 1,
      sym_parameter_list,
    ACTIONS(2931), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2933), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2935), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(916), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1073), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2804), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1445), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2929), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2943), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2941), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1183), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1183), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1187), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1187), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1215), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2945), 1,
      anon_sym_typedef,
    ACTIONS(2404), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1235), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1219), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2947), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2818), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2949), 1,
      anon_sym_typedef,
    ACTIONS(2404), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1163), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1163), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37099] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2951), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2953), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2376), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [37158] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1262), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2789), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(964), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1086), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2787), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37225] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2965), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2967), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2971), 1,
      anon_sym_PIPE,
    ACTIONS(2973), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      anon_sym_AMP,
    ACTIONS(2983), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2951), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2953), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2979), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2981), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2963), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [37302] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2971), 1,
      anon_sym_PIPE,
    ACTIONS(2973), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2951), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2953), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2979), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2981), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2378), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [37373] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1262), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2789), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(947), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1086), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2787), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37440] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2973), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2376), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
    ACTIONS(2951), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2953), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2979), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2981), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2378), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [37509] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1270), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2789), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(935), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1084), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2787), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37576] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2985), 1,
      sym_identifier,
    ACTIONS(2987), 1,
      anon_sym_LPAREN2,
    ACTIONS(2989), 1,
      anon_sym_STAR,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1288), 1,
      sym__field_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2789), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(964), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1087), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2787), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1363), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37643] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2975), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2376), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
    ACTIONS(2951), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2953), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2979), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2981), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2378), 10,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [37710] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2985), 1,
      sym_identifier,
    ACTIONS(2987), 1,
      anon_sym_LPAREN2,
    ACTIONS(2989), 1,
      anon_sym_STAR,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1288), 1,
      sym__field_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2789), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(951), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1087), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2787), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1363), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37777] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2951), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2953), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2979), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2981), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2376), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2378), 10,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [37842] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2604), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2967), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2971), 1,
      anon_sym_PIPE,
    ACTIONS(2973), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      anon_sym_AMP,
    ACTIONS(2983), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2951), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2953), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2979), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2981), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [37919] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2951), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2953), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2979), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2981), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2376), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2378), 12,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [37982] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1267), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2789), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(964), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1089), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2787), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [38049] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2985), 1,
      sym_identifier,
    ACTIONS(2987), 1,
      anon_sym_LPAREN2,
    ACTIONS(2989), 1,
      anon_sym_STAR,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1300), 1,
      sym__field_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2789), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(941), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1088), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2787), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1363), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [38116] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2953), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2376), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [38171] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2951), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2953), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2376), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [38228] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2985), 1,
      sym_identifier,
    ACTIONS(2987), 1,
      anon_sym_LPAREN2,
    ACTIONS(2989), 1,
      anon_sym_STAR,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1294), 1,
      sym__field_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2789), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(964), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1085), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2787), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1363), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [38295] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2636), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2967), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2971), 1,
      anon_sym_PIPE,
    ACTIONS(2973), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      anon_sym_AMP,
    ACTIONS(2983), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2951), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2953), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2979), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2981), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2634), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [38372] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2632), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2967), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2971), 1,
      anon_sym_PIPE,
    ACTIONS(2973), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      anon_sym_AMP,
    ACTIONS(2983), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2951), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2953), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2979), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2981), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2630), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [38449] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2971), 1,
      anon_sym_PIPE,
    ACTIONS(2973), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2951), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2953), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2977), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2979), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2981), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2378), 8,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      sym_identifier,
  [38522] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2376), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [38576] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2376), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [38632] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [38702] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [38770] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2376), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [38834] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      anon_sym_PIPE,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [38902] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2634), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [38976] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2602), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [39050] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [39124] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(3024), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(964), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3021), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3019), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3017), 18,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [39172] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      anon_sym_PIPE,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [39238] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2376), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [39296] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2376), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [39358] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1093), 1,
      sym_type_specifier,
    STATE(1102), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1236), 1,
      sym__type_definition_type,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(989), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39421] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1074), 1,
      sym_type_specifier,
    STATE(1091), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1794), 1,
      sym_type_descriptor,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(982), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39484] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1074), 1,
      sym_type_specifier,
    STATE(1091), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1822), 1,
      sym_type_descriptor,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(982), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39547] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_enum,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1074), 1,
      sym_type_specifier,
    STATE(1091), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1840), 1,
      sym_type_descriptor,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(988), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39610] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1074), 1,
      sym_type_specifier,
    STATE(1091), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1759), 1,
      sym_type_descriptor,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(982), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39673] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1093), 1,
      sym_type_specifier,
    STATE(1102), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1233), 1,
      sym__type_definition_type,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(989), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39736] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_enum,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1074), 1,
      sym_type_specifier,
    STATE(1091), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1968), 1,
      sym_type_descriptor,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(988), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39799] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1093), 1,
      sym_type_specifier,
    STATE(1102), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1238), 1,
      sym__type_definition_type,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(989), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39862] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1093), 1,
      sym_type_specifier,
    STATE(1102), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1239), 1,
      sym__type_definition_type,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(989), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39925] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1093), 1,
      sym_type_specifier,
    STATE(1102), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1234), 1,
      sym__type_definition_type,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(989), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39988] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1093), 1,
      sym_type_specifier,
    STATE(1102), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1240), 1,
      sym__type_definition_type,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(989), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40051] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1093), 1,
      sym_type_specifier,
    STATE(1102), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1235), 1,
      sym__type_definition_type,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(989), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40114] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1093), 1,
      sym_type_specifier,
    STATE(1102), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1237), 1,
      sym__type_definition_type,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(989), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40177] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(707), 1,
      sym_alignas_qualifier,
    ACTIONS(3042), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3037), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3039), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(3035), 10,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40223] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1082), 1,
      sym_type_specifier,
    STATE(1091), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40283] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1313), 1,
      sym__type_declarator,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3045), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3047), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [40381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3049), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3051), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [40419] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1320), 1,
      sym__type_declarator,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40479] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3055), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [40553] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_enum,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1082), 1,
      sym_type_specifier,
    STATE(1091), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40613] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1096), 1,
      sym_type_specifier,
    STATE(1102), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(756), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40673] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1315), 1,
      sym__type_declarator,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3057), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3059), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [40771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3061), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3063), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [40809] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3065), 1,
      anon_sym_COMMA,
    ACTIONS(3067), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    STATE(1640), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40884] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3069), 1,
      anon_sym_COMMA,
    ACTIONS(3071), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    STATE(1628), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40959] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3065), 1,
      anon_sym_COMMA,
    ACTIONS(3073), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    STATE(1621), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41034] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3065), 1,
      anon_sym_COMMA,
    ACTIONS(3075), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    STATE(1626), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41109] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3077), 1,
      anon_sym_COMMA,
    ACTIONS(3079), 1,
      anon_sym_RBRACE,
    STATE(675), 1,
      sym_argument_list,
    STATE(1567), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41184] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3065), 1,
      anon_sym_COMMA,
    ACTIONS(3081), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    STATE(1622), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3085), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3083), 23,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [41296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3089), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3087), 23,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [41333] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3091), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [41404] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    ACTIONS(3117), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2634), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41476] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2376), 1,
      anon_sym_PIPE,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41540] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2376), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41602] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2376), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41662] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2376), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41718] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2376), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41772] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3119), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [41842] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3121), 1,
      anon_sym_COLON,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41914] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3123), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [41984] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    ACTIONS(3117), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2630), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42056] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3125), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42128] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3127), 1,
      anon_sym_SEMI,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42200] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3129), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42272] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    ACTIONS(3117), 1,
      anon_sym_QMARK,
    ACTIONS(3131), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3133), 1,
      anon_sym_RBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42346] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3135), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [42416] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3137), 1,
      anon_sym_SEMI,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42488] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3139), 1,
      anon_sym_SEMI,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42560] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3141), 1,
      anon_sym_SEMI,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42632] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3143), 1,
      anon_sym_SEMI,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42704] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3145), 1,
      anon_sym_SEMI,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42776] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2800), 1,
      anon_sym_LBRACE,
    ACTIONS(3147), 1,
      anon_sym_COLON,
    STATE(749), 1,
      sym_attribute_specifier,
    STATE(1080), 1,
      sym_enumerator_list,
    ACTIONS(2795), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
    ACTIONS(2793), 18,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [42822] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3149), 1,
      anon_sym_COLON,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42894] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3151), 1,
      anon_sym_COLON,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42966] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3153), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43038] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2376), 1,
      anon_sym_PIPE,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43104] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3155), 1,
      anon_sym_SEMI,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43176] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3157), 1,
      anon_sym_SEMI,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43248] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3159), 1,
      anon_sym_SEMI,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43320] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43392] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3163), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [43462] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3165), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43532] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2963), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43602] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3167), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [43672] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3169), 1,
      anon_sym_SEMI,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43744] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3171), 1,
      anon_sym_COLON,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43816] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3173), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43888] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3175), 1,
      anon_sym_COLON,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43960] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3177), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44032] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3179), 1,
      anon_sym_SEMI,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44104] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    ACTIONS(3117), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2602), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44176] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44248] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44320] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3185), 1,
      anon_sym_COLON,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44392] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2800), 1,
      anon_sym_LBRACE,
    STATE(775), 1,
      sym_attribute_specifier,
    STATE(1077), 1,
      sym_enumerator_list,
    ACTIONS(2808), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2806), 18,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [44436] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2376), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44488] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44556] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_DOT,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44622] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3187), 1,
      anon_sym_SEMI,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44694] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3189), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [44764] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3191), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44833] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_RBRACK,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    ACTIONS(3117), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44902] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3193), 1,
      anon_sym_COMMA,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44971] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3195), 1,
      anon_sym_COLON,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45040] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 1,
      anon_sym_RBRACK,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    ACTIONS(3117), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45109] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_RBRACK,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    ACTIONS(3117), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45178] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    ACTIONS(3117), 1,
      anon_sym_QMARK,
    ACTIONS(3197), 1,
      anon_sym_RBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45247] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      anon_sym_RBRACK,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    ACTIONS(3117), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45316] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 1,
      anon_sym_RBRACK,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    ACTIONS(3117), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45385] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45454] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_RBRACK,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    ACTIONS(3117), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45523] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3201), 1,
      anon_sym_COLON,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45592] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3203), 1,
      anon_sym_COLON,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45661] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COLON,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45730] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 1,
      anon_sym_RBRACK,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    ACTIONS(3117), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45799] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3207), 1,
      anon_sym_COLON,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45868] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_RBRACK,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    ACTIONS(3117), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45937] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_RBRACK,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    ACTIONS(3117), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46006] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_RBRACK,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    ACTIONS(3117), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46075] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3097), 1,
      anon_sym_SLASH,
    ACTIONS(3099), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3101), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3103), 1,
      anon_sym_PIPE,
    ACTIONS(3105), 1,
      anon_sym_CARET,
    ACTIONS(3107), 1,
      anon_sym_AMP,
    ACTIONS(3117), 1,
      anon_sym_QMARK,
    ACTIONS(3209), 1,
      anon_sym_RBRACK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3093), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3095), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3109), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3111), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3115), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46144] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3211), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46213] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3213), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46282] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1423), 1,
      sym__abstract_declarator,
    STATE(1447), 1,
      sym_parameter_list,
    ACTIONS(2935), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2785), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1445), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2929), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46336] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1403), 1,
      sym__abstract_declarator,
    STATE(1447), 1,
      sym_parameter_list,
    ACTIONS(2935), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1075), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3215), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1445), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2929), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46390] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1435), 1,
      sym__abstract_declarator,
    STATE(1447), 1,
      sym_parameter_list,
    ACTIONS(2935), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3217), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1445), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2929), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46444] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1404), 1,
      sym__abstract_declarator,
    STATE(1447), 1,
      sym_parameter_list,
    ACTIONS(2935), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2937), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1445), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2929), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(744), 1,
      sym_attribute_specifier,
    ACTIONS(2883), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2881), 18,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [46536] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(2362), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(675), 1,
      sym_argument_list,
    ACTIONS(2364), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2374), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2902), 1,
      anon_sym_SEMI,
    ACTIONS(1724), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1718), 18,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [46638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(734), 1,
      sym_attribute_specifier,
    ACTIONS(2865), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2863), 18,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [46676] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1401), 1,
      sym__abstract_declarator,
    STATE(1447), 1,
      sym_parameter_list,
    ACTIONS(2935), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3219), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1445), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2929), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46730] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1436), 1,
      sym__abstract_declarator,
    STATE(1447), 1,
      sym_parameter_list,
    ACTIONS(2935), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1081), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3221), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1445), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2929), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(753), 1,
      sym_attribute_specifier,
    ACTIONS(2872), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2870), 18,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [46822] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1262), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46873] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2985), 1,
      sym_identifier,
    ACTIONS(2987), 1,
      anon_sym_LPAREN2,
    ACTIONS(2989), 1,
      anon_sym_STAR,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1307), 1,
      sym__field_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1363), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46924] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1267), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46975] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2985), 1,
      sym_identifier,
    ACTIONS(2987), 1,
      anon_sym_LPAREN2,
    ACTIONS(2989), 1,
      anon_sym_STAR,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1294), 1,
      sym__field_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1363), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47026] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2985), 1,
      sym_identifier,
    ACTIONS(2987), 1,
      anon_sym_LPAREN2,
    ACTIONS(2989), 1,
      anon_sym_STAR,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1288), 1,
      sym__field_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1363), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47077] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(707), 1,
      sym_alignas_qualifier,
    STATE(1263), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47128] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(728), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2480), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(2484), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2696), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2693), 11,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
  [47166] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2647), 1,
      sym_primitive_type,
    ACTIONS(3223), 1,
      sym_identifier,
    STATE(1090), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3225), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2641), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2643), 11,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
  [47206] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1242), 1,
      sym_ms_call_modifier,
    STATE(1392), 1,
      sym__type_declarator,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47255] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(707), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3229), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1094), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3227), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47294] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(707), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3233), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3231), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47333] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(707), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3237), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3235), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47372] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(707), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3241), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3239), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47411] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(641), 1,
      sym__old_style_function_declarator,
    STATE(1272), 1,
      sym_ms_call_modifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1321), 1,
      sym__declarator,
    STATE(1409), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1549), 1,
      sym_init_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(984), 1,
      sym_preproc_argument_list,
    ACTIONS(3249), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47499] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(647), 1,
      sym__old_style_function_declarator,
    STATE(1276), 1,
      sym_ms_call_modifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1314), 1,
      sym__declarator,
    STATE(1422), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1538), 1,
      sym_init_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47553] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(646), 1,
      sym__old_style_function_declarator,
    STATE(1277), 1,
      sym_ms_call_modifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1319), 1,
      sym__declarator,
    STATE(1416), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1597), 1,
      sym_init_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47607] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(640), 1,
      sym__old_style_function_declarator,
    STATE(1269), 1,
      sym_ms_call_modifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1328), 1,
      sym__declarator,
    STATE(1407), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1636), 1,
      sym_init_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47661] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3251), 1,
      sym_identifier,
    ACTIONS(3257), 1,
      sym_primitive_type,
    STATE(1111), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2641), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3254), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2643), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
  [47698] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3260), 1,
      anon_sym_COMMA,
    ACTIONS(3262), 1,
      anon_sym_RPAREN,
    ACTIONS(3268), 1,
      anon_sym_SLASH,
    ACTIONS(3270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3274), 1,
      anon_sym_PIPE,
    ACTIONS(3276), 1,
      anon_sym_CARET,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    STATE(1523), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3264), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3266), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3280), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3282), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3284), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3286), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47753] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1277), 1,
      sym_ms_call_modifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1337), 1,
      sym__declarator,
    STATE(1416), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1597), 1,
      sym_init_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47804] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3260), 1,
      anon_sym_COMMA,
    ACTIONS(3268), 1,
      anon_sym_SLASH,
    ACTIONS(3270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3274), 1,
      anon_sym_PIPE,
    ACTIONS(3276), 1,
      anon_sym_CARET,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3288), 1,
      anon_sym_RPAREN,
    STATE(1556), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3264), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3266), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3280), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3282), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3284), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3286), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47859] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1275), 1,
      sym_ms_call_modifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1383), 1,
      sym__declarator,
    STATE(1414), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1589), 1,
      sym_init_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(728), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2580), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3290), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2578), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(728), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2509), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3293), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2507), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47976] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1273), 1,
      sym_ms_call_modifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1383), 1,
      sym__declarator,
    STATE(1422), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1538), 1,
      sym_init_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48027] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3298), 1,
      anon_sym_RPAREN,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3308), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1105), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(728), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2696), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3312), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2693), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [48103] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_ms_call_modifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1383), 1,
      sym__declarator,
    STATE(1416), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1597), 1,
      sym_init_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(728), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2519), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3316), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2517), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [48187] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3260), 1,
      anon_sym_COMMA,
    ACTIONS(3268), 1,
      anon_sym_SLASH,
    ACTIONS(3270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3274), 1,
      anon_sym_PIPE,
    ACTIONS(3276), 1,
      anon_sym_CARET,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3319), 1,
      anon_sym_RPAREN,
    STATE(1623), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3264), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3266), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3280), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3282), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3284), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3286), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48242] = 5,
    ACTIONS(3245), 1,
      anon_sym_LF,
    ACTIONS(3321), 1,
      anon_sym_LPAREN2,
    ACTIONS(3323), 1,
      sym_comment,
    STATE(1205), 1,
      sym_preproc_argument_list,
    ACTIONS(3249), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48275] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1276), 1,
      sym_ms_call_modifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1346), 1,
      sym__declarator,
    STATE(1422), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1538), 1,
      sym_init_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1128), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2667), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3325), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2665), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [48359] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1274), 1,
      sym_ms_call_modifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1383), 1,
      sym__declarator,
    STATE(1409), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1549), 1,
      sym_init_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48410] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3328), 1,
      anon_sym_RPAREN,
    ACTIONS(3330), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1103), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48453] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1272), 1,
      sym_ms_call_modifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1340), 1,
      sym__declarator,
    STATE(1409), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1549), 1,
      sym_init_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48504] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1268), 1,
      sym_ms_call_modifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1383), 1,
      sym__declarator,
    STATE(1451), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1698), 1,
      sym_init_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48555] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1269), 1,
      sym_ms_call_modifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1344), 1,
      sym__declarator,
    STATE(1407), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1636), 1,
      sym_init_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1108), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2523), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3332), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2521), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [48639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_STAR,
    ACTIONS(2527), 1,
      anon_sym_LPAREN2,
    STATE(1107), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3335), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1716), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [48674] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3338), 1,
      anon_sym_RPAREN,
    ACTIONS(3340), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1114), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48717] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1266), 1,
      sym_ms_call_modifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1383), 1,
      sym__declarator,
    STATE(1408), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1572), 1,
      sym_init_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1113), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2673), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3342), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2671), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [48801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(728), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2515), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3345), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2513), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [48834] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1261), 1,
      sym_ms_call_modifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1383), 1,
      sym__declarator,
    STATE(1407), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1636), 1,
      sym_init_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48885] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3348), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1167), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48925] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3350), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1183), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48965] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3362), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1192), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49005] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3366), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1206), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49045] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3368), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1187), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49085] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_LPAREN2,
    ACTIONS(1781), 1,
      anon_sym_STAR,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    STATE(1359), 1,
      sym__declarator,
    STATE(1446), 1,
      sym__abstract_declarator,
    STATE(1447), 1,
      sym_parameter_list,
    STATE(1926), 1,
      sym_ms_based_modifier,
    ACTIONS(3370), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1445), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [49133] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3372), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1209), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49173] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3374), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1190), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49213] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3376), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1202), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49253] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3378), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1220), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49293] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3380), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1218), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49333] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3382), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1213), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49373] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3384), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1210), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49413] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3386), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1223), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49453] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3388), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1191), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49493] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3390), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1207), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3394), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3392), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49561] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3396), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1203), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49601] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3398), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1198), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49641] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3400), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1186), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3408), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3406), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3412), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3410), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49765] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3414), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1156), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3418), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3416), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49837] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3420), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1160), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3418), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3416), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49905] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3422), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1161), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49945] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3424), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1162), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49985] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3426), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1151), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50025] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 1,
      anon_sym_SLASH,
    ACTIONS(3272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3274), 1,
      anon_sym_PIPE,
    ACTIONS(3276), 1,
      anon_sym_CARET,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3264), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3266), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3280), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3282), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3284), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3286), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3416), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [50073] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 1,
      anon_sym_SLASH,
    ACTIONS(3274), 1,
      anon_sym_PIPE,
    ACTIONS(3276), 1,
      anon_sym_CARET,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3264), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3266), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3280), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3282), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3284), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3286), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3416), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [50119] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 1,
      anon_sym_SLASH,
    ACTIONS(3276), 1,
      anon_sym_CARET,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3418), 1,
      anon_sym_PIPE,
    ACTIONS(3264), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3266), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3280), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3282), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3284), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3286), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3416), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [50165] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3428), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1165), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50205] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3430), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1200), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50245] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 1,
      anon_sym_SLASH,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3418), 1,
      anon_sym_PIPE,
    ACTIONS(3264), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3266), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3280), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3282), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3284), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3286), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3416), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [50289] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3266), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3280), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3282), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3284), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3286), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3418), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3416), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [50331] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3266), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3282), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3284), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3286), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3418), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3416), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [50371] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3266), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3286), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3418), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3416), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [50407] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3432), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1166), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50447] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3434), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1214), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50487] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3436), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1168), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50527] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3438), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1215), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50567] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3266), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3418), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3416), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50601] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3440), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1222), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50641] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3442), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1199), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50681] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3444), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1193), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50721] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3446), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1196), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50761] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3448), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1201), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50801] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3450), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1219), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50841] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3452), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1173), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50881] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3454), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1224), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2298), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50949] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 1,
      anon_sym_SLASH,
    ACTIONS(3270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3274), 1,
      anon_sym_PIPE,
    ACTIONS(3276), 1,
      anon_sym_CARET,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3264), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3266), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3280), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3282), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3284), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3286), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3456), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [50999] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      anon_sym_LPAREN2,
    ACTIONS(3356), 1,
      anon_sym_defined,
    ACTIONS(3458), 1,
      sym_number_literal,
    ACTIONS(3358), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3360), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3364), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1194), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51039] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(3300), 1,
      anon_sym_LPAREN2,
    ACTIONS(3302), 1,
      anon_sym_defined,
    ACTIONS(3460), 1,
      sym_number_literal,
    ACTIONS(3304), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3306), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3310), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1154), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51079] = 12,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3462), 1,
      anon_sym_LF,
    ACTIONS(3468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51124] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_LF,
    ACTIONS(3418), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51151] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3410), 1,
      anon_sym_LF,
    ACTIONS(3412), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51178] = 3,
    ACTIONS(3051), 1,
      anon_sym_LF,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3049), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51205] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 1,
      anon_sym_SLASH,
    ACTIONS(3270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3274), 1,
      anon_sym_PIPE,
    ACTIONS(3276), 1,
      anon_sym_CARET,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3484), 1,
      anon_sym_RPAREN,
    ACTIONS(3264), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3266), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3280), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3282), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3284), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3286), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51254] = 12,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3486), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51299] = 12,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_LF,
    ACTIONS(3418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51344] = 12,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3488), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51389] = 12,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3490), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51434] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(636), 1,
      sym__old_style_function_declarator,
    STATE(1306), 1,
      sym_ms_call_modifier,
    STATE(1342), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [51477] = 12,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3492), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51522] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3392), 1,
      anon_sym_LF,
    ACTIONS(3394), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51549] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3406), 1,
      anon_sym_LF,
    ACTIONS(3408), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51576] = 11,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_LF,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3418), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51619] = 12,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3494), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51664] = 12,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3496), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51709] = 12,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51754] = 12,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3500), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51799] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 1,
      anon_sym_const,
    ACTIONS(2800), 1,
      anon_sym_LBRACE,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(3504), 1,
      anon_sym_COLON,
    STATE(749), 1,
      sym_attribute_specifier,
    STATE(1080), 1,
      sym_enumerator_list,
    ACTIONS(2795), 13,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
  [51836] = 3,
    ACTIONS(3047), 1,
      anon_sym_LF,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3045), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51863] = 10,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_LF,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3418), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51904] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 1,
      anon_sym_SLASH,
    ACTIONS(3270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3274), 1,
      anon_sym_PIPE,
    ACTIONS(3276), 1,
      anon_sym_CARET,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3507), 1,
      anon_sym_RPAREN,
    ACTIONS(3264), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3266), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3280), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3282), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3284), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3286), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51953] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3402), 1,
      anon_sym_LF,
    ACTIONS(3404), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51980] = 9,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_LF,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3418), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52019] = 8,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3418), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [52056] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(638), 1,
      sym__old_style_function_declarator,
    STATE(1298), 1,
      sym_ms_call_modifier,
    STATE(1339), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52099] = 3,
    ACTIONS(2298), 1,
      anon_sym_LF,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(2296), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52126] = 12,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3509), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52171] = 7,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3418), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [52206] = 6,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3418), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52239] = 3,
    ACTIONS(3059), 1,
      anon_sym_LF,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3057), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52266] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(644), 1,
      sym__old_style_function_declarator,
    STATE(1293), 1,
      sym_ms_call_modifier,
    STATE(1333), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52309] = 12,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3511), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52354] = 5,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3418), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52385] = 12,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3513), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52430] = 3,
    ACTIONS(3063), 1,
      anon_sym_LF,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3061), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52457] = 12,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3515), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52502] = 12,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    ACTIONS(3474), 1,
      anon_sym_CARET,
    ACTIONS(3476), 1,
      anon_sym_AMP,
    ACTIONS(3517), 1,
      anon_sym_LF,
    ACTIONS(3464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3478), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3480), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52547] = 4,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_LF,
    ACTIONS(3466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3418), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52576] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(634), 1,
      sym__old_style_function_declarator,
    STATE(1282), 1,
      sym_ms_call_modifier,
    STATE(1336), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52619] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(1293), 1,
      sym_ms_call_modifier,
    STATE(1352), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52659] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2985), 1,
      sym_identifier,
    ACTIONS(2987), 1,
      anon_sym_LPAREN2,
    ACTIONS(2989), 1,
      anon_sym_STAR,
    STATE(1299), 1,
      sym_ms_call_modifier,
    STATE(1396), 1,
      sym__field_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1363), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52699] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(1306), 1,
      sym_ms_call_modifier,
    STATE(1372), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52739] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_LPAREN2,
    ACTIONS(1781), 1,
      anon_sym_STAR,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    STATE(1394), 1,
      sym__declarator,
    STATE(1447), 1,
      sym_parameter_list,
    STATE(1470), 1,
      sym__abstract_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1445), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52783] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(1283), 1,
      sym_ms_call_modifier,
    STATE(1380), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52823] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(1298), 1,
      sym_ms_call_modifier,
    STATE(1368), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52863] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(1282), 1,
      sym_ms_call_modifier,
    STATE(1354), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52903] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1323), 1,
      sym__type_declarator,
    STATE(1496), 1,
      sym__type_definition_declarators,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [52944] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1323), 1,
      sym__type_declarator,
    STATE(1479), 1,
      sym__type_definition_declarators,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [52985] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1323), 1,
      sym__type_declarator,
    STATE(1469), 1,
      sym__type_definition_declarators,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [53026] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1323), 1,
      sym__type_declarator,
    STATE(1499), 1,
      sym__type_definition_declarators,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [53067] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1323), 1,
      sym__type_declarator,
    STATE(1488), 1,
      sym__type_definition_declarators,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [53108] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1323), 1,
      sym__type_declarator,
    STATE(1463), 1,
      sym__type_definition_declarators,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [53149] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1323), 1,
      sym__type_declarator,
    STATE(1487), 1,
      sym__type_definition_declarators,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [53190] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1323), 1,
      sym__type_declarator,
    STATE(1506), 1,
      sym__type_definition_declarators,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [53231] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    STATE(1246), 1,
      sym_gnu_asm_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1251), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3521), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53265] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1397), 1,
      sym__type_declarator,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [53303] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    STATE(1245), 1,
      sym_gnu_asm_expression,
    STATE(1295), 1,
      sym_attribute_specifier,
    STATE(1387), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(3525), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1251), 2,
      sym_preproc_call_expression,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3521), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53343] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1335), 1,
      sym__type_declarator,
    STATE(1914), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1390), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [53381] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3531), 1,
      anon_sym_LBRACK,
    STATE(1295), 1,
      sym_attribute_specifier,
    STATE(1375), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(3527), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3533), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1254), 2,
      sym_preproc_call_expression,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3529), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53418] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3531), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1254), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3529), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53447] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 1,
      sym_identifier,
    ACTIONS(3537), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3539), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3541), 1,
      aux_sym_preproc_elif_token1,
    STATE(1286), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1287), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1379), 1,
      sym_enumerator,
    ACTIONS(3543), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1746), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(1748), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [53486] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 1,
      sym_identifier,
    ACTIONS(3539), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3541), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3545), 1,
      aux_sym_preproc_if_token2,
    STATE(1296), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1297), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1379), 1,
      sym_enumerator,
    ACTIONS(3543), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1826), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(1827), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [53525] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2985), 1,
      sym_identifier,
    ACTIONS(2987), 1,
      anon_sym_LPAREN2,
    ACTIONS(2989), 1,
      anon_sym_STAR,
    ACTIONS(3547), 1,
      anon_sym_SEMI,
    STATE(1280), 1,
      sym__field_declarator,
    STATE(1562), 1,
      sym__field_declaration_declarator,
    STATE(1766), 1,
      sym_attribute_specifier,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1363), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [53566] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2985), 1,
      sym_identifier,
    ACTIONS(2987), 1,
      anon_sym_LPAREN2,
    ACTIONS(2989), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SEMI,
    STATE(1280), 1,
      sym__field_declarator,
    STATE(1612), 1,
      sym__field_declaration_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1841), 1,
      sym_attribute_specifier,
    STATE(1363), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [53607] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3531), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1255), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3529), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53636] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 1,
      sym_identifier,
    ACTIONS(3539), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3541), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3551), 1,
      aux_sym_preproc_if_token2,
    STATE(1302), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1303), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1379), 1,
      sym_enumerator,
    ACTIONS(3543), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1862), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(1865), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [53675] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2985), 1,
      sym_identifier,
    ACTIONS(2987), 1,
      anon_sym_LPAREN2,
    ACTIONS(2989), 1,
      anon_sym_STAR,
    ACTIONS(3553), 1,
      anon_sym_SEMI,
    STATE(1280), 1,
      sym__field_declarator,
    STATE(1548), 1,
      sym__field_declaration_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1770), 1,
      sym_attribute_specifier,
    STATE(1363), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [53716] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3557), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1255), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3555), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      sym_identifier,
    ACTIONS(3564), 1,
      anon_sym___attribute__,
    ACTIONS(3567), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1255), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3562), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53774] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 1,
      sym_identifier,
    ACTIONS(3539), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3541), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3569), 1,
      aux_sym_preproc_if_token2,
    STATE(1285), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1291), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1379), 1,
      sym_enumerator,
    ACTIONS(3543), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1945), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(1960), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [53813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3576), 1,
      anon_sym_LBRACK,
    STATE(1257), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3571), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [53839] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(3578), 1,
      sym_identifier,
    ACTIONS(3580), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(3584), 1,
      anon_sym_RBRACE,
    ACTIONS(3582), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1667), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(1735), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(1260), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [53872] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1417), 1,
      sym__declaration_declarator,
    STATE(1432), 1,
      sym__declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [53909] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(3578), 1,
      sym_identifier,
    ACTIONS(3580), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(3586), 1,
      anon_sym_RBRACE,
    ACTIONS(3582), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1719), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(1969), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(1292), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [53942] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1428), 1,
      sym__declaration_declarator,
    STATE(1432), 1,
      sym__declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [53979] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3588), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [54008] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3594), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [54037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3596), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3598), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [54058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(984), 1,
      sym_preproc_argument_list,
    ACTIONS(3600), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3602), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54083] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1411), 1,
      sym__declaration_declarator,
    STATE(1432), 1,
      sym__declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54120] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3604), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [54149] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1432), 1,
      sym__declarator,
    STATE(1455), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54186] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1365), 1,
      sym__declarator,
    STATE(1428), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54223] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3606), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [54252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2823), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(2816), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [54273] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1355), 1,
      sym__declarator,
    STATE(1429), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54310] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1427), 1,
      sym__declaration_declarator,
    STATE(1432), 1,
      sym__declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54347] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1429), 1,
      sym__declaration_declarator,
    STATE(1432), 1,
      sym__declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54384] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1415), 1,
      sym__declaration_declarator,
    STATE(1432), 1,
      sym__declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54421] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1366), 1,
      sym__declarator,
    STATE(1427), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54458] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(3243), 1,
      sym_identifier,
    STATE(1310), 1,
      sym_function_declarator,
    STATE(1351), 1,
      sym__declarator,
    STATE(1417), 1,
      sym__declaration_declarator,
    STATE(1471), 1,
      sym__function_declaration_declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1331), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2835), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(2828), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [54516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LBRACK,
    STATE(1257), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3608), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [54540] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3612), 1,
      anon_sym_COMMA,
    ACTIONS(3616), 1,
      anon_sym_LBRACK,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    STATE(1364), 1,
      sym_parameter_list,
    STATE(1484), 1,
      sym_bitfield_clause,
    STATE(1490), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(3614), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54576] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3578), 1,
      sym_identifier,
    ACTIONS(3620), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3622), 1,
      aux_sym_preproc_elif_token1,
    STATE(1286), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1732), 1,
      sym_enumerator,
    ACTIONS(3624), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1746), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [54607] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(1353), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [54636] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(1394), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [54665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3626), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    ACTIONS(3628), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1457), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54690] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3578), 1,
      sym_identifier,
    ACTIONS(3620), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3622), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3630), 1,
      aux_sym_preproc_if_token2,
    STATE(1357), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1732), 1,
      sym_enumerator,
    ACTIONS(3624), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1929), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [54721] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3578), 1,
      sym_identifier,
    ACTIONS(3620), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3622), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3632), 1,
      aux_sym_preproc_if_token2,
    STATE(1357), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1732), 1,
      sym_enumerator,
    ACTIONS(3624), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1872), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [54752] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 1,
      sym_identifier,
    ACTIONS(3634), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3636), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3638), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3640), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1369), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1879), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [54781] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3616), 1,
      anon_sym_LBRACK,
    STATE(1364), 1,
      sym_parameter_list,
    STATE(1318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3642), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [54808] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 1,
      sym_identifier,
    ACTIONS(3636), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3638), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3644), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3640), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1287), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1748), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [54837] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3578), 1,
      sym_identifier,
    ACTIONS(3620), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3622), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3646), 1,
      aux_sym_preproc_if_token2,
    STATE(1285), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1732), 1,
      sym_enumerator,
    ACTIONS(3624), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1945), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [54868] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 1,
      sym_identifier,
    ACTIONS(3636), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3638), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3648), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3640), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1369), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1743), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [54897] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3650), 1,
      sym_identifier,
    ACTIONS(3653), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(3659), 1,
      sym_preproc_directive,
    ACTIONS(3662), 1,
      anon_sym_RBRACE,
    ACTIONS(3656), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1835), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(1292), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [54926] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(1367), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [54955] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3616), 1,
      anon_sym_LBRACK,
    STATE(1364), 1,
      sym_parameter_list,
    STATE(1318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3664), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [54982] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym___attribute__,
    ACTIONS(3600), 2,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(3666), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3671), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(3602), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [55007] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3578), 1,
      sym_identifier,
    ACTIONS(3620), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3622), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3673), 1,
      aux_sym_preproc_if_token2,
    STATE(1357), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1732), 1,
      sym_enumerator,
    ACTIONS(3624), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1787), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [55038] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 1,
      sym_identifier,
    ACTIONS(3636), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3638), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3675), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3640), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1369), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1792), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [55067] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(1373), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [55096] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2985), 1,
      sym_identifier,
    ACTIONS(2987), 1,
      anon_sym_LPAREN2,
    ACTIONS(2989), 1,
      anon_sym_STAR,
    STATE(1386), 1,
      sym__field_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1363), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [55125] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3616), 1,
      anon_sym_LBRACK,
    STATE(1364), 1,
      sym_parameter_list,
    STATE(1318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3677), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [55152] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2985), 1,
      sym_identifier,
    ACTIONS(2987), 1,
      anon_sym_LPAREN2,
    ACTIONS(2989), 1,
      anon_sym_STAR,
    STATE(1308), 1,
      sym__field_declarator,
    STATE(1767), 1,
      sym_ms_based_modifier,
    STATE(1363), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [55181] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3578), 1,
      sym_identifier,
    ACTIONS(3620), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3622), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3679), 1,
      aux_sym_preproc_if_token2,
    STATE(1357), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1732), 1,
      sym_enumerator,
    ACTIONS(3624), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1965), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [55212] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 1,
      sym_identifier,
    ACTIONS(3636), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3638), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3681), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3640), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1369), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1966), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [55241] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3578), 1,
      sym_identifier,
    ACTIONS(3620), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3622), 1,
      aux_sym_preproc_elif_token1,
    STATE(1302), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1732), 1,
      sym_enumerator,
    ACTIONS(3624), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1862), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [55272] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 1,
      sym_identifier,
    ACTIONS(3636), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3638), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3683), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3640), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1303), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1865), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [55301] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2959), 1,
      anon_sym_LPAREN2,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    STATE(1349), 1,
      sym__declarator,
    STATE(1926), 1,
      sym_ms_based_modifier,
    STATE(1310), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [55330] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3616), 1,
      anon_sym_LBRACK,
    STATE(1364), 1,
      sym_parameter_list,
    STATE(1318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3685), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [55357] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3616), 1,
      anon_sym_LBRACK,
    ACTIONS(3618), 1,
      anon_sym_COLON,
    STATE(1364), 1,
      sym_parameter_list,
    STATE(1569), 1,
      sym_bitfield_clause,
    STATE(1318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3687), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [55388] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3578), 1,
      sym_identifier,
    ACTIONS(3620), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3622), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3689), 1,
      aux_sym_preproc_if_token2,
    STATE(1296), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1732), 1,
      sym_enumerator,
    ACTIONS(3624), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1826), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [55419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_LBRACK,
    ACTIONS(3691), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3697), 1,
      anon_sym_LBRACK,
    ACTIONS(3695), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_LBRACK,
    ACTIONS(3699), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55473] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3705), 1,
      anon_sym_LBRACK,
    STATE(1393), 1,
      sym_parameter_list,
    STATE(1332), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3703), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [55499] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    ACTIONS(3707), 1,
      anon_sym_LPAREN2,
    ACTIONS(3709), 1,
      anon_sym_EQ,
    STATE(142), 1,
      sym_compound_statement,
    STATE(921), 1,
      sym__old_style_parameter_list,
    STATE(1243), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55531] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3705), 1,
      anon_sym_LBRACK,
    STATE(1393), 1,
      sym_parameter_list,
    STATE(1332), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3711), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [55557] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    STATE(1494), 1,
      sym_gnu_asm_input_operand,
    STATE(1954), 1,
      sym_string_literal,
    ACTIONS(3713), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55581] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3719), 1,
      anon_sym_LBRACK,
    STATE(1485), 1,
      sym_gnu_asm_output_operand,
    STATE(1936), 1,
      sym_string_literal,
    ACTIONS(3717), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3723), 1,
      anon_sym_LBRACK,
    STATE(1257), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3721), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [55627] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(582), 1,
      anon_sym_LBRACE,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    ACTIONS(3707), 1,
      anon_sym_LPAREN2,
    ACTIONS(3709), 1,
      anon_sym_EQ,
    STATE(285), 1,
      sym_compound_statement,
    STATE(921), 1,
      sym__old_style_parameter_list,
    STATE(1243), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55659] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3705), 1,
      anon_sym_LBRACK,
    STATE(1393), 1,
      sym_parameter_list,
    STATE(1332), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3725), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [55685] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    ACTIONS(3707), 1,
      anon_sym_LPAREN2,
    ACTIONS(3709), 1,
      anon_sym_EQ,
    STATE(259), 1,
      sym_compound_statement,
    STATE(921), 1,
      sym__old_style_parameter_list,
    STATE(1243), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3729), 1,
      anon_sym_LBRACK,
    ACTIONS(3727), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55735] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3705), 1,
      anon_sym_LBRACK,
    ACTIONS(3731), 1,
      anon_sym_COMMA,
    STATE(1393), 1,
      sym_parameter_list,
    STATE(1481), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(3733), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1332), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3741), 1,
      anon_sym_LBRACK,
    ACTIONS(3739), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55801] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3705), 1,
      anon_sym_LBRACK,
    STATE(1393), 1,
      sym_parameter_list,
    STATE(1332), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3743), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [55827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3747), 1,
      anon_sym_LBRACK,
    ACTIONS(3745), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55845] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    ACTIONS(3707), 1,
      anon_sym_LPAREN2,
    ACTIONS(3709), 1,
      anon_sym_EQ,
    STATE(376), 1,
      sym_compound_statement,
    STATE(921), 1,
      sym__old_style_parameter_list,
    STATE(1243), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3749), 1,
      sym_identifier,
    ACTIONS(3753), 1,
      sym_system_lib_string,
    STATE(1882), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3751), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3626), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1620), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55919] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_LBRACK,
    ACTIONS(3691), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(3755), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [55938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3759), 1,
      anon_sym_LBRACK,
    STATE(1257), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3757), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [55959] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    ACTIONS(3707), 1,
      anon_sym_LPAREN2,
    STATE(374), 1,
      sym_compound_statement,
    STATE(921), 1,
      sym__old_style_parameter_list,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3626), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1547), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56009] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3705), 1,
      anon_sym_LBRACK,
    STATE(1393), 1,
      sym_parameter_list,
    STATE(1332), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3761), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [56034] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(582), 1,
      anon_sym_LBRACE,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    ACTIONS(3707), 1,
      anon_sym_LPAREN2,
    STATE(298), 1,
      sym_compound_statement,
    STATE(921), 1,
      sym__old_style_parameter_list,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56063] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(582), 1,
      anon_sym_LBRACE,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_EQ,
    STATE(285), 1,
      sym_compound_statement,
    STATE(1243), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 1,
      sym_identifier,
    ACTIONS(3765), 1,
      sym_system_lib_string,
    STATE(1781), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3751), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56113] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    ACTIONS(3707), 1,
      anon_sym_LPAREN2,
    STATE(293), 1,
      sym_compound_statement,
    STATE(921), 1,
      sym__old_style_parameter_list,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56142] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_EQ,
    STATE(259), 1,
      sym_compound_statement,
    STATE(1243), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3767), 1,
      sym_identifier,
    ACTIONS(3769), 1,
      sym_system_lib_string,
    STATE(1971), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3751), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56192] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    ACTIONS(3707), 1,
      anon_sym_LPAREN2,
    STATE(116), 1,
      sym_compound_statement,
    STATE(921), 1,
      sym__old_style_parameter_list,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3771), 1,
      sym_identifier,
    ACTIONS(3773), 1,
      sym_system_lib_string,
    STATE(1888), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3751), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56242] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_EQ,
    STATE(376), 1,
      sym_compound_statement,
    STATE(1243), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3626), 1,
      sym_identifier,
    STATE(654), 1,
      sym_string_literal,
    STATE(1525), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56292] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_EQ,
    STATE(142), 1,
      sym_compound_statement,
    STATE(1243), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56321] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    STATE(1447), 1,
      sym_parameter_list,
    STATE(1470), 1,
      sym__abstract_declarator,
    STATE(1445), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
  [56346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_LBRACK,
    ACTIONS(3775), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56362] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(130), 1,
      sym_compound_statement,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(3779), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56404] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(582), 1,
      anon_sym_LBRACE,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(296), 1,
      sym_compound_statement,
    STATE(1243), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56430] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(374), 1,
      sym_compound_statement,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56456] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(582), 1,
      anon_sym_LBRACE,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(255), 1,
      sym_compound_statement,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56482] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(582), 1,
      anon_sym_LBRACE,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(298), 1,
      sym_compound_statement,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56508] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(273), 1,
      sym_compound_statement,
    STATE(1243), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3785), 1,
      anon_sym_LBRACK,
    ACTIONS(3783), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 1,
      sym_identifier,
    ACTIONS(3792), 1,
      aux_sym_preproc_elif_token1,
    STATE(1357), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1732), 1,
      sym_enumerator,
    ACTIONS(3790), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [56572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    STATE(1634), 1,
      sym_gnu_asm_input_operand,
    STATE(1954), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56592] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(1241), 1,
      sym_parameter_list,
    ACTIONS(3794), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3798), 1,
      anon_sym_LBRACK,
    ACTIONS(3796), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3804), 1,
      anon_sym_EQ,
    ACTIONS(3800), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [56650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      anon_sym_LBRACK,
    ACTIONS(3806), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3812), 1,
      anon_sym_LBRACK,
    ACTIONS(3810), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3816), 1,
      anon_sym_LBRACK,
    ACTIONS(3814), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56698] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(371), 1,
      sym_compound_statement,
    STATE(1243), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56724] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(135), 1,
      sym_compound_statement,
    STATE(1243), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56750] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(356), 1,
      sym_compound_statement,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56776] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(293), 1,
      sym_compound_statement,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3818), 1,
      sym_identifier,
    ACTIONS(3823), 1,
      aux_sym_preproc_elif_token1,
    STATE(1369), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(3821), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [56822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3827), 1,
      anon_sym_LBRACK,
    ACTIONS(3825), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_LBRACK,
    ACTIONS(3829), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56854] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(116), 1,
      sym_compound_statement,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56880] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(281), 1,
      sym_compound_statement,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3719), 1,
      anon_sym_LBRACK,
    STATE(1608), 1,
      sym_gnu_asm_output_operand,
    STATE(1936), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    STATE(1389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3833), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [56943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3837), 1,
      anon_sym_LBRACK,
    ACTIONS(3835), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [56958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACK,
    ACTIONS(3839), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [56973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_LBRACK,
    ACTIONS(3843), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [56988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3849), 1,
      anon_sym_COMMA,
    ACTIONS(3851), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3847), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [57005] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    ACTIONS(3853), 1,
      anon_sym_RPAREN,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LBRACK,
    ACTIONS(3855), 1,
      anon_sym_EQ,
    ACTIONS(3857), 1,
      anon_sym_DOT,
    STATE(1385), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [57047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3861), 1,
      anon_sym_LBRACK,
    ACTIONS(3859), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [57062] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_EQ,
    STATE(1243), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3865), 1,
      anon_sym_LBRACK,
    ACTIONS(3863), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [57100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_LBRACK,
    ACTIONS(3870), 1,
      anon_sym_EQ,
    ACTIONS(3872), 1,
      anon_sym_DOT,
    STATE(1385), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [57119] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3616), 1,
      anon_sym_LBRACK,
    ACTIONS(3875), 1,
      anon_sym_RPAREN,
    STATE(1364), 1,
      sym_parameter_list,
    STATE(1318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    STATE(1389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3527), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [57159] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    ACTIONS(3877), 1,
      sym_identifier,
    STATE(720), 1,
      sym_field_declaration_list,
    STATE(1443), 1,
      sym_attribute_specifier,
    STATE(1610), 1,
      sym_ms_declspec_modifier,
  [57184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3881), 1,
      anon_sym___attribute__,
    STATE(1389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3879), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [57201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_LBRACK,
    ACTIONS(3884), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [57216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_LBRACK,
    ACTIONS(3888), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [57231] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3705), 1,
      anon_sym_LBRACK,
    ACTIONS(3892), 1,
      anon_sym_RPAREN,
    STATE(1393), 1,
      sym_parameter_list,
    STATE(1332), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_LBRACK,
    ACTIONS(3894), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [57269] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    ACTIONS(3898), 1,
      anon_sym_RPAREN,
    STATE(1241), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_LBRACK,
    ACTIONS(3900), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [57307] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3616), 1,
      anon_sym_LBRACK,
    ACTIONS(3904), 1,
      anon_sym_RPAREN,
    STATE(1364), 1,
      sym_parameter_list,
    STATE(1318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57330] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3705), 1,
      anon_sym_LBRACK,
    ACTIONS(3906), 1,
      anon_sym_RPAREN,
    STATE(1393), 1,
      sym_parameter_list,
    STATE(1332), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3910), 1,
      anon_sym_LBRACK,
    ACTIONS(3908), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [57368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3914), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3918), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3922), 1,
      anon_sym_LBRACK,
    STATE(1454), 1,
      sym_parameter_list,
    ACTIONS(3920), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3926), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3922), 1,
      anon_sym_LBRACK,
    STATE(1454), 1,
      sym_parameter_list,
    ACTIONS(3928), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3922), 1,
      anon_sym_LBRACK,
    STATE(1454), 1,
      sym_parameter_list,
    ACTIONS(3930), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3792), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3790), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [57478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3932), 1,
      anon_sym_LPAREN2,
    STATE(1434), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3934), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [57494] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(3938), 1,
      anon_sym_SEMI,
    STATE(1550), 1,
      sym_gnu_asm_expression,
    STATE(1555), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3940), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57514] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(3942), 1,
      anon_sym_SEMI,
    STATE(1574), 1,
      sym_gnu_asm_expression,
    STATE(1575), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3940), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57534] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(3944), 1,
      anon_sym_SEMI,
    STATE(1579), 1,
      sym_gnu_asm_expression,
    STATE(1580), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3940), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3946), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3948), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57568] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(3950), 1,
      anon_sym_SEMI,
    STATE(1582), 1,
      sym_gnu_asm_expression,
    STATE(1583), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3940), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(617), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [57602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3952), 1,
      anon_sym_LPAREN2,
    STATE(1413), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3954), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [57618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(3957), 1,
      anon_sym_SEMI,
    STATE(1590), 1,
      sym_gnu_asm_expression,
    STATE(1591), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3940), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57638] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(3959), 1,
      anon_sym_SEMI,
    STATE(1593), 1,
      sym_gnu_asm_expression,
    STATE(1594), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3940), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(3961), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      sym_gnu_asm_expression,
    STATE(1599), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3940), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57678] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(3963), 1,
      anon_sym_SEMI,
    STATE(1601), 1,
      sym_gnu_asm_expression,
    STATE(1602), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3940), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3662), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3965), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1923), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [57726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3926), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3967), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3969), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57754] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(3971), 1,
      anon_sym_SEMI,
    STATE(1542), 1,
      sym_gnu_asm_expression,
    STATE(1543), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3940), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3922), 1,
      anon_sym_LBRACK,
    STATE(1454), 1,
      sym_parameter_list,
    ACTIONS(3973), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3977), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3979), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3981), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3983), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3985), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(3987), 1,
      anon_sym_SEMI,
    STATE(1551), 1,
      sym_gnu_asm_expression,
    STATE(1552), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3940), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57854] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(3989), 1,
      anon_sym_SEMI,
    STATE(1565), 1,
      sym_gnu_asm_expression,
    STATE(1566), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3940), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57874] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(3991), 1,
      anon_sym_SEMI,
    STATE(1615), 1,
      sym_gnu_asm_expression,
    STATE(1617), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3940), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3983), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3985), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3922), 1,
      anon_sym_LBRACK,
    STATE(1454), 1,
      sym_parameter_list,
    ACTIONS(3993), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(1243), 1,
      sym_parameter_list,
    STATE(1279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1978), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [57960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3995), 1,
      anon_sym_LPAREN2,
    STATE(1413), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3934), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [57976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3922), 1,
      anon_sym_LBRACK,
    STATE(1454), 1,
      sym_parameter_list,
    ACTIONS(3997), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3922), 1,
      anon_sym_LBRACK,
    STATE(1454), 1,
      sym_parameter_list,
    ACTIONS(3999), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4001), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4003), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4005), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4007), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4009), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 1,
      sym_identifier,
    ACTIONS(4011), 1,
      aux_sym_preproc_if_token2,
    STATE(1379), 1,
      sym_enumerator,
    STATE(1467), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1492), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [58086] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    ACTIONS(4013), 1,
      sym_identifier,
    STATE(731), 1,
      sym_field_declaration_list,
    STATE(1537), 1,
      sym_ms_declspec_modifier,
  [58105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    ACTIONS(4017), 1,
      anon_sym_COLON_COLON,
    STATE(1714), 1,
      sym_argument_list,
    ACTIONS(4015), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [58122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4019), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3922), 1,
      anon_sym_LBRACK,
    STATE(1454), 1,
      sym_parameter_list,
    ACTIONS(3794), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4021), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4023), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58183] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    ACTIONS(4027), 1,
      sym_identifier,
    STATE(724), 1,
      sym_field_declaration_list,
    STATE(1616), 1,
      sym_ms_declspec_modifier,
  [58202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1728), 1,
      sym_gnu_asm_expression,
    ACTIONS(3940), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(4029), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [58217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4033), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4035), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1686), 1,
      sym_gnu_asm_expression,
    ACTIONS(3940), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(4037), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [58265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4039), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4041), 1,
      anon_sym_COMMA,
    STATE(1515), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4043), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4045), 1,
      anon_sym_SEMI,
    STATE(1389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_COMMA,
    STATE(1459), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4050), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58318] = 5,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4052), 1,
      anon_sym_DQUOTE,
    ACTIONS(4054), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4056), 1,
      sym_escape_sequence,
    STATE(1477), 1,
      aux_sym_string_literal_repeat1,
  [58334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_COMMA,
    STATE(1513), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4060), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58348] = 5,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4062), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4064), 1,
      anon_sym_LPAREN,
    ACTIONS(4066), 1,
      sym_preproc_arg,
    STATE(1716), 1,
      sym_preproc_params,
  [58364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4068), 1,
      anon_sym_SEMI,
    STATE(1495), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3612), 1,
      anon_sym_COMMA,
    STATE(1483), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4070), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [58392] = 5,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_DQUOTE,
    ACTIONS(4074), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4076), 1,
      sym_escape_sequence,
    STATE(1466), 1,
      aux_sym_string_literal_repeat1,
  [58408] = 5,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4078), 1,
      anon_sym_DQUOTE,
    ACTIONS(4080), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4082), 1,
      sym_escape_sequence,
    STATE(1517), 1,
      aux_sym_string_literal_repeat1,
  [58424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3578), 1,
      sym_identifier,
    ACTIONS(4084), 1,
      aux_sym_preproc_if_token2,
    STATE(1357), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1732), 1,
      sym_enumerator,
  [58440] = 5,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_LPAREN,
    ACTIONS(4086), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4088), 1,
      sym_preproc_arg,
    STATE(1671), 1,
      sym_preproc_params,
  [58456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4090), 1,
      anon_sym_SEMI,
    STATE(1493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3922), 1,
      anon_sym_LBRACK,
    ACTIONS(4092), 1,
      anon_sym_RPAREN,
    STATE(1454), 1,
      sym_parameter_list,
  [58486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4094), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [58496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4096), 1,
      anon_sym_COMMA,
    STATE(1459), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4098), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4100), 1,
      anon_sym___except,
    ACTIONS(4102), 1,
      anon_sym___finally,
    STATE(223), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [58524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(1474), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4107), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 1,
      anon_sym_COMMA,
    ACTIONS(4111), 1,
      anon_sym_RPAREN,
    STATE(1530), 1,
      aux_sym__old_style_parameter_list_repeat1,
    STATE(1536), 1,
      aux_sym_parameter_list_repeat1,
  [58554] = 4,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_SQUOTE,
    STATE(1505), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4115), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [58568] = 5,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4080), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4082), 1,
      sym_escape_sequence,
    ACTIONS(4117), 1,
      anon_sym_DQUOTE,
    STATE(1517), 1,
      aux_sym_string_literal_repeat1,
  [58584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym___except,
    ACTIONS(4121), 1,
      anon_sym___finally,
    STATE(202), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [58598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4123), 1,
      anon_sym_SEMI,
    STATE(1458), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    STATE(1389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3731), 1,
      anon_sym_COMMA,
    STATE(1520), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4127), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [58640] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4129), 1,
      anon_sym___except,
    ACTIONS(4131), 1,
      anon_sym___finally,
    STATE(161), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [58654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4133), 1,
      anon_sym_COMMA,
    STATE(1483), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4136), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [58668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3612), 1,
      anon_sym_COMMA,
    STATE(1464), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4138), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [58682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4096), 1,
      anon_sym_COMMA,
    STATE(1472), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4140), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58696] = 5,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_LPAREN,
    ACTIONS(4142), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4144), 1,
      sym_preproc_arg,
    STATE(1661), 1,
      sym_preproc_params,
  [58712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4146), 1,
      anon_sym_SEMI,
    STATE(1507), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4148), 1,
      anon_sym_SEMI,
    STATE(1500), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4150), 1,
      anon_sym___except,
    ACTIONS(4152), 1,
      anon_sym___finally,
    STATE(90), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [58754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3612), 1,
      anon_sym_COMMA,
    STATE(1483), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4154), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [58768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym___except,
    ACTIONS(4158), 1,
      anon_sym___finally,
    STATE(223), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [58782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 1,
      sym_identifier,
    ACTIONS(4160), 1,
      aux_sym_preproc_if_token2,
    STATE(1369), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [58796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4162), 1,
      anon_sym_SEMI,
    STATE(1389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_COMMA,
    STATE(1461), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4164), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4166), 1,
      anon_sym_SEMI,
    STATE(1389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4168), 1,
      anon_sym_SEMI,
    STATE(1518), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3578), 1,
      sym_identifier,
    ACTIONS(4011), 1,
      aux_sym_preproc_if_token2,
    STATE(1467), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1732), 1,
      sym_enumerator,
  [58868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4170), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [58878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4172), 1,
      anon_sym_SEMI,
    STATE(1502), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4174), 1,
      anon_sym_SEMI,
    STATE(1389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 1,
      sym_identifier,
    ACTIONS(4176), 1,
      aux_sym_preproc_if_token2,
    STATE(1492), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [58920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4178), 1,
      anon_sym_SEMI,
    STATE(1389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    STATE(1684), 1,
      sym_argument_list,
    ACTIONS(4180), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [58948] = 5,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_LPAREN,
    ACTIONS(4182), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4184), 1,
      sym_preproc_arg,
    STATE(1711), 1,
      sym_preproc_params,
  [58964] = 4,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4186), 1,
      anon_sym_SQUOTE,
    STATE(1505), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4188), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [58978] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4191), 1,
      anon_sym_SEMI,
    STATE(1480), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4193), 1,
      anon_sym_SEMI,
    STATE(1389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [59006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3922), 1,
      anon_sym_LBRACK,
    ACTIONS(4195), 1,
      anon_sym_RPAREN,
    STATE(1454), 1,
      sym_parameter_list,
  [59022] = 4,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4197), 1,
      anon_sym_SQUOTE,
    STATE(1505), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4115), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [59036] = 5,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4080), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4082), 1,
      sym_escape_sequence,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    STATE(1517), 1,
      aux_sym_string_literal_repeat1,
  [59052] = 5,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_LPAREN,
    ACTIONS(4201), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4203), 1,
      sym_preproc_arg,
    STATE(1690), 1,
      sym_preproc_params,
  [59068] = 4,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4205), 1,
      anon_sym_SQUOTE,
    STATE(1505), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4115), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [59082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4207), 1,
      anon_sym_COMMA,
    STATE(1513), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4210), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [59096] = 5,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_LPAREN,
    ACTIONS(4212), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4214), 1,
      sym_preproc_arg,
    STATE(1648), 1,
      sym_preproc_params,
  [59112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4041), 1,
      anon_sym_COMMA,
    STATE(1474), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4216), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [59126] = 5,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_LPAREN,
    ACTIONS(4218), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4220), 1,
      sym_preproc_arg,
    STATE(1652), 1,
      sym_preproc_params,
  [59142] = 5,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_DQUOTE,
    ACTIONS(4224), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4227), 1,
      sym_escape_sequence,
    STATE(1517), 1,
      aux_sym_string_literal_repeat1,
  [59158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4230), 1,
      anon_sym_SEMI,
    STATE(1389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [59172] = 5,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4232), 1,
      anon_sym_DQUOTE,
    ACTIONS(4234), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4236), 1,
      sym_escape_sequence,
    STATE(1510), 1,
      aux_sym_string_literal_repeat1,
  [59188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4238), 1,
      anon_sym_COMMA,
    STATE(1520), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4241), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [59202] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    STATE(1476), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4243), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [59213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4245), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [59222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3260), 1,
      anon_sym_COMMA,
    ACTIONS(4247), 1,
      anon_sym_RPAREN,
    STATE(1619), 1,
      aux_sym_preproc_argument_list_repeat1,
  [59235] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    STATE(1512), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4249), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [59246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_RPAREN,
    ACTIONS(4253), 1,
      anon_sym_COLON,
    STATE(1546), 1,
      sym_gnu_asm_output_operand_list,
  [59259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2800), 1,
      anon_sym_LBRACE,
    ACTIONS(4255), 1,
      sym_identifier,
    STATE(1083), 1,
      sym_enumerator_list,
  [59272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_COMMA,
    ACTIONS(4259), 1,
      anon_sym_RPAREN,
    STATE(1632), 1,
      aux_sym_preproc_params_repeat1,
  [59285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2800), 1,
      anon_sym_LBRACE,
    ACTIONS(4261), 1,
      sym_identifier,
    STATE(1083), 1,
      sym_enumerator_list,
  [59298] = 4,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4263), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4265), 1,
      anon_sym_LPAREN2,
    STATE(1959), 1,
      sym_preproc_argument_list,
  [59311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4267), 1,
      anon_sym_COMMA,
    ACTIONS(4269), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [59324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_COMMA,
    ACTIONS(4273), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1540), 1,
      aux_sym_attribute_declaration_repeat1,
  [59337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3167), 1,
      anon_sym_RBRACE,
    ACTIONS(4275), 1,
      anon_sym_COMMA,
    STATE(1532), 1,
      aux_sym_initializer_list_repeat1,
  [59350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4278), 1,
      anon_sym_RPAREN,
    ACTIONS(4280), 1,
      anon_sym_COLON,
    STATE(1588), 1,
      sym_gnu_asm_input_operand_list,
  [59363] = 4,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4265), 1,
      anon_sym_LPAREN2,
    ACTIONS(4282), 1,
      aux_sym_preproc_include_token2,
    STATE(1959), 1,
      sym_preproc_argument_list,
  [59376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_COMMA,
    ACTIONS(4284), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1554), 1,
      aux_sym_attribute_declaration_repeat1,
  [59389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4286), 1,
      anon_sym_COMMA,
    ACTIONS(4288), 1,
      anon_sym_RPAREN,
    STATE(1624), 1,
      aux_sym_parameter_list_repeat1,
  [59402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    ACTIONS(4290), 1,
      sym_identifier,
    STATE(718), 1,
      sym_field_declaration_list,
  [59415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4292), 1,
      anon_sym_SEMI,
    STATE(1544), 1,
      aux_sym_declaration_repeat1,
  [59428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_COMMA,
    ACTIONS(4294), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1571), 1,
      aux_sym_attribute_declaration_repeat1,
  [59441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_COMMA,
    ACTIONS(4296), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1554), 1,
      aux_sym_attribute_declaration_repeat1,
  [59454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_RPAREN,
    ACTIONS(4300), 1,
      anon_sym_COLON,
    STATE(1587), 1,
      sym_gnu_asm_clobber_list,
  [59467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4302), 1,
      anon_sym_SEMI,
    STATE(1553), 1,
      aux_sym_declaration_repeat1,
  [59480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4304), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [59493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4306), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [59506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4308), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [59515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4280), 1,
      anon_sym_COLON,
    ACTIONS(4310), 1,
      anon_sym_RPAREN,
    STATE(1541), 1,
      sym_gnu_asm_input_operand_list,
  [59528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4253), 1,
      anon_sym_COLON,
    ACTIONS(4312), 1,
      anon_sym_RPAREN,
    STATE(1533), 1,
      sym_gnu_asm_output_operand_list,
  [59541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4314), 1,
      anon_sym_SEMI,
    STATE(1802), 1,
      sym_attribute_specifier,
  [59554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4316), 1,
      anon_sym_SEMI,
    STATE(1581), 1,
      aux_sym_declaration_repeat1,
  [59567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4318), 1,
      anon_sym_SEMI,
    STATE(1627), 1,
      aux_sym_declaration_repeat1,
  [59580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4320), 1,
      anon_sym_SEMI,
    STATE(1557), 1,
      aux_sym_declaration_repeat1,
  [59593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4322), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [59606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4324), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [59619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4326), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1554), 1,
      aux_sym_attribute_declaration_repeat1,
  [59632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4331), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [59645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3260), 1,
      anon_sym_COMMA,
    ACTIONS(4333), 1,
      anon_sym_RPAREN,
    STATE(1619), 1,
      aux_sym_preproc_argument_list_repeat1,
  [59658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4335), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [59671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4337), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [59680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4339), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [59689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3077), 1,
      anon_sym_COMMA,
    ACTIONS(3079), 1,
      anon_sym_RBRACE,
    STATE(1567), 1,
      aux_sym_initializer_list_repeat1,
  [59702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 1,
      anon_sym_COMMA,
    ACTIONS(4343), 1,
      anon_sym_RPAREN,
    STATE(1614), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [59715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4345), 1,
      anon_sym_SEMI,
    STATE(1892), 1,
      sym_attribute_specifier,
  [59728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_COMMA,
    ACTIONS(4347), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1535), 1,
      aux_sym_attribute_declaration_repeat1,
  [59741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4349), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [59754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4351), 1,
      anon_sym_SEMI,
    STATE(1606), 1,
      aux_sym_declaration_repeat1,
  [59767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4353), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [59780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
    ACTIONS(4355), 1,
      anon_sym_COMMA,
    STATE(1532), 1,
      aux_sym_initializer_list_repeat1,
  [59793] = 4,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4265), 1,
      anon_sym_LPAREN2,
    ACTIONS(4357), 1,
      aux_sym_preproc_include_token2,
    STATE(1959), 1,
      sym_preproc_argument_list,
  [59806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4359), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [59815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_COMMA,
    ACTIONS(3067), 1,
      anon_sym_RPAREN,
    STATE(1640), 1,
      aux_sym_argument_list_repeat1,
  [59828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_COMMA,
    ACTIONS(4361), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1554), 1,
      aux_sym_attribute_declaration_repeat1,
  [59841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4363), 1,
      anon_sym_SEMI,
    STATE(1577), 1,
      aux_sym_declaration_repeat1,
  [59854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    ACTIONS(4365), 1,
      anon_sym_COMMA,
    STATE(1573), 1,
      aux_sym_argument_list_repeat1,
  [59867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4368), 1,
      anon_sym_SEMI,
    STATE(1584), 1,
      aux_sym_declaration_repeat1,
  [59880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4370), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [59893] = 4,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4265), 1,
      anon_sym_LPAREN2,
    ACTIONS(4372), 1,
      aux_sym_preproc_include_token2,
    STATE(1959), 1,
      sym_preproc_argument_list,
  [59906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4374), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [59919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4376), 1,
      anon_sym_EQ,
    ACTIONS(3800), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4378), 1,
      anon_sym_SEMI,
    STATE(1618), 1,
      aux_sym_declaration_repeat1,
  [59943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4380), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [59956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4382), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [59969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4384), 1,
      anon_sym_SEMI,
    STATE(1586), 1,
      aux_sym_declaration_repeat1,
  [59982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4386), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [59995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4388), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_COMMA,
    ACTIONS(3073), 1,
      anon_sym_RPAREN,
    STATE(1621), 1,
      aux_sym_argument_list_repeat1,
  [60021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4390), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4392), 1,
      anon_sym_RPAREN,
    ACTIONS(4394), 1,
      anon_sym_COLON,
    STATE(1832), 1,
      sym_gnu_asm_goto_list,
  [60047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4300), 1,
      anon_sym_COLON,
    ACTIONS(4396), 1,
      anon_sym_RPAREN,
    STATE(1611), 1,
      sym_gnu_asm_clobber_list,
  [60060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4398), 1,
      anon_sym_SEMI,
    STATE(1592), 1,
      aux_sym_declaration_repeat1,
  [60073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4400), 1,
      anon_sym_SEMI,
    STATE(1595), 1,
      aux_sym_declaration_repeat1,
  [60086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4402), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4404), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4406), 1,
      anon_sym_SEMI,
    STATE(1596), 1,
      aux_sym_declaration_repeat1,
  [60125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4408), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4410), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4412), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4414), 1,
      anon_sym_SEMI,
    STATE(1600), 1,
      aux_sym_declaration_repeat1,
  [60177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4416), 1,
      anon_sym_SEMI,
    STATE(1603), 1,
      aux_sym_declaration_repeat1,
  [60190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4418), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4420), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4422), 1,
      anon_sym_SEMI,
    STATE(1604), 1,
      aux_sym_declaration_repeat1,
  [60229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4424), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4426), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4428), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4430), 1,
      anon_sym_COMMA,
    ACTIONS(4433), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [60281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4435), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60294] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    STATE(1509), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4437), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [60305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4439), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [60314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2800), 1,
      anon_sym_LBRACE,
    ACTIONS(4441), 1,
      sym_identifier,
    STATE(852), 1,
      sym_enumerator_list,
  [60327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    ACTIONS(4443), 1,
      sym_identifier,
    STATE(731), 1,
      sym_field_declaration_list,
  [60340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      anon_sym_COLON,
    ACTIONS(4445), 1,
      anon_sym_RPAREN,
    STATE(1962), 1,
      sym_gnu_asm_goto_list,
  [60353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym___attribute__,
    ACTIONS(4447), 1,
      anon_sym_SEMI,
    STATE(1903), 1,
      sym_attribute_specifier,
  [60366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_COMMA,
    ACTIONS(4449), 1,
      anon_sym_RPAREN,
    STATE(1527), 1,
      aux_sym_preproc_params_repeat1,
  [60379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4451), 1,
      anon_sym_COMMA,
    ACTIONS(4454), 1,
      anon_sym_RPAREN,
    STATE(1614), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [60392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4456), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      aux_sym_declaration_repeat1,
  [60405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    ACTIONS(4458), 1,
      sym_identifier,
    STATE(722), 1,
      sym_field_declaration_list,
  [60418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4460), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4462), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 1,
      anon_sym_RPAREN,
    ACTIONS(4464), 1,
      anon_sym_COMMA,
    STATE(1619), 1,
      aux_sym_preproc_argument_list_repeat1,
  [60457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4467), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [60466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_COMMA,
    ACTIONS(3075), 1,
      anon_sym_RPAREN,
    STATE(1573), 1,
      aux_sym_argument_list_repeat1,
  [60479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_COMMA,
    ACTIONS(4469), 1,
      anon_sym_RPAREN,
    STATE(1573), 1,
      aux_sym_argument_list_repeat1,
  [60492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3260), 1,
      anon_sym_COMMA,
    ACTIONS(4471), 1,
      anon_sym_RPAREN,
    STATE(1619), 1,
      aux_sym_preproc_argument_list_repeat1,
  [60505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4473), 1,
      anon_sym_COMMA,
    ACTIONS(4476), 1,
      anon_sym_RPAREN,
    STATE(1624), 1,
      aux_sym_parameter_list_repeat1,
  [60518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4478), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_COMMA,
    ACTIONS(4480), 1,
      anon_sym_RPAREN,
    STATE(1573), 1,
      aux_sym_argument_list_repeat1,
  [60544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4482), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_COMMA,
    ACTIONS(4484), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      aux_sym_generic_expression_repeat1,
  [60570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      anon_sym_COMMA,
    ACTIONS(4489), 1,
      anon_sym_SEMI,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
  [60583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4286), 1,
      anon_sym_COMMA,
    ACTIONS(4491), 1,
      anon_sym_RPAREN,
    STATE(1536), 1,
      aux_sym_parameter_list_repeat1,
  [60596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4493), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [60605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4495), 1,
      anon_sym_COMMA,
    ACTIONS(4498), 1,
      anon_sym_RPAREN,
    STATE(1632), 1,
      aux_sym_preproc_params_repeat1,
  [60618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4500), 1,
      sym_identifier,
    STATE(1727), 1,
      sym_variadic_parameter,
  [60631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [60640] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 1,
      anon_sym_COMMA,
    ACTIONS(4504), 1,
      anon_sym_RPAREN,
    STATE(1561), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [60653] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COMMA,
    ACTIONS(4506), 1,
      anon_sym_SEMI,
    STATE(1564), 1,
      aux_sym_declaration_repeat1,
  [60666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3055), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [60675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [60684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4510), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [60693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_COMMA,
    ACTIONS(3081), 1,
      anon_sym_RPAREN,
    STATE(1573), 1,
      aux_sym_argument_list_repeat1,
  [60706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4514), 1,
      anon_sym_RPAREN,
    ACTIONS(4512), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [60717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_COMMA,
    ACTIONS(4519), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      aux_sym_generic_expression_repeat1,
  [60730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_LPAREN2,
    STATE(1644), 1,
      sym_parenthesized_expression,
  [60740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    STATE(82), 1,
      sym_compound_statement,
  [60750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_LPAREN2,
    STATE(1704), 1,
      sym_parenthesized_expression,
  [60760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3123), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [60768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4523), 1,
      sym_identifier,
    ACTIONS(4525), 1,
      anon_sym_LPAREN2,
  [60778] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4527), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4529), 1,
      sym_preproc_arg,
  [60788] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4531), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4533), 1,
      sym_preproc_arg,
  [60798] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4535), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4537), 1,
      sym_preproc_arg,
  [60808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4476), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60816] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4539), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4541), 1,
      sym_preproc_arg,
  [60826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      anon_sym_LPAREN2,
    STATE(320), 1,
      sym_parenthesized_expression,
  [60836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      sym_identifier,
    STATE(1539), 1,
      sym_attribute,
  [60846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      anon_sym_LPAREN2,
    STATE(325), 1,
      sym_parenthesized_expression,
  [60856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_LPAREN2,
    STATE(1680), 1,
      sym_parenthesized_expression,
  [60866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      sym_identifier,
    STATE(1563), 1,
      sym_attribute,
  [60876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      anon_sym_LPAREN2,
    STATE(326), 1,
      sym_parenthesized_expression,
  [60886] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4547), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4549), 1,
      sym_preproc_arg,
  [60896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1491), 1,
      sym_compound_statement,
  [60906] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4551), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4553), 1,
      sym_preproc_arg,
  [60916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4555), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1482), 1,
      sym_compound_statement,
  [60934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3119), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [60942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      sym_identifier,
    ACTIONS(4560), 1,
      anon_sym_RPAREN,
  [60952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(181), 1,
      sym_compound_statement,
  [60962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      anon_sym_RBRACE,
    ACTIONS(4562), 1,
      anon_sym_COMMA,
  [60972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(233), 1,
      sym_compound_statement,
  [60982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    STATE(1902), 1,
      sym_argument_list,
  [60992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_LPAREN2,
    STATE(1853), 1,
      sym_parenthesized_expression,
  [61002] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4564), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4566), 1,
      sym_preproc_arg,
  [61012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      anon_sym_LPAREN2,
    STATE(332), 1,
      sym_parenthesized_expression,
  [61022] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4568), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4570), 1,
      sym_preproc_arg,
  [61032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    STATE(233), 1,
      sym_compound_statement,
  [61042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_LPAREN2,
    STATE(1701), 1,
      sym_parenthesized_expression,
  [61052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_LPAREN2,
    STATE(1696), 1,
      sym_parenthesized_expression,
  [61062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4572), 1,
      sym_identifier,
    ACTIONS(4574), 1,
      anon_sym_LPAREN2,
  [61072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    STATE(98), 1,
      sym_compound_statement,
  [61082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      anon_sym_LPAREN2,
    STATE(333), 1,
      sym_parenthesized_expression,
  [61092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    STATE(149), 1,
      sym_compound_statement,
  [61102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      anon_sym_LPAREN2,
    STATE(349), 1,
      sym_parenthesized_expression,
  [61112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_LPAREN2,
    STATE(1904), 1,
      sym_argument_list,
  [61122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4576), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [61138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3167), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [61154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(582), 1,
      anon_sym_LBRACE,
    STATE(194), 1,
      sym_compound_statement,
  [61164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      sym_identifier,
    STATE(1531), 1,
      sym_attribute,
  [61174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      anon_sym_LPAREN2,
    STATE(340), 1,
      sym_parenthesized_expression,
  [61184] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4580), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4582), 1,
      sym_preproc_arg,
  [61194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      anon_sym_LPAREN2,
    STATE(319), 1,
      sym_parenthesized_expression,
  [61204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      anon_sym_LPAREN2,
    STATE(341), 1,
      sym_parenthesized_expression,
  [61214] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4584), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4586), 1,
      sym_preproc_arg,
  [61224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4588), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1489), 1,
      sym_compound_statement,
  [61242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(242), 1,
      sym_compound_statement,
  [61252] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4590), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4592), 1,
      sym_preproc_arg,
  [61262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4029), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [61270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_LPAREN2,
    STATE(1776), 1,
      sym_parenthesized_expression,
  [61280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_LPAREN2,
    STATE(1666), 1,
      sym_parenthesized_expression,
  [61290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    STATE(242), 1,
      sym_compound_statement,
  [61300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4329), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [61308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_LPAREN2,
    STATE(1687), 1,
      sym_parenthesized_expression,
  [61318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(150), 1,
      sym_compound_statement,
  [61328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1478), 1,
      sym_compound_statement,
  [61338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4596), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [61354] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4598), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4600), 1,
      sym_preproc_arg,
  [61364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_LPAREN2,
    STATE(1739), 1,
      sym_parenthesized_expression,
  [61374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_LPAREN2,
    STATE(1730), 1,
      sym_parenthesized_expression,
  [61384] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4602), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4604), 1,
      sym_preproc_arg,
  [61394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(173), 1,
      sym_compound_statement,
  [61404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_LPAREN2,
    STATE(1724), 1,
      sym_parenthesized_expression,
  [61414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [61422] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4610), 1,
      sym_preproc_arg,
  [61432] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4612), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4614), 1,
      sym_preproc_arg,
  [61442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(582), 1,
      anon_sym_LBRACE,
    STATE(207), 1,
      sym_compound_statement,
  [61452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_LPAREN2,
    STATE(1867), 1,
      sym_parenthesized_expression,
  [61462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_COMMA,
    ACTIONS(4616), 1,
      anon_sym_RBRACE,
  [61472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1473), 1,
      sym_compound_statement,
  [61482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      sym_identifier,
    STATE(1702), 1,
      sym_attribute,
  [61508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(582), 1,
      anon_sym_LBRACE,
    STATE(212), 1,
      sym_compound_statement,
  [61518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      anon_sym_LPAREN2,
    STATE(344), 1,
      sym_parenthesized_expression,
  [61528] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4618), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4620), 1,
      sym_preproc_arg,
  [61538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4433), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4037), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [61554] = 3,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4622), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4624), 1,
      sym_preproc_arg,
  [61564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    STATE(107), 1,
      sym_compound_statement,
  [61574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_while,
  [61581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3849), 1,
      anon_sym_COMMA,
  [61588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4628), 1,
      aux_sym_preproc_if_token2,
  [61595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4630), 1,
      anon_sym_RPAREN,
  [61602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      anon_sym_RBRACE,
  [61609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3125), 1,
      anon_sym_RPAREN,
  [61616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 1,
      sym_identifier,
  [61623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_RBRACE,
  [61630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4636), 1,
      anon_sym_SEMI,
  [61637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_SEMI,
  [61644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4638), 1,
      anon_sym_SEMI,
  [61651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_LPAREN2,
  [61658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4642), 1,
      aux_sym_preproc_if_token2,
  [61665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_RBRACK,
  [61672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4646), 1,
      aux_sym_preproc_if_token2,
  [61679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4648), 1,
      aux_sym_preproc_if_token2,
  [61686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4650), 1,
      sym_primitive_type,
  [61693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4652), 1,
      aux_sym_preproc_if_token2,
  [61700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3169), 1,
      anon_sym_SEMI,
  [61707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 1,
      anon_sym_SEMI,
  [61714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4656), 1,
      anon_sym_COLON,
  [61721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3151), 1,
      anon_sym_COLON,
  [61728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4658), 1,
      anon_sym_RBRACE,
  [61735] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4660), 1,
      aux_sym_preproc_include_token2,
  [61742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      aux_sym_preproc_if_token2,
  [61749] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4664), 1,
      aux_sym_preproc_include_token2,
  [61756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4666), 1,
      aux_sym_preproc_if_token2,
  [61763] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4668), 1,
      aux_sym_preproc_include_token2,
  [61770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4670), 1,
      anon_sym_RPAREN,
  [61777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4672), 1,
      anon_sym_RPAREN,
  [61784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      sym_identifier,
  [61791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4676), 1,
      aux_sym_preproc_if_token2,
  [61798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4678), 1,
      sym_identifier,
  [61805] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4680), 1,
      aux_sym_preproc_include_token2,
  [61812] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4682), 1,
      aux_sym_preproc_include_token2,
  [61819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_SEMI,
  [61826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4686), 1,
      anon_sym_STAR,
  [61833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4688), 1,
      anon_sym_RPAREN,
  [61840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_SEMI,
  [61847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4690), 1,
      anon_sym_SEMI,
  [61854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4692), 1,
      aux_sym_preproc_if_token2,
  [61861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3079), 1,
      anon_sym_RBRACE,
  [61868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4694), 1,
      aux_sym_preproc_if_token2,
  [61875] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4696), 1,
      aux_sym_preproc_include_token2,
  [61882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4698), 1,
      anon_sym_SEMI,
  [61889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4700), 1,
      anon_sym_SEMI,
  [61896] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4702), 1,
      aux_sym_preproc_include_token2,
  [61903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_SEMI,
  [61910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3127), 1,
      anon_sym_SEMI,
  [61917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_SEMI,
  [61924] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4282), 1,
      aux_sym_preproc_include_token2,
  [61931] = 2,
    ACTIONS(3059), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3323), 1,
      sym_comment,
  [61938] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4704), 1,
      aux_sym_preproc_include_token2,
  [61945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4706), 1,
      aux_sym_preproc_if_token2,
  [61952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 1,
      anon_sym_COLON,
  [61959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4710), 1,
      ts_builtin_sym_end,
  [61966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4712), 1,
      aux_sym_preproc_if_token2,
  [61973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      aux_sym_preproc_if_token2,
  [61980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4716), 1,
      sym_identifier,
  [61987] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4718), 1,
      aux_sym_preproc_include_token2,
  [61994] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4720), 1,
      aux_sym_preproc_include_token2,
  [62001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      aux_sym_preproc_if_token2,
  [62008] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4724), 1,
      aux_sym_preproc_include_token2,
  [62015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 1,
      anon_sym_RPAREN,
  [62022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4728), 1,
      sym_identifier,
  [62029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4730), 1,
      sym_identifier,
  [62036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4732), 1,
      anon_sym_LPAREN2,
  [62043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3173), 1,
      anon_sym_RPAREN,
  [62050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      sym_identifier,
  [62057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      aux_sym_preproc_if_token2,
  [62064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4738), 1,
      anon_sym_COLON,
  [62071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_SEMI,
  [62078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_SEMI,
  [62085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4742), 1,
      sym_identifier,
  [62092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4744), 1,
      anon_sym_SEMI,
  [62099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4746), 1,
      aux_sym_preproc_if_token2,
  [62106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4748), 1,
      anon_sym_SEMI,
  [62113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3129), 1,
      anon_sym_RPAREN,
  [62120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3121), 1,
      anon_sym_COLON,
  [62127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4750), 1,
      anon_sym_RPAREN,
  [62134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_RPAREN,
  [62141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4754), 1,
      anon_sym_RBRACK,
  [62148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4756), 1,
      aux_sym_preproc_if_token2,
  [62155] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4758), 1,
      aux_sym_preproc_include_token2,
  [62162] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4760), 1,
      aux_sym_preproc_include_token2,
  [62169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4762), 1,
      aux_sym_preproc_if_token2,
  [62176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4764), 1,
      anon_sym_RPAREN,
  [62183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4766), 1,
      aux_sym_preproc_if_token2,
  [62190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4768), 1,
      anon_sym_COLON,
  [62197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4770), 1,
      aux_sym_preproc_if_token2,
  [62204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_RPAREN,
  [62211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4774), 1,
      anon_sym_COMMA,
  [62218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      sym_identifier,
  [62225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4778), 1,
      sym_identifier,
  [62232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 1,
      anon_sym_COLON,
  [62239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4780), 1,
      aux_sym_preproc_if_token2,
  [62246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4782), 1,
      aux_sym_preproc_if_token2,
  [62253] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4784), 1,
      aux_sym_preproc_include_token2,
  [62260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      sym_identifier,
  [62267] = 2,
    ACTIONS(3063), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3323), 1,
      sym_comment,
  [62274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_RBRACE,
  [62281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_RPAREN,
  [62288] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4792), 1,
      aux_sym_preproc_include_token2,
  [62295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4794), 1,
      sym_identifier,
  [62302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_COMMA,
  [62309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_RPAREN,
  [62316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4796), 1,
      sym_identifier,
  [62323] = 2,
    ACTIONS(3051), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3323), 1,
      sym_comment,
  [62330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4798), 1,
      aux_sym_preproc_if_token2,
  [62337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_COLON,
  [62344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4802), 1,
      anon_sym_SEMI,
  [62351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4804), 1,
      sym_identifier,
  [62358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4806), 1,
      sym_identifier,
  [62365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      anon_sym_RPAREN,
  [62372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_RPAREN,
  [62379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4812), 1,
      anon_sym_RBRACE,
  [62386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 1,
      anon_sym_SEMI,
  [62393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4816), 1,
      aux_sym_preproc_if_token2,
  [62400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_RPAREN,
  [62407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3171), 1,
      anon_sym_COLON,
  [62414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_RPAREN,
  [62421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4822), 1,
      aux_sym_preproc_if_token2,
  [62428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 1,
      anon_sym_SEMI,
  [62435] = 2,
    ACTIONS(2153), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3323), 1,
      sym_comment,
  [62442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_RBRACE,
  [62449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 1,
      sym_identifier,
  [62456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4830), 1,
      aux_sym_preproc_if_token2,
  [62463] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4832), 1,
      aux_sym_preproc_include_token2,
  [62470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_LPAREN2,
  [62477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4836), 1,
      anon_sym_LPAREN2,
  [62484] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4838), 1,
      aux_sym_preproc_include_token2,
  [62491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 1,
      aux_sym_preproc_if_token2,
  [62498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4842), 1,
      anon_sym_RPAREN,
  [62505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4844), 1,
      anon_sym_SEMI,
  [62512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4846), 1,
      aux_sym_preproc_if_token2,
  [62519] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4848), 1,
      aux_sym_preproc_include_token2,
  [62526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4850), 1,
      anon_sym_SEMI,
  [62533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4852), 1,
      sym_identifier,
  [62540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4854), 1,
      anon_sym_COLON,
  [62547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_LPAREN2,
  [62554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 1,
      anon_sym_SEMI,
  [62561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 1,
      aux_sym_preproc_if_token2,
  [62568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_COLON,
  [62575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_SEMI,
  [62582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      aux_sym_preproc_if_token2,
  [62589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 1,
      sym_identifier,
  [62596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      sym_identifier,
  [62603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
  [62610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4870), 1,
      aux_sym_preproc_if_token2,
  [62617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_RBRACE,
  [62624] = 2,
    ACTIONS(2149), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3323), 1,
      sym_comment,
  [62631] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4357), 1,
      aux_sym_preproc_include_token2,
  [62638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4874), 1,
      aux_sym_preproc_if_token2,
  [62645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_SEMI,
  [62652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4878), 1,
      sym_identifier,
  [62659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 1,
      sym_identifier,
  [62666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4882), 1,
      aux_sym_preproc_if_token2,
  [62673] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4372), 1,
      aux_sym_preproc_include_token2,
  [62680] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4884), 1,
      aux_sym_preproc_include_token2,
  [62687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4886), 1,
      anon_sym_RPAREN,
  [62694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 1,
      anon_sym_RPAREN,
  [62701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 1,
      anon_sym_SEMI,
  [62708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_SEMI,
  [62715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      aux_sym_preproc_if_token2,
  [62722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 1,
      sym_identifier,
  [62729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4898), 1,
      sym_identifier,
  [62736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 1,
      anon_sym_SEMI,
  [62743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_RPAREN,
  [62750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      aux_sym_preproc_if_token2,
  [62757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      aux_sym_preproc_if_token2,
  [62764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_SEMI,
  [62771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_RPAREN,
  [62778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4908), 1,
      anon_sym_SEMI,
  [62785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 1,
      anon_sym_STAR,
  [62792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
  [62799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 1,
      sym_identifier,
  [62806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      sym_identifier,
  [62813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4916), 1,
      anon_sym_SEMI,
  [62820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4918), 1,
      sym_identifier,
  [62827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4920), 1,
      anon_sym_SEMI,
  [62834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 1,
      anon_sym_SEMI,
  [62841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 1,
      sym_identifier,
  [62848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3155), 1,
      anon_sym_SEMI,
  [62855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 1,
      anon_sym_STAR,
  [62862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 1,
      aux_sym_preproc_if_token2,
  [62869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 1,
      anon_sym_SEMI,
  [62876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4930), 1,
      anon_sym_SEMI,
  [62883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4932), 1,
      aux_sym_preproc_if_token2,
  [62890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4934), 1,
      anon_sym_RPAREN,
  [62897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 1,
      sym_identifier,
  [62904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3213), 1,
      anon_sym_RPAREN,
  [62911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 1,
      aux_sym_preproc_if_token2,
  [62918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 1,
      anon_sym_LPAREN2,
  [62925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4942), 1,
      anon_sym_SEMI,
  [62932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 1,
      aux_sym_preproc_if_token2,
  [62939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4946), 1,
      anon_sym_STAR,
  [62946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4948), 1,
      sym_identifier,
  [62953] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4950), 1,
      aux_sym_preproc_include_token2,
  [62960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4952), 1,
      aux_sym_preproc_if_token2,
  [62967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      sym_identifier,
  [62974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4956), 1,
      sym_identifier,
  [62981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4958), 1,
      sym_identifier,
  [62988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 1,
      aux_sym_preproc_if_token2,
  [62995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4962), 1,
      sym_primitive_type,
  [63002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4964), 1,
      sym_identifier,
  [63009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_LPAREN2,
  [63016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4968), 1,
      sym_identifier,
  [63023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_LPAREN2,
  [63030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4972), 1,
      anon_sym_LPAREN2,
  [63037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4974), 1,
      sym_identifier,
  [63044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
  [63051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4976), 1,
      anon_sym_RPAREN,
  [63058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 1,
      aux_sym_preproc_if_token2,
  [63065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4980), 1,
      anon_sym_RPAREN,
  [63072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4982), 1,
      aux_sym_preproc_if_token2,
  [63079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4984), 1,
      anon_sym_RPAREN,
  [63086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4986), 1,
      anon_sym_RPAREN,
  [63093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4988), 1,
      anon_sym_while,
  [63100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 1,
      anon_sym_LPAREN2,
  [63107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_RPAREN,
  [63114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
  [63121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4994), 1,
      anon_sym_while,
  [63128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4996), 1,
      aux_sym_preproc_if_token2,
  [63135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4998), 1,
      anon_sym_LPAREN2,
  [63142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_COLON,
  [63149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5000), 1,
      anon_sym_RPAREN,
  [63156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5002), 1,
      sym_identifier,
  [63163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5004), 1,
      anon_sym_LPAREN2,
  [63170] = 2,
    ACTIONS(3047), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3323), 1,
      sym_comment,
  [63177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5006), 1,
      aux_sym_preproc_if_token2,
  [63184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5008), 1,
      anon_sym_while,
  [63191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5010), 1,
      anon_sym_RPAREN,
  [63198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      anon_sym_RPAREN,
  [63205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5012), 1,
      anon_sym_LPAREN2,
  [63212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5014), 1,
      aux_sym_preproc_if_token2,
  [63219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5016), 1,
      aux_sym_preproc_if_token2,
  [63226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5018), 1,
      aux_sym_preproc_if_token2,
  [63233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_COLON,
  [63240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_RBRACE,
  [63247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      aux_sym_preproc_if_token2,
  [63254] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(4263), 1,
      aux_sym_preproc_include_token2,
  [63261] = 2,
    ACTIONS(3323), 1,
      sym_comment,
    ACTIONS(5024), 1,
      aux_sym_preproc_include_token2,
  [63268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 1,
      aux_sym_preproc_if_token2,
  [63275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_LPAREN2,
  [63282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5030), 1,
      sym_identifier,
  [63289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_SEMI,
  [63296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5032), 1,
      anon_sym_LPAREN2,
  [63303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_LPAREN2,
  [63310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5036), 1,
      anon_sym_RPAREN,
  [63317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5038), 1,
      aux_sym_preproc_if_token2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(446)] = 0,
  [SMALL_STATE(447)] = 115,
  [SMALL_STATE(448)] = 230,
  [SMALL_STATE(449)] = 345,
  [SMALL_STATE(450)] = 460,
  [SMALL_STATE(451)] = 575,
  [SMALL_STATE(452)] = 690,
  [SMALL_STATE(453)] = 804,
  [SMALL_STATE(454)] = 918,
  [SMALL_STATE(455)] = 1029,
  [SMALL_STATE(456)] = 1137,
  [SMALL_STATE(457)] = 1245,
  [SMALL_STATE(458)] = 1353,
  [SMALL_STATE(459)] = 1461,
  [SMALL_STATE(460)] = 1569,
  [SMALL_STATE(461)] = 1677,
  [SMALL_STATE(462)] = 1785,
  [SMALL_STATE(463)] = 1893,
  [SMALL_STATE(464)] = 2001,
  [SMALL_STATE(465)] = 2109,
  [SMALL_STATE(466)] = 2217,
  [SMALL_STATE(467)] = 2325,
  [SMALL_STATE(468)] = 2433,
  [SMALL_STATE(469)] = 2541,
  [SMALL_STATE(470)] = 2649,
  [SMALL_STATE(471)] = 2757,
  [SMALL_STATE(472)] = 2865,
  [SMALL_STATE(473)] = 2973,
  [SMALL_STATE(474)] = 3081,
  [SMALL_STATE(475)] = 3189,
  [SMALL_STATE(476)] = 3297,
  [SMALL_STATE(477)] = 3405,
  [SMALL_STATE(478)] = 3513,
  [SMALL_STATE(479)] = 3621,
  [SMALL_STATE(480)] = 3729,
  [SMALL_STATE(481)] = 3819,
  [SMALL_STATE(482)] = 3927,
  [SMALL_STATE(483)] = 4035,
  [SMALL_STATE(484)] = 4143,
  [SMALL_STATE(485)] = 4251,
  [SMALL_STATE(486)] = 4359,
  [SMALL_STATE(487)] = 4467,
  [SMALL_STATE(488)] = 4575,
  [SMALL_STATE(489)] = 4680,
  [SMALL_STATE(490)] = 4785,
  [SMALL_STATE(491)] = 4890,
  [SMALL_STATE(492)] = 4995,
  [SMALL_STATE(493)] = 5100,
  [SMALL_STATE(494)] = 5205,
  [SMALL_STATE(495)] = 5310,
  [SMALL_STATE(496)] = 5415,
  [SMALL_STATE(497)] = 5520,
  [SMALL_STATE(498)] = 5625,
  [SMALL_STATE(499)] = 5730,
  [SMALL_STATE(500)] = 5835,
  [SMALL_STATE(501)] = 5940,
  [SMALL_STATE(502)] = 6042,
  [SMALL_STATE(503)] = 6144,
  [SMALL_STATE(504)] = 6246,
  [SMALL_STATE(505)] = 6348,
  [SMALL_STATE(506)] = 6450,
  [SMALL_STATE(507)] = 6552,
  [SMALL_STATE(508)] = 6654,
  [SMALL_STATE(509)] = 6756,
  [SMALL_STATE(510)] = 6858,
  [SMALL_STATE(511)] = 6960,
  [SMALL_STATE(512)] = 7062,
  [SMALL_STATE(513)] = 7164,
  [SMALL_STATE(514)] = 7266,
  [SMALL_STATE(515)] = 7368,
  [SMALL_STATE(516)] = 7470,
  [SMALL_STATE(517)] = 7572,
  [SMALL_STATE(518)] = 7674,
  [SMALL_STATE(519)] = 7776,
  [SMALL_STATE(520)] = 7878,
  [SMALL_STATE(521)] = 7980,
  [SMALL_STATE(522)] = 8082,
  [SMALL_STATE(523)] = 8184,
  [SMALL_STATE(524)] = 8286,
  [SMALL_STATE(525)] = 8388,
  [SMALL_STATE(526)] = 8490,
  [SMALL_STATE(527)] = 8592,
  [SMALL_STATE(528)] = 8694,
  [SMALL_STATE(529)] = 8796,
  [SMALL_STATE(530)] = 8898,
  [SMALL_STATE(531)] = 9000,
  [SMALL_STATE(532)] = 9102,
  [SMALL_STATE(533)] = 9204,
  [SMALL_STATE(534)] = 9306,
  [SMALL_STATE(535)] = 9408,
  [SMALL_STATE(536)] = 9510,
  [SMALL_STATE(537)] = 9612,
  [SMALL_STATE(538)] = 9714,
  [SMALL_STATE(539)] = 9816,
  [SMALL_STATE(540)] = 9918,
  [SMALL_STATE(541)] = 10020,
  [SMALL_STATE(542)] = 10122,
  [SMALL_STATE(543)] = 10224,
  [SMALL_STATE(544)] = 10326,
  [SMALL_STATE(545)] = 10428,
  [SMALL_STATE(546)] = 10530,
  [SMALL_STATE(547)] = 10632,
  [SMALL_STATE(548)] = 10734,
  [SMALL_STATE(549)] = 10836,
  [SMALL_STATE(550)] = 10938,
  [SMALL_STATE(551)] = 11040,
  [SMALL_STATE(552)] = 11142,
  [SMALL_STATE(553)] = 11244,
  [SMALL_STATE(554)] = 11346,
  [SMALL_STATE(555)] = 11448,
  [SMALL_STATE(556)] = 11550,
  [SMALL_STATE(557)] = 11652,
  [SMALL_STATE(558)] = 11754,
  [SMALL_STATE(559)] = 11856,
  [SMALL_STATE(560)] = 11958,
  [SMALL_STATE(561)] = 12060,
  [SMALL_STATE(562)] = 12162,
  [SMALL_STATE(563)] = 12264,
  [SMALL_STATE(564)] = 12366,
  [SMALL_STATE(565)] = 12468,
  [SMALL_STATE(566)] = 12570,
  [SMALL_STATE(567)] = 12672,
  [SMALL_STATE(568)] = 12774,
  [SMALL_STATE(569)] = 12876,
  [SMALL_STATE(570)] = 12978,
  [SMALL_STATE(571)] = 13080,
  [SMALL_STATE(572)] = 13182,
  [SMALL_STATE(573)] = 13284,
  [SMALL_STATE(574)] = 13386,
  [SMALL_STATE(575)] = 13488,
  [SMALL_STATE(576)] = 13590,
  [SMALL_STATE(577)] = 13692,
  [SMALL_STATE(578)] = 13794,
  [SMALL_STATE(579)] = 13896,
  [SMALL_STATE(580)] = 13998,
  [SMALL_STATE(581)] = 14100,
  [SMALL_STATE(582)] = 14202,
  [SMALL_STATE(583)] = 14304,
  [SMALL_STATE(584)] = 14406,
  [SMALL_STATE(585)] = 14508,
  [SMALL_STATE(586)] = 14610,
  [SMALL_STATE(587)] = 14712,
  [SMALL_STATE(588)] = 14814,
  [SMALL_STATE(589)] = 14916,
  [SMALL_STATE(590)] = 15018,
  [SMALL_STATE(591)] = 15120,
  [SMALL_STATE(592)] = 15222,
  [SMALL_STATE(593)] = 15324,
  [SMALL_STATE(594)] = 15426,
  [SMALL_STATE(595)] = 15528,
  [SMALL_STATE(596)] = 15630,
  [SMALL_STATE(597)] = 15732,
  [SMALL_STATE(598)] = 15834,
  [SMALL_STATE(599)] = 15936,
  [SMALL_STATE(600)] = 16038,
  [SMALL_STATE(601)] = 16140,
  [SMALL_STATE(602)] = 16242,
  [SMALL_STATE(603)] = 16344,
  [SMALL_STATE(604)] = 16446,
  [SMALL_STATE(605)] = 16548,
  [SMALL_STATE(606)] = 16650,
  [SMALL_STATE(607)] = 16752,
  [SMALL_STATE(608)] = 16854,
  [SMALL_STATE(609)] = 16956,
  [SMALL_STATE(610)] = 17058,
  [SMALL_STATE(611)] = 17160,
  [SMALL_STATE(612)] = 17262,
  [SMALL_STATE(613)] = 17364,
  [SMALL_STATE(614)] = 17466,
  [SMALL_STATE(615)] = 17568,
  [SMALL_STATE(616)] = 17670,
  [SMALL_STATE(617)] = 17741,
  [SMALL_STATE(618)] = 17812,
  [SMALL_STATE(619)] = 17883,
  [SMALL_STATE(620)] = 17951,
  [SMALL_STATE(621)] = 18014,
  [SMALL_STATE(622)] = 18077,
  [SMALL_STATE(623)] = 18139,
  [SMALL_STATE(624)] = 18201,
  [SMALL_STATE(625)] = 18263,
  [SMALL_STATE(626)] = 18341,
  [SMALL_STATE(627)] = 18403,
  [SMALL_STATE(628)] = 18465,
  [SMALL_STATE(629)] = 18527,
  [SMALL_STATE(630)] = 18589,
  [SMALL_STATE(631)] = 18651,
  [SMALL_STATE(632)] = 18713,
  [SMALL_STATE(633)] = 18775,
  [SMALL_STATE(634)] = 18874,
  [SMALL_STATE(635)] = 18973,
  [SMALL_STATE(636)] = 19072,
  [SMALL_STATE(637)] = 19171,
  [SMALL_STATE(638)] = 19270,
  [SMALL_STATE(639)] = 19369,
  [SMALL_STATE(640)] = 19468,
  [SMALL_STATE(641)] = 19567,
  [SMALL_STATE(642)] = 19666,
  [SMALL_STATE(643)] = 19765,
  [SMALL_STATE(644)] = 19864,
  [SMALL_STATE(645)] = 19963,
  [SMALL_STATE(646)] = 20062,
  [SMALL_STATE(647)] = 20161,
  [SMALL_STATE(648)] = 20260,
  [SMALL_STATE(649)] = 20361,
  [SMALL_STATE(650)] = 20460,
  [SMALL_STATE(651)] = 20559,
  [SMALL_STATE(652)] = 20655,
  [SMALL_STATE(653)] = 20753,
  [SMALL_STATE(654)] = 20849,
  [SMALL_STATE(655)] = 20914,
  [SMALL_STATE(656)] = 20973,
  [SMALL_STATE(657)] = 21032,
  [SMALL_STATE(658)] = 21091,
  [SMALL_STATE(659)] = 21160,
  [SMALL_STATE(660)] = 21219,
  [SMALL_STATE(661)] = 21278,
  [SMALL_STATE(662)] = 21336,
  [SMALL_STATE(663)] = 21394,
  [SMALL_STATE(664)] = 21452,
  [SMALL_STATE(665)] = 21510,
  [SMALL_STATE(666)] = 21568,
  [SMALL_STATE(667)] = 21626,
  [SMALL_STATE(668)] = 21684,
  [SMALL_STATE(669)] = 21742,
  [SMALL_STATE(670)] = 21800,
  [SMALL_STATE(671)] = 21858,
  [SMALL_STATE(672)] = 21916,
  [SMALL_STATE(673)] = 21974,
  [SMALL_STATE(674)] = 22032,
  [SMALL_STATE(675)] = 22090,
  [SMALL_STATE(676)] = 22148,
  [SMALL_STATE(677)] = 22206,
  [SMALL_STATE(678)] = 22264,
  [SMALL_STATE(679)] = 22353,
  [SMALL_STATE(680)] = 22410,
  [SMALL_STATE(681)] = 22467,
  [SMALL_STATE(682)] = 22532,
  [SMALL_STATE(683)] = 22621,
  [SMALL_STATE(684)] = 22678,
  [SMALL_STATE(685)] = 22739,
  [SMALL_STATE(686)] = 22806,
  [SMALL_STATE(687)] = 22873,
  [SMALL_STATE(688)] = 22940,
  [SMALL_STATE(689)] = 23007,
  [SMALL_STATE(690)] = 23096,
  [SMALL_STATE(691)] = 23153,
  [SMALL_STATE(692)] = 23220,
  [SMALL_STATE(693)] = 23285,
  [SMALL_STATE(694)] = 23374,
  [SMALL_STATE(695)] = 23463,
  [SMALL_STATE(696)] = 23552,
  [SMALL_STATE(697)] = 23641,
  [SMALL_STATE(698)] = 23730,
  [SMALL_STATE(699)] = 23794,
  [SMALL_STATE(700)] = 23850,
  [SMALL_STATE(701)] = 23906,
  [SMALL_STATE(702)] = 23992,
  [SMALL_STATE(703)] = 24055,
  [SMALL_STATE(704)] = 24118,
  [SMALL_STATE(705)] = 24181,
  [SMALL_STATE(706)] = 24244,
  [SMALL_STATE(707)] = 24299,
  [SMALL_STATE(708)] = 24354,
  [SMALL_STATE(709)] = 24409,
  [SMALL_STATE(710)] = 24472,
  [SMALL_STATE(711)] = 24526,
  [SMALL_STATE(712)] = 24596,
  [SMALL_STATE(713)] = 24666,
  [SMALL_STATE(714)] = 24736,
  [SMALL_STATE(715)] = 24790,
  [SMALL_STATE(716)] = 24860,
  [SMALL_STATE(717)] = 24914,
  [SMALL_STATE(718)] = 24971,
  [SMALL_STATE(719)] = 25028,
  [SMALL_STATE(720)] = 25091,
  [SMALL_STATE(721)] = 25148,
  [SMALL_STATE(722)] = 25205,
  [SMALL_STATE(723)] = 25262,
  [SMALL_STATE(724)] = 25325,
  [SMALL_STATE(725)] = 25382,
  [SMALL_STATE(726)] = 25445,
  [SMALL_STATE(727)] = 25508,
  [SMALL_STATE(728)] = 25571,
  [SMALL_STATE(729)] = 25628,
  [SMALL_STATE(730)] = 25691,
  [SMALL_STATE(731)] = 25748,
  [SMALL_STATE(732)] = 25805,
  [SMALL_STATE(733)] = 25862,
  [SMALL_STATE(734)] = 25919,
  [SMALL_STATE(735)] = 25971,
  [SMALL_STATE(736)] = 26027,
  [SMALL_STATE(737)] = 26083,
  [SMALL_STATE(738)] = 26139,
  [SMALL_STATE(739)] = 26195,
  [SMALL_STATE(740)] = 26253,
  [SMALL_STATE(741)] = 26305,
  [SMALL_STATE(742)] = 26357,
  [SMALL_STATE(743)] = 26409,
  [SMALL_STATE(744)] = 26461,
  [SMALL_STATE(745)] = 26513,
  [SMALL_STATE(746)] = 26565,
  [SMALL_STATE(747)] = 26617,
  [SMALL_STATE(748)] = 26669,
  [SMALL_STATE(749)] = 26721,
  [SMALL_STATE(750)] = 26773,
  [SMALL_STATE(751)] = 26825,
  [SMALL_STATE(752)] = 26877,
  [SMALL_STATE(753)] = 26933,
  [SMALL_STATE(754)] = 26985,
  [SMALL_STATE(755)] = 27037,
  [SMALL_STATE(756)] = 27089,
  [SMALL_STATE(757)] = 27141,
  [SMALL_STATE(758)] = 27193,
  [SMALL_STATE(759)] = 27253,
  [SMALL_STATE(760)] = 27339,
  [SMALL_STATE(761)] = 27403,
  [SMALL_STATE(762)] = 27485,
  [SMALL_STATE(763)] = 27565,
  [SMALL_STATE(764)] = 27643,
  [SMALL_STATE(765)] = 27719,
  [SMALL_STATE(766)] = 27793,
  [SMALL_STATE(767)] = 27865,
  [SMALL_STATE(768)] = 27933,
  [SMALL_STATE(769)] = 27999,
  [SMALL_STATE(770)] = 28085,
  [SMALL_STATE(771)] = 28171,
  [SMALL_STATE(772)] = 28231,
  [SMALL_STATE(773)] = 28283,
  [SMALL_STATE(774)] = 28335,
  [SMALL_STATE(775)] = 28387,
  [SMALL_STATE(776)] = 28439,
  [SMALL_STATE(777)] = 28495,
  [SMALL_STATE(778)] = 28551,
  [SMALL_STATE(779)] = 28603,
  [SMALL_STATE(780)] = 28655,
  [SMALL_STATE(781)] = 28707,
  [SMALL_STATE(782)] = 28759,
  [SMALL_STATE(783)] = 28817,
  [SMALL_STATE(784)] = 28869,
  [SMALL_STATE(785)] = 28938,
  [SMALL_STATE(786)] = 29015,
  [SMALL_STATE(787)] = 29066,
  [SMALL_STATE(788)] = 29151,
  [SMALL_STATE(789)] = 29202,
  [SMALL_STATE(790)] = 29253,
  [SMALL_STATE(791)] = 29304,
  [SMALL_STATE(792)] = 29355,
  [SMALL_STATE(793)] = 29406,
  [SMALL_STATE(794)] = 29457,
  [SMALL_STATE(795)] = 29508,
  [SMALL_STATE(796)] = 29559,
  [SMALL_STATE(797)] = 29630,
  [SMALL_STATE(798)] = 29681,
  [SMALL_STATE(799)] = 29766,
  [SMALL_STATE(800)] = 29817,
  [SMALL_STATE(801)] = 29890,
  [SMALL_STATE(802)] = 29941,
  [SMALL_STATE(803)] = 30010,
  [SMALL_STATE(804)] = 30061,
  [SMALL_STATE(805)] = 30130,
  [SMALL_STATE(806)] = 30181,
  [SMALL_STATE(807)] = 30232,
  [SMALL_STATE(808)] = 30283,
  [SMALL_STATE(809)] = 30334,
  [SMALL_STATE(810)] = 30385,
  [SMALL_STATE(811)] = 30454,
  [SMALL_STATE(812)] = 30509,
  [SMALL_STATE(813)] = 30594,
  [SMALL_STATE(814)] = 30661,
  [SMALL_STATE(815)] = 30726,
  [SMALL_STATE(816)] = 30789,
  [SMALL_STATE(817)] = 30870,
  [SMALL_STATE(818)] = 30949,
  [SMALL_STATE(819)] = 31024,
  [SMALL_STATE(820)] = 31110,
  [SMALL_STATE(821)] = 31164,
  [SMALL_STATE(822)] = 31224,
  [SMALL_STATE(823)] = 31310,
  [SMALL_STATE(824)] = 31367,
  [SMALL_STATE(825)] = 31422,
  [SMALL_STATE(826)] = 31477,
  [SMALL_STATE(827)] = 31525,
  [SMALL_STATE(828)] = 31573,
  [SMALL_STATE(829)] = 31652,
  [SMALL_STATE(830)] = 31699,
  [SMALL_STATE(831)] = 31746,
  [SMALL_STATE(832)] = 31793,
  [SMALL_STATE(833)] = 31840,
  [SMALL_STATE(834)] = 31887,
  [SMALL_STATE(835)] = 31934,
  [SMALL_STATE(836)] = 31981,
  [SMALL_STATE(837)] = 32028,
  [SMALL_STATE(838)] = 32075,
  [SMALL_STATE(839)] = 32122,
  [SMALL_STATE(840)] = 32169,
  [SMALL_STATE(841)] = 32216,
  [SMALL_STATE(842)] = 32263,
  [SMALL_STATE(843)] = 32310,
  [SMALL_STATE(844)] = 32357,
  [SMALL_STATE(845)] = 32404,
  [SMALL_STATE(846)] = 32455,
  [SMALL_STATE(847)] = 32506,
  [SMALL_STATE(848)] = 32553,
  [SMALL_STATE(849)] = 32600,
  [SMALL_STATE(850)] = 32647,
  [SMALL_STATE(851)] = 32706,
  [SMALL_STATE(852)] = 32765,
  [SMALL_STATE(853)] = 32816,
  [SMALL_STATE(854)] = 32899,
  [SMALL_STATE(855)] = 32960,
  [SMALL_STATE(856)] = 33037,
  [SMALL_STATE(857)] = 33112,
  [SMALL_STATE(858)] = 33185,
  [SMALL_STATE(859)] = 33256,
  [SMALL_STATE(860)] = 33325,
  [SMALL_STATE(861)] = 33390,
  [SMALL_STATE(862)] = 33453,
  [SMALL_STATE(863)] = 33500,
  [SMALL_STATE(864)] = 33583,
  [SMALL_STATE(865)] = 33666,
  [SMALL_STATE(866)] = 33713,
  [SMALL_STATE(867)] = 33760,
  [SMALL_STATE(868)] = 33807,
  [SMALL_STATE(869)] = 33854,
  [SMALL_STATE(870)] = 33901,
  [SMALL_STATE(871)] = 33948,
  [SMALL_STATE(872)] = 33995,
  [SMALL_STATE(873)] = 34046,
  [SMALL_STATE(874)] = 34103,
  [SMALL_STATE(875)] = 34162,
  [SMALL_STATE(876)] = 34221,
  [SMALL_STATE(877)] = 34280,
  [SMALL_STATE(878)] = 34331,
  [SMALL_STATE(879)] = 34378,
  [SMALL_STATE(880)] = 34425,
  [SMALL_STATE(881)] = 34472,
  [SMALL_STATE(882)] = 34519,
  [SMALL_STATE(883)] = 34570,
  [SMALL_STATE(884)] = 34617,
  [SMALL_STATE(885)] = 34664,
  [SMALL_STATE(886)] = 34715,
  [SMALL_STATE(887)] = 34762,
  [SMALL_STATE(888)] = 34809,
  [SMALL_STATE(889)] = 34856,
  [SMALL_STATE(890)] = 34902,
  [SMALL_STATE(891)] = 34948,
  [SMALL_STATE(892)] = 35024,
  [SMALL_STATE(893)] = 35070,
  [SMALL_STATE(894)] = 35120,
  [SMALL_STATE(895)] = 35196,
  [SMALL_STATE(896)] = 35272,
  [SMALL_STATE(897)] = 35348,
  [SMALL_STATE(898)] = 35394,
  [SMALL_STATE(899)] = 35439,
  [SMALL_STATE(900)] = 35490,
  [SMALL_STATE(901)] = 35547,
  [SMALL_STATE(902)] = 35591,
  [SMALL_STATE(903)] = 35635,
  [SMALL_STATE(904)] = 35689,
  [SMALL_STATE(905)] = 35741,
  [SMALL_STATE(906)] = 35785,
  [SMALL_STATE(907)] = 35829,
  [SMALL_STATE(908)] = 35873,
  [SMALL_STATE(909)] = 35917,
  [SMALL_STATE(910)] = 35961,
  [SMALL_STATE(911)] = 36005,
  [SMALL_STATE(912)] = 36049,
  [SMALL_STATE(913)] = 36093,
  [SMALL_STATE(914)] = 36135,
  [SMALL_STATE(915)] = 36179,
  [SMALL_STATE(916)] = 36221,
  [SMALL_STATE(917)] = 36293,
  [SMALL_STATE(918)] = 36363,
  [SMALL_STATE(919)] = 36433,
  [SMALL_STATE(920)] = 36477,
  [SMALL_STATE(921)] = 36549,
  [SMALL_STATE(922)] = 36591,
  [SMALL_STATE(923)] = 36633,
  [SMALL_STATE(924)] = 36675,
  [SMALL_STATE(925)] = 36717,
  [SMALL_STATE(926)] = 36759,
  [SMALL_STATE(927)] = 36801,
  [SMALL_STATE(928)] = 36845,
  [SMALL_STATE(929)] = 36887,
  [SMALL_STATE(930)] = 36929,
  [SMALL_STATE(931)] = 36971,
  [SMALL_STATE(932)] = 37015,
  [SMALL_STATE(933)] = 37057,
  [SMALL_STATE(934)] = 37099,
  [SMALL_STATE(935)] = 37158,
  [SMALL_STATE(936)] = 37225,
  [SMALL_STATE(937)] = 37302,
  [SMALL_STATE(938)] = 37373,
  [SMALL_STATE(939)] = 37440,
  [SMALL_STATE(940)] = 37509,
  [SMALL_STATE(941)] = 37576,
  [SMALL_STATE(942)] = 37643,
  [SMALL_STATE(943)] = 37710,
  [SMALL_STATE(944)] = 37777,
  [SMALL_STATE(945)] = 37842,
  [SMALL_STATE(946)] = 37919,
  [SMALL_STATE(947)] = 37982,
  [SMALL_STATE(948)] = 38049,
  [SMALL_STATE(949)] = 38116,
  [SMALL_STATE(950)] = 38171,
  [SMALL_STATE(951)] = 38228,
  [SMALL_STATE(952)] = 38295,
  [SMALL_STATE(953)] = 38372,
  [SMALL_STATE(954)] = 38449,
  [SMALL_STATE(955)] = 38522,
  [SMALL_STATE(956)] = 38576,
  [SMALL_STATE(957)] = 38632,
  [SMALL_STATE(958)] = 38702,
  [SMALL_STATE(959)] = 38770,
  [SMALL_STATE(960)] = 38834,
  [SMALL_STATE(961)] = 38902,
  [SMALL_STATE(962)] = 38976,
  [SMALL_STATE(963)] = 39050,
  [SMALL_STATE(964)] = 39124,
  [SMALL_STATE(965)] = 39172,
  [SMALL_STATE(966)] = 39238,
  [SMALL_STATE(967)] = 39296,
  [SMALL_STATE(968)] = 39358,
  [SMALL_STATE(969)] = 39421,
  [SMALL_STATE(970)] = 39484,
  [SMALL_STATE(971)] = 39547,
  [SMALL_STATE(972)] = 39610,
  [SMALL_STATE(973)] = 39673,
  [SMALL_STATE(974)] = 39736,
  [SMALL_STATE(975)] = 39799,
  [SMALL_STATE(976)] = 39862,
  [SMALL_STATE(977)] = 39925,
  [SMALL_STATE(978)] = 39988,
  [SMALL_STATE(979)] = 40051,
  [SMALL_STATE(980)] = 40114,
  [SMALL_STATE(981)] = 40177,
  [SMALL_STATE(982)] = 40223,
  [SMALL_STATE(983)] = 40283,
  [SMALL_STATE(984)] = 40343,
  [SMALL_STATE(985)] = 40381,
  [SMALL_STATE(986)] = 40419,
  [SMALL_STATE(987)] = 40479,
  [SMALL_STATE(988)] = 40553,
  [SMALL_STATE(989)] = 40613,
  [SMALL_STATE(990)] = 40673,
  [SMALL_STATE(991)] = 40733,
  [SMALL_STATE(992)] = 40771,
  [SMALL_STATE(993)] = 40809,
  [SMALL_STATE(994)] = 40884,
  [SMALL_STATE(995)] = 40959,
  [SMALL_STATE(996)] = 41034,
  [SMALL_STATE(997)] = 41109,
  [SMALL_STATE(998)] = 41184,
  [SMALL_STATE(999)] = 41259,
  [SMALL_STATE(1000)] = 41296,
  [SMALL_STATE(1001)] = 41333,
  [SMALL_STATE(1002)] = 41404,
  [SMALL_STATE(1003)] = 41476,
  [SMALL_STATE(1004)] = 41540,
  [SMALL_STATE(1005)] = 41602,
  [SMALL_STATE(1006)] = 41662,
  [SMALL_STATE(1007)] = 41718,
  [SMALL_STATE(1008)] = 41772,
  [SMALL_STATE(1009)] = 41842,
  [SMALL_STATE(1010)] = 41914,
  [SMALL_STATE(1011)] = 41984,
  [SMALL_STATE(1012)] = 42056,
  [SMALL_STATE(1013)] = 42128,
  [SMALL_STATE(1014)] = 42200,
  [SMALL_STATE(1015)] = 42272,
  [SMALL_STATE(1016)] = 42346,
  [SMALL_STATE(1017)] = 42416,
  [SMALL_STATE(1018)] = 42488,
  [SMALL_STATE(1019)] = 42560,
  [SMALL_STATE(1020)] = 42632,
  [SMALL_STATE(1021)] = 42704,
  [SMALL_STATE(1022)] = 42776,
  [SMALL_STATE(1023)] = 42822,
  [SMALL_STATE(1024)] = 42894,
  [SMALL_STATE(1025)] = 42966,
  [SMALL_STATE(1026)] = 43038,
  [SMALL_STATE(1027)] = 43104,
  [SMALL_STATE(1028)] = 43176,
  [SMALL_STATE(1029)] = 43248,
  [SMALL_STATE(1030)] = 43320,
  [SMALL_STATE(1031)] = 43392,
  [SMALL_STATE(1032)] = 43462,
  [SMALL_STATE(1033)] = 43532,
  [SMALL_STATE(1034)] = 43602,
  [SMALL_STATE(1035)] = 43672,
  [SMALL_STATE(1036)] = 43744,
  [SMALL_STATE(1037)] = 43816,
  [SMALL_STATE(1038)] = 43888,
  [SMALL_STATE(1039)] = 43960,
  [SMALL_STATE(1040)] = 44032,
  [SMALL_STATE(1041)] = 44104,
  [SMALL_STATE(1042)] = 44176,
  [SMALL_STATE(1043)] = 44248,
  [SMALL_STATE(1044)] = 44320,
  [SMALL_STATE(1045)] = 44392,
  [SMALL_STATE(1046)] = 44436,
  [SMALL_STATE(1047)] = 44488,
  [SMALL_STATE(1048)] = 44556,
  [SMALL_STATE(1049)] = 44622,
  [SMALL_STATE(1050)] = 44694,
  [SMALL_STATE(1051)] = 44764,
  [SMALL_STATE(1052)] = 44833,
  [SMALL_STATE(1053)] = 44902,
  [SMALL_STATE(1054)] = 44971,
  [SMALL_STATE(1055)] = 45040,
  [SMALL_STATE(1056)] = 45109,
  [SMALL_STATE(1057)] = 45178,
  [SMALL_STATE(1058)] = 45247,
  [SMALL_STATE(1059)] = 45316,
  [SMALL_STATE(1060)] = 45385,
  [SMALL_STATE(1061)] = 45454,
  [SMALL_STATE(1062)] = 45523,
  [SMALL_STATE(1063)] = 45592,
  [SMALL_STATE(1064)] = 45661,
  [SMALL_STATE(1065)] = 45730,
  [SMALL_STATE(1066)] = 45799,
  [SMALL_STATE(1067)] = 45868,
  [SMALL_STATE(1068)] = 45937,
  [SMALL_STATE(1069)] = 46006,
  [SMALL_STATE(1070)] = 46075,
  [SMALL_STATE(1071)] = 46144,
  [SMALL_STATE(1072)] = 46213,
  [SMALL_STATE(1073)] = 46282,
  [SMALL_STATE(1074)] = 46336,
  [SMALL_STATE(1075)] = 46390,
  [SMALL_STATE(1076)] = 46444,
  [SMALL_STATE(1077)] = 46498,
  [SMALL_STATE(1078)] = 46536,
  [SMALL_STATE(1079)] = 46602,
  [SMALL_STATE(1080)] = 46638,
  [SMALL_STATE(1081)] = 46676,
  [SMALL_STATE(1082)] = 46730,
  [SMALL_STATE(1083)] = 46784,
  [SMALL_STATE(1084)] = 46822,
  [SMALL_STATE(1085)] = 46873,
  [SMALL_STATE(1086)] = 46924,
  [SMALL_STATE(1087)] = 46975,
  [SMALL_STATE(1088)] = 47026,
  [SMALL_STATE(1089)] = 47077,
  [SMALL_STATE(1090)] = 47128,
  [SMALL_STATE(1091)] = 47166,
  [SMALL_STATE(1092)] = 47206,
  [SMALL_STATE(1093)] = 47255,
  [SMALL_STATE(1094)] = 47294,
  [SMALL_STATE(1095)] = 47333,
  [SMALL_STATE(1096)] = 47372,
  [SMALL_STATE(1097)] = 47411,
  [SMALL_STATE(1098)] = 47465,
  [SMALL_STATE(1099)] = 47499,
  [SMALL_STATE(1100)] = 47553,
  [SMALL_STATE(1101)] = 47607,
  [SMALL_STATE(1102)] = 47661,
  [SMALL_STATE(1103)] = 47698,
  [SMALL_STATE(1104)] = 47753,
  [SMALL_STATE(1105)] = 47804,
  [SMALL_STATE(1106)] = 47859,
  [SMALL_STATE(1107)] = 47910,
  [SMALL_STATE(1108)] = 47943,
  [SMALL_STATE(1109)] = 47976,
  [SMALL_STATE(1110)] = 48027,
  [SMALL_STATE(1111)] = 48070,
  [SMALL_STATE(1112)] = 48103,
  [SMALL_STATE(1113)] = 48154,
  [SMALL_STATE(1114)] = 48187,
  [SMALL_STATE(1115)] = 48242,
  [SMALL_STATE(1116)] = 48275,
  [SMALL_STATE(1117)] = 48326,
  [SMALL_STATE(1118)] = 48359,
  [SMALL_STATE(1119)] = 48410,
  [SMALL_STATE(1120)] = 48453,
  [SMALL_STATE(1121)] = 48504,
  [SMALL_STATE(1122)] = 48555,
  [SMALL_STATE(1123)] = 48606,
  [SMALL_STATE(1124)] = 48639,
  [SMALL_STATE(1125)] = 48674,
  [SMALL_STATE(1126)] = 48717,
  [SMALL_STATE(1127)] = 48768,
  [SMALL_STATE(1128)] = 48801,
  [SMALL_STATE(1129)] = 48834,
  [SMALL_STATE(1130)] = 48885,
  [SMALL_STATE(1131)] = 48925,
  [SMALL_STATE(1132)] = 48965,
  [SMALL_STATE(1133)] = 49005,
  [SMALL_STATE(1134)] = 49045,
  [SMALL_STATE(1135)] = 49085,
  [SMALL_STATE(1136)] = 49133,
  [SMALL_STATE(1137)] = 49173,
  [SMALL_STATE(1138)] = 49213,
  [SMALL_STATE(1139)] = 49253,
  [SMALL_STATE(1140)] = 49293,
  [SMALL_STATE(1141)] = 49333,
  [SMALL_STATE(1142)] = 49373,
  [SMALL_STATE(1143)] = 49413,
  [SMALL_STATE(1144)] = 49453,
  [SMALL_STATE(1145)] = 49493,
  [SMALL_STATE(1146)] = 49533,
  [SMALL_STATE(1147)] = 49561,
  [SMALL_STATE(1148)] = 49601,
  [SMALL_STATE(1149)] = 49641,
  [SMALL_STATE(1150)] = 49681,
  [SMALL_STATE(1151)] = 49709,
  [SMALL_STATE(1152)] = 49737,
  [SMALL_STATE(1153)] = 49765,
  [SMALL_STATE(1154)] = 49805,
  [SMALL_STATE(1155)] = 49837,
  [SMALL_STATE(1156)] = 49877,
  [SMALL_STATE(1157)] = 49905,
  [SMALL_STATE(1158)] = 49945,
  [SMALL_STATE(1159)] = 49985,
  [SMALL_STATE(1160)] = 50025,
  [SMALL_STATE(1161)] = 50073,
  [SMALL_STATE(1162)] = 50119,
  [SMALL_STATE(1163)] = 50165,
  [SMALL_STATE(1164)] = 50205,
  [SMALL_STATE(1165)] = 50245,
  [SMALL_STATE(1166)] = 50289,
  [SMALL_STATE(1167)] = 50331,
  [SMALL_STATE(1168)] = 50371,
  [SMALL_STATE(1169)] = 50407,
  [SMALL_STATE(1170)] = 50447,
  [SMALL_STATE(1171)] = 50487,
  [SMALL_STATE(1172)] = 50527,
  [SMALL_STATE(1173)] = 50567,
  [SMALL_STATE(1174)] = 50601,
  [SMALL_STATE(1175)] = 50641,
  [SMALL_STATE(1176)] = 50681,
  [SMALL_STATE(1177)] = 50721,
  [SMALL_STATE(1178)] = 50761,
  [SMALL_STATE(1179)] = 50801,
  [SMALL_STATE(1180)] = 50841,
  [SMALL_STATE(1181)] = 50881,
  [SMALL_STATE(1182)] = 50921,
  [SMALL_STATE(1183)] = 50949,
  [SMALL_STATE(1184)] = 50999,
  [SMALL_STATE(1185)] = 51039,
  [SMALL_STATE(1186)] = 51079,
  [SMALL_STATE(1187)] = 51124,
  [SMALL_STATE(1188)] = 51151,
  [SMALL_STATE(1189)] = 51178,
  [SMALL_STATE(1190)] = 51205,
  [SMALL_STATE(1191)] = 51254,
  [SMALL_STATE(1192)] = 51299,
  [SMALL_STATE(1193)] = 51344,
  [SMALL_STATE(1194)] = 51389,
  [SMALL_STATE(1195)] = 51434,
  [SMALL_STATE(1196)] = 51477,
  [SMALL_STATE(1197)] = 51522,
  [SMALL_STATE(1198)] = 51549,
  [SMALL_STATE(1199)] = 51576,
  [SMALL_STATE(1200)] = 51619,
  [SMALL_STATE(1201)] = 51664,
  [SMALL_STATE(1202)] = 51709,
  [SMALL_STATE(1203)] = 51754,
  [SMALL_STATE(1204)] = 51799,
  [SMALL_STATE(1205)] = 51836,
  [SMALL_STATE(1206)] = 51863,
  [SMALL_STATE(1207)] = 51904,
  [SMALL_STATE(1208)] = 51953,
  [SMALL_STATE(1209)] = 51980,
  [SMALL_STATE(1210)] = 52019,
  [SMALL_STATE(1211)] = 52056,
  [SMALL_STATE(1212)] = 52099,
  [SMALL_STATE(1213)] = 52126,
  [SMALL_STATE(1214)] = 52171,
  [SMALL_STATE(1215)] = 52206,
  [SMALL_STATE(1216)] = 52239,
  [SMALL_STATE(1217)] = 52266,
  [SMALL_STATE(1218)] = 52309,
  [SMALL_STATE(1219)] = 52354,
  [SMALL_STATE(1220)] = 52385,
  [SMALL_STATE(1221)] = 52430,
  [SMALL_STATE(1222)] = 52457,
  [SMALL_STATE(1223)] = 52502,
  [SMALL_STATE(1224)] = 52547,
  [SMALL_STATE(1225)] = 52576,
  [SMALL_STATE(1226)] = 52619,
  [SMALL_STATE(1227)] = 52659,
  [SMALL_STATE(1228)] = 52699,
  [SMALL_STATE(1229)] = 52739,
  [SMALL_STATE(1230)] = 52783,
  [SMALL_STATE(1231)] = 52823,
  [SMALL_STATE(1232)] = 52863,
  [SMALL_STATE(1233)] = 52903,
  [SMALL_STATE(1234)] = 52944,
  [SMALL_STATE(1235)] = 52985,
  [SMALL_STATE(1236)] = 53026,
  [SMALL_STATE(1237)] = 53067,
  [SMALL_STATE(1238)] = 53108,
  [SMALL_STATE(1239)] = 53149,
  [SMALL_STATE(1240)] = 53190,
  [SMALL_STATE(1241)] = 53231,
  [SMALL_STATE(1242)] = 53265,
  [SMALL_STATE(1243)] = 53303,
  [SMALL_STATE(1244)] = 53343,
  [SMALL_STATE(1245)] = 53381,
  [SMALL_STATE(1246)] = 53418,
  [SMALL_STATE(1247)] = 53447,
  [SMALL_STATE(1248)] = 53486,
  [SMALL_STATE(1249)] = 53525,
  [SMALL_STATE(1250)] = 53566,
  [SMALL_STATE(1251)] = 53607,
  [SMALL_STATE(1252)] = 53636,
  [SMALL_STATE(1253)] = 53675,
  [SMALL_STATE(1254)] = 53716,
  [SMALL_STATE(1255)] = 53745,
  [SMALL_STATE(1256)] = 53774,
  [SMALL_STATE(1257)] = 53813,
  [SMALL_STATE(1258)] = 53839,
  [SMALL_STATE(1259)] = 53872,
  [SMALL_STATE(1260)] = 53909,
  [SMALL_STATE(1261)] = 53942,
  [SMALL_STATE(1262)] = 53979,
  [SMALL_STATE(1263)] = 54008,
  [SMALL_STATE(1264)] = 54037,
  [SMALL_STATE(1265)] = 54058,
  [SMALL_STATE(1266)] = 54083,
  [SMALL_STATE(1267)] = 54120,
  [SMALL_STATE(1268)] = 54149,
  [SMALL_STATE(1269)] = 54186,
  [SMALL_STATE(1270)] = 54223,
  [SMALL_STATE(1271)] = 54252,
  [SMALL_STATE(1272)] = 54273,
  [SMALL_STATE(1273)] = 54310,
  [SMALL_STATE(1274)] = 54347,
  [SMALL_STATE(1275)] = 54384,
  [SMALL_STATE(1276)] = 54421,
  [SMALL_STATE(1277)] = 54458,
  [SMALL_STATE(1278)] = 54495,
  [SMALL_STATE(1279)] = 54516,
  [SMALL_STATE(1280)] = 54540,
  [SMALL_STATE(1281)] = 54576,
  [SMALL_STATE(1282)] = 54607,
  [SMALL_STATE(1283)] = 54636,
  [SMALL_STATE(1284)] = 54665,
  [SMALL_STATE(1285)] = 54690,
  [SMALL_STATE(1286)] = 54721,
  [SMALL_STATE(1287)] = 54752,
  [SMALL_STATE(1288)] = 54781,
  [SMALL_STATE(1289)] = 54808,
  [SMALL_STATE(1290)] = 54837,
  [SMALL_STATE(1291)] = 54868,
  [SMALL_STATE(1292)] = 54897,
  [SMALL_STATE(1293)] = 54926,
  [SMALL_STATE(1294)] = 54955,
  [SMALL_STATE(1295)] = 54982,
  [SMALL_STATE(1296)] = 55007,
  [SMALL_STATE(1297)] = 55038,
  [SMALL_STATE(1298)] = 55067,
  [SMALL_STATE(1299)] = 55096,
  [SMALL_STATE(1300)] = 55125,
  [SMALL_STATE(1301)] = 55152,
  [SMALL_STATE(1302)] = 55181,
  [SMALL_STATE(1303)] = 55212,
  [SMALL_STATE(1304)] = 55241,
  [SMALL_STATE(1305)] = 55272,
  [SMALL_STATE(1306)] = 55301,
  [SMALL_STATE(1307)] = 55330,
  [SMALL_STATE(1308)] = 55357,
  [SMALL_STATE(1309)] = 55388,
  [SMALL_STATE(1310)] = 55419,
  [SMALL_STATE(1311)] = 55437,
  [SMALL_STATE(1312)] = 55455,
  [SMALL_STATE(1313)] = 55473,
  [SMALL_STATE(1314)] = 55499,
  [SMALL_STATE(1315)] = 55531,
  [SMALL_STATE(1316)] = 55557,
  [SMALL_STATE(1317)] = 55581,
  [SMALL_STATE(1318)] = 55605,
  [SMALL_STATE(1319)] = 55627,
  [SMALL_STATE(1320)] = 55659,
  [SMALL_STATE(1321)] = 55685,
  [SMALL_STATE(1322)] = 55717,
  [SMALL_STATE(1323)] = 55735,
  [SMALL_STATE(1324)] = 55765,
  [SMALL_STATE(1325)] = 55783,
  [SMALL_STATE(1326)] = 55801,
  [SMALL_STATE(1327)] = 55827,
  [SMALL_STATE(1328)] = 55845,
  [SMALL_STATE(1329)] = 55877,
  [SMALL_STATE(1330)] = 55898,
  [SMALL_STATE(1331)] = 55919,
  [SMALL_STATE(1332)] = 55938,
  [SMALL_STATE(1333)] = 55959,
  [SMALL_STATE(1334)] = 55988,
  [SMALL_STATE(1335)] = 56009,
  [SMALL_STATE(1336)] = 56034,
  [SMALL_STATE(1337)] = 56063,
  [SMALL_STATE(1338)] = 56092,
  [SMALL_STATE(1339)] = 56113,
  [SMALL_STATE(1340)] = 56142,
  [SMALL_STATE(1341)] = 56171,
  [SMALL_STATE(1342)] = 56192,
  [SMALL_STATE(1343)] = 56221,
  [SMALL_STATE(1344)] = 56242,
  [SMALL_STATE(1345)] = 56271,
  [SMALL_STATE(1346)] = 56292,
  [SMALL_STATE(1347)] = 56321,
  [SMALL_STATE(1348)] = 56346,
  [SMALL_STATE(1349)] = 56362,
  [SMALL_STATE(1350)] = 56388,
  [SMALL_STATE(1351)] = 56404,
  [SMALL_STATE(1352)] = 56430,
  [SMALL_STATE(1353)] = 56456,
  [SMALL_STATE(1354)] = 56482,
  [SMALL_STATE(1355)] = 56508,
  [SMALL_STATE(1356)] = 56534,
  [SMALL_STATE(1357)] = 56550,
  [SMALL_STATE(1358)] = 56572,
  [SMALL_STATE(1359)] = 56592,
  [SMALL_STATE(1360)] = 56616,
  [SMALL_STATE(1361)] = 56632,
  [SMALL_STATE(1362)] = 56650,
  [SMALL_STATE(1363)] = 56666,
  [SMALL_STATE(1364)] = 56682,
  [SMALL_STATE(1365)] = 56698,
  [SMALL_STATE(1366)] = 56724,
  [SMALL_STATE(1367)] = 56750,
  [SMALL_STATE(1368)] = 56776,
  [SMALL_STATE(1369)] = 56802,
  [SMALL_STATE(1370)] = 56822,
  [SMALL_STATE(1371)] = 56838,
  [SMALL_STATE(1372)] = 56854,
  [SMALL_STATE(1373)] = 56880,
  [SMALL_STATE(1374)] = 56906,
  [SMALL_STATE(1375)] = 56926,
  [SMALL_STATE(1376)] = 56943,
  [SMALL_STATE(1377)] = 56958,
  [SMALL_STATE(1378)] = 56973,
  [SMALL_STATE(1379)] = 56988,
  [SMALL_STATE(1380)] = 57005,
  [SMALL_STATE(1381)] = 57028,
  [SMALL_STATE(1382)] = 57047,
  [SMALL_STATE(1383)] = 57062,
  [SMALL_STATE(1384)] = 57085,
  [SMALL_STATE(1385)] = 57100,
  [SMALL_STATE(1386)] = 57119,
  [SMALL_STATE(1387)] = 57142,
  [SMALL_STATE(1388)] = 57159,
  [SMALL_STATE(1389)] = 57184,
  [SMALL_STATE(1390)] = 57201,
  [SMALL_STATE(1391)] = 57216,
  [SMALL_STATE(1392)] = 57231,
  [SMALL_STATE(1393)] = 57254,
  [SMALL_STATE(1394)] = 57269,
  [SMALL_STATE(1395)] = 57292,
  [SMALL_STATE(1396)] = 57307,
  [SMALL_STATE(1397)] = 57330,
  [SMALL_STATE(1398)] = 57353,
  [SMALL_STATE(1399)] = 57368,
  [SMALL_STATE(1400)] = 57382,
  [SMALL_STATE(1401)] = 57396,
  [SMALL_STATE(1402)] = 57414,
  [SMALL_STATE(1403)] = 57428,
  [SMALL_STATE(1404)] = 57446,
  [SMALL_STATE(1405)] = 57464,
  [SMALL_STATE(1406)] = 57478,
  [SMALL_STATE(1407)] = 57494,
  [SMALL_STATE(1408)] = 57514,
  [SMALL_STATE(1409)] = 57534,
  [SMALL_STATE(1410)] = 57554,
  [SMALL_STATE(1411)] = 57568,
  [SMALL_STATE(1412)] = 57588,
  [SMALL_STATE(1413)] = 57602,
  [SMALL_STATE(1414)] = 57618,
  [SMALL_STATE(1415)] = 57638,
  [SMALL_STATE(1416)] = 57658,
  [SMALL_STATE(1417)] = 57678,
  [SMALL_STATE(1418)] = 57698,
  [SMALL_STATE(1419)] = 57712,
  [SMALL_STATE(1420)] = 57726,
  [SMALL_STATE(1421)] = 57740,
  [SMALL_STATE(1422)] = 57754,
  [SMALL_STATE(1423)] = 57774,
  [SMALL_STATE(1424)] = 57792,
  [SMALL_STATE(1425)] = 57806,
  [SMALL_STATE(1426)] = 57820,
  [SMALL_STATE(1427)] = 57834,
  [SMALL_STATE(1428)] = 57854,
  [SMALL_STATE(1429)] = 57874,
  [SMALL_STATE(1430)] = 57894,
  [SMALL_STATE(1431)] = 57908,
  [SMALL_STATE(1432)] = 57926,
  [SMALL_STATE(1433)] = 57946,
  [SMALL_STATE(1434)] = 57960,
  [SMALL_STATE(1435)] = 57976,
  [SMALL_STATE(1436)] = 57994,
  [SMALL_STATE(1437)] = 58012,
  [SMALL_STATE(1438)] = 58023,
  [SMALL_STATE(1439)] = 58034,
  [SMALL_STATE(1440)] = 58045,
  [SMALL_STATE(1441)] = 58056,
  [SMALL_STATE(1442)] = 58067,
  [SMALL_STATE(1443)] = 58086,
  [SMALL_STATE(1444)] = 58105,
  [SMALL_STATE(1445)] = 58122,
  [SMALL_STATE(1446)] = 58133,
  [SMALL_STATE(1447)] = 58150,
  [SMALL_STATE(1448)] = 58161,
  [SMALL_STATE(1449)] = 58172,
  [SMALL_STATE(1450)] = 58183,
  [SMALL_STATE(1451)] = 58202,
  [SMALL_STATE(1452)] = 58217,
  [SMALL_STATE(1453)] = 58228,
  [SMALL_STATE(1454)] = 58239,
  [SMALL_STATE(1455)] = 58250,
  [SMALL_STATE(1456)] = 58265,
  [SMALL_STATE(1457)] = 58276,
  [SMALL_STATE(1458)] = 58290,
  [SMALL_STATE(1459)] = 58304,
  [SMALL_STATE(1460)] = 58318,
  [SMALL_STATE(1461)] = 58334,
  [SMALL_STATE(1462)] = 58348,
  [SMALL_STATE(1463)] = 58364,
  [SMALL_STATE(1464)] = 58378,
  [SMALL_STATE(1465)] = 58392,
  [SMALL_STATE(1466)] = 58408,
  [SMALL_STATE(1467)] = 58424,
  [SMALL_STATE(1468)] = 58440,
  [SMALL_STATE(1469)] = 58456,
  [SMALL_STATE(1470)] = 58470,
  [SMALL_STATE(1471)] = 58486,
  [SMALL_STATE(1472)] = 58496,
  [SMALL_STATE(1473)] = 58510,
  [SMALL_STATE(1474)] = 58524,
  [SMALL_STATE(1475)] = 58538,
  [SMALL_STATE(1476)] = 58554,
  [SMALL_STATE(1477)] = 58568,
  [SMALL_STATE(1478)] = 58584,
  [SMALL_STATE(1479)] = 58598,
  [SMALL_STATE(1480)] = 58612,
  [SMALL_STATE(1481)] = 58626,
  [SMALL_STATE(1482)] = 58640,
  [SMALL_STATE(1483)] = 58654,
  [SMALL_STATE(1484)] = 58668,
  [SMALL_STATE(1485)] = 58682,
  [SMALL_STATE(1486)] = 58696,
  [SMALL_STATE(1487)] = 58712,
  [SMALL_STATE(1488)] = 58726,
  [SMALL_STATE(1489)] = 58740,
  [SMALL_STATE(1490)] = 58754,
  [SMALL_STATE(1491)] = 58768,
  [SMALL_STATE(1492)] = 58782,
  [SMALL_STATE(1493)] = 58796,
  [SMALL_STATE(1494)] = 58810,
  [SMALL_STATE(1495)] = 58824,
  [SMALL_STATE(1496)] = 58838,
  [SMALL_STATE(1497)] = 58852,
  [SMALL_STATE(1498)] = 58868,
  [SMALL_STATE(1499)] = 58878,
  [SMALL_STATE(1500)] = 58892,
  [SMALL_STATE(1501)] = 58906,
  [SMALL_STATE(1502)] = 58920,
  [SMALL_STATE(1503)] = 58934,
  [SMALL_STATE(1504)] = 58948,
  [SMALL_STATE(1505)] = 58964,
  [SMALL_STATE(1506)] = 58978,
  [SMALL_STATE(1507)] = 58992,
  [SMALL_STATE(1508)] = 59006,
  [SMALL_STATE(1509)] = 59022,
  [SMALL_STATE(1510)] = 59036,
  [SMALL_STATE(1511)] = 59052,
  [SMALL_STATE(1512)] = 59068,
  [SMALL_STATE(1513)] = 59082,
  [SMALL_STATE(1514)] = 59096,
  [SMALL_STATE(1515)] = 59112,
  [SMALL_STATE(1516)] = 59126,
  [SMALL_STATE(1517)] = 59142,
  [SMALL_STATE(1518)] = 59158,
  [SMALL_STATE(1519)] = 59172,
  [SMALL_STATE(1520)] = 59188,
  [SMALL_STATE(1521)] = 59202,
  [SMALL_STATE(1522)] = 59213,
  [SMALL_STATE(1523)] = 59222,
  [SMALL_STATE(1524)] = 59235,
  [SMALL_STATE(1525)] = 59246,
  [SMALL_STATE(1526)] = 59259,
  [SMALL_STATE(1527)] = 59272,
  [SMALL_STATE(1528)] = 59285,
  [SMALL_STATE(1529)] = 59298,
  [SMALL_STATE(1530)] = 59311,
  [SMALL_STATE(1531)] = 59324,
  [SMALL_STATE(1532)] = 59337,
  [SMALL_STATE(1533)] = 59350,
  [SMALL_STATE(1534)] = 59363,
  [SMALL_STATE(1535)] = 59376,
  [SMALL_STATE(1536)] = 59389,
  [SMALL_STATE(1537)] = 59402,
  [SMALL_STATE(1538)] = 59415,
  [SMALL_STATE(1539)] = 59428,
  [SMALL_STATE(1540)] = 59441,
  [SMALL_STATE(1541)] = 59454,
  [SMALL_STATE(1542)] = 59467,
  [SMALL_STATE(1543)] = 59480,
  [SMALL_STATE(1544)] = 59493,
  [SMALL_STATE(1545)] = 59506,
  [SMALL_STATE(1546)] = 59515,
  [SMALL_STATE(1547)] = 59528,
  [SMALL_STATE(1548)] = 59541,
  [SMALL_STATE(1549)] = 59554,
  [SMALL_STATE(1550)] = 59567,
  [SMALL_STATE(1551)] = 59580,
  [SMALL_STATE(1552)] = 59593,
  [SMALL_STATE(1553)] = 59606,
  [SMALL_STATE(1554)] = 59619,
  [SMALL_STATE(1555)] = 59632,
  [SMALL_STATE(1556)] = 59645,
  [SMALL_STATE(1557)] = 59658,
  [SMALL_STATE(1558)] = 59671,
  [SMALL_STATE(1559)] = 59680,
  [SMALL_STATE(1560)] = 59689,
  [SMALL_STATE(1561)] = 59702,
  [SMALL_STATE(1562)] = 59715,
  [SMALL_STATE(1563)] = 59728,
  [SMALL_STATE(1564)] = 59741,
  [SMALL_STATE(1565)] = 59754,
  [SMALL_STATE(1566)] = 59767,
  [SMALL_STATE(1567)] = 59780,
  [SMALL_STATE(1568)] = 59793,
  [SMALL_STATE(1569)] = 59806,
  [SMALL_STATE(1570)] = 59815,
  [SMALL_STATE(1571)] = 59828,
  [SMALL_STATE(1572)] = 59841,
  [SMALL_STATE(1573)] = 59854,
  [SMALL_STATE(1574)] = 59867,
  [SMALL_STATE(1575)] = 59880,
  [SMALL_STATE(1576)] = 59893,
  [SMALL_STATE(1577)] = 59906,
  [SMALL_STATE(1578)] = 59919,
  [SMALL_STATE(1579)] = 59930,
  [SMALL_STATE(1580)] = 59943,
  [SMALL_STATE(1581)] = 59956,
  [SMALL_STATE(1582)] = 59969,
  [SMALL_STATE(1583)] = 59982,
  [SMALL_STATE(1584)] = 59995,
  [SMALL_STATE(1585)] = 60008,
  [SMALL_STATE(1586)] = 60021,
  [SMALL_STATE(1587)] = 60034,
  [SMALL_STATE(1588)] = 60047,
  [SMALL_STATE(1589)] = 60060,
  [SMALL_STATE(1590)] = 60073,
  [SMALL_STATE(1591)] = 60086,
  [SMALL_STATE(1592)] = 60099,
  [SMALL_STATE(1593)] = 60112,
  [SMALL_STATE(1594)] = 60125,
  [SMALL_STATE(1595)] = 60138,
  [SMALL_STATE(1596)] = 60151,
  [SMALL_STATE(1597)] = 60164,
  [SMALL_STATE(1598)] = 60177,
  [SMALL_STATE(1599)] = 60190,
  [SMALL_STATE(1600)] = 60203,
  [SMALL_STATE(1601)] = 60216,
  [SMALL_STATE(1602)] = 60229,
  [SMALL_STATE(1603)] = 60242,
  [SMALL_STATE(1604)] = 60255,
  [SMALL_STATE(1605)] = 60268,
  [SMALL_STATE(1606)] = 60281,
  [SMALL_STATE(1607)] = 60294,
  [SMALL_STATE(1608)] = 60305,
  [SMALL_STATE(1609)] = 60314,
  [SMALL_STATE(1610)] = 60327,
  [SMALL_STATE(1611)] = 60340,
  [SMALL_STATE(1612)] = 60353,
  [SMALL_STATE(1613)] = 60366,
  [SMALL_STATE(1614)] = 60379,
  [SMALL_STATE(1615)] = 60392,
  [SMALL_STATE(1616)] = 60405,
  [SMALL_STATE(1617)] = 60418,
  [SMALL_STATE(1618)] = 60431,
  [SMALL_STATE(1619)] = 60444,
  [SMALL_STATE(1620)] = 60457,
  [SMALL_STATE(1621)] = 60466,
  [SMALL_STATE(1622)] = 60479,
  [SMALL_STATE(1623)] = 60492,
  [SMALL_STATE(1624)] = 60505,
  [SMALL_STATE(1625)] = 60518,
  [SMALL_STATE(1626)] = 60531,
  [SMALL_STATE(1627)] = 60544,
  [SMALL_STATE(1628)] = 60557,
  [SMALL_STATE(1629)] = 60570,
  [SMALL_STATE(1630)] = 60583,
  [SMALL_STATE(1631)] = 60596,
  [SMALL_STATE(1632)] = 60605,
  [SMALL_STATE(1633)] = 60618,
  [SMALL_STATE(1634)] = 60631,
  [SMALL_STATE(1635)] = 60640,
  [SMALL_STATE(1636)] = 60653,
  [SMALL_STATE(1637)] = 60666,
  [SMALL_STATE(1638)] = 60675,
  [SMALL_STATE(1639)] = 60684,
  [SMALL_STATE(1640)] = 60693,
  [SMALL_STATE(1641)] = 60706,
  [SMALL_STATE(1642)] = 60717,
  [SMALL_STATE(1643)] = 60730,
  [SMALL_STATE(1644)] = 60740,
  [SMALL_STATE(1645)] = 60750,
  [SMALL_STATE(1646)] = 60760,
  [SMALL_STATE(1647)] = 60768,
  [SMALL_STATE(1648)] = 60778,
  [SMALL_STATE(1649)] = 60788,
  [SMALL_STATE(1650)] = 60798,
  [SMALL_STATE(1651)] = 60808,
  [SMALL_STATE(1652)] = 60816,
  [SMALL_STATE(1653)] = 60826,
  [SMALL_STATE(1654)] = 60836,
  [SMALL_STATE(1655)] = 60846,
  [SMALL_STATE(1656)] = 60856,
  [SMALL_STATE(1657)] = 60866,
  [SMALL_STATE(1658)] = 60876,
  [SMALL_STATE(1659)] = 60886,
  [SMALL_STATE(1660)] = 60896,
  [SMALL_STATE(1661)] = 60906,
  [SMALL_STATE(1662)] = 60916,
  [SMALL_STATE(1663)] = 60924,
  [SMALL_STATE(1664)] = 60934,
  [SMALL_STATE(1665)] = 60942,
  [SMALL_STATE(1666)] = 60952,
  [SMALL_STATE(1667)] = 60962,
  [SMALL_STATE(1668)] = 60972,
  [SMALL_STATE(1669)] = 60982,
  [SMALL_STATE(1670)] = 60992,
  [SMALL_STATE(1671)] = 61002,
  [SMALL_STATE(1672)] = 61012,
  [SMALL_STATE(1673)] = 61022,
  [SMALL_STATE(1674)] = 61032,
  [SMALL_STATE(1675)] = 61042,
  [SMALL_STATE(1676)] = 61052,
  [SMALL_STATE(1677)] = 61062,
  [SMALL_STATE(1678)] = 61072,
  [SMALL_STATE(1679)] = 61082,
  [SMALL_STATE(1680)] = 61092,
  [SMALL_STATE(1681)] = 61102,
  [SMALL_STATE(1682)] = 61112,
  [SMALL_STATE(1683)] = 61122,
  [SMALL_STATE(1684)] = 61130,
  [SMALL_STATE(1685)] = 61138,
  [SMALL_STATE(1686)] = 61146,
  [SMALL_STATE(1687)] = 61154,
  [SMALL_STATE(1688)] = 61164,
  [SMALL_STATE(1689)] = 61174,
  [SMALL_STATE(1690)] = 61184,
  [SMALL_STATE(1691)] = 61194,
  [SMALL_STATE(1692)] = 61204,
  [SMALL_STATE(1693)] = 61214,
  [SMALL_STATE(1694)] = 61224,
  [SMALL_STATE(1695)] = 61232,
  [SMALL_STATE(1696)] = 61242,
  [SMALL_STATE(1697)] = 61252,
  [SMALL_STATE(1698)] = 61262,
  [SMALL_STATE(1699)] = 61270,
  [SMALL_STATE(1700)] = 61280,
  [SMALL_STATE(1701)] = 61290,
  [SMALL_STATE(1702)] = 61300,
  [SMALL_STATE(1703)] = 61308,
  [SMALL_STATE(1704)] = 61318,
  [SMALL_STATE(1705)] = 61328,
  [SMALL_STATE(1706)] = 61338,
  [SMALL_STATE(1707)] = 61346,
  [SMALL_STATE(1708)] = 61354,
  [SMALL_STATE(1709)] = 61364,
  [SMALL_STATE(1710)] = 61374,
  [SMALL_STATE(1711)] = 61384,
  [SMALL_STATE(1712)] = 61394,
  [SMALL_STATE(1713)] = 61404,
  [SMALL_STATE(1714)] = 61414,
  [SMALL_STATE(1715)] = 61422,
  [SMALL_STATE(1716)] = 61432,
  [SMALL_STATE(1717)] = 61442,
  [SMALL_STATE(1718)] = 61452,
  [SMALL_STATE(1719)] = 61462,
  [SMALL_STATE(1720)] = 61472,
  [SMALL_STATE(1721)] = 61482,
  [SMALL_STATE(1722)] = 61490,
  [SMALL_STATE(1723)] = 61498,
  [SMALL_STATE(1724)] = 61508,
  [SMALL_STATE(1725)] = 61518,
  [SMALL_STATE(1726)] = 61528,
  [SMALL_STATE(1727)] = 61538,
  [SMALL_STATE(1728)] = 61546,
  [SMALL_STATE(1729)] = 61554,
  [SMALL_STATE(1730)] = 61564,
  [SMALL_STATE(1731)] = 61574,
  [SMALL_STATE(1732)] = 61581,
  [SMALL_STATE(1733)] = 61588,
  [SMALL_STATE(1734)] = 61595,
  [SMALL_STATE(1735)] = 61602,
  [SMALL_STATE(1736)] = 61609,
  [SMALL_STATE(1737)] = 61616,
  [SMALL_STATE(1738)] = 61623,
  [SMALL_STATE(1739)] = 61630,
  [SMALL_STATE(1740)] = 61637,
  [SMALL_STATE(1741)] = 61644,
  [SMALL_STATE(1742)] = 61651,
  [SMALL_STATE(1743)] = 61658,
  [SMALL_STATE(1744)] = 61665,
  [SMALL_STATE(1745)] = 61672,
  [SMALL_STATE(1746)] = 61679,
  [SMALL_STATE(1747)] = 61686,
  [SMALL_STATE(1748)] = 61693,
  [SMALL_STATE(1749)] = 61700,
  [SMALL_STATE(1750)] = 61707,
  [SMALL_STATE(1751)] = 61714,
  [SMALL_STATE(1752)] = 61721,
  [SMALL_STATE(1753)] = 61728,
  [SMALL_STATE(1754)] = 61735,
  [SMALL_STATE(1755)] = 61742,
  [SMALL_STATE(1756)] = 61749,
  [SMALL_STATE(1757)] = 61756,
  [SMALL_STATE(1758)] = 61763,
  [SMALL_STATE(1759)] = 61770,
  [SMALL_STATE(1760)] = 61777,
  [SMALL_STATE(1761)] = 61784,
  [SMALL_STATE(1762)] = 61791,
  [SMALL_STATE(1763)] = 61798,
  [SMALL_STATE(1764)] = 61805,
  [SMALL_STATE(1765)] = 61812,
  [SMALL_STATE(1766)] = 61819,
  [SMALL_STATE(1767)] = 61826,
  [SMALL_STATE(1768)] = 61833,
  [SMALL_STATE(1769)] = 61840,
  [SMALL_STATE(1770)] = 61847,
  [SMALL_STATE(1771)] = 61854,
  [SMALL_STATE(1772)] = 61861,
  [SMALL_STATE(1773)] = 61868,
  [SMALL_STATE(1774)] = 61875,
  [SMALL_STATE(1775)] = 61882,
  [SMALL_STATE(1776)] = 61889,
  [SMALL_STATE(1777)] = 61896,
  [SMALL_STATE(1778)] = 61903,
  [SMALL_STATE(1779)] = 61910,
  [SMALL_STATE(1780)] = 61917,
  [SMALL_STATE(1781)] = 61924,
  [SMALL_STATE(1782)] = 61931,
  [SMALL_STATE(1783)] = 61938,
  [SMALL_STATE(1784)] = 61945,
  [SMALL_STATE(1785)] = 61952,
  [SMALL_STATE(1786)] = 61959,
  [SMALL_STATE(1787)] = 61966,
  [SMALL_STATE(1788)] = 61973,
  [SMALL_STATE(1789)] = 61980,
  [SMALL_STATE(1790)] = 61987,
  [SMALL_STATE(1791)] = 61994,
  [SMALL_STATE(1792)] = 62001,
  [SMALL_STATE(1793)] = 62008,
  [SMALL_STATE(1794)] = 62015,
  [SMALL_STATE(1795)] = 62022,
  [SMALL_STATE(1796)] = 62029,
  [SMALL_STATE(1797)] = 62036,
  [SMALL_STATE(1798)] = 62043,
  [SMALL_STATE(1799)] = 62050,
  [SMALL_STATE(1800)] = 62057,
  [SMALL_STATE(1801)] = 62064,
  [SMALL_STATE(1802)] = 62071,
  [SMALL_STATE(1803)] = 62078,
  [SMALL_STATE(1804)] = 62085,
  [SMALL_STATE(1805)] = 62092,
  [SMALL_STATE(1806)] = 62099,
  [SMALL_STATE(1807)] = 62106,
  [SMALL_STATE(1808)] = 62113,
  [SMALL_STATE(1809)] = 62120,
  [SMALL_STATE(1810)] = 62127,
  [SMALL_STATE(1811)] = 62134,
  [SMALL_STATE(1812)] = 62141,
  [SMALL_STATE(1813)] = 62148,
  [SMALL_STATE(1814)] = 62155,
  [SMALL_STATE(1815)] = 62162,
  [SMALL_STATE(1816)] = 62169,
  [SMALL_STATE(1817)] = 62176,
  [SMALL_STATE(1818)] = 62183,
  [SMALL_STATE(1819)] = 62190,
  [SMALL_STATE(1820)] = 62197,
  [SMALL_STATE(1821)] = 62204,
  [SMALL_STATE(1822)] = 62211,
  [SMALL_STATE(1823)] = 62218,
  [SMALL_STATE(1824)] = 62225,
  [SMALL_STATE(1825)] = 62232,
  [SMALL_STATE(1826)] = 62239,
  [SMALL_STATE(1827)] = 62246,
  [SMALL_STATE(1828)] = 62253,
  [SMALL_STATE(1829)] = 62260,
  [SMALL_STATE(1830)] = 62267,
  [SMALL_STATE(1831)] = 62274,
  [SMALL_STATE(1832)] = 62281,
  [SMALL_STATE(1833)] = 62288,
  [SMALL_STATE(1834)] = 62295,
  [SMALL_STATE(1835)] = 62302,
  [SMALL_STATE(1836)] = 62309,
  [SMALL_STATE(1837)] = 62316,
  [SMALL_STATE(1838)] = 62323,
  [SMALL_STATE(1839)] = 62330,
  [SMALL_STATE(1840)] = 62337,
  [SMALL_STATE(1841)] = 62344,
  [SMALL_STATE(1842)] = 62351,
  [SMALL_STATE(1843)] = 62358,
  [SMALL_STATE(1844)] = 62365,
  [SMALL_STATE(1845)] = 62372,
  [SMALL_STATE(1846)] = 62379,
  [SMALL_STATE(1847)] = 62386,
  [SMALL_STATE(1848)] = 62393,
  [SMALL_STATE(1849)] = 62400,
  [SMALL_STATE(1850)] = 62407,
  [SMALL_STATE(1851)] = 62414,
  [SMALL_STATE(1852)] = 62421,
  [SMALL_STATE(1853)] = 62428,
  [SMALL_STATE(1854)] = 62435,
  [SMALL_STATE(1855)] = 62442,
  [SMALL_STATE(1856)] = 62449,
  [SMALL_STATE(1857)] = 62456,
  [SMALL_STATE(1858)] = 62463,
  [SMALL_STATE(1859)] = 62470,
  [SMALL_STATE(1860)] = 62477,
  [SMALL_STATE(1861)] = 62484,
  [SMALL_STATE(1862)] = 62491,
  [SMALL_STATE(1863)] = 62498,
  [SMALL_STATE(1864)] = 62505,
  [SMALL_STATE(1865)] = 62512,
  [SMALL_STATE(1866)] = 62519,
  [SMALL_STATE(1867)] = 62526,
  [SMALL_STATE(1868)] = 62533,
  [SMALL_STATE(1869)] = 62540,
  [SMALL_STATE(1870)] = 62547,
  [SMALL_STATE(1871)] = 62554,
  [SMALL_STATE(1872)] = 62561,
  [SMALL_STATE(1873)] = 62568,
  [SMALL_STATE(1874)] = 62575,
  [SMALL_STATE(1875)] = 62582,
  [SMALL_STATE(1876)] = 62589,
  [SMALL_STATE(1877)] = 62596,
  [SMALL_STATE(1878)] = 62603,
  [SMALL_STATE(1879)] = 62610,
  [SMALL_STATE(1880)] = 62617,
  [SMALL_STATE(1881)] = 62624,
  [SMALL_STATE(1882)] = 62631,
  [SMALL_STATE(1883)] = 62638,
  [SMALL_STATE(1884)] = 62645,
  [SMALL_STATE(1885)] = 62652,
  [SMALL_STATE(1886)] = 62659,
  [SMALL_STATE(1887)] = 62666,
  [SMALL_STATE(1888)] = 62673,
  [SMALL_STATE(1889)] = 62680,
  [SMALL_STATE(1890)] = 62687,
  [SMALL_STATE(1891)] = 62694,
  [SMALL_STATE(1892)] = 62701,
  [SMALL_STATE(1893)] = 62708,
  [SMALL_STATE(1894)] = 62715,
  [SMALL_STATE(1895)] = 62722,
  [SMALL_STATE(1896)] = 62729,
  [SMALL_STATE(1897)] = 62736,
  [SMALL_STATE(1898)] = 62743,
  [SMALL_STATE(1899)] = 62750,
  [SMALL_STATE(1900)] = 62757,
  [SMALL_STATE(1901)] = 62764,
  [SMALL_STATE(1902)] = 62771,
  [SMALL_STATE(1903)] = 62778,
  [SMALL_STATE(1904)] = 62785,
  [SMALL_STATE(1905)] = 62792,
  [SMALL_STATE(1906)] = 62799,
  [SMALL_STATE(1907)] = 62806,
  [SMALL_STATE(1908)] = 62813,
  [SMALL_STATE(1909)] = 62820,
  [SMALL_STATE(1910)] = 62827,
  [SMALL_STATE(1911)] = 62834,
  [SMALL_STATE(1912)] = 62841,
  [SMALL_STATE(1913)] = 62848,
  [SMALL_STATE(1914)] = 62855,
  [SMALL_STATE(1915)] = 62862,
  [SMALL_STATE(1916)] = 62869,
  [SMALL_STATE(1917)] = 62876,
  [SMALL_STATE(1918)] = 62883,
  [SMALL_STATE(1919)] = 62890,
  [SMALL_STATE(1920)] = 62897,
  [SMALL_STATE(1921)] = 62904,
  [SMALL_STATE(1922)] = 62911,
  [SMALL_STATE(1923)] = 62918,
  [SMALL_STATE(1924)] = 62925,
  [SMALL_STATE(1925)] = 62932,
  [SMALL_STATE(1926)] = 62939,
  [SMALL_STATE(1927)] = 62946,
  [SMALL_STATE(1928)] = 62953,
  [SMALL_STATE(1929)] = 62960,
  [SMALL_STATE(1930)] = 62967,
  [SMALL_STATE(1931)] = 62974,
  [SMALL_STATE(1932)] = 62981,
  [SMALL_STATE(1933)] = 62988,
  [SMALL_STATE(1934)] = 62995,
  [SMALL_STATE(1935)] = 63002,
  [SMALL_STATE(1936)] = 63009,
  [SMALL_STATE(1937)] = 63016,
  [SMALL_STATE(1938)] = 63023,
  [SMALL_STATE(1939)] = 63030,
  [SMALL_STATE(1940)] = 63037,
  [SMALL_STATE(1941)] = 63044,
  [SMALL_STATE(1942)] = 63051,
  [SMALL_STATE(1943)] = 63058,
  [SMALL_STATE(1944)] = 63065,
  [SMALL_STATE(1945)] = 63072,
  [SMALL_STATE(1946)] = 63079,
  [SMALL_STATE(1947)] = 63086,
  [SMALL_STATE(1948)] = 63093,
  [SMALL_STATE(1949)] = 63100,
  [SMALL_STATE(1950)] = 63107,
  [SMALL_STATE(1951)] = 63114,
  [SMALL_STATE(1952)] = 63121,
  [SMALL_STATE(1953)] = 63128,
  [SMALL_STATE(1954)] = 63135,
  [SMALL_STATE(1955)] = 63142,
  [SMALL_STATE(1956)] = 63149,
  [SMALL_STATE(1957)] = 63156,
  [SMALL_STATE(1958)] = 63163,
  [SMALL_STATE(1959)] = 63170,
  [SMALL_STATE(1960)] = 63177,
  [SMALL_STATE(1961)] = 63184,
  [SMALL_STATE(1962)] = 63191,
  [SMALL_STATE(1963)] = 63198,
  [SMALL_STATE(1964)] = 63205,
  [SMALL_STATE(1965)] = 63212,
  [SMALL_STATE(1966)] = 63219,
  [SMALL_STATE(1967)] = 63226,
  [SMALL_STATE(1968)] = 63233,
  [SMALL_STATE(1969)] = 63240,
  [SMALL_STATE(1970)] = 63247,
  [SMALL_STATE(1971)] = 63254,
  [SMALL_STATE(1972)] = 63261,
  [SMALL_STATE(1973)] = 63268,
  [SMALL_STATE(1974)] = 63275,
  [SMALL_STATE(1975)] = 63282,
  [SMALL_STATE(1976)] = 63289,
  [SMALL_STATE(1977)] = 63296,
  [SMALL_STATE(1978)] = 63303,
  [SMALL_STATE(1979)] = 63310,
  [SMALL_STATE(1980)] = 63317,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 17),
  [171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 40),
  [173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 17),
  [175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 40),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(402),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1341),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1876),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1176),
  [213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1877),
  [218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1659),
  [221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(384),
  [224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(549),
  [227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(549),
  [230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(542),
  [233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(92),
  [236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(927),
  [239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(976),
  [242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(882),
  [245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1949),
  [248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1657),
  [251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1870),
  [254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(898),
  [257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(32),
  [260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(771),
  [263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(710),
  [266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(707),
  [269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(738),
  [275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1609),
  [278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1388),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1450),
  [284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1655),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1643),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(601),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1869),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1658),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1974),
  [305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(471),
  [308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1847),
  [311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1864),
  [314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1885),
  [317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1695),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1775),
  [323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(534),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(535),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1964),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1859),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1860),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(661),
  [344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1524),
  [347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1465),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(661),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(667),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(405),
  [409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1338),
  [412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1795),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1164),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1796),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1729),
  [424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(225),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(914),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(977),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(872),
  [436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(26),
  [439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1691),
  [444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1656),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(564),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1801),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1653),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1939),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(474),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1910),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1924),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1804),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1660),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1807),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(408),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1329),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1927),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1178),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1907),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1697),
  [498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(184),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(931),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(979),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(885),
  [510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(38),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1689),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1703),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(602),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1751),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1692),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(321),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1977),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(467),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1874),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1912),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1705),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1893),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(411),
  [641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1343),
  [644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1895),
  [647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1140),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1737),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1649),
  [656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(384),
  [659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(549),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(549),
  [665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(542),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(919),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(973),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(845),
  [677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1949),
  [680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1657),
  [683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1870),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(898),
  [689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(23),
  [692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(771),
  [695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(710),
  [698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(707),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(738),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1609),
  [710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1388),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1450),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1725),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1645),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(513),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1785),
  [728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1681),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(329),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1742),
  [737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(486),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1908),
  [743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1911),
  [746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1937),
  [749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(534),
  [752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(535),
  [755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1964),
  [758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1859),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1860),
  [764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1079),
  [770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1524),
  [773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1465),
  [776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1079),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(667),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(401),
  [785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(384),
  [790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(549),
  [793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(549),
  [796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(542),
  [799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(92),
  [802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(927),
  [805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(976),
  [808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(710),
  [811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1949),
  [814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1657),
  [817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1870),
  [820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(32),
  [823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(771),
  [826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(707),
  [829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(738),
  [835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1609),
  [838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1388),
  [841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1450),
  [844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1655),
  [847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1643),
  [850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1658),
  [853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1974),
  [859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(471),
  [862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1847),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1864),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1885),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1695),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1775),
  [877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(534),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(535),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1964),
  [886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1859),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1860),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(661),
  [898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1524),
  [901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1465),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(661),
  [907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(667),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 9),
  [916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 9),
  [918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 9),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(404),
  [933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(244),
  [936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(919),
  [939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(973),
  [942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(23),
  [945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1725),
  [948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1645),
  [951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1681),
  [954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(329),
  [957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1742),
  [960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(486),
  [963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1908),
  [966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1911),
  [969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1937),
  [972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1663),
  [975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1884),
  [978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(407),
  [981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(184),
  [984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(931),
  [987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(979),
  [990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(38),
  [993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1689),
  [996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1703),
  [999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1692),
  [1002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(321),
  [1005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1977),
  [1008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(467),
  [1011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [1014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1874),
  [1017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1912),
  [1020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1705),
  [1023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1893),
  [1026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [1036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 9),
  [1038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [1041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(225),
  [1044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(914),
  [1047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(977),
  [1050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(26),
  [1053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1691),
  [1056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1656),
  [1059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1653),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1939),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(474),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1910),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1924),
  [1077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1804),
  [1080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1660),
  [1083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1807),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [1096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(409),
  [1099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1672),
  [1102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1679),
  [1105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1958),
  [1108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1720),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 27),
  [1119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 27),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [1131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 28),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 28),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 28),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 28),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 29),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 29),
  [1159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 31),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 31),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 35),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 35),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 47),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 47),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 8),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 8),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 55),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 55),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 62),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 62),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 64),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 64),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 76),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 76),
  [1195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 47),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 47),
  [1199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 8),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 8),
  [1203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 81),
  [1209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 81),
  [1211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 85),
  [1213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 85),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 90),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 90),
  [1219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 91),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 91),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 76),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 76),
  [1231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 100),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 100),
  [1235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 6, 0, 111),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 6, 0, 111),
  [1239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 97),
  [1253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 97),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 39),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 39),
  [1259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 67),
  [1261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 67),
  [1263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 4, 0, 68),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 4, 0, 68),
  [1267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 71),
  [1269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 71),
  [1271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 72),
  [1273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 72),
  [1275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 40),
  [1277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 40),
  [1279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 73),
  [1281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 73),
  [1283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [1285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [1287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 3, 0, 36),
  [1289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 3, 0, 36),
  [1291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 38),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 38),
  [1299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 40),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 40),
  [1303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 41),
  [1305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 41),
  [1307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 17),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 17),
  [1311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 16),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 16),
  [1315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 94),
  [1317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 94),
  [1319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 5, 0, 95),
  [1321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 5, 0, 95),
  [1323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 17),
  [1329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 17),
  [1331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 17),
  [1333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 17),
  [1335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 61),
  [1337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 61),
  [1339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 23),
  [1341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 23),
  [1343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 18),
  [1345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 18),
  [1347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [1350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 2),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 2),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 4),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 4),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 4, 0, 66),
  [1363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 4, 0, 66),
  [1365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [1375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 57),
  [1377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 57),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [1401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(719),
  [1404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(384),
  [1407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(549),
  [1410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(549),
  [1413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(542),
  [1416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(244),
  [1419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1654),
  [1422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(23),
  [1425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1725),
  [1428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1645),
  [1431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(513),
  [1434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1785),
  [1437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1681),
  [1440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(329),
  [1443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1742),
  [1446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(486),
  [1449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1908),
  [1452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1911),
  [1455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1937),
  [1458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1663),
  [1461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1884),
  [1464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(534),
  [1467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(535),
  [1470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1964),
  [1473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1859),
  [1476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1860),
  [1479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1406),
  [1482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(661),
  [1485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1524),
  [1488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1465),
  [1491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(661),
  [1494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(667),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [1505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(729),
  [1508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(225),
  [1511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(26),
  [1514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1691),
  [1517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1656),
  [1520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(564),
  [1523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1801),
  [1526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1653),
  [1529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(351),
  [1532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1939),
  [1535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(474),
  [1538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1910),
  [1541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1924),
  [1544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1804),
  [1547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1660),
  [1550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1807),
  [1553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(723),
  [1556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(92),
  [1559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(32),
  [1562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1655),
  [1565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1643),
  [1568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(601),
  [1571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1869),
  [1574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1658),
  [1577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(352),
  [1580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1974),
  [1583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(471),
  [1586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1847),
  [1589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1864),
  [1592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1885),
  [1595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1695),
  [1598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1775),
  [1601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(725),
  [1604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1672),
  [1607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(597),
  [1610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1819),
  [1613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1679),
  [1616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1958),
  [1619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1720),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [1624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(726),
  [1627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(184),
  [1630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(38),
  [1633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1689),
  [1636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1703),
  [1639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(602),
  [1642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1751),
  [1645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1692),
  [1648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(321),
  [1651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1977),
  [1654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(467),
  [1657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1871),
  [1660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1874),
  [1663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1912),
  [1666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1705),
  [1669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1893),
  [1672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [1675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 2),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 2),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [1716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1720] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0), SHIFT(972),
  [1724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [1751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [1753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [1755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [1762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(366),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 40),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 40),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 17),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [1883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 17),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [1915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(739),
  [1918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1931),
  [1921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1174),
  [1924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [1926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1842),
  [1929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1726),
  [1932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(707),
  [1935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(710),
  [1938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1949),
  [1941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1688),
  [1944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1870),
  [1947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(771),
  [1950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [1953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(738),
  [1956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1609),
  [1959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1388),
  [1962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1450),
  [1965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1906),
  [1968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1138),
  [1971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1824),
  [1974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1715),
  [1977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1932),
  [1994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [1997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1896),
  [2000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1650),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [2007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 40),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 105),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 56),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 0, 0),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 0, 56),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 84),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [2129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(618),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1465),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [2151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 125),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 125),
  [2159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 124),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 124),
  [2163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 129),
  [2165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 129),
  [2167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [2171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(707),
  [2174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(710),
  [2177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1949),
  [2180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1688),
  [2183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1870),
  [2186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 109),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 109),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 108),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 108),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 87),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 87),
  [2201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 58),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 58),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 88),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 88),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 119),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 119),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 120),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 120),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(739),
  [2224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(707),
  [2227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(710),
  [2230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1949),
  [2233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1688),
  [2236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1870),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0),
  [2241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(771),
  [2244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [2247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(738),
  [2250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1609),
  [2253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1388),
  [2256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1450),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [2265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [2267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [2273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [2275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [2277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [2279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(700),
  [2282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(658),
  [2285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1938),
  [2288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [2296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [2300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 106),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 106),
  [2304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [2308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 69),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 69),
  [2316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 37),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 37),
  [2320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [2324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 45),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 45),
  [2328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 57),
  [2330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 57),
  [2332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [2334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [2336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 13),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 13),
  [2340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 12),
  [2342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 12),
  [2344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [2348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 5),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 5),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [2366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 5),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 5),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [2376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 30),
  [2378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 30),
  [2380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 45),
  [2382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 45),
  [2384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 5),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 5),
  [2388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 9),
  [2394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 9),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 25),
  [2410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 25),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 25),
  [2416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 25),
  [2418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 7),
  [2420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 7),
  [2422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 7),
  [2424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 7),
  [2426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [2428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [2430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 53),
  [2432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 53),
  [2434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [2436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [2438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 3),
  [2440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 3),
  [2442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 14),
  [2444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 14),
  [2446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 3),
  [2448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 3),
  [2450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 14),
  [2452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 14),
  [2454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 52),
  [2456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 52),
  [2458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 54),
  [2460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 54),
  [2462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 8),
  [2464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 8),
  [2466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 52),
  [2468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 52),
  [2470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 26),
  [2472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 26),
  [2474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 8),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 8),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(728),
  [2487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 80),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 80),
  [2491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 26),
  [2493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 26),
  [2495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 24),
  [2497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 24),
  [2499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 24),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 24),
  [2503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 24),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 24),
  [2507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 3),
  [2509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 3),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [2513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 14),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 14),
  [2517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 15),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 15),
  [2521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [2527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(972),
  [2530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [2534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [2536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [2538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 24),
  [2540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 24),
  [2542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 25),
  [2544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 25),
  [2546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 78),
  [2548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 78),
  [2550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [2552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [2554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 26),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 26),
  [2558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 24),
  [2560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 24),
  [2562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 25),
  [2564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 25),
  [2566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 7),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 7),
  [2570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 26),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 26),
  [2574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_type_specifier, 4, -1, 59),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_type_specifier, 4, -1, 59),
  [2578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 10),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 10),
  [2582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 8),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 8),
  [2586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [2590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 7),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 7),
  [2594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 8),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 8),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [2608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [2616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 70),
  [2632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 70),
  [2634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 96),
  [2636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 96),
  [2638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(777),
  [2641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [2643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [2649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 6, 0, 80),
  [2651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 6, 0, 80),
  [2653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 8),
  [2655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 8),
  [2657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [2659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [2661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 50),
  [2663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 50),
  [2665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 14),
  [2667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 14),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [2671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 15),
  [2673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 15),
  [2675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [2677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 52),
  [2679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 52),
  [2681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 53),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 53),
  [2685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 54),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 54),
  [2689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 5, 0, 52),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 5, 0, 52),
  [2693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 7),
  [2701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 7),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [2721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 42),
  [2723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 42),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 17),
  [2735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 17),
  [2737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 42),
  [2739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 42),
  [2741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 79),
  [2743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 79),
  [2745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 40),
  [2747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 40),
  [2749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 41),
  [2751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 41),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 17),
  [2757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 17),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 79),
  [2763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 79),
  [2765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 72),
  [2767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 72),
  [2769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 40),
  [2771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 40),
  [2773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 73),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 73),
  [2777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 97),
  [2779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 97),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [2785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 7),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 7),
  [2797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 7), SHIFT(1949),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [2806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 50),
  [2808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 50),
  [2810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 50), SHIFT(1949),
  [2813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0), REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [2818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [2820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0), REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [2823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [2825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym__old_style_parameter_list, 2, 0, 0),
  [2828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [2830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 2, 0, 0),
  [2832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym__old_style_parameter_list, 2, 0, 0),
  [2835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [2863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 24),
  [2865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 24),
  [2867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 24), SHIFT(1949),
  [2870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 8),
  [2872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 8),
  [2874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 8), SHIFT(1949),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 78),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 78),
  [2885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 78), SHIFT(1949),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [2898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [2900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(1633),
  [2907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(930),
  [2910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [2913] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(972),
  [2917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [2920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [2925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 4, 0, 0),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_parameter_list, 4, 0, 0),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [2937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [2941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_declarator, 2, 0, 34),
  [2943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_declarator, 2, 0, 34),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [2947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 77),
  [2965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 77),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [3017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [3019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [3021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(999),
  [3024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1000),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [3035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [3037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [3039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(707),
  [3042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [3045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 13),
  [3047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 13),
  [3049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [3051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [3055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 44),
  [3057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [3059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [3061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [3063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [3083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [3085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [3087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [3089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [3091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [3119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 63),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [3123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 115),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [3129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 102),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [3135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [3161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 103),
  [3163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 114),
  [3165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [3167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [3173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 0, 116),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [3177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 104),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [3181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 82),
  [3183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 83),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3, 0, 0),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 3),
  [3217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 3),
  [3219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 14),
  [3221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 14),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [3227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 3),
  [3229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 3),
  [3231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 3),
  [3233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 3),
  [3235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 14),
  [3237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 14),
  [3239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 14),
  [3241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 14),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [3245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [3249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [3251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1127),
  [3254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1111),
  [3257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1117),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [3268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [3282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [3290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 10), SHIFT(728),
  [3293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 3), SHIFT(728),
  [3296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [3312] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(728),
  [3316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 15), SHIFT(728),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [3325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 14), SHIFT(1128),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(1108),
  [3335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(1107),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 15), SHIFT(1113),
  [3345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 14), SHIFT(728),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 42),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [3392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [3394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [3402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [3404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [3406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 5),
  [3408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 5),
  [3410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [3412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 30),
  [3418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 30),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [3456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [3464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [3468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [3472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [3476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [3480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [3504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 7), SHIFT(1934),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [3521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 0, 34),
  [3523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 0, 34),
  [3525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 2, 0, 34),
  [3527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 3, 0, 34),
  [3529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 3, 0, 34),
  [3531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 3, 0, 34),
  [3533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declaration_declarator, 3, 0, 34),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [3537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 17),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 40),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [3555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 4, 0, 34),
  [3557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 4, 0, 34),
  [3559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1265),
  [3562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0),
  [3564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1949),
  [3567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [3571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [3573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1657),
  [3576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [3588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 60),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [3594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 110),
  [3596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [3598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [3600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 1, 0, 0),
  [3602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 1, 0, 0),
  [3604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 89),
  [3606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 32),
  [3608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [3610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [3614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 1, 0, 22),
  [3616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [3628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 17),
  [3634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 17),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [3642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 60),
  [3644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 17),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [3650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1578),
  [3653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1143),
  [3656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1834),
  [3659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1649),
  [3662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [3664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 89),
  [3666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 1, 0, 0),
  [3668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 1, 0, 0), REDUCE(aux_sym_function_declarator_repeat1, 1, 0, 0),
  [3671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 1, 0, 0),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [3677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 32),
  [3679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 40),
  [3681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 40),
  [3683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 40),
  [3685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 110),
  [3687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 32),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [3693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [3695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 22),
  [3697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 22),
  [3699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 22),
  [3701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 22),
  [3703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 110),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 60),
  [3713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [3717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [3721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [3723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [3725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 89),
  [3727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 92),
  [3729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 92),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [3733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 22),
  [3735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [3737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [3739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 112),
  [3741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 112),
  [3743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 32),
  [3745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [3747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [3755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 1, 0, 0),
  [3757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [3759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [3761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 32),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [3775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 112),
  [3777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 112),
  [3779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 22),
  [3781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 22),
  [3783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [3785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [3787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1578),
  [3790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [3792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [3794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 35),
  [3796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 22),
  [3798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 22),
  [3800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 6),
  [3802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 6),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [3806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [3808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [3810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [3812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [3814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 0, 34),
  [3816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 0, 34),
  [3818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(1361),
  [3821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [3823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [3825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 51),
  [3827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 51),
  [3829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 92),
  [3831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 92),
  [3833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 4, 0, 34),
  [3835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [3837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [3839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 112),
  [3841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 112),
  [3843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [3845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [3847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [3851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [3859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 21),
  [3861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 21),
  [3863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 92),
  [3865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 92),
  [3867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(516),
  [3870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [3872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(1799),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [3877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [3879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [3881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1949),
  [3884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [3886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [3888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [3890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [3894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 34),
  [3896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 34),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [3900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 22),
  [3902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 22),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [3908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 22),
  [3910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 22),
  [3912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 41),
  [3914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 41),
  [3916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 73),
  [3918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 73),
  [3920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 75),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 17),
  [3926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 17),
  [3928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 19),
  [3930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 89),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [3946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 17),
  [3948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 17),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [3954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1498),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [3967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 97),
  [3969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 97),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 60),
  [3975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 72),
  [3977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 72),
  [3979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 40),
  [3981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 40),
  [3983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 40),
  [3985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 40),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [3993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 32),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [3997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 43),
  [3999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 46),
  [4001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 74),
  [4003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 22),
  [4005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [4007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 98),
  [4009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 112),
  [4011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [4015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 6),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [4019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [4021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 20),
  [4023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 22),
  [4025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 32),
  [4031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [4033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 92),
  [4035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 34),
  [4037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, 0, 93),
  [4039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [4043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 118),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [4047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 117), SHIFT_REPEAT(1374),
  [4050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 117),
  [4052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [4056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [4060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 107),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [4070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 3, 0, 101),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [4076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [4078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [4082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [4084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [4094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 1, 0, 11),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [4098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 107),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [4104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 127), SHIFT_REPEAT(1330),
  [4107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 127),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [4115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [4127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 48),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [4133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 65), SHIFT_REPEAT(1301),
  [4136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 65),
  [4138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 2, 0, 22),
  [4140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 86),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [4154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 2, 0, 48),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [4160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [4164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 86),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [4170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [4176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 49),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [4186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [4188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1505),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [4197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [4199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [4207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 117), SHIFT_REPEAT(1358),
  [4210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 117),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [4216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 122),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [4222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [4224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1517),
  [4227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1517),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [4236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [4238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 65), SHIFT_REPEAT(1244),
  [4241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 65),
  [4243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [4245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [4249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [4275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(444),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [4308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 131),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [4326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1723),
  [4329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [4337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 99),
  [4339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 131),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [4343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 128),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [4359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 3, 0, 32),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [4365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(454),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [4430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1633),
  [4433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [4439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 86),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [4451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 130), SHIFT_REPEAT(1763),
  [4454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 130),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1131),
  [4467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 118),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [4473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(653),
  [4476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [4486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 65), SHIFT_REPEAT(1121),
  [4489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 65),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [4493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 121),
  [4495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(1707),
  [4498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [4502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 86),
  [4504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 123),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 126),
  [4510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 121),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [4516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(974),
  [4519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [4537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [4555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [4560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [4568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [4570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [4576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 49),
  [4578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 4, 0, 113),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [4584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [4586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [4588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 123),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [4594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 1, 0, 0),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [4598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [4600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [4606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 6),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [4634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 40),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 41),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 41),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 17),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [4706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 41),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [4710] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [4788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 73),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 41),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [4822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 41),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [4826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 97),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [4840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 72),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [4846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 72),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [4860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 73),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [4870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 73),
  [4872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 72),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [4894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 72),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [4904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 73),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [4978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 72),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [4996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 97),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [5014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 97),
  [5016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 97),
  [5018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 97),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [5022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 73),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_c(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
